diff -pruN 4:20.08.3-1/AUTHORS 4:20.12.0-0ubuntu1/AUTHORS
--- 4:20.08.3-1/AUTHORS	2020-10-31 16:36:07.000000000 +0000
+++ 4:20.12.0-0ubuntu1/AUTHORS	2020-12-02 21:52:52.000000000 +0000
@@ -15,5 +15,5 @@ Main Devs, in roughly chronological orde
 * Andi Fischer (many areas)
 * Sharan Rao (porting to Qt4, bugfixes)
 * Gopala Krishna (start of port to QGraphicsView)
-* Camlia Ayres (continued port to QGraphicsView)
+* Camila Ayres (continued port to QGraphicsView)
 * Ralf Habacker (porting to Qt4, bugfixes, automatic diagram layout)
diff -pruN 4:20.08.3-1/CMakeLists.txt 4:20.12.0-0ubuntu1/CMakeLists.txt
--- 4:20.08.3-1/CMakeLists.txt	2020-10-31 16:36:07.000000000 +0000
+++ 4:20.12.0-0ubuntu1/CMakeLists.txt	2020-12-02 21:52:52.000000000 +0000
@@ -12,8 +12,8 @@ endif()
 
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "20")
-set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "3")
+set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MICRO "0")
 
 set(UMBRELLO_VERSION_MAJOR "2")
 set(UMBRELLO_VERSION_MINOR "32")
@@ -129,18 +129,26 @@ if(KDEVPGQT_FOUND AND KDEVPLATFORM_FOUND
     include_directories(
         ${KDEVPGQT_INCLUDE_DIR}
         ${KDEVPLATFORM_INCLUDE_DIR}
-        ${CMAKE_SOURCE_DIR}/${KDEV_SOURCE_DIR}/parser
-        ${CMAKE_BINARY_DIR}/${KDEV_SOURCE_DIR}/parser
     )
-    set(NO_INSTALL 1)
-    set(BUILD_PARSER_ONLY 1)
     set(BUILD_PHP_IMPORT 1)
     add_definitions(
-        -DKDEVPHPPARSER_EXPORT=
         -DENABLE_PHP_IMPORT
     )
     add_subdirectory(lib/kdevplatform)
-    add_subdirectory(${KDEV_SOURCE_DIR})
+    find_package(KDevPHP)
+    if(NOT KDevPHP_FOUND)
+        set(NO_INSTALL 1)
+        set(BUILD_PARSER_ONLY 1)
+        set(BUILD_PHP_IMPORT 1)
+        add_definitions(
+            -DKDEVPHPPARSER_EXPORT=
+        )
+        include_directories(
+            ${CMAKE_SOURCE_DIR}/${KDEV_SOURCE_DIR}
+            ${CMAKE_BINARY_DIR}/${KDEV_SOURCE_DIR}
+        )
+        add_subdirectory(${KDEV_SOURCE_DIR})
+    endif()
 else()
     set(BUILD_PHP_IMPORT 0)
 endif()
diff -pruN 4:20.08.3-1/debian/changelog 4:20.12.0-0ubuntu1/debian/changelog
--- 4:20.08.3-1/debian/changelog	2020-11-16 10:27:37.000000000 +0000
+++ 4:20.12.0-0ubuntu1/debian/changelog	2020-12-11 14:37:32.000000000 +0000
@@ -1,3 +1,9 @@
+umbrello (4:20.12.0-0ubuntu1) hirsute; urgency=medium
+
+  * New upstream release (20.12.0)
+
+ -- Rik Mills <rikmills@kde.org>  Fri, 11 Dec 2020 14:37:32 +0000
+
 umbrello (4:20.08.3-1) unstable; urgency=medium
 
   * Team upload.
diff -pruN 4:20.08.3-1/.gitignore 4:20.12.0-0ubuntu1/.gitignore
--- 4:20.08.3-1/.gitignore	2020-10-31 16:36:07.000000000 +0000
+++ 4:20.12.0-0ubuntu1/.gitignore	2020-12-02 21:52:52.000000000 +0000
@@ -43,4 +43,7 @@ umbrello/ui_*.h
 .DS_Store
 *.tmproj
 tmtags
-maintainer/work
\ No newline at end of file
+maintainer/work
+
+build
+.vscode
diff -pruN 4:20.08.3-1/lib/interfaces/kdatastream.h 4:20.12.0-0ubuntu1/lib/interfaces/kdatastream.h
--- 4:20.08.3-1/lib/interfaces/kdatastream.h	2020-10-31 16:36:07.000000000 +0000
+++ 4:20.12.0-0ubuntu1/lib/interfaces/kdatastream.h	2020-12-02 21:52:52.000000000 +0000
@@ -3,58 +3,6 @@
 
 #include <qdatastream.h>
 
-#ifdef USE_QT3
-inline QDataStream & operator << (QDataStream & str, bool b)
-{
-    str << Q_INT8(b);
-    return str;
-}
-
-inline QDataStream & operator >> (QDataStream & str, bool & b)
-{
-    Q_INT8 l;
-    str >> l;
-    b = bool(l);
-    return str;
-}
-#endif // USE_QT3
-
-#if QT_VERSION < 0x030200 && !defined(Q_WS_WIN) && !defined(Q_WS_MAC)
-inline QDataStream & operator << (QDataStream & str, long long int ll)
-{
-    Q_UINT32 l1,l2;
-    l1 = ll & 0xffffffffLL;
-    l2 = ll >> 32;
-    str << l1 << l2;
-    return str;
-}
-
-inline QDataStream & operator >> (QDataStream & str, long long int&ll)
-{
-    Q_UINT32 l1,l2;
-    str >> l1 >> l2;
-    ll = ((unsigned long long int)(l2) << 32) + (long long int) l1;
-    return str;
-}
-
-inline QDataStream & operator << (QDataStream & str, unsigned long long int ll)
-{
-    Q_UINT32 l1,l2;
-    l1 = ll & 0xffffffffLL;
-    l2 = ll >> 32;
-    str << l1 << l2;
-    return str;
-}
-
-inline QDataStream & operator >> (QDataStream & str, unsigned long long int &ll)
-{
-    Q_UINT32 l1,l2;
-    str >> l1 >> l2;
-    ll = ((unsigned long long int)(l2) << 32) + (unsigned long long int) l1;
-    return str;
-}
-#endif
-
 inline QDataStream & operator >> (QDataStream & str, long unsigned int &ll)
 {
     return str >> ((unsigned int &)ll);
diff -pruN 4:20.08.3-1/lib/kdev5-php/CMakeLists.txt 4:20.12.0-0ubuntu1/lib/kdev5-php/CMakeLists.txt
--- 4:20.08.3-1/lib/kdev5-php/CMakeLists.txt	2020-10-31 16:36:07.000000000 +0000
+++ 4:20.12.0-0ubuntu1/lib/kdev5-php/CMakeLists.txt	2020-12-02 21:52:52.000000000 +0000
@@ -28,7 +28,7 @@ include(KDECMakeSettings)
 include(GenerateExportHeader)
 include(FeatureSummary)
 
-find_package(Qt5 REQUIRED Core Widgets Test WebKitWidgets)
+find_package(Qt5 REQUIRED Core Widgets Test)
 find_package(KF5 REQUIRED COMPONENTS Archive ThreadWeaver TextEditor I18n ItemModels KCMUtils)
 find_package(KDevPlatform ${KDEVPLATFORM_VERSION} REQUIRED)
 find_package(KDevelop-PG-Qt REQUIRED)
diff -pruN 4:20.08.3-1/models/UmbrelloArchitecture/Overview.xmi 4:20.12.0-0ubuntu1/models/UmbrelloArchitecture/Overview.xmi
--- 4:20.08.3-1/models/UmbrelloArchitecture/Overview.xmi	2020-10-31 16:36:07.000000000 +0000
+++ 4:20.12.0-0ubuntu1/models/UmbrelloArchitecture/Overview.xmi	2020-12-02 21:52:52.000000000 +0000
@@ -5352,7 +5352,7 @@
           <UML:Parameter visibility="private" isSpecification="false" xmi.id="JHGq04QAf3KD" type="uvZHh8vqXrmF" value="" name="rt" />
          </UML:BehavioralFeature.parameter>
         </UML:Operation>
-        <UML:Operation stereotype="constructor" visibility="private" isSpecification="false" isQuery="false" isAbstract="false" isLeaf="false" isRoot="false" xmi.id="5DzlfnyrRF0O" comment="Constructs an UMLOperation.&#xa;Not intended for general use: The operation is not tied in with&#xa;umbrello's Qt signalling for object creation.&#xa;If you want to create an Operation use the method in UMLDoc instead.&#xa;&#xa;@param parent    the parent to this operation" name="UMLOperation" >
+        <UML:Operation stereotype="constructor" visibility="private" isSpecification="false" isQuery="false" isAbstract="false" isLeaf="false" isRoot="false" xmi.id="5DzlfnyrRF0O" comment="Constructs a UMLOperation.&#xa;Not intended for general use: The operation is not tied in with&#xa;umbrello's Qt signalling for object creation.&#xa;If you want to create an Operation use the method in UMLDoc instead.&#xa;&#xa;@param parent    the parent to this operation" name="UMLOperation" >
          <UML:BehavioralFeature.parameter>
           <UML:Parameter visibility="private" isSpecification="false" xmi.id="ypwZUBfmSvcR" type="1VpgSlF7xwr7" value="" name="parent" />
          </UML:BehavioralFeature.parameter>
@@ -14818,7 +14818,7 @@
         </codeoperation>
         <codeoperation tag="operation_5DzlfnyrRF0O" parent_id="5DzlfnyrRF0O" canDelete="false" >
          <header>
-          <cppcodedocumentation tag="" text="Constructs an UMLOperation.&amp;#010;Not intended for general use: The operation is not tied in with&amp;#010;umbrello's Qt signalling for object creation.&amp;#010;If you want to create an Operation use the method in UMLDoc instead.&amp;#010;&amp;#010;@param parent    the parent to this operation" />
+          <cppcodedocumentation tag="" text="Constructs a UMLOperation.&amp;#010;Not intended for general use: The operation is not tied in with&amp;#010;umbrello's Qt signalling for object creation.&amp;#010;If you want to create an Operation use the method in UMLDoc instead.&amp;#010;&amp;#010;@param parent    the parent to this operation" />
          </header>
         </codeoperation>
         <codeoperation tag="operation_y2Zd3tq75oqk" parent_id="y2Zd3tq75oqk" canDelete="false" >
diff -pruN 4:20.08.3-1/po/ar/umbrello.po 4:20.12.0-0ubuntu1/po/ar/umbrello.po
--- 4:20.08.3-1/po/ar/umbrello.po	2020-11-03 00:42:15.000000000 +0000
+++ 4:20.12.0-0ubuntu1/po/ar/umbrello.po	2020-12-04 00:21:28.000000000 +0000
@@ -6,7 +6,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: umbrello\n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
-"POT-Creation-Date: 2020-08-14 08:09+0200\n"
+"POT-Creation-Date: 2020-11-06 02:36+0100\n"
 "PO-Revision-Date: 2007-10-14 16:00+0000\n"
 "Last-Translator: Youssef Chahibi <chahibi@gmail.com>\n"
 "Language-Team: <en@li.org>\n"
@@ -206,7 +206,7 @@ msgid ""
 "item of the same name already exists.  Any other items have been pasted."
 msgstr ""
 
-#: clipboard/umlclipboard.cpp:753 uml.cpp:1689
+#: clipboard/umlclipboard.cpp:753 uml.cpp:1698
 #, fuzzy, kde-format
 msgid "Paste Error"
 msgstr "لصق خطأ"
@@ -430,7 +430,7 @@ msgstr "<p align=\"center\"> C الرّ
 #. i18n: ectx: attribute (title), widget (QWidget, ui_tabGeneral)
 #: codegenerators/cpp/cppcodegenerationformbase.ui:51
 #: codegenwizard/codegenoptionspage.ui:39 dialogs/objectnodedialog.cpp:135
-#: umllistview.cpp:1451
+#: umllistview.cpp:1459
 #, fuzzy, kde-format
 msgid "General"
 msgstr "عام"
@@ -1291,7 +1291,7 @@ msgstr "الحالة"
 #. i18n: ectx: property (text), widget (QRadioButton, ui_categoryClass)
 #. i18n: ectx: property (text), widget (QTableWidget, ui_tableWidgetStatus)
 #: codegenwizard/codegenstatuspage.ui:40 codeimpwizard/codeimpstatuspage.ui:54
-#: dialogs/finddialog.ui:89 umllistview.cpp:1446 umlwidgets/widgetbase.cpp:1255
+#: dialogs/finddialog.ui:89 umllistview.cpp:1454 umlwidgets/widgetbase.cpp:1255
 #, kde-format
 msgid "Class"
 msgstr "الفئة"
@@ -1947,34 +1947,34 @@ msgstr ""
 msgid "Enable 'delete diagram' related messages"
 msgstr ""
 
-#: dialogs/dialog_utils.cpp:117
+#: dialogs/dialog_utils.cpp:118
 #, kde-format
 msgid "You are about to delete an association. Do you really want to continue?"
 msgstr ""
 
-#: dialogs/dialog_utils.cpp:118
+#: dialogs/dialog_utils.cpp:119
 #, fuzzy, kde-format
 msgid "Delete Association"
 msgstr "ذاته الجمعيّة"
 
-#: dialogs/dialog_utils.cpp:132
+#: dialogs/dialog_utils.cpp:133
 #, fuzzy, kde-format
 msgid ""
 "You are about to delete the entire diagram.\n"
 "Are you sure?"
 msgstr "أنت حوْل إلى حذف خطاطة?"
 
-#: dialogs/dialog_utils.cpp:133
+#: dialogs/dialog_utils.cpp:134
 #, fuzzy, kde-format
 msgid "Are you sure you want to delete diagram %1?"
 msgstr "هل إلى حذف خطاطة?"
 
-#: dialogs/dialog_utils.cpp:138
+#: dialogs/dialog_utils.cpp:139
 #, fuzzy, kde-format
 msgid "Delete Diagram?"
 msgstr "احذف التخطيط?"
 
-#: dialogs/dialog_utils.cpp:139 dialogs/pages/classifierlistpage.cpp:215
+#: dialogs/dialog_utils.cpp:140 dialogs/pages/classifierlistpage.cpp:215
 #: dialogs/pages/classifierlistpage.cpp:223
 #: dialogs/umlforeignkeyconstraintdialog.cpp:325
 #: dialogs/umlforeignkeyconstraintdialog.cpp:331
@@ -2134,7 +2134,7 @@ msgstr "عام"
 #. i18n: ectx: label, entry (uiFont), group (UI Options)
 #. i18n: ectx: label, entry (codeViewerFont), group (Code Viewer Options)
 #: dialogs/multipagedialogbase.cpp:405 umbrello.kcfg:177 umbrello.kcfg:292
-#: umllistview.cpp:1450
+#: umllistview.cpp:1458
 #, fuzzy, kde-format
 msgid "Font"
 msgstr "الخط:"
@@ -2550,7 +2550,7 @@ msgstr "جديد كيان الصّفة."
 
 #: dialogs/pages/classifierlistpage.cpp:217
 #: dialogs/pages/classifierlistpage.cpp:225 dialogs/umloperationdialog.cpp:167
-#: dialogs/umloperationdialog.cpp:175 uml.cpp:554
+#: dialogs/umloperationdialog.cpp:175 uml.cpp:563
 #, fuzzy, kde-format
 msgid "&Properties"
 msgstr "&خصائص"
@@ -2568,7 +2568,7 @@ msgid "Source Code"
 msgstr "عرض الرّمز"
 
 #: dialogs/pages/classoptionspage.cpp:157
-#: dialogs/pages/classoptionspage.cpp:251 uml.cpp:509
+#: dialogs/pages/classoptionspage.cpp:251 uml.cpp:518
 #, fuzzy, kde-format
 msgid "&Documentation"
 msgstr "التوثيق"
@@ -2755,8 +2755,8 @@ msgstr ""
 #: uml1model/classifier.cpp:410 uml1model/classifier.cpp:781
 #: uml1model/entity.cpp:125 uml1model/entity.cpp:178 uml1model/entity.cpp:228
 #: uml1model/entity.cpp:277 uml1model/enum.cpp:107 uml1model/instance.cpp:124
-#: uml1model/package.cpp:172 umldoc.cpp:1627 umldoc.cpp:1692 umldoc.cpp:1721
-#: umldoc.cpp:1755
+#: uml1model/package.cpp:178 umldoc.cpp:1629 umldoc.cpp:1694 umldoc.cpp:1723
+#: umldoc.cpp:1757
 #, fuzzy, kde-format
 msgid "Invalid Name"
 msgstr "اسم غير صالح"
@@ -2766,7 +2766,7 @@ msgstr "اسم غير صالح"
 msgid "The name you have entered is not unique."
 msgstr "الـ الاسم ليس فريد?"
 
-#: dialogs/pages/diagrampropertiespage.cpp:86 umldoc.cpp:1759
+#: dialogs/pages/diagrampropertiespage.cpp:86 umldoc.cpp:1761
 #, fuzzy, kde-format
 msgid "Name Not Unique"
 msgstr "الاسم لا وحيدفريد"
@@ -3227,7 +3227,7 @@ msgstr "التخطيط"
 msgid "Umbrello Setup"
 msgstr ""
 
-#: dialogs/settingsdialog.cpp:114 umllistview.cpp:1452
+#: dialogs/settingsdialog.cpp:114 umllistview.cpp:1460
 #, fuzzy, kde-format
 msgid "User Interface"
 msgstr "الواجهة"
@@ -3254,7 +3254,7 @@ msgstr "الفئة"
 msgid "Class Settings"
 msgstr "الأصناف مختار"
 
-#: dialogs/settingsdialog.cpp:137 umllistview.cpp:1447
+#: dialogs/settingsdialog.cpp:137 umllistview.cpp:1455
 #, fuzzy, kde-format
 msgid "Code Importer"
 msgstr "مشروع الجيل"
@@ -3264,7 +3264,7 @@ msgstr "مشروع الجيل"
 msgid "Code Import Settings"
 msgstr "الرّمز المستعرض"
 
-#: dialogs/settingsdialog.cpp:146 umllistview.cpp:1448
+#: dialogs/settingsdialog.cpp:146 umllistview.cpp:1456
 #, fuzzy, kde-format
 msgid "Code Generation"
 msgstr "الرّمز الجيل المساعد"
@@ -3274,7 +3274,7 @@ msgstr "الرّمز الجيل المس
 msgid "Code Generation Settings"
 msgstr "الرّمز الجيل خيارات"
 
-#: dialogs/settingsdialog.cpp:154 umllistview.cpp:1449
+#: dialogs/settingsdialog.cpp:154 umllistview.cpp:1457
 #, fuzzy, kde-format
 msgid "Code Viewer"
 msgstr "الرّمز المستعرض"
@@ -3284,7 +3284,7 @@ msgstr "الرّمز المستعرض"
 msgid "Code Viewer Settings"
 msgstr "الرّمز المستعرض"
 
-#: dialogs/settingsdialog.cpp:161 umllistview.cpp:1445
+#: dialogs/settingsdialog.cpp:161 umllistview.cpp:1453
 #, fuzzy, kde-format
 msgid "Auto Layout"
 msgstr "1"
@@ -3907,7 +3907,7 @@ msgstr "ملاحظة النوع"
 msgid "Package path:"
 msgstr "الرزمة"
 
-#: dialogs/widgets/umlstereotypewidget.cpp:29 uml1model/umlobject.cpp:1179
+#: dialogs/widgets/umlstereotypewidget.cpp:29 uml1model/umlobject.cpp:1180
 #, fuzzy, kde-format
 msgid "Stereotype &name:"
 msgstr "القالب الجاهز"
@@ -4051,7 +4051,7 @@ msgstr "c بول c Umbrello المؤلف
 msgid "Gael de Chalendar (aka Kleag)"
 msgstr ""
 
-#: docgenerators/main.cpp:56 main.cpp:131
+#: docgenerators/main.cpp:56 main.cpp:133
 #, fuzzy, kde-format
 msgid "Umbrello UML Modeller Authors"
 msgstr "Umbrello المؤلفون"
@@ -4113,12 +4113,12 @@ msgstr ""
 msgid "Apply layout"
 msgstr "1"
 
-#: main.cpp:121
+#: main.cpp:123
 #, fuzzy, kde-format
 msgid "Umbrello UML Modeller"
 msgstr "Umbrello"
 
-#: main.cpp:123
+#: main.cpp:125
 #, kde-format
 msgid ""
 "Umbrello – Visual development environment for software, based on the "
@@ -4126,116 +4126,116 @@ msgid ""
 "\"http://www.omg.org/spec/\">http://www.omg.org/spec/</a>."
 msgstr ""
 
-#: main.cpp:127
+#: main.cpp:129
 #, fuzzy, kde-format
 msgid ""
 "Copyright © 2001 Paul Hensgen,\n"
 "Copyright © 2002-2020 Umbrello UML Modeller Authors"
 msgstr "c بول c Umbrello المؤلفون"
 
-#: main.cpp:130
+#: main.cpp:132
 #, fuzzy, kde-format
 msgid "Paul Hensgen"
 msgstr "بول"
 
-#: main.cpp:130
+#: main.cpp:132
 #, kde-format
 msgid "Author of initial version."
 msgstr ""
 
-#: main.cpp:134
+#: main.cpp:136
 #, kde-format
 msgid "Oliver Kellogg"
 msgstr ""
 
-#: main.cpp:135 main.cpp:138
+#: main.cpp:137 main.cpp:140
 #, kde-format
 msgid "Bug fixing, porting work, code cleanup, new features."
 msgstr ""
 
-#: main.cpp:137
+#: main.cpp:139
 #, kde-format
 msgid "Ralf Habacker"
 msgstr ""
 
-#: main.cpp:140
+#: main.cpp:142
 #, kde-format
 msgid "Andi Fischer"
 msgstr ""
 
-#: main.cpp:141
+#: main.cpp:143
 #, kde-format
 msgid "Porting work, code cleanup, new features."
 msgstr ""
 
-#: main.cpp:143
+#: main.cpp:145
 #, kde-format
 msgid "Jonathan Riddell"
 msgstr ""
 
-#: main.cpp:144
+#: main.cpp:146
 #, fuzzy, kde-format
 msgid "Current maintainer."
 msgstr "متتالية  خطاطة"
 
-#: main.cpp:146
+#: main.cpp:148
 #, kde-format
 msgid "Brian Thomas"
 msgstr ""
 
-#: main.cpp:147
+#: main.cpp:149
 #, kde-format
 msgid "A lot of work for C++ and Java code generation. Codeeditor."
 msgstr ""
 
-#: main.cpp:152
+#: main.cpp:154
 #, fuzzy, kde-format
 msgid "File to open"
 msgstr "الملف المراد فتحه"
 
-#: main.cpp:153
+#: main.cpp:155
 #, fuzzy, kde-format
 msgid "export diagrams to extension and exit"
 msgstr "تصدير إلى إمتداد و خروج"
 
-#: main.cpp:154
+#: main.cpp:156
 #, kde-format
 msgid "list available export extensions"
 msgstr ""
 
-#: main.cpp:155
+#: main.cpp:157
 #, fuzzy, kde-format
 msgid "the local directory to save the exported diagrams in"
 msgstr "محليّ دليل إلى حفظ بوصة"
 
-#: main.cpp:155
+#: main.cpp:157
 #, fuzzy, kde-format
 msgid "the directory of the file"
 msgstr "دليل من ملفّ"
 
-#: main.cpp:156
+#: main.cpp:158
 #, fuzzy, kde-format
 msgid "import files"
 msgstr "جاري التصدير اعرض."
 
-#: main.cpp:157
+#: main.cpp:159
 #, fuzzy, kde-format
 msgid "list supported languages"
 msgstr "كل الملفّات"
 
-#: main.cpp:158
+#: main.cpp:160
 #, fuzzy, kde-format
 msgid ""
 "keep the tree structure used to store the views in the document in the "
 "target directory"
 msgstr "إبقاء شجرة بنية مُستخدَم إلى تخزين بوصة مستند بوصة هدف دليل"
 
-#: main.cpp:159
+#: main.cpp:161
 #, fuzzy, kde-format
 msgid "import files from directory <dir>"
 msgstr "استيراد مشروع."
 
-#: main.cpp:163
+#: main.cpp:165
 #, fuzzy, kde-format
 msgid "set active language"
 msgstr "نشط اللغة"
@@ -4499,7 +4499,7 @@ msgstr "لا الإزاحة"
 msgid "Import File(s)..."
 msgstr "استيراد الأصناف."
 
-#: menus/listpopupmenu.cpp:201 uml.cpp:356
+#: menus/listpopupmenu.cpp:201 uml.cpp:365
 #, fuzzy, kde-format
 msgid "Import from Directory..."
 msgstr "استيراد مشروع."
@@ -5000,42 +5000,42 @@ msgctxt "align menu"
 msgid "Align"
 msgstr "&محاذاة"
 
-#: menus/widgetbasepopupmenu.cpp:598 uml.cpp:573
+#: menus/widgetbasepopupmenu.cpp:598 uml.cpp:582
 #, fuzzy, kde-format
 msgid "Align Right"
 msgstr "محاذاة إلى اليمين"
 
-#: menus/widgetbasepopupmenu.cpp:599 uml.cpp:578
+#: menus/widgetbasepopupmenu.cpp:599 uml.cpp:587
 #, fuzzy, kde-format
 msgid "Align Left"
 msgstr "محاذاة إلى اليسار"
 
-#: menus/widgetbasepopupmenu.cpp:600 uml.cpp:583
+#: menus/widgetbasepopupmenu.cpp:600 uml.cpp:592
 #, fuzzy, kde-format
 msgid "Align Top"
 msgstr "محاذاة إلى أعلى"
 
-#: menus/widgetbasepopupmenu.cpp:601 uml.cpp:588
+#: menus/widgetbasepopupmenu.cpp:601 uml.cpp:597
 #, fuzzy, kde-format
 msgid "Align Bottom"
 msgstr "محاذاة للأسفل"
 
-#: menus/widgetbasepopupmenu.cpp:603 uml.cpp:593
+#: menus/widgetbasepopupmenu.cpp:603 uml.cpp:602
 #, fuzzy, kde-format
 msgid "Align Vertical Middle"
 msgstr "حاذي رأسي وسط"
 
-#: menus/widgetbasepopupmenu.cpp:604 uml.cpp:598
+#: menus/widgetbasepopupmenu.cpp:604 uml.cpp:607
 #, fuzzy, kde-format
 msgid "Align Horizontal Middle"
 msgstr "حاذي أفقي وسط"
 
-#: menus/widgetbasepopupmenu.cpp:605 uml.cpp:603
+#: menus/widgetbasepopupmenu.cpp:605 uml.cpp:612
 #, fuzzy, kde-format
 msgid "Align Vertical Distribute"
 msgstr "حاذي رأسي توزيع"
 
-#: menus/widgetbasepopupmenu.cpp:606 uml.cpp:608
+#: menus/widgetbasepopupmenu.cpp:606 uml.cpp:617
 #, fuzzy, kde-format
 msgid "Align Horizontal Distribute"
 msgstr "حاذي أفقي توزيع"
@@ -5860,8 +5860,8 @@ msgstr "الرسالة"
 #: object_factory.cpp:251 uml1model/classifier.cpp:410
 #: uml1model/classifier.cpp:781 uml1model/entity.cpp:125
 #: uml1model/entity.cpp:178 uml1model/entity.cpp:228 uml1model/entity.cpp:277
-#: uml1model/enum.cpp:107 uml1model/instance.cpp:124 uml1model/package.cpp:171
-#: umldoc.cpp:1721 umldoc.cpp:1755
+#: uml1model/enum.cpp:107 uml1model/instance.cpp:124 uml1model/package.cpp:177
+#: umldoc.cpp:1723 umldoc.cpp:1757
 #, fuzzy, kde-format
 msgid "That is an invalid name."
 msgstr "ذلك هو غير صالح الاسم."
@@ -5880,7 +5880,7 @@ msgstr "محجوز الكلمة المف
 #: object_factory.cpp:264 uml1model/classifier.cpp:413
 #: uml1model/classifier.cpp:783 uml1model/entity.cpp:127
 #: uml1model/entity.cpp:180 uml1model/entity.cpp:230 uml1model/entity.cpp:279
-#: uml1model/instance.cpp:126 umldoc.cpp:1727 umldoc.cpp:1764
+#: uml1model/instance.cpp:126 umldoc.cpp:1729 umldoc.cpp:1766
 #, fuzzy, kde-format
 msgid "That name is already being used."
 msgstr "ذلك الاسم هو مُستخدَم."
@@ -5888,8 +5888,8 @@ msgstr "ذلك الاسم هو مُست
 #: object_factory.cpp:265 uml1model/classifier.cpp:413
 #: uml1model/classifier.cpp:783 uml1model/entity.cpp:127
 #: uml1model/entity.cpp:180 uml1model/entity.cpp:230 uml1model/entity.cpp:279
-#: uml1model/instance.cpp:126 umldoc.cpp:1629 umldoc.cpp:1699 umldoc.cpp:1727
-#: umldoc.cpp:1764
+#: uml1model/instance.cpp:126 umldoc.cpp:1631 umldoc.cpp:1701 umldoc.cpp:1729
+#: umldoc.cpp:1766
 #, fuzzy, kde-format
 msgid "Not a Unique Name"
 msgstr "لا a وحيدفريد الاسم"
@@ -5950,12 +5950,12 @@ msgstr "أداة تعريف عملية 
 msgid "Choose a different name."
 msgstr "إستعمل a مختلف الاسم"
 
-#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:266
+#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:273
 #, fuzzy, kde-format
 msgid "Incorrect use of associations."
 msgstr "خاطئ استخدام من."
 
-#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:266
+#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:273
 #, fuzzy, kde-format
 msgid "Association Error"
 msgstr "الجمعيّة خطأ"
@@ -7117,188 +7117,188 @@ msgstr "نشط اللغة"
 msgid "&Settings"
 msgstr "الدّور خصائص"
 
-#: uml.cpp:332
+#: uml.cpp:341
 #, fuzzy, kde-format
 msgid "&Export model to DocBook"
 msgstr "صدِّر شكل ، نموذج إلى DocBook"
 
-#: uml.cpp:336
+#: uml.cpp:345
 #, fuzzy, kde-format
 msgid "&Export model to XHTML"
 msgstr "صدِّر شكل ، نموذج إلى"
 
-#: uml.cpp:340
+#: uml.cpp:349
 #, fuzzy, kde-format
 msgid "&New Class Wizard..."
 msgstr "جديد الفئة المساعد."
 
-#: uml.cpp:344
+#: uml.cpp:353
 #, fuzzy, kde-format
 msgid "&Add Default Datatypes for Active Language"
 msgstr "إضافة افتراضي لـ نشط اللغة"
 
-#: uml.cpp:351
+#: uml.cpp:360
 #, fuzzy, kde-format
 msgid "Code &Importing Wizard..."
 msgstr "الرّمز الجيل المساعد."
 
-#: uml.cpp:361
+#: uml.cpp:370
 #, fuzzy, kde-format
 msgid "&Code Generation Wizard..."
 msgstr "الرّمز الجيل المساعد."
 
-#: uml.cpp:366
+#: uml.cpp:375
 #, fuzzy, kde-format
 msgid "&Generate All Code"
 msgstr "أنشئ الكل الرّمز"
 
-#: uml.cpp:411
+#: uml.cpp:420
 #, fuzzy, kde-format
 msgid "Creates a new document"
 msgstr "تقوم بعمل مستند جديد"
 
-#: uml.cpp:412
+#: uml.cpp:421
 #, fuzzy, kde-format
 msgid "Opens an existing document"
 msgstr "تفتح مستند موجود"
 
-#: uml.cpp:413
+#: uml.cpp:422
 #, fuzzy, kde-format
 msgid "Opens a recently used file"
 msgstr "يفتح ملف مستخدم حديثا"
 
-#: uml.cpp:414
+#: uml.cpp:423
 #, fuzzy, kde-format
 msgid "Saves the document"
 msgstr "ينقذ مستند"
 
-#: uml.cpp:415
+#: uml.cpp:424
 #, fuzzy, kde-format
 msgid "Saves the document as..."
 msgstr "ينقذ مستند."
 
-#: uml.cpp:416
+#: uml.cpp:425
 #, fuzzy, kde-format
 msgid "Closes the document"
 msgstr "يغلق مستند"
 
-#: uml.cpp:417
+#: uml.cpp:426
 #, fuzzy, kde-format
 msgid "Prints out the document"
 msgstr "الطبعات خارج مستند"
 
-#: uml.cpp:418
+#: uml.cpp:427
 #, fuzzy, kde-format
 msgid "Print Preview of the document"
 msgstr "الطبعات خارج مستند"
 
-#: uml.cpp:419
+#: uml.cpp:428
 #, fuzzy, kde-format
 msgid "Quits the application"
 msgstr "يغادر التَّطبيق"
 
-#: uml.cpp:420
+#: uml.cpp:429
 #, fuzzy, kde-format
 msgid "Exports the model to the docbook format"
 msgstr "الصادرات شكل ، نموذج إلى تنسيق"
 
-#: uml.cpp:421
+#: uml.cpp:430
 #, fuzzy, kde-format
 msgid "Exports the model to the XHTML format"
 msgstr "الصادرات شكل ، نموذج إلى تنسيق"
 
-#: uml.cpp:422
+#: uml.cpp:431
 #, fuzzy, kde-format
 msgid "Cuts the selected section and puts it to the clipboard"
 msgstr "يقُصُ المقطع المُنتقَى ويضعه في حافظة القُصاصات"
 
-#: uml.cpp:423
+#: uml.cpp:432
 #, fuzzy, kde-format
 msgid "Copies the selected section to the clipboard"
 msgstr "ينسخ المقطع المُنتقى إلى حافظة القُصاصات"
 
-#: uml.cpp:424
+#: uml.cpp:433
 #, fuzzy, kde-format
 msgid "Pastes the contents of the clipboard"
 msgstr "المعاجين من حافظة"
 
-#: uml.cpp:425
+#: uml.cpp:434
 #, fuzzy, kde-format
 msgid "Set the default program preferences"
 msgstr "ضبط افتراضي برنامج تفضيلات"
 
-#: uml.cpp:429
+#: uml.cpp:438
 #, fuzzy, kde-format
 msgctxt "delete selected widget"
 msgid "Delete &Selected"
 msgstr "احذف مختار"
 
-#: uml.cpp:440
+#: uml.cpp:449
 #, fuzzy, kde-format
 msgid "&Class Diagram..."
 msgstr "الفئة التخطيط."
 
-#: uml.cpp:447
+#: uml.cpp:456
 #, fuzzy, kde-format
 msgid "&Object Diagram..."
 msgstr "الحالة التخطيط."
 
-#: uml.cpp:454
+#: uml.cpp:463
 #, fuzzy, kde-format
 msgid "&Sequence Diagram..."
 msgstr "السلسلة التخطيط."
 
-#: uml.cpp:460
+#: uml.cpp:469
 #, fuzzy, kde-format
 msgid "C&ommunication Diagram..."
 msgstr "التعاون التخطيط."
 
-#: uml.cpp:466
+#: uml.cpp:475
 #, fuzzy, kde-format
 msgid "&Use Case Diagram..."
 msgstr "إستعمل الحالة التخطيط."
 
-#: uml.cpp:472
+#: uml.cpp:481
 #, fuzzy, kde-format
 msgid "S&tate Diagram..."
 msgstr "الحالة التخطيط."
 
-#: uml.cpp:478
+#: uml.cpp:487
 #, fuzzy, kde-format
 msgid "&Activity Diagram..."
 msgstr "النّشاط التخطيط."
 
-#: uml.cpp:484
+#: uml.cpp:493
 #, fuzzy, kde-format
 msgid "Co&mponent Diagram..."
 msgstr "المكوّن التخطيط."
 
-#: uml.cpp:490
+#: uml.cpp:499
 #, fuzzy, kde-format
 msgid "&Deployment Diagram..."
 msgstr "نشر التخطيط."
 
-#: uml.cpp:496
+#: uml.cpp:505
 #, fuzzy, kde-format
 msgid "&Entity Relationship Diagram..."
 msgstr "كيان العلاقة التخطيط."
 
-#: uml.cpp:501 uml.cpp:954
+#: uml.cpp:510 uml.cpp:963
 #, fuzzy, kde-format
 msgid "&Tree View"
 msgstr "عرض &شجري"
 
-#: uml.cpp:505
+#: uml.cpp:514
 #, kde-format
 msgid "&Debugging"
 msgstr ""
 
-#: uml.cpp:513
+#: uml.cpp:522
 #, kde-format
 msgid "&Logging"
 msgstr ""
 
-#: uml.cpp:517
+#: uml.cpp:526
 #, fuzzy, kde-format
 msgid "&Command history"
 msgstr "الأمر تاريخ"
@@ -7307,135 +7307,135 @@ msgstr "الأمر تاريخ"
 #. m_propertyDock->setObjectName(QLatin1String("PropertyDock"));
 #. addDockWidget(Qt::LeftDockWidgetArea, m_propertyDock);  //:TODO:
 #. create the bird's eye view
-#: uml.cpp:521 uml.cpp:1011
+#: uml.cpp:530 uml.cpp:1020
 #, kde-format
 msgid "&Bird's eye view"
 msgstr ""
 
-#: uml.cpp:526
+#: uml.cpp:535
 #, fuzzy, kde-format
 msgid "&Clear Diagram"
 msgstr "امسح التخطيط"
 
-#: uml.cpp:530
+#: uml.cpp:539
 #, fuzzy, kde-format
 msgid "&Snap to Grid"
 msgstr "انطباق إلى الشبكة"
 
-#: uml.cpp:534
+#: uml.cpp:543
 #, fuzzy, kde-format
 msgid "S&how Grid"
 msgstr "اعرض الشبكة"
 
-#: uml.cpp:539
+#: uml.cpp:548
 #, fuzzy, kde-format
 msgid "&Delete Diagram"
 msgstr "احذف التخطيط"
 
-#: uml.cpp:544
+#: uml.cpp:553
 #, fuzzy, kde-format
 msgid "&Export as Picture..."
 msgstr "صدِّر صورة."
 
-#: uml.cpp:549
+#: uml.cpp:558
 #, fuzzy, kde-format
 msgid "Export &Diagrams as Pictures..."
 msgstr "صدِّر الكل التخطيطات صور."
 
-#: uml.cpp:569
+#: uml.cpp:578
 #, fuzzy, kde-format
 msgid "Z&oom to 100%"
 msgstr "تكبير إلى"
 
-#: uml.cpp:612
+#: uml.cpp:621
 #, fuzzy, kde-format
 msgid "&Move Tab Left"
 msgstr "نقل لسان يسار"
 
-#: uml.cpp:613
+#: uml.cpp:622
 #, fuzzy, kde-format
 msgid "&Move Tab Right"
 msgstr "نقل لسان يمين"
 
-#: uml.cpp:636
+#: uml.cpp:645
 #, fuzzy, kde-format
 msgid "Select Diagram on Left"
 msgstr "انتقِ التخطيط يعمل يسار"
 
-#: uml.cpp:637
+#: uml.cpp:646
 #, fuzzy, kde-format
 msgid "Select Diagram on Right"
 msgstr "انتقِ التخطيط يعمل يمين"
 
-#: uml.cpp:776
+#: uml.cpp:785
 #, kde-format
 msgctxt "%1 percent value from 20 to 500"
 msgid " &%1%"
 msgstr ""
 
-#: uml.cpp:826
+#: uml.cpp:835
 #, fuzzy, kde-format
 msgctxt "init status bar"
 msgid "Ready"
 msgstr "جاهز"
 
-#: uml.cpp:835 uml.cpp:848
+#: uml.cpp:844 uml.cpp:857
 #, fuzzy, kde-format
 msgid "100%"
 msgstr "&100%"
 
-#: uml.cpp:840
+#: uml.cpp:849
 #, fuzzy, kde-format
 msgid "Fit"
 msgstr "&ملف"
 
-#: uml.cpp:899
+#: uml.cpp:908
 #, fuzzy, kde-format
 msgid "Diagram Toolbar"
 msgstr "التخطيط شريط الأدوات"
 
-#: uml.cpp:965
+#: uml.cpp:974
 #, fuzzy, kde-format
 msgid "Doc&umentation"
 msgstr "التوثيق"
 
-#: uml.cpp:976
+#: uml.cpp:985
 #, fuzzy, kde-format
 msgid "Co&mmand history"
 msgstr "الأمر تاريخ"
 
-#: uml.cpp:992
+#: uml.cpp:1001
 #, kde-format
 msgid "&Debug"
 msgstr ""
 
-#: uml.cpp:999
+#: uml.cpp:1008
 #, kde-format
 msgid "&Log"
 msgstr ""
 
-#: uml.cpp:1041 uml.cpp:1258 uml.cpp:1307
+#: uml.cpp:1050 uml.cpp:1267 uml.cpp:1316
 #, fuzzy, kde-format
 msgid "Opening file..."
 msgstr "جاري فتح الملف..."
 
-#: uml.cpp:1092 uml.cpp:1157 uml.cpp:1342 umldoc.cpp:342 umldoc.cpp:344
-#: umldoc.cpp:368 umldoc.cpp:3396
+#: uml.cpp:1101 uml.cpp:1166 uml.cpp:1351 umldoc.cpp:343 umldoc.cpp:345
+#: umldoc.cpp:369 umldoc.cpp:3405
 #, fuzzy, kde-format
 msgid "Untitled"
 msgstr "بدون عنوان"
 
-#: uml.cpp:1240
+#: uml.cpp:1249
 #, fuzzy, kde-format
 msgid "Creating new document..."
 msgstr "جاري إنشاء مستند جديد..."
 
-#: uml.cpp:1266 uml.cpp:1281
+#: uml.cpp:1275 uml.cpp:1290
 #, fuzzy, kde-format
 msgid "Open File"
 msgstr "افتح ملف"
 
-#: uml.cpp:1270
+#: uml.cpp:1279
 #, fuzzy, kde-format
 msgid ""
 "*.xmi *.xmi.tgz *.xmi.tar.bz2 *.mdl *.zargo|All Supported Files (*.xmi, *."
@@ -7449,29 +7449,29 @@ msgstr ""
 "الكل مدعوم ملفات n غير مضغوط ملفات n Gzip مضغوط ملفات n Bzip2 مضغوط ملفات n "
 "الوردة شكل ، نموذج ملفات"
 
-#: uml.cpp:1341
+#: uml.cpp:1350
 #, fuzzy, kde-format
 msgid "Saving file..."
 msgstr "جاري حفظ الملف..."
 
-#: uml.cpp:1358
+#: uml.cpp:1367
 #, fuzzy, kde-format
 msgid "Saving file with a new filename..."
 msgstr "جاري حفظ الملف باسم ملف جديد..."
 
-#: uml.cpp:1368 uml.cpp:1374 umlviewimageexporter.cpp:199
+#: uml.cpp:1377 uml.cpp:1383 umlviewimageexporter.cpp:199
 #, fuzzy, kde-format
 msgid "Save As"
 msgstr "احفظ كـ"
 
-#: uml.cpp:1369
+#: uml.cpp:1378
 #, fuzzy, kde-format
 msgid ""
 "*.xmi | XMI File (*.xmi);;*.xmi.tgz | Gzip Compressed XMI File (*.xmi.tgz);;"
 "*.xmi.tar.bz2 | Bzip2 Compressed XMI File (*.xmi.tar.bz2);;* | All Files (*)"
 msgstr "ملف n Gzip مضغوط ملف n Bzip2 مضغوط ملف n الكل ملفات"
 
-#: uml.cpp:1374
+#: uml.cpp:1383
 #, fuzzy, kde-format
 msgid ""
 "*.xmi|XMI File\n"
@@ -7480,112 +7480,112 @@ msgid ""
 "*|All Files"
 msgstr "ملف n Gzip مضغوط ملف n Bzip2 مضغوط ملف n الكل ملفات"
 
-#: uml.cpp:1387
+#: uml.cpp:1396
 #, fuzzy, kde-format
 msgid ""
 "The file %1 exists.\n"
 "Do you wish to overwrite it?"
 msgstr "الـ ملفّ موجود إلى كتابة فوقية :: كتابة على الإيطالية?"
 
-#: uml.cpp:1388
+#: uml.cpp:1397
 #, fuzzy, kde-format
 msgid "Warning"
 msgstr "تحذير"
 
-#: uml.cpp:1388
+#: uml.cpp:1397
 #, fuzzy, kde-format
 msgid "Overwrite"
 msgstr "الكتابة فوقه"
 
-#: uml.cpp:1422
+#: uml.cpp:1431
 #, fuzzy, kde-format
 msgid "Closing file..."
 msgstr "جاري إغلاق ملف..."
 
-#: uml.cpp:1432
+#: uml.cpp:1441
 #, kde-format
 msgid "No search term entered"
 msgstr ""
 
-#: uml.cpp:1438
+#: uml.cpp:1447
 #, kde-format
 msgid "'%1': %2 found"
 msgstr ""
 
-#: uml.cpp:1502
+#: uml.cpp:1511
 #, fuzzy, kde-format
 msgid "Print Preview..."
 msgstr "جاري التصدير اعرض."
 
-#: uml.cpp:1529
+#: uml.cpp:1538
 #, fuzzy, kde-format
 msgid "Printing..."
 msgstr "طباعة..."
 
-#: uml.cpp:1536 uml.cpp:1540
+#: uml.cpp:1545 uml.cpp:1549
 #, fuzzy, kde-format
 msgid "Print %1"
 msgstr "إطبع %1"
 
-#: uml.cpp:1560
+#: uml.cpp:1569
 #, fuzzy, kde-format
 msgid "Exiting..."
 msgstr "جاري الخروج..."
 
-#: uml.cpp:1647
+#: uml.cpp:1656
 #, fuzzy, kde-format
 msgid "Cutting selection..."
 msgstr "جاري قطع الإختيار..."
 
-#: uml.cpp:1670
+#: uml.cpp:1679
 #, fuzzy, kde-format
 msgid "Copying selection to clipboard..."
 msgstr "جاري نسخ الإختيار الى الحافظة..."
 
-#: uml.cpp:1682
+#: uml.cpp:1691
 #, fuzzy, kde-format
 msgid "Inserting clipboard contents..."
 msgstr "جاري إدراج محتويات الحافظة..."
 
-#: uml.cpp:1687
+#: uml.cpp:1696
 #, fuzzy, kde-format
 msgid ""
 "Umbrello could not paste the clipboard contents.  The objects in the "
 "clipboard may be of the wrong type to be pasted here."
 msgstr "Umbrello ليس الصق حافظة الـ بوصة حافظة أيار من خطأ نوع إلى."
 
-#: uml.cpp:1713 umlviewimageexporter.cpp:92 umlviewimageexporterall.cpp:123
+#: uml.cpp:1722 umlviewimageexporter.cpp:92 umlviewimageexporterall.cpp:123
 #, fuzzy, kde-format
 msgctxt "reset status bar"
 msgid "Ready."
 msgstr "جاهز."
 
-#: uml.cpp:2246
+#: uml.cpp:2255
 #, fuzzy, kde-format
 msgid "Cannot view code until you generate some first."
 msgstr "لا يستطيع اعرض رمز حتّى توليد بعض الأوّل."
 
-#: uml.cpp:2246 uml.cpp:2249
+#: uml.cpp:2255 uml.cpp:2258
 #, fuzzy, kde-format
 msgid "Cannot View Code"
 msgstr "لا يستطيع عرض الرّمز"
 
-#: uml.cpp:2249
+#: uml.cpp:2258
 #, fuzzy, kde-format
 msgid "Cannot view code from simple code writer."
 msgstr "لا يستطيع اعرض رمز من بسيط رمز."
 
-#: uml.cpp:2714 uml.cpp:2716
+#: uml.cpp:2728 uml.cpp:2730
 #, fuzzy, kde-format
 msgid "Select file(s) to import:"
 msgstr "انتقِ الرّمز إلى استيراد"
 
-#: uml.cpp:2747 uml.cpp:2749
+#: uml.cpp:2761 uml.cpp:2763
 #, fuzzy, kde-format
 msgid "Select directory to import:"
 msgstr "انتقِ الرّمز إلى استيراد"
 
-#: uml.cpp:3313
+#: uml.cpp:3335
 #, fuzzy, kde-format
 msgid "XHTML Generation failed ."
 msgstr "الجيل failed."
@@ -7597,20 +7597,20 @@ msgid ""
 "it again."
 msgstr "أداة تعريف عملية مع الاسم و إمضاء موجود أنت ليس اضف الإيطالية."
 
-#: uml1model/folder.cpp:435
+#: uml1model/folder.cpp:436
 #, fuzzy, kde-format
 msgid "The folderfile %1 does not exist."
 msgstr "الـ ليس."
 
-#: uml1model/folder.cpp:435 uml1model/folder.cpp:439 umldoc.cpp:529
-#: umldoc.cpp:541 umldoc.cpp:568 umldoc.cpp:570 umldoc.cpp:620 umldoc.cpp:623
-#: umldoc.cpp:638 umldoc.cpp:641 umldoc.cpp:665 umldoc.cpp:668 umldoc.cpp:684
-#: umldoc.cpp:687 umldoc.cpp:702 umldoc.cpp:705 umldoc.cpp:750
+#: uml1model/folder.cpp:436 uml1model/folder.cpp:440 umldoc.cpp:530
+#: umldoc.cpp:542 umldoc.cpp:569 umldoc.cpp:571 umldoc.cpp:621 umldoc.cpp:624
+#: umldoc.cpp:639 umldoc.cpp:642 umldoc.cpp:666 umldoc.cpp:669 umldoc.cpp:685
+#: umldoc.cpp:688 umldoc.cpp:703 umldoc.cpp:706 umldoc.cpp:751
 #, fuzzy, kde-format
 msgid "Load Error"
 msgstr "خطأ تحميل"
 
-#: uml1model/folder.cpp:439
+#: uml1model/folder.cpp:440
 #, fuzzy, kde-format
 msgid "The folderfile %1 cannot be opened."
 msgstr "الـ."
@@ -7620,13 +7620,13 @@ msgstr "الـ."
 msgid "new_parameter"
 msgstr "جديد معلمة"
 
-#: uml1model/package.cpp:163
+#: uml1model/package.cpp:169
 #, fuzzy, kde-format
 msgctxt "object name"
 msgid "Name"
 msgstr "الاسم"
 
-#: uml1model/package.cpp:164
+#: uml1model/package.cpp:170
 #, fuzzy, kde-format
 msgid ""
 "An object with the name %1\n"
@@ -7651,77 +7651,77 @@ msgstr ""
 "جديد قيد\n"
 "قسْر"
 
-#: uml1model/umlobject.cpp:1140
+#: uml1model/umlobject.cpp:1141
 #, fuzzy, kde-format
 msgid "Actor &name:"
 msgstr "أدخل اسم:"
 
-#: uml1model/umlobject.cpp:1143
+#: uml1model/umlobject.cpp:1144
 #, fuzzy, kde-format
 msgid "Artifact &name:"
 msgstr "الأداة"
 
-#: uml1model/umlobject.cpp:1146
+#: uml1model/umlobject.cpp:1147
 #, fuzzy, kde-format
 msgid "Association &name:"
 msgstr "الجمعيّة الاسم"
 
-#: uml1model/umlobject.cpp:1149
+#: uml1model/umlobject.cpp:1150
 #, fuzzy, kde-format
 msgid "Class &name:"
 msgstr "الفئة الاسم"
 
-#: uml1model/umlobject.cpp:1152
+#: uml1model/umlobject.cpp:1153
 #, fuzzy, kde-format
 msgid "Component &name:"
 msgstr "المكوّن عرض"
 
-#: uml1model/umlobject.cpp:1155
+#: uml1model/umlobject.cpp:1156
 #, fuzzy, kde-format
 msgid "Datatype &name:"
 msgstr "نوع البيانات"
 
-#: uml1model/umlobject.cpp:1158
+#: uml1model/umlobject.cpp:1159
 #, fuzzy, kde-format
 msgid "Entity &name:"
 msgstr "أدخل اسم:"
 
-#: uml1model/umlobject.cpp:1161
+#: uml1model/umlobject.cpp:1162
 #, fuzzy, kde-format
 msgid "Enum &name:"
 msgstr "أدخل اسم:"
 
-#: uml1model/umlobject.cpp:1164
+#: uml1model/umlobject.cpp:1165
 #, fuzzy, kde-format
 msgid "Folder &name:"
 msgstr "أدخل اسم:"
 
-#: uml1model/umlobject.cpp:1167
+#: uml1model/umlobject.cpp:1168
 #, fuzzy, kde-format
 msgid "Interface &name:"
 msgstr "أدخل اسم:"
 
-#: uml1model/umlobject.cpp:1170
+#: uml1model/umlobject.cpp:1171
 #, fuzzy, kde-format
 msgid "Node &name:"
 msgstr "أدخل اسم:"
 
-#: uml1model/umlobject.cpp:1173
+#: uml1model/umlobject.cpp:1174
 #, fuzzy, kde-format
 msgid "Package &name:"
 msgstr "الرزمة"
 
-#: uml1model/umlobject.cpp:1176
+#: uml1model/umlobject.cpp:1177
 #, fuzzy, kde-format
 msgid "Port &name:"
 msgstr "أدخل اسم:"
 
-#: uml1model/umlobject.cpp:1182
+#: uml1model/umlobject.cpp:1183
 #, fuzzy, kde-format
 msgid "Use case &name:"
 msgstr "استخدام حالة خطاطة"
 
-#: uml1model/umlobject.cpp:1185
+#: uml1model/umlobject.cpp:1186
 #, fuzzy, kde-format
 msgid "Instance name:"
 msgstr "أدخل اسم:"
@@ -7741,42 +7741,42 @@ msgstr "القالب الجاهز"
 msgid "Welcome"
 msgstr ""
 
-#: umldoc.cpp:112 umldoc.cpp:2400 umldoc.cpp:2428
+#: umldoc.cpp:113 umldoc.cpp:2405 umldoc.cpp:2433
 #, fuzzy, kde-format
 msgid "UML Model"
 msgstr "الطراز"
 
-#: umldoc.cpp:154
+#: umldoc.cpp:155
 #, fuzzy, kde-format
 msgid "Logical View"
 msgstr "منطقي عرض"
 
-#: umldoc.cpp:155
+#: umldoc.cpp:156
 #, fuzzy, kde-format
 msgid "Use Case View"
 msgstr "إستعمل الحالة عرض"
 
-#: umldoc.cpp:156
+#: umldoc.cpp:157
 #, fuzzy, kde-format
 msgid "Component View"
 msgstr "المكوّن عرض"
 
-#: umldoc.cpp:157
+#: umldoc.cpp:158
 #, fuzzy, kde-format
 msgid "Deployment View"
 msgstr "نشر عرض"
 
-#: umldoc.cpp:158
+#: umldoc.cpp:159
 #, fuzzy, kde-format
 msgid "Entity Relationship Model"
 msgstr "كيان العلاقة الطراز"
 
-#: umldoc.cpp:184
+#: umldoc.cpp:185
 #, kde-format
 msgid "Datatypes"
 msgstr ""
 
-#: umldoc.cpp:363
+#: umldoc.cpp:364
 #, fuzzy, kde-format
 msgid ""
 "The current file has been modified.\n"
@@ -7785,290 +7785,290 @@ msgstr ""
 "تم تعديل الملف الحالي.\n"
 "هل تريد حفظه؟"
 
-#: umldoc.cpp:364
+#: umldoc.cpp:365
 #, fuzzy, kde-format
 msgctxt "warning message"
 msgid "Warning"
 msgstr "تحذير"
 
-#: umldoc.cpp:529
+#: umldoc.cpp:530
 #, fuzzy, kde-format
 msgid "The file <%1> does not exist."
 msgstr "الـ ملفّ ليس."
 
-#: umldoc.cpp:541
+#: umldoc.cpp:542
 #, fuzzy, kde-format
 msgid "The file %1 does not exist."
 msgstr "الـ ملفّ ليس."
 
-#: umldoc.cpp:568 umldoc.cpp:570
+#: umldoc.cpp:569 umldoc.cpp:571
 #, fuzzy, kde-format
 msgid "The file %1 seems to be corrupted."
 msgstr "الـ ملفّ إلى."
 
-#: umldoc.cpp:619 umldoc.cpp:622 umldoc.cpp:637 umldoc.cpp:640 umldoc.cpp:683
-#: umldoc.cpp:686
+#: umldoc.cpp:620 umldoc.cpp:623 umldoc.cpp:638 umldoc.cpp:641 umldoc.cpp:684
+#: umldoc.cpp:687
 #, fuzzy, kde-format
 msgid "There was no XMI file found in the compressed file %1."
 msgstr "هناك لا ملفّ موجود بوصة مضغوط ملفّ."
 
-#: umldoc.cpp:664 umldoc.cpp:667
+#: umldoc.cpp:665 umldoc.cpp:668
 #, fuzzy, kde-format
 msgid "There was a problem loading the extracted file: %1"
 msgstr "هناك a يجري التحميل ملفّ 1"
 
-#: umldoc.cpp:701 umldoc.cpp:704 umldoc.cpp:744 umldoc.cpp:746
+#: umldoc.cpp:702 umldoc.cpp:705 umldoc.cpp:745 umldoc.cpp:747
 #, fuzzy, kde-format
 msgid "There was a problem loading file: %1"
 msgstr "هناك a يجري التحميل ملفّ 1"
 
-#: umldoc.cpp:749
+#: umldoc.cpp:750
 #, kde-format
 msgid "Reason: %1"
 msgstr ""
 
-#: umldoc.cpp:832 umldoc.cpp:834 umldoc.cpp:851 umldoc.cpp:853 umldoc.cpp:873
-#: umldoc.cpp:875 umldoc.cpp:924 umldoc.cpp:926 umldoc.cpp:966 umldoc.cpp:969
-#: umldoc.cpp:978 umldoc.cpp:980 umllistview.cpp:593
+#: umldoc.cpp:833 umldoc.cpp:835 umldoc.cpp:852 umldoc.cpp:854 umldoc.cpp:874
+#: umldoc.cpp:876 umldoc.cpp:925 umldoc.cpp:927 umldoc.cpp:968 umldoc.cpp:971
+#: umldoc.cpp:980 umldoc.cpp:982 umllistview.cpp:594
 #, fuzzy, kde-format
 msgid "Save Error"
 msgstr "خطأ في الحفظ"
 
-#: umldoc.cpp:832 umldoc.cpp:851 umldoc.cpp:873 umldoc.cpp:924 umldoc.cpp:966
+#: umldoc.cpp:833 umldoc.cpp:852 umldoc.cpp:874 umldoc.cpp:925 umldoc.cpp:968
 #, fuzzy, kde-format
 msgid "There was a problem saving: %1"
 msgstr "هناك a ملفّ 1"
 
-#: umldoc.cpp:834 umldoc.cpp:853 umldoc.cpp:875 umldoc.cpp:926 umldoc.cpp:969
-#: umllistview.cpp:592 umlviewimageexportermodel.cpp:303
+#: umldoc.cpp:835 umldoc.cpp:854 umldoc.cpp:876 umldoc.cpp:927 umldoc.cpp:971
+#: umllistview.cpp:593 umlviewimageexportermodel.cpp:303
 #, fuzzy, kde-format
 msgid "There was a problem saving file: %1"
 msgstr "هناك a ملفّ 1"
 
-#: umldoc.cpp:978
+#: umldoc.cpp:980
 #, fuzzy, kde-format
 msgid "There was a problem uploading: %1"
 msgstr "هناك a ملفّ 1"
 
-#: umldoc.cpp:980
+#: umldoc.cpp:982
 #, fuzzy, kde-format
 msgid "There was a problem uploading file: %1"
 msgstr "هناك a ملفّ 1"
 
-#: umldoc.cpp:1526
+#: umldoc.cpp:1528
 #, fuzzy, kde-format
 msgid "use case diagram"
 msgstr "استخدام حالة خطاطة"
 
-#: umldoc.cpp:1529
+#: umldoc.cpp:1531
 #, fuzzy, kde-format
 msgid "class diagram"
 msgstr "الفئة خطاطة"
 
-#: umldoc.cpp:1532
+#: umldoc.cpp:1534
 #, fuzzy, kde-format
 msgid "sequence diagram"
 msgstr "متتالية  خطاطة"
 
-#: umldoc.cpp:1535
+#: umldoc.cpp:1537
 #, fuzzy, kde-format
 msgid "communication diagram"
 msgstr "خطاطة"
 
-#: umldoc.cpp:1538
+#: umldoc.cpp:1540
 #, fuzzy, kde-format
 msgid "object diagram"
 msgstr "احذف التخطيط"
 
-#: umldoc.cpp:1541
+#: umldoc.cpp:1543
 #, fuzzy, kde-format
 msgid "state diagram"
 msgstr "حالة خطاطة"
 
-#: umldoc.cpp:1544
+#: umldoc.cpp:1546
 #, fuzzy, kde-format
 msgid "activity diagram"
 msgstr "نشاط خطاطة"
 
-#: umldoc.cpp:1547
+#: umldoc.cpp:1549
 #, fuzzy, kde-format
 msgid "component diagram"
 msgstr "مكوّن خطاطة"
 
-#: umldoc.cpp:1550
+#: umldoc.cpp:1552
 #, fuzzy, kde-format
 msgid "deployment diagram"
 msgstr "خطاطة"
 
-#: umldoc.cpp:1553
+#: umldoc.cpp:1555
 #, fuzzy, kde-format
 msgid "entity relationship diagram"
 msgstr "كيان خطاطة"
 
-#: umldoc.cpp:1623
+#: umldoc.cpp:1625
 #, fuzzy, kde-format
 msgctxt "diagram name"
 msgid "Name"
 msgstr "الاسم"
 
-#: umldoc.cpp:1623 umldoc.cpp:1686 umldoc.cpp:1715 umldoc.cpp:1749
+#: umldoc.cpp:1625 umldoc.cpp:1688 umldoc.cpp:1717 umldoc.cpp:1751
 #, fuzzy, kde-format
 msgid "Enter name:"
 msgstr "أدخل اسم:"
 
-#: umldoc.cpp:1627 umldoc.cpp:1692
+#: umldoc.cpp:1629 umldoc.cpp:1694
 #, fuzzy, kde-format
 msgid "That is an invalid name for a diagram."
 msgstr "ذلك هو غير صالح الاسم لـ a خطاطة."
 
-#: umldoc.cpp:1629 umldoc.cpp:1699
+#: umldoc.cpp:1631 umldoc.cpp:1701
 #, fuzzy, kde-format
 msgid "A diagram is already using that name."
 msgstr "A خطاطة هو الاسم."
 
-#: umldoc.cpp:1685
+#: umldoc.cpp:1687
 #, fuzzy, kde-format
 msgctxt "renaming diagram"
 msgid "Name"
 msgstr "الاسم"
 
-#: umldoc.cpp:1714
+#: umldoc.cpp:1716
 #, fuzzy, kde-format
 msgctxt "renaming uml object"
 msgid "Name"
 msgstr "الاسم"
 
-#: umldoc.cpp:1748
+#: umldoc.cpp:1750
 #, fuzzy, kde-format
 msgctxt "renaming child uml object"
 msgid "Name"
 msgstr "الاسم"
 
-#: umldoc.cpp:1758
+#: umldoc.cpp:1760
 #, fuzzy, kde-format
 msgid ""
 "The name you entered was not unique.\n"
 "Is this what you wanted?"
 msgstr "الـ الاسم ليس فريد?"
 
-#: umldoc.cpp:1759
+#: umldoc.cpp:1761
 #, fuzzy, kde-format
 msgid "Use Name"
 msgstr "إستعمل الاسم"
 
-#: umldoc.cpp:1759
+#: umldoc.cpp:1761
 #, fuzzy, kde-format
 msgid "Enter New Name"
 msgstr "إدخال جديد الاسم"
 
-#: umldoc.cpp:2361
+#: umldoc.cpp:2366
 #, kde-format
 msgid "Unsupported xmi file version: %1"
 msgstr ""
 
-#: umldoc.cpp:2511
+#: umldoc.cpp:2516
 #, fuzzy, kde-format
 msgid "Setting up the document..."
 msgstr "الإعداد أعلى مستند."
 
-#: umldoc.cpp:2540
+#: umldoc.cpp:2545
 #, fuzzy, kde-format
 msgid "Resolving object references..."
 msgstr "الحلّ كائن."
 
-#: umldoc.cpp:2648
+#: umldoc.cpp:2653
 #, fuzzy, kde-format
 msgid "Loading UML elements..."
 msgstr "جاري التّحميل."
 
-#: umldoc.cpp:2892
+#: umldoc.cpp:2899
 #, fuzzy, kde-format
 msgid "Loading diagrams..."
 msgstr "جاري التّحميل."
 
-#: umldoc.cpp:3400
+#: umldoc.cpp:3409
 #, fuzzy, kde-format
 msgid "/autosave%1"
 msgstr "1"
 
-#: umllistview.cpp:536 umllistview.cpp:540
+#: umllistview.cpp:537 umllistview.cpp:541
 #, fuzzy, kde-format
 msgid "Externalize Folder"
 msgstr "مجلّد"
 
-#: umllistview.cpp:574
+#: umllistview.cpp:575
 #, kde-format
 msgid "Folder %1 must be relative to the main model directory, %2."
 msgstr ""
 
-#: umllistview.cpp:575
+#: umllistview.cpp:576
 #, fuzzy, kde-format
 msgid "Path Error"
 msgstr "لصق خطأ"
 
-#: umllistview.cpp:583
+#: umllistview.cpp:584
 #, kde-format
 msgid ""
 "File %1 already exists!\n"
 "The existing file will be overwritten."
 msgstr ""
 
-#: umllistview.cpp:584
+#: umllistview.cpp:585
 #, fuzzy, kde-format
 msgid "File Exist"
 msgstr "الملف موجود مسبقاً"
 
-#: umllistview.cpp:624
+#: umllistview.cpp:625
 #, fuzzy, kde-format
 msgid "Enter Model Name"
 msgstr "إدخال الطراز الاسم"
 
-#: umllistview.cpp:625
+#: umllistview.cpp:626
 #, fuzzy, kde-format
 msgid "Enter the new name of the model:"
 msgstr "إدخال جديد الاسم من شكل ، نموذج:"
 
-#: umllistview.cpp:1422
+#: umllistview.cpp:1430
 #, fuzzy, kde-format
 msgid "Views"
 msgstr "المشاهد"
 
-#: umllistview.cpp:1441
+#: umllistview.cpp:1449
 #, fuzzy, kde-format
 msgid "Settings"
 msgstr "الدّور خصائص"
 
-#: umllistview.cpp:2413
+#: umllistview.cpp:2421
 #, fuzzy, kde-format
 msgid "Loading listview..."
 msgstr "جاري التّحميل."
 
-#: umllistview.cpp:2764
+#: umllistview.cpp:2772
 #, fuzzy, kde-format
 msgid "The class must be emptied before it can be deleted."
 msgstr "الـ مجلد قبل الإيطالية محذوف."
 
-#: umllistview.cpp:2765
+#: umllistview.cpp:2773
 #, fuzzy, kde-format
 msgid "Class Not Empty"
 msgstr "مجلّد لا فارغ"
 
-#: umllistview.cpp:2769
+#: umllistview.cpp:2777
 #, fuzzy, kde-format
 msgid "The package must be emptied before it can be deleted."
 msgstr "الـ مجلد قبل الإيطالية محذوف."
 
-#: umllistview.cpp:2770
+#: umllistview.cpp:2778
 #, fuzzy, kde-format
 msgid "Package Not Empty"
 msgstr "مجلّد لا فارغ"
 
-#: umllistview.cpp:2774
+#: umllistview.cpp:2782
 #, fuzzy, kde-format
 msgid "The folder must be emptied before it can be deleted."
 msgstr "الـ مجلد قبل الإيطالية محذوف."
 
-#: umllistview.cpp:2775
+#: umllistview.cpp:2783
 #, fuzzy, kde-format
 msgid "Folder Not Empty"
 msgstr "مجلّد لا فارغ"
diff -pruN 4:20.08.3-1/po/bg/umbrello.po 4:20.12.0-0ubuntu1/po/bg/umbrello.po
--- 4:20.08.3-1/po/bg/umbrello.po	2020-11-03 00:42:15.000000000 +0000
+++ 4:20.12.0-0ubuntu1/po/bg/umbrello.po	2020-12-04 00:21:28.000000000 +0000
@@ -6,7 +6,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: umbrello\n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
-"POT-Creation-Date: 2020-08-14 08:09+0200\n"
+"POT-Creation-Date: 2020-11-06 02:36+0100\n"
 "PO-Revision-Date: 2011-07-27 13:53+0300\n"
 "Last-Translator: Yasen Pramatarov <yasen@lindeas.com>\n"
 "Language-Team: Bulgarian <dict@fsa-bg.org>\n"
@@ -206,7 +206,7 @@ msgid ""
 "item of the same name already exists.  Any other items have been pasted."
 msgstr ""
 
-#: clipboard/umlclipboard.cpp:753 uml.cpp:1689
+#: clipboard/umlclipboard.cpp:753 uml.cpp:1698
 #, kde-format
 msgid "Paste Error"
 msgstr "Грешка при поставяне"
@@ -441,7 +441,7 @@ msgstr ""
 #. i18n: ectx: attribute (title), widget (QWidget, ui_tabGeneral)
 #: codegenerators/cpp/cppcodegenerationformbase.ui:51
 #: codegenwizard/codegenoptionspage.ui:39 dialogs/objectnodedialog.cpp:135
-#: umllistview.cpp:1451
+#: umllistview.cpp:1459
 #, kde-format
 msgid "General"
 msgstr "Общи"
@@ -1301,7 +1301,7 @@ msgstr "Състояние"
 #. i18n: ectx: property (text), widget (QRadioButton, ui_categoryClass)
 #. i18n: ectx: property (text), widget (QTableWidget, ui_tableWidgetStatus)
 #: codegenwizard/codegenstatuspage.ui:40 codeimpwizard/codeimpstatuspage.ui:54
-#: dialogs/finddialog.ui:89 umllistview.cpp:1446 umlwidgets/widgetbase.cpp:1255
+#: dialogs/finddialog.ui:89 umllistview.cpp:1454 umlwidgets/widgetbase.cpp:1255
 #, kde-format
 msgid "Class"
 msgstr "Клас"
@@ -1974,35 +1974,35 @@ msgstr ""
 msgid "Enable 'delete diagram' related messages"
 msgstr ""
 
-#: dialogs/dialog_utils.cpp:117
+#: dialogs/dialog_utils.cpp:118
 #, kde-format
 msgid "You are about to delete an association. Do you really want to continue?"
 msgstr ""
 
-#: dialogs/dialog_utils.cpp:118
+#: dialogs/dialog_utils.cpp:119
 #, fuzzy, kde-format
 #| msgid "Delete"
 msgid "Delete Association"
 msgstr "Изтриване"
 
-#: dialogs/dialog_utils.cpp:132
+#: dialogs/dialog_utils.cpp:133
 #, kde-format
 msgid ""
 "You are about to delete the entire diagram.\n"
 "Are you sure?"
 msgstr ""
 
-#: dialogs/dialog_utils.cpp:133
+#: dialogs/dialog_utils.cpp:134
 #, kde-format
 msgid "Are you sure you want to delete diagram %1?"
 msgstr ""
 
-#: dialogs/dialog_utils.cpp:138
+#: dialogs/dialog_utils.cpp:139
 #, kde-format
 msgid "Delete Diagram?"
 msgstr "Да се изтрие ли диаграмата?"
 
-#: dialogs/dialog_utils.cpp:139 dialogs/pages/classifierlistpage.cpp:215
+#: dialogs/dialog_utils.cpp:140 dialogs/pages/classifierlistpage.cpp:215
 #: dialogs/pages/classifierlistpage.cpp:223
 #: dialogs/umlforeignkeyconstraintdialog.cpp:325
 #: dialogs/umlforeignkeyconstraintdialog.cpp:331
@@ -2163,7 +2163,7 @@ msgstr "Общи"
 #. i18n: ectx: label, entry (uiFont), group (UI Options)
 #. i18n: ectx: label, entry (codeViewerFont), group (Code Viewer Options)
 #: dialogs/multipagedialogbase.cpp:405 umbrello.kcfg:177 umbrello.kcfg:292
-#: umllistview.cpp:1450
+#: umllistview.cpp:1458
 #, kde-format
 msgid "Font"
 msgstr "Шрифт"
@@ -2589,7 +2589,7 @@ msgstr "Нов атрибут..."
 
 #: dialogs/pages/classifierlistpage.cpp:217
 #: dialogs/pages/classifierlistpage.cpp:225 dialogs/umloperationdialog.cpp:167
-#: dialogs/umloperationdialog.cpp:175 uml.cpp:554
+#: dialogs/umloperationdialog.cpp:175 uml.cpp:563
 #, kde-format
 msgid "&Properties"
 msgstr "&Информация"
@@ -2607,7 +2607,7 @@ msgid "Source Code"
 msgstr "Изходен код"
 
 #: dialogs/pages/classoptionspage.cpp:157
-#: dialogs/pages/classoptionspage.cpp:251 uml.cpp:509
+#: dialogs/pages/classoptionspage.cpp:251 uml.cpp:518
 #, fuzzy, kde-format
 #| msgid "Documentation"
 msgid "&Documentation"
@@ -2796,8 +2796,8 @@ msgstr "Въведеното име не
 #: uml1model/classifier.cpp:410 uml1model/classifier.cpp:781
 #: uml1model/entity.cpp:125 uml1model/entity.cpp:178 uml1model/entity.cpp:228
 #: uml1model/entity.cpp:277 uml1model/enum.cpp:107 uml1model/instance.cpp:124
-#: uml1model/package.cpp:172 umldoc.cpp:1627 umldoc.cpp:1692 umldoc.cpp:1721
-#: umldoc.cpp:1755
+#: uml1model/package.cpp:178 umldoc.cpp:1629 umldoc.cpp:1694 umldoc.cpp:1723
+#: umldoc.cpp:1757
 #, kde-format
 msgid "Invalid Name"
 msgstr "Неправилно име"
@@ -2807,7 +2807,7 @@ msgstr "Неправилно име"
 msgid "The name you have entered is not unique."
 msgstr "Въведеното име не е уникално."
 
-#: dialogs/pages/diagrampropertiespage.cpp:86 umldoc.cpp:1759
+#: dialogs/pages/diagrampropertiespage.cpp:86 umldoc.cpp:1761
 #, kde-format
 msgid "Name Not Unique"
 msgstr "Името не е уникално"
@@ -3283,7 +3283,7 @@ msgstr "&Диаграма"
 msgid "Umbrello Setup"
 msgstr "Настройки на Umbrello"
 
-#: dialogs/settingsdialog.cpp:114 umllistview.cpp:1452
+#: dialogs/settingsdialog.cpp:114 umllistview.cpp:1460
 #, kde-format
 msgid "User Interface"
 msgstr "Потребителски интерфейс"
@@ -3310,7 +3310,7 @@ msgstr "Клас"
 msgid "Class Settings"
 msgstr ""
 
-#: dialogs/settingsdialog.cpp:137 umllistview.cpp:1447
+#: dialogs/settingsdialog.cpp:137 umllistview.cpp:1455
 #, kde-format
 msgid "Code Importer"
 msgstr ""
@@ -3321,7 +3321,7 @@ msgstr ""
 msgid "Code Import Settings"
 msgstr "Настройки на шрифта"
 
-#: dialogs/settingsdialog.cpp:146 umllistview.cpp:1448
+#: dialogs/settingsdialog.cpp:146 umllistview.cpp:1456
 #, kde-format
 msgid "Code Generation"
 msgstr ""
@@ -3331,7 +3331,7 @@ msgstr ""
 msgid "Code Generation Settings"
 msgstr ""
 
-#: dialogs/settingsdialog.cpp:154 umllistview.cpp:1449
+#: dialogs/settingsdialog.cpp:154 umllistview.cpp:1457
 #, kde-format
 msgid "Code Viewer"
 msgstr ""
@@ -3341,7 +3341,7 @@ msgstr ""
 msgid "Code Viewer Settings"
 msgstr ""
 
-#: dialogs/settingsdialog.cpp:161 umllistview.cpp:1445
+#: dialogs/settingsdialog.cpp:161 umllistview.cpp:1453
 #, fuzzy, kde-format
 #| msgid "Auto Save"
 msgid "Auto Layout"
@@ -3993,7 +3993,7 @@ msgstr "&Вид:"
 msgid "Package path:"
 msgstr "Име на пакет:"
 
-#: dialogs/widgets/umlstereotypewidget.cpp:29 uml1model/umlobject.cpp:1179
+#: dialogs/widgets/umlstereotypewidget.cpp:29 uml1model/umlobject.cpp:1180
 #, fuzzy, kde-format
 #| msgid "Stereotype"
 msgid "Stereotype &name:"
@@ -4140,7 +4140,7 @@ msgstr ""
 msgid "Gael de Chalendar (aka Kleag)"
 msgstr "Gael de Chalendar (aka Kleag)"
 
-#: docgenerators/main.cpp:56 main.cpp:131
+#: docgenerators/main.cpp:56 main.cpp:133
 #, kde-format
 msgid "Umbrello UML Modeller Authors"
 msgstr "Авторите на Umbrello UML Modeller"
@@ -4204,12 +4204,12 @@ msgstr ""
 msgid "Apply layout"
 msgstr "Автоматично запазване"
 
-#: main.cpp:121
+#: main.cpp:123
 #, kde-format
 msgid "Umbrello UML Modeller"
 msgstr ""
 
-#: main.cpp:123
+#: main.cpp:125
 #, kde-format
 msgid ""
 "Umbrello – Visual development environment for software, based on the "
@@ -4217,7 +4217,7 @@ msgid ""
 "\"http://www.omg.org/spec/\">http://www.omg.org/spec/</a>."
 msgstr ""
 
-#: main.cpp:127
+#: main.cpp:129
 #, fuzzy, kde-format
 #| msgid "(c) 2001 Paul Hensgen, (c) 2002-2006 Umbrello UML Modeller Authors"
 msgid ""
@@ -4225,112 +4225,112 @@ msgid ""
 "Copyright © 2002-2020 Umbrello UML Modeller Authors"
 msgstr "(c) 2001 Paul Hensgen, (c) 2002-2006 авторите на Umbrello UML Modeller"
 
-#: main.cpp:130
+#: main.cpp:132
 #, kde-format
 msgid "Paul Hensgen"
 msgstr "Paul Hensgen"
 
-#: main.cpp:130
+#: main.cpp:132
 #, kde-format
 msgid "Author of initial version."
 msgstr ""
 
-#: main.cpp:134
+#: main.cpp:136
 #, kde-format
 msgid "Oliver Kellogg"
 msgstr ""
 
-#: main.cpp:135 main.cpp:138
+#: main.cpp:137 main.cpp:140
 #, kde-format
 msgid "Bug fixing, porting work, code cleanup, new features."
 msgstr ""
 
-#: main.cpp:137
+#: main.cpp:139
 #, kde-format
 msgid "Ralf Habacker"
 msgstr ""
 
-#: main.cpp:140
+#: main.cpp:142
 #, kde-format
 msgid "Andi Fischer"
 msgstr ""
 
-#: main.cpp:141
+#: main.cpp:143
 #, kde-format
 msgid "Porting work, code cleanup, new features."
 msgstr ""
 
-#: main.cpp:143
+#: main.cpp:145
 #, kde-format
 msgid "Jonathan Riddell"
 msgstr ""
 
-#: main.cpp:144
+#: main.cpp:146
 #, kde-format
 msgid "Current maintainer."
 msgstr ""
 
-#: main.cpp:146
+#: main.cpp:148
 #, kde-format
 msgid "Brian Thomas"
 msgstr ""
 
-#: main.cpp:147
+#: main.cpp:149
 #, kde-format
 msgid "A lot of work for C++ and Java code generation. Codeeditor."
 msgstr ""
 
-#: main.cpp:152
+#: main.cpp:154
 #, kde-format
 msgid "File to open"
 msgstr "Файл за отваряне"
 
-#: main.cpp:153
+#: main.cpp:155
 #, kde-format
 msgid "export diagrams to extension and exit"
 msgstr ""
 
-#: main.cpp:154
+#: main.cpp:156
 #, kde-format
 msgid "list available export extensions"
 msgstr ""
 
-#: main.cpp:155
+#: main.cpp:157
 #, kde-format
 msgid "the local directory to save the exported diagrams in"
 msgstr ""
 
-#: main.cpp:155
+#: main.cpp:157
 #, kde-format
 msgid "the directory of the file"
 msgstr "папката на файла"
 
-#: main.cpp:156
+#: main.cpp:158
 #, fuzzy, kde-format
 #| msgid "Opening file..."
 msgid "import files"
 msgstr "Отваряне на файл..."
 
-#: main.cpp:157
+#: main.cpp:159
 #, fuzzy, kde-format
 #| msgid "All Files"
 msgid "list supported languages"
 msgstr "Всички файлове"
 
-#: main.cpp:158
+#: main.cpp:160
 #, kde-format
 msgid ""
 "keep the tree structure used to store the views in the document in the "
 "target directory"
 msgstr ""
 
-#: main.cpp:159
+#: main.cpp:161
 #, fuzzy, kde-format
 #| msgid "Import Project..."
 msgid "import files from directory <dir>"
 msgstr "Внасяне на проект..."
 
-#: main.cpp:163
+#: main.cpp:165
 #, fuzzy, kde-format
 #| msgid "All Files"
 msgid "set active language"
@@ -4605,7 +4605,7 @@ msgstr ""
 msgid "Import File(s)..."
 msgstr "Внасяне на класове..."
 
-#: menus/listpopupmenu.cpp:201 uml.cpp:356
+#: menus/listpopupmenu.cpp:201 uml.cpp:365
 #, fuzzy, kde-format
 #| msgid "Import Project..."
 msgid "Import from Directory..."
@@ -5133,42 +5133,42 @@ msgctxt "align menu"
 msgid "Align"
 msgstr "&Подравняване"
 
-#: menus/widgetbasepopupmenu.cpp:598 uml.cpp:573
+#: menus/widgetbasepopupmenu.cpp:598 uml.cpp:582
 #, kde-format
 msgid "Align Right"
 msgstr "Дясно подравняване"
 
-#: menus/widgetbasepopupmenu.cpp:599 uml.cpp:578
+#: menus/widgetbasepopupmenu.cpp:599 uml.cpp:587
 #, kde-format
 msgid "Align Left"
 msgstr "Ляво подравняване"
 
-#: menus/widgetbasepopupmenu.cpp:600 uml.cpp:583
+#: menus/widgetbasepopupmenu.cpp:600 uml.cpp:592
 #, kde-format
 msgid "Align Top"
 msgstr "Подравняване в горния край"
 
-#: menus/widgetbasepopupmenu.cpp:601 uml.cpp:588
+#: menus/widgetbasepopupmenu.cpp:601 uml.cpp:597
 #, kde-format
 msgid "Align Bottom"
 msgstr "Подравняване в долния край"
 
-#: menus/widgetbasepopupmenu.cpp:603 uml.cpp:593
+#: menus/widgetbasepopupmenu.cpp:603 uml.cpp:602
 #, kde-format
 msgid "Align Vertical Middle"
 msgstr ""
 
-#: menus/widgetbasepopupmenu.cpp:604 uml.cpp:598
+#: menus/widgetbasepopupmenu.cpp:604 uml.cpp:607
 #, kde-format
 msgid "Align Horizontal Middle"
 msgstr ""
 
-#: menus/widgetbasepopupmenu.cpp:605 uml.cpp:603
+#: menus/widgetbasepopupmenu.cpp:605 uml.cpp:612
 #, kde-format
 msgid "Align Vertical Distribute"
 msgstr ""
 
-#: menus/widgetbasepopupmenu.cpp:606 uml.cpp:608
+#: menus/widgetbasepopupmenu.cpp:606 uml.cpp:617
 #, kde-format
 msgid "Align Horizontal Distribute"
 msgstr ""
@@ -6080,8 +6080,8 @@ msgstr "Съобщение"
 #: object_factory.cpp:251 uml1model/classifier.cpp:410
 #: uml1model/classifier.cpp:781 uml1model/entity.cpp:125
 #: uml1model/entity.cpp:178 uml1model/entity.cpp:228 uml1model/entity.cpp:277
-#: uml1model/enum.cpp:107 uml1model/instance.cpp:124 uml1model/package.cpp:171
-#: umldoc.cpp:1721 umldoc.cpp:1755
+#: uml1model/enum.cpp:107 uml1model/instance.cpp:124 uml1model/package.cpp:177
+#: umldoc.cpp:1723 umldoc.cpp:1757
 #, kde-format
 msgid "That is an invalid name."
 msgstr ""
@@ -6100,7 +6100,7 @@ msgstr ""
 #: object_factory.cpp:264 uml1model/classifier.cpp:413
 #: uml1model/classifier.cpp:783 uml1model/entity.cpp:127
 #: uml1model/entity.cpp:180 uml1model/entity.cpp:230 uml1model/entity.cpp:279
-#: uml1model/instance.cpp:126 umldoc.cpp:1727 umldoc.cpp:1764
+#: uml1model/instance.cpp:126 umldoc.cpp:1729 umldoc.cpp:1766
 #, kde-format
 msgid "That name is already being used."
 msgstr ""
@@ -6108,8 +6108,8 @@ msgstr ""
 #: object_factory.cpp:265 uml1model/classifier.cpp:413
 #: uml1model/classifier.cpp:783 uml1model/entity.cpp:127
 #: uml1model/entity.cpp:180 uml1model/entity.cpp:230 uml1model/entity.cpp:279
-#: uml1model/instance.cpp:126 umldoc.cpp:1629 umldoc.cpp:1699 umldoc.cpp:1727
-#: umldoc.cpp:1764
+#: uml1model/instance.cpp:126 umldoc.cpp:1631 umldoc.cpp:1701 umldoc.cpp:1729
+#: umldoc.cpp:1766
 #, kde-format
 msgid "Not a Unique Name"
 msgstr ""
@@ -6170,12 +6170,12 @@ msgstr ""
 msgid "Choose a different name."
 msgstr "Изберете друго име"
 
-#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:266
+#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:273
 #, kde-format
 msgid "Incorrect use of associations."
 msgstr ""
 
-#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:266
+#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:273
 #, kde-format
 msgid "Association Error"
 msgstr ""
@@ -7344,191 +7344,191 @@ msgstr "Всички файлове"
 msgid "&Settings"
 msgstr "Настройки на роля"
 
-#: uml.cpp:332
+#: uml.cpp:341
 #, kde-format
 msgid "&Export model to DocBook"
 msgstr ""
 
-#: uml.cpp:336
+#: uml.cpp:345
 #, kde-format
 msgid "&Export model to XHTML"
 msgstr ""
 
-#: uml.cpp:340
+#: uml.cpp:349
 #, kde-format
 msgid "&New Class Wizard..."
 msgstr ""
 
-#: uml.cpp:344
+#: uml.cpp:353
 #, kde-format
 msgid "&Add Default Datatypes for Active Language"
 msgstr ""
 
-#: uml.cpp:351
+#: uml.cpp:360
 #, fuzzy, kde-format
 #| msgid "Opening file..."
 msgid "Code &Importing Wizard..."
 msgstr "Отваряне на файл..."
 
-#: uml.cpp:361
+#: uml.cpp:370
 #, kde-format
 msgid "&Code Generation Wizard..."
 msgstr ""
 
-#: uml.cpp:366
+#: uml.cpp:375
 #, kde-format
 msgid "&Generate All Code"
 msgstr ""
 
-#: uml.cpp:411
+#: uml.cpp:420
 #, kde-format
 msgid "Creates a new document"
 msgstr "Създаване на нов документ"
 
-#: uml.cpp:412
+#: uml.cpp:421
 #, kde-format
 msgid "Opens an existing document"
 msgstr "Отваряне на съществуващ документ"
 
-#: uml.cpp:413
+#: uml.cpp:422
 #, kde-format
 msgid "Opens a recently used file"
 msgstr "Отваряне на последния използван файл"
 
-#: uml.cpp:414
+#: uml.cpp:423
 #, kde-format
 msgid "Saves the document"
 msgstr ""
 
-#: uml.cpp:415
+#: uml.cpp:424
 #, kde-format
 msgid "Saves the document as..."
 msgstr ""
 
-#: uml.cpp:416
+#: uml.cpp:425
 #, kde-format
 msgid "Closes the document"
 msgstr ""
 
-#: uml.cpp:417
+#: uml.cpp:426
 #, kde-format
 msgid "Prints out the document"
 msgstr ""
 
-#: uml.cpp:418
+#: uml.cpp:427
 #, kde-format
 msgid "Print Preview of the document"
 msgstr ""
 
-#: uml.cpp:419
+#: uml.cpp:428
 #, kde-format
 msgid "Quits the application"
 msgstr "Изход от програмата"
 
-#: uml.cpp:420
+#: uml.cpp:429
 #, kde-format
 msgid "Exports the model to the docbook format"
 msgstr ""
 
-#: uml.cpp:421
+#: uml.cpp:430
 #, kde-format
 msgid "Exports the model to the XHTML format"
 msgstr ""
 
-#: uml.cpp:422
+#: uml.cpp:431
 #, kde-format
 msgid "Cuts the selected section and puts it to the clipboard"
 msgstr "Изрязване на маркираните елементи и поставянето им в системния буфер"
 
-#: uml.cpp:423
+#: uml.cpp:432
 #, kde-format
 msgid "Copies the selected section to the clipboard"
 msgstr "Копиране на маркираните елементи в системния буфер"
 
-#: uml.cpp:424
+#: uml.cpp:433
 #, kde-format
 msgid "Pastes the contents of the clipboard"
 msgstr ""
 
-#: uml.cpp:425
+#: uml.cpp:434
 #, kde-format
 msgid "Set the default program preferences"
 msgstr ""
 
-#: uml.cpp:429
+#: uml.cpp:438
 #, kde-format
 msgctxt "delete selected widget"
 msgid "Delete &Selected"
 msgstr ""
 
-#: uml.cpp:440
+#: uml.cpp:449
 #, kde-format
 msgid "&Class Diagram..."
 msgstr ""
 
-#: uml.cpp:447
+#: uml.cpp:456
 #, fuzzy, kde-format
 #| msgid "Delete Diagram"
 msgid "&Object Diagram..."
 msgstr "Изтриване на диаграма"
 
-#: uml.cpp:454
+#: uml.cpp:463
 #, kde-format
 msgid "&Sequence Diagram..."
 msgstr ""
 
-#: uml.cpp:460
+#: uml.cpp:469
 #, fuzzy, kde-format
 #| msgid "Loading diagrams..."
 msgid "C&ommunication Diagram..."
 msgstr "Зареждане на диаграми..."
 
-#: uml.cpp:466
+#: uml.cpp:475
 #, kde-format
 msgid "&Use Case Diagram..."
 msgstr ""
 
-#: uml.cpp:472
+#: uml.cpp:481
 #, kde-format
 msgid "S&tate Diagram..."
 msgstr ""
 
-#: uml.cpp:478
+#: uml.cpp:487
 #, kde-format
 msgid "&Activity Diagram..."
 msgstr ""
 
-#: uml.cpp:484
+#: uml.cpp:493
 #, kde-format
 msgid "Co&mponent Diagram..."
 msgstr ""
 
-#: uml.cpp:490
+#: uml.cpp:499
 #, kde-format
 msgid "&Deployment Diagram..."
 msgstr ""
 
-#: uml.cpp:496
+#: uml.cpp:505
 #, kde-format
 msgid "&Entity Relationship Diagram..."
 msgstr ""
 
-#: uml.cpp:501 uml.cpp:954
+#: uml.cpp:510 uml.cpp:963
 #, kde-format
 msgid "&Tree View"
 msgstr "&Дървовиден преглед"
 
-#: uml.cpp:505
+#: uml.cpp:514
 #, kde-format
 msgid "&Debugging"
 msgstr ""
 
-#: uml.cpp:513
+#: uml.cpp:522
 #, kde-format
 msgid "&Logging"
 msgstr ""
 
-#: uml.cpp:517
+#: uml.cpp:526
 #, kde-format
 msgid "&Command history"
 msgstr ""
@@ -7537,137 +7537,137 @@ msgstr ""
 #. m_propertyDock->setObjectName(QLatin1String("PropertyDock"));
 #. addDockWidget(Qt::LeftDockWidgetArea, m_propertyDock);  //:TODO:
 #. create the bird's eye view
-#: uml.cpp:521 uml.cpp:1011
+#: uml.cpp:530 uml.cpp:1020
 #, kde-format
 msgid "&Bird's eye view"
 msgstr ""
 
-#: uml.cpp:526
+#: uml.cpp:535
 #, kde-format
 msgid "&Clear Diagram"
 msgstr ""
 
-#: uml.cpp:530
+#: uml.cpp:539
 #, kde-format
 msgid "&Snap to Grid"
 msgstr ""
 
-#: uml.cpp:534
+#: uml.cpp:543
 #, kde-format
 msgid "S&how Grid"
 msgstr ""
 
-#: uml.cpp:539
+#: uml.cpp:548
 #, fuzzy, kde-format
 #| msgid "Delete Diagram"
 msgid "&Delete Diagram"
 msgstr "Изтриване на диаграма"
 
-#: uml.cpp:544
+#: uml.cpp:553
 #, kde-format
 msgid "&Export as Picture..."
 msgstr ""
 
-#: uml.cpp:549
+#: uml.cpp:558
 #, kde-format
 msgid "Export &Diagrams as Pictures..."
 msgstr ""
 
-#: uml.cpp:569
+#: uml.cpp:578
 #, kde-format
 msgid "Z&oom to 100%"
 msgstr ""
 
-#: uml.cpp:612
+#: uml.cpp:621
 #, kde-format
 msgid "&Move Tab Left"
 msgstr ""
 
-#: uml.cpp:613
+#: uml.cpp:622
 #, kde-format
 msgid "&Move Tab Right"
 msgstr ""
 
-#: uml.cpp:636
+#: uml.cpp:645
 #, kde-format
 msgid "Select Diagram on Left"
 msgstr ""
 
-#: uml.cpp:637
+#: uml.cpp:646
 #, kde-format
 msgid "Select Diagram on Right"
 msgstr ""
 
-#: uml.cpp:776
+#: uml.cpp:785
 #, kde-format
 msgctxt "%1 percent value from 20 to 500"
 msgid " &%1%"
 msgstr ""
 
-#: uml.cpp:826
+#: uml.cpp:835
 #, kde-format
 msgctxt "init status bar"
 msgid "Ready"
 msgstr "Готово"
 
-#: uml.cpp:835 uml.cpp:848
+#: uml.cpp:844 uml.cpp:857
 #, kde-format
 msgid "100%"
 msgstr ""
 
-#: uml.cpp:840
+#: uml.cpp:849
 #, fuzzy, kde-format
 #| msgid "Filter"
 msgid "Fit"
 msgstr "Филтър"
 
-#: uml.cpp:899
+#: uml.cpp:908
 #, kde-format
 msgid "Diagram Toolbar"
 msgstr ""
 
-#: uml.cpp:965
+#: uml.cpp:974
 #, kde-format
 msgid "Doc&umentation"
 msgstr "&Документация"
 
-#: uml.cpp:976
+#: uml.cpp:985
 #, kde-format
 msgid "Co&mmand history"
 msgstr ""
 
-#: uml.cpp:992
+#: uml.cpp:1001
 #, kde-format
 msgid "&Debug"
 msgstr ""
 
-#: uml.cpp:999
+#: uml.cpp:1008
 #, kde-format
 msgid "&Log"
 msgstr ""
 
-#: uml.cpp:1041 uml.cpp:1258 uml.cpp:1307
+#: uml.cpp:1050 uml.cpp:1267 uml.cpp:1316
 #, kde-format
 msgid "Opening file..."
 msgstr "Отваряне на файл..."
 
-#: uml.cpp:1092 uml.cpp:1157 uml.cpp:1342 umldoc.cpp:342 umldoc.cpp:344
-#: umldoc.cpp:368 umldoc.cpp:3396
+#: uml.cpp:1101 uml.cpp:1166 uml.cpp:1351 umldoc.cpp:343 umldoc.cpp:345
+#: umldoc.cpp:369 umldoc.cpp:3405
 #, kde-format
 msgid "Untitled"
 msgstr "Неозаглавено"
 
-#: uml.cpp:1240
+#: uml.cpp:1249
 #, kde-format
 msgid "Creating new document..."
 msgstr "Създаване на нов документ..."
 
-#: uml.cpp:1266 uml.cpp:1281
+#: uml.cpp:1275 uml.cpp:1290
 #, kde-format
 msgid "Open File"
 msgstr "Отваряне на файл"
 
-#: uml.cpp:1270
+#: uml.cpp:1279
 #, kde-format
 msgid ""
 "*.xmi *.xmi.tgz *.xmi.tar.bz2 *.mdl *.zargo|All Supported Files (*.xmi, *."
@@ -7679,29 +7679,29 @@ msgid ""
 "*.zargo|Compressed argo Files(*.zargo)\n"
 msgstr ""
 
-#: uml.cpp:1341
+#: uml.cpp:1350
 #, kde-format
 msgid "Saving file..."
 msgstr "Запис на файл..."
 
-#: uml.cpp:1358
+#: uml.cpp:1367
 #, kde-format
 msgid "Saving file with a new filename..."
 msgstr "Запис на файла под ново име..."
 
-#: uml.cpp:1368 uml.cpp:1374 umlviewimageexporter.cpp:199
+#: uml.cpp:1377 uml.cpp:1383 umlviewimageexporter.cpp:199
 #, kde-format
 msgid "Save As"
 msgstr "Запис като"
 
-#: uml.cpp:1369
+#: uml.cpp:1378
 #, kde-format
 msgid ""
 "*.xmi | XMI File (*.xmi);;*.xmi.tgz | Gzip Compressed XMI File (*.xmi.tgz);;"
 "*.xmi.tar.bz2 | Bzip2 Compressed XMI File (*.xmi.tar.bz2);;* | All Files (*)"
 msgstr ""
 
-#: uml.cpp:1374
+#: uml.cpp:1383
 #, kde-format
 msgid ""
 "*.xmi|XMI File\n"
@@ -7710,7 +7710,7 @@ msgid ""
 "*|All Files"
 msgstr ""
 
-#: uml.cpp:1387
+#: uml.cpp:1396
 #, kde-format
 msgid ""
 "The file %1 exists.\n"
@@ -7719,106 +7719,106 @@ msgstr ""
 "Вече има файл \"%1\".\n"
 "Искате ли да бъде презаписан?"
 
-#: uml.cpp:1388
+#: uml.cpp:1397
 #, kde-format
 msgid "Warning"
 msgstr "Предупреждение"
 
-#: uml.cpp:1388
+#: uml.cpp:1397
 #, kde-format
 msgid "Overwrite"
 msgstr "Презапис"
 
-#: uml.cpp:1422
+#: uml.cpp:1431
 #, kde-format
 msgid "Closing file..."
 msgstr "Затваряне на файл..."
 
-#: uml.cpp:1432
+#: uml.cpp:1441
 #, kde-format
 msgid "No search term entered"
 msgstr ""
 
-#: uml.cpp:1438
+#: uml.cpp:1447
 #, kde-format
 msgid "'%1': %2 found"
 msgstr ""
 
-#: uml.cpp:1502
+#: uml.cpp:1511
 #, fuzzy, kde-format
 #| msgid "Printing..."
 msgid "Print Preview..."
 msgstr "Отпечатване..."
 
-#: uml.cpp:1529
+#: uml.cpp:1538
 #, kde-format
 msgid "Printing..."
 msgstr "Отпечатване..."
 
-#: uml.cpp:1536 uml.cpp:1540
+#: uml.cpp:1545 uml.cpp:1549
 #, kde-format
 msgid "Print %1"
 msgstr "Печат на %1"
 
-#: uml.cpp:1560
+#: uml.cpp:1569
 #, kde-format
 msgid "Exiting..."
 msgstr "Изход..."
 
-#: uml.cpp:1647
+#: uml.cpp:1656
 #, kde-format
 msgid "Cutting selection..."
 msgstr "Изрязване на маркировката..."
 
-#: uml.cpp:1670
+#: uml.cpp:1679
 #, kde-format
 msgid "Copying selection to clipboard..."
 msgstr "Копиране на маркировката в системния буфер..."
 
-#: uml.cpp:1682
+#: uml.cpp:1691
 #, kde-format
 msgid "Inserting clipboard contents..."
 msgstr "Вмъкване съдържанието на системния буфер..."
 
-#: uml.cpp:1687
+#: uml.cpp:1696
 #, kde-format
 msgid ""
 "Umbrello could not paste the clipboard contents.  The objects in the "
 "clipboard may be of the wrong type to be pasted here."
 msgstr ""
 
-#: uml.cpp:1713 umlviewimageexporter.cpp:92 umlviewimageexporterall.cpp:123
+#: uml.cpp:1722 umlviewimageexporter.cpp:92 umlviewimageexporterall.cpp:123
 #, kde-format
 msgctxt "reset status bar"
 msgid "Ready."
 msgstr "Готово."
 
-#: uml.cpp:2246
+#: uml.cpp:2255
 #, kde-format
 msgid "Cannot view code until you generate some first."
 msgstr ""
 
-#: uml.cpp:2246 uml.cpp:2249
+#: uml.cpp:2255 uml.cpp:2258
 #, kde-format
 msgid "Cannot View Code"
 msgstr ""
 
-#: uml.cpp:2249
+#: uml.cpp:2258
 #, kde-format
 msgid "Cannot view code from simple code writer."
 msgstr ""
 
-#: uml.cpp:2714 uml.cpp:2716
+#: uml.cpp:2728 uml.cpp:2730
 #, kde-format
 msgid "Select file(s) to import:"
 msgstr ""
 
-#: uml.cpp:2747 uml.cpp:2749
+#: uml.cpp:2761 uml.cpp:2763
 #, kde-format
 msgid "Select directory to import:"
 msgstr ""
 
-#: uml.cpp:3313
+#: uml.cpp:3335
 #, kde-format
 msgid "XHTML Generation failed ."
 msgstr ""
@@ -7830,20 +7830,20 @@ msgid ""
 "it again."
 msgstr ""
 
-#: uml1model/folder.cpp:435
+#: uml1model/folder.cpp:436
 #, kde-format
 msgid "The folderfile %1 does not exist."
 msgstr ""
 
-#: uml1model/folder.cpp:435 uml1model/folder.cpp:439 umldoc.cpp:529
-#: umldoc.cpp:541 umldoc.cpp:568 umldoc.cpp:570 umldoc.cpp:620 umldoc.cpp:623
-#: umldoc.cpp:638 umldoc.cpp:641 umldoc.cpp:665 umldoc.cpp:668 umldoc.cpp:684
-#: umldoc.cpp:687 umldoc.cpp:702 umldoc.cpp:705 umldoc.cpp:750
+#: uml1model/folder.cpp:436 uml1model/folder.cpp:440 umldoc.cpp:530
+#: umldoc.cpp:542 umldoc.cpp:569 umldoc.cpp:571 umldoc.cpp:621 umldoc.cpp:624
+#: umldoc.cpp:639 umldoc.cpp:642 umldoc.cpp:666 umldoc.cpp:669 umldoc.cpp:685
+#: umldoc.cpp:688 umldoc.cpp:703 umldoc.cpp:706 umldoc.cpp:751
 #, kde-format
 msgid "Load Error"
 msgstr "Грешка при зареждане"
 
-#: uml1model/folder.cpp:439
+#: uml1model/folder.cpp:440
 #, kde-format
 msgid "The folderfile %1 cannot be opened."
 msgstr ""
@@ -7853,13 +7853,13 @@ msgstr ""
 msgid "new_parameter"
 msgstr ""
 
-#: uml1model/package.cpp:163
+#: uml1model/package.cpp:169
 #, kde-format
 msgctxt "object name"
 msgid "Name"
 msgstr "Име"
 
-#: uml1model/package.cpp:164
+#: uml1model/package.cpp:170
 #, kde-format
 msgid ""
 "An object with the name %1\n"
@@ -7882,80 +7882,80 @@ msgstr ""
 msgid "new_fkey_constraint"
 msgstr ""
 
-#: uml1model/umlobject.cpp:1140
+#: uml1model/umlobject.cpp:1141
 #, kde-format
 msgid "Actor &name:"
 msgstr ""
 
-#: uml1model/umlobject.cpp:1143
+#: uml1model/umlobject.cpp:1144
 #, kde-format
 msgid "Artifact &name:"
 msgstr ""
 
-#: uml1model/umlobject.cpp:1146
+#: uml1model/umlobject.cpp:1147
 #, fuzzy, kde-format
 #| msgid "Activity name:"
 msgid "Association &name:"
 msgstr "Име на дейността:"
 
-#: uml1model/umlobject.cpp:1149
+#: uml1model/umlobject.cpp:1150
 #, kde-format
 msgid "Class &name:"
 msgstr ""
 
-#: uml1model/umlobject.cpp:1152
+#: uml1model/umlobject.cpp:1153
 #, kde-format
 msgid "Component &name:"
 msgstr ""
 
-#: uml1model/umlobject.cpp:1155
+#: uml1model/umlobject.cpp:1156
 #, kde-format
 msgid "Datatype &name:"
 msgstr ""
 
-#: uml1model/umlobject.cpp:1158
+#: uml1model/umlobject.cpp:1159
 #, kde-format
 msgid "Entity &name:"
 msgstr ""
 
-#: uml1model/umlobject.cpp:1161
+#: uml1model/umlobject.cpp:1162
 #, kde-format
 msgid "Enum &name:"
 msgstr ""
 
-#: uml1model/umlobject.cpp:1164
+#: uml1model/umlobject.cpp:1165
 #, fuzzy, kde-format
 #| msgid "Node &name:"
 msgid "Folder &name:"
 msgstr "&Име на възела:"
 
-#: uml1model/umlobject.cpp:1167
+#: uml1model/umlobject.cpp:1168
 #, kde-format
 msgid "Interface &name:"
 msgstr ""
 
-#: uml1model/umlobject.cpp:1170
+#: uml1model/umlobject.cpp:1171
 #, kde-format
 msgid "Node &name:"
 msgstr "&Име на възела:"
 
-#: uml1model/umlobject.cpp:1173
+#: uml1model/umlobject.cpp:1174
 #, kde-format
 msgid "Package &name:"
 msgstr ""
 
-#: uml1model/umlobject.cpp:1176
+#: uml1model/umlobject.cpp:1177
 #, fuzzy, kde-format
 #| msgid "Node &name:"
 msgid "Port &name:"
 msgstr "&Име на възела:"
 
-#: uml1model/umlobject.cpp:1182
+#: uml1model/umlobject.cpp:1183
 #, kde-format
 msgid "Use case &name:"
 msgstr ""
 
-#: uml1model/umlobject.cpp:1185
+#: uml1model/umlobject.cpp:1186
 #, kde-format
 msgid "Instance name:"
 msgstr ""
@@ -7977,42 +7977,42 @@ msgstr "Стереотип"
 msgid "Welcome"
 msgstr ""
 
-#: umldoc.cpp:112 umldoc.cpp:2400 umldoc.cpp:2428
+#: umldoc.cpp:113 umldoc.cpp:2405 umldoc.cpp:2433
 #, kde-format
 msgid "UML Model"
 msgstr "Модел на UML"
 
-#: umldoc.cpp:154
+#: umldoc.cpp:155
 #, kde-format
 msgid "Logical View"
 msgstr ""
 
-#: umldoc.cpp:155
+#: umldoc.cpp:156
 #, kde-format
 msgid "Use Case View"
 msgstr ""
 
-#: umldoc.cpp:156
+#: umldoc.cpp:157
 #, kde-format
 msgid "Component View"
 msgstr ""
 
-#: umldoc.cpp:157
+#: umldoc.cpp:158
 #, kde-format
 msgid "Deployment View"
 msgstr ""
 
-#: umldoc.cpp:158
+#: umldoc.cpp:159
 #, kde-format
 msgid "Entity Relationship Model"
 msgstr ""
 
-#: umldoc.cpp:184
+#: umldoc.cpp:185
 #, kde-format
 msgid "Datatypes"
 msgstr ""
 
-#: umldoc.cpp:363
+#: umldoc.cpp:364
 #, kde-format
 msgid ""
 "The current file has been modified.\n"
@@ -8021,298 +8021,298 @@ msgstr ""
 "Текущият файл е променен.\n"
 "Искате ли промените да бъдат записани?"
 
-#: umldoc.cpp:364
+#: umldoc.cpp:365
 #, kde-format
 msgctxt "warning message"
 msgid "Warning"
 msgstr "Предупреждение"
 
-#: umldoc.cpp:529
+#: umldoc.cpp:530
 #, fuzzy, kde-format
 #| msgid "The file %1 does not exist."
 msgid "The file <%1> does not exist."
 msgstr "Файлът %1 не съществува."
 
-#: umldoc.cpp:541
+#: umldoc.cpp:542
 #, kde-format
 msgid "The file %1 does not exist."
 msgstr "Файлът %1 не съществува."
 
-#: umldoc.cpp:568 umldoc.cpp:570
+#: umldoc.cpp:569 umldoc.cpp:571
 #, kde-format
 msgid "The file %1 seems to be corrupted."
 msgstr ""
 
-#: umldoc.cpp:619 umldoc.cpp:622 umldoc.cpp:637 umldoc.cpp:640 umldoc.cpp:683
-#: umldoc.cpp:686
+#: umldoc.cpp:620 umldoc.cpp:623 umldoc.cpp:638 umldoc.cpp:641 umldoc.cpp:684
+#: umldoc.cpp:687
 #, kde-format
 msgid "There was no XMI file found in the compressed file %1."
 msgstr ""
 
-#: umldoc.cpp:664 umldoc.cpp:667
+#: umldoc.cpp:665 umldoc.cpp:668
 #, kde-format
 msgid "There was a problem loading the extracted file: %1"
 msgstr ""
 
-#: umldoc.cpp:701 umldoc.cpp:704 umldoc.cpp:744 umldoc.cpp:746
+#: umldoc.cpp:702 umldoc.cpp:705 umldoc.cpp:745 umldoc.cpp:747
 #, kde-format
 msgid "There was a problem loading file: %1"
 msgstr ""
 
-#: umldoc.cpp:749
+#: umldoc.cpp:750
 #, kde-format
 msgid "Reason: %1"
 msgstr ""
 
-#: umldoc.cpp:832 umldoc.cpp:834 umldoc.cpp:851 umldoc.cpp:853 umldoc.cpp:873
-#: umldoc.cpp:875 umldoc.cpp:924 umldoc.cpp:926 umldoc.cpp:966 umldoc.cpp:969
-#: umldoc.cpp:978 umldoc.cpp:980 umllistview.cpp:593
+#: umldoc.cpp:833 umldoc.cpp:835 umldoc.cpp:852 umldoc.cpp:854 umldoc.cpp:874
+#: umldoc.cpp:876 umldoc.cpp:925 umldoc.cpp:927 umldoc.cpp:968 umldoc.cpp:971
+#: umldoc.cpp:980 umldoc.cpp:982 umllistview.cpp:594
 #, kde-format
 msgid "Save Error"
 msgstr "Грешка при запис"
 
-#: umldoc.cpp:832 umldoc.cpp:851 umldoc.cpp:873 umldoc.cpp:924 umldoc.cpp:966
+#: umldoc.cpp:833 umldoc.cpp:852 umldoc.cpp:874 umldoc.cpp:925 umldoc.cpp:968
 #, kde-format
 msgid "There was a problem saving: %1"
 msgstr ""
 
-#: umldoc.cpp:834 umldoc.cpp:853 umldoc.cpp:875 umldoc.cpp:926 umldoc.cpp:969
-#: umllistview.cpp:592 umlviewimageexportermodel.cpp:303
+#: umldoc.cpp:835 umldoc.cpp:854 umldoc.cpp:876 umldoc.cpp:927 umldoc.cpp:971
+#: umllistview.cpp:593 umlviewimageexportermodel.cpp:303
 #, kde-format
 msgid "There was a problem saving file: %1"
 msgstr ""
 
-#: umldoc.cpp:978
+#: umldoc.cpp:980
 #, kde-format
 msgid "There was a problem uploading: %1"
 msgstr ""
 
-#: umldoc.cpp:980
+#: umldoc.cpp:982
 #, kde-format
 msgid "There was a problem uploading file: %1"
 msgstr ""
 
-#: umldoc.cpp:1526
+#: umldoc.cpp:1528
 #, kde-format
 msgid "use case diagram"
 msgstr ""
 
-#: umldoc.cpp:1529
+#: umldoc.cpp:1531
 #, kde-format
 msgid "class diagram"
 msgstr ""
 
-#: umldoc.cpp:1532
+#: umldoc.cpp:1534
 #, kde-format
 msgid "sequence diagram"
 msgstr ""
 
-#: umldoc.cpp:1535
+#: umldoc.cpp:1537
 #, fuzzy, kde-format
 #| msgid "Loading diagrams..."
 msgid "communication diagram"
 msgstr "Зареждане на диаграми..."
 
-#: umldoc.cpp:1538
+#: umldoc.cpp:1540
 #, fuzzy, kde-format
 #| msgid "Create widget : %1"
 msgid "object diagram"
 msgstr "Създаване на джаджа : %1"
 
-#: umldoc.cpp:1541
+#: umldoc.cpp:1543
 #, kde-format
 msgid "state diagram"
 msgstr ""
 
-#: umldoc.cpp:1544
+#: umldoc.cpp:1546
 #, kde-format
 msgid "activity diagram"
 msgstr ""
 
-#: umldoc.cpp:1547
+#: umldoc.cpp:1549
 #, kde-format
 msgid "component diagram"
 msgstr ""
 
-#: umldoc.cpp:1550
+#: umldoc.cpp:1552
 #, kde-format
 msgid "deployment diagram"
 msgstr ""
 
-#: umldoc.cpp:1553
+#: umldoc.cpp:1555
 #, kde-format
 msgid "entity relationship diagram"
 msgstr ""
 
-#: umldoc.cpp:1623
+#: umldoc.cpp:1625
 #, kde-format
 msgctxt "diagram name"
 msgid "Name"
 msgstr "Име"
 
-#: umldoc.cpp:1623 umldoc.cpp:1686 umldoc.cpp:1715 umldoc.cpp:1749
+#: umldoc.cpp:1625 umldoc.cpp:1688 umldoc.cpp:1717 umldoc.cpp:1751
 #, kde-format
 msgid "Enter name:"
 msgstr "Въведете име:"
 
-#: umldoc.cpp:1627 umldoc.cpp:1692
+#: umldoc.cpp:1629 umldoc.cpp:1694
 #, kde-format
 msgid "That is an invalid name for a diagram."
 msgstr ""
 
-#: umldoc.cpp:1629 umldoc.cpp:1699
+#: umldoc.cpp:1631 umldoc.cpp:1701
 #, kde-format
 msgid "A diagram is already using that name."
 msgstr ""
 
-#: umldoc.cpp:1685
+#: umldoc.cpp:1687
 #, kde-format
 msgctxt "renaming diagram"
 msgid "Name"
 msgstr "Име"
 
-#: umldoc.cpp:1714
+#: umldoc.cpp:1716
 #, kde-format
 msgctxt "renaming uml object"
 msgid "Name"
 msgstr "Име"
 
-#: umldoc.cpp:1748
+#: umldoc.cpp:1750
 #, kde-format
 msgctxt "renaming child uml object"
 msgid "Name"
 msgstr "Име"
 
-#: umldoc.cpp:1758
+#: umldoc.cpp:1760
 #, kde-format
 msgid ""
 "The name you entered was not unique.\n"
 "Is this what you wanted?"
 msgstr ""
 
-#: umldoc.cpp:1759
+#: umldoc.cpp:1761
 #, kde-format
 msgid "Use Name"
 msgstr ""
 
-#: umldoc.cpp:1759
+#: umldoc.cpp:1761
 #, kde-format
 msgid "Enter New Name"
 msgstr "Въведете ново име"
 
-#: umldoc.cpp:2361
+#: umldoc.cpp:2366
 #, kde-format
 msgid "Unsupported xmi file version: %1"
 msgstr ""
 
-#: umldoc.cpp:2511
+#: umldoc.cpp:2516
 #, kde-format
 msgid "Setting up the document..."
 msgstr ""
 
-#: umldoc.cpp:2540
+#: umldoc.cpp:2545
 #, kde-format
 msgid "Resolving object references..."
 msgstr ""
 
-#: umldoc.cpp:2648
+#: umldoc.cpp:2653
 #, kde-format
 msgid "Loading UML elements..."
 msgstr ""
 
-#: umldoc.cpp:2892
+#: umldoc.cpp:2899
 #, kde-format
 msgid "Loading diagrams..."
 msgstr "Зареждане на диаграми..."
 
-#: umldoc.cpp:3400
+#: umldoc.cpp:3409
 #, kde-format
 msgid "/autosave%1"
 msgstr ""
 
-#: umllistview.cpp:536 umllistview.cpp:540
+#: umllistview.cpp:537 umllistview.cpp:541
 #, kde-format
 msgid "Externalize Folder"
 msgstr ""
 
-#: umllistview.cpp:574
+#: umllistview.cpp:575
 #, kde-format
 msgid "Folder %1 must be relative to the main model directory, %2."
 msgstr ""
 
-#: umllistview.cpp:575
+#: umllistview.cpp:576
 #, fuzzy, kde-format
 #| msgid "Paste Error"
 msgid "Path Error"
 msgstr "Грешка при поставяне"
 
-#: umllistview.cpp:583
+#: umllistview.cpp:584
 #, kde-format
 msgid ""
 "File %1 already exists!\n"
 "The existing file will be overwritten."
 msgstr ""
 
-#: umllistview.cpp:584
+#: umllistview.cpp:585
 #, fuzzy, kde-format
 #| msgid "File Already Exists"
 msgid "File Exist"
 msgstr "Файлът вече съществува"
 
-#: umllistview.cpp:624
+#: umllistview.cpp:625
 #, kde-format
 msgid "Enter Model Name"
 msgstr "Въведете име на модела"
 
-#: umllistview.cpp:625
+#: umllistview.cpp:626
 #, kde-format
 msgid "Enter the new name of the model:"
 msgstr "Въведете ново име за модела:"
 
-#: umllistview.cpp:1422
+#: umllistview.cpp:1430
 #, kde-format
 msgid "Views"
 msgstr "Изгледи"
 
-#: umllistview.cpp:1441
+#: umllistview.cpp:1449
 #, fuzzy, kde-format
 #| msgid "Role Settings"
 msgid "Settings"
 msgstr "Настройки на роля"
 
-#: umllistview.cpp:2413
+#: umllistview.cpp:2421
 #, kde-format
 msgid "Loading listview..."
 msgstr ""
 
-#: umllistview.cpp:2764
+#: umllistview.cpp:2772
 #, kde-format
 msgid "The class must be emptied before it can be deleted."
 msgstr ""
 
-#: umllistview.cpp:2765
+#: umllistview.cpp:2773
 #, fuzzy, kde-format
 #| msgid "Folder Not Empty"
 msgid "Class Not Empty"
 msgstr "Папката не е празна"
 
-#: umllistview.cpp:2769
+#: umllistview.cpp:2777
 #, kde-format
 msgid "The package must be emptied before it can be deleted."
 msgstr ""
 
-#: umllistview.cpp:2770
+#: umllistview.cpp:2778
 #, fuzzy, kde-format
 #| msgid "Folder Not Empty"
 msgid "Package Not Empty"
 msgstr "Папката не е празна"
 
-#: umllistview.cpp:2774
+#: umllistview.cpp:2782
 #, kde-format
 msgid "The folder must be emptied before it can be deleted."
 msgstr ""
 
-#: umllistview.cpp:2775
+#: umllistview.cpp:2783
 #, kde-format
 msgid "Folder Not Empty"
 msgstr "Папката не е празна"
diff -pruN 4:20.08.3-1/po/bs/umbrello.po 4:20.12.0-0ubuntu1/po/bs/umbrello.po
--- 4:20.08.3-1/po/bs/umbrello.po	2020-11-03 00:42:15.000000000 +0000
+++ 4:20.12.0-0ubuntu1/po/bs/umbrello.po	2020-12-04 00:21:29.000000000 +0000
@@ -6,7 +6,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: umbrello\n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
-"POT-Creation-Date: 2020-08-14 08:09+0200\n"
+"POT-Creation-Date: 2020-11-06 02:36+0100\n"
 "PO-Revision-Date: 2015-02-25 21:00+0100\n"
 "Last-Translator: Samir Ribić <megaribi@epn.ba>\n"
 "Language-Team:  <bs@li.org>\n"
@@ -214,7 +214,7 @@ msgstr ""
 "Bar jedna stavka iz međuspremnika nije mogla biti umetnuta zato što stavka "
 "sa istim imenom već postoji. Sve ostale stavke su umetnute."
 
-#: clipboard/umlclipboard.cpp:753 uml.cpp:1689
+#: clipboard/umlclipboard.cpp:753 uml.cpp:1698
 #, kde-format
 msgid "Paste Error"
 msgstr "Greška prilikom umetanja"
@@ -441,7 +441,7 @@ msgstr "<p align=\"center\">Generisanje
 #. i18n: ectx: attribute (title), widget (QWidget, ui_tabGeneral)
 #: codegenerators/cpp/cppcodegenerationformbase.ui:51
 #: codegenwizard/codegenoptionspage.ui:39 dialogs/objectnodedialog.cpp:135
-#: umllistview.cpp:1451
+#: umllistview.cpp:1459
 #, kde-format
 msgid "General"
 msgstr "Opšte"
@@ -1319,7 +1319,7 @@ msgstr "Status"
 #. i18n: ectx: property (text), widget (QRadioButton, ui_categoryClass)
 #. i18n: ectx: property (text), widget (QTableWidget, ui_tableWidgetStatus)
 #: codegenwizard/codegenstatuspage.ui:40 codeimpwizard/codeimpstatuspage.ui:54
-#: dialogs/finddialog.ui:89 umllistview.cpp:1446 umlwidgets/widgetbase.cpp:1255
+#: dialogs/finddialog.ui:89 umllistview.cpp:1454 umlwidgets/widgetbase.cpp:1255
 #, kde-format
 msgid "Class"
 msgstr "Klasa"
@@ -1975,18 +1975,18 @@ msgstr ""
 msgid "Enable 'delete diagram' related messages"
 msgstr ""
 
-#: dialogs/dialog_utils.cpp:117
+#: dialogs/dialog_utils.cpp:118
 #, kde-format
 msgid "You are about to delete an association. Do you really want to continue?"
 msgstr ""
 
-#: dialogs/dialog_utils.cpp:118
+#: dialogs/dialog_utils.cpp:119
 #, fuzzy, kde-format
 #| msgid "Self Association"
 msgid "Delete Association"
 msgstr "Samopridruživanje"
 
-#: dialogs/dialog_utils.cpp:132
+#: dialogs/dialog_utils.cpp:133
 #, kde-format
 msgid ""
 "You are about to delete the entire diagram.\n"
@@ -1995,17 +1995,17 @@ msgstr ""
 "Upravo ćete obrisati cio dijagram.\n"
 "Da li ste sigurni?"
 
-#: dialogs/dialog_utils.cpp:133
+#: dialogs/dialog_utils.cpp:134
 #, kde-format
 msgid "Are you sure you want to delete diagram %1?"
 msgstr "Da li ste sigurni da želite da obrišete dijagram %1?"
 
-#: dialogs/dialog_utils.cpp:138
+#: dialogs/dialog_utils.cpp:139
 #, kde-format
 msgid "Delete Diagram?"
 msgstr "Da li da obrišem dijagram?"
 
-#: dialogs/dialog_utils.cpp:139 dialogs/pages/classifierlistpage.cpp:215
+#: dialogs/dialog_utils.cpp:140 dialogs/pages/classifierlistpage.cpp:215
 #: dialogs/pages/classifierlistpage.cpp:223
 #: dialogs/umlforeignkeyconstraintdialog.cpp:325
 #: dialogs/umlforeignkeyconstraintdialog.cpp:331
@@ -2172,7 +2172,7 @@ msgstr "Opšte"
 #. i18n: ectx: label, entry (uiFont), group (UI Options)
 #. i18n: ectx: label, entry (codeViewerFont), group (Code Viewer Options)
 #: dialogs/multipagedialogbase.cpp:405 umbrello.kcfg:177 umbrello.kcfg:292
-#: umllistview.cpp:1450
+#: umllistview.cpp:1458
 #, kde-format
 msgid "Font"
 msgstr "Font"
@@ -2609,7 +2609,7 @@ msgstr "N&ov atribut entiteta..."
 
 #: dialogs/pages/classifierlistpage.cpp:217
 #: dialogs/pages/classifierlistpage.cpp:225 dialogs/umloperationdialog.cpp:167
-#: dialogs/umloperationdialog.cpp:175 uml.cpp:554
+#: dialogs/umloperationdialog.cpp:175 uml.cpp:563
 #, kde-format
 msgid "&Properties"
 msgstr "&Svojstva"
@@ -2627,7 +2627,7 @@ msgid "Source Code"
 msgstr "Izvorni kôd"
 
 #: dialogs/pages/classoptionspage.cpp:157
-#: dialogs/pages/classoptionspage.cpp:251 uml.cpp:509
+#: dialogs/pages/classoptionspage.cpp:251 uml.cpp:518
 #, kde-format
 msgid "&Documentation"
 msgstr "&Dokumentacija"
@@ -2816,8 +2816,8 @@ msgstr "Ime koje ste unijeli nije isprav
 #: uml1model/classifier.cpp:410 uml1model/classifier.cpp:781
 #: uml1model/entity.cpp:125 uml1model/entity.cpp:178 uml1model/entity.cpp:228
 #: uml1model/entity.cpp:277 uml1model/enum.cpp:107 uml1model/instance.cpp:124
-#: uml1model/package.cpp:172 umldoc.cpp:1627 umldoc.cpp:1692 umldoc.cpp:1721
-#: umldoc.cpp:1755
+#: uml1model/package.cpp:178 umldoc.cpp:1629 umldoc.cpp:1694 umldoc.cpp:1723
+#: umldoc.cpp:1757
 #, kde-format
 msgid "Invalid Name"
 msgstr "Neispravno ime"
@@ -2827,7 +2827,7 @@ msgstr "Neispravno ime"
 msgid "The name you have entered is not unique."
 msgstr "Ime koje ste unijeli nije jedinstveno."
 
-#: dialogs/pages/diagrampropertiespage.cpp:86 umldoc.cpp:1759
+#: dialogs/pages/diagrampropertiespage.cpp:86 umldoc.cpp:1761
 #, kde-format
 msgid "Name Not Unique"
 msgstr "Ime nije jedinstveno"
@@ -3311,7 +3311,7 @@ msgstr "&Dijagram"
 msgid "Umbrello Setup"
 msgstr "Podešavanje Umbrello-a"
 
-#: dialogs/settingsdialog.cpp:114 umllistview.cpp:1452
+#: dialogs/settingsdialog.cpp:114 umllistview.cpp:1460
 #, kde-format
 msgid "User Interface"
 msgstr "Korisnički interfejs"
@@ -3338,7 +3338,7 @@ msgstr "Klasa"
 msgid "Class Settings"
 msgstr "Postavke klase"
 
-#: dialogs/settingsdialog.cpp:137 umllistview.cpp:1447
+#: dialogs/settingsdialog.cpp:137 umllistview.cpp:1455
 #, kde-format
 msgid "Code Importer"
 msgstr "Uvoženje koda"
@@ -3348,7 +3348,7 @@ msgstr "Uvoženje koda"
 msgid "Code Import Settings"
 msgstr "Postavke uvoženja koda"
 
-#: dialogs/settingsdialog.cpp:146 umllistview.cpp:1448
+#: dialogs/settingsdialog.cpp:146 umllistview.cpp:1456
 #, kde-format
 msgid "Code Generation"
 msgstr "Generisanje kôda"
@@ -3358,7 +3358,7 @@ msgstr "Generisanje kôda"
 msgid "Code Generation Settings"
 msgstr "Postavke generisanja kôda"
 
-#: dialogs/settingsdialog.cpp:154 umllistview.cpp:1449
+#: dialogs/settingsdialog.cpp:154 umllistview.cpp:1457
 #, kde-format
 msgid "Code Viewer"
 msgstr "Prikazivač koda"
@@ -3368,7 +3368,7 @@ msgstr "Prikazivač koda"
 msgid "Code Viewer Settings"
 msgstr "Postavke prikazivača kôda"
 
-#: dialogs/settingsdialog.cpp:161 umllistview.cpp:1445
+#: dialogs/settingsdialog.cpp:161 umllistview.cpp:1453
 #, kde-format
 msgid "Auto Layout"
 msgstr "Automatski izgled"
@@ -4022,7 +4022,7 @@ msgstr "&Tip:"
 msgid "Package path:"
 msgstr "Putanja do paketa:"
 
-#: dialogs/widgets/umlstereotypewidget.cpp:29 uml1model/umlobject.cpp:1179
+#: dialogs/widgets/umlstereotypewidget.cpp:29 uml1model/umlobject.cpp:1180
 #, kde-format
 msgid "Stereotype &name:"
 msgstr "Ime &stereotipa:"
@@ -4166,7 +4166,7 @@ msgstr "© 2006 Gael di Chalendar (tpk.
 msgid "Gael de Chalendar (aka Kleag)"
 msgstr "Gael de Chalendar (aka Kleag)"
 
-#: docgenerators/main.cpp:56 main.cpp:131
+#: docgenerators/main.cpp:56 main.cpp:133
 #, kde-format
 msgid "Umbrello UML Modeller Authors"
 msgstr "Autori Umbrello-a, UML modelara"
@@ -4230,12 +4230,12 @@ msgstr ""
 msgid "Apply layout"
 msgstr "Primjeni raspored"
 
-#: main.cpp:121
+#: main.cpp:123
 #, kde-format
 msgid "Umbrello UML Modeller"
 msgstr "Umbrello, UML modelar"
 
-#: main.cpp:123
+#: main.cpp:125
 #, kde-format
 msgid ""
 "Umbrello – Visual development environment for software, based on the "
@@ -4243,7 +4243,7 @@ msgid ""
 "\"http://www.omg.org/spec/\">http://www.omg.org/spec/</a>."
 msgstr ""
 
-#: main.cpp:127
+#: main.cpp:129
 #, fuzzy, kde-format
 #| msgid "(c) 2001 Paul Hensgen, (c) 2002-2014 Umbrello UML Modeller Authors"
 msgid ""
@@ -4251,99 +4251,99 @@ msgid ""
 "Copyright © 2002-2020 Umbrello UML Modeller Authors"
 msgstr "(c) 2001 Paul Hensgen, (c) 2002-2014 Umbrello UML Modeller Authors"
 
-#: main.cpp:130
+#: main.cpp:132
 #, kde-format
 msgid "Paul Hensgen"
 msgstr "Paul Hensgen"
 
-#: main.cpp:130
+#: main.cpp:132
 #, kde-format
 msgid "Author of initial version."
 msgstr ""
 
-#: main.cpp:134
+#: main.cpp:136
 #, kde-format
 msgid "Oliver Kellogg"
 msgstr ""
 
-#: main.cpp:135 main.cpp:138
+#: main.cpp:137 main.cpp:140
 #, kde-format
 msgid "Bug fixing, porting work, code cleanup, new features."
 msgstr ""
 
-#: main.cpp:137
+#: main.cpp:139
 #, kde-format
 msgid "Ralf Habacker"
 msgstr ""
 
-#: main.cpp:140
+#: main.cpp:142
 #, kde-format
 msgid "Andi Fischer"
 msgstr ""
 
-#: main.cpp:141
+#: main.cpp:143
 #, kde-format
 msgid "Porting work, code cleanup, new features."
 msgstr ""
 
-#: main.cpp:143
+#: main.cpp:145
 #, kde-format
 msgid "Jonathan Riddell"
 msgstr ""
 
-#: main.cpp:144
+#: main.cpp:146
 #, fuzzy, kde-format
 #| msgid "&Current diagram"
 msgid "Current maintainer."
 msgstr "&Tekući dijagram"
 
-#: main.cpp:146
+#: main.cpp:148
 #, kde-format
 msgid "Brian Thomas"
 msgstr ""
 
-#: main.cpp:147
+#: main.cpp:149
 #, kde-format
 msgid "A lot of work for C++ and Java code generation. Codeeditor."
 msgstr ""
 
-#: main.cpp:152
+#: main.cpp:154
 #, kde-format
 msgid "File to open"
 msgstr "Datoteka  za otvaranje"
 
-#: main.cpp:153
+#: main.cpp:155
 #, kde-format
 msgid "export diagrams to extension and exit"
 msgstr "izvezi dijagrame u nastavak i izađi"
 
-#: main.cpp:154
+#: main.cpp:156
 #, kde-format
 msgid "list available export extensions"
 msgstr "izlistaj dostupne eksport ekstenzije"
 
-#: main.cpp:155
+#: main.cpp:157
 #, kde-format
 msgid "the local directory to save the exported diagrams in"
 msgstr "lokalna mapa u koju se snimaju izvezeni dijagrami"
 
-#: main.cpp:155
+#: main.cpp:157
 #, kde-format
 msgid "the directory of the file"
 msgstr "direktorij datoteke"
 
-#: main.cpp:156
+#: main.cpp:158
 #, kde-format
 msgid "import files"
 msgstr "uvezi direktorije"
 
-#: main.cpp:157
+#: main.cpp:159
 #, fuzzy, kde-format
 #| msgid "All Supported Files"
 msgid "list supported languages"
 msgstr "Sve podržane datoteke"
 
-#: main.cpp:158
+#: main.cpp:160
 #, kde-format
 msgid ""
 "keep the tree structure used to store the views in the document in the "
@@ -4352,13 +4352,13 @@ msgstr ""
 "drži u ciljnom direktoriju strukturu stabla koja se koristi za skladištenje "
 "prikaza u dokumentu"
 
-#: main.cpp:159
+#: main.cpp:161
 #, fuzzy, kde-format
 #| msgid "Import Project..."
 msgid "import files from directory <dir>"
 msgstr "Uvezi projekat..."
 
-#: main.cpp:163
+#: main.cpp:165
 #, fuzzy, kde-format
 #| msgid "Active &Language"
 msgid "set active language"
@@ -4629,7 +4629,7 @@ msgstr "Prikaži razgrađivanje"
 msgid "Import File(s)..."
 msgstr "Uvezi datoteke..."
 
-#: menus/listpopupmenu.cpp:201 uml.cpp:356
+#: menus/listpopupmenu.cpp:201 uml.cpp:365
 #, fuzzy, kde-format
 #| msgid "Import Project..."
 msgid "Import from Directory..."
@@ -5149,42 +5149,42 @@ msgctxt "align menu"
 msgid "Align"
 msgstr "Poravnanje"
 
-#: menus/widgetbasepopupmenu.cpp:598 uml.cpp:573
+#: menus/widgetbasepopupmenu.cpp:598 uml.cpp:582
 #, kde-format
 msgid "Align Right"
 msgstr "Poravnaj desno"
 
-#: menus/widgetbasepopupmenu.cpp:599 uml.cpp:578
+#: menus/widgetbasepopupmenu.cpp:599 uml.cpp:587
 #, kde-format
 msgid "Align Left"
 msgstr "Poravnaj lijevo"
 
-#: menus/widgetbasepopupmenu.cpp:600 uml.cpp:583
+#: menus/widgetbasepopupmenu.cpp:600 uml.cpp:592
 #, kde-format
 msgid "Align Top"
 msgstr "Poravnaj na vrhu"
 
-#: menus/widgetbasepopupmenu.cpp:601 uml.cpp:588
+#: menus/widgetbasepopupmenu.cpp:601 uml.cpp:597
 #, kde-format
 msgid "Align Bottom"
 msgstr "Poravnaj na dnu"
 
-#: menus/widgetbasepopupmenu.cpp:603 uml.cpp:593
+#: menus/widgetbasepopupmenu.cpp:603 uml.cpp:602
 #, kde-format
 msgid "Align Vertical Middle"
 msgstr "Poravnaj uspravno u sredini"
 
-#: menus/widgetbasepopupmenu.cpp:604 uml.cpp:598
+#: menus/widgetbasepopupmenu.cpp:604 uml.cpp:607
 #, kde-format
 msgid "Align Horizontal Middle"
 msgstr "Poravnaj vodoravno u sredini"
 
-#: menus/widgetbasepopupmenu.cpp:605 uml.cpp:603
+#: menus/widgetbasepopupmenu.cpp:605 uml.cpp:612
 #, kde-format
 msgid "Align Vertical Distribute"
 msgstr "Poravnaj uspravno raspoređeno"
 
-#: menus/widgetbasepopupmenu.cpp:606 uml.cpp:608
+#: menus/widgetbasepopupmenu.cpp:606 uml.cpp:617
 #, kde-format
 msgid "Align Horizontal Distribute"
 msgstr "Poravnaj vodoravno raspoređeno"
@@ -6119,8 +6119,8 @@ msgstr "Poruka"
 #: object_factory.cpp:251 uml1model/classifier.cpp:410
 #: uml1model/classifier.cpp:781 uml1model/entity.cpp:125
 #: uml1model/entity.cpp:178 uml1model/entity.cpp:228 uml1model/entity.cpp:277
-#: uml1model/enum.cpp:107 uml1model/instance.cpp:124 uml1model/package.cpp:171
-#: umldoc.cpp:1721 umldoc.cpp:1755
+#: uml1model/enum.cpp:107 uml1model/instance.cpp:124 uml1model/package.cpp:177
+#: umldoc.cpp:1723 umldoc.cpp:1757
 #, kde-format
 msgid "That is an invalid name."
 msgstr "To ime nije ispravno."
@@ -6139,7 +6139,7 @@ msgstr "Rezervisana ključna riječ"
 #: object_factory.cpp:264 uml1model/classifier.cpp:413
 #: uml1model/classifier.cpp:783 uml1model/entity.cpp:127
 #: uml1model/entity.cpp:180 uml1model/entity.cpp:230 uml1model/entity.cpp:279
-#: uml1model/instance.cpp:126 umldoc.cpp:1727 umldoc.cpp:1764
+#: uml1model/instance.cpp:126 umldoc.cpp:1729 umldoc.cpp:1766
 #, kde-format
 msgid "That name is already being used."
 msgstr "To ime se već koristi."
@@ -6147,8 +6147,8 @@ msgstr "To ime se već koristi."
 #: object_factory.cpp:265 uml1model/classifier.cpp:413
 #: uml1model/classifier.cpp:783 uml1model/entity.cpp:127
 #: uml1model/entity.cpp:180 uml1model/entity.cpp:230 uml1model/entity.cpp:279
-#: uml1model/instance.cpp:126 umldoc.cpp:1629 umldoc.cpp:1699 umldoc.cpp:1727
-#: umldoc.cpp:1764
+#: uml1model/instance.cpp:126 umldoc.cpp:1631 umldoc.cpp:1701 umldoc.cpp:1729
+#: umldoc.cpp:1766
 #, kde-format
 msgid "Not a Unique Name"
 msgstr "Nije jedinstveno ime"
@@ -6209,12 +6209,12 @@ msgstr "Atribut s tim imenom već postoj
 msgid "Choose a different name."
 msgstr "Izaberite drugačije ime."
 
-#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:266
+#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:273
 #, kde-format
 msgid "Incorrect use of associations."
 msgstr "Neispravno korištenje pridruživanja."
 
-#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:266
+#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:273
 #, kde-format
 msgid "Association Error"
 msgstr "Greška pridruživanja"
@@ -7383,190 +7383,190 @@ msgstr "Aktivni &jezik"
 msgid "&Settings"
 msgstr "&Postavke"
 
-#: uml.cpp:332
+#: uml.cpp:341
 #, kde-format
 msgid "&Export model to DocBook"
 msgstr "&Izvezi model u DocBook"
 
-#: uml.cpp:336
+#: uml.cpp:345
 #, kde-format
 msgid "&Export model to XHTML"
 msgstr "&Izvezi model u XHTML"
 
-#: uml.cpp:340
+#: uml.cpp:349
 #, kde-format
 msgid "&New Class Wizard..."
 msgstr "&Čarobnjak za novu klasu..."
 
-#: uml.cpp:344
+#: uml.cpp:353
 #, kde-format
 msgid "&Add Default Datatypes for Active Language"
 msgstr "&Dodaj podrazumijevane tipove podataka za aktivan jezik"
 
-#: uml.cpp:351
+#: uml.cpp:360
 #, kde-format
 msgid "Code &Importing Wizard..."
 msgstr "Čarobnjak za &Uvoz koda."
 
-#: uml.cpp:361
+#: uml.cpp:370
 #, kde-format
 msgid "&Code Generation Wizard..."
 msgstr "Čarobnjak za generisanje &kôda..."
 
-#: uml.cpp:366
+#: uml.cpp:375
 #, kde-format
 msgid "&Generate All Code"
 msgstr "&Generiši sav kôd"
 
-#: uml.cpp:411
+#: uml.cpp:420
 #, kde-format
 msgid "Creates a new document"
 msgstr "Pravi novi dokument"
 
-#: uml.cpp:412
+#: uml.cpp:421
 #, kde-format
 msgid "Opens an existing document"
 msgstr "Otvara postojeći dokument"
 
-#: uml.cpp:413
+#: uml.cpp:422
 #, kde-format
 msgid "Opens a recently used file"
 msgstr "Otvara skoro korištenu datoteku"
 
-#: uml.cpp:414
+#: uml.cpp:423
 #, kde-format
 msgid "Saves the document"
 msgstr "Snima dokument"
 
-#: uml.cpp:415
+#: uml.cpp:424
 #, kde-format
 msgid "Saves the document as..."
 msgstr "Snima dokument kao..."
 
-#: uml.cpp:416
+#: uml.cpp:425
 #, kde-format
 msgid "Closes the document"
 msgstr "Zatvara dokument"
 
-#: uml.cpp:417
+#: uml.cpp:426
 #, kde-format
 msgid "Prints out the document"
 msgstr "Štampa dokument"
 
-#: uml.cpp:418
+#: uml.cpp:427
 #, kde-format
 msgid "Print Preview of the document"
 msgstr "Pregled prije štampe dokumenta"
 
-#: uml.cpp:419
+#: uml.cpp:428
 #, kde-format
 msgid "Quits the application"
 msgstr "Izlazi iz programa"
 
-#: uml.cpp:420
+#: uml.cpp:429
 #, kde-format
 msgid "Exports the model to the docbook format"
 msgstr "Izvozi model u formatu DocBook-a"
 
-#: uml.cpp:421
+#: uml.cpp:430
 #, kde-format
 msgid "Exports the model to the XHTML format"
 msgstr "Izvozi model u formatu XHTML-a"
 
-#: uml.cpp:422
+#: uml.cpp:431
 #, kde-format
 msgid "Cuts the selected section and puts it to the clipboard"
 msgstr "Isijeca izabranu sekciju i stavlja je u clipboard"
 
-#: uml.cpp:423
+#: uml.cpp:432
 #, kde-format
 msgid "Copies the selected section to the clipboard"
 msgstr "Kopira trenutni izbor u clipboard"
 
-#: uml.cpp:424
+#: uml.cpp:433
 #, kde-format
 msgid "Pastes the contents of the clipboard"
 msgstr "Umeće sadržaj međuspremnika"
 
-#: uml.cpp:425
+#: uml.cpp:434
 #, kde-format
 msgid "Set the default program preferences"
 msgstr "Postavlja podrazumijevana podešavanja programa"
 
-#: uml.cpp:429
+#: uml.cpp:438
 #, kde-format
 msgctxt "delete selected widget"
 msgid "Delete &Selected"
 msgstr "Obriši &označeno"
 
-#: uml.cpp:440
+#: uml.cpp:449
 #, kde-format
 msgid "&Class Diagram..."
 msgstr "Dijagram &klase..."
 
-#: uml.cpp:447
+#: uml.cpp:456
 #, fuzzy, kde-format
 #| msgid "S&tate Diagram..."
 msgid "&Object Diagram..."
 msgstr "Dijagram s&tanja..."
 
-#: uml.cpp:454
+#: uml.cpp:463
 #, kde-format
 msgid "&Sequence Diagram..."
 msgstr "Dijagram &sekvence..."
 
-#: uml.cpp:460
+#: uml.cpp:469
 #, fuzzy, kde-format
 #| msgid "C&ollaboration Diagram..."
 msgid "C&ommunication Diagram..."
 msgstr "Dijagram s&aradnje..."
 
-#: uml.cpp:466
+#: uml.cpp:475
 #, kde-format
 msgid "&Use Case Diagram..."
 msgstr "&Dijagram slučaja upotrebe..."
 
-#: uml.cpp:472
+#: uml.cpp:481
 #, kde-format
 msgid "S&tate Diagram..."
 msgstr "Dijagram s&tanja..."
 
-#: uml.cpp:478
+#: uml.cpp:487
 #, kde-format
 msgid "&Activity Diagram..."
 msgstr "Dijagram &aktivnosti..."
 
-#: uml.cpp:484
+#: uml.cpp:493
 #, kde-format
 msgid "Co&mponent Diagram..."
 msgstr "Dijagram &komponente..."
 
-#: uml.cpp:490
+#: uml.cpp:499
 #, kde-format
 msgid "&Deployment Diagram..."
 msgstr "Dijagram &razvijanja..."
 
-#: uml.cpp:496
+#: uml.cpp:505
 #, kde-format
 msgid "&Entity Relationship Diagram..."
 msgstr "Dijagram odnosa &među entitetima..."
 
-#: uml.cpp:501 uml.cpp:954
+#: uml.cpp:510 uml.cpp:963
 #, kde-format
 msgid "&Tree View"
 msgstr "&Stablo-prikaz"
 
-#: uml.cpp:505
+#: uml.cpp:514
 #, kde-format
 msgid "&Debugging"
 msgstr "&Otklanjanje grešaka"
 
-#: uml.cpp:513
+#: uml.cpp:522
 #, kde-format
 msgid "&Logging"
 msgstr "&Logovanje"
 
-#: uml.cpp:517
+#: uml.cpp:526
 #, kde-format
 msgid "&Command history"
 msgstr "Historijat ko&mandi"
@@ -7575,136 +7575,136 @@ msgstr "Historijat ko&mandi"
 #. m_propertyDock->setObjectName(QLatin1String("PropertyDock"));
 #. addDockWidget(Qt::LeftDockWidgetArea, m_propertyDock);  //:TODO:
 #. create the bird's eye view
-#: uml.cpp:521 uml.cpp:1011
+#: uml.cpp:530 uml.cpp:1020
 #, kde-format
 msgid "&Bird's eye view"
 msgstr "Pogled &ptičije perspektive"
 
-#: uml.cpp:526
+#: uml.cpp:535
 #, kde-format
 msgid "&Clear Diagram"
 msgstr "&Očisti dijagram"
 
-#: uml.cpp:530
+#: uml.cpp:539
 #, kde-format
 msgid "&Snap to Grid"
 msgstr "&Uklapaj uz mrežu"
 
-#: uml.cpp:534
+#: uml.cpp:543
 #, kde-format
 msgid "S&how Grid"
 msgstr "P&rikaži mrežu"
 
-#: uml.cpp:539
+#: uml.cpp:548
 #, kde-format
 msgid "&Delete Diagram"
 msgstr "&Obriši dijagram"
 
-#: uml.cpp:544
+#: uml.cpp:553
 #, kde-format
 msgid "&Export as Picture..."
 msgstr "Izv&ezi kao sliku..."
 
-#: uml.cpp:549
+#: uml.cpp:558
 #, fuzzy, kde-format
 #| msgid "Export &All Diagrams as Pictures..."
 msgid "Export &Diagrams as Pictures..."
 msgstr "Izvezi &sve dijagrame kao slike..."
 
-#: uml.cpp:569
+#: uml.cpp:578
 #, kde-format
 msgid "Z&oom to 100%"
 msgstr "&Zumiraj na 100%"
 
-#: uml.cpp:612
+#: uml.cpp:621
 #, kde-format
 msgid "&Move Tab Left"
 msgstr "Pomjeri karticu u&lijevo"
 
-#: uml.cpp:613
+#: uml.cpp:622
 #, kde-format
 msgid "&Move Tab Right"
 msgstr "Pomjeri karticu u&desno"
 
-#: uml.cpp:636
+#: uml.cpp:645
 #, kde-format
 msgid "Select Diagram on Left"
 msgstr "Odaberi dijagram lijevo"
 
-#: uml.cpp:637
+#: uml.cpp:646
 #, kde-format
 msgid "Select Diagram on Right"
 msgstr "Odaberi dijagram desno"
 
-#: uml.cpp:776
+#: uml.cpp:785
 #, kde-format
 msgctxt "%1 percent value from 20 to 500"
 msgid " &%1%"
 msgstr ""
 
-#: uml.cpp:826
+#: uml.cpp:835
 #, kde-format
 msgctxt "init status bar"
 msgid "Ready"
 msgstr "Spreman"
 
-#: uml.cpp:835 uml.cpp:848
+#: uml.cpp:844 uml.cpp:857
 #, kde-format
 msgid "100%"
 msgstr "100%"
 
-#: uml.cpp:840
+#: uml.cpp:849
 #, kde-format
 msgid "Fit"
 msgstr "Uklopi"
 
-#: uml.cpp:899
+#: uml.cpp:908
 #, kde-format
 msgid "Diagram Toolbar"
 msgstr "Traka alata za dijagrame"
 
-#: uml.cpp:965
+#: uml.cpp:974
 #, kde-format
 msgid "Doc&umentation"
 msgstr "Dok&umentacija"
 
-#: uml.cpp:976
+#: uml.cpp:985
 #, kde-format
 msgid "Co&mmand history"
 msgstr "Historijat ko&mandi"
 
-#: uml.cpp:992
+#: uml.cpp:1001
 #, kde-format
 msgid "&Debug"
 msgstr "&Ukloni greške"
 
-#: uml.cpp:999
+#: uml.cpp:1008
 #, kde-format
 msgid "&Log"
 msgstr "&Log"
 
-#: uml.cpp:1041 uml.cpp:1258 uml.cpp:1307
+#: uml.cpp:1050 uml.cpp:1267 uml.cpp:1316
 #, kde-format
 msgid "Opening file..."
 msgstr "Otvaram datoteku..."
 
-#: uml.cpp:1092 uml.cpp:1157 uml.cpp:1342 umldoc.cpp:342 umldoc.cpp:344
-#: umldoc.cpp:368 umldoc.cpp:3396
+#: uml.cpp:1101 uml.cpp:1166 uml.cpp:1351 umldoc.cpp:343 umldoc.cpp:345
+#: umldoc.cpp:369 umldoc.cpp:3405
 #, kde-format
 msgid "Untitled"
 msgstr "Bez naslova"
 
-#: uml.cpp:1240
+#: uml.cpp:1249
 #, kde-format
 msgid "Creating new document..."
 msgstr "Pravim novi dokument..."
 
-#: uml.cpp:1266 uml.cpp:1281
+#: uml.cpp:1275 uml.cpp:1290
 #, kde-format
 msgid "Open File"
 msgstr "Otvori datoteku"
 
-#: uml.cpp:1270
+#: uml.cpp:1279
 #, kde-format
 msgid ""
 "*.xmi *.xmi.tgz *.xmi.tar.bz2 *.mdl *.zargo|All Supported Files (*.xmi, *."
@@ -7723,22 +7723,22 @@ msgstr ""
 "*.mdl|Rose model files (*.mdl)\n"
 "*.zargo|Compressed argo Files(*.zargo)\n"
 
-#: uml.cpp:1341
+#: uml.cpp:1350
 #, kde-format
 msgid "Saving file..."
 msgstr "Snimam datoteku..."
 
-#: uml.cpp:1358
+#: uml.cpp:1367
 #, kde-format
 msgid "Saving file with a new filename..."
 msgstr "Snimam datoteku pod novim imenom..."
 
-#: uml.cpp:1368 uml.cpp:1374 umlviewimageexporter.cpp:199
+#: uml.cpp:1377 uml.cpp:1383 umlviewimageexporter.cpp:199
 #, kde-format
 msgid "Save As"
 msgstr "Snimi kao"
 
-#: uml.cpp:1369
+#: uml.cpp:1378
 #, fuzzy, kde-format
 #| msgid ""
 #| "*.xmi|XMI File\n"
@@ -7754,7 +7754,7 @@ msgstr ""
 "*.xmi.tar.bz2|Bzip2 kompresovane XMI datoteka\n"
 "*|Sve datoteke"
 
-#: uml.cpp:1374
+#: uml.cpp:1383
 #, fuzzy, kde-format
 #| msgid ""
 #| "*.xmi|XMI File\n"
@@ -7772,7 +7772,7 @@ msgstr ""
 "*.xmi.tar.bz2|Bzip2 kompresovane XMI datoteka\n"
 "*|Sve datoteke"
 
-#: uml.cpp:1387
+#: uml.cpp:1396
 #, kde-format
 msgid ""
 "The file %1 exists.\n"
@@ -7781,67 +7781,67 @@ msgstr ""
 "Datoteka %1 postoji.\n"
 "Želite li da ga prebrišete?"
 
-#: uml.cpp:1388
+#: uml.cpp:1397
 #, kde-format
 msgid "Warning"
 msgstr "Upozorenje"
 
-#: uml.cpp:1388
+#: uml.cpp:1397
 #, kde-format
 msgid "Overwrite"
 msgstr "Prebriši"
 
-#: uml.cpp:1422
+#: uml.cpp:1431
 #, kde-format
 msgid "Closing file..."
 msgstr "Zatvaram datoteku..."
 
-#: uml.cpp:1432
+#: uml.cpp:1441
 #, kde-format
 msgid "No search term entered"
 msgstr "Nije ukucan pojam za pretragu"
 
-#: uml.cpp:1438
+#: uml.cpp:1447
 #, kde-format
 msgid "'%1': %2 found"
 msgstr "'%1': %2 pronađen"
 
-#: uml.cpp:1502
+#: uml.cpp:1511
 #, kde-format
 msgid "Print Preview..."
 msgstr "Pregled za štampu..."
 
-#: uml.cpp:1529
+#: uml.cpp:1538
 #, kde-format
 msgid "Printing..."
 msgstr "Štampam..."
 
-#: uml.cpp:1536 uml.cpp:1540
+#: uml.cpp:1545 uml.cpp:1549
 #, kde-format
 msgid "Print %1"
 msgstr "Štampaj %1"
 
-#: uml.cpp:1560
+#: uml.cpp:1569
 #, kde-format
 msgid "Exiting..."
 msgstr "Izlazim..."
 
-#: uml.cpp:1647
+#: uml.cpp:1656
 #, kde-format
 msgid "Cutting selection..."
 msgstr "Isijecam izbor..."
 
-#: uml.cpp:1670
+#: uml.cpp:1679
 #, kde-format
 msgid "Copying selection to clipboard..."
 msgstr "Kopiram izbor u clipboard..."
 
-#: uml.cpp:1682
+#: uml.cpp:1691
 #, kde-format
 msgid "Inserting clipboard contents..."
 msgstr "Umećem sadržaj clipboard-a..."
 
-#: uml.cpp:1687
+#: uml.cpp:1696
 #, kde-format
 msgid ""
 "Umbrello could not paste the clipboard contents.  The objects in the "
@@ -7850,38 +7850,38 @@ msgstr ""
 "Umbrello nije mogao da umetne sadržaj međuspremnika. Objekti u međuspremniku "
 "su možda pogrešnog tipa da bi se ovdje umetnuli."
 
-#: uml.cpp:1713 umlviewimageexporter.cpp:92 umlviewimageexporterall.cpp:123
+#: uml.cpp:1722 umlviewimageexporter.cpp:92 umlviewimageexporterall.cpp:123
 #, kde-format
 msgctxt "reset status bar"
 msgid "Ready."
 msgstr "Spreman."
 
-#: uml.cpp:2246
+#: uml.cpp:2255
 #, kde-format
 msgid "Cannot view code until you generate some first."
 msgstr "Ne mogu da prikažem kôd dok ga ne generišite."
 
-#: uml.cpp:2246 uml.cpp:2249
+#: uml.cpp:2255 uml.cpp:2258
 #, kde-format
 msgid "Cannot View Code"
 msgstr "Ne mogu da prikažem kôd"
 
-#: uml.cpp:2249
+#: uml.cpp:2258
 #, kde-format
 msgid "Cannot view code from simple code writer."
 msgstr "Ne mogu da prikažem kôd iz prostog pisača kôda."
 
-#: uml.cpp:2714 uml.cpp:2716
+#: uml.cpp:2728 uml.cpp:2730
 #, kde-format
 msgid "Select file(s) to import:"
 msgstr "Označi fajl(ove) za uvoz:"
 
-#: uml.cpp:2747 uml.cpp:2749
+#: uml.cpp:2761 uml.cpp:2763
 #, kde-format
 msgid "Select directory to import:"
 msgstr "Selektuj popis datoteka za uvoz:"
 
-#: uml.cpp:3313
+#: uml.cpp:3335
 #, kde-format
 msgid "XHTML Generation failed ."
 msgstr "Generisanje XHTML nije uspjelo."
@@ -7894,20 +7894,20 @@ msgid ""
 msgstr ""
 "Operacija sa istim imenom i potpisom već postoji. Nemožete je dodati ponovo."
 
-#: uml1model/folder.cpp:435
+#: uml1model/folder.cpp:436
 #, kde-format
 msgid "The folderfile %1 does not exist."
 msgstr "Datoteka mape %1 ne postoji."
 
-#: uml1model/folder.cpp:435 uml1model/folder.cpp:439 umldoc.cpp:529
-#: umldoc.cpp:541 umldoc.cpp:568 umldoc.cpp:570 umldoc.cpp:620 umldoc.cpp:623
-#: umldoc.cpp:638 umldoc.cpp:641 umldoc.cpp:665 umldoc.cpp:668 umldoc.cpp:684
-#: umldoc.cpp:687 umldoc.cpp:702 umldoc.cpp:705 umldoc.cpp:750
+#: uml1model/folder.cpp:436 uml1model/folder.cpp:440 umldoc.cpp:530
+#: umldoc.cpp:542 umldoc.cpp:569 umldoc.cpp:571 umldoc.cpp:621 umldoc.cpp:624
+#: umldoc.cpp:639 umldoc.cpp:642 umldoc.cpp:666 umldoc.cpp:669 umldoc.cpp:685
+#: umldoc.cpp:688 umldoc.cpp:703 umldoc.cpp:706 umldoc.cpp:751
 #, kde-format
 msgid "Load Error"
 msgstr "Greška pri učitavanju"
 
-#: uml1model/folder.cpp:439
+#: uml1model/folder.cpp:440
 #, kde-format
 msgid "The folderfile %1 cannot be opened."
 msgstr "Datoteka mape %1 se ne može otvoriti."
@@ -7917,13 +7917,13 @@ msgstr "Datoteka mape %1 se ne može otv
 msgid "new_parameter"
 msgstr "novi_parametar"
 
-#: uml1model/package.cpp:163
+#: uml1model/package.cpp:169
 #, kde-format
 msgctxt "object name"
 msgid "Name"
 msgstr "Ime"
 
-#: uml1model/package.cpp:164
+#: uml1model/package.cpp:170
 #, kde-format
 msgid ""
 "An object with the name %1\n"
@@ -7949,78 +7949,78 @@ msgstr "novo_polje"
 msgid "new_fkey_constraint"
 msgstr "new_fkey_constraint"
 
-#: uml1model/umlobject.cpp:1140
+#: uml1model/umlobject.cpp:1141
 #, kde-format
 msgid "Actor &name:"
 msgstr "Ime &učesnika:"
 
-#: uml1model/umlobject.cpp:1143
+#: uml1model/umlobject.cpp:1144
 #, kde-format
 msgid "Artifact &name:"
 msgstr "Ime &artifakta:"
 
-#: uml1model/umlobject.cpp:1146
+#: uml1model/umlobject.cpp:1147
 #, fuzzy, kde-format
 #| msgid "Association Name"
 msgid "Association &name:"
 msgstr "Ime pridruživanja"
 
-#: uml1model/umlobject.cpp:1149
+#: uml1model/umlobject.cpp:1150
 #, kde-format
 msgid "Class &name:"
 msgstr "Ime &klase:"
 
-#: uml1model/umlobject.cpp:1152
+#: uml1model/umlobject.cpp:1153
 #, kde-format
 msgid "Component &name:"
 msgstr "Ime &komponente:"
 
-#: uml1model/umlobject.cpp:1155
+#: uml1model/umlobject.cpp:1156
 #, kde-format
 msgid "Datatype &name:"
 msgstr "Ime tipa po&datka:"
 
-#: uml1model/umlobject.cpp:1158
+#: uml1model/umlobject.cpp:1159
 #, kde-format
 msgid "Entity &name:"
 msgstr "I&me entiteta:"
 
-#: uml1model/umlobject.cpp:1161
+#: uml1model/umlobject.cpp:1162
 #, kde-format
 msgid "Enum &name:"
 msgstr "I&me nabrajanja:"
 
-#: uml1model/umlobject.cpp:1164
+#: uml1model/umlobject.cpp:1165
 #, kde-format
 msgid "Folder &name:"
 msgstr "Ime direktorija:"
 
-#: uml1model/umlobject.cpp:1167
+#: uml1model/umlobject.cpp:1168
 #, kde-format
 msgid "Interface &name:"
 msgstr "Ime i&nterfejsa:"
 
-#: uml1model/umlobject.cpp:1170
+#: uml1model/umlobject.cpp:1171
 #, kde-format
 msgid "Node &name:"
 msgstr "&Ime čvora:"
 
-#: uml1model/umlobject.cpp:1173
+#: uml1model/umlobject.cpp:1174
 #, kde-format
 msgid "Package &name:"
 msgstr "Ime &paketa:"
 
-#: uml1model/umlobject.cpp:1176
+#: uml1model/umlobject.cpp:1177
 #, kde-format
 msgid "Port &name:"
 msgstr "&Ime porta:"
 
-#: uml1model/umlobject.cpp:1182
+#: uml1model/umlobject.cpp:1183
 #, kde-format
 msgid "Use case &name:"
 msgstr "&Ime slučaja upotrebe:"
 
-#: uml1model/umlobject.cpp:1185
+#: uml1model/umlobject.cpp:1186
 #, kde-format
 msgid "Instance name:"
 msgstr "Ime primjerka:"
@@ -8042,42 +8042,42 @@ msgstr "Stereotipovi"
 msgid "Welcome"
 msgstr ""
 
-#: umldoc.cpp:112 umldoc.cpp:2400 umldoc.cpp:2428
+#: umldoc.cpp:113 umldoc.cpp:2405 umldoc.cpp:2433
 #, kde-format
 msgid "UML Model"
 msgstr "UML modelar"
 
-#: umldoc.cpp:154
+#: umldoc.cpp:155
 #, kde-format
 msgid "Logical View"
 msgstr "Logički prikaz"
 
-#: umldoc.cpp:155
+#: umldoc.cpp:156
 #, kde-format
 msgid "Use Case View"
 msgstr "Prikaz slučaja upotrebe"
 
-#: umldoc.cpp:156
+#: umldoc.cpp:157
 #, kde-format
 msgid "Component View"
 msgstr "Prikaz komponenti"
 
-#: umldoc.cpp:157
+#: umldoc.cpp:158
 #, kde-format
 msgid "Deployment View"
 msgstr "Prikaz razvijanja"
 
-#: umldoc.cpp:158
+#: umldoc.cpp:159
 #, kde-format
 msgid "Entity Relationship Model"
 msgstr "Model odnosa među entitetima"
 
-#: umldoc.cpp:184
+#: umldoc.cpp:185
 #, kde-format
 msgid "Datatypes"
 msgstr "Tipovi podataka"
 
-#: umldoc.cpp:363
+#: umldoc.cpp:364
 #, kde-format
 msgid ""
 "The current file has been modified.\n"
@@ -8086,171 +8086,171 @@ msgstr ""
 "Tekuća datoteka je izmijenjena.\n"
 "Želite li da je sačuvate?"
 
-#: umldoc.cpp:364
+#: umldoc.cpp:365
 #, kde-format
 msgctxt "warning message"
 msgid "Warning"
 msgstr "Upozorenje"
 
-#: umldoc.cpp:529
+#: umldoc.cpp:530
 #, fuzzy, kde-format
 #| msgid "The file %1 does not exist."
 msgid "The file <%1> does not exist."
 msgstr "Datoteka %1 ne postoji."
 
-#: umldoc.cpp:541
+#: umldoc.cpp:542
 #, kde-format
 msgid "The file %1 does not exist."
 msgstr "Datoteka %1 ne postoji."
 
-#: umldoc.cpp:568 umldoc.cpp:570
+#: umldoc.cpp:569 umldoc.cpp:571
 #, kde-format
 msgid "The file %1 seems to be corrupted."
 msgstr "Datoteka %1 izgleda oštećeno."
 
-#: umldoc.cpp:619 umldoc.cpp:622 umldoc.cpp:637 umldoc.cpp:640 umldoc.cpp:683
-#: umldoc.cpp:686
+#: umldoc.cpp:620 umldoc.cpp:623 umldoc.cpp:638 umldoc.cpp:641 umldoc.cpp:684
+#: umldoc.cpp:687
 #, kde-format
 msgid "There was no XMI file found in the compressed file %1."
 msgstr "Nije nađena nijedna XMI datoteka u kompresovanoj datoteci %1."
 
-#: umldoc.cpp:664 umldoc.cpp:667
+#: umldoc.cpp:665 umldoc.cpp:668
 #, kde-format
 msgid "There was a problem loading the extracted file: %1"
 msgstr "Došlo je do problema prilikom učitavanja raspakovane datoteke: %1"
 
-#: umldoc.cpp:701 umldoc.cpp:704 umldoc.cpp:744 umldoc.cpp:746
+#: umldoc.cpp:702 umldoc.cpp:705 umldoc.cpp:745 umldoc.cpp:747
 #, kde-format
 msgid "There was a problem loading file: %1"
 msgstr "Došlo je do problema prilikom učitavanje datoteke: %1"
 
-#: umldoc.cpp:749
+#: umldoc.cpp:750
 #, kde-format
 msgid "Reason: %1"
 msgstr ""
 
-#: umldoc.cpp:832 umldoc.cpp:834 umldoc.cpp:851 umldoc.cpp:853 umldoc.cpp:873
-#: umldoc.cpp:875 umldoc.cpp:924 umldoc.cpp:926 umldoc.cpp:966 umldoc.cpp:969
-#: umldoc.cpp:978 umldoc.cpp:980 umllistview.cpp:593
+#: umldoc.cpp:833 umldoc.cpp:835 umldoc.cpp:852 umldoc.cpp:854 umldoc.cpp:874
+#: umldoc.cpp:876 umldoc.cpp:925 umldoc.cpp:927 umldoc.cpp:968 umldoc.cpp:971
+#: umldoc.cpp:980 umldoc.cpp:982 umllistview.cpp:594
 #, kde-format
 msgid "Save Error"
 msgstr "Greška pri snimanju"
 
-#: umldoc.cpp:832 umldoc.cpp:851 umldoc.cpp:873 umldoc.cpp:924 umldoc.cpp:966
+#: umldoc.cpp:833 umldoc.cpp:852 umldoc.cpp:874 umldoc.cpp:925 umldoc.cpp:968
 #, fuzzy, kde-format
 #| msgid "There was a problem saving file: %1"
 msgid "There was a problem saving: %1"
 msgstr "Došlo je do problema prilikom snimanja datoteke: %1"
 
-#: umldoc.cpp:834 umldoc.cpp:853 umldoc.cpp:875 umldoc.cpp:926 umldoc.cpp:969
-#: umllistview.cpp:592 umlviewimageexportermodel.cpp:303
+#: umldoc.cpp:835 umldoc.cpp:854 umldoc.cpp:876 umldoc.cpp:927 umldoc.cpp:971
+#: umllistview.cpp:593 umlviewimageexportermodel.cpp:303
 #, kde-format
 msgid "There was a problem saving file: %1"
 msgstr "Došlo je do problema prilikom snimanja datoteke: %1"
 
-#: umldoc.cpp:978
+#: umldoc.cpp:980
 #, fuzzy, kde-format
 #| msgid "There was a problem uploading file: %1"
 msgid "There was a problem uploading: %1"
 msgstr "Došlo je do problema prilikom slanje datoteke: %1"
 
-#: umldoc.cpp:980
+#: umldoc.cpp:982
 #, kde-format
 msgid "There was a problem uploading file: %1"
 msgstr "Došlo je do problema prilikom slanje datoteke: %1"
 
-#: umldoc.cpp:1526
+#: umldoc.cpp:1528
 #, kde-format
 msgid "use case diagram"
 msgstr "dijagram slučaja upotrebe"
 
-#: umldoc.cpp:1529
+#: umldoc.cpp:1531
 #, kde-format
 msgid "class diagram"
 msgstr "dijagram klase"
 
-#: umldoc.cpp:1532
+#: umldoc.cpp:1534
 #, kde-format
 msgid "sequence diagram"
 msgstr "dijagram sekvence"
 
-#: umldoc.cpp:1535
+#: umldoc.cpp:1537
 #, fuzzy, kde-format
 #| msgid "collaboration diagram"
 msgid "communication diagram"
 msgstr "dijagram saradnje"
 
-#: umldoc.cpp:1538
+#: umldoc.cpp:1540
 #, fuzzy, kde-format
 #| msgid "&Select diagrams"
 msgid "object diagram"
 msgstr "&Odaberi dijagram"
 
-#: umldoc.cpp:1541
+#: umldoc.cpp:1543
 #, kde-format
 msgid "state diagram"
 msgstr "dijagram stanja"
 
-#: umldoc.cpp:1544
+#: umldoc.cpp:1546
 #, kde-format
 msgid "activity diagram"
 msgstr "dijagram aktivnosti"
 
-#: umldoc.cpp:1547
+#: umldoc.cpp:1549
 #, kde-format
 msgid "component diagram"
 msgstr "dijagram komponenti"
 
-#: umldoc.cpp:1550
+#: umldoc.cpp:1552
 #, kde-format
 msgid "deployment diagram"
 msgstr "dijagram razvijanja"
 
-#: umldoc.cpp:1553
+#: umldoc.cpp:1555
 #, kde-format
 msgid "entity relationship diagram"
 msgstr "dijagrama odnosa među entitetima"
 
-#: umldoc.cpp:1623
+#: umldoc.cpp:1625
 #, kde-format
 msgctxt "diagram name"
 msgid "Name"
 msgstr "Naziv"
 
-#: umldoc.cpp:1623 umldoc.cpp:1686 umldoc.cpp:1715 umldoc.cpp:1749
+#: umldoc.cpp:1625 umldoc.cpp:1688 umldoc.cpp:1717 umldoc.cpp:1751
 #, kde-format
 msgid "Enter name:"
 msgstr "Unesite ime:"
 
-#: umldoc.cpp:1627 umldoc.cpp:1692
+#: umldoc.cpp:1629 umldoc.cpp:1694
 #, kde-format
 msgid "That is an invalid name for a diagram."
 msgstr "To je neispravno ime za dijagram."
 
-#: umldoc.cpp:1629 umldoc.cpp:1699
+#: umldoc.cpp:1631 umldoc.cpp:1701
 #, kde-format
 msgid "A diagram is already using that name."
 msgstr "Dijagram već koristi to ime."
 
-#: umldoc.cpp:1685
+#: umldoc.cpp:1687
 #, kde-format
 msgctxt "renaming diagram"
 msgid "Name"
 msgstr "Naziv"
 
-#: umldoc.cpp:1714
+#: umldoc.cpp:1716
 #, kde-format
 msgctxt "renaming uml object"
 msgid "Name"
 msgstr "Naziv"
 
-#: umldoc.cpp:1748
+#: umldoc.cpp:1750
 #, kde-format
 msgctxt "renaming child uml object"
 msgid "Name"
 msgstr "Naziv"
 
-#: umldoc.cpp:1758
+#: umldoc.cpp:1760
 #, kde-format
 msgid ""
 "The name you entered was not unique.\n"
@@ -8259,62 +8259,62 @@ msgstr ""
 "Ime koje ste unijeli nije jedinstveno.\n"
 "Da li ste ovo željeli?"
 
-#: umldoc.cpp:1759
+#: umldoc.cpp:1761
 #, kde-format
 msgid "Use Name"
 msgstr "Koristi ime"
 
-#: umldoc.cpp:1759
+#: umldoc.cpp:1761
 #, kde-format
 msgid "Enter New Name"
 msgstr "Unesite novo ime"
 
-#: umldoc.cpp:2361
+#: umldoc.cpp:2366
 #, kde-format
 msgid "Unsupported xmi file version: %1"
 msgstr ""
 
-#: umldoc.cpp:2511
+#: umldoc.cpp:2516
 #, kde-format
 msgid "Setting up the document..."
 msgstr "Postavljam dokument..."
 
-#: umldoc.cpp:2540
+#: umldoc.cpp:2545
 #, kde-format
 msgid "Resolving object references..."
 msgstr "Razrješavam reference objekta..."
 
-#: umldoc.cpp:2648
+#: umldoc.cpp:2653
 #, kde-format
 msgid "Loading UML elements..."
 msgstr "Učitavam UML elemente..."
 
-#: umldoc.cpp:2892
+#: umldoc.cpp:2899
 #, kde-format
 msgid "Loading diagrams..."
 msgstr "Učitavam dijagrame..."
 
-#: umldoc.cpp:3400
+#: umldoc.cpp:3409
 #, kde-format
 msgid "/autosave%1"
 msgstr "/automatsko snimanje%1"
 
-#: umllistview.cpp:536 umllistview.cpp:540
+#: umllistview.cpp:537 umllistview.cpp:541
 #, kde-format
 msgid "Externalize Folder"
 msgstr "Učini mapu spoljnom"
 
-#: umllistview.cpp:574
+#: umllistview.cpp:575
 #, kde-format
 msgid "Folder %1 must be relative to the main model directory, %2."
 msgstr "Direktorij %1 mora biti u odnosu na glavni model direktorija, %2."
 
-#: umllistview.cpp:575
+#: umllistview.cpp:576
 #, kde-format
 msgid "Path Error"
 msgstr "Greška puta"
 
-#: umllistview.cpp:583
+#: umllistview.cpp:584
 #, kde-format
 msgid ""
 "File %1 already exists!\n"
@@ -8323,67 +8323,67 @@ msgstr ""
 "Datoteka %1 već postoji!\n"
 "Postojeća datoteka će biti prepisana."
 
-#: umllistview.cpp:584
+#: umllistview.cpp:585
 #, kde-format
 msgid "File Exist"
 msgstr "Datoteka postoji"
 
-#: umllistview.cpp:624
+#: umllistview.cpp:625
 #, kde-format
 msgid "Enter Model Name"
 msgstr "Unesite ime modela"
 
-#: umllistview.cpp:625
+#: umllistview.cpp:626
 #, kde-format
 msgid "Enter the new name of the model:"
 msgstr "Unesite novo ime modela:"
 
-#: umllistview.cpp:1422
+#: umllistview.cpp:1430
 #, kde-format
 msgid "Views"
 msgstr "Prikazi"
 
-#: umllistview.cpp:1441
+#: umllistview.cpp:1449
 #, fuzzy, kde-format
 #| msgid "&Settings"
 msgid "Settings"
 msgstr "&Postavke"
 
-#: umllistview.cpp:2413
+#: umllistview.cpp:2421
 #, kde-format
 msgid "Loading listview..."
 msgstr "Učitavam prikaz liste..."
 
-#: umllistview.cpp:2764
+#: umllistview.cpp:2772
 #, fuzzy, kde-format
 #| msgid "The folder must be emptied before it can be deleted."
 msgid "The class must be emptied before it can be deleted."
 msgstr "Mapa se mora prvo isprazniti da bi se obrisala."
 
-#: umllistview.cpp:2765
+#: umllistview.cpp:2773
 #, fuzzy, kde-format
 #| msgid "Folder Not Empty"
 msgid "Class Not Empty"
 msgstr "Mapa nije prazna"
 
-#: umllistview.cpp:2769
+#: umllistview.cpp:2777
 #, fuzzy, kde-format
 #| msgid "The folder must be emptied before it can be deleted."
 msgid "The package must be emptied before it can be deleted."
 msgstr "Mapa se mora prvo isprazniti da bi se obrisala."
 
-#: umllistview.cpp:2770
+#: umllistview.cpp:2778
 #, fuzzy, kde-format
 #| msgid "Folder Not Empty"
 msgid "Package Not Empty"
 msgstr "Mapa nije prazna"
 
-#: umllistview.cpp:2774
+#: umllistview.cpp:2782
 #, kde-format
 msgid "The folder must be emptied before it can be deleted."
 msgstr "Mapa se mora prvo isprazniti da bi se obrisala."
 
-#: umllistview.cpp:2775
+#: umllistview.cpp:2783
 #, kde-format
 msgid "Folder Not Empty"
 msgstr "Mapa nije prazna"
diff -pruN 4:20.08.3-1/po/ca/docs/umbrello/settings.docbook 4:20.12.0-0ubuntu1/po/ca/docs/umbrello/settings.docbook
--- 4:20.08.3-1/po/ca/docs/umbrello/settings.docbook	2020-11-03 00:42:17.000000000 +0000
+++ 4:20.12.0-0ubuntu1/po/ca/docs/umbrello/settings.docbook	2020-12-04 00:21:32.000000000 +0000
@@ -1,25 +1,25 @@
 <chapter id="settings">
 <title
->Ajustaments</title>
+>Configuració</title>
 
 <sect1 id="general-settings">
 <title
->Ajustaments generals</title>
+>Configuració general</title>
 <para>
     <screenshot>
         <screeninfo
->Ajustaments generals</screeninfo>
+>Configuració general</screeninfo>
         <mediaobject>
             <imageobject>
                 <imagedata fileref="general-settings.png" format="PNG"/>
             </imageobject>
             <textobject>
                 <phrase
->Opcions dels Ajustaments generals a l'&umbrello;</phrase>
+>Opcions de la Configuració general a l'&umbrello;</phrase>
             </textobject>
             <caption>
                 <para
->Opcions dels Ajustaments generals a l'&umbrello; </para>
+>Opcions de la Configuració general a l'&umbrello; </para>
             </caption>
         </mediaobject>
     </screenshot>
@@ -108,7 +108,7 @@
 ><para
 ><guilabel
 >Idioma predeterminat:</guilabel
-> és un ajustament per al llenguatge de programació que s'emprarà.</para>
+> és una opció per al llenguatge de programació que s'emprarà.</para>
         </listitem>
     </itemizedlist>
 </sect2
@@ -146,51 +146,51 @@
 <!-- Font Settings -->
 <sect1 id="font-settings">
 <title
->Ajustaments per al tipus de lletra</title>
+>Configuració del tipus de lletra</title>
 <para>
     <screenshot>
         <screeninfo
->Ajustaments per al tipus de lletra</screeninfo>
+>Configuració del tipus de lletra</screeninfo>
         <mediaobject>
             <imageobject>
                 <imagedata fileref="font-settings.png" format="PNG"/>
             </imageobject>
             <textobject>
                 <phrase
->Opcions dels Ajustaments per al tipus de lletra del diagrama a l'&umbrello;</phrase>
+>Opcions de la Configuració del tipus de lletra del diagrama a l'&umbrello;</phrase>
             </textobject>
             <caption>
                 <para
->Opcions dels Ajustaments per al tipus de lletra del diagrama a l'&umbrello; </para>
+>Opcions de la Configuració del tipus de lletra del diagrama a l'&umbrello; </para>
             </caption>
         </mediaobject>
     </screenshot>
 </para>
 
 <para
->Aquests ajustaments per al tipus de lletra estableixen les característiques del text en els diagrames. Els tipus de lletra i la mida són les úniques opcions seleccionables.</para>
+>Aquesta configuració del tipus de lletra estableix les característiques del text en els diagrames. Els tipus de lletra i la mida són les úniques opcions seleccionables.</para>
 
 </sect1
 >    <!-- font-settings -->
 
 <sect1 id="ui-settings">
     <title
->Ajustaments per a la interfície d'usuari</title>
+>Configuració de la interfície d'usuari</title>
     <para>
         <screenshot>
             <screeninfo
->Ajustaments per a la interfície d'usuari</screeninfo>
+>Configuració de la interfície d'usuari</screeninfo>
             <mediaobject>
                 <imageobject>
                     <imagedata fileref="user-interface-settings.png" format="PNG"/>
                 </imageobject>
                 <textobject>
                     <phrase
->Opcions dels Ajustaments per a la interfície d'usuari a l'&umbrello;</phrase>
+>Opcions de la Configuració de la interfície d'usuari a l'&umbrello;</phrase>
                 </textobject>
                 <caption>
                     <para
->Opcions dels Ajustaments per a la interfície d'usuari a l'&umbrello; </para>
+>Opcions de la Configuració de la interfície d'usuari a l'&umbrello; </para>
                 </caption>
             </mediaobject>
         </screenshot>
@@ -233,22 +233,22 @@
 
 <sect1 id="class-settings">
     <title
->Ajustaments per a les classes</title>
+>Configuració de les classes</title>
     <para>
         <screenshot>
             <screeninfo
->Ajustaments per a les classes</screeninfo>
+>Configuració de les classes</screeninfo>
             <mediaobject>
                 <imageobject>
                     <imagedata fileref="class-settings.png" format="PNG"/>
                 </imageobject>
                 <textobject>
                     <phrase
->Opcions dels Ajustaments per a les classes a l'&umbrello;</phrase>
+>Opcions de la Configuració de les classes a l'&umbrello;</phrase>
                 </textobject>
                 <caption>
                     <para
->Opcions dels Ajustaments per a les classes a l'&umbrello; </para>
+>Opcions de la Configuració de les classes a l'&umbrello; </para>
                 </caption>
             </mediaobject>
         </screenshot>
@@ -258,7 +258,7 @@
         <title
 >Mostra</title>
         <para
->La secció Mostra té nombrosos ajustaments que determinen quines característiques de classe es mostraran en el diagrama de classes.</para>
+>La secció Mostra té nombroses opcions que determinen quines característiques de classe es mostraran en el diagrama de classes.</para>
 </sect2
 >    <!-- show-class-settings -->
 
@@ -266,7 +266,7 @@
         <title
 >Àmbit inicial</title>
         <para
->Opcions per als ajustaments predeterminats d'atribut i operació; pública, privada o protegida.</para>
+>Opcions per a les opcions predeterminades d'atribut i operació; pública, privada o protegida.</para>
 </sect2
 >    <!-- starting-scope-class-settings -->
 
@@ -275,22 +275,22 @@
 
 <sect1 id="code-importer-settings">
     <title
->Ajustaments per a l'importador de codi</title>
+>Configuració de l'importador de codi</title>
     <para>
         <screenshot>
             <screeninfo
->Ajustaments per a l'importador de codi</screeninfo>
+>Configuració de l'importador de codi</screeninfo>
             <mediaobject>
                 <imageobject>
                     <imagedata fileref="code-import-settings.png" format="PNG"/>
                 </imageobject>
                 <textobject>
                     <phrase
->Opcions dels Ajustaments per a l'importador de codi a l'&umbrello;</phrase>
+>Opcions de la Configuració de l'importador de codi a l'&umbrello;</phrase>
                 </textobject>
                 <caption>
                     <para
->Opcions dels Ajustaments per a l'importador de codi a l'&umbrello; </para>
+>Opcions de la Configuració de l'importador de codi a l'&umbrello; </para>
                 </caption>
             </mediaobject>
         </screenshot>
@@ -336,27 +336,27 @@
 
 <sect1 id="code-generation-settings">
     <title
->Ajustaments per a la generació de codi</title>
+>Configuració de la generació de codi</title>
 
     <sect2 id="code-gen-settings-general-tab">
     <title
->Pestanya General als Ajustaments per a la generació de codi</title>
+>Pestanya general de Configuració de la generació de codi</title>
 
     <para>
         <screenshot>
             <screeninfo
->Ajustaments per a la generació de codi - General</screeninfo>
+>Configuració de la generació de codi - General</screeninfo>
             <mediaobject>
                 <imageobject>
                     <imagedata fileref="code-generation-general-settings.png" format="PNG"/>
                 </imageobject>
                 <textobject>
                     <phrase
->Opcions dels Ajustaments per a la generació de codi - General a l'&umbrello;</phrase>
+>Opcions de la Configuració de la generació de codi - General a l'&umbrello;</phrase>
                 </textobject>
                 <caption>
                     <para
->Opcions dels Ajustaments per a la generació de codi - General a l'&umbrello; </para>
+>Opcions de la Configuració de la generació de codi - General a l'&umbrello; </para>
                 </caption>
             </mediaobject>
         </screenshot>
@@ -392,7 +392,7 @@
 <title
 >Política de sobreescriptura</title>
     <para
->Quan el codi es genera a la carpeta especificada, aquest ajustament determinarà què passa si es troba un fitxer amb el mateix nom. </para>
+>Quan el codi es genera a la carpeta especificada, aquesta opció determinarà què passa si es troba un fitxer amb el mateix nom. </para>
 <itemizedlist>
         <listitem>
         <para
@@ -423,22 +423,22 @@
 
 <sect2 id="code-gen-settings-format-tab">
     <title
->Pestanya Format als Ajustaments per a la generació de codi</title>
+>Pestanya Format de la Configuració de la generació de codi</title>
     <para>
         <screenshot>
             <screeninfo
->Ajustaments per a la generació de codi - Format</screeninfo>
+>Configuració de la generació de codi - Format</screeninfo>
             <mediaobject>
                 <imageobject>
                     <imagedata fileref="code-generation-formatting-settings.png" format="PNG"/>
                 </imageobject>
                 <textobject>
                     <phrase
->Opcions dels Ajustaments per a la generació de codi - Format a l'&umbrello;</phrase>
+>Opcions de la Configuració de la generació de codi - Format a l'&umbrello;</phrase>
                 </textobject>
                 <caption>
                     <para
->Opcions dels Ajustaments per a la generació de codi - Format a l'&umbrello; </para>
+>Opcions de la Configuració de la generació de codi - Format a l'&umbrello; </para>
                 </caption>
             </mediaobject>
         </screenshot>
@@ -492,11 +492,11 @@
                 </imageobject>
                 <textobject>
                     <phrase
->Opcions dels Ajustaments per a la generació de codi - Llenguatge a l'&umbrello;</phrase>
+>Opcions de la Configuració de la generació de codi - Llenguatge a l'&umbrello;</phrase>
                 </textobject>
                 <caption>
                     <para
->Opcions dels Ajustaments per a la generació de codi - Llenguatge a l'&umbrello; </para>
+>Opcions de la Configuració de la generació de codi - Llenguatge a l'&umbrello; </para>
                 </caption>
             </mediaobject>
         </screenshot>
@@ -645,11 +645,11 @@
                     </imageobject>
                     <textobject>
                         <phrase
->Opcions dels Ajustaments per a la generació de codi - Generació del cos del mètode l'&umbrello;</phrase>
+>Opcions de la Configuració de la generació de codi - Generació del cos del mètode l'&umbrello;</phrase>
                     </textobject>
                     <caption>
                         <para
->Opcions dels Ajustaments per a la generació de codi - Generació del cos del mètode l'&umbrello; </para>
+>Opcions de la Configuració de la generació de codi - Generació del cos del mètode l'&umbrello; </para>
                     </caption>
                 </mediaobject>
             </screenshot>
@@ -681,22 +681,22 @@
 
 <sect1 id="code-viewer-settings">
     <title
->Ajustaments per al visor de codi</title>
+>Configuració del visor de codi</title>
     <para>
         <screenshot>
             <screeninfo
->Ajustaments per al visor de codi</screeninfo>
+>Configuració del visor de codi</screeninfo>
             <mediaobject>
                 <imageobject>
                     <imagedata fileref="code-viewer-settings.png" format="PNG"/>
                 </imageobject>
                 <textobject>
                     <phrase
->Opcions dels Ajustaments per al visor de codi a l'&umbrello;</phrase>
+>Opcions de la Configuració del visor de codi a l'&umbrello;</phrase>
                 </textobject>
                 <caption>
                     <para
->Opcions dels Ajustaments per al visor de codi a l'&umbrello; </para>
+>Opcions de la Configuració del visor de codi a l'&umbrello; </para>
                 </caption>
             </mediaobject>
         </screenshot>
@@ -714,22 +714,22 @@
 
 <sect1 id="auto-layout-settings">
     <title
->Ajustaments per a la disposició automàtica</title>
+>Configuració de la disposició automàtica</title>
     <para>
         <screenshot>
             <screeninfo
->Ajustaments per a la disposició automàtica</screeninfo>
+>Configuració de la disposició automàtica</screeninfo>
             <mediaobject>
                 <imageobject>
                     <imagedata fileref="auto-layout-settings.png" format="PNG"/>
                 </imageobject>
                 <textobject>
                     <phrase
->Opcions dels Ajustaments per a la disposició automàtica a l'&umbrello;</phrase>
+>Opcions de la Configuració de la disposició automàtica a l'&umbrello;</phrase>
                 </textobject>
                 <caption>
                     <para
->Opcions dels Ajustaments per a la disposició automàtica a l'&umbrello; </para>
+>Opcions de la Configuració de la disposició automàtica a l'&umbrello; </para>
                 </caption>
             </mediaobject>
         </screenshot>
diff -pruN 4:20.08.3-1/po/ca/umbrello.po 4:20.12.0-0ubuntu1/po/ca/umbrello.po
--- 4:20.08.3-1/po/ca/umbrello.po	2020-11-03 00:42:15.000000000 +0000
+++ 4:20.12.0-0ubuntu1/po/ca/umbrello.po	2020-12-04 00:21:29.000000000 +0000
@@ -12,7 +12,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: umbrello\n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
-"POT-Creation-Date: 2020-08-14 08:09+0200\n"
+"POT-Creation-Date: 2020-11-06 02:36+0100\n"
 "PO-Revision-Date: 2020-10-14 11:35+0200\n"
 "Last-Translator: Antoni Bella Pérez <antonibella5@yahoo.com>\n"
 "Language-Team: Catalan <kde-i18n-ca@kde.org>\n"
@@ -216,7 +216,7 @@ msgstr ""
 "ja n'existeix un altre amb el mateix nom. Qualsevol altre element sí que ha "
 "estat enganxat."
 
-#: clipboard/umlclipboard.cpp:753 uml.cpp:1689
+#: clipboard/umlclipboard.cpp:753 uml.cpp:1698
 #, kde-format
 msgid "Paste Error"
 msgstr "Error en enganxar"
@@ -442,7 +442,7 @@ msgstr "<p align=\"center\">Generació d
 #. i18n: ectx: attribute (title), widget (QWidget, ui_tabGeneral)
 #: codegenerators/cpp/cppcodegenerationformbase.ui:51
 #: codegenwizard/codegenoptionspage.ui:39 dialogs/objectnodedialog.cpp:135
-#: umllistview.cpp:1451
+#: umllistview.cpp:1459
 #, kde-format
 msgid "General"
 msgstr "General"
@@ -1325,7 +1325,7 @@ msgstr "Estat"
 #. i18n: ectx: property (text), widget (QRadioButton, ui_categoryClass)
 #. i18n: ectx: property (text), widget (QTableWidget, ui_tableWidgetStatus)
 #: codegenwizard/codegenstatuspage.ui:40 codeimpwizard/codeimpstatuspage.ui:54
-#: dialogs/finddialog.ui:89 umllistview.cpp:1446 umlwidgets/widgetbase.cpp:1255
+#: dialogs/finddialog.ui:89 umllistview.cpp:1454 umlwidgets/widgetbase.cpp:1255
 #, kde-format
 msgid "Class"
 msgstr "Classe"
@@ -1979,17 +1979,17 @@ msgstr "Activa els missatges relacionats
 msgid "Enable 'delete diagram' related messages"
 msgstr "Activa els missatges relacionats amb «suprimeix diagrama»"
 
-#: dialogs/dialog_utils.cpp:117
+#: dialogs/dialog_utils.cpp:118
 #, kde-format
 msgid "You are about to delete an association. Do you really want to continue?"
 msgstr "Esteu a punt de suprimir una associació. Realment voleu continuar?"
 
-#: dialogs/dialog_utils.cpp:118
+#: dialogs/dialog_utils.cpp:119
 #, kde-format
 msgid "Delete Association"
 msgstr "Suprimeix associació"
 
-#: dialogs/dialog_utils.cpp:132
+#: dialogs/dialog_utils.cpp:133
 #, kde-format
 msgid ""
 "You are about to delete the entire diagram.\n"
@@ -1998,17 +1998,17 @@ msgstr ""
 "Esteu a punt de suprimir el diagrama sencer.\n"
 "N'esteu segur?"
 
-#: dialogs/dialog_utils.cpp:133
+#: dialogs/dialog_utils.cpp:134
 #, kde-format
 msgid "Are you sure you want to delete diagram %1?"
 msgstr "Esteu segur de voler suprimir el diagrama %1?"
 
-#: dialogs/dialog_utils.cpp:138
+#: dialogs/dialog_utils.cpp:139
 #, kde-format
 msgid "Delete Diagram?"
 msgstr "Suprimeixo el diagrama?"
 
-#: dialogs/dialog_utils.cpp:139 dialogs/pages/classifierlistpage.cpp:215
+#: dialogs/dialog_utils.cpp:140 dialogs/pages/classifierlistpage.cpp:215
 #: dialogs/pages/classifierlistpage.cpp:223
 #: dialogs/umlforeignkeyconstraintdialog.cpp:325
 #: dialogs/umlforeignkeyconstraintdialog.cpp:331
@@ -2172,7 +2172,7 @@ msgstr "General"
 #. i18n: ectx: label, entry (uiFont), group (UI Options)
 #. i18n: ectx: label, entry (codeViewerFont), group (Code Viewer Options)
 #: dialogs/multipagedialogbase.cpp:405 umbrello.kcfg:177 umbrello.kcfg:292
-#: umllistview.cpp:1450
+#: umllistview.cpp:1458
 #, kde-format
 msgid "Font"
 msgstr "Tipus de lletra"
@@ -2606,7 +2606,7 @@ msgstr "Atribut n&ou d'instància..."
 
 #: dialogs/pages/classifierlistpage.cpp:217
 #: dialogs/pages/classifierlistpage.cpp:225 dialogs/umloperationdialog.cpp:167
-#: dialogs/umloperationdialog.cpp:175 uml.cpp:554
+#: dialogs/umloperationdialog.cpp:175 uml.cpp:563
 #, kde-format
 msgid "&Properties"
 msgstr "&Propietats"
@@ -2624,7 +2624,7 @@ msgid "Source Code"
 msgstr "Codi font"
 
 #: dialogs/pages/classoptionspage.cpp:157
-#: dialogs/pages/classoptionspage.cpp:251 uml.cpp:509
+#: dialogs/pages/classoptionspage.cpp:251 uml.cpp:518
 #, kde-format
 msgid "&Documentation"
 msgstr "&Documentació"
@@ -2813,8 +2813,8 @@ msgstr "El nom que heu introduït no és
 #: uml1model/classifier.cpp:410 uml1model/classifier.cpp:781
 #: uml1model/entity.cpp:125 uml1model/entity.cpp:178 uml1model/entity.cpp:228
 #: uml1model/entity.cpp:277 uml1model/enum.cpp:107 uml1model/instance.cpp:124
-#: uml1model/package.cpp:172 umldoc.cpp:1627 umldoc.cpp:1692 umldoc.cpp:1721
-#: umldoc.cpp:1755
+#: uml1model/package.cpp:178 umldoc.cpp:1629 umldoc.cpp:1694 umldoc.cpp:1723
+#: umldoc.cpp:1757
 #, kde-format
 msgid "Invalid Name"
 msgstr "Nom no vàlid"
@@ -2824,7 +2824,7 @@ msgstr "Nom no vàlid"
 msgid "The name you have entered is not unique."
 msgstr "El nom que heu introduït no és únic."
 
-#: dialogs/pages/diagrampropertiespage.cpp:86 umldoc.cpp:1759
+#: dialogs/pages/diagrampropertiespage.cpp:86 umldoc.cpp:1761
 #, kde-format
 msgid "Name Not Unique"
 msgstr "Nom no únic"
@@ -3295,7 +3295,7 @@ msgstr "Diagrama"
 msgid "Umbrello Setup"
 msgstr "Configura Umbrello"
 
-#: dialogs/settingsdialog.cpp:114 umllistview.cpp:1452
+#: dialogs/settingsdialog.cpp:114 umllistview.cpp:1460
 #, kde-format
 msgid "User Interface"
 msgstr "Interfície d'usuari"
@@ -3322,7 +3322,7 @@ msgstr "Classe"
 msgid "Class Settings"
 msgstr "Opcions classes"
 
-#: dialogs/settingsdialog.cpp:137 umllistview.cpp:1447
+#: dialogs/settingsdialog.cpp:137 umllistview.cpp:1455
 #, kde-format
 msgid "Code Importer"
 msgstr "Importador de codi"
@@ -3332,7 +3332,7 @@ msgstr "Importador de codi"
 msgid "Code Import Settings"
 msgstr "Arranjament de l'importador de codi"
 
-#: dialogs/settingsdialog.cpp:146 umllistview.cpp:1448
+#: dialogs/settingsdialog.cpp:146 umllistview.cpp:1456
 #, kde-format
 msgid "Code Generation"
 msgstr "Generació de codi"
@@ -3342,7 +3342,7 @@ msgstr "Generació de codi"
 msgid "Code Generation Settings"
 msgstr "Opcions generació de codi"
 
-#: dialogs/settingsdialog.cpp:154 umllistview.cpp:1449
+#: dialogs/settingsdialog.cpp:154 umllistview.cpp:1457
 #, kde-format
 msgid "Code Viewer"
 msgstr "Visor de codi"
@@ -3352,7 +3352,7 @@ msgstr "Visor de codi"
 msgid "Code Viewer Settings"
 msgstr "Opcions visor de codi"
 
-#: dialogs/settingsdialog.cpp:161 umllistview.cpp:1445
+#: dialogs/settingsdialog.cpp:161 umllistview.cpp:1453
 #, kde-format
 msgid "Auto Layout"
 msgstr "Disposició automàtica"
@@ -3985,7 +3985,7 @@ msgstr "&Tipus:"
 msgid "Package path:"
 msgstr "Camí del paquet:"
 
-#: dialogs/widgets/umlstereotypewidget.cpp:29 uml1model/umlobject.cpp:1179
+#: dialogs/widgets/umlstereotypewidget.cpp:29 uml1model/umlobject.cpp:1180
 #, kde-format
 msgid "Stereotype &name:"
 msgstr "&Nom de l'estereotip:"
@@ -4131,7 +4131,7 @@ msgstr ""
 msgid "Gael de Chalendar (aka Kleag)"
 msgstr "Gael de Chalendar (aka Kleag)"
 
-#: docgenerators/main.cpp:56 main.cpp:131
+#: docgenerators/main.cpp:56 main.cpp:133
 #, kde-format
 msgid "Umbrello UML Modeller Authors"
 msgstr "Autors del modelador UML Umbrello"
@@ -4195,12 +4195,12 @@ msgstr "Activa l'edició de la documenta
 msgid "Apply layout"
 msgstr "Aplica la disposició"
 
-#: main.cpp:121
+#: main.cpp:123
 #, kde-format
 msgid "Umbrello UML Modeller"
 msgstr "Modelador UML Umbrello"
 
-#: main.cpp:123
+#: main.cpp:125
 #, kde-format
 msgid ""
 "Umbrello – Visual development environment for software, based on the "
@@ -4211,7 +4211,7 @@ msgstr ""
 "l'estàndard de la indústria «Unified Modelling Language (UML)».<br/>Vegeu "
 "també <a href=\"http://www.omg.org/spec/\">http://www.omg.org/spec/</a>."
 
-#: main.cpp:127
+#: main.cpp:129
 #, kde-format
 msgid ""
 "Copyright © 2001 Paul Hensgen,\n"
@@ -4220,98 +4220,98 @@ msgstr ""
 "Copyright © 2001 Paul Hensgen,\n"
 "Copyright © 2002-2020 Umbrello UML Modeller Authors"
 
-#: main.cpp:130
+#: main.cpp:132
 #, kde-format
 msgid "Paul Hensgen"
 msgstr "Paul Hensgen"
 
-#: main.cpp:130
+#: main.cpp:132
 #, kde-format
 msgid "Author of initial version."
 msgstr "Autor de la versió inicial."
 
-#: main.cpp:134
+#: main.cpp:136
 #, kde-format
 msgid "Oliver Kellogg"
 msgstr "Oliver Kellogg"
 
-#: main.cpp:135 main.cpp:138
+#: main.cpp:137 main.cpp:140
 #, kde-format
 msgid "Bug fixing, porting work, code cleanup, new features."
 msgstr ""
 "Esmena d'errors, treball d'adaptació, neteja de codi, funcionalitats noves."
 
-#: main.cpp:137
+#: main.cpp:139
 #, kde-format
 msgid "Ralf Habacker"
 msgstr "Ralf Habacker"
 
-#: main.cpp:140
+#: main.cpp:142
 #, kde-format
 msgid "Andi Fischer"
 msgstr "Andi Fischer"
 
-#: main.cpp:141
+#: main.cpp:143
 #, kde-format
 msgid "Porting work, code cleanup, new features."
 msgstr "Treball d'adaptació, neteja de codi, funcionalitats noves."
 
-#: main.cpp:143
+#: main.cpp:145
 #, kde-format
 msgid "Jonathan Riddell"
 msgstr "Jonathan Riddell"
 
-#: main.cpp:144
+#: main.cpp:146
 #, kde-format
 msgid "Current maintainer."
 msgstr "Mantenidor actual."
 
-#: main.cpp:146
+#: main.cpp:148
 #, kde-format
 msgid "Brian Thomas"
 msgstr "Brian Thomas"
 
-#: main.cpp:147
+#: main.cpp:149
 #, kde-format
 msgid "A lot of work for C++ and Java code generation. Codeeditor."
 msgstr "Molta feina per a la generació de codi C++ i Java. Editor de codi."
 
-#: main.cpp:152
+#: main.cpp:154
 #, kde-format
 msgid "File to open"
 msgstr "Fitxer a obrir"
 
-#: main.cpp:153
+#: main.cpp:155
 #, kde-format
 msgid "export diagrams to extension and exit"
 msgstr "Exporta els diagrames a l'extensió i surt"
 
-#: main.cpp:154
+#: main.cpp:156
 #, kde-format
 msgid "list available export extensions"
 msgstr "Llista les extensions d'exportació disponibles"
 
-#: main.cpp:155
+#: main.cpp:157
 #, kde-format
 msgid "the local directory to save the exported diagrams in"
 msgstr "El directori local en el qual desar els diagrames exportats"
 
-#: main.cpp:155
+#: main.cpp:157
 #, kde-format
 msgid "the directory of the file"
 msgstr "El directori del fitxer"
 
-#: main.cpp:156
+#: main.cpp:158
 #, kde-format
 msgid "import files"
 msgstr "Importa fitxers"
 
-#: main.cpp:157
+#: main.cpp:159
 #, kde-format
 msgid "list supported languages"
 msgstr "llista dels llenguatges admesos"
 
-#: main.cpp:158
+#: main.cpp:160
 #, kde-format
 msgid ""
 "keep the tree structure used to store the views in the document in the "
@@ -4320,12 +4320,12 @@ msgstr ""
 "Manté l'estructura en arbre usada per a desar les vistes en el document en "
 "el directori de destinació"
 
-#: main.cpp:159
+#: main.cpp:161
 #, kde-format
 msgid "import files from directory <dir>"
 msgstr "importa fitxers des del directori <dir>"
 
-#: main.cpp:163
+#: main.cpp:165
 #, kde-format
 msgid "set active language"
 msgstr "estableix el llenguatge actiu"
@@ -4589,7 +4589,7 @@ msgstr "Oculta el quadre de destrucció"
 msgid "Import File(s)..."
 msgstr "Importa fitxer/s..."
 
-#: menus/listpopupmenu.cpp:201 uml.cpp:356
+#: menus/listpopupmenu.cpp:201 uml.cpp:365
 #, kde-format
 msgid "Import from Directory..."
 msgstr "Importa des del directori..."
@@ -5089,42 +5089,42 @@ msgctxt "align menu"
 msgid "Align"
 msgstr "Alinea"
 
-#: menus/widgetbasepopupmenu.cpp:598 uml.cpp:573
+#: menus/widgetbasepopupmenu.cpp:598 uml.cpp:582
 #, kde-format
 msgid "Align Right"
 msgstr "Alinea a la dreta"
 
-#: menus/widgetbasepopupmenu.cpp:599 uml.cpp:578
+#: menus/widgetbasepopupmenu.cpp:599 uml.cpp:587
 #, kde-format
 msgid "Align Left"
 msgstr "Alinea a l'esquerra"
 
-#: menus/widgetbasepopupmenu.cpp:600 uml.cpp:583
+#: menus/widgetbasepopupmenu.cpp:600 uml.cpp:592
 #, kde-format
 msgid "Align Top"
 msgstr "Alinea a dalt"
 
-#: menus/widgetbasepopupmenu.cpp:601 uml.cpp:588
+#: menus/widgetbasepopupmenu.cpp:601 uml.cpp:597
 #, kde-format
 msgid "Align Bottom"
 msgstr "Alinea a baix"
 
-#: menus/widgetbasepopupmenu.cpp:603 uml.cpp:593
+#: menus/widgetbasepopupmenu.cpp:603 uml.cpp:602
 #, kde-format
 msgid "Align Vertical Middle"
 msgstr "Alinea al mig verticalment"
 
-#: menus/widgetbasepopupmenu.cpp:604 uml.cpp:598
+#: menus/widgetbasepopupmenu.cpp:604 uml.cpp:607
 #, kde-format
 msgid "Align Horizontal Middle"
 msgstr "Alinea al mig horitzontalment"
 
-#: menus/widgetbasepopupmenu.cpp:605 uml.cpp:603
+#: menus/widgetbasepopupmenu.cpp:605 uml.cpp:612
 #, kde-format
 msgid "Align Vertical Distribute"
 msgstr "Distribució alineada verticalment"
 
-#: menus/widgetbasepopupmenu.cpp:606 uml.cpp:608
+#: menus/widgetbasepopupmenu.cpp:606 uml.cpp:617
 #, kde-format
 msgid "Align Horizontal Distribute"
 msgstr "Distribució alineada horitzontalment"
@@ -5929,8 +5929,8 @@ msgstr "Ús"
 #: object_factory.cpp:251 uml1model/classifier.cpp:410
 #: uml1model/classifier.cpp:781 uml1model/entity.cpp:125
 #: uml1model/entity.cpp:178 uml1model/entity.cpp:228 uml1model/entity.cpp:277
-#: uml1model/enum.cpp:107 uml1model/instance.cpp:124 uml1model/package.cpp:171
-#: umldoc.cpp:1721 umldoc.cpp:1755
+#: uml1model/enum.cpp:107 uml1model/instance.cpp:124 uml1model/package.cpp:177
+#: umldoc.cpp:1723 umldoc.cpp:1757
 #, kde-format
 msgid "That is an invalid name."
 msgstr "Aquest nom no és vàlid."
@@ -5951,7 +5951,7 @@ msgstr "Paraula clau reservada"
 #: object_factory.cpp:264 uml1model/classifier.cpp:413
 #: uml1model/classifier.cpp:783 uml1model/entity.cpp:127
 #: uml1model/entity.cpp:180 uml1model/entity.cpp:230 uml1model/entity.cpp:279
-#: uml1model/instance.cpp:126 umldoc.cpp:1727 umldoc.cpp:1764
+#: uml1model/instance.cpp:126 umldoc.cpp:1729 umldoc.cpp:1766
 #, kde-format
 msgid "That name is already being used."
 msgstr "Aquest nom ja s'està usant."
@@ -5959,8 +5959,8 @@ msgstr "Aquest nom ja s'està usant."
 #: object_factory.cpp:265 uml1model/classifier.cpp:413
 #: uml1model/classifier.cpp:783 uml1model/entity.cpp:127
 #: uml1model/entity.cpp:180 uml1model/entity.cpp:230 uml1model/entity.cpp:279
-#: uml1model/instance.cpp:126 umldoc.cpp:1629 umldoc.cpp:1699 umldoc.cpp:1727
-#: umldoc.cpp:1764
+#: uml1model/instance.cpp:126 umldoc.cpp:1631 umldoc.cpp:1701 umldoc.cpp:1729
+#: umldoc.cpp:1766
 #, kde-format
 msgid "Not a Unique Name"
 msgstr "No és un nom únic"
@@ -6021,12 +6021,12 @@ msgstr "Ja existeix un atribut amb aques
 msgid "Choose a different name."
 msgstr "Trieu un nom diferent."
 
-#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:266
+#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:273
 #, kde-format
 msgid "Incorrect use of associations."
 msgstr "Ús incorrecte de les associacions."
 
-#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:266
+#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:273
 #, kde-format
 msgid "Association Error"
 msgstr "Error d'associació"
@@ -7195,188 +7195,188 @@ msgstr "&Llenguatge actiu"
 msgid "&Settings"
 msgstr "&Arranjament"
 
-#: uml.cpp:332
+#: uml.cpp:341
 #, kde-format
 msgid "&Export model to DocBook"
 msgstr "&Exporta el model a DocBook"
 
-#: uml.cpp:336
+#: uml.cpp:345
 #, kde-format
 msgid "&Export model to XHTML"
 msgstr "&Exporta el model a XHTML"
 
-#: uml.cpp:340
+#: uml.cpp:349
 #, kde-format
 msgid "&New Class Wizard..."
 msgstr "&Assistent de classe nova..."
 
-#: uml.cpp:344
+#: uml.cpp:353
 #, kde-format
 msgid "&Add Default Datatypes for Active Language"
 msgstr "&Afegeix els tipus de dades predeterminats per al llenguatge actiu"
 
-#: uml.cpp:351
+#: uml.cpp:360
 #, kde-format
 msgid "Code &Importing Wizard..."
 msgstr "Assistent d'&importació de codi..."
 
-#: uml.cpp:361
+#: uml.cpp:370
 #, kde-format
 msgid "&Code Generation Wizard..."
 msgstr "Assistent de generació de &codi..."
 
-#: uml.cpp:366
+#: uml.cpp:375
 #, kde-format
 msgid "&Generate All Code"
 msgstr "&Genera tot el codi"
 
-#: uml.cpp:411
+#: uml.cpp:420
 #, kde-format
 msgid "Creates a new document"
 msgstr "Crea un document nou"
 
-#: uml.cpp:412
+#: uml.cpp:421
 #, kde-format
 msgid "Opens an existing document"
 msgstr "Obre un document existent"
 
-#: uml.cpp:413
+#: uml.cpp:422
 #, kde-format
 msgid "Opens a recently used file"
 msgstr "Obre un fitxer usat recentment"
 
-#: uml.cpp:414
+#: uml.cpp:423
 #, kde-format
 msgid "Saves the document"
 msgstr "Desa el document"
 
-#: uml.cpp:415
+#: uml.cpp:424
 #, kde-format
 msgid "Saves the document as..."
 msgstr "Desa el document com a..."
 
-#: uml.cpp:416
+#: uml.cpp:425
 #, kde-format
 msgid "Closes the document"
 msgstr "Tanca el document"
 
-#: uml.cpp:417
+#: uml.cpp:426
 #, kde-format
 msgid "Prints out the document"
 msgstr "Imprimeix el document"
 
-#: uml.cpp:418
+#: uml.cpp:427
 #, kde-format
 msgid "Print Preview of the document"
 msgstr "Vista prèvia d'impressió del document"
 
-#: uml.cpp:419
+#: uml.cpp:428
 #, kde-format
 msgid "Quits the application"
 msgstr "Surt de l'aplicació"
 
-#: uml.cpp:420
+#: uml.cpp:429
 #, kde-format
 msgid "Exports the model to the docbook format"
 msgstr "Exporta el model al format docbook"
 
-#: uml.cpp:421
+#: uml.cpp:430
 #, kde-format
 msgid "Exports the model to the XHTML format"
 msgstr "Exporta el model al format XHTML"
 
-#: uml.cpp:422
+#: uml.cpp:431
 #, kde-format
 msgid "Cuts the selected section and puts it to the clipboard"
 msgstr "Retalla la secció seleccionada i la posa al porta-retalls"
 
-#: uml.cpp:423
+#: uml.cpp:432
 #, kde-format
 msgid "Copies the selected section to the clipboard"
 msgstr "Copia la secció seleccionada al porta-retalls"
 
-#: uml.cpp:424
+#: uml.cpp:433
 #, kde-format
 msgid "Pastes the contents of the clipboard"
 msgstr "Copia el contingut del porta-retalls"
 
-#: uml.cpp:425
+#: uml.cpp:434
 #, kde-format
 msgid "Set the default program preferences"
 msgstr "Estableix les opcions del programa predeterminat"
 
-#: uml.cpp:429
+#: uml.cpp:438
 #, kde-format
 msgctxt "delete selected widget"
 msgid "Delete &Selected"
 msgstr "Suprimeix la &selecció"
 
-#: uml.cpp:440
+#: uml.cpp:449
 #, kde-format
 msgid "&Class Diagram..."
 msgstr "Diagrama de &classes..."
 
-#: uml.cpp:447
+#: uml.cpp:456
 #, kde-format
 msgid "&Object Diagram..."
 msgstr "Diagrama d'&objectes..."
 
-#: uml.cpp:454
+#: uml.cpp:463
 #, kde-format
 msgid "&Sequence Diagram..."
 msgstr "Diagrama de &seqüències..."
 
-#: uml.cpp:460
+#: uml.cpp:469
 #, kde-format
 msgid "C&ommunication Diagram..."
 msgstr "Diagrama de c&omunicació..."
 
-#: uml.cpp:466
+#: uml.cpp:475
 #, kde-format
 msgid "&Use Case Diagram..."
 msgstr "Diagrama de casos d'&ús..."
 
-#: uml.cpp:472
+#: uml.cpp:481
 #, kde-format
 msgid "S&tate Diagram..."
 msgstr "Diagrama d'&estats..."
 
-#: uml.cpp:478
+#: uml.cpp:487
 #, kde-format
 msgid "&Activity Diagram..."
 msgstr "Diagrama d'&activitats..."
 
-#: uml.cpp:484
+#: uml.cpp:493
 #, kde-format
 msgid "Co&mponent Diagram..."
 msgstr "Diagrama de co&mponents..."
 
-#: uml.cpp:490
+#: uml.cpp:499
 #, kde-format
 msgid "&Deployment Diagram..."
 msgstr "Diagrama de &desplegament..."
 
-#: uml.cpp:496
+#: uml.cpp:505
 #, kde-format
 msgid "&Entity Relationship Diagram..."
 msgstr "Diagrama de relació d'&entitats..."
 
-#: uml.cpp:501 uml.cpp:954
+#: uml.cpp:510 uml.cpp:963
 #, kde-format
 msgid "&Tree View"
 msgstr "Vista en a&rbre"
 
-#: uml.cpp:505
+#: uml.cpp:514
 #, kde-format
 msgid "&Debugging"
 msgstr "&Depuració"
 
-#: uml.cpp:513
+#: uml.cpp:522
 #, kde-format
 msgid "&Logging"
 msgstr "&Registre"
 
-#: uml.cpp:517
+#: uml.cpp:526
 #, kde-format
 msgid "&Command history"
 msgstr "&Historial d'ordres"
@@ -7385,135 +7385,135 @@ msgstr "&Historial d'ordres"
 #. m_propertyDock->setObjectName(QLatin1String("PropertyDock"));
 #. addDockWidget(Qt::LeftDockWidgetArea, m_propertyDock);  //:TODO:
 #. create the bird's eye view
-#: uml.cpp:521 uml.cpp:1011
+#: uml.cpp:530 uml.cpp:1020
 #, kde-format
 msgid "&Bird's eye view"
 msgstr "Vista d'&ocell"
 
-#: uml.cpp:526
+#: uml.cpp:535
 #, kde-format
 msgid "&Clear Diagram"
 msgstr "&Neteja el diagrama"
 
-#: uml.cpp:530
+#: uml.cpp:539
 #, kde-format
 msgid "&Snap to Grid"
 msgstr "&Ajusta a la quadrícula"
 
-#: uml.cpp:534
+#: uml.cpp:543
 #, kde-format
 msgid "S&how Grid"
 msgstr "M&ostra quadrícula"
 
-#: uml.cpp:539
+#: uml.cpp:548
 #, kde-format
 msgid "&Delete Diagram"
 msgstr "Su&primeix el diagrama"
 
-#: uml.cpp:544
+#: uml.cpp:553
 #, kde-format
 msgid "&Export as Picture..."
 msgstr "&Exporta com a imatge..."
 
-#: uml.cpp:549
+#: uml.cpp:558
 #, kde-format
 msgid "Export &Diagrams as Pictures..."
 msgstr "Exporta els &diagrames com a imatges..."
 
-#: uml.cpp:569
+#: uml.cpp:578
 #, kde-format
 msgid "Z&oom to 100%"
 msgstr "A&mplia al 100%"
 
-#: uml.cpp:612
+#: uml.cpp:621
 #, kde-format
 msgid "&Move Tab Left"
 msgstr "&Mou la pestanya cap a l'esquerra"
 
-#: uml.cpp:613
+#: uml.cpp:622
 #, kde-format
 msgid "&Move Tab Right"
 msgstr "&Mou la pestanya cap a la dreta"
 
-#: uml.cpp:636
+#: uml.cpp:645
 #, kde-format
 msgid "Select Diagram on Left"
 msgstr "Seleccionar diagrama de l'esquerra"
 
-#: uml.cpp:637
+#: uml.cpp:646
 #, kde-format
 msgid "Select Diagram on Right"
 msgstr "Seleccionar diagrama de la dreta"
 
-#: uml.cpp:776
+#: uml.cpp:785
 #, kde-format
 msgctxt "%1 percent value from 20 to 500"
 msgid " &%1%"
 msgstr " &%1%"
 
-#: uml.cpp:826
+#: uml.cpp:835
 #, kde-format
 msgctxt "init status bar"
 msgid "Ready"
 msgstr "Llest"
 
-#: uml.cpp:835 uml.cpp:848
+#: uml.cpp:844 uml.cpp:857
 #, kde-format
 msgid "100%"
 msgstr "100%"
 
-#: uml.cpp:840
+#: uml.cpp:849
 #, kde-format
 msgid "Fit"
 msgstr "Ajusta"
 
-#: uml.cpp:899
+#: uml.cpp:908
 #, kde-format
 msgid "Diagram Toolbar"
 msgstr "Barra d'eines diagrama"
 
-#: uml.cpp:965
+#: uml.cpp:974
 #, kde-format
 msgid "Doc&umentation"
 msgstr "&Documentació"
 
-#: uml.cpp:976
+#: uml.cpp:985
 #, kde-format
 msgid "Co&mmand history"
 msgstr "&Historial d'ordres"
 
-#: uml.cpp:992
+#: uml.cpp:1001
 #, kde-format
 msgid "&Debug"
 msgstr "&Depura"
 
-#: uml.cpp:999
+#: uml.cpp:1008
 #, kde-format
 msgid "&Log"
 msgstr "&Registre"
 
-#: uml.cpp:1041 uml.cpp:1258 uml.cpp:1307
+#: uml.cpp:1050 uml.cpp:1267 uml.cpp:1316
 #, kde-format
 msgid "Opening file..."
 msgstr "S'està obrint el fitxer..."
 
-#: uml.cpp:1092 uml.cpp:1157 uml.cpp:1342 umldoc.cpp:342 umldoc.cpp:344
-#: umldoc.cpp:368 umldoc.cpp:3396
+#: uml.cpp:1101 uml.cpp:1166 uml.cpp:1351 umldoc.cpp:343 umldoc.cpp:345
+#: umldoc.cpp:369 umldoc.cpp:3405
 #, kde-format
 msgid "Untitled"
 msgstr "Sense títol"
 
-#: uml.cpp:1240
+#: uml.cpp:1249
 #, kde-format
 msgid "Creating new document..."
 msgstr "S'està creant un document nou..."
 
-#: uml.cpp:1266 uml.cpp:1281
+#: uml.cpp:1275 uml.cpp:1290
 #, kde-format
 msgid "Open File"
 msgstr "Obre un fitxer"
 
-#: uml.cpp:1270
+#: uml.cpp:1279
 #, kde-format
 msgid ""
 "*.xmi *.xmi.tgz *.xmi.tar.bz2 *.mdl *.zargo|All Supported Files (*.xmi, *."
@@ -7532,22 +7532,22 @@ msgstr ""
 "*.mdl|Fitxers de model de Rose (*.mdl)\n"
 "*.zargo|Fitxers comprimits amb argo (*.zargo)\n"
 
-#: uml.cpp:1341
+#: uml.cpp:1350
 #, kde-format
 msgid "Saving file..."
 msgstr "S'està desant el fitxer..."
 
-#: uml.cpp:1358
+#: uml.cpp:1367
 #, kde-format
 msgid "Saving file with a new filename..."
 msgstr "S'està desant el fitxer amb un nom nou..."
 
-#: uml.cpp:1368 uml.cpp:1374 umlviewimageexporter.cpp:199
+#: uml.cpp:1377 uml.cpp:1383 umlviewimageexporter.cpp:199
 #, kde-format
 msgid "Save As"
 msgstr "Desa com a"
 
-#: uml.cpp:1369
+#: uml.cpp:1378
 #, kde-format
 msgid ""
 "*.xmi | XMI File (*.xmi);;*.xmi.tgz | Gzip Compressed XMI File (*.xmi.tgz);;"
@@ -7557,7 +7557,7 @@ msgstr ""
 "tgz);;*.xmi.tar.bz2 | Fitxer XMI comprimit amb Bzip2 (*.xmi.tar.bz2);;* | "
 "Tots els fitxers (*)"
 
-#: uml.cpp:1374
+#: uml.cpp:1383
 #, kde-format
 msgid ""
 "*.xmi|XMI File\n"
@@ -7570,7 +7570,7 @@ msgstr ""
 "*.xmi.tar.bz2|Fitxer XMI comprimit amb Bzip2\n"
 "*|Tots els fitxers"
 
-#: uml.cpp:1387
+#: uml.cpp:1396
 #, kde-format
 msgid ""
 "The file %1 exists.\n"
@@ -7579,67 +7579,67 @@ msgstr ""
 "El fitxer %1 ja existeix.\n"
 "El voleu sobreescriure?"
 
-#: uml.cpp:1388
+#: uml.cpp:1397
 #, kde-format
 msgid "Warning"
 msgstr "Avís"
 
-#: uml.cpp:1388
+#: uml.cpp:1397
 #, kde-format
 msgid "Overwrite"
 msgstr "Sobreescriu"
 
-#: uml.cpp:1422
+#: uml.cpp:1431
 #, kde-format
 msgid "Closing file..."
 msgstr "S'està tancant el fitxer..."
 
-#: uml.cpp:1432
+#: uml.cpp:1441
 #, kde-format
 msgid "No search term entered"
 msgstr "No s'ha introduït cap terme a cercar"
 
-#: uml.cpp:1438
+#: uml.cpp:1447
 #, kde-format
 msgid "'%1': %2 found"
 msgstr "«%1»: %2 trobat"
 
-#: uml.cpp:1502
+#: uml.cpp:1511
 #, kde-format
 msgid "Print Preview..."
 msgstr "Vista prèvia d'impressió..."
 
-#: uml.cpp:1529
+#: uml.cpp:1538
 #, kde-format
 msgid "Printing..."
 msgstr "S'està imprimint..."
 
-#: uml.cpp:1536 uml.cpp:1540
+#: uml.cpp:1545 uml.cpp:1549
 #, kde-format
 msgid "Print %1"
 msgstr "S'imprimeix %1"
 
-#: uml.cpp:1560
+#: uml.cpp:1569
 #, kde-format
 msgid "Exiting..."
 msgstr "S'està sortint..."
 
-#: uml.cpp:1647
+#: uml.cpp:1656
 #, kde-format
 msgid "Cutting selection..."
 msgstr "S'està tallant la selecció..."
 
-#: uml.cpp:1670
+#: uml.cpp:1679
 #, kde-format
 msgid "Copying selection to clipboard..."
 msgstr "S'està copiant la selecció al porta-retalls..."
 
-#: uml.cpp:1682
+#: uml.cpp:1691
 #, kde-format
 msgid "Inserting clipboard contents..."
 msgstr "S'està inserint el contingut del porta-retalls..."
 
-#: uml.cpp:1687
+#: uml.cpp:1696
 #, kde-format
 msgid ""
 "Umbrello could not paste the clipboard contents.  The objects in the "
@@ -7648,38 +7648,38 @@ msgstr ""
 "Umbrello no ha pogut enganxar el contingut del Porta-retalls. Els objectes "
 "del porta-retalls deuen ser d'un tipus incorrecte a enganxar aquí."
 
-#: uml.cpp:1713 umlviewimageexporter.cpp:92 umlviewimageexporterall.cpp:123
+#: uml.cpp:1722 umlviewimageexporter.cpp:92 umlviewimageexporterall.cpp:123
 #, kde-format
 msgctxt "reset status bar"
 msgid "Ready."
 msgstr "Llest."
 
-#: uml.cpp:2246
+#: uml.cpp:2255
 #, kde-format
 msgid "Cannot view code until you generate some first."
 msgstr "No es pot veure el codi a menys que primer el genereu."
 
-#: uml.cpp:2246 uml.cpp:2249
+#: uml.cpp:2255 uml.cpp:2258
 #, kde-format
 msgid "Cannot View Code"
 msgstr "No es pot veure el codi"
 
-#: uml.cpp:2249
+#: uml.cpp:2258
 #, kde-format
 msgid "Cannot view code from simple code writer."
 msgstr "No es pot veure el codi des d'un simple escriptor de codi."
 
-#: uml.cpp:2714 uml.cpp:2716
+#: uml.cpp:2728 uml.cpp:2730
 #, kde-format
 msgid "Select file(s) to import:"
 msgstr "Selecció del fitxer/s a importar:"
 
-#: uml.cpp:2747 uml.cpp:2749
+#: uml.cpp:2761 uml.cpp:2763
 #, kde-format
 msgid "Select directory to import:"
 msgstr "Selecció del directori a importar:"
 
-#: uml.cpp:3313
+#: uml.cpp:3335
 #, kde-format
 msgid "XHTML Generation failed ."
 msgstr "Ha fallat la generació de XHTML."
@@ -7693,20 +7693,20 @@ msgstr ""
 "Ja existeix una operació amb el mateix nom i signatura. No podeu afegir-la "
 "de nou."
 
-#: uml1model/folder.cpp:435
+#: uml1model/folder.cpp:436
 #, kde-format
 msgid "The folderfile %1 does not exist."
 msgstr "El fitxer de carpeta %1 no existeix."
 
-#: uml1model/folder.cpp:435 uml1model/folder.cpp:439 umldoc.cpp:529
-#: umldoc.cpp:541 umldoc.cpp:568 umldoc.cpp:570 umldoc.cpp:620 umldoc.cpp:623
-#: umldoc.cpp:638 umldoc.cpp:641 umldoc.cpp:665 umldoc.cpp:668 umldoc.cpp:684
-#: umldoc.cpp:687 umldoc.cpp:702 umldoc.cpp:705 umldoc.cpp:750
+#: uml1model/folder.cpp:436 uml1model/folder.cpp:440 umldoc.cpp:530
+#: umldoc.cpp:542 umldoc.cpp:569 umldoc.cpp:571 umldoc.cpp:621 umldoc.cpp:624
+#: umldoc.cpp:639 umldoc.cpp:642 umldoc.cpp:666 umldoc.cpp:669 umldoc.cpp:685
+#: umldoc.cpp:688 umldoc.cpp:703 umldoc.cpp:706 umldoc.cpp:751
 #, kde-format
 msgid "Load Error"
 msgstr "Error de càrrega"
 
-#: uml1model/folder.cpp:439
+#: uml1model/folder.cpp:440
 #, kde-format
 msgid "The folderfile %1 cannot be opened."
 msgstr "El fitxer de carpeta %1 no sembla estar obert."
@@ -7716,13 +7716,13 @@ msgstr "El fitxer de carpeta %1 no sembl
 msgid "new_parameter"
 msgstr "paràmetre_nou"
 
-#: uml1model/package.cpp:163
+#: uml1model/package.cpp:169
 #, kde-format
 msgctxt "object name"
 msgid "Name"
 msgstr "Nom"
 
-#: uml1model/package.cpp:164
+#: uml1model/package.cpp:170
 #, kde-format
 msgid ""
 "An object with the name %1\n"
@@ -7748,77 +7748,77 @@ msgstr "camp_nou"
 msgid "new_fkey_constraint"
 msgstr "restricció_fkey_nova"
 
-#: uml1model/umlobject.cpp:1140
+#: uml1model/umlobject.cpp:1141
 #, kde-format
 msgid "Actor &name:"
 msgstr "&Nom de l'actor:"
 
-#: uml1model/umlobject.cpp:1143
+#: uml1model/umlobject.cpp:1144
 #, kde-format
 msgid "Artifact &name:"
 msgstr "&Nom de l'artefacte:"
 
-#: uml1model/umlobject.cpp:1146
+#: uml1model/umlobject.cpp:1147
 #, kde-format
 msgid "Association &name:"
 msgstr "&Nom de l'associació:"
 
-#: uml1model/umlobject.cpp:1149
+#: uml1model/umlobject.cpp:1150
 #, kde-format
 msgid "Class &name:"
 msgstr "&Nom de classe:"
 
-#: uml1model/umlobject.cpp:1152
+#: uml1model/umlobject.cpp:1153
 #, kde-format
 msgid "Component &name:"
 msgstr "&Nom del component:"
 
-#: uml1model/umlobject.cpp:1155
+#: uml1model/umlobject.cpp:1156
 #, kde-format
 msgid "Datatype &name:"
 msgstr "&Nom del tipus de dada:"
 
-#: uml1model/umlobject.cpp:1158
+#: uml1model/umlobject.cpp:1159
 #, kde-format
 msgid "Entity &name:"
 msgstr "&Nom de l'entitat:"
 
-#: uml1model/umlobject.cpp:1161
+#: uml1model/umlobject.cpp:1162
 #, kde-format
 msgid "Enum &name:"
 msgstr "&Nom de l'enumerador:"
 
-#: uml1model/umlobject.cpp:1164
+#: uml1model/umlobject.cpp:1165
 #, kde-format
 msgid "Folder &name:"
 msgstr "&Nom de la carpeta:"
 
-#: uml1model/umlobject.cpp:1167
+#: uml1model/umlobject.cpp:1168
 #, kde-format
 msgid "Interface &name:"
 msgstr "&Nom de la interfície:"
 
-#: uml1model/umlobject.cpp:1170
+#: uml1model/umlobject.cpp:1171
 #, kde-format
 msgid "Node &name:"
 msgstr "&Nom del node:"
 
-#: uml1model/umlobject.cpp:1173
+#: uml1model/umlobject.cpp:1174
 #, kde-format
 msgid "Package &name:"
 msgstr "&Nom del paquet:"
 
-#: uml1model/umlobject.cpp:1176
+#: uml1model/umlobject.cpp:1177
 #, kde-format
 msgid "Port &name:"
 msgstr "&Nom del port:"
 
-#: uml1model/umlobject.cpp:1182
+#: uml1model/umlobject.cpp:1183
 #, kde-format
 msgid "Use case &name:"
 msgstr "&Nom del cas d'ús:"
 
-#: uml1model/umlobject.cpp:1185
+#: uml1model/umlobject.cpp:1186
 #, kde-format
 msgid "Instance name:"
 msgstr "Nom de la instància:"
@@ -7838,42 +7838,42 @@ msgstr "E&stereotips"
 msgid "Welcome"
 msgstr "Us donem la benvinguda"
 
-#: umldoc.cpp:112 umldoc.cpp:2400 umldoc.cpp:2428
+#: umldoc.cpp:113 umldoc.cpp:2405 umldoc.cpp:2433
 #, kde-format
 msgid "UML Model"
 msgstr "Model UML"
 
-#: umldoc.cpp:154
+#: umldoc.cpp:155
 #, kde-format
 msgid "Logical View"
 msgstr "Vista lògica"
 
-#: umldoc.cpp:155
+#: umldoc.cpp:156
 #, kde-format
 msgid "Use Case View"
 msgstr "Vista casos d'ús"
 
-#: umldoc.cpp:156
+#: umldoc.cpp:157
 #, kde-format
 msgid "Component View"
 msgstr "Vista component"
 
-#: umldoc.cpp:157
+#: umldoc.cpp:158
 #, kde-format
 msgid "Deployment View"
 msgstr "Vista desplegament"
 
-#: umldoc.cpp:158
+#: umldoc.cpp:159
 #, kde-format
 msgid "Entity Relationship Model"
 msgstr "Model entitat relació"
 
-#: umldoc.cpp:184
+#: umldoc.cpp:185
 #, kde-format
 msgid "Datatypes"
 msgstr "Tipus de dades"
 
-#: umldoc.cpp:363
+#: umldoc.cpp:364
 #, kde-format
 msgid ""
 "The current file has been modified.\n"
@@ -7882,166 +7882,166 @@ msgstr ""
 "El fitxer actual ha estat modificat.\n"
 "Desitgeu desar-lo?"
 
-#: umldoc.cpp:364
+#: umldoc.cpp:365
 #, kde-format
 msgctxt "warning message"
 msgid "Warning"
 msgstr "Avís"
 
-#: umldoc.cpp:529
+#: umldoc.cpp:530
 #, kde-format
 msgid "The file <%1> does not exist."
 msgstr "El fitxer <%1> no existeix."
 
-#: umldoc.cpp:541
+#: umldoc.cpp:542
 #, kde-format
 msgid "The file %1 does not exist."
 msgstr "El fitxer %1 no existeix."
 
-#: umldoc.cpp:568 umldoc.cpp:570
+#: umldoc.cpp:569 umldoc.cpp:571
 #, kde-format
 msgid "The file %1 seems to be corrupted."
 msgstr "El fitxer %1 sembla estar corrupte."
 
-#: umldoc.cpp:619 umldoc.cpp:622 umldoc.cpp:637 umldoc.cpp:640 umldoc.cpp:683
-#: umldoc.cpp:686
+#: umldoc.cpp:620 umldoc.cpp:623 umldoc.cpp:638 umldoc.cpp:641 umldoc.cpp:684
+#: umldoc.cpp:687
 #, kde-format
 msgid "There was no XMI file found in the compressed file %1."
 msgstr "No s'ha trobat un fitxer XMI dins del fitxer comprimit %1."
 
-#: umldoc.cpp:664 umldoc.cpp:667
+#: umldoc.cpp:665 umldoc.cpp:668
 #, kde-format
 msgid "There was a problem loading the extracted file: %1"
 msgstr "S'ha produït un problema en carregar el fitxer extret: %1"
 
-#: umldoc.cpp:701 umldoc.cpp:704 umldoc.cpp:744 umldoc.cpp:746
+#: umldoc.cpp:702 umldoc.cpp:705 umldoc.cpp:745 umldoc.cpp:747
 #, kde-format
 msgid "There was a problem loading file: %1"
 msgstr "S'ha produït un problema en carregar el fitxer: %1"
 
-#: umldoc.cpp:749
+#: umldoc.cpp:750
 #, kde-format
 msgid "Reason: %1"
 msgstr "Motiu: %1"
 
-#: umldoc.cpp:832 umldoc.cpp:834 umldoc.cpp:851 umldoc.cpp:853 umldoc.cpp:873
-#: umldoc.cpp:875 umldoc.cpp:924 umldoc.cpp:926 umldoc.cpp:966 umldoc.cpp:969
-#: umldoc.cpp:978 umldoc.cpp:980 umllistview.cpp:593
+#: umldoc.cpp:833 umldoc.cpp:835 umldoc.cpp:852 umldoc.cpp:854 umldoc.cpp:874
+#: umldoc.cpp:876 umldoc.cpp:925 umldoc.cpp:927 umldoc.cpp:968 umldoc.cpp:971
+#: umldoc.cpp:980 umldoc.cpp:982 umllistview.cpp:594
 #, kde-format
 msgid "Save Error"
 msgstr "Error en desar"
 
-#: umldoc.cpp:832 umldoc.cpp:851 umldoc.cpp:873 umldoc.cpp:924 umldoc.cpp:966
+#: umldoc.cpp:833 umldoc.cpp:852 umldoc.cpp:874 umldoc.cpp:925 umldoc.cpp:968
 #, kde-format
 msgid "There was a problem saving: %1"
 msgstr "S'ha produït un problema en desar: %1"
 
-#: umldoc.cpp:834 umldoc.cpp:853 umldoc.cpp:875 umldoc.cpp:926 umldoc.cpp:969
-#: umllistview.cpp:592 umlviewimageexportermodel.cpp:303
+#: umldoc.cpp:835 umldoc.cpp:854 umldoc.cpp:876 umldoc.cpp:927 umldoc.cpp:971
+#: umllistview.cpp:593 umlviewimageexportermodel.cpp:303
 #, kde-format
 msgid "There was a problem saving file: %1"
 msgstr "S'ha produït un problema en desar el fitxer: %1"
 
-#: umldoc.cpp:978
+#: umldoc.cpp:980
 #, kde-format
 msgid "There was a problem uploading: %1"
 msgstr "S'ha produït un problema en pujar: %1"
 
-#: umldoc.cpp:980
+#: umldoc.cpp:982
 #, kde-format
 msgid "There was a problem uploading file: %1"
 msgstr "S'ha produït un problema en pujar el fitxer: %1"
 
-#: umldoc.cpp:1526
+#: umldoc.cpp:1528
 #, kde-format
 msgid "use case diagram"
 msgstr "diagrama de casos d'ús"
 
-#: umldoc.cpp:1529
+#: umldoc.cpp:1531
 #, kde-format
 msgid "class diagram"
 msgstr "diagrama de classes"
 
-#: umldoc.cpp:1532
+#: umldoc.cpp:1534
 #, kde-format
 msgid "sequence diagram"
 msgstr "diagrama de seqüències"
 
-#: umldoc.cpp:1535
+#: umldoc.cpp:1537
 #, kde-format
 msgid "communication diagram"
 msgstr "diagrama de comunicació"
 
-#: umldoc.cpp:1538
+#: umldoc.cpp:1540
 #, kde-format
 msgid "object diagram"
 msgstr "diagrama d'objectes"
 
-#: umldoc.cpp:1541
+#: umldoc.cpp:1543
 #, kde-format
 msgid "state diagram"
 msgstr "diagrama d'estats"
 
-#: umldoc.cpp:1544
+#: umldoc.cpp:1546
 #, kde-format
 msgid "activity diagram"
 msgstr "diagrama d'activitats"
 
-#: umldoc.cpp:1547
+#: umldoc.cpp:1549
 #, kde-format
 msgid "component diagram"
 msgstr "diagrama de components"
 
-#: umldoc.cpp:1550
+#: umldoc.cpp:1552
 #, kde-format
 msgid "deployment diagram"
 msgstr "diagrama de desplegament"
 
-#: umldoc.cpp:1553
+#: umldoc.cpp:1555
 #, kde-format
 msgid "entity relationship diagram"
 msgstr "diagrama entitat relació"
 
-#: umldoc.cpp:1623
+#: umldoc.cpp:1625
 #, kde-format
 msgctxt "diagram name"
 msgid "Name"
 msgstr "Nom"
 
-#: umldoc.cpp:1623 umldoc.cpp:1686 umldoc.cpp:1715 umldoc.cpp:1749
+#: umldoc.cpp:1625 umldoc.cpp:1688 umldoc.cpp:1717 umldoc.cpp:1751
 #, kde-format
 msgid "Enter name:"
 msgstr "Introduïu nom:"
 
-#: umldoc.cpp:1627 umldoc.cpp:1692
+#: umldoc.cpp:1629 umldoc.cpp:1694
 #, kde-format
 msgid "That is an invalid name for a diagram."
 msgstr "Aquest no és un nom vàlid per a un diagrama."
 
-#: umldoc.cpp:1629 umldoc.cpp:1699
+#: umldoc.cpp:1631 umldoc.cpp:1701
 #, kde-format
 msgid "A diagram is already using that name."
 msgstr "Ja hi ha un diagrama usant aquest nom."
 
-#: umldoc.cpp:1685
+#: umldoc.cpp:1687
 #, kde-format
 msgctxt "renaming diagram"
 msgid "Name"
 msgstr "Nom"
 
-#: umldoc.cpp:1714
+#: umldoc.cpp:1716
 #, kde-format
 msgctxt "renaming uml object"
 msgid "Name"
 msgstr "Nom"
 
-#: umldoc.cpp:1748
+#: umldoc.cpp:1750
 #, kde-format
 msgctxt "renaming child uml object"
 msgid "Name"
 msgstr "Nom"
 
-#: umldoc.cpp:1758
+#: umldoc.cpp:1760
 #, kde-format
 msgid ""
 "The name you entered was not unique.\n"
@@ -8050,64 +8050,64 @@ msgstr ""
 "El nom que heu introduït no era únic.\n"
 "És això el que voleu?"
 
-#: umldoc.cpp:1759
+#: umldoc.cpp:1761
 #, kde-format
 msgid "Use Name"
 msgstr "Nom a usar"
 
-#: umldoc.cpp:1759
+#: umldoc.cpp:1761
 #, kde-format
 msgid "Enter New Name"
 msgstr "Introduïu el nom nou"
 
-#: umldoc.cpp:2361
+#: umldoc.cpp:2366
 #, kde-format
 msgid "Unsupported xmi file version: %1"
 msgstr "Versió no admesa del fitxer XMI: %1"
 
-#: umldoc.cpp:2511
+#: umldoc.cpp:2516
 #, kde-format
 msgid "Setting up the document..."
 msgstr "S'està configurant el document..."
 
-#: umldoc.cpp:2540
+#: umldoc.cpp:2545
 #, kde-format
 msgid "Resolving object references..."
 msgstr "S'estan resolent les referències a objectes..."
 
-#: umldoc.cpp:2648
+#: umldoc.cpp:2653
 #, kde-format
 msgid "Loading UML elements..."
 msgstr "S'estan carregant els elements UML..."
 
-#: umldoc.cpp:2892
+#: umldoc.cpp:2899
 #, kde-format
 msgid "Loading diagrams..."
 msgstr "S'estan carregant els diagrames..."
 
-#: umldoc.cpp:3400
+#: umldoc.cpp:3409
 #, kde-format
 msgid "/autosave%1"
 msgstr "/autodesat%1"
 
-#: umllistview.cpp:536 umllistview.cpp:540
+#: umllistview.cpp:537 umllistview.cpp:541
 #, kde-format
 msgid "Externalize Folder"
 msgstr "Externalitza carpeta"
 
-#: umllistview.cpp:574
+#: umllistview.cpp:575
 #, kde-format
 msgid "Folder %1 must be relative to the main model directory, %2."
 msgstr ""
 "La carpeta %1 ha de ser relativa al directori principal del model principal, "
 "%2."
 
-#: umllistview.cpp:575
+#: umllistview.cpp:576
 #, kde-format
 msgid "Path Error"
 msgstr "Error de camí"
 
-#: umllistview.cpp:583
+#: umllistview.cpp:584
 #, kde-format
 msgid ""
 "File %1 already exists!\n"
@@ -8116,62 +8116,62 @@ msgstr ""
 "El fitxer %1 ja existeix\n"
 "Se sobreescriurà el fitxer existent."
 
-#: umllistview.cpp:584
+#: umllistview.cpp:585
 #, kde-format
 msgid "File Exist"
 msgstr "El fitxer ja existeix"
 
-#: umllistview.cpp:624
+#: umllistview.cpp:625
 #, kde-format
 msgid "Enter Model Name"
 msgstr "Introduïu el nom del model"
 
-#: umllistview.cpp:625
+#: umllistview.cpp:626
 #, kde-format
 msgid "Enter the new name of the model:"
 msgstr "Introduïu el nom nou del model:"
 
-#: umllistview.cpp:1422
+#: umllistview.cpp:1430
 #, kde-format
 msgid "Views"
 msgstr "Vistes"
 
-#: umllistview.cpp:1441
+#: umllistview.cpp:1449
 #, kde-format
 msgid "Settings"
 msgstr "Arranjament"
 
-#: umllistview.cpp:2413
+#: umllistview.cpp:2421
 #, kde-format
 msgid "Loading listview..."
 msgstr "S'està carregant la vista en llista..."
 
-#: umllistview.cpp:2764
+#: umllistview.cpp:2772
 #, kde-format
 msgid "The class must be emptied before it can be deleted."
 msgstr "La classe ha de buidar-se abans que es pugui suprimir."
 
-#: umllistview.cpp:2765
+#: umllistview.cpp:2773
 #, kde-format
 msgid "Class Not Empty"
 msgstr "Classe no buida"
 
-#: umllistview.cpp:2769
+#: umllistview.cpp:2777
 #, kde-format
 msgid "The package must be emptied before it can be deleted."
 msgstr "Aquest paquet ha de buidar-se abans que es pugui suprimir."
 
-#: umllistview.cpp:2770
+#: umllistview.cpp:2778
 #, kde-format
 msgid "Package Not Empty"
 msgstr "Paquet no buit"
 
-#: umllistview.cpp:2774
+#: umllistview.cpp:2782
 #, kde-format
 msgid "The folder must be emptied before it can be deleted."
 msgstr "La carpeta ha de buidar-se abans que es pugui suprimir."
 
-#: umllistview.cpp:2775
+#: umllistview.cpp:2783
 #, kde-format
 msgid "Folder Not Empty"
 msgstr "Carpeta no buida"
@@ -9233,445 +9233,3 @@ msgstr "Estat"
 #, kde-format
 msgid "Pre/Post condition"
 msgstr "Pre/post condició"
-
-#~ msgid "Cannot save an empty diagram"
-#~ msgstr "No es pot desar un diagrama buit"
-
-#~ msgid "Role Style"
-#~ msgstr "Estil del rol"
-
-#~ msgid "New Activity"
-#~ msgstr "Activitat nova"
-
-#~ msgid "new_subsystem"
-#~ msgstr "subsistema_nou"
-
-#~ msgctxt "UMLObject name"
-#~ msgid "Name"
-#~ msgstr "Nom"
-
-#~ msgid "Enter name for new stereotype"
-#~ msgstr "Introduïu el nom de l'estereotip nou"
-
-#~ msgid "Enter Pin Name"
-#~ msgstr "Introduïu el nom del PIN"
-
-#~ msgid "Enter the pin name :"
-#~ msgstr "Introduïu el nom del pin:"
-
-#~ msgid "Enter Port Name"
-#~ msgstr "Introducció del nom del port"
-
-#~ msgid "Enter the port name :"
-#~ msgstr "Introduïu el nom del port:"
-
-#~ msgid "Enter Precondition Name"
-#~ msgstr "Introduïu el nom de la condició prèvia"
-
-#~ msgid "Enter the precondition :"
-#~ msgstr "Introduïu el nom de la condició prèvia:"
-
-#~ msgid "Enter the precondition"
-#~ msgstr "Introduïu la condició prèvia"
-
-#~ msgid "Enter the Pin"
-#~ msgstr "Introduïu la xinxeta"
-
-#~ msgid "Enter the port"
-#~ msgstr "Introduïu el port"
-
-#~ msgid "Enter Subsystem Name"
-#~ msgstr "Introduïu el nom del subsistema"
-
-#~ msgid "Enter the name of the new subsystem"
-#~ msgstr "Introduïu el nom del subsistema nou:"
-
-#~ msgid "Actor..."
-#~ msgstr "Actor..."
-
-#~ msgid "Use Case..."
-#~ msgstr "Casos d'ús..."
-
-#~ msgid "Component..."
-#~ msgstr "Component..."
-
-#~ msgid "Artifact..."
-#~ msgstr "Artefacte..."
-
-#~ msgid "Node..."
-#~ msgstr "Node..."
-
-#~ msgid "Entity..."
-#~ msgstr "Entitat..."
-
-#~ msgid "Category..."
-#~ msgstr "Categoria..."
-
-#~ msgid ""
-#~ "Hold shift or ctrl to move in X axis. Hold shift and control to move in Y "
-#~ "axis. Right button click to cancel resize."
-#~ msgstr ""
-#~ "Premeu Majúscules o Control per a moure en l'eix X. Premeu ambdues tecles "
-#~ "per a moure en l'eix Y. Feu clic amb el botó dret per a cancel·lar "
-#~ "l'acció d'amidar."
-
-#~ msgctxt "new class menu item"
-#~ msgid "Class"
-#~ msgstr "Classe"
-
-#~ msgid "Interface..."
-#~ msgstr "Interfície..."
-
-#~ msgid "Attribute..."
-#~ msgstr "Atribut..."
-
-#~ msgid "Operation..."
-#~ msgstr "Operació..."
-
-#~ msgid "Template..."
-#~ msgstr "Plantilla..."
-
-#~ msgid "Subsystem..."
-#~ msgstr "Subsistema..."
-
-#~ msgid "Port..."
-#~ msgstr "Port..."
-
-#~ msgctxt "new classifier menu"
-#~ msgid "New"
-#~ msgstr "Nou"
-
-#~ msgid "&Stereotype name:"
-#~ msgstr "Nom de l'e&stereotip:"
-
-#~ msgid "Delete Diagram"
-#~ msgstr "Suprimeix el diagrama"
-
-#~ msgid "Pub&lic"
-#~ msgstr "Púb&lic"
-
-#~ msgid "Pri&vate"
-#~ msgstr "Pri&vat"
-
-#~ msgid "I&mplementation"
-#~ msgstr "I&mplementació"
-
-#~ msgid "Note Documentation"
-#~ msgstr "Nota de documentació"
-
-#~ msgid "Form"
-#~ msgstr "Formulari"
-
-#~ msgid "(c) 2001 Paul Hensgen, (c) 2002-2016 Umbrello UML Modeller Authors"
-#~ msgstr "(c) 2001 Paul Hensgen, (c) 2002-2016 Umbrello UML Modeller Authors"
-
-#~ msgid "File to open with path."
-#~ msgstr "Fitxer a obrir amb el camí."
-
-#~ msgid "Export diagrams to extension and exit."
-#~ msgstr "Exporta els diagrames a l'extensió i surt."
-
-#~ msgid "List available export extensions."
-#~ msgstr "Llista les extensions d'exportació disponibles."
-
-#~ msgid "The local directory to save the exported diagrams in."
-#~ msgstr "El directori local en el qual desar els diagrames exportats."
-
-#~ msgid "Import files."
-#~ msgstr "Importa fitxers."
-
-#~ msgid ""
-#~ "Keep the tree structure used to store the views in the document in the "
-#~ "target directory."
-#~ msgstr ""
-#~ "Manté l'estructura en arbre usada per a desar les vistes en el document "
-#~ "en el directori de destinació."
-
-#~ msgid "Initial Value:"
-#~ msgstr "Valor inicial:"
-
-#~ msgid "Type Modifier:"
-#~ msgstr "Modificador de tipus:"
-
-#~ msgid "Classifier Scope (\"static\")"
-#~ msgstr "Àmbit classificador («static»)"
-
-#~ msgid "Qualifiers"
-#~ msgstr "Qualificadors"
-
-#~ msgid "Auto Increment"
-#~ msgstr "Increment automàtic"
-
-#~ msgid "New Parameter"
-#~ msgstr "Paràmetre nou"
-
-#~ msgctxt "none"
-#~ msgid "None"
-#~ msgstr "Cap"
-
-#~ msgctxt "pointer type"
-#~ msgid "*"
-#~ msgstr "*"
-
-#~ msgctxt "reference type"
-#~ msgid "&"
-#~ msgstr "&"
-
-#~ msgid "Type Qualifiers"
-#~ msgstr "Qualificadors de tipus"
-
-#~ msgid "None"
-#~ msgstr "Cap"
-
-#~ msgid "&Mutable"
-#~ msgstr "&Mutable"
-
-#~ msgid "Const"
-#~ msgstr "Const"
-
-#~ msgid "Volatile"
-#~ msgstr "Volàtil"
-
-#~ msgid "Prote&cted"
-#~ msgstr "Prote&git"
-
-#~ msgid "Import stack trace..."
-#~ msgstr "Importa traça de la pila..."
-
-#~ msgid "Object name:"
-#~ msgstr "Nom de l'objecte:"
-
-#~ msgid "Class name:"
-#~ msgstr "Nom de la classe:"
-
-#~ msgid "Class &name"
-#~ msgstr "&Nom de la classe:"
-
-#~ msgctxt "UML object"
-#~ msgid "Object"
-#~ msgstr "Objecte"
-
-#~ msgid "Diagrams"
-#~ msgstr "Diagrames"
-
-#~ msgid "Implements"
-#~ msgstr "Implementa"
-
-#~ msgid "Import &Project..."
-#~ msgstr "Importa un &projecte..."
-
-#~ msgctxt "enum name"
-#~ msgid "Name"
-#~ msgstr "Nom"
-
-#~ msgid "&Export"
-#~ msgstr "&Exporta"
-
-#~ msgid "Filter:"
-#~ msgstr "Filtre:"
-
-#~ msgid "Changing note"
-#~ msgstr "Nota de canvi"
-
-#~ msgid "Enter note:"
-#~ msgstr "Introduïu la nota:"
-
-#~ msgid "Component name:"
-#~ msgstr "Nom del component:"
-
-#~ msgid "Node name:"
-#~ msgstr "Nom del node:"
-
-#~ msgctxt "font page name"
-#~ msgid "Font"
-#~ msgstr "Tipus de lletra"
-
-#~ msgctxt "widget style page name"
-#~ msgid "Style"
-#~ msgstr "Estil"
-
-#~ msgctxt "access control public"
-#~ msgid "&Public"
-#~ msgstr "&Públic"
-
-#~ msgctxt "access control private"
-#~ msgid "P&rivate"
-#~ msgstr "P&rivat"
-
-#~ msgctxt "access control protected"
-#~ msgid "Prot&ected"
-#~ msgstr "Prot&egit"
-
-#~ msgctxt "protected visibility"
-#~ msgid "Prot&ected"
-#~ msgstr "Prot&egit"
-
-#~ msgid "Is the scope %1 a namespace or a class?"
-#~ msgstr "És l'àmbit %1 un espai de noms o una classe?"
-
-#~ msgid "C++ Import Requests Your Help"
-#~ msgstr "La importació de C++ requereix la vostra ajuda"
-
-#~ msgctxt "namespace scope"
-#~ msgid "Namespace"
-#~ msgstr "Espai de noms"
-
-#~ msgctxt "class scope"
-#~ msgid "Class"
-#~ msgstr "Classe"
-
-#~ msgid "Line width:  "
-#~ msgstr "Amplada de la línia:  "
-
-#~ msgid "Internal Error"
-#~ msgstr "Error intern"
-
-#~ msgid "Syntax Error before '%1'"
-#~ msgstr "Error de sintaxi abans de «%1»"
-
-#~ msgid "Parse Error before '%1'"
-#~ msgstr "Error d'interpretació abans de «%1»"
-
-#~ msgid "'%1' expected found '%2'"
-#~ msgstr "S'esperava «%1» i s'ha trobat «%2»"
-
-#~ msgid "<eof>"
-#~ msgstr "<eof>"
-
-#~ msgid "expression expected"
-#~ msgstr "S'esperava una expressió"
-
-#~ msgid "Declaration syntax error"
-#~ msgstr "Error de sintaxi a la declaració"
-
-#~ msgid "} expected"
-#~ msgstr "S'esperava }"
-
-#~ msgid "Namespace name expected"
-#~ msgstr "S'esperava un nom d'espai de noms"
-
-#~ msgid "Need a type specifier to declare"
-#~ msgstr "Necessita un tipus d'especificador a declarar"
-
-#~ msgid "expected a declaration"
-#~ msgstr "S'esperava una declaració"
-
-#~ msgid "Constant expression expected"
-#~ msgstr "S'esperava una expressió constant"
-
-#~ msgid "')' expected"
-#~ msgstr "S'esperava «)»"
-
-#~ msgid "} missing"
-#~ msgstr "falta }"
-
-#~ msgid "Member initializers expected"
-#~ msgstr "S'esperaven inicialitzadors de membre"
-
-#~ msgid "Base class specifier expected"
-#~ msgstr "S'esperava un especificador de classe base"
-
-#~ msgid "Initializer clause expected"
-#~ msgstr "S'esperava una clàusula inicialitzadora"
-
-#~ msgid "Identifier expected"
-#~ msgstr "S'esperava un identificador"
-
-#~ msgid "Type id expected"
-#~ msgstr "S'esperava un tipus id"
-
-#~ msgid "Class name expected"
-#~ msgstr "S'esperava un nom de classe"
-
-#~ msgid "condition expected"
-#~ msgstr "S'esperava una condició"
-
-#~ msgid "statement expected"
-#~ msgstr "S'esperava una sentència"
-
-#~ msgid "for initialization expected"
-#~ msgstr "S'esperava una inicialització for"
-
-#~ msgid "catch expected"
-#~ msgstr "S'esperava un catch"
-
-#~ msgid "Create UML object : CANNOT DO THAT, OBJECT IS NULL!"
-#~ msgstr "Crea un objecte UML: NO ES POT FER AIXÒ, L'OBJECTE ÉS NUL!"
-
-#~ msgid ""
-#~ "The name you entered was invalid.\n"
-#~ "Creation process has been canceled."
-#~ msgstr ""
-#~ "El nom que heu introduït no és vàlid.\n"
-#~ "El procés de creació ha estat cancel·lat."
-
-#~ msgid ""
-#~ "The name you entered was not unique.\n"
-#~ "Creation process has been canceled."
-#~ msgstr ""
-#~ "El nom que heu introduït no és únic!\n"
-#~ "El procés de creació ha estat cancel·lat."
-
-#~ msgid "Creation canceled"
-#~ msgstr "Creació cancel·lada"
-
-#~ msgid ""
-#~ "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/"
-#~ "REC-html40/strict.dtd\">\n"
-#~ "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/"
-#~ "css\">\n"
-#~ "p, li { white-space: pre-wrap; }\n"
-#~ "</style></head><body style=\" font-family:'Sans Serif'; font-size:9pt; "
-#~ "font-weight:400; font-style:normal;\">\n"
-#~ "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-"
-#~ "right:0px; -qt-block-indent:0; text-indent:0px;\">The auto layout feature "
-#~ "depends on layout generators provided by the <a href=\"www.graphviz.org"
-#~ "\"><span style=\" text-decoration: underline; color:#0057ae;\">GraphViz</"
-#~ "span></a> package, which is normally installed aside Umbrello by a "
-#~ "package manager.</p>\n"
-#~ "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-"
-#~ "right:0px; -qt-block-indent:0; text-indent:0px;\">Umbrello has build in "
-#~ "support for detecting the install location of these layout generators. "
-#~ "For cases where this dependency is not available or do not fit, a "
-#~ "different installation path could be provided.</p></body></html>"
-#~ msgstr ""
-#~ "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/"
-#~ "REC-html40/strict.dtd\">\n"
-#~ "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/"
-#~ "css\">\n"
-#~ "p, li { white-space: pre-wrap; }\n"
-#~ "</style></head><body style=\" font-family:'Sans Serif'; font-size:9pt; "
-#~ "font-weight:400; font-style:normal;\">\n"
-#~ "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-"
-#~ "right:0px; -qt-block-indent:0; text-indent:0px;\">La funcionalitat de "
-#~ "disposicions automàtiques depèn dels generadors de disposicions "
-#~ "proporcionats pel paquet <a href=\"www.graphviz.org\"><span style=\" text-"
-#~ "decoration: underline; color:#0057ae;\">GraphViz</span></a>, que "
-#~ "normalment s'instal·la a banda de l'Umbrello pel gestor de paquets.</p>\n"
-#~ "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-"
-#~ "right:0px; -qt-block-indent:0; text-indent:0px;\">L'Umbrello es "
-#~ "construeix amb implementació per detectar la ubicació d'instal·lació "
-#~ "d'aquests generadors de disposicions. Pels casos en que aquesta "
-#~ "dependència no és disponible o no s'ajusta, es pot indicar una camí "
-#~ "d'instal·lació diferent.</p></body></html>"
-
-#~ msgid "&View"
-#~ msgstr "&Vista"
-
-#~ msgid "Show &visibility"
-#~ msgstr "Mostra &visibilitat"
-
-#~ msgid "Show attributes"
-#~ msgstr "Mostra atributs"
-
-#~ msgid "Show operations"
-#~ msgstr "Mostra operacions"
-
-#~ msgid "Show stereot&ype"
-#~ msgstr "Mostra estereot&ips"
-
-#~ msgid "Show attribute signature"
-#~ msgstr "Mostra atribut signatura"
-
-#~ msgid "Show package"
-#~ msgstr "Mostra paquet"
diff -pruN 4:20.08.3-1/po/ca@valencia/umbrello_kdevphp5.po 4:20.12.0-0ubuntu1/po/ca@valencia/umbrello_kdevphp5.po
--- 4:20.08.3-1/po/ca@valencia/umbrello_kdevphp5.po	2020-11-03 00:42:15.000000000 +0000
+++ 4:20.12.0-0ubuntu1/po/ca@valencia/umbrello_kdevphp5.po	2020-12-04 00:21:29.000000000 +0000
@@ -402,3 +402,32 @@ msgstr "Els permisos del fitxer impedeix
 #, kde-format
 msgid "PHPUnit"
 msgstr "PHPUnit"
+
+#~ msgid ""
+#~ "A class constant must not be called 'class'; it is reserved for class "
+#~ "name fetching"
+#~ msgstr ""
+#~ "Una constant de classe no es pot anomenar «class»; això està reservat per "
+#~ "a la recuperació del nom de la classe"
+
+#~ msgid "Cannot use 'abstract' as method modifier"
+#~ msgstr "No es pot usar «abstract» com a modificador de mètode"
+
+#~ msgid "Variadic parameter cannot have a default value"
+#~ msgstr "Els paràmetres «variadic» no poden tenir un valor per omissió"
+
+#~ msgid "Only the last parameter can be variadic."
+#~ msgstr "Només el darrer paràmetre pot ser «variadic»."
+
+#~ msgid "Cannot use positional argument after argument unpacking"
+#~ msgstr ""
+#~ "No es pot usar l'argument posicional després de desempaquetar un argument"
+
+#~ msgid "empty (not inside a trait)"
+#~ msgstr "buida (no dins d'un «trait»)"
+
+#~ msgid "Use of "
+#~ msgstr "Ús de "
+
+#~ msgid " from "
+#~ msgstr " des de "
diff -pruN 4:20.08.3-1/po/ca@valencia/umbrello.po 4:20.12.0-0ubuntu1/po/ca@valencia/umbrello.po
--- 4:20.08.3-1/po/ca@valencia/umbrello.po	2020-11-03 00:42:15.000000000 +0000
+++ 4:20.12.0-0ubuntu1/po/ca@valencia/umbrello.po	2020-12-04 00:21:29.000000000 +0000
@@ -12,7 +12,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: umbrello\n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
-"POT-Creation-Date: 2020-08-14 08:09+0200\n"
+"POT-Creation-Date: 2020-11-06 02:36+0100\n"
 "PO-Revision-Date: 2020-10-14 11:35+0200\n"
 "Last-Translator: Antoni Bella Pérez <antonibella5@yahoo.com>\n"
 "Language-Team: Catalan <kde-i18n-ca@kde.org>\n"
@@ -216,7 +216,7 @@ msgstr ""
 "ja n'existeix un altre amb el mateix nom. Qualsevol altre element sí que ha "
 "estat enganxat."
 
-#: clipboard/umlclipboard.cpp:753 uml.cpp:1689
+#: clipboard/umlclipboard.cpp:753 uml.cpp:1698
 #, kde-format
 msgid "Paste Error"
 msgstr "Error en enganxar"
@@ -442,7 +442,7 @@ msgstr "<p align=\"center\">Generació d
 #. i18n: ectx: attribute (title), widget (QWidget, ui_tabGeneral)
 #: codegenerators/cpp/cppcodegenerationformbase.ui:51
 #: codegenwizard/codegenoptionspage.ui:39 dialogs/objectnodedialog.cpp:135
-#: umllistview.cpp:1451
+#: umllistview.cpp:1459
 #, kde-format
 msgid "General"
 msgstr "General"
@@ -1325,7 +1325,7 @@ msgstr "Estat"
 #. i18n: ectx: property (text), widget (QRadioButton, ui_categoryClass)
 #. i18n: ectx: property (text), widget (QTableWidget, ui_tableWidgetStatus)
 #: codegenwizard/codegenstatuspage.ui:40 codeimpwizard/codeimpstatuspage.ui:54
-#: dialogs/finddialog.ui:89 umllistview.cpp:1446 umlwidgets/widgetbase.cpp:1255
+#: dialogs/finddialog.ui:89 umllistview.cpp:1454 umlwidgets/widgetbase.cpp:1255
 #, kde-format
 msgid "Class"
 msgstr "Classe"
@@ -1979,17 +1979,17 @@ msgstr "Activa els missatges relacionats
 msgid "Enable 'delete diagram' related messages"
 msgstr "Activa els missatges relacionats amb «suprimeix diagrama»"
 
-#: dialogs/dialog_utils.cpp:117
+#: dialogs/dialog_utils.cpp:118
 #, kde-format
 msgid "You are about to delete an association. Do you really want to continue?"
 msgstr "Esteu a punt de suprimir una associació. Realment voleu continuar?"
 
-#: dialogs/dialog_utils.cpp:118
+#: dialogs/dialog_utils.cpp:119
 #, kde-format
 msgid "Delete Association"
 msgstr "Suprimeix associació"
 
-#: dialogs/dialog_utils.cpp:132
+#: dialogs/dialog_utils.cpp:133
 #, kde-format
 msgid ""
 "You are about to delete the entire diagram.\n"
@@ -1998,17 +1998,17 @@ msgstr ""
 "Esteu a punt de suprimir el diagrama sencer.\n"
 "N'esteu segur?"
 
-#: dialogs/dialog_utils.cpp:133
+#: dialogs/dialog_utils.cpp:134
 #, kde-format
 msgid "Are you sure you want to delete diagram %1?"
 msgstr "Esteu segur de voler suprimir el diagrama %1?"
 
-#: dialogs/dialog_utils.cpp:138
+#: dialogs/dialog_utils.cpp:139
 #, kde-format
 msgid "Delete Diagram?"
 msgstr "Suprimeixo el diagrama?"
 
-#: dialogs/dialog_utils.cpp:139 dialogs/pages/classifierlistpage.cpp:215
+#: dialogs/dialog_utils.cpp:140 dialogs/pages/classifierlistpage.cpp:215
 #: dialogs/pages/classifierlistpage.cpp:223
 #: dialogs/umlforeignkeyconstraintdialog.cpp:325
 #: dialogs/umlforeignkeyconstraintdialog.cpp:331
@@ -2172,7 +2172,7 @@ msgstr "General"
 #. i18n: ectx: label, entry (uiFont), group (UI Options)
 #. i18n: ectx: label, entry (codeViewerFont), group (Code Viewer Options)
 #: dialogs/multipagedialogbase.cpp:405 umbrello.kcfg:177 umbrello.kcfg:292
-#: umllistview.cpp:1450
+#: umllistview.cpp:1458
 #, kde-format
 msgid "Font"
 msgstr "Tipus de lletra"
@@ -2606,7 +2606,7 @@ msgstr "Atribut n&ou d'instància..."
 
 #: dialogs/pages/classifierlistpage.cpp:217
 #: dialogs/pages/classifierlistpage.cpp:225 dialogs/umloperationdialog.cpp:167
-#: dialogs/umloperationdialog.cpp:175 uml.cpp:554
+#: dialogs/umloperationdialog.cpp:175 uml.cpp:563
 #, kde-format
 msgid "&Properties"
 msgstr "&Propietats"
@@ -2624,7 +2624,7 @@ msgid "Source Code"
 msgstr "Codi font"
 
 #: dialogs/pages/classoptionspage.cpp:157
-#: dialogs/pages/classoptionspage.cpp:251 uml.cpp:509
+#: dialogs/pages/classoptionspage.cpp:251 uml.cpp:518
 #, kde-format
 msgid "&Documentation"
 msgstr "&Documentació"
@@ -2813,8 +2813,8 @@ msgstr "El nom que heu introduït no és
 #: uml1model/classifier.cpp:410 uml1model/classifier.cpp:781
 #: uml1model/entity.cpp:125 uml1model/entity.cpp:178 uml1model/entity.cpp:228
 #: uml1model/entity.cpp:277 uml1model/enum.cpp:107 uml1model/instance.cpp:124
-#: uml1model/package.cpp:172 umldoc.cpp:1627 umldoc.cpp:1692 umldoc.cpp:1721
-#: umldoc.cpp:1755
+#: uml1model/package.cpp:178 umldoc.cpp:1629 umldoc.cpp:1694 umldoc.cpp:1723
+#: umldoc.cpp:1757
 #, kde-format
 msgid "Invalid Name"
 msgstr "Nom no vàlid"
@@ -2824,7 +2824,7 @@ msgstr "Nom no vàlid"
 msgid "The name you have entered is not unique."
 msgstr "El nom que heu introduït no és únic."
 
-#: dialogs/pages/diagrampropertiespage.cpp:86 umldoc.cpp:1759
+#: dialogs/pages/diagrampropertiespage.cpp:86 umldoc.cpp:1761
 #, kde-format
 msgid "Name Not Unique"
 msgstr "Nom no únic"
@@ -3295,7 +3295,7 @@ msgstr "Diagrama"
 msgid "Umbrello Setup"
 msgstr "Configura Umbrello"
 
-#: dialogs/settingsdialog.cpp:114 umllistview.cpp:1452
+#: dialogs/settingsdialog.cpp:114 umllistview.cpp:1460
 #, kde-format
 msgid "User Interface"
 msgstr "Interfície d'usuari"
@@ -3322,7 +3322,7 @@ msgstr "Classe"
 msgid "Class Settings"
 msgstr "Opcions classes"
 
-#: dialogs/settingsdialog.cpp:137 umllistview.cpp:1447
+#: dialogs/settingsdialog.cpp:137 umllistview.cpp:1455
 #, kde-format
 msgid "Code Importer"
 msgstr "Importador de codi"
@@ -3332,7 +3332,7 @@ msgstr "Importador de codi"
 msgid "Code Import Settings"
 msgstr "Arranjament de l'importador de codi"
 
-#: dialogs/settingsdialog.cpp:146 umllistview.cpp:1448
+#: dialogs/settingsdialog.cpp:146 umllistview.cpp:1456
 #, kde-format
 msgid "Code Generation"
 msgstr "Generació de codi"
@@ -3342,7 +3342,7 @@ msgstr "Generació de codi"
 msgid "Code Generation Settings"
 msgstr "Opcions generació de codi"
 
-#: dialogs/settingsdialog.cpp:154 umllistview.cpp:1449
+#: dialogs/settingsdialog.cpp:154 umllistview.cpp:1457
 #, kde-format
 msgid "Code Viewer"
 msgstr "Visor de codi"
@@ -3352,7 +3352,7 @@ msgstr "Visor de codi"
 msgid "Code Viewer Settings"
 msgstr "Opcions visor de codi"
 
-#: dialogs/settingsdialog.cpp:161 umllistview.cpp:1445
+#: dialogs/settingsdialog.cpp:161 umllistview.cpp:1453
 #, kde-format
 msgid "Auto Layout"
 msgstr "Disposició automàtica"
@@ -3985,7 +3985,7 @@ msgstr "&Tipus:"
 msgid "Package path:"
 msgstr "Camí del paquet:"
 
-#: dialogs/widgets/umlstereotypewidget.cpp:29 uml1model/umlobject.cpp:1179
+#: dialogs/widgets/umlstereotypewidget.cpp:29 uml1model/umlobject.cpp:1180
 #, kde-format
 msgid "Stereotype &name:"
 msgstr "&Nom de l'estereotip:"
@@ -4131,7 +4131,7 @@ msgstr ""
 msgid "Gael de Chalendar (aka Kleag)"
 msgstr "Gael de Chalendar (aka Kleag)"
 
-#: docgenerators/main.cpp:56 main.cpp:131
+#: docgenerators/main.cpp:56 main.cpp:133
 #, kde-format
 msgid "Umbrello UML Modeller Authors"
 msgstr "Autors del modelador UML Umbrello"
@@ -4195,12 +4195,12 @@ msgstr "Activa l'edició de la documenta
 msgid "Apply layout"
 msgstr "Aplica la disposició"
 
-#: main.cpp:121
+#: main.cpp:123
 #, kde-format
 msgid "Umbrello UML Modeller"
 msgstr "Modelador UML Umbrello"
 
-#: main.cpp:123
+#: main.cpp:125
 #, kde-format
 msgid ""
 "Umbrello – Visual development environment for software, based on the "
@@ -4211,7 +4211,7 @@ msgstr ""
 "l'estàndard de la indústria «Unified Modelling Language (UML)».<br/>Vegeu "
 "també <a href=\"http://www.omg.org/spec/\">http://www.omg.org/spec/</a>."
 
-#: main.cpp:127
+#: main.cpp:129
 #, kde-format
 msgid ""
 "Copyright © 2001 Paul Hensgen,\n"
@@ -4220,98 +4220,98 @@ msgstr ""
 "Copyright © 2001 Paul Hensgen,\n"
 "Copyright © 2002-2020 Umbrello UML Modeller Authors"
 
-#: main.cpp:130
+#: main.cpp:132
 #, kde-format
 msgid "Paul Hensgen"
 msgstr "Paul Hensgen"
 
-#: main.cpp:130
+#: main.cpp:132
 #, kde-format
 msgid "Author of initial version."
 msgstr "Autor de la versió inicial."
 
-#: main.cpp:134
+#: main.cpp:136
 #, kde-format
 msgid "Oliver Kellogg"
 msgstr "Oliver Kellogg"
 
-#: main.cpp:135 main.cpp:138
+#: main.cpp:137 main.cpp:140
 #, kde-format
 msgid "Bug fixing, porting work, code cleanup, new features."
 msgstr ""
 "Esmena d'errors, treball d'adaptació, neteja de codi, funcionalitats noves."
 
-#: main.cpp:137
+#: main.cpp:139
 #, kde-format
 msgid "Ralf Habacker"
 msgstr "Ralf Habacker"
 
-#: main.cpp:140
+#: main.cpp:142
 #, kde-format
 msgid "Andi Fischer"
 msgstr "Andi Fischer"
 
-#: main.cpp:141
+#: main.cpp:143
 #, kde-format
 msgid "Porting work, code cleanup, new features."
 msgstr "Treball d'adaptació, neteja de codi, funcionalitats noves."
 
-#: main.cpp:143
+#: main.cpp:145
 #, kde-format
 msgid "Jonathan Riddell"
 msgstr "Jonathan Riddell"
 
-#: main.cpp:144
+#: main.cpp:146
 #, kde-format
 msgid "Current maintainer."
 msgstr "Mantenidor actual."
 
-#: main.cpp:146
+#: main.cpp:148
 #, kde-format
 msgid "Brian Thomas"
 msgstr "Brian Thomas"
 
-#: main.cpp:147
+#: main.cpp:149
 #, kde-format
 msgid "A lot of work for C++ and Java code generation. Codeeditor."
 msgstr "Molta faena per a la generació de codi C++ i Java. Editor de codi."
 
-#: main.cpp:152
+#: main.cpp:154
 #, kde-format
 msgid "File to open"
 msgstr "Fitxer a obrir"
 
-#: main.cpp:153
+#: main.cpp:155
 #, kde-format
 msgid "export diagrams to extension and exit"
 msgstr "Exporta els diagrames a l'extensió i ix"
 
-#: main.cpp:154
+#: main.cpp:156
 #, kde-format
 msgid "list available export extensions"
 msgstr "Llista les extensions d'exportació disponibles"
 
-#: main.cpp:155
+#: main.cpp:157
 #, kde-format
 msgid "the local directory to save the exported diagrams in"
 msgstr "El directori local en el qual guardar els diagrames exportats"
 
-#: main.cpp:155
+#: main.cpp:157
 #, kde-format
 msgid "the directory of the file"
 msgstr "El directori del fitxer"
 
-#: main.cpp:156
+#: main.cpp:158
 #, kde-format
 msgid "import files"
 msgstr "Importa fitxers"
 
-#: main.cpp:157
+#: main.cpp:159
 #, kde-format
 msgid "list supported languages"
 msgstr "llista dels llenguatges admesos"
 
-#: main.cpp:158
+#: main.cpp:160
 #, kde-format
 msgid ""
 "keep the tree structure used to store the views in the document in the "
@@ -4320,12 +4320,12 @@ msgstr ""
 "Manté l'estructura en arbre usada per a guardar les vistes en el document en "
 "el directori de destinació"
 
-#: main.cpp:159
+#: main.cpp:161
 #, kde-format
 msgid "import files from directory <dir>"
 msgstr "importa fitxers des del directori <dir>"
 
-#: main.cpp:163
+#: main.cpp:165
 #, kde-format
 msgid "set active language"
 msgstr "estableix el llenguatge actiu"
@@ -4589,7 +4589,7 @@ msgstr "Oculta el quadre de destrucció"
 msgid "Import File(s)..."
 msgstr "Importa fitxer/s..."
 
-#: menus/listpopupmenu.cpp:201 uml.cpp:356
+#: menus/listpopupmenu.cpp:201 uml.cpp:365
 #, kde-format
 msgid "Import from Directory..."
 msgstr "Importa des del directori..."
@@ -5089,42 +5089,42 @@ msgctxt "align menu"
 msgid "Align"
 msgstr "Alinea"
 
-#: menus/widgetbasepopupmenu.cpp:598 uml.cpp:573
+#: menus/widgetbasepopupmenu.cpp:598 uml.cpp:582
 #, kde-format
 msgid "Align Right"
 msgstr "Alinea a la dreta"
 
-#: menus/widgetbasepopupmenu.cpp:599 uml.cpp:578
+#: menus/widgetbasepopupmenu.cpp:599 uml.cpp:587
 #, kde-format
 msgid "Align Left"
 msgstr "Alinea a l'esquerra"
 
-#: menus/widgetbasepopupmenu.cpp:600 uml.cpp:583
+#: menus/widgetbasepopupmenu.cpp:600 uml.cpp:592
 #, kde-format
 msgid "Align Top"
 msgstr "Alinea a dalt"
 
-#: menus/widgetbasepopupmenu.cpp:601 uml.cpp:588
+#: menus/widgetbasepopupmenu.cpp:601 uml.cpp:597
 #, kde-format
 msgid "Align Bottom"
 msgstr "Alinea a baix"
 
-#: menus/widgetbasepopupmenu.cpp:603 uml.cpp:593
+#: menus/widgetbasepopupmenu.cpp:603 uml.cpp:602
 #, kde-format
 msgid "Align Vertical Middle"
 msgstr "Alinea al mig verticalment"
 
-#: menus/widgetbasepopupmenu.cpp:604 uml.cpp:598
+#: menus/widgetbasepopupmenu.cpp:604 uml.cpp:607
 #, kde-format
 msgid "Align Horizontal Middle"
 msgstr "Alinea al mig horitzontalment"
 
-#: menus/widgetbasepopupmenu.cpp:605 uml.cpp:603
+#: menus/widgetbasepopupmenu.cpp:605 uml.cpp:612
 #, kde-format
 msgid "Align Vertical Distribute"
 msgstr "Distribució alineada verticalment"
 
-#: menus/widgetbasepopupmenu.cpp:606 uml.cpp:608
+#: menus/widgetbasepopupmenu.cpp:606 uml.cpp:617
 #, kde-format
 msgid "Align Horizontal Distribute"
 msgstr "Distribució alineada horitzontalment"
@@ -5929,8 +5929,8 @@ msgstr "Ús"
 #: object_factory.cpp:251 uml1model/classifier.cpp:410
 #: uml1model/classifier.cpp:781 uml1model/entity.cpp:125
 #: uml1model/entity.cpp:178 uml1model/entity.cpp:228 uml1model/entity.cpp:277
-#: uml1model/enum.cpp:107 uml1model/instance.cpp:124 uml1model/package.cpp:171
-#: umldoc.cpp:1721 umldoc.cpp:1755
+#: uml1model/enum.cpp:107 uml1model/instance.cpp:124 uml1model/package.cpp:177
+#: umldoc.cpp:1723 umldoc.cpp:1757
 #, kde-format
 msgid "That is an invalid name."
 msgstr "Aquest nom no és vàlid."
@@ -5951,7 +5951,7 @@ msgstr "Paraula clau reservada"
 #: object_factory.cpp:264 uml1model/classifier.cpp:413
 #: uml1model/classifier.cpp:783 uml1model/entity.cpp:127
 #: uml1model/entity.cpp:180 uml1model/entity.cpp:230 uml1model/entity.cpp:279
-#: uml1model/instance.cpp:126 umldoc.cpp:1727 umldoc.cpp:1764
+#: uml1model/instance.cpp:126 umldoc.cpp:1729 umldoc.cpp:1766
 #, kde-format
 msgid "That name is already being used."
 msgstr "Aquest nom ja s'està usant."
@@ -5959,8 +5959,8 @@ msgstr "Aquest nom ja s'està usant."
 #: object_factory.cpp:265 uml1model/classifier.cpp:413
 #: uml1model/classifier.cpp:783 uml1model/entity.cpp:127
 #: uml1model/entity.cpp:180 uml1model/entity.cpp:230 uml1model/entity.cpp:279
-#: uml1model/instance.cpp:126 umldoc.cpp:1629 umldoc.cpp:1699 umldoc.cpp:1727
-#: umldoc.cpp:1764
+#: uml1model/instance.cpp:126 umldoc.cpp:1631 umldoc.cpp:1701 umldoc.cpp:1729
+#: umldoc.cpp:1766
 #, kde-format
 msgid "Not a Unique Name"
 msgstr "No és un nom únic"
@@ -6021,12 +6021,12 @@ msgstr "Ja existeix un atribut amb aques
 msgid "Choose a different name."
 msgstr "Trieu un nom diferent."
 
-#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:266
+#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:273
 #, kde-format
 msgid "Incorrect use of associations."
 msgstr "Ús incorrecte de les associacions."
 
-#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:266
+#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:273
 #, kde-format
 msgid "Association Error"
 msgstr "Error d'associació"
@@ -7195,188 +7195,188 @@ msgstr "&Llenguatge actiu"
 msgid "&Settings"
 msgstr "&Arranjament"
 
-#: uml.cpp:332
+#: uml.cpp:341
 #, kde-format
 msgid "&Export model to DocBook"
 msgstr "&Exporta el model a DocBook"
 
-#: uml.cpp:336
+#: uml.cpp:345
 #, kde-format
 msgid "&Export model to XHTML"
 msgstr "&Exporta el model a XHTML"
 
-#: uml.cpp:340
+#: uml.cpp:349
 #, kde-format
 msgid "&New Class Wizard..."
 msgstr "&Assistent de classe nova..."
 
-#: uml.cpp:344
+#: uml.cpp:353
 #, kde-format
 msgid "&Add Default Datatypes for Active Language"
 msgstr "&Afig els tipus de dades predeterminats per al llenguatge actiu"
 
-#: uml.cpp:351
+#: uml.cpp:360
 #, kde-format
 msgid "Code &Importing Wizard..."
 msgstr "Assistent d'&importació de codi..."
 
-#: uml.cpp:361
+#: uml.cpp:370
 #, kde-format
 msgid "&Code Generation Wizard..."
 msgstr "Assistent de generació de &codi..."
 
-#: uml.cpp:366
+#: uml.cpp:375
 #, kde-format
 msgid "&Generate All Code"
 msgstr "&Genera tot el codi"
 
-#: uml.cpp:411
+#: uml.cpp:420
 #, kde-format
 msgid "Creates a new document"
 msgstr "Crea un document nou"
 
-#: uml.cpp:412
+#: uml.cpp:421
 #, kde-format
 msgid "Opens an existing document"
 msgstr "Obri un document existent"
 
-#: uml.cpp:413
+#: uml.cpp:422
 #, kde-format
 msgid "Opens a recently used file"
 msgstr "Obri un fitxer usat recentment"
 
-#: uml.cpp:414
+#: uml.cpp:423
 #, kde-format
 msgid "Saves the document"
 msgstr "Guarda el document"
 
-#: uml.cpp:415
+#: uml.cpp:424
 #, kde-format
 msgid "Saves the document as..."
 msgstr "Guarda el document com a..."
 
-#: uml.cpp:416
+#: uml.cpp:425
 #, kde-format
 msgid "Closes the document"
 msgstr "Tanca el document"
 
-#: uml.cpp:417
+#: uml.cpp:426
 #, kde-format
 msgid "Prints out the document"
 msgstr "Imprimeix el document"
 
-#: uml.cpp:418
+#: uml.cpp:427
 #, kde-format
 msgid "Print Preview of the document"
 msgstr "Vista prèvia d'impressió del document"
 
-#: uml.cpp:419
+#: uml.cpp:428
 #, kde-format
 msgid "Quits the application"
 msgstr "Ix de l'aplicació"
 
-#: uml.cpp:420
+#: uml.cpp:429
 #, kde-format
 msgid "Exports the model to the docbook format"
 msgstr "Exporta el model al format docbook"
 
-#: uml.cpp:421
+#: uml.cpp:430
 #, kde-format
 msgid "Exports the model to the XHTML format"
 msgstr "Exporta el model al format XHTML"
 
-#: uml.cpp:422
+#: uml.cpp:431
 #, kde-format
 msgid "Cuts the selected section and puts it to the clipboard"
 msgstr "Retalla la secció seleccionada i la posa al porta-retalls"
 
-#: uml.cpp:423
+#: uml.cpp:432
 #, kde-format
 msgid "Copies the selected section to the clipboard"
 msgstr "Copia la secció seleccionada al porta-retalls"
 
-#: uml.cpp:424
+#: uml.cpp:433
 #, kde-format
 msgid "Pastes the contents of the clipboard"
 msgstr "Copia el contingut del porta-retalls"
 
-#: uml.cpp:425
+#: uml.cpp:434
 #, kde-format
 msgid "Set the default program preferences"
 msgstr "Estableix les opcions del programa predeterminat"
 
-#: uml.cpp:429
+#: uml.cpp:438
 #, kde-format
 msgctxt "delete selected widget"
 msgid "Delete &Selected"
 msgstr "Suprimeix la &selecció"
 
-#: uml.cpp:440
+#: uml.cpp:449
 #, kde-format
 msgid "&Class Diagram..."
 msgstr "Diagrama de &classes..."
 
-#: uml.cpp:447
+#: uml.cpp:456
 #, kde-format
 msgid "&Object Diagram..."
 msgstr "Diagrama d'&objectes..."
 
-#: uml.cpp:454
+#: uml.cpp:463
 #, kde-format
 msgid "&Sequence Diagram..."
 msgstr "Diagrama de &seqüències..."
 
-#: uml.cpp:460
+#: uml.cpp:469
 #, kde-format
 msgid "C&ommunication Diagram..."
 msgstr "Diagrama de c&omunicació..."
 
-#: uml.cpp:466
+#: uml.cpp:475
 #, kde-format
 msgid "&Use Case Diagram..."
 msgstr "Diagrama de casos d'&ús..."
 
-#: uml.cpp:472
+#: uml.cpp:481
 #, kde-format
 msgid "S&tate Diagram..."
 msgstr "Diagrama d'&estats..."
 
-#: uml.cpp:478
+#: uml.cpp:487
 #, kde-format
 msgid "&Activity Diagram..."
 msgstr "Diagrama d'&activitats..."
 
-#: uml.cpp:484
+#: uml.cpp:493
 #, kde-format
 msgid "Co&mponent Diagram..."
 msgstr "Diagrama de co&mponents..."
 
-#: uml.cpp:490
+#: uml.cpp:499
 #, kde-format
 msgid "&Deployment Diagram..."
 msgstr "Diagrama de &desplegament..."
 
-#: uml.cpp:496
+#: uml.cpp:505
 #, kde-format
 msgid "&Entity Relationship Diagram..."
 msgstr "Diagrama de relació d'&entitats..."
 
-#: uml.cpp:501 uml.cpp:954
+#: uml.cpp:510 uml.cpp:963
 #, kde-format
 msgid "&Tree View"
 msgstr "Vista en a&rbre"
 
-#: uml.cpp:505
+#: uml.cpp:514
 #, kde-format
 msgid "&Debugging"
 msgstr "&Depuració"
 
-#: uml.cpp:513
+#: uml.cpp:522
 #, kde-format
 msgid "&Logging"
 msgstr "&Registre"
 
-#: uml.cpp:517
+#: uml.cpp:526
 #, kde-format
 msgid "&Command history"
 msgstr "&Historial d'ordres"
@@ -7385,135 +7385,135 @@ msgstr "&Historial d'ordres"
 #. m_propertyDock->setObjectName(QLatin1String("PropertyDock"));
 #. addDockWidget(Qt::LeftDockWidgetArea, m_propertyDock);  //:TODO:
 #. create the bird's eye view
-#: uml.cpp:521 uml.cpp:1011
+#: uml.cpp:530 uml.cpp:1020
 #, kde-format
 msgid "&Bird's eye view"
 msgstr "Vista d'&ocell"
 
-#: uml.cpp:526
+#: uml.cpp:535
 #, kde-format
 msgid "&Clear Diagram"
 msgstr "&Neteja el diagrama"
 
-#: uml.cpp:530
+#: uml.cpp:539
 #, kde-format
 msgid "&Snap to Grid"
 msgstr "&Ajusta a la quadrícula"
 
-#: uml.cpp:534
+#: uml.cpp:543
 #, kde-format
 msgid "S&how Grid"
 msgstr "M&ostra quadrícula"
 
-#: uml.cpp:539
+#: uml.cpp:548
 #, kde-format
 msgid "&Delete Diagram"
 msgstr "Su&primeix el diagrama"
 
-#: uml.cpp:544
+#: uml.cpp:553
 #, kde-format
 msgid "&Export as Picture..."
 msgstr "&Exporta com a imatge..."
 
-#: uml.cpp:549
+#: uml.cpp:558
 #, kde-format
 msgid "Export &Diagrams as Pictures..."
 msgstr "Exporta els &diagrames com a imatges..."
 
-#: uml.cpp:569
+#: uml.cpp:578
 #, kde-format
 msgid "Z&oom to 100%"
 msgstr "A&mplia al 100%"
 
-#: uml.cpp:612
+#: uml.cpp:621
 #, kde-format
 msgid "&Move Tab Left"
 msgstr "&Mou la pestanya cap a l'esquerra"
 
-#: uml.cpp:613
+#: uml.cpp:622
 #, kde-format
 msgid "&Move Tab Right"
 msgstr "&Mou la pestanya cap a la dreta"
 
-#: uml.cpp:636
+#: uml.cpp:645
 #, kde-format
 msgid "Select Diagram on Left"
 msgstr "Seleccionar diagrama de l'esquerra"
 
-#: uml.cpp:637
+#: uml.cpp:646
 #, kde-format
 msgid "Select Diagram on Right"
 msgstr "Seleccionar diagrama de la dreta"
 
-#: uml.cpp:776
+#: uml.cpp:785
 #, kde-format
 msgctxt "%1 percent value from 20 to 500"
 msgid " &%1%"
 msgstr " &%1%"
 
-#: uml.cpp:826
+#: uml.cpp:835
 #, kde-format
 msgctxt "init status bar"
 msgid "Ready"
 msgstr "Llest"
 
-#: uml.cpp:835 uml.cpp:848
+#: uml.cpp:844 uml.cpp:857
 #, kde-format
 msgid "100%"
 msgstr "100%"
 
-#: uml.cpp:840
+#: uml.cpp:849
 #, kde-format
 msgid "Fit"
 msgstr "Ajusta"
 
-#: uml.cpp:899
+#: uml.cpp:908
 #, kde-format
 msgid "Diagram Toolbar"
 msgstr "Barra d'eines diagrama"
 
-#: uml.cpp:965
+#: uml.cpp:974
 #, kde-format
 msgid "Doc&umentation"
 msgstr "&Documentació"
 
-#: uml.cpp:976
+#: uml.cpp:985
 #, kde-format
 msgid "Co&mmand history"
 msgstr "&Historial d'ordres"
 
-#: uml.cpp:992
+#: uml.cpp:1001
 #, kde-format
 msgid "&Debug"
 msgstr "&Depura"
 
-#: uml.cpp:999
+#: uml.cpp:1008
 #, kde-format
 msgid "&Log"
 msgstr "&Registre"
 
-#: uml.cpp:1041 uml.cpp:1258 uml.cpp:1307
+#: uml.cpp:1050 uml.cpp:1267 uml.cpp:1316
 #, kde-format
 msgid "Opening file..."
 msgstr "S'està obrint el fitxer..."
 
-#: uml.cpp:1092 uml.cpp:1157 uml.cpp:1342 umldoc.cpp:342 umldoc.cpp:344
-#: umldoc.cpp:368 umldoc.cpp:3396
+#: uml.cpp:1101 uml.cpp:1166 uml.cpp:1351 umldoc.cpp:343 umldoc.cpp:345
+#: umldoc.cpp:369 umldoc.cpp:3405
 #, kde-format
 msgid "Untitled"
 msgstr "Sense títol"
 
-#: uml.cpp:1240
+#: uml.cpp:1249
 #, kde-format
 msgid "Creating new document..."
 msgstr "S'està creant un document nou..."
 
-#: uml.cpp:1266 uml.cpp:1281
+#: uml.cpp:1275 uml.cpp:1290
 #, kde-format
 msgid "Open File"
 msgstr "Obri un fitxer"
 
-#: uml.cpp:1270
+#: uml.cpp:1279
 #, kde-format
 msgid ""
 "*.xmi *.xmi.tgz *.xmi.tar.bz2 *.mdl *.zargo|All Supported Files (*.xmi, *."
@@ -7532,22 +7532,22 @@ msgstr ""
 "*.mdl|Fitxers de model de Rose (*.mdl)\n"
 "*.zargo|Fitxers comprimits amb argo (*.zargo)\n"
 
-#: uml.cpp:1341
+#: uml.cpp:1350
 #, kde-format
 msgid "Saving file..."
 msgstr "S'està desant el fitxer..."
 
-#: uml.cpp:1358
+#: uml.cpp:1367
 #, kde-format
 msgid "Saving file with a new filename..."
 msgstr "S'està desant el fitxer amb un nom nou..."
 
-#: uml.cpp:1368 uml.cpp:1374 umlviewimageexporter.cpp:199
+#: uml.cpp:1377 uml.cpp:1383 umlviewimageexporter.cpp:199
 #, kde-format
 msgid "Save As"
 msgstr "Guarda com a"
 
-#: uml.cpp:1369
+#: uml.cpp:1378
 #, kde-format
 msgid ""
 "*.xmi | XMI File (*.xmi);;*.xmi.tgz | Gzip Compressed XMI File (*.xmi.tgz);;"
@@ -7557,7 +7557,7 @@ msgstr ""
 "tgz);;*.xmi.tar.bz2 | Fitxer XMI comprimit amb Bzip2 (*.xmi.tar.bz2);;* | "
 "Tots els fitxers (*)"
 
-#: uml.cpp:1374
+#: uml.cpp:1383
 #, kde-format
 msgid ""
 "*.xmi|XMI File\n"
@@ -7570,7 +7570,7 @@ msgstr ""
 "*.xmi.tar.bz2|Fitxer XMI comprimit amb Bzip2\n"
 "*|Tots els fitxers"
 
-#: uml.cpp:1387
+#: uml.cpp:1396
 #, kde-format
 msgid ""
 "The file %1 exists.\n"
@@ -7579,67 +7579,67 @@ msgstr ""
 "El fitxer %1 ja existeix.\n"
 "El voleu sobreescriure?"
 
-#: uml.cpp:1388
+#: uml.cpp:1397
 #, kde-format
 msgid "Warning"
 msgstr "Avís"
 
-#: uml.cpp:1388
+#: uml.cpp:1397
 #, kde-format
 msgid "Overwrite"
 msgstr "Sobreescriu"
 
-#: uml.cpp:1422
+#: uml.cpp:1431
 #, kde-format
 msgid "Closing file..."
 msgstr "S'està tancant el fitxer..."
 
-#: uml.cpp:1432
+#: uml.cpp:1441
 #, kde-format
 msgid "No search term entered"
 msgstr "No s'ha introduït cap terme a cercar"
 
-#: uml.cpp:1438
+#: uml.cpp:1447
 #, kde-format
 msgid "'%1': %2 found"
 msgstr "«%1»: %2 trobat"
 
-#: uml.cpp:1502
+#: uml.cpp:1511
 #, kde-format
 msgid "Print Preview..."
 msgstr "Vista prèvia d'impressió..."
 
-#: uml.cpp:1529
+#: uml.cpp:1538
 #, kde-format
 msgid "Printing..."
 msgstr "S'està imprimint..."
 
-#: uml.cpp:1536 uml.cpp:1540
+#: uml.cpp:1545 uml.cpp:1549
 #, kde-format
 msgid "Print %1"
 msgstr "S'imprimeix %1"
 
-#: uml.cpp:1560
+#: uml.cpp:1569
 #, kde-format
 msgid "Exiting..."
 msgstr "S'està eixint..."
 
-#: uml.cpp:1647
+#: uml.cpp:1656
 #, kde-format
 msgid "Cutting selection..."
 msgstr "S'està tallant la selecció..."
 
-#: uml.cpp:1670
+#: uml.cpp:1679
 #, kde-format
 msgid "Copying selection to clipboard..."
 msgstr "S'està copiant la selecció al porta-retalls..."
 
-#: uml.cpp:1682
+#: uml.cpp:1691
 #, kde-format
 msgid "Inserting clipboard contents..."
 msgstr "S'està inserint el contingut del porta-retalls..."
 
-#: uml.cpp:1687
+#: uml.cpp:1696
 #, kde-format
 msgid ""
 "Umbrello could not paste the clipboard contents.  The objects in the "
@@ -7648,38 +7648,38 @@ msgstr ""
 "Umbrello no ha pogut enganxar el contingut del Porta-retalls. Els objectes "
 "del porta-retalls deuen ser d'un tipus incorrecte a enganxar ací."
 
-#: uml.cpp:1713 umlviewimageexporter.cpp:92 umlviewimageexporterall.cpp:123
+#: uml.cpp:1722 umlviewimageexporter.cpp:92 umlviewimageexporterall.cpp:123
 #, kde-format
 msgctxt "reset status bar"
 msgid "Ready."
 msgstr "Llest."
 
-#: uml.cpp:2246
+#: uml.cpp:2255
 #, kde-format
 msgid "Cannot view code until you generate some first."
 msgstr "No es pot veure el codi a menys que primer el genereu."
 
-#: uml.cpp:2246 uml.cpp:2249
+#: uml.cpp:2255 uml.cpp:2258
 #, kde-format
 msgid "Cannot View Code"
 msgstr "No es pot veure el codi"
 
-#: uml.cpp:2249
+#: uml.cpp:2258
 #, kde-format
 msgid "Cannot view code from simple code writer."
 msgstr "No es pot veure el codi des d'un simple escriptor de codi."
 
-#: uml.cpp:2714 uml.cpp:2716
+#: uml.cpp:2728 uml.cpp:2730
 #, kde-format
 msgid "Select file(s) to import:"
 msgstr "Selecció del fitxer/s a importar:"
 
-#: uml.cpp:2747 uml.cpp:2749
+#: uml.cpp:2761 uml.cpp:2763
 #, kde-format
 msgid "Select directory to import:"
 msgstr "Selecció del directori a importar:"
 
-#: uml.cpp:3313
+#: uml.cpp:3335
 #, kde-format
 msgid "XHTML Generation failed ."
 msgstr "Ha fallat la generació de XHTML."
@@ -7693,20 +7693,20 @@ msgstr ""
 "Ja existeix una operació amb el mateix nom i signatura. No podeu afegir-la "
 "de nou."
 
-#: uml1model/folder.cpp:435
+#: uml1model/folder.cpp:436
 #, kde-format
 msgid "The folderfile %1 does not exist."
 msgstr "El fitxer de carpeta %1 no existeix."
 
-#: uml1model/folder.cpp:435 uml1model/folder.cpp:439 umldoc.cpp:529
-#: umldoc.cpp:541 umldoc.cpp:568 umldoc.cpp:570 umldoc.cpp:620 umldoc.cpp:623
-#: umldoc.cpp:638 umldoc.cpp:641 umldoc.cpp:665 umldoc.cpp:668 umldoc.cpp:684
-#: umldoc.cpp:687 umldoc.cpp:702 umldoc.cpp:705 umldoc.cpp:750
+#: uml1model/folder.cpp:436 uml1model/folder.cpp:440 umldoc.cpp:530
+#: umldoc.cpp:542 umldoc.cpp:569 umldoc.cpp:571 umldoc.cpp:621 umldoc.cpp:624
+#: umldoc.cpp:639 umldoc.cpp:642 umldoc.cpp:666 umldoc.cpp:669 umldoc.cpp:685
+#: umldoc.cpp:688 umldoc.cpp:703 umldoc.cpp:706 umldoc.cpp:751
 #, kde-format
 msgid "Load Error"
 msgstr "Error de càrrega"
 
-#: uml1model/folder.cpp:439
+#: uml1model/folder.cpp:440
 #, kde-format
 msgid "The folderfile %1 cannot be opened."
 msgstr "El fitxer de carpeta %1 no sembla estar obert."
@@ -7716,13 +7716,13 @@ msgstr "El fitxer de carpeta %1 no sembl
 msgid "new_parameter"
 msgstr "paràmetre_nou"
 
-#: uml1model/package.cpp:163
+#: uml1model/package.cpp:169
 #, kde-format
 msgctxt "object name"
 msgid "Name"
 msgstr "Nom"
 
-#: uml1model/package.cpp:164
+#: uml1model/package.cpp:170
 #, kde-format
 msgid ""
 "An object with the name %1\n"
@@ -7748,77 +7748,77 @@ msgstr "camp_nou"
 msgid "new_fkey_constraint"
 msgstr "restricció_fkey_nova"
 
-#: uml1model/umlobject.cpp:1140
+#: uml1model/umlobject.cpp:1141
 #, kde-format
 msgid "Actor &name:"
 msgstr "&Nom de l'actor:"
 
-#: uml1model/umlobject.cpp:1143
+#: uml1model/umlobject.cpp:1144
 #, kde-format
 msgid "Artifact &name:"
 msgstr "&Nom de l'artefacte:"
 
-#: uml1model/umlobject.cpp:1146
+#: uml1model/umlobject.cpp:1147
 #, kde-format
 msgid "Association &name:"
 msgstr "&Nom de l'associació:"
 
-#: uml1model/umlobject.cpp:1149
+#: uml1model/umlobject.cpp:1150
 #, kde-format
 msgid "Class &name:"
 msgstr "&Nom de classe:"
 
-#: uml1model/umlobject.cpp:1152
+#: uml1model/umlobject.cpp:1153
 #, kde-format
 msgid "Component &name:"
 msgstr "&Nom del component:"
 
-#: uml1model/umlobject.cpp:1155
+#: uml1model/umlobject.cpp:1156
 #, kde-format
 msgid "Datatype &name:"
 msgstr "&Nom del tipus de dada:"
 
-#: uml1model/umlobject.cpp:1158
+#: uml1model/umlobject.cpp:1159
 #, kde-format
 msgid "Entity &name:"
 msgstr "&Nom de l'entitat:"
 
-#: uml1model/umlobject.cpp:1161
+#: uml1model/umlobject.cpp:1162
 #, kde-format
 msgid "Enum &name:"
 msgstr "&Nom de l'enumerador:"
 
-#: uml1model/umlobject.cpp:1164
+#: uml1model/umlobject.cpp:1165
 #, kde-format
 msgid "Folder &name:"
 msgstr "&Nom de la carpeta:"
 
-#: uml1model/umlobject.cpp:1167
+#: uml1model/umlobject.cpp:1168
 #, kde-format
 msgid "Interface &name:"
 msgstr "&Nom de la interfície:"
 
-#: uml1model/umlobject.cpp:1170
+#: uml1model/umlobject.cpp:1171
 #, kde-format
 msgid "Node &name:"
 msgstr "&Nom del node:"
 
-#: uml1model/umlobject.cpp:1173
+#: uml1model/umlobject.cpp:1174
 #, kde-format
 msgid "Package &name:"
 msgstr "&Nom del paquet:"
 
-#: uml1model/umlobject.cpp:1176
+#: uml1model/umlobject.cpp:1177
 #, kde-format
 msgid "Port &name:"
 msgstr "&Nom del port:"
 
-#: uml1model/umlobject.cpp:1182
+#: uml1model/umlobject.cpp:1183
 #, kde-format
 msgid "Use case &name:"
 msgstr "&Nom del cas d'ús:"
 
-#: uml1model/umlobject.cpp:1185
+#: uml1model/umlobject.cpp:1186
 #, kde-format
 msgid "Instance name:"
 msgstr "Nom de la instància:"
@@ -7838,42 +7838,42 @@ msgstr "E&stereotips"
 msgid "Welcome"
 msgstr "Vos donem la benvinguda"
 
-#: umldoc.cpp:112 umldoc.cpp:2400 umldoc.cpp:2428
+#: umldoc.cpp:113 umldoc.cpp:2405 umldoc.cpp:2433
 #, kde-format
 msgid "UML Model"
 msgstr "Model UML"
 
-#: umldoc.cpp:154
+#: umldoc.cpp:155
 #, kde-format
 msgid "Logical View"
 msgstr "Vista lògica"
 
-#: umldoc.cpp:155
+#: umldoc.cpp:156
 #, kde-format
 msgid "Use Case View"
 msgstr "Vista casos d'ús"
 
-#: umldoc.cpp:156
+#: umldoc.cpp:157
 #, kde-format
 msgid "Component View"
 msgstr "Vista component"
 
-#: umldoc.cpp:157
+#: umldoc.cpp:158
 #, kde-format
 msgid "Deployment View"
 msgstr "Vista desplegament"
 
-#: umldoc.cpp:158
+#: umldoc.cpp:159
 #, kde-format
 msgid "Entity Relationship Model"
 msgstr "Model entitat relació"
 
-#: umldoc.cpp:184
+#: umldoc.cpp:185
 #, kde-format
 msgid "Datatypes"
 msgstr "Tipus de dades"
 
-#: umldoc.cpp:363
+#: umldoc.cpp:364
 #, kde-format
 msgid ""
 "The current file has been modified.\n"
@@ -7882,166 +7882,166 @@ msgstr ""
 "El fitxer actual ha estat modificat.\n"
 "Desitgeu guardar-lo?"
 
-#: umldoc.cpp:364
+#: umldoc.cpp:365
 #, kde-format
 msgctxt "warning message"
 msgid "Warning"
 msgstr "Avís"
 
-#: umldoc.cpp:529
+#: umldoc.cpp:530
 #, kde-format
 msgid "The file <%1> does not exist."
 msgstr "El fitxer <%1> no existeix."
 
-#: umldoc.cpp:541
+#: umldoc.cpp:542
 #, kde-format
 msgid "The file %1 does not exist."
 msgstr "El fitxer %1 no existeix."
 
-#: umldoc.cpp:568 umldoc.cpp:570
+#: umldoc.cpp:569 umldoc.cpp:571
 #, kde-format
 msgid "The file %1 seems to be corrupted."
 msgstr "El fitxer %1 sembla estar corrupte."
 
-#: umldoc.cpp:619 umldoc.cpp:622 umldoc.cpp:637 umldoc.cpp:640 umldoc.cpp:683
-#: umldoc.cpp:686
+#: umldoc.cpp:620 umldoc.cpp:623 umldoc.cpp:638 umldoc.cpp:641 umldoc.cpp:684
+#: umldoc.cpp:687
 #, kde-format
 msgid "There was no XMI file found in the compressed file %1."
 msgstr "No s'ha trobat un fitxer XMI dins del fitxer comprimit %1."
 
-#: umldoc.cpp:664 umldoc.cpp:667
+#: umldoc.cpp:665 umldoc.cpp:668
 #, kde-format
 msgid "There was a problem loading the extracted file: %1"
 msgstr "S'ha produït un problema en carregar el fitxer extret: %1"
 
-#: umldoc.cpp:701 umldoc.cpp:704 umldoc.cpp:744 umldoc.cpp:746
+#: umldoc.cpp:702 umldoc.cpp:705 umldoc.cpp:745 umldoc.cpp:747
 #, kde-format
 msgid "There was a problem loading file: %1"
 msgstr "S'ha produït un problema en carregar el fitxer: %1"
 
-#: umldoc.cpp:749
+#: umldoc.cpp:750
 #, kde-format
 msgid "Reason: %1"
 msgstr "Motiu: %1"
 
-#: umldoc.cpp:832 umldoc.cpp:834 umldoc.cpp:851 umldoc.cpp:853 umldoc.cpp:873
-#: umldoc.cpp:875 umldoc.cpp:924 umldoc.cpp:926 umldoc.cpp:966 umldoc.cpp:969
-#: umldoc.cpp:978 umldoc.cpp:980 umllistview.cpp:593
+#: umldoc.cpp:833 umldoc.cpp:835 umldoc.cpp:852 umldoc.cpp:854 umldoc.cpp:874
+#: umldoc.cpp:876 umldoc.cpp:925 umldoc.cpp:927 umldoc.cpp:968 umldoc.cpp:971
+#: umldoc.cpp:980 umldoc.cpp:982 umllistview.cpp:594
 #, kde-format
 msgid "Save Error"
 msgstr "Error en guardar"
 
-#: umldoc.cpp:832 umldoc.cpp:851 umldoc.cpp:873 umldoc.cpp:924 umldoc.cpp:966
+#: umldoc.cpp:833 umldoc.cpp:852 umldoc.cpp:874 umldoc.cpp:925 umldoc.cpp:968
 #, kde-format
 msgid "There was a problem saving: %1"
 msgstr "S'ha produït un problema en guardar: %1"
 
-#: umldoc.cpp:834 umldoc.cpp:853 umldoc.cpp:875 umldoc.cpp:926 umldoc.cpp:969
-#: umllistview.cpp:592 umlviewimageexportermodel.cpp:303
+#: umldoc.cpp:835 umldoc.cpp:854 umldoc.cpp:876 umldoc.cpp:927 umldoc.cpp:971
+#: umllistview.cpp:593 umlviewimageexportermodel.cpp:303
 #, kde-format
 msgid "There was a problem saving file: %1"
 msgstr "S'ha produït un problema en guardar el fitxer: %1"
 
-#: umldoc.cpp:978
+#: umldoc.cpp:980
 #, kde-format
 msgid "There was a problem uploading: %1"
 msgstr "S'ha produït un problema en pujar: %1"
 
-#: umldoc.cpp:980
+#: umldoc.cpp:982
 #, kde-format
 msgid "There was a problem uploading file: %1"
 msgstr "S'ha produït un problema en pujar el fitxer: %1"
 
-#: umldoc.cpp:1526
+#: umldoc.cpp:1528
 #, kde-format
 msgid "use case diagram"
 msgstr "diagrama de casos d'ús"
 
-#: umldoc.cpp:1529
+#: umldoc.cpp:1531
 #, kde-format
 msgid "class diagram"
 msgstr "diagrama de classes"
 
-#: umldoc.cpp:1532
+#: umldoc.cpp:1534
 #, kde-format
 msgid "sequence diagram"
 msgstr "diagrama de seqüències"
 
-#: umldoc.cpp:1535
+#: umldoc.cpp:1537
 #, kde-format
 msgid "communication diagram"
 msgstr "diagrama de comunicació"
 
-#: umldoc.cpp:1538
+#: umldoc.cpp:1540
 #, kde-format
 msgid "object diagram"
 msgstr "diagrama d'objectes"
 
-#: umldoc.cpp:1541
+#: umldoc.cpp:1543
 #, kde-format
 msgid "state diagram"
 msgstr "diagrama d'estats"
 
-#: umldoc.cpp:1544
+#: umldoc.cpp:1546
 #, kde-format
 msgid "activity diagram"
 msgstr "diagrama d'activitats"
 
-#: umldoc.cpp:1547
+#: umldoc.cpp:1549
 #, kde-format
 msgid "component diagram"
 msgstr "diagrama de components"
 
-#: umldoc.cpp:1550
+#: umldoc.cpp:1552
 #, kde-format
 msgid "deployment diagram"
 msgstr "diagrama de desplegament"
 
-#: umldoc.cpp:1553
+#: umldoc.cpp:1555
 #, kde-format
 msgid "entity relationship diagram"
 msgstr "diagrama entitat relació"
 
-#: umldoc.cpp:1623
+#: umldoc.cpp:1625
 #, kde-format
 msgctxt "diagram name"
 msgid "Name"
 msgstr "Nom"
 
-#: umldoc.cpp:1623 umldoc.cpp:1686 umldoc.cpp:1715 umldoc.cpp:1749
+#: umldoc.cpp:1625 umldoc.cpp:1688 umldoc.cpp:1717 umldoc.cpp:1751
 #, kde-format
 msgid "Enter name:"
 msgstr "Introduïu nom:"
 
-#: umldoc.cpp:1627 umldoc.cpp:1692
+#: umldoc.cpp:1629 umldoc.cpp:1694
 #, kde-format
 msgid "That is an invalid name for a diagram."
 msgstr "Aquest no és un nom vàlid per a un diagrama."
 
-#: umldoc.cpp:1629 umldoc.cpp:1699
+#: umldoc.cpp:1631 umldoc.cpp:1701
 #, kde-format
 msgid "A diagram is already using that name."
 msgstr "Ja hi ha un diagrama usant aquest nom."
 
-#: umldoc.cpp:1685
+#: umldoc.cpp:1687
 #, kde-format
 msgctxt "renaming diagram"
 msgid "Name"
 msgstr "Nom"
 
-#: umldoc.cpp:1714
+#: umldoc.cpp:1716
 #, kde-format
 msgctxt "renaming uml object"
 msgid "Name"
 msgstr "Nom"
 
-#: umldoc.cpp:1748
+#: umldoc.cpp:1750
 #, kde-format
 msgctxt "renaming child uml object"
 msgid "Name"
 msgstr "Nom"
 
-#: umldoc.cpp:1758
+#: umldoc.cpp:1760
 #, kde-format
 msgid ""
 "The name you entered was not unique.\n"
@@ -8050,64 +8050,64 @@ msgstr ""
 "El nom que heu introduït no era únic.\n"
 "És això el que voleu?"
 
-#: umldoc.cpp:1759
+#: umldoc.cpp:1761
 #, kde-format
 msgid "Use Name"
 msgstr "Nom a usar"
 
-#: umldoc.cpp:1759
+#: umldoc.cpp:1761
 #, kde-format
 msgid "Enter New Name"
 msgstr "Introduïu el nom nou"
 
-#: umldoc.cpp:2361
+#: umldoc.cpp:2366
 #, kde-format
 msgid "Unsupported xmi file version: %1"
 msgstr "Versió no admesa del fitxer XMI: %1"
 
-#: umldoc.cpp:2511
+#: umldoc.cpp:2516
 #, kde-format
 msgid "Setting up the document..."
 msgstr "S'està configurant el document..."
 
-#: umldoc.cpp:2540
+#: umldoc.cpp:2545
 #, kde-format
 msgid "Resolving object references..."
 msgstr "S'estan resolent les referències a objectes..."
 
-#: umldoc.cpp:2648
+#: umldoc.cpp:2653
 #, kde-format
 msgid "Loading UML elements..."
 msgstr "S'estan carregant els elements UML..."
 
-#: umldoc.cpp:2892
+#: umldoc.cpp:2899
 #, kde-format
 msgid "Loading diagrams..."
 msgstr "S'estan carregant els diagrames..."
 
-#: umldoc.cpp:3400
+#: umldoc.cpp:3409
 #, kde-format
 msgid "/autosave%1"
 msgstr "/autodesat%1"
 
-#: umllistview.cpp:536 umllistview.cpp:540
+#: umllistview.cpp:537 umllistview.cpp:541
 #, kde-format
 msgid "Externalize Folder"
 msgstr "Externalitza carpeta"
 
-#: umllistview.cpp:574
+#: umllistview.cpp:575
 #, kde-format
 msgid "Folder %1 must be relative to the main model directory, %2."
 msgstr ""
 "La carpeta %1 ha de ser relativa al directori principal del model principal, "
 "%2."
 
-#: umllistview.cpp:575
+#: umllistview.cpp:576
 #, kde-format
 msgid "Path Error"
 msgstr "Error de camí"
 
-#: umllistview.cpp:583
+#: umllistview.cpp:584
 #, kde-format
 msgid ""
 "File %1 already exists!\n"
@@ -8116,62 +8116,62 @@ msgstr ""
 "El fitxer %1 ja existeix\n"
 "Se sobreescriurà el fitxer existent."
 
-#: umllistview.cpp:584
+#: umllistview.cpp:585
 #, kde-format
 msgid "File Exist"
 msgstr "El fitxer ja existeix"
 
-#: umllistview.cpp:624
+#: umllistview.cpp:625
 #, kde-format
 msgid "Enter Model Name"
 msgstr "Introduïu el nom del model"
 
-#: umllistview.cpp:625
+#: umllistview.cpp:626
 #, kde-format
 msgid "Enter the new name of the model:"
 msgstr "Introduïu el nom nou del model:"
 
-#: umllistview.cpp:1422
+#: umllistview.cpp:1430
 #, kde-format
 msgid "Views"
 msgstr "Vistes"
 
-#: umllistview.cpp:1441
+#: umllistview.cpp:1449
 #, kde-format
 msgid "Settings"
 msgstr "Arranjament"
 
-#: umllistview.cpp:2413
+#: umllistview.cpp:2421
 #, kde-format
 msgid "Loading listview..."
 msgstr "S'està carregant la vista en llista..."
 
-#: umllistview.cpp:2764
+#: umllistview.cpp:2772
 #, kde-format
 msgid "The class must be emptied before it can be deleted."
 msgstr "La classe ha de buidar-se abans que es puga suprimir."
 
-#: umllistview.cpp:2765
+#: umllistview.cpp:2773
 #, kde-format
 msgid "Class Not Empty"
 msgstr "Classe no buida"
 
-#: umllistview.cpp:2769
+#: umllistview.cpp:2777
 #, kde-format
 msgid "The package must be emptied before it can be deleted."
 msgstr "Aquest paquet ha de buidar-se abans que es puga suprimir."
 
-#: umllistview.cpp:2770
+#: umllistview.cpp:2778
 #, kde-format
 msgid "Package Not Empty"
 msgstr "Paquet no buit"
 
-#: umllistview.cpp:2774
+#: umllistview.cpp:2782
 #, kde-format
 msgid "The folder must be emptied before it can be deleted."
 msgstr "La carpeta ha de buidar-se abans que es puga suprimir."
 
-#: umllistview.cpp:2775
+#: umllistview.cpp:2783
 #, kde-format
 msgid "Folder Not Empty"
 msgstr "Carpeta no buida"
diff -pruN 4:20.08.3-1/po/cs/umbrello_kdevphp5.po 4:20.12.0-0ubuntu1/po/cs/umbrello_kdevphp5.po
--- 4:20.08.3-1/po/cs/umbrello_kdevphp5.po	2020-11-03 00:42:15.000000000 +0000
+++ 4:20.12.0-0ubuntu1/po/cs/umbrello_kdevphp5.po	2020-12-04 00:21:29.000000000 +0000
@@ -1,13 +1,13 @@
-# Copyright (C) YEAR This_file_is_part_of_KDE
+# Copyright (C) YEAR THE PACKAGE'S COPYRIGHT HOLDER
 # This file is distributed under the same license as the PACKAGE package.
-# Vit Pelcak <vit@pelcak.org>, 2018.
+# Vít Pelčák <vit@pelcak.org>, 2010, 2011, 2012, 2014, 2016, 2017, 2018, 2019, 2020.
 #
 msgid ""
 msgstr ""
-"Project-Id-Version: \n"
+"Project-Id-Version: kdevphp\n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
 "POT-Creation-Date: 2019-11-25 03:12+0100\n"
-"PO-Revision-Date: 2018-04-03 13:59+0100\n"
+"PO-Revision-Date: 2018-01-30 17:45+0100\n"
 "Last-Translator: Vit Pelcak <vit@pelcak.org>\n"
 "Language-Team: Czech <kde-i18n-doc@kde.org>\n"
 "Language: cs\n"
@@ -15,7 +15,7 @@ msgstr ""
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=3; plural=(n==1) ? 0 : (n>=2 && n<=4) ? 1 : 2;\n"
-"X-Generator: Lokalize 2.0\n"
+"X-Generator: Lokalize 20.04.0\n"
 
 #, kde-format
 msgctxt "NAME OF TRANSLATORS"
@@ -40,7 +40,7 @@ msgstr "Implementovat"
 #: completion/implementationitem.cpp:88
 #, kde-format
 msgid "From %1"
-msgstr "Od %1"
+msgstr "Z %1"
 
 #. i18n: ectx: property (title), widget (QGroupBox, PhpDoc)
 #: docs/phpdocsconfig.ui:20
@@ -340,7 +340,7 @@ msgstr "(c) 2008 Niko Sams, 2009 Milian
 #: parser/parsesession.cpp:79
 #, kde-format
 msgid "Could not open file '%1'"
-msgstr "Nelze otevřít soubor '%1'"
+msgstr "Není možné otevřít soubor '%1'"
 
 #: parser/parsesession.cpp:82
 #, kde-format
diff -pruN 4:20.08.3-1/po/cs/umbrello.po 4:20.12.0-0ubuntu1/po/cs/umbrello.po
--- 4:20.08.3-1/po/cs/umbrello.po	2020-11-03 00:42:15.000000000 +0000
+++ 4:20.12.0-0ubuntu1/po/cs/umbrello.po	2020-12-04 00:21:29.000000000 +0000
@@ -6,7 +6,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: umbrello\n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
-"POT-Creation-Date: 2020-08-14 08:09+0200\n"
+"POT-Creation-Date: 2020-11-06 02:36+0100\n"
 "PO-Revision-Date: 2020-06-11 12:55+0200\n"
 "Last-Translator: Vit Pelcak <vit@pelcak.org>\n"
 "Language-Team: Czech <kde-i18n-doc@kde.org>\n"
@@ -207,7 +207,7 @@ msgstr ""
 "Přinejmenším jedna položka ve schránce nemůže být vložena, protože položka "
 "má tentýž existující název. Ostatní položky byly vloženy."
 
-#: clipboard/umlclipboard.cpp:753 uml.cpp:1689
+#: clipboard/umlclipboard.cpp:753 uml.cpp:1698
 #, kde-format
 msgid "Paste Error"
 msgstr "Chyba při vložení"
@@ -433,7 +433,7 @@ msgstr "<p align=\"center\">C++ generát
 #. i18n: ectx: attribute (title), widget (QWidget, ui_tabGeneral)
 #: codegenerators/cpp/cppcodegenerationformbase.ui:51
 #: codegenwizard/codegenoptionspage.ui:39 dialogs/objectnodedialog.cpp:135
-#: umllistview.cpp:1451
+#: umllistview.cpp:1459
 #, kde-format
 msgid "General"
 msgstr "Obecné"
@@ -1309,7 +1309,7 @@ msgstr "Stav"
 #. i18n: ectx: property (text), widget (QRadioButton, ui_categoryClass)
 #. i18n: ectx: property (text), widget (QTableWidget, ui_tableWidgetStatus)
 #: codegenwizard/codegenstatuspage.ui:40 codeimpwizard/codeimpstatuspage.ui:54
-#: dialogs/finddialog.ui:89 umllistview.cpp:1446 umlwidgets/widgetbase.cpp:1255
+#: dialogs/finddialog.ui:89 umllistview.cpp:1454 umlwidgets/widgetbase.cpp:1255
 #, kde-format
 msgid "Class"
 msgstr "Třída"
@@ -1962,17 +1962,17 @@ msgstr ""
 msgid "Enable 'delete diagram' related messages"
 msgstr ""
 
-#: dialogs/dialog_utils.cpp:117
+#: dialogs/dialog_utils.cpp:118
 #, kde-format
 msgid "You are about to delete an association. Do you really want to continue?"
 msgstr "Chystáte se smazat přiřazení. Opravdu si přejete pokračovat?"
 
-#: dialogs/dialog_utils.cpp:118
+#: dialogs/dialog_utils.cpp:119
 #, kde-format
 msgid "Delete Association"
 msgstr "Smazat přiřazení"
 
-#: dialogs/dialog_utils.cpp:132
+#: dialogs/dialog_utils.cpp:133
 #, kde-format
 msgid ""
 "You are about to delete the entire diagram.\n"
@@ -1981,17 +1981,17 @@ msgstr ""
 "Chystáte se smazat celý diagram.\n"
 "Jste si jisti?"
 
-#: dialogs/dialog_utils.cpp:133
+#: dialogs/dialog_utils.cpp:134
 #, kde-format
 msgid "Are you sure you want to delete diagram %1?"
 msgstr "Opravdu si přejete odstranit diagram %1?"
 
-#: dialogs/dialog_utils.cpp:138
+#: dialogs/dialog_utils.cpp:139
 #, kde-format
 msgid "Delete Diagram?"
 msgstr "Smazat diagram?"
 
-#: dialogs/dialog_utils.cpp:139 dialogs/pages/classifierlistpage.cpp:215
+#: dialogs/dialog_utils.cpp:140 dialogs/pages/classifierlistpage.cpp:215
 #: dialogs/pages/classifierlistpage.cpp:223
 #: dialogs/umlforeignkeyconstraintdialog.cpp:325
 #: dialogs/umlforeignkeyconstraintdialog.cpp:331
@@ -2148,7 +2148,7 @@ msgstr "Obecné"
 #. i18n: ectx: label, entry (uiFont), group (UI Options)
 #. i18n: ectx: label, entry (codeViewerFont), group (Code Viewer Options)
 #: dialogs/multipagedialogbase.cpp:405 umbrello.kcfg:177 umbrello.kcfg:292
-#: umllistview.cpp:1450
+#: umllistview.cpp:1458
 #, kde-format
 msgid "Font"
 msgstr "Písmo"
@@ -2571,7 +2571,7 @@ msgstr ""
 
 #: dialogs/pages/classifierlistpage.cpp:217
 #: dialogs/pages/classifierlistpage.cpp:225 dialogs/umloperationdialog.cpp:167
-#: dialogs/umloperationdialog.cpp:175 uml.cpp:554
+#: dialogs/umloperationdialog.cpp:175 uml.cpp:563
 #, kde-format
 msgid "&Properties"
 msgstr "&Vlastnosti"
@@ -2589,7 +2589,7 @@ msgid "Source Code"
 msgstr "Zdrojový kód"
 
 #: dialogs/pages/classoptionspage.cpp:157
-#: dialogs/pages/classoptionspage.cpp:251 uml.cpp:509
+#: dialogs/pages/classoptionspage.cpp:251 uml.cpp:518
 #, kde-format
 msgid "&Documentation"
 msgstr "&Dokumentace"
@@ -2776,8 +2776,8 @@ msgstr "Název, který jste zadali, je n
 #: uml1model/classifier.cpp:410 uml1model/classifier.cpp:781
 #: uml1model/entity.cpp:125 uml1model/entity.cpp:178 uml1model/entity.cpp:228
 #: uml1model/entity.cpp:277 uml1model/enum.cpp:107 uml1model/instance.cpp:124
-#: uml1model/package.cpp:172 umldoc.cpp:1627 umldoc.cpp:1692 umldoc.cpp:1721
-#: umldoc.cpp:1755
+#: uml1model/package.cpp:178 umldoc.cpp:1629 umldoc.cpp:1694 umldoc.cpp:1723
+#: umldoc.cpp:1757
 #, kde-format
 msgid "Invalid Name"
 msgstr "Neplatný název"
@@ -2787,7 +2787,7 @@ msgstr "Neplatný název"
 msgid "The name you have entered is not unique."
 msgstr "Název, který jste zadali, není jedinečný."
 
-#: dialogs/pages/diagrampropertiespage.cpp:86 umldoc.cpp:1759
+#: dialogs/pages/diagrampropertiespage.cpp:86 umldoc.cpp:1761
 #, kde-format
 msgid "Name Not Unique"
 msgstr "Název není jedinečný"
@@ -3249,7 +3249,7 @@ msgstr "Nákres"
 msgid "Umbrello Setup"
 msgstr "Nastavení Umbrello"
 
-#: dialogs/settingsdialog.cpp:114 umllistview.cpp:1452
+#: dialogs/settingsdialog.cpp:114 umllistview.cpp:1460
 #, kde-format
 msgid "User Interface"
 msgstr "Uživatelské rozhraní"
@@ -3276,7 +3276,7 @@ msgstr "Třída"
 msgid "Class Settings"
 msgstr "Nastavení třídy"
 
-#: dialogs/settingsdialog.cpp:137 umllistview.cpp:1447
+#: dialogs/settingsdialog.cpp:137 umllistview.cpp:1455
 #, kde-format
 msgid "Code Importer"
 msgstr ""
@@ -3286,7 +3286,7 @@ msgstr ""
 msgid "Code Import Settings"
 msgstr ""
 
-#: dialogs/settingsdialog.cpp:146 umllistview.cpp:1448
+#: dialogs/settingsdialog.cpp:146 umllistview.cpp:1456
 #, kde-format
 msgid "Code Generation"
 msgstr "Generování kódu"
@@ -3296,7 +3296,7 @@ msgstr "Generování kódu"
 msgid "Code Generation Settings"
 msgstr "Nastavení generování kódu"
 
-#: dialogs/settingsdialog.cpp:154 umllistview.cpp:1449
+#: dialogs/settingsdialog.cpp:154 umllistview.cpp:1457
 #, kde-format
 msgid "Code Viewer"
 msgstr "Prohlížeč kódu"
@@ -3306,7 +3306,7 @@ msgstr "Prohlížeč kódu"
 msgid "Code Viewer Settings"
 msgstr "Nastavení prohlížeče kódu"
 
-#: dialogs/settingsdialog.cpp:161 umllistview.cpp:1445
+#: dialogs/settingsdialog.cpp:161 umllistview.cpp:1453
 #, kde-format
 msgid "Auto Layout"
 msgstr "Automatické rozvržení"
@@ -3933,7 +3933,7 @@ msgstr "&Typ:"
 msgid "Package path:"
 msgstr ""
 
-#: dialogs/widgets/umlstereotypewidget.cpp:29 uml1model/umlobject.cpp:1179
+#: dialogs/widgets/umlstereotypewidget.cpp:29 uml1model/umlobject.cpp:1180
 #, kde-format
 msgid "Stereotype &name:"
 msgstr "&Název stereotypu:"
@@ -4079,7 +4079,7 @@ msgstr ""
 msgid "Gael de Chalendar (aka Kleag)"
 msgstr "Gael de Chalendar (aka Kleag)"
 
-#: docgenerators/main.cpp:56 main.cpp:131
+#: docgenerators/main.cpp:56 main.cpp:133
 #, kde-format
 msgid "Umbrello UML Modeller Authors"
 msgstr "Autoři Umbrello UML modelátoru"
@@ -4141,12 +4141,12 @@ msgstr ""
 msgid "Apply layout"
 msgstr "Aplikovat rozvržení"
 
-#: main.cpp:121
+#: main.cpp:123
 #, kde-format
 msgid "Umbrello UML Modeller"
 msgstr "Umbrello UML modelátor"
 
-#: main.cpp:123
+#: main.cpp:125
 #, kde-format
 msgid ""
 "Umbrello – Visual development environment for software, based on the "
@@ -4154,7 +4154,7 @@ msgid ""
 "\"http://www.omg.org/spec/\">http://www.omg.org/spec/</a>."
 msgstr ""
 
-#: main.cpp:127
+#: main.cpp:129
 #, kde-format
 msgid ""
 "Copyright © 2001 Paul Hensgen,\n"
@@ -4163,109 +4163,109 @@ msgstr ""
 "Copyright © 2001 Paul Hensgen,\n"
 "Copyright © 2002-2020 autoři modelátoru Umbrello UML"
 
-#: main.cpp:130
+#: main.cpp:132
 #, kde-format
 msgid "Paul Hensgen"
 msgstr "Paul Hensgen"
 
-#: main.cpp:130
+#: main.cpp:132
 #, kde-format
 msgid "Author of initial version."
 msgstr ""
 
-#: main.cpp:134
+#: main.cpp:136
 #, kde-format
 msgid "Oliver Kellogg"
 msgstr "Oliver Kellogg"
 
-#: main.cpp:135 main.cpp:138
+#: main.cpp:137 main.cpp:140
 #, kde-format
 msgid "Bug fixing, porting work, code cleanup, new features."
 msgstr ""
 
-#: main.cpp:137
+#: main.cpp:139
 #, kde-format
 msgid "Ralf Habacker"
 msgstr "Ralf Habacker"
 
-#: main.cpp:140
+#: main.cpp:142
 #, kde-format
 msgid "Andi Fischer"
 msgstr "Andi Fischer"
 
-#: main.cpp:141
+#: main.cpp:143
 #, kde-format
 msgid "Porting work, code cleanup, new features."
 msgstr ""
 
-#: main.cpp:143
+#: main.cpp:145
 #, kde-format
 msgid "Jonathan Riddell"
 msgstr "Jonathan Riddell"
 
-#: main.cpp:144
+#: main.cpp:146
 #, kde-format
 msgid "Current maintainer."
 msgstr "Současný správce."
 
-#: main.cpp:146
+#: main.cpp:148
 #, kde-format
 msgid "Brian Thomas"
 msgstr "Brian Thomas"
 
-#: main.cpp:147
+#: main.cpp:149
 #, kde-format
 msgid "A lot of work for C++ and Java code generation. Codeeditor."
 msgstr ""
 
-#: main.cpp:152
+#: main.cpp:154
 #, kde-format
 msgid "File to open"
 msgstr "Soubor k otevření"
 
-#: main.cpp:153
+#: main.cpp:155
 #, kde-format
 msgid "export diagrams to extension and exit"
 msgstr ""
 
-#: main.cpp:154
+#: main.cpp:156
 #, kde-format
 msgid "list available export extensions"
 msgstr ""
 
-#: main.cpp:155
+#: main.cpp:157
 #, kde-format
 msgid "the local directory to save the exported diagrams in"
 msgstr ""
 
-#: main.cpp:155
+#: main.cpp:157
 #, kde-format
 msgid "the directory of the file"
 msgstr ""
 
-#: main.cpp:156
+#: main.cpp:158
 #, kde-format
 msgid "import files"
 msgstr "importovat soubory"
 
-#: main.cpp:157
+#: main.cpp:159
 #, kde-format
 msgid "list supported languages"
 msgstr "vypsat podporované jazyky"
 
-#: main.cpp:158
+#: main.cpp:160
 #, kde-format
 msgid ""
 "keep the tree structure used to store the views in the document in the "
 "target directory"
 msgstr ""
 
-#: main.cpp:159
+#: main.cpp:161
 #, kde-format
 msgid "import files from directory <dir>"
 msgstr "Importovat soubory z adresáře <dir>"
 
-#: main.cpp:163
+#: main.cpp:165
 #, kde-format
 msgid "set active language"
 msgstr "nastavit aktivní jazyk"
@@ -4529,7 +4529,7 @@ msgstr ""
 msgid "Import File(s)..."
 msgstr "Importovat soubor(y)..."
 
-#: menus/listpopupmenu.cpp:201 uml.cpp:356
+#: menus/listpopupmenu.cpp:201 uml.cpp:365
 #, kde-format
 msgid "Import from Directory..."
 msgstr "Importovat z adresáře..."
@@ -5029,42 +5029,42 @@ msgctxt "align menu"
 msgid "Align"
 msgstr "Zarovnat"
 
-#: menus/widgetbasepopupmenu.cpp:598 uml.cpp:573
+#: menus/widgetbasepopupmenu.cpp:598 uml.cpp:582
 #, kde-format
 msgid "Align Right"
 msgstr "Zarovnat vpravo"
 
-#: menus/widgetbasepopupmenu.cpp:599 uml.cpp:578
+#: menus/widgetbasepopupmenu.cpp:599 uml.cpp:587
 #, kde-format
 msgid "Align Left"
 msgstr "Zarovnat vlevo"
 
-#: menus/widgetbasepopupmenu.cpp:600 uml.cpp:583
+#: menus/widgetbasepopupmenu.cpp:600 uml.cpp:592
 #, kde-format
 msgid "Align Top"
 msgstr "Zarovnat nahoru"
 
-#: menus/widgetbasepopupmenu.cpp:601 uml.cpp:588
+#: menus/widgetbasepopupmenu.cpp:601 uml.cpp:597
 #, kde-format
 msgid "Align Bottom"
 msgstr "Zarovnat dolů"
 
-#: menus/widgetbasepopupmenu.cpp:603 uml.cpp:593
+#: menus/widgetbasepopupmenu.cpp:603 uml.cpp:602
 #, kde-format
 msgid "Align Vertical Middle"
 msgstr "Zarovnat svisle na střed"
 
-#: menus/widgetbasepopupmenu.cpp:604 uml.cpp:598
+#: menus/widgetbasepopupmenu.cpp:604 uml.cpp:607
 #, kde-format
 msgid "Align Horizontal Middle"
 msgstr ""
 
-#: menus/widgetbasepopupmenu.cpp:605 uml.cpp:603
+#: menus/widgetbasepopupmenu.cpp:605 uml.cpp:612
 #, kde-format
 msgid "Align Vertical Distribute"
 msgstr ""
 
-#: menus/widgetbasepopupmenu.cpp:606 uml.cpp:608
+#: menus/widgetbasepopupmenu.cpp:606 uml.cpp:617
 #, kde-format
 msgid "Align Horizontal Distribute"
 msgstr ""
@@ -5869,8 +5869,8 @@ msgstr "Použití"
 #: object_factory.cpp:251 uml1model/classifier.cpp:410
 #: uml1model/classifier.cpp:781 uml1model/entity.cpp:125
 #: uml1model/entity.cpp:178 uml1model/entity.cpp:228 uml1model/entity.cpp:277
-#: uml1model/enum.cpp:107 uml1model/instance.cpp:124 uml1model/package.cpp:171
-#: umldoc.cpp:1721 umldoc.cpp:1755
+#: uml1model/enum.cpp:107 uml1model/instance.cpp:124 uml1model/package.cpp:177
+#: umldoc.cpp:1723 umldoc.cpp:1757
 #, kde-format
 msgid "That is an invalid name."
 msgstr "Toto je neplatný název."
@@ -5889,7 +5889,7 @@ msgstr "Rezervované klíčové slovo"
 #: object_factory.cpp:264 uml1model/classifier.cpp:413
 #: uml1model/classifier.cpp:783 uml1model/entity.cpp:127
 #: uml1model/entity.cpp:180 uml1model/entity.cpp:230 uml1model/entity.cpp:279
-#: uml1model/instance.cpp:126 umldoc.cpp:1727 umldoc.cpp:1764
+#: uml1model/instance.cpp:126 umldoc.cpp:1729 umldoc.cpp:1766
 #, kde-format
 msgid "That name is already being used."
 msgstr "Tento název je již používán."
@@ -5897,8 +5897,8 @@ msgstr "Tento název je již používán
 #: object_factory.cpp:265 uml1model/classifier.cpp:413
 #: uml1model/classifier.cpp:783 uml1model/entity.cpp:127
 #: uml1model/entity.cpp:180 uml1model/entity.cpp:230 uml1model/entity.cpp:279
-#: uml1model/instance.cpp:126 umldoc.cpp:1629 umldoc.cpp:1699 umldoc.cpp:1727
-#: umldoc.cpp:1764
+#: uml1model/instance.cpp:126 umldoc.cpp:1631 umldoc.cpp:1701 umldoc.cpp:1729
+#: umldoc.cpp:1766
 #, kde-format
 msgid "Not a Unique Name"
 msgstr "Není jedinečným názvem"
@@ -5959,12 +5959,12 @@ msgstr ""
 msgid "Choose a different name."
 msgstr "Vyberte jiný název."
 
-#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:266
+#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:273
 #, kde-format
 msgid "Incorrect use of associations."
 msgstr "Nekorektní použití přidružení."
 
-#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:266
+#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:273
 #, kde-format
 msgid "Association Error"
 msgstr "Chyba v asociaci"
@@ -7126,188 +7126,188 @@ msgstr "&Aktivní jazyk"
 msgid "&Settings"
 msgstr "Na&stavení"
 
-#: uml.cpp:332
+#: uml.cpp:341
 #, kde-format
 msgid "&Export model to DocBook"
 msgstr ""
 
-#: uml.cpp:336
+#: uml.cpp:345
 #, kde-format
 msgid "&Export model to XHTML"
 msgstr ""
 
-#: uml.cpp:340
+#: uml.cpp:349
 #, kde-format
 msgid "&New Class Wizard..."
 msgstr "Průvodce &novou třídou..."
 
-#: uml.cpp:344
+#: uml.cpp:353
 #, kde-format
 msgid "&Add Default Datatypes for Active Language"
 msgstr "Nastavit &výchozí datový typ pro aktivní jazyk"
 
-#: uml.cpp:351
+#: uml.cpp:360
 #, kde-format
 msgid "Code &Importing Wizard..."
 msgstr ""
 
-#: uml.cpp:361
+#: uml.cpp:370
 #, kde-format
 msgid "&Code Generation Wizard..."
 msgstr "Průvod&ce generováním kódu..."
 
-#: uml.cpp:366
+#: uml.cpp:375
 #, kde-format
 msgid "&Generate All Code"
 msgstr "Vy&generovat veškerý kód"
 
-#: uml.cpp:411
+#: uml.cpp:420
 #, kde-format
 msgid "Creates a new document"
 msgstr "Vytvoří nový dokument"
 
-#: uml.cpp:412
+#: uml.cpp:421
 #, kde-format
 msgid "Opens an existing document"
 msgstr "Otevře existující dokument"
 
-#: uml.cpp:413
+#: uml.cpp:422
 #, kde-format
 msgid "Opens a recently used file"
 msgstr "Otevře nedávno použitý soubor"
 
-#: uml.cpp:414
+#: uml.cpp:423
 #, kde-format
 msgid "Saves the document"
 msgstr "Uloží současný dokument"
 
-#: uml.cpp:415
+#: uml.cpp:424
 #, kde-format
 msgid "Saves the document as..."
 msgstr "Uloží současný dokument jako..."
 
-#: uml.cpp:416
+#: uml.cpp:425
 #, kde-format
 msgid "Closes the document"
 msgstr "Uzavře současný dokument"
 
-#: uml.cpp:417
+#: uml.cpp:426
 #, kde-format
 msgid "Prints out the document"
 msgstr "Vytiskne současný dokument"
 
-#: uml.cpp:418
+#: uml.cpp:427
 #, kde-format
 msgid "Print Preview of the document"
 msgstr ""
 
-#: uml.cpp:419
+#: uml.cpp:428
 #, kde-format
 msgid "Quits the application"
 msgstr "Ukončí aplikaci"
 
-#: uml.cpp:420
+#: uml.cpp:429
 #, kde-format
 msgid "Exports the model to the docbook format"
 msgstr ""
 
-#: uml.cpp:421
+#: uml.cpp:430
 #, kde-format
 msgid "Exports the model to the XHTML format"
 msgstr ""
 
-#: uml.cpp:422
+#: uml.cpp:431
 #, kde-format
 msgid "Cuts the selected section and puts it to the clipboard"
 msgstr "Vyjme současný výběr a umístí jej do schránky"
 
-#: uml.cpp:423
+#: uml.cpp:432
 #, kde-format
 msgid "Copies the selected section to the clipboard"
 msgstr "Zkopíruje vybranou sekci do schránky"
 
-#: uml.cpp:424
+#: uml.cpp:433
 #, kde-format
 msgid "Pastes the contents of the clipboard"
 msgstr "Vloží obsah schránky"
 
-#: uml.cpp:425
+#: uml.cpp:434
 #, kde-format
 msgid "Set the default program preferences"
 msgstr "Nastavit výchozí programové předvolby"
 
-#: uml.cpp:429
+#: uml.cpp:438
 #, kde-format
 msgctxt "delete selected widget"
 msgid "Delete &Selected"
 msgstr "&Smazat vybrané"
 
-#: uml.cpp:440
+#: uml.cpp:449
 #, kde-format
 msgid "&Class Diagram..."
 msgstr "&Diagram třídy..."
 
-#: uml.cpp:447
+#: uml.cpp:456
 #, kde-format
 msgid "&Object Diagram..."
 msgstr ""
 
-#: uml.cpp:454
+#: uml.cpp:463
 #, kde-format
 msgid "&Sequence Diagram..."
 msgstr "Se&kvenční diagram..."
 
-#: uml.cpp:460
+#: uml.cpp:469
 #, kde-format
 msgid "C&ommunication Diagram..."
 msgstr "Diagram &komunikace..."
 
-#: uml.cpp:466
+#: uml.cpp:475
 #, kde-format
 msgid "&Use Case Diagram..."
 msgstr "Diagram případů &užití..."
 
-#: uml.cpp:472
+#: uml.cpp:481
 #, kde-format
 msgid "S&tate Diagram..."
 msgstr "S&tavový diagram..."
 
-#: uml.cpp:478
+#: uml.cpp:487
 #, kde-format
 msgid "&Activity Diagram..."
 msgstr "Diagram &aktivit..."
 
-#: uml.cpp:484
+#: uml.cpp:493
 #, kde-format
 msgid "Co&mponent Diagram..."
 msgstr "Diagram &komponent..."
 
-#: uml.cpp:490
+#: uml.cpp:499
 #, kde-format
 msgid "&Deployment Diagram..."
 msgstr "Diagram &nasazení..."
 
-#: uml.cpp:496
+#: uml.cpp:505
 #, kde-format
 msgid "&Entity Relationship Diagram..."
 msgstr ""
 
-#: uml.cpp:501 uml.cpp:954
+#: uml.cpp:510 uml.cpp:963
 #, kde-format
 msgid "&Tree View"
 msgstr "S&tromový pohled"
 
-#: uml.cpp:505
+#: uml.cpp:514
 #, kde-format
 msgid "&Debugging"
 msgstr "&Ladění"
 
-#: uml.cpp:513
+#: uml.cpp:522
 #, kde-format
 msgid "&Logging"
 msgstr "Zázna&my"
 
-#: uml.cpp:517
+#: uml.cpp:526
 #, kde-format
 msgid "&Command history"
 msgstr "Historie pří&kazů"
@@ -7316,135 +7316,135 @@ msgstr "Historie pří&kazů"
 #. m_propertyDock->setObjectName(QLatin1String("PropertyDock"));
 #. addDockWidget(Qt::LeftDockWidgetArea, m_propertyDock);  //:TODO:
 #. create the bird's eye view
-#: uml.cpp:521 uml.cpp:1011
+#: uml.cpp:530 uml.cpp:1020
 #, kde-format
 msgid "&Bird's eye view"
 msgstr ""
 
-#: uml.cpp:526
+#: uml.cpp:535
 #, kde-format
 msgid "&Clear Diagram"
 msgstr "V&yčistit diagram"
 
-#: uml.cpp:530
+#: uml.cpp:539
 #, kde-format
 msgid "&Snap to Grid"
 msgstr "Přic&hytávat k mřížce"
 
-#: uml.cpp:534
+#: uml.cpp:543
 #, kde-format
 msgid "S&how Grid"
 msgstr "Zo&brazit mřížku"
 
-#: uml.cpp:539
+#: uml.cpp:548
 #, kde-format
 msgid "&Delete Diagram"
 msgstr "Smazat &diagram"
 
-#: uml.cpp:544
+#: uml.cpp:553
 #, kde-format
 msgid "&Export as Picture..."
 msgstr "&Exportovat jako obrázek..."
 
-#: uml.cpp:549
+#: uml.cpp:558
 #, kde-format
 msgid "Export &Diagrams as Pictures..."
 msgstr "Exportovat di&agramy jako obrázky..."
 
-#: uml.cpp:569
+#: uml.cpp:578
 #, kde-format
 msgid "Z&oom to 100%"
 msgstr "Zvětšit na 100 %"
 
-#: uml.cpp:612
+#: uml.cpp:621
 #, kde-format
 msgid "&Move Tab Left"
 msgstr "Přesunout kartu do&leva"
 
-#: uml.cpp:613
+#: uml.cpp:622
 #, kde-format
 msgid "&Move Tab Right"
 msgstr "Přesu&nout kartu doprava"
 
-#: uml.cpp:636
+#: uml.cpp:645
 #, kde-format
 msgid "Select Diagram on Left"
 msgstr ""
 
-#: uml.cpp:637
+#: uml.cpp:646
 #, kde-format
 msgid "Select Diagram on Right"
 msgstr ""
 
-#: uml.cpp:776
+#: uml.cpp:785
 #, kde-format
 msgctxt "%1 percent value from 20 to 500"
 msgid " &%1%"
 msgstr " &%1%"
 
-#: uml.cpp:826
+#: uml.cpp:835
 #, kde-format
 msgctxt "init status bar"
 msgid "Ready"
 msgstr "Připraven"
 
-#: uml.cpp:835 uml.cpp:848
+#: uml.cpp:844 uml.cpp:857
 #, kde-format
 msgid "100%"
 msgstr "100%"
 
-#: uml.cpp:840
+#: uml.cpp:849
 #, kde-format
 msgid "Fit"
 msgstr "Přizpůsobit"
 
-#: uml.cpp:899
+#: uml.cpp:908
 #, kde-format
 msgid "Diagram Toolbar"
 msgstr "Diagram panelu nástrojů"
 
-#: uml.cpp:965
+#: uml.cpp:974
 #, kde-format
 msgid "Doc&umentation"
 msgstr "Dok&umentace"
 
-#: uml.cpp:976
+#: uml.cpp:985
 #, kde-format
 msgid "Co&mmand history"
 msgstr "Historie pří&kazů"
 
-#: uml.cpp:992
+#: uml.cpp:1001
 #, kde-format
 msgid "&Debug"
 msgstr "La&dit"
 
-#: uml.cpp:999
+#: uml.cpp:1008
 #, kde-format
 msgid "&Log"
 msgstr "&Záznam"
 
-#: uml.cpp:1041 uml.cpp:1258 uml.cpp:1307
+#: uml.cpp:1050 uml.cpp:1267 uml.cpp:1316
 #, kde-format
 msgid "Opening file..."
 msgstr "Otevírám soubor..."
 
-#: uml.cpp:1092 uml.cpp:1157 uml.cpp:1342 umldoc.cpp:342 umldoc.cpp:344
-#: umldoc.cpp:368 umldoc.cpp:3396
+#: uml.cpp:1101 uml.cpp:1166 uml.cpp:1351 umldoc.cpp:343 umldoc.cpp:345
+#: umldoc.cpp:369 umldoc.cpp:3405
 #, kde-format
 msgid "Untitled"
 msgstr "Nepojmenovaný"
 
-#: uml.cpp:1240
+#: uml.cpp:1249
 #, kde-format
 msgid "Creating new document..."
 msgstr "Vytvářím nový dokument..."
 
-#: uml.cpp:1266 uml.cpp:1281
+#: uml.cpp:1275 uml.cpp:1290
 #, kde-format
 msgid "Open File"
 msgstr "Otevřít soubor"
 
-#: uml.cpp:1270
+#: uml.cpp:1279
 #, kde-format
 msgid ""
 "*.xmi *.xmi.tgz *.xmi.tar.bz2 *.mdl *.zargo|All Supported Files (*.xmi, *."
@@ -7463,22 +7463,22 @@ msgstr ""
 "*.mdl|Modelové soubory Rose (*.mdl)\n"
 "*.zargo|Komprimované soubory argo (*.zargo)\n"
 
-#: uml.cpp:1341
+#: uml.cpp:1350
 #, kde-format
 msgid "Saving file..."
 msgstr "Ukládám soubor..."
 
-#: uml.cpp:1358
+#: uml.cpp:1367
 #, kde-format
 msgid "Saving file with a new filename..."
 msgstr "Ukládám soubor pod novým názvem..."
 
-#: uml.cpp:1368 uml.cpp:1374 umlviewimageexporter.cpp:199
+#: uml.cpp:1377 uml.cpp:1383 umlviewimageexporter.cpp:199
 #, kde-format
 msgid "Save As"
 msgstr "Uložit jako"
 
-#: uml.cpp:1369
+#: uml.cpp:1378
 #, kde-format
 msgid ""
 "*.xmi | XMI File (*.xmi);;*.xmi.tgz | Gzip Compressed XMI File (*.xmi.tgz);;"
@@ -7488,7 +7488,7 @@ msgstr ""
 "tgz);;*.xmi.tar.bz2 | Bzip2  archivovaný soubor XMI (*.xmi.tar.bz2);;* | "
 "Všechny soubory (*)"
 
-#: uml.cpp:1374
+#: uml.cpp:1383
 #, kde-format
 msgid ""
 "*.xmi|XMI File\n"
@@ -7501,7 +7501,7 @@ msgstr ""
 "*.xmi.tar.bz2|Bzip2 archivovaný XMI soubor\n"
 "*|Všechny soubory"
 
-#: uml.cpp:1387
+#: uml.cpp:1396
 #, kde-format
 msgid ""
 "The file %1 exists.\n"
@@ -7510,67 +7510,67 @@ msgstr ""
 "Soubor již %1 existuje.\n"
 "Přejete si jej přepsat?"
 
-#: uml.cpp:1388
+#: uml.cpp:1397
 #, kde-format
 msgid "Warning"
 msgstr "Varování"
 
-#: uml.cpp:1388
+#: uml.cpp:1397
 #, kde-format
 msgid "Overwrite"
 msgstr "Přepsat"
 
-#: uml.cpp:1422
+#: uml.cpp:1431
 #, kde-format
 msgid "Closing file..."
 msgstr "Uzavírám soubor..."
 
-#: uml.cpp:1432
+#: uml.cpp:1441
 #, kde-format
 msgid "No search term entered"
 msgstr ""
 
-#: uml.cpp:1438
+#: uml.cpp:1447
 #, kde-format
 msgid "'%1': %2 found"
 msgstr ""
 
-#: uml.cpp:1502
+#: uml.cpp:1511
 #, kde-format
 msgid "Print Preview..."
 msgstr "Náhled před tiskem..."
 
-#: uml.cpp:1529
+#: uml.cpp:1538
 #, kde-format
 msgid "Printing..."
 msgstr "Probíhá tisk..."
 
-#: uml.cpp:1536 uml.cpp:1540
+#: uml.cpp:1545 uml.cpp:1549
 #, kde-format
 msgid "Print %1"
 msgstr "Vytisknout %1"
 
-#: uml.cpp:1560
+#: uml.cpp:1569
 #, kde-format
 msgid "Exiting..."
 msgstr "Ukončuji..."
 
-#: uml.cpp:1647
+#: uml.cpp:1656
 #, kde-format
 msgid "Cutting selection..."
 msgstr "Vyjímám výběr..."
 
-#: uml.cpp:1670
+#: uml.cpp:1679
 #, kde-format
 msgid "Copying selection to clipboard..."
 msgstr "Kopíruji výběr do schránky..."
 
-#: uml.cpp:1682
+#: uml.cpp:1691
 #, kde-format
 msgid "Inserting clipboard contents..."
 msgstr "Vkládám obsah schránky..."
 
-#: uml.cpp:1687
+#: uml.cpp:1696
 #, kde-format
 msgid ""
 "Umbrello could not paste the clipboard contents.  The objects in the "
@@ -7579,38 +7579,38 @@ msgstr ""
 "Umbrello nemohl vložit obsah schránky. Objekt ve schránce má nesprávný typ "
 "pro vložení."
 
-#: uml.cpp:1713 umlviewimageexporter.cpp:92 umlviewimageexporterall.cpp:123
+#: uml.cpp:1722 umlviewimageexporter.cpp:92 umlviewimageexporterall.cpp:123
 #, kde-format
 msgctxt "reset status bar"
 msgid "Ready."
 msgstr "Připraven."
 
-#: uml.cpp:2246
+#: uml.cpp:2255
 #, kde-format
 msgid "Cannot view code until you generate some first."
 msgstr "Nelze prohlížet kód dříve, než jej vygenerujete."
 
-#: uml.cpp:2246 uml.cpp:2249
+#: uml.cpp:2255 uml.cpp:2258
 #, kde-format
 msgid "Cannot View Code"
 msgstr "Nelze prohlížet kód"
 
-#: uml.cpp:2249
+#: uml.cpp:2258
 #, kde-format
 msgid "Cannot view code from simple code writer."
 msgstr "Nelze prohlížet kód z jednoduchého editoru kódu."
 
-#: uml.cpp:2714 uml.cpp:2716
+#: uml.cpp:2728 uml.cpp:2730
 #, kde-format
 msgid "Select file(s) to import:"
 msgstr ""
 
-#: uml.cpp:2747 uml.cpp:2749
+#: uml.cpp:2761 uml.cpp:2763
 #, kde-format
 msgid "Select directory to import:"
 msgstr ""
 
-#: uml.cpp:3313
+#: uml.cpp:3335
 #, kde-format
 msgid "XHTML Generation failed ."
 msgstr ""
@@ -7624,20 +7624,20 @@ msgstr ""
 "Operace se stejným názvem a signaturou již existuje. Nemůžete ji přidat "
 "znovu."
 
-#: uml1model/folder.cpp:435
+#: uml1model/folder.cpp:436
 #, kde-format
 msgid "The folderfile %1 does not exist."
 msgstr "Soubor %1 neexistuje."
 
-#: uml1model/folder.cpp:435 uml1model/folder.cpp:439 umldoc.cpp:529
-#: umldoc.cpp:541 umldoc.cpp:568 umldoc.cpp:570 umldoc.cpp:620 umldoc.cpp:623
-#: umldoc.cpp:638 umldoc.cpp:641 umldoc.cpp:665 umldoc.cpp:668 umldoc.cpp:684
-#: umldoc.cpp:687 umldoc.cpp:702 umldoc.cpp:705 umldoc.cpp:750
+#: uml1model/folder.cpp:436 uml1model/folder.cpp:440 umldoc.cpp:530
+#: umldoc.cpp:542 umldoc.cpp:569 umldoc.cpp:571 umldoc.cpp:621 umldoc.cpp:624
+#: umldoc.cpp:639 umldoc.cpp:642 umldoc.cpp:666 umldoc.cpp:669 umldoc.cpp:685
+#: umldoc.cpp:688 umldoc.cpp:703 umldoc.cpp:706 umldoc.cpp:751
 #, kde-format
 msgid "Load Error"
 msgstr "Chyba při načítání"
 
-#: uml1model/folder.cpp:439
+#: uml1model/folder.cpp:440
 #, kde-format
 msgid "The folderfile %1 cannot be opened."
 msgstr "Soubor %1 nelze otevřít."
@@ -7647,13 +7647,13 @@ msgstr "Soubor %1 nelze otevřít."
 msgid "new_parameter"
 msgstr "nový_parametr"
 
-#: uml1model/package.cpp:163
+#: uml1model/package.cpp:169
 #, kde-format
 msgctxt "object name"
 msgid "Name"
 msgstr "Název"
 
-#: uml1model/package.cpp:164
+#: uml1model/package.cpp:170
 #, kde-format
 msgid ""
 "An object with the name %1\n"
@@ -7676,77 +7676,77 @@ msgstr "nové_pole"
 msgid "new_fkey_constraint"
 msgstr ""
 
-#: uml1model/umlobject.cpp:1140
+#: uml1model/umlobject.cpp:1141
 #, kde-format
 msgid "Actor &name:"
 msgstr "&Název účastníka:"
 
-#: uml1model/umlobject.cpp:1143
+#: uml1model/umlobject.cpp:1144
 #, kde-format
 msgid "Artifact &name:"
 msgstr "&Název artefaktu:"
 
-#: uml1model/umlobject.cpp:1146
+#: uml1model/umlobject.cpp:1147
 #, kde-format
 msgid "Association &name:"
 msgstr "&Název asociace"
 
-#: uml1model/umlobject.cpp:1149
+#: uml1model/umlobject.cpp:1150
 #, kde-format
 msgid "Class &name:"
 msgstr "&Název třídy:"
 
-#: uml1model/umlobject.cpp:1152
+#: uml1model/umlobject.cpp:1153
 #, kde-format
 msgid "Component &name:"
 msgstr "&Název komponenty:"
 
-#: uml1model/umlobject.cpp:1155
+#: uml1model/umlobject.cpp:1156
 #, kde-format
 msgid "Datatype &name:"
 msgstr "&Název datového typu:"
 
-#: uml1model/umlobject.cpp:1158
+#: uml1model/umlobject.cpp:1159
 #, kde-format
 msgid "Entity &name:"
 msgstr "&Název entity:"
 
-#: uml1model/umlobject.cpp:1161
+#: uml1model/umlobject.cpp:1162
 #, kde-format
 msgid "Enum &name:"
 msgstr "&Název výčtu:"
 
-#: uml1model/umlobject.cpp:1164
+#: uml1model/umlobject.cpp:1165
 #, kde-format
 msgid "Folder &name:"
 msgstr "&Název složky:"
 
-#: uml1model/umlobject.cpp:1167
+#: uml1model/umlobject.cpp:1168
 #, kde-format
 msgid "Interface &name:"
 msgstr "&Název rozhraní:"
 
-#: uml1model/umlobject.cpp:1170
+#: uml1model/umlobject.cpp:1171
 #, kde-format
 msgid "Node &name:"
 msgstr "&Název uzlu:"
 
-#: uml1model/umlobject.cpp:1173
+#: uml1model/umlobject.cpp:1174
 #, kde-format
 msgid "Package &name:"
 msgstr "&Název balíčku:"
 
-#: uml1model/umlobject.cpp:1176
+#: uml1model/umlobject.cpp:1177
 #, kde-format
 msgid "Port &name:"
 msgstr "&Název portu:"
 
-#: uml1model/umlobject.cpp:1182
+#: uml1model/umlobject.cpp:1183
 #, kde-format
 msgid "Use case &name:"
 msgstr "Název případu užití:"
 
-#: uml1model/umlobject.cpp:1185
+#: uml1model/umlobject.cpp:1186
 #, kde-format
 msgid "Instance name:"
 msgstr "Název instance:"
@@ -7766,42 +7766,42 @@ msgstr "&Stereotypy"
 msgid "Welcome"
 msgstr "Vítejte"
 
-#: umldoc.cpp:112 umldoc.cpp:2400 umldoc.cpp:2428
+#: umldoc.cpp:113 umldoc.cpp:2405 umldoc.cpp:2433
 #, kde-format
 msgid "UML Model"
 msgstr "UML model"
 
-#: umldoc.cpp:154
+#: umldoc.cpp:155
 #, kde-format
 msgid "Logical View"
 msgstr "Logický pohled"
 
-#: umldoc.cpp:155
+#: umldoc.cpp:156
 #, kde-format
 msgid "Use Case View"
 msgstr "Pohled případu užití"
 
-#: umldoc.cpp:156
+#: umldoc.cpp:157
 #, kde-format
 msgid "Component View"
 msgstr "Komponentový pohled"
 
-#: umldoc.cpp:157
+#: umldoc.cpp:158
 #, kde-format
 msgid "Deployment View"
 msgstr "Pohled nasazení"
 
-#: umldoc.cpp:158
+#: umldoc.cpp:159
 #, kde-format
 msgid "Entity Relationship Model"
 msgstr ""
 
-#: umldoc.cpp:184
+#: umldoc.cpp:185
 #, kde-format
 msgid "Datatypes"
 msgstr "Datové typy"
 
-#: umldoc.cpp:363
+#: umldoc.cpp:364
 #, kde-format
 msgid ""
 "The current file has been modified.\n"
@@ -7810,166 +7810,166 @@ msgstr ""
 "Současný soubor byl změněn.\n"
 "Přejete si jej uložit?"
 
-#: umldoc.cpp:364
+#: umldoc.cpp:365
 #, kde-format
 msgctxt "warning message"
 msgid "Warning"
 msgstr "Varování"
 
-#: umldoc.cpp:529
+#: umldoc.cpp:530
 #, kde-format
 msgid "The file <%1> does not exist."
 msgstr "Soubor <%1> neexistuje."
 
-#: umldoc.cpp:541
+#: umldoc.cpp:542
 #, kde-format
 msgid "The file %1 does not exist."
 msgstr "Soubor %1 neexistuje."
 
-#: umldoc.cpp:568 umldoc.cpp:570
+#: umldoc.cpp:569 umldoc.cpp:571
 #, kde-format
 msgid "The file %1 seems to be corrupted."
 msgstr "Soubor %1 je poškozen."
 
-#: umldoc.cpp:619 umldoc.cpp:622 umldoc.cpp:637 umldoc.cpp:640 umldoc.cpp:683
-#: umldoc.cpp:686
+#: umldoc.cpp:620 umldoc.cpp:623 umldoc.cpp:638 umldoc.cpp:641 umldoc.cpp:684
+#: umldoc.cpp:687
 #, kde-format
 msgid "There was no XMI file found in the compressed file %1."
 msgstr "Nebyl nalezen žádný soubor XMI v archivu %1."
 
-#: umldoc.cpp:664 umldoc.cpp:667
+#: umldoc.cpp:665 umldoc.cpp:668
 #, kde-format
 msgid "There was a problem loading the extracted file: %1"
 msgstr "Nastala chyba při načítání souboru: %1"
 
-#: umldoc.cpp:701 umldoc.cpp:704 umldoc.cpp:744 umldoc.cpp:746
+#: umldoc.cpp:702 umldoc.cpp:705 umldoc.cpp:745 umldoc.cpp:747
 #, kde-format
 msgid "There was a problem loading file: %1"
 msgstr "Nastala chyba při načítání souboru: %1"
 
-#: umldoc.cpp:749
+#: umldoc.cpp:750
 #, kde-format
 msgid "Reason: %1"
 msgstr "Příčina: %1"
 
-#: umldoc.cpp:832 umldoc.cpp:834 umldoc.cpp:851 umldoc.cpp:853 umldoc.cpp:873
-#: umldoc.cpp:875 umldoc.cpp:924 umldoc.cpp:926 umldoc.cpp:966 umldoc.cpp:969
-#: umldoc.cpp:978 umldoc.cpp:980 umllistview.cpp:593
+#: umldoc.cpp:833 umldoc.cpp:835 umldoc.cpp:852 umldoc.cpp:854 umldoc.cpp:874
+#: umldoc.cpp:876 umldoc.cpp:925 umldoc.cpp:927 umldoc.cpp:968 umldoc.cpp:971
+#: umldoc.cpp:980 umldoc.cpp:982 umllistview.cpp:594
 #, kde-format
 msgid "Save Error"
 msgstr "Chyba při ukládání"
 
-#: umldoc.cpp:832 umldoc.cpp:851 umldoc.cpp:873 umldoc.cpp:924 umldoc.cpp:966
+#: umldoc.cpp:833 umldoc.cpp:852 umldoc.cpp:874 umldoc.cpp:925 umldoc.cpp:968
 #, kde-format
 msgid "There was a problem saving: %1"
 msgstr "Nastala chyba při ukládání: %1"
 
-#: umldoc.cpp:834 umldoc.cpp:853 umldoc.cpp:875 umldoc.cpp:926 umldoc.cpp:969
-#: umllistview.cpp:592 umlviewimageexportermodel.cpp:303
+#: umldoc.cpp:835 umldoc.cpp:854 umldoc.cpp:876 umldoc.cpp:927 umldoc.cpp:971
+#: umllistview.cpp:593 umlviewimageexportermodel.cpp:303
 #, kde-format
 msgid "There was a problem saving file: %1"
 msgstr "Nastala chyba při ukládání souboru: %1"
 
-#: umldoc.cpp:978
+#: umldoc.cpp:980
 #, kde-format
 msgid "There was a problem uploading: %1"
 msgstr "Nastala chyba při odesílání: %1"
 
-#: umldoc.cpp:980
+#: umldoc.cpp:982
 #, kde-format
 msgid "There was a problem uploading file: %1"
 msgstr "Nastala chyba při zpětném načítání souboru: %1"
 
-#: umldoc.cpp:1526
+#: umldoc.cpp:1528
 #, kde-format
 msgid "use case diagram"
 msgstr "Diagram případů užití"
 
-#: umldoc.cpp:1529
+#: umldoc.cpp:1531
 #, kde-format
 msgid "class diagram"
 msgstr "Diagram třídy"
 
-#: umldoc.cpp:1532
+#: umldoc.cpp:1534
 #, kde-format
 msgid "sequence diagram"
 msgstr "sekvenční diagram"
 
-#: umldoc.cpp:1535
+#: umldoc.cpp:1537
 #, kde-format
 msgid "communication diagram"
 msgstr "Diagram komunikace"
 
-#: umldoc.cpp:1538
+#: umldoc.cpp:1540
 #, kde-format
 msgid "object diagram"
 msgstr ""
 
-#: umldoc.cpp:1541
+#: umldoc.cpp:1543
 #, kde-format
 msgid "state diagram"
 msgstr "stavový diagram"
 
-#: umldoc.cpp:1544
+#: umldoc.cpp:1546
 #, kde-format
 msgid "activity diagram"
 msgstr "Diagram aktivit"
 
-#: umldoc.cpp:1547
+#: umldoc.cpp:1549
 #, kde-format
 msgid "component diagram"
 msgstr "Diagram komponent"
 
-#: umldoc.cpp:1550
+#: umldoc.cpp:1552
 #, kde-format
 msgid "deployment diagram"
 msgstr "Diagram nasazení"
 
-#: umldoc.cpp:1553
+#: umldoc.cpp:1555
 #, kde-format
 msgid "entity relationship diagram"
 msgstr ""
 
-#: umldoc.cpp:1623
+#: umldoc.cpp:1625
 #, kde-format
 msgctxt "diagram name"
 msgid "Name"
 msgstr "Název"
 
-#: umldoc.cpp:1623 umldoc.cpp:1686 umldoc.cpp:1715 umldoc.cpp:1749
+#: umldoc.cpp:1625 umldoc.cpp:1688 umldoc.cpp:1717 umldoc.cpp:1751
 #, kde-format
 msgid "Enter name:"
 msgstr "Zadejte název:"
 
-#: umldoc.cpp:1627 umldoc.cpp:1692
+#: umldoc.cpp:1629 umldoc.cpp:1694
 #, kde-format
 msgid "That is an invalid name for a diagram."
 msgstr "Neplatný název pro diagram."
 
-#: umldoc.cpp:1629 umldoc.cpp:1699
+#: umldoc.cpp:1631 umldoc.cpp:1701
 #, kde-format
 msgid "A diagram is already using that name."
 msgstr "Diagram již používá tento název."
 
-#: umldoc.cpp:1685
+#: umldoc.cpp:1687
 #, kde-format
 msgctxt "renaming diagram"
 msgid "Name"
 msgstr "Název"
 
-#: umldoc.cpp:1714
+#: umldoc.cpp:1716
 #, kde-format
 msgctxt "renaming uml object"
 msgid "Name"
 msgstr "Název"
 
-#: umldoc.cpp:1748
+#: umldoc.cpp:1750
 #, kde-format
 msgctxt "renaming child uml object"
 msgid "Name"
 msgstr "Název"
 
-#: umldoc.cpp:1758
+#: umldoc.cpp:1760
 #, kde-format
 msgid ""
 "The name you entered was not unique.\n"
@@ -7978,124 +7978,124 @@ msgstr ""
 "Zadaný název není jedinečný.\n"
 "Opravdu jste toto chtěli?"
 
-#: umldoc.cpp:1759
+#: umldoc.cpp:1761
 #, kde-format
 msgid "Use Name"
 msgstr "Použít název"
 
-#: umldoc.cpp:1759
+#: umldoc.cpp:1761
 #, kde-format
 msgid "Enter New Name"
 msgstr "Zadejte nový název:"
 
-#: umldoc.cpp:2361
+#: umldoc.cpp:2366
 #, kde-format
 msgid "Unsupported xmi file version: %1"
 msgstr ""
 
-#: umldoc.cpp:2511
+#: umldoc.cpp:2516
 #, kde-format
 msgid "Setting up the document..."
 msgstr "Nastavuji dokument..."
 
-#: umldoc.cpp:2540
+#: umldoc.cpp:2545
 #, kde-format
 msgid "Resolving object references..."
 msgstr ""
 
-#: umldoc.cpp:2648
+#: umldoc.cpp:2653
 #, kde-format
 msgid "Loading UML elements..."
 msgstr "Načítání prvků UML...."
 
-#: umldoc.cpp:2892
+#: umldoc.cpp:2899
 #, kde-format
 msgid "Loading diagrams..."
 msgstr "Načítání diagramů..."
 
-#: umldoc.cpp:3400
+#: umldoc.cpp:3409
 #, kde-format
 msgid "/autosave%1"
 msgstr "/autosave%1"
 
-#: umllistview.cpp:536 umllistview.cpp:540
+#: umllistview.cpp:537 umllistview.cpp:541
 #, kde-format
 msgid "Externalize Folder"
 msgstr ""
 
-#: umllistview.cpp:574
+#: umllistview.cpp:575
 #, kde-format
 msgid "Folder %1 must be relative to the main model directory, %2."
 msgstr ""
 
-#: umllistview.cpp:575
+#: umllistview.cpp:576
 #, kde-format
 msgid "Path Error"
 msgstr ""
 
-#: umllistview.cpp:583
+#: umllistview.cpp:584
 #, kde-format
 msgid ""
 "File %1 already exists!\n"
 "The existing file will be overwritten."
 msgstr ""
 
-#: umllistview.cpp:584
+#: umllistview.cpp:585
 #, kde-format
 msgid "File Exist"
 msgstr "Soubor existuje"
 
-#: umllistview.cpp:624
+#: umllistview.cpp:625
 #, kde-format
 msgid "Enter Model Name"
 msgstr "Zadejte název modelu"
 
-#: umllistview.cpp:625
+#: umllistview.cpp:626
 #, kde-format
 msgid "Enter the new name of the model:"
 msgstr "Zadejte nový název modelu:"
 
-#: umllistview.cpp:1422
+#: umllistview.cpp:1430
 #, kde-format
 msgid "Views"
 msgstr "Pohledy"
 
-#: umllistview.cpp:1441
+#: umllistview.cpp:1449
 #, kde-format
 msgid "Settings"
 msgstr "Nastavení"
 
-#: umllistview.cpp:2413
+#: umllistview.cpp:2421
 #, kde-format
 msgid "Loading listview..."
 msgstr ""
 
-#: umllistview.cpp:2764
+#: umllistview.cpp:2772
 #, kde-format
 msgid "The class must be emptied before it can be deleted."
 msgstr ""
 
-#: umllistview.cpp:2765
+#: umllistview.cpp:2773
 #, kde-format
 msgid "Class Not Empty"
 msgstr ""
 
-#: umllistview.cpp:2769
+#: umllistview.cpp:2777
 #, kde-format
 msgid "The package must be emptied before it can be deleted."
 msgstr ""
 
-#: umllistview.cpp:2770
+#: umllistview.cpp:2778
 #, kde-format
 msgid "Package Not Empty"
 msgstr ""
 
-#: umllistview.cpp:2774
+#: umllistview.cpp:2782
 #, kde-format
 msgid "The folder must be emptied before it can be deleted."
 msgstr "Složka musí být napřed vyprázdněna, než bude smazána."
 
-#: umllistview.cpp:2775
+#: umllistview.cpp:2783
 #, kde-format
 msgid "Folder Not Empty"
 msgstr "Složka není prázdná"
diff -pruN 4:20.08.3-1/po/da/umbrello.po 4:20.12.0-0ubuntu1/po/da/umbrello.po
--- 4:20.08.3-1/po/da/umbrello.po	2020-11-03 00:42:15.000000000 +0000
+++ 4:20.12.0-0ubuntu1/po/da/umbrello.po	2020-12-04 00:21:29.000000000 +0000
@@ -9,7 +9,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: umbrello\n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
-"POT-Creation-Date: 2020-08-14 08:09+0200\n"
+"POT-Creation-Date: 2020-11-06 02:36+0100\n"
 "PO-Revision-Date: 2018-03-03 17:38+0200\n"
 "Last-Translator: scootergrisen\n"
 "Language-Team: Danish\n"
@@ -210,7 +210,7 @@ msgstr ""
 "element med samme navn allerede eksisterer. Alle andre elementer er blevet "
 "indsat."
 
-#: clipboard/umlclipboard.cpp:753 uml.cpp:1689
+#: clipboard/umlclipboard.cpp:753 uml.cpp:1698
 #, kde-format
 msgid "Paste Error"
 msgstr "Indsætningsfejl"
@@ -436,7 +436,7 @@ msgstr "<p align=\"center\">C++ Kodegene
 #. i18n: ectx: attribute (title), widget (QWidget, ui_tabGeneral)
 #: codegenerators/cpp/cppcodegenerationformbase.ui:51
 #: codegenwizard/codegenoptionspage.ui:39 dialogs/objectnodedialog.cpp:135
-#: umllistview.cpp:1451
+#: umllistview.cpp:1459
 #, kde-format
 msgid "General"
 msgstr "Generelt"
@@ -1315,7 +1315,7 @@ msgstr "Status"
 #. i18n: ectx: property (text), widget (QRadioButton, ui_categoryClass)
 #. i18n: ectx: property (text), widget (QTableWidget, ui_tableWidgetStatus)
 #: codegenwizard/codegenstatuspage.ui:40 codeimpwizard/codeimpstatuspage.ui:54
-#: dialogs/finddialog.ui:89 umllistview.cpp:1446 umlwidgets/widgetbase.cpp:1255
+#: dialogs/finddialog.ui:89 umllistview.cpp:1454 umlwidgets/widgetbase.cpp:1255
 #, kde-format
 msgid "Class"
 msgstr "Klasse"
@@ -1970,18 +1970,18 @@ msgstr ""
 msgid "Enable 'delete diagram' related messages"
 msgstr ""
 
-#: dialogs/dialog_utils.cpp:117
+#: dialogs/dialog_utils.cpp:118
 #, kde-format
 msgid "You are about to delete an association. Do you really want to continue?"
 msgstr ""
 
-#: dialogs/dialog_utils.cpp:118
+#: dialogs/dialog_utils.cpp:119
 #, fuzzy, kde-format
 #| msgid "Self Association"
 msgid "Delete Association"
 msgstr "Selv-association"
 
-#: dialogs/dialog_utils.cpp:132
+#: dialogs/dialog_utils.cpp:133
 #, kde-format
 msgid ""
 "You are about to delete the entire diagram.\n"
@@ -1990,17 +1990,17 @@ msgstr ""
 "Du er ved at slette hele diagrammet.\n"
 "Er du sikker?"
 
-#: dialogs/dialog_utils.cpp:133
+#: dialogs/dialog_utils.cpp:134
 #, kde-format
 msgid "Are you sure you want to delete diagram %1?"
 msgstr "Er du sikker på at du ønsker at slette diagram %1?"
 
-#: dialogs/dialog_utils.cpp:138
+#: dialogs/dialog_utils.cpp:139
 #, kde-format
 msgid "Delete Diagram?"
 msgstr "Slet diagram?"
 
-#: dialogs/dialog_utils.cpp:139 dialogs/pages/classifierlistpage.cpp:215
+#: dialogs/dialog_utils.cpp:140 dialogs/pages/classifierlistpage.cpp:215
 #: dialogs/pages/classifierlistpage.cpp:223
 #: dialogs/umlforeignkeyconstraintdialog.cpp:325
 #: dialogs/umlforeignkeyconstraintdialog.cpp:331
@@ -2165,7 +2165,7 @@ msgstr "Generelt"
 #. i18n: ectx: label, entry (uiFont), group (UI Options)
 #. i18n: ectx: label, entry (codeViewerFont), group (Code Viewer Options)
 #: dialogs/multipagedialogbase.cpp:405 umbrello.kcfg:177 umbrello.kcfg:292
-#: umllistview.cpp:1450
+#: umllistview.cpp:1458
 #, kde-format
 msgid "Font"
 msgstr "Skrifttype"
@@ -2600,7 +2600,7 @@ msgstr "N&y instansattribut..."
 
 #: dialogs/pages/classifierlistpage.cpp:217
 #: dialogs/pages/classifierlistpage.cpp:225 dialogs/umloperationdialog.cpp:167
-#: dialogs/umloperationdialog.cpp:175 uml.cpp:554
+#: dialogs/umloperationdialog.cpp:175 uml.cpp:563
 #, kde-format
 msgid "&Properties"
 msgstr "&Egenskaber"
@@ -2618,7 +2618,7 @@ msgid "Source Code"
 msgstr "Kildekode"
 
 #: dialogs/pages/classoptionspage.cpp:157
-#: dialogs/pages/classoptionspage.cpp:251 uml.cpp:509
+#: dialogs/pages/classoptionspage.cpp:251 uml.cpp:518
 #, kde-format
 msgid "&Documentation"
 msgstr "&Dokumentation"
@@ -2808,8 +2808,8 @@ msgstr "Navnet du har indtastet er ugyld
 #: uml1model/classifier.cpp:410 uml1model/classifier.cpp:781
 #: uml1model/entity.cpp:125 uml1model/entity.cpp:178 uml1model/entity.cpp:228
 #: uml1model/entity.cpp:277 uml1model/enum.cpp:107 uml1model/instance.cpp:124
-#: uml1model/package.cpp:172 umldoc.cpp:1627 umldoc.cpp:1692 umldoc.cpp:1721
-#: umldoc.cpp:1755
+#: uml1model/package.cpp:178 umldoc.cpp:1629 umldoc.cpp:1694 umldoc.cpp:1723
+#: umldoc.cpp:1757
 #, kde-format
 msgid "Invalid Name"
 msgstr "Ugyldigt navn"
@@ -2819,7 +2819,7 @@ msgstr "Ugyldigt navn"
 msgid "The name you have entered is not unique."
 msgstr "Navnet du har indtastet er ikke entydigt."
 
-#: dialogs/pages/diagrampropertiespage.cpp:86 umldoc.cpp:1759
+#: dialogs/pages/diagrampropertiespage.cpp:86 umldoc.cpp:1761
 #, kde-format
 msgid "Name Not Unique"
 msgstr "Navn ikke entydigt"
@@ -3303,7 +3303,7 @@ msgstr "&Diagram"
 msgid "Umbrello Setup"
 msgstr "Umbrello's opsætning"
 
-#: dialogs/settingsdialog.cpp:114 umllistview.cpp:1452
+#: dialogs/settingsdialog.cpp:114 umllistview.cpp:1460
 #, kde-format
 msgid "User Interface"
 msgstr "Brugergrænseflade"
@@ -3330,7 +3330,7 @@ msgstr "Klasse"
 msgid "Class Settings"
 msgstr "Klasseindstillinger"
 
-#: dialogs/settingsdialog.cpp:137 umllistview.cpp:1447
+#: dialogs/settingsdialog.cpp:137 umllistview.cpp:1455
 #, kde-format
 msgid "Code Importer"
 msgstr "Kodeimportør"
@@ -3340,7 +3340,7 @@ msgstr "Kodeimportør"
 msgid "Code Import Settings"
 msgstr "Indstilling af kodeimport"
 
-#: dialogs/settingsdialog.cpp:146 umllistview.cpp:1448
+#: dialogs/settingsdialog.cpp:146 umllistview.cpp:1456
 #, kde-format
 msgid "Code Generation"
 msgstr "Kodegenerering"
@@ -3350,7 +3350,7 @@ msgstr "Kodegenerering"
 msgid "Code Generation Settings"
 msgstr "Indstilling af kodegenerering"
 
-#: dialogs/settingsdialog.cpp:154 umllistview.cpp:1449
+#: dialogs/settingsdialog.cpp:154 umllistview.cpp:1457
 #, kde-format
 msgid "Code Viewer"
 msgstr "Kode-viser"
@@ -3360,7 +3360,7 @@ msgstr "Kode-viser"
 msgid "Code Viewer Settings"
 msgstr "Indstilling af kodeviser"
 
-#: dialogs/settingsdialog.cpp:161 umllistview.cpp:1445
+#: dialogs/settingsdialog.cpp:161 umllistview.cpp:1453
 #, kde-format
 msgid "Auto Layout"
 msgstr "Autolayout"
@@ -3995,7 +3995,7 @@ msgstr "&Type:"
 msgid "Package path:"
 msgstr "Pakkesti:"
 
-#: dialogs/widgets/umlstereotypewidget.cpp:29 uml1model/umlobject.cpp:1179
+#: dialogs/widgets/umlstereotypewidget.cpp:29 uml1model/umlobject.cpp:1180
 #, kde-format
 msgid "Stereotype &name:"
 msgstr "Stereotype&navn:"
@@ -4141,7 +4141,7 @@ msgstr ""
 msgid "Gael de Chalendar (aka Kleag)"
 msgstr "Gael de Chalendar (aka Kleag)"
 
-#: docgenerators/main.cpp:56 main.cpp:131
+#: docgenerators/main.cpp:56 main.cpp:133
 #, kde-format
 msgid "Umbrello UML Modeller Authors"
 msgstr "Umbrello UML-modellering-forfattere"
@@ -4205,12 +4205,12 @@ msgstr "Aktivér dokumentationsredigerin
 msgid "Apply layout"
 msgstr "Anvend layout"
 
-#: main.cpp:121
+#: main.cpp:123
 #, kde-format
 msgid "Umbrello UML Modeller"
 msgstr "Umbrello UML Modellerer"
 
-#: main.cpp:123
+#: main.cpp:125
 #, kde-format
 msgid ""
 "Umbrello – Visual development environment for software, based on the "
@@ -4221,7 +4221,7 @@ msgstr ""
 "industristandarden Unified Modelling Language (UML).<br/>Se også <a href="
 "\"http://www.omg.org/spec/\">http://www.omg.org/spec/</a>."
 
-#: main.cpp:127
+#: main.cpp:129
 #, fuzzy, kde-format
 #| msgid ""
 #| "Copyright © 2001 Paul Hensgen,\n"
@@ -4233,97 +4233,97 @@ msgstr ""
 "Ophavsret © 2001 Paul Hensgen,\n"
 "Ophavsret © 2002-2016 Umbrello UML-modellering-forfattere"
 
-#: main.cpp:130
+#: main.cpp:132
 #, kde-format
 msgid "Paul Hensgen"
 msgstr "Paul Hensgen"
 
-#: main.cpp:130
+#: main.cpp:132
 #, kde-format
 msgid "Author of initial version."
 msgstr "Forfatter af første version."
 
-#: main.cpp:134
+#: main.cpp:136
 #, kde-format
 msgid "Oliver Kellogg"
 msgstr "Oliver Kellogg"
 
-#: main.cpp:135 main.cpp:138
+#: main.cpp:137 main.cpp:140
 #, kde-format
 msgid "Bug fixing, porting work, code cleanup, new features."
 msgstr "Fejlrettelse, portningsarbejde, kodeoprydning, nye funktioner."
 
-#: main.cpp:137
+#: main.cpp:139
 #, kde-format
 msgid "Ralf Habacker"
 msgstr "Ralf Habacker"
 
-#: main.cpp:140
+#: main.cpp:142
 #, kde-format
 msgid "Andi Fischer"
 msgstr "Andi Fischer"
 
-#: main.cpp:141
+#: main.cpp:143
 #, kde-format
 msgid "Porting work, code cleanup, new features."
 msgstr "Portningsarbejde, kodeoprydning, nye funktioner."
 
-#: main.cpp:143
+#: main.cpp:145
 #, kde-format
 msgid "Jonathan Riddell"
 msgstr "Jonathan Riddell"
 
-#: main.cpp:144
+#: main.cpp:146
 #, kde-format
 msgid "Current maintainer."
 msgstr "Nuværende vedligeholder."
 
-#: main.cpp:146
+#: main.cpp:148
 #, kde-format
 msgid "Brian Thomas"
 msgstr "Brian Thomas"
 
-#: main.cpp:147
+#: main.cpp:149
 #, kde-format
 msgid "A lot of work for C++ and Java code generation. Codeeditor."
 msgstr "Massere af arbejde til C++- og Java-kodegenerering. Kodeeditor."
 
-#: main.cpp:152
+#: main.cpp:154
 #, kde-format
 msgid "File to open"
 msgstr "Fil at åbne"
 
-#: main.cpp:153
+#: main.cpp:155
 #, kde-format
 msgid "export diagrams to extension and exit"
 msgstr "Eksportér diagram med filendelse og afslut"
 
-#: main.cpp:154
+#: main.cpp:156
 #, kde-format
 msgid "list available export extensions"
 msgstr "vis liste over tilgængelige eksport-filendelser"
 
-#: main.cpp:155
+#: main.cpp:157
 #, kde-format
 msgid "the local directory to save the exported diagrams in"
 msgstr "den lokale mappe hvor eksporterede diagrammer skal opbevares"
 
-#: main.cpp:155
+#: main.cpp:157
 #, kde-format
 msgid "the directory of the file"
 msgstr "filens mappe"
 
-#: main.cpp:156
+#: main.cpp:158
 #, kde-format
 msgid "import files"
 msgstr "importér filer"
 
-#: main.cpp:157
+#: main.cpp:159
 #, kde-format
 msgid "list supported languages"
 msgstr "oplist understøttede sprog"
 
-#: main.cpp:158
+#: main.cpp:160
 #, kde-format
 msgid ""
 "keep the tree structure used to store the views in the document in the "
@@ -4332,12 +4332,12 @@ msgstr ""
 "behold træstrukturen som bruges til at opbevare visningerne i dokumentet i "
 "målmappen"
 
-#: main.cpp:159
+#: main.cpp:161
 #, kde-format
 msgid "import files from directory <dir>"
 msgstr "importér filer fra mappen <dir>"
 
-#: main.cpp:163
+#: main.cpp:165
 #, kde-format
 msgid "set active language"
 msgstr "sæt aktivt sprog"
@@ -4607,7 +4607,7 @@ msgstr "Vis dekonstruktion"
 msgid "Import File(s)..."
 msgstr "Importér fil(er)..."
 
-#: menus/listpopupmenu.cpp:201 uml.cpp:356
+#: menus/listpopupmenu.cpp:201 uml.cpp:365
 #, kde-format
 msgid "Import from Directory..."
 msgstr "Importér fra mappe..."
@@ -5122,42 +5122,42 @@ msgctxt "align menu"
 msgid "Align"
 msgstr "Justér"
 
-#: menus/widgetbasepopupmenu.cpp:598 uml.cpp:573
+#: menus/widgetbasepopupmenu.cpp:598 uml.cpp:582
 #, kde-format
 msgid "Align Right"
 msgstr "Justér til højre"
 
-#: menus/widgetbasepopupmenu.cpp:599 uml.cpp:578
+#: menus/widgetbasepopupmenu.cpp:599 uml.cpp:587
 #, kde-format
 msgid "Align Left"
 msgstr "Justér til venstre"
 
-#: menus/widgetbasepopupmenu.cpp:600 uml.cpp:583
+#: menus/widgetbasepopupmenu.cpp:600 uml.cpp:592
 #, kde-format
 msgid "Align Top"
 msgstr "Justér øverst"
 
-#: menus/widgetbasepopupmenu.cpp:601 uml.cpp:588
+#: menus/widgetbasepopupmenu.cpp:601 uml.cpp:597
 #, kde-format
 msgid "Align Bottom"
 msgstr "Justér nederst"
 
-#: menus/widgetbasepopupmenu.cpp:603 uml.cpp:593
+#: menus/widgetbasepopupmenu.cpp:603 uml.cpp:602
 #, kde-format
 msgid "Align Vertical Middle"
 msgstr "Justér lodret i midten"
 
-#: menus/widgetbasepopupmenu.cpp:604 uml.cpp:598
+#: menus/widgetbasepopupmenu.cpp:604 uml.cpp:607
 #, kde-format
 msgid "Align Horizontal Middle"
 msgstr "Justér vandret i midten"
 
-#: menus/widgetbasepopupmenu.cpp:605 uml.cpp:603
+#: menus/widgetbasepopupmenu.cpp:605 uml.cpp:612
 #, kde-format
 msgid "Align Vertical Distribute"
 msgstr "Justér lodret fordeling"
 
-#: menus/widgetbasepopupmenu.cpp:606 uml.cpp:608
+#: menus/widgetbasepopupmenu.cpp:606 uml.cpp:617
 #, kde-format
 msgid "Align Horizontal Distribute"
 msgstr "Justér vandret fordeling"
@@ -6087,8 +6087,8 @@ msgstr "Anvendelse"
 #: object_factory.cpp:251 uml1model/classifier.cpp:410
 #: uml1model/classifier.cpp:781 uml1model/entity.cpp:125
 #: uml1model/entity.cpp:178 uml1model/entity.cpp:228 uml1model/entity.cpp:277
-#: uml1model/enum.cpp:107 uml1model/instance.cpp:124 uml1model/package.cpp:171
-#: umldoc.cpp:1721 umldoc.cpp:1755
+#: uml1model/enum.cpp:107 uml1model/instance.cpp:124 uml1model/package.cpp:177
+#: umldoc.cpp:1723 umldoc.cpp:1757
 #, kde-format
 msgid "That is an invalid name."
 msgstr "Det er et ugyldigt navn."
@@ -6108,7 +6108,7 @@ msgstr "Reserveret nøgleord"
 #: object_factory.cpp:264 uml1model/classifier.cpp:413
 #: uml1model/classifier.cpp:783 uml1model/entity.cpp:127
 #: uml1model/entity.cpp:180 uml1model/entity.cpp:230 uml1model/entity.cpp:279
-#: uml1model/instance.cpp:126 umldoc.cpp:1727 umldoc.cpp:1764
+#: uml1model/instance.cpp:126 umldoc.cpp:1729 umldoc.cpp:1766
 #, kde-format
 msgid "That name is already being used."
 msgstr "Det navn er allerede i brug."
@@ -6116,8 +6116,8 @@ msgstr "Det navn er allerede i brug."
 #: object_factory.cpp:265 uml1model/classifier.cpp:413
 #: uml1model/classifier.cpp:783 uml1model/entity.cpp:127
 #: uml1model/entity.cpp:180 uml1model/entity.cpp:230 uml1model/entity.cpp:279
-#: uml1model/instance.cpp:126 umldoc.cpp:1629 umldoc.cpp:1699 umldoc.cpp:1727
-#: umldoc.cpp:1764
+#: uml1model/instance.cpp:126 umldoc.cpp:1631 umldoc.cpp:1701 umldoc.cpp:1729
+#: umldoc.cpp:1766
 #, kde-format
 msgid "Not a Unique Name"
 msgstr "Ikke et entydigt navn"
@@ -6178,12 +6178,12 @@ msgstr "En attribut med det navn findes
 msgid "Choose a different name."
 msgstr "Vælg et andet navn."
 
-#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:266
+#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:273
 #, kde-format
 msgid "Incorrect use of associations."
 msgstr "Forkert brug af associationer."
 
-#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:266
+#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:273
 #, kde-format
 msgid "Association Error"
 msgstr "Associationsfejl"
@@ -7348,188 +7348,188 @@ msgstr "Aktivt s&prog"
 msgid "&Settings"
 msgstr "&Indstillinger"
 
-#: uml.cpp:332
+#: uml.cpp:341
 #, kde-format
 msgid "&Export model to DocBook"
 msgstr "&Eksportér model til Docbook"
 
-#: uml.cpp:336
+#: uml.cpp:345
 #, kde-format
 msgid "&Export model to XHTML"
 msgstr "&Eksportér model til XHTML"
 
-#: uml.cpp:340
+#: uml.cpp:349
 #, kde-format
 msgid "&New Class Wizard..."
 msgstr "&Ny klasse guide..."
 
-#: uml.cpp:344
+#: uml.cpp:353
 #, kde-format
 msgid "&Add Default Datatypes for Active Language"
 msgstr "&Tilføj standard-datatyper til aktivt sprog"
 
-#: uml.cpp:351
+#: uml.cpp:360
 #, kde-format
 msgid "Code &Importing Wizard..."
 msgstr "Guide til kode&import..."
 
-#: uml.cpp:361
+#: uml.cpp:370
 #, kde-format
 msgid "&Code Generation Wizard..."
 msgstr "&Kodegenereringsguide..."
 
-#: uml.cpp:366
+#: uml.cpp:375
 #, kde-format
 msgid "&Generate All Code"
 msgstr "&Generér al kode"
 
-#: uml.cpp:411
+#: uml.cpp:420
 #, kde-format
 msgid "Creates a new document"
 msgstr "Opretter et nyt dokument"
 
-#: uml.cpp:412
+#: uml.cpp:421
 #, kde-format
 msgid "Opens an existing document"
 msgstr "Åbner et eksisterende dokument"
 
-#: uml.cpp:413
+#: uml.cpp:422
 #, kde-format
 msgid "Opens a recently used file"
 msgstr "Åbner en nyligt brugt fil"
 
-#: uml.cpp:414
+#: uml.cpp:423
 #, kde-format
 msgid "Saves the document"
 msgstr "Gemmer dokumentet"
 
-#: uml.cpp:415
+#: uml.cpp:424
 #, kde-format
 msgid "Saves the document as..."
 msgstr "Gemmer dokumentet som..."
 
-#: uml.cpp:416
+#: uml.cpp:425
 #, kde-format
 msgid "Closes the document"
 msgstr "Lukker dokumentet"
 
-#: uml.cpp:417
+#: uml.cpp:426
 #, kde-format
 msgid "Prints out the document"
 msgstr "Udskriver dokumentet"
 
-#: uml.cpp:418
+#: uml.cpp:427
 #, kde-format
 msgid "Print Preview of the document"
 msgstr "Vis udskrift for dokumentet"
 
-#: uml.cpp:419
+#: uml.cpp:428
 #, kde-format
 msgid "Quits the application"
 msgstr "Afslutter programmet"
 
-#: uml.cpp:420
+#: uml.cpp:429
 #, kde-format
 msgid "Exports the model to the docbook format"
 msgstr "Eksporterer modellen til docbook-format"
 
-#: uml.cpp:421
+#: uml.cpp:430
 #, kde-format
 msgid "Exports the model to the XHTML format"
 msgstr "Eksporterer modellen til XHTML-format"
 
-#: uml.cpp:422
+#: uml.cpp:431
 #, kde-format
 msgid "Cuts the selected section and puts it to the clipboard"
 msgstr "Udklipper det markerede udvalg og lægger det i udklipsholderen"
 
-#: uml.cpp:423
+#: uml.cpp:432
 #, kde-format
 msgid "Copies the selected section to the clipboard"
 msgstr "Kopierer den valgte sektion til udklipsholderen"
 
-#: uml.cpp:424
+#: uml.cpp:433
 #, kde-format
 msgid "Pastes the contents of the clipboard"
 msgstr "Indsætter indholdet af udklipsholderen"
 
-#: uml.cpp:425
+#: uml.cpp:434
 #, kde-format
 msgid "Set the default program preferences"
 msgstr "Sæt programmets standardindstillinger"
 
-#: uml.cpp:429
+#: uml.cpp:438
 #, kde-format
 msgctxt "delete selected widget"
 msgid "Delete &Selected"
 msgstr "Slet &markerede"
 
-#: uml.cpp:440
+#: uml.cpp:449
 #, kde-format
 msgid "&Class Diagram..."
 msgstr "&Klassediagram..."
 
-#: uml.cpp:447
+#: uml.cpp:456
 #, kde-format
 msgid "&Object Diagram..."
 msgstr "&Objektdiagram..."
 
-#: uml.cpp:454
+#: uml.cpp:463
 #, kde-format
 msgid "&Sequence Diagram..."
 msgstr "&Sekvensdiagram..."
 
-#: uml.cpp:460
+#: uml.cpp:469
 #, kde-format
 msgid "C&ommunication Diagram..."
 msgstr "&Kommunikationsdiagram..."
 
-#: uml.cpp:466
+#: uml.cpp:475
 #, kde-format
 msgid "&Use Case Diagram..."
 msgstr "&Brugsmønster-diagram..."
 
-#: uml.cpp:472
+#: uml.cpp:481
 #, kde-format
 msgid "S&tate Diagram..."
 msgstr "T&ilstandsdiagram..."
 
-#: uml.cpp:478
+#: uml.cpp:487
 #, kde-format
 msgid "&Activity Diagram..."
 msgstr "&Aktivitetsdiagram..."
 
-#: uml.cpp:484
+#: uml.cpp:493
 #, kde-format
 msgid "Co&mponent Diagram..."
 msgstr "Ko&mponentdiagram..."
 
-#: uml.cpp:490
+#: uml.cpp:499
 #, kde-format
 msgid "&Deployment Diagram..."
 msgstr "&Udførselsdiagram..."
 
-#: uml.cpp:496
+#: uml.cpp:505
 #, kde-format
 msgid "&Entity Relationship Diagram..."
 msgstr "&E/R-diagram..."
 
-#: uml.cpp:501 uml.cpp:954
+#: uml.cpp:510 uml.cpp:963
 #, kde-format
 msgid "&Tree View"
 msgstr "&Trævisning"
 
-#: uml.cpp:505
+#: uml.cpp:514
 #, kde-format
 msgid "&Debugging"
 msgstr "&Fejlretning"
 
-#: uml.cpp:513
+#: uml.cpp:522
 #, kde-format
 msgid "&Logging"
 msgstr "&Logning"
 
-#: uml.cpp:517
+#: uml.cpp:526
 #, kde-format
 msgid "&Command history"
 msgstr "&Kommandohistorik"
@@ -7538,135 +7538,135 @@ msgstr "&Kommandohistorik"
 #. m_propertyDock->setObjectName(QLatin1String("PropertyDock"));
 #. addDockWidget(Qt::LeftDockWidgetArea, m_propertyDock);  //:TODO:
 #. create the bird's eye view
-#: uml.cpp:521 uml.cpp:1011
+#: uml.cpp:530 uml.cpp:1020
 #, kde-format
 msgid "&Bird's eye view"
 msgstr "&Fugleperspektiv"
 
-#: uml.cpp:526
+#: uml.cpp:535
 #, kde-format
 msgid "&Clear Diagram"
 msgstr "&Ryd diagram"
 
-#: uml.cpp:530
+#: uml.cpp:539
 #, kde-format
 msgid "&Snap to Grid"
 msgstr "&Hæng på gitteret"
 
-#: uml.cpp:534
+#: uml.cpp:543
 #, kde-format
 msgid "S&how Grid"
 msgstr "&Vis gitter"
 
-#: uml.cpp:539
+#: uml.cpp:548
 #, kde-format
 msgid "&Delete Diagram"
 msgstr "&Slet diagram"
 
-#: uml.cpp:544
+#: uml.cpp:553
 #, kde-format
 msgid "&Export as Picture..."
 msgstr "&Eksportér som billede..."
 
-#: uml.cpp:549
+#: uml.cpp:558
 #, kde-format
 msgid "Export &Diagrams as Pictures..."
 msgstr "Eksportér &diagrammer som billeder..."
 
-#: uml.cpp:569
+#: uml.cpp:578
 #, kde-format
 msgid "Z&oom to 100%"
 msgstr "F&orstør til 100%"
 
-#: uml.cpp:612
+#: uml.cpp:621
 #, kde-format
 msgid "&Move Tab Left"
 msgstr "Flyt faneblad til &venstre"
 
-#: uml.cpp:613
+#: uml.cpp:622
 #, kde-format
 msgid "&Move Tab Right"
 msgstr "Flyt faneblad til &højre"
 
-#: uml.cpp:636
+#: uml.cpp:645
 #, kde-format
 msgid "Select Diagram on Left"
 msgstr "Vælg diagram til venstre"
 
-#: uml.cpp:637
+#: uml.cpp:646
 #, kde-format
 msgid "Select Diagram on Right"
 msgstr "Vælg diagram til højre"
 
-#: uml.cpp:776
+#: uml.cpp:785
 #, kde-format
 msgctxt "%1 percent value from 20 to 500"
 msgid " &%1%"
 msgstr " &%1 %"
 
-#: uml.cpp:826
+#: uml.cpp:835
 #, kde-format
 msgctxt "init status bar"
 msgid "Ready"
 msgstr "Klar"
 
-#: uml.cpp:835 uml.cpp:848
+#: uml.cpp:844 uml.cpp:857
 #, kde-format
 msgid "100%"
 msgstr "100 %"
 
-#: uml.cpp:840
+#: uml.cpp:849
 #, kde-format
 msgid "Fit"
 msgstr "Tilpas"
 
-#: uml.cpp:899
+#: uml.cpp:908
 #, kde-format
 msgid "Diagram Toolbar"
 msgstr "Diagram-værktøjsfarve"
 
-#: uml.cpp:965
+#: uml.cpp:974
 #, kde-format
 msgid "Doc&umentation"
 msgstr "Dok&umentation"
 
-#: uml.cpp:976
+#: uml.cpp:985
 #, kde-format
 msgid "Co&mmand history"
 msgstr "Ko&mmandohistorik"
 
-#: uml.cpp:992
+#: uml.cpp:1001
 #, kde-format
 msgid "&Debug"
 msgstr "&Fejlret"
 
-#: uml.cpp:999
+#: uml.cpp:1008
 #, kde-format
 msgid "&Log"
 msgstr "&Log"
 
-#: uml.cpp:1041 uml.cpp:1258 uml.cpp:1307
+#: uml.cpp:1050 uml.cpp:1267 uml.cpp:1316
 #, kde-format
 msgid "Opening file..."
 msgstr "Åbner fil..."
 
-#: uml.cpp:1092 uml.cpp:1157 uml.cpp:1342 umldoc.cpp:342 umldoc.cpp:344
-#: umldoc.cpp:368 umldoc.cpp:3396
+#: uml.cpp:1101 uml.cpp:1166 uml.cpp:1351 umldoc.cpp:343 umldoc.cpp:345
+#: umldoc.cpp:369 umldoc.cpp:3405
 #, kde-format
 msgid "Untitled"
 msgstr "Unavngivet"
 
-#: uml.cpp:1240
+#: uml.cpp:1249
 #, kde-format
 msgid "Creating new document..."
 msgstr "Opretter nyt dokument..."
 
-#: uml.cpp:1266 uml.cpp:1281
+#: uml.cpp:1275 uml.cpp:1290
 #, kde-format
 msgid "Open File"
 msgstr "Åbn fil"
 
-#: uml.cpp:1270
+#: uml.cpp:1279
 #, kde-format
 msgid ""
 "*.xmi *.xmi.tgz *.xmi.tar.bz2 *.mdl *.zargo|All Supported Files (*.xmi, *."
@@ -7685,22 +7685,22 @@ msgstr ""
 "*.mdl|Rose-model-filer (*.mdl)\n"
 "*.zargo|Komprimerede argo-filer (*.zargo)\n"
 
-#: uml.cpp:1341
+#: uml.cpp:1350
 #, kde-format
 msgid "Saving file..."
 msgstr "Gemmer fil..."
 
-#: uml.cpp:1358
+#: uml.cpp:1367
 #, kde-format
 msgid "Saving file with a new filename..."
 msgstr "Gemmer fil med nyt filnavn..."
 
-#: uml.cpp:1368 uml.cpp:1374 umlviewimageexporter.cpp:199
+#: uml.cpp:1377 uml.cpp:1383 umlviewimageexporter.cpp:199
 #, kde-format
 msgid "Save As"
 msgstr "Gem som"
 
-#: uml.cpp:1369
+#: uml.cpp:1378
 #, kde-format
 msgid ""
 "*.xmi | XMI File (*.xmi);;*.xmi.tgz | Gzip Compressed XMI File (*.xmi.tgz);;"
@@ -7709,7 +7709,7 @@ msgstr ""
 "*.xmi | XMI-fil (*.xmi);;*.xmi.tgz | Gzip-komprimeret XMI-fil (*.xmi.tgz);;*."
 "xmi.tar.bz2 | Bzip2-komprimeret XMI-fil (*.xmi.tar.bz2);;* | Alle filer (*)"
 
-#: uml.cpp:1374
+#: uml.cpp:1383
 #, kde-format
 msgid ""
 "*.xmi|XMI File\n"
@@ -7722,7 +7722,7 @@ msgstr ""
 "*.xmi.tar.bz2|Bzip2-komprimeret XMI-fil\n"
 "*|Alle filer"
 
-#: uml.cpp:1387
+#: uml.cpp:1396
 #, kde-format
 msgid ""
 "The file %1 exists.\n"
@@ -7731,67 +7731,67 @@ msgstr ""
 "Filen %1 findes.\n"
 "Ønsker du at overskrive den?"
 
-#: uml.cpp:1388
+#: uml.cpp:1397
 #, kde-format
 msgid "Warning"
 msgstr "Advarsel"
 
-#: uml.cpp:1388
+#: uml.cpp:1397
 #, kde-format
 msgid "Overwrite"
 msgstr "Overskriv"
 
-#: uml.cpp:1422
+#: uml.cpp:1431
 #, kde-format
 msgid "Closing file..."
 msgstr "Lukker fil..."
 
-#: uml.cpp:1432
+#: uml.cpp:1441
 #, kde-format
 msgid "No search term entered"
 msgstr "Intet søgeterm indtastet"
 
-#: uml.cpp:1438
+#: uml.cpp:1447
 #, kde-format
 msgid "'%1': %2 found"
 msgstr "'%1': %2 fundet"
 
-#: uml.cpp:1502
+#: uml.cpp:1511
 #, kde-format
 msgid "Print Preview..."
 msgstr "Vis udskrift..."
 
-#: uml.cpp:1529
+#: uml.cpp:1538
 #, kde-format
 msgid "Printing..."
 msgstr "Udskriver..."
 
-#: uml.cpp:1536 uml.cpp:1540
+#: uml.cpp:1545 uml.cpp:1549
 #, kde-format
 msgid "Print %1"
 msgstr "Udskriv %1"
 
-#: uml.cpp:1560
+#: uml.cpp:1569
 #, kde-format
 msgid "Exiting..."
 msgstr "Går ud..."
 
-#: uml.cpp:1647
+#: uml.cpp:1656
 #, kde-format
 msgid "Cutting selection..."
 msgstr "Klipper udvalg ud..."
 
-#: uml.cpp:1670
+#: uml.cpp:1679
 #, kde-format
 msgid "Copying selection to clipboard..."
 msgstr "Kopierer markering til udklipsholderen..."
 
-#: uml.cpp:1682
+#: uml.cpp:1691
 #, kde-format
 msgid "Inserting clipboard contents..."
 msgstr "Indsætter udklipsholderens indhold..."
 
-#: uml.cpp:1687
+#: uml.cpp:1696
 #, kde-format
 msgid ""
 "Umbrello could not paste the clipboard contents.  The objects in the "
@@ -7800,38 +7800,38 @@ msgstr ""
 "Umbrello kunne ikke indsætte udklipsholderens indhold. Objekterne i "
 "udklipsholderen er måske af forkert type til at blive indsat her."
 
-#: uml.cpp:1713 umlviewimageexporter.cpp:92 umlviewimageexporterall.cpp:123
+#: uml.cpp:1722 umlviewimageexporter.cpp:92 umlviewimageexporterall.cpp:123
 #, kde-format
 msgctxt "reset status bar"
 msgid "Ready."
 msgstr "Klar."
 
-#: uml.cpp:2246
+#: uml.cpp:2255
 #, kde-format
 msgid "Cannot view code until you generate some first."
 msgstr "Kan ikke vise kode før du har genereret noget først."
 
-#: uml.cpp:2246 uml.cpp:2249
+#: uml.cpp:2255 uml.cpp:2258
 #, kde-format
 msgid "Cannot View Code"
 msgstr "Kan ikke vise kode"
 
-#: uml.cpp:2249
+#: uml.cpp:2258
 #, kde-format
 msgid "Cannot view code from simple code writer."
 msgstr "Kan ikke vise kode fra simpel kodeskriver."
 
-#: uml.cpp:2714 uml.cpp:2716
+#: uml.cpp:2728 uml.cpp:2730
 #, kde-format
 msgid "Select file(s) to import:"
 msgstr "Vælg fil(er) som skal importeres:"
 
-#: uml.cpp:2747 uml.cpp:2749
+#: uml.cpp:2761 uml.cpp:2763
 #, kde-format
 msgid "Select directory to import:"
 msgstr "Vælg mappe som skal importeres:"
 
-#: uml.cpp:3313
+#: uml.cpp:3335
 #, kde-format
 msgid "XHTML Generation failed ."
 msgstr "XHTML-generering fejlede ."
@@ -7845,20 +7845,20 @@ msgstr ""
 "En operation med samme navn og underskrift findes allerede. Du kan ikke "
 "tilføje den igen."
 
-#: uml1model/folder.cpp:435
+#: uml1model/folder.cpp:436
 #, kde-format
 msgid "The folderfile %1 does not exist."
 msgstr "Mappefilen %1 eksisterer ikke."
 
-#: uml1model/folder.cpp:435 uml1model/folder.cpp:439 umldoc.cpp:529
-#: umldoc.cpp:541 umldoc.cpp:568 umldoc.cpp:570 umldoc.cpp:620 umldoc.cpp:623
-#: umldoc.cpp:638 umldoc.cpp:641 umldoc.cpp:665 umldoc.cpp:668 umldoc.cpp:684
-#: umldoc.cpp:687 umldoc.cpp:702 umldoc.cpp:705 umldoc.cpp:750
+#: uml1model/folder.cpp:436 uml1model/folder.cpp:440 umldoc.cpp:530
+#: umldoc.cpp:542 umldoc.cpp:569 umldoc.cpp:571 umldoc.cpp:621 umldoc.cpp:624
+#: umldoc.cpp:639 umldoc.cpp:642 umldoc.cpp:666 umldoc.cpp:669 umldoc.cpp:685
+#: umldoc.cpp:688 umldoc.cpp:703 umldoc.cpp:706 umldoc.cpp:751
 #, kde-format
 msgid "Load Error"
 msgstr "Indlæsningsfejl"
 
-#: uml1model/folder.cpp:439
+#: uml1model/folder.cpp:440
 #, kde-format
 msgid "The folderfile %1 cannot be opened."
 msgstr "Mappefilen %1 kan ikke åbnes."
@@ -7868,13 +7868,13 @@ msgstr "Mappefilen %1 kan ikke åbnes."
 msgid "new_parameter"
 msgstr "new_parameter"
 
-#: uml1model/package.cpp:163
+#: uml1model/package.cpp:169
 #, kde-format
 msgctxt "object name"
 msgid "Name"
 msgstr "Navn"
 
-#: uml1model/package.cpp:164
+#: uml1model/package.cpp:170
 #, kde-format
 msgid ""
 "An object with the name %1\n"
@@ -7900,77 +7900,77 @@ msgstr "new_field"
 msgid "new_fkey_constraint"
 msgstr "new_fkey_constraint"
 
-#: uml1model/umlobject.cpp:1140
+#: uml1model/umlobject.cpp:1141
 #, kde-format
 msgid "Actor &name:"
 msgstr "&Aktørnavn:"
 
-#: uml1model/umlobject.cpp:1143
+#: uml1model/umlobject.cpp:1144
 #, kde-format
 msgid "Artifact &name:"
 msgstr "&Navn på overlevning:"
 
-#: uml1model/umlobject.cpp:1146
+#: uml1model/umlobject.cpp:1147
 #, kde-format
 msgid "Association &name:"
 msgstr "&Associationsnavn:"
 
-#: uml1model/umlobject.cpp:1149
+#: uml1model/umlobject.cpp:1150
 #, kde-format
 msgid "Class &name:"
 msgstr "&Klassenavn:"
 
-#: uml1model/umlobject.cpp:1152
+#: uml1model/umlobject.cpp:1153
 #, kde-format
 msgid "Component &name:"
 msgstr "Komponent&navn:"
 
-#: uml1model/umlobject.cpp:1155
+#: uml1model/umlobject.cpp:1156
 #, kde-format
 msgid "Datatype &name:"
 msgstr "Datatype&navn:"
 
-#: uml1model/umlobject.cpp:1158
+#: uml1model/umlobject.cpp:1159
 #, kde-format
 msgid "Entity &name:"
 msgstr "Entitets&navn:"
 
-#: uml1model/umlobject.cpp:1161
+#: uml1model/umlobject.cpp:1162
 #, kde-format
 msgid "Enum &name:"
 msgstr "Enumererings&navn:"
 
-#: uml1model/umlobject.cpp:1164
+#: uml1model/umlobject.cpp:1165
 #, kde-format
 msgid "Folder &name:"
 msgstr "Mappe&navn:"
 
-#: uml1model/umlobject.cpp:1167
+#: uml1model/umlobject.cpp:1168
 #, kde-format
 msgid "Interface &name:"
 msgstr "Grænseflade&navn:"
 
-#: uml1model/umlobject.cpp:1170
+#: uml1model/umlobject.cpp:1171
 #, kde-format
 msgid "Node &name:"
 msgstr "Knude&navn:"
 
-#: uml1model/umlobject.cpp:1173
+#: uml1model/umlobject.cpp:1174
 #, kde-format
 msgid "Package &name:"
 msgstr "&Pakkenavn:"
 
-#: uml1model/umlobject.cpp:1176
+#: uml1model/umlobject.cpp:1177
 #, kde-format
 msgid "Port &name:"
 msgstr "Port&navn:"
 
-#: uml1model/umlobject.cpp:1182
+#: uml1model/umlobject.cpp:1183
 #, kde-format
 msgid "Use case &name:"
 msgstr "Brugsmønster-&navn:"
 
-#: uml1model/umlobject.cpp:1185
+#: uml1model/umlobject.cpp:1186
 #, kde-format
 msgid "Instance name:"
 msgstr "Instansnavn:"
@@ -7990,42 +7990,42 @@ msgstr "&Stereotyper"
 msgid "Welcome"
 msgstr "Velkommen"
 
-#: umldoc.cpp:112 umldoc.cpp:2400 umldoc.cpp:2428
+#: umldoc.cpp:113 umldoc.cpp:2405 umldoc.cpp:2433
 #, kde-format
 msgid "UML Model"
 msgstr "UML-model"
 
-#: umldoc.cpp:154
+#: umldoc.cpp:155
 #, kde-format
 msgid "Logical View"
 msgstr "Logisk visning"
 
-#: umldoc.cpp:155
+#: umldoc.cpp:156
 #, kde-format
 msgid "Use Case View"
 msgstr "Brugsmønster-visning"
 
-#: umldoc.cpp:156
+#: umldoc.cpp:157
 #, kde-format
 msgid "Component View"
 msgstr "Komponent-visning"
 
-#: umldoc.cpp:157
+#: umldoc.cpp:158
 #, kde-format
 msgid "Deployment View"
 msgstr "Udførelsesvisning"
 
-#: umldoc.cpp:158
+#: umldoc.cpp:159
 #, kde-format
 msgid "Entity Relationship Model"
 msgstr "E/R-model"
 
-#: umldoc.cpp:184
+#: umldoc.cpp:185
 #, kde-format
 msgid "Datatypes"
 msgstr "Datatyper"
 
-#: umldoc.cpp:363
+#: umldoc.cpp:364
 #, kde-format
 msgid ""
 "The current file has been modified.\n"
@@ -8034,166 +8034,166 @@ msgstr ""
 "Den nuværende fil er ændret!\n"
 "Vil du gemme den?"
 
-#: umldoc.cpp:364
+#: umldoc.cpp:365
 #, kde-format
 msgctxt "warning message"
 msgid "Warning"
 msgstr "Advarsel"
 
-#: umldoc.cpp:529
+#: umldoc.cpp:530
 #, kde-format
 msgid "The file <%1> does not exist."
 msgstr "Filen <%1> eksisterer ikke."
 
-#: umldoc.cpp:541
+#: umldoc.cpp:542
 #, kde-format
 msgid "The file %1 does not exist."
 msgstr "Filen %1 eksisterer ikke."
 
-#: umldoc.cpp:568 umldoc.cpp:570
+#: umldoc.cpp:569 umldoc.cpp:571
 #, kde-format
 msgid "The file %1 seems to be corrupted."
 msgstr "Filen %1 ser ud til at være beskadiget."
 
-#: umldoc.cpp:619 umldoc.cpp:622 umldoc.cpp:637 umldoc.cpp:640 umldoc.cpp:683
-#: umldoc.cpp:686
+#: umldoc.cpp:620 umldoc.cpp:623 umldoc.cpp:638 umldoc.cpp:641 umldoc.cpp:684
+#: umldoc.cpp:687
 #, kde-format
 msgid "There was no XMI file found in the compressed file %1."
 msgstr "Der var ingen XMI fil i den komprimerede fil %1."
 
-#: umldoc.cpp:664 umldoc.cpp:667
+#: umldoc.cpp:665 umldoc.cpp:668
 #, kde-format
 msgid "There was a problem loading the extracted file: %1"
 msgstr "Der var et problem med at indlæse den udpakkede fil: %1"
 
-#: umldoc.cpp:701 umldoc.cpp:704 umldoc.cpp:744 umldoc.cpp:746
+#: umldoc.cpp:702 umldoc.cpp:705 umldoc.cpp:745 umldoc.cpp:747
 #, kde-format
 msgid "There was a problem loading file: %1"
 msgstr "Der var et problem med indlæsning af filen: %1"
 
-#: umldoc.cpp:749
+#: umldoc.cpp:750
 #, kde-format
 msgid "Reason: %1"
 msgstr ""
 
-#: umldoc.cpp:832 umldoc.cpp:834 umldoc.cpp:851 umldoc.cpp:853 umldoc.cpp:873
-#: umldoc.cpp:875 umldoc.cpp:924 umldoc.cpp:926 umldoc.cpp:966 umldoc.cpp:969
-#: umldoc.cpp:978 umldoc.cpp:980 umllistview.cpp:593
+#: umldoc.cpp:833 umldoc.cpp:835 umldoc.cpp:852 umldoc.cpp:854 umldoc.cpp:874
+#: umldoc.cpp:876 umldoc.cpp:925 umldoc.cpp:927 umldoc.cpp:968 umldoc.cpp:971
+#: umldoc.cpp:980 umldoc.cpp:982 umllistview.cpp:594
 #, kde-format
 msgid "Save Error"
 msgstr "Fejl ved at gemme"
 
-#: umldoc.cpp:832 umldoc.cpp:851 umldoc.cpp:873 umldoc.cpp:924 umldoc.cpp:966
+#: umldoc.cpp:833 umldoc.cpp:852 umldoc.cpp:874 umldoc.cpp:925 umldoc.cpp:968
 #, kde-format
 msgid "There was a problem saving: %1"
 msgstr "Der var et problem med at gemme: %1"
 
-#: umldoc.cpp:834 umldoc.cpp:853 umldoc.cpp:875 umldoc.cpp:926 umldoc.cpp:969
-#: umllistview.cpp:592 umlviewimageexportermodel.cpp:303
+#: umldoc.cpp:835 umldoc.cpp:854 umldoc.cpp:876 umldoc.cpp:927 umldoc.cpp:971
+#: umllistview.cpp:593 umlviewimageexportermodel.cpp:303
 #, kde-format
 msgid "There was a problem saving file: %1"
 msgstr "Der var et problem med at gemme filen: %1"
 
-#: umldoc.cpp:978
+#: umldoc.cpp:980
 #, kde-format
 msgid "There was a problem uploading: %1"
 msgstr "Der var et problem med at uploade: %1"
 
-#: umldoc.cpp:980
+#: umldoc.cpp:982
 #, kde-format
 msgid "There was a problem uploading file: %1"
 msgstr "Der var et problem med at uploade filen: %1"
 
-#: umldoc.cpp:1526
+#: umldoc.cpp:1528
 #, kde-format
 msgid "use case diagram"
 msgstr "brugsmønster-diagram"
 
-#: umldoc.cpp:1529
+#: umldoc.cpp:1531
 #, kde-format
 msgid "class diagram"
 msgstr "klassediagram"
 
-#: umldoc.cpp:1532
+#: umldoc.cpp:1534
 #, kde-format
 msgid "sequence diagram"
 msgstr "sekvensdiagram"
 
-#: umldoc.cpp:1535
+#: umldoc.cpp:1537
 #, kde-format
 msgid "communication diagram"
 msgstr "kommunikationsdiagram"
 
-#: umldoc.cpp:1538
+#: umldoc.cpp:1540
 #, kde-format
 msgid "object diagram"
 msgstr "objektdiagram"
 
-#: umldoc.cpp:1541
+#: umldoc.cpp:1543
 #, kde-format
 msgid "state diagram"
 msgstr "tilstandsdiagram"
 
-#: umldoc.cpp:1544
+#: umldoc.cpp:1546
 #, kde-format
 msgid "activity diagram"
 msgstr "aktivitetsdiagram"
 
-#: umldoc.cpp:1547
+#: umldoc.cpp:1549
 #, kde-format
 msgid "component diagram"
 msgstr "komponentdiagram"
 
-#: umldoc.cpp:1550
+#: umldoc.cpp:1552
 #, kde-format
 msgid "deployment diagram"
 msgstr "udførselsdiagram"
 
-#: umldoc.cpp:1553
+#: umldoc.cpp:1555
 #, kde-format
 msgid "entity relationship diagram"
 msgstr "E/R-diagram"
 
-#: umldoc.cpp:1623
+#: umldoc.cpp:1625
 #, kde-format
 msgctxt "diagram name"
 msgid "Name"
 msgstr "Navn"
 
-#: umldoc.cpp:1623 umldoc.cpp:1686 umldoc.cpp:1715 umldoc.cpp:1749
+#: umldoc.cpp:1625 umldoc.cpp:1688 umldoc.cpp:1717 umldoc.cpp:1751
 #, kde-format
 msgid "Enter name:"
 msgstr "Indtast navn:"
 
-#: umldoc.cpp:1627 umldoc.cpp:1692
+#: umldoc.cpp:1629 umldoc.cpp:1694
 #, kde-format
 msgid "That is an invalid name for a diagram."
 msgstr "Det er et ugyldigt navn for et diagram."
 
-#: umldoc.cpp:1629 umldoc.cpp:1699
+#: umldoc.cpp:1631 umldoc.cpp:1701
 #, kde-format
 msgid "A diagram is already using that name."
 msgstr "Der er allerede et diagram der bruger det navn."
 
-#: umldoc.cpp:1685
+#: umldoc.cpp:1687
 #, kde-format
 msgctxt "renaming diagram"
 msgid "Name"
 msgstr "Navn"
 
-#: umldoc.cpp:1714
+#: umldoc.cpp:1716
 #, kde-format
 msgctxt "renaming uml object"
 msgid "Name"
 msgstr "Navn"
 
-#: umldoc.cpp:1748
+#: umldoc.cpp:1750
 #, kde-format
 msgctxt "renaming child uml object"
 msgid "Name"
 msgstr "Navn"
 
-#: umldoc.cpp:1758
+#: umldoc.cpp:1760
 #, kde-format
 msgid ""
 "The name you entered was not unique.\n"
@@ -8202,62 +8202,62 @@ msgstr ""
 "Navnet du indtastede er ikke entydigt.\n"
 "Er dette hvad du ønskede?"
 
-#: umldoc.cpp:1759
+#: umldoc.cpp:1761
 #, kde-format
 msgid "Use Name"
 msgstr "Brug navn"
 
-#: umldoc.cpp:1759
+#: umldoc.cpp:1761
 #, kde-format
 msgid "Enter New Name"
 msgstr "Indtast nyt navn"
 
-#: umldoc.cpp:2361
+#: umldoc.cpp:2366
 #, kde-format
 msgid "Unsupported xmi file version: %1"
 msgstr ""
 
-#: umldoc.cpp:2511
+#: umldoc.cpp:2516
 #, kde-format
 msgid "Setting up the document..."
 msgstr "Sætter dokumentet op..."
 
-#: umldoc.cpp:2540
+#: umldoc.cpp:2545
 #, kde-format
 msgid "Resolving object references..."
 msgstr "Opløser objektreferencer..."
 
-#: umldoc.cpp:2648
+#: umldoc.cpp:2653
 #, kde-format
 msgid "Loading UML elements..."
 msgstr "Indlæser UML-elementer..."
 
-#: umldoc.cpp:2892
+#: umldoc.cpp:2899
 #, kde-format
 msgid "Loading diagrams..."
 msgstr "Indlæser diagrammer..."
 
-#: umldoc.cpp:3400
+#: umldoc.cpp:3409
 #, kde-format
 msgid "/autosave%1"
 msgstr "/autogem%1"
 
-#: umllistview.cpp:536 umllistview.cpp:540
+#: umllistview.cpp:537 umllistview.cpp:541
 #, kde-format
 msgid "Externalize Folder"
 msgstr "Gør mappe ekstern"
 
-#: umllistview.cpp:574
+#: umllistview.cpp:575
 #, kde-format
 msgid "Folder %1 must be relative to the main model directory, %2."
 msgstr "Mappen %1 skal være relativ til hovedmodelmappen, %2."
 
-#: umllistview.cpp:575
+#: umllistview.cpp:576
 #, kde-format
 msgid "Path Error"
 msgstr "Fejl i sti"
 
-#: umllistview.cpp:583
+#: umllistview.cpp:584
 #, kde-format
 msgid ""
 "File %1 already exists!\n"
@@ -8266,66 +8266,66 @@ msgstr ""
 "Filen %1 findes allerede.\n"
 "Den eksisterende fil vil blive overskrevet."
 
-#: umllistview.cpp:584
+#: umllistview.cpp:585
 #, kde-format
 msgid "File Exist"
 msgstr "Filen findes allerede"
 
-#: umllistview.cpp:624
+#: umllistview.cpp:625
 #, kde-format
 msgid "Enter Model Name"
 msgstr "Indtast modelnavn"
 
-#: umllistview.cpp:625
+#: umllistview.cpp:626
 #, kde-format
 msgid "Enter the new name of the model:"
 msgstr "Indtast modellens nye navn:"
 
-#: umllistview.cpp:1422
+#: umllistview.cpp:1430
 #, kde-format
 msgid "Views"
 msgstr "Visninger"
 
-#: umllistview.cpp:1441
+#: umllistview.cpp:1449
 #, kde-format
 msgid "Settings"
 msgstr "Indstillinger"
 
-#: umllistview.cpp:2413
+#: umllistview.cpp:2421
 #, kde-format
 msgid "Loading listview..."
 msgstr "Indlæser listevisning..."
 
-#: umllistview.cpp:2764
+#: umllistview.cpp:2772
 #, fuzzy, kde-format
 #| msgid "The folder must be emptied before it can be deleted."
 msgid "The class must be emptied before it can be deleted."
 msgstr "Mappen skal være tom før den kan slettes."
 
-#: umllistview.cpp:2765
+#: umllistview.cpp:2773
 #, fuzzy, kde-format
 #| msgid "Folder Not Empty"
 msgid "Class Not Empty"
 msgstr "Mappen er ikke tom"
 
-#: umllistview.cpp:2769
+#: umllistview.cpp:2777
 #, fuzzy, kde-format
 #| msgid "The folder must be emptied before it can be deleted."
 msgid "The package must be emptied before it can be deleted."
 msgstr "Mappen skal være tom før den kan slettes."
 
-#: umllistview.cpp:2770
+#: umllistview.cpp:2778
 #, fuzzy, kde-format
 #| msgid "Folder Not Empty"
 msgid "Package Not Empty"
 msgstr "Mappen er ikke tom"
 
-#: umllistview.cpp:2774
+#: umllistview.cpp:2782
 #, kde-format
 msgid "The folder must be emptied before it can be deleted."
 msgstr "Mappen skal være tom før den kan slettes."
 
-#: umllistview.cpp:2775
+#: umllistview.cpp:2783
 #, kde-format
 msgid "Folder Not Empty"
 msgstr "Mappen er ikke tom"
diff -pruN 4:20.08.3-1/po/de/umbrello.po 4:20.12.0-0ubuntu1/po/de/umbrello.po
--- 4:20.08.3-1/po/de/umbrello.po	2020-11-03 00:42:15.000000000 +0000
+++ 4:20.12.0-0ubuntu1/po/de/umbrello.po	2020-12-04 00:21:29.000000000 +0000
@@ -12,7 +12,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: umbrello\n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
-"POT-Creation-Date: 2020-08-14 08:09+0200\n"
+"POT-Creation-Date: 2020-11-06 02:36+0100\n"
 "PO-Revision-Date: 2020-09-15 11:48+0200\n"
 "Last-Translator: Burkhard Lück <lueck@hube-lueck.de>\n"
 "Language-Team: German <kde-i18n-de@kde.org>\n"
@@ -214,7 +214,7 @@ msgstr ""
 "bereits ein Objekt mit dem gleichen Namen existiert. Alle anderen Objekte "
 "wurden eingefügt."
 
-#: clipboard/umlclipboard.cpp:753 uml.cpp:1689
+#: clipboard/umlclipboard.cpp:753 uml.cpp:1698
 #, kde-format
 msgid "Paste Error"
 msgstr "Fehler beim Einfügen"
@@ -440,7 +440,7 @@ msgstr "<p align=\"center\">C++-Quelltex
 #. i18n: ectx: attribute (title), widget (QWidget, ui_tabGeneral)
 #: codegenerators/cpp/cppcodegenerationformbase.ui:51
 #: codegenwizard/codegenoptionspage.ui:39 dialogs/objectnodedialog.cpp:135
-#: umllistview.cpp:1451
+#: umllistview.cpp:1459
 #, kde-format
 msgid "General"
 msgstr "Allgemein"
@@ -1324,7 +1324,7 @@ msgstr "Status"
 #. i18n: ectx: property (text), widget (QRadioButton, ui_categoryClass)
 #. i18n: ectx: property (text), widget (QTableWidget, ui_tableWidgetStatus)
 #: codegenwizard/codegenstatuspage.ui:40 codeimpwizard/codeimpstatuspage.ui:54
-#: dialogs/finddialog.ui:89 umllistview.cpp:1446 umlwidgets/widgetbase.cpp:1255
+#: dialogs/finddialog.ui:89 umllistview.cpp:1454 umlwidgets/widgetbase.cpp:1255
 #, kde-format
 msgid "Class"
 msgstr "Klasse"
@@ -1978,19 +1978,19 @@ msgstr "Alle Meldungen zu „Assoziation
 msgid "Enable 'delete diagram' related messages"
 msgstr "Alle Meldungen zu „Diagramm löschen“ aktivieren"
 
-#: dialogs/dialog_utils.cpp:117
+#: dialogs/dialog_utils.cpp:118
 #, kde-format
 msgid "You are about to delete an association. Do you really want to continue?"
 msgstr ""
 "Sie sind gerade dabei, eine Assoziation zu löschen Möchten Sie wirklich "
 "fortfahren?"
 
-#: dialogs/dialog_utils.cpp:118
+#: dialogs/dialog_utils.cpp:119
 #, kde-format
 msgid "Delete Association"
 msgstr "Assoziation löschen"
 
-#: dialogs/dialog_utils.cpp:132
+#: dialogs/dialog_utils.cpp:133
 #, kde-format
 msgid ""
 "You are about to delete the entire diagram.\n"
@@ -1999,17 +1999,17 @@ msgstr ""
 "Sie sind dabei, das gesamte Diagramm zu löschen.\n"
 "Sind Sie sicher?"
 
-#: dialogs/dialog_utils.cpp:133
+#: dialogs/dialog_utils.cpp:134
 #, kde-format
 msgid "Are you sure you want to delete diagram %1?"
 msgstr "Möchten Sie das Diagramm „%1“ wirklich löschen?"
 
-#: dialogs/dialog_utils.cpp:138
+#: dialogs/dialog_utils.cpp:139
 #, kde-format
 msgid "Delete Diagram?"
 msgstr "Diagramm löschen?"
 
-#: dialogs/dialog_utils.cpp:139 dialogs/pages/classifierlistpage.cpp:215
+#: dialogs/dialog_utils.cpp:140 dialogs/pages/classifierlistpage.cpp:215
 #: dialogs/pages/classifierlistpage.cpp:223
 #: dialogs/umlforeignkeyconstraintdialog.cpp:325
 #: dialogs/umlforeignkeyconstraintdialog.cpp:331
@@ -2173,7 +2173,7 @@ msgstr "Allgemein"
 #. i18n: ectx: label, entry (uiFont), group (UI Options)
 #. i18n: ectx: label, entry (codeViewerFont), group (Code Viewer Options)
 #: dialogs/multipagedialogbase.cpp:405 umbrello.kcfg:177 umbrello.kcfg:292
-#: umllistview.cpp:1450
+#: umllistview.cpp:1458
 #, kde-format
 msgid "Font"
 msgstr "Schriftart"
@@ -2606,7 +2606,7 @@ msgstr "N&eues Instanzsattribut ..."
 
 #: dialogs/pages/classifierlistpage.cpp:217
 #: dialogs/pages/classifierlistpage.cpp:225 dialogs/umloperationdialog.cpp:167
-#: dialogs/umloperationdialog.cpp:175 uml.cpp:554
+#: dialogs/umloperationdialog.cpp:175 uml.cpp:563
 #, kde-format
 msgid "&Properties"
 msgstr "Ei&genschaften"
@@ -2624,7 +2624,7 @@ msgid "Source Code"
 msgstr "Quelltext"
 
 #: dialogs/pages/classoptionspage.cpp:157
-#: dialogs/pages/classoptionspage.cpp:251 uml.cpp:509
+#: dialogs/pages/classoptionspage.cpp:251 uml.cpp:518
 #, kde-format
 msgid "&Documentation"
 msgstr "&Dokumentation"
@@ -2713,7 +2713,7 @@ msgstr "Signatur des Attributs"
 #: dialogs/pages/codeimportoptionspage.ui:31
 #, kde-format
 msgid "Include search paths"
-msgstr "Suchpfrade einbeziehen"
+msgstr "Suchpfade einbeziehen"
 
 #. i18n: ectx: property (text), widget (QLabel, label)
 #: dialogs/pages/codeimportoptionspage.ui:43
@@ -2814,8 +2814,8 @@ msgstr "Der von Ihnen eingegebene Name i
 #: uml1model/classifier.cpp:410 uml1model/classifier.cpp:781
 #: uml1model/entity.cpp:125 uml1model/entity.cpp:178 uml1model/entity.cpp:228
 #: uml1model/entity.cpp:277 uml1model/enum.cpp:107 uml1model/instance.cpp:124
-#: uml1model/package.cpp:172 umldoc.cpp:1627 umldoc.cpp:1692 umldoc.cpp:1721
-#: umldoc.cpp:1755
+#: uml1model/package.cpp:178 umldoc.cpp:1629 umldoc.cpp:1694 umldoc.cpp:1723
+#: umldoc.cpp:1757
 #, kde-format
 msgid "Invalid Name"
 msgstr "Ungültiger Name"
@@ -2825,7 +2825,7 @@ msgstr "Ungültiger Name"
 msgid "The name you have entered is not unique."
 msgstr "Der von Ihnen eingegebene Name ist nicht eindeutig."
 
-#: dialogs/pages/diagrampropertiespage.cpp:86 umldoc.cpp:1759
+#: dialogs/pages/diagrampropertiespage.cpp:86 umldoc.cpp:1761
 #, kde-format
 msgid "Name Not Unique"
 msgstr "Nicht eindeutiger Name"
@@ -3298,7 +3298,7 @@ msgstr "Diagramm"
 msgid "Umbrello Setup"
 msgstr "Umbrello einrichten"
 
-#: dialogs/settingsdialog.cpp:114 umllistview.cpp:1452
+#: dialogs/settingsdialog.cpp:114 umllistview.cpp:1460
 #, kde-format
 msgid "User Interface"
 msgstr "Benutzeroberfläche"
@@ -3325,7 +3325,7 @@ msgstr "Klasse"
 msgid "Class Settings"
 msgstr "Klassen-Einstellungen"
 
-#: dialogs/settingsdialog.cpp:137 umllistview.cpp:1447
+#: dialogs/settingsdialog.cpp:137 umllistview.cpp:1455
 #, kde-format
 msgid "Code Importer"
 msgstr "Quelltext-Import"
@@ -3335,7 +3335,7 @@ msgstr "Quelltext-Import"
 msgid "Code Import Settings"
 msgstr "Einstellungen für Quelltext-Import"
 
-#: dialogs/settingsdialog.cpp:146 umllistview.cpp:1448
+#: dialogs/settingsdialog.cpp:146 umllistview.cpp:1456
 #, kde-format
 msgid "Code Generation"
 msgstr "Quelltext-Erstellung"
@@ -3345,7 +3345,7 @@ msgstr "Quelltext-Erstellung"
 msgid "Code Generation Settings"
 msgstr "Einstellungen für Quelltext-Erstellung"
 
-#: dialogs/settingsdialog.cpp:154 umllistview.cpp:1449
+#: dialogs/settingsdialog.cpp:154 umllistview.cpp:1457
 #, kde-format
 msgid "Code Viewer"
 msgstr "Quelltext-Betrachter"
@@ -3355,7 +3355,7 @@ msgstr "Quelltext-Betrachter"
 msgid "Code Viewer Settings"
 msgstr "Einstellungen für Quelltext-Betrachter"
 
-#: dialogs/settingsdialog.cpp:161 umllistview.cpp:1445
+#: dialogs/settingsdialog.cpp:161 umllistview.cpp:1453
 #, kde-format
 msgid "Auto Layout"
 msgstr "Autolayout"
@@ -3991,7 +3991,7 @@ msgstr "&Typ:"
 msgid "Package path:"
 msgstr "Paketpfad:"
 
-#: dialogs/widgets/umlstereotypewidget.cpp:29 uml1model/umlobject.cpp:1179
+#: dialogs/widgets/umlstereotypewidget.cpp:29 uml1model/umlobject.cpp:1180
 #, kde-format
 msgid "Stereotype &name:"
 msgstr "Stereotyp&name:"
@@ -4137,7 +4137,7 @@ msgstr ""
 msgid "Gael de Chalendar (aka Kleag)"
 msgstr "Gael de Chalendar (aka Kleag)"
 
-#: docgenerators/main.cpp:56 main.cpp:131
+#: docgenerators/main.cpp:56 main.cpp:133
 #, kde-format
 msgid "Umbrello UML Modeller Authors"
 msgstr "Umbrello UML-Modeller-Autoren"
@@ -4201,12 +4201,12 @@ msgstr "Bearbeitung der Dokumentation na
 msgid "Apply layout"
 msgstr "Layout anwenden"
 
-#: main.cpp:121
+#: main.cpp:123
 #, kde-format
 msgid "Umbrello UML Modeller"
 msgstr "Umbrello UML-Modeller"
 
-#: main.cpp:123
+#: main.cpp:125
 #, kde-format
 msgid ""
 "Umbrello – Visual development environment for software, based on the "
@@ -4217,7 +4217,7 @@ msgstr ""
 "Industriestandards „Unified Modelling Language (UML)“.<br/>Siehe auch <a "
 "href=\"http://www.omg.org/spec/\">http://www.omg.org/spec/</a>."
 
-#: main.cpp:127
+#: main.cpp:129
 #, kde-format
 msgid ""
 "Copyright © 2001 Paul Hensgen,\n"
@@ -4226,100 +4226,100 @@ msgstr ""
 "Copyright © 2001 Paul Hensgen,\n"
 "Copyright © 2002–2020 Autoren des Umbrello UML-Modellers"
 
-#: main.cpp:130
+#: main.cpp:132
 #, kde-format
 msgid "Paul Hensgen"
 msgstr "Paul Hensgen"
 
-#: main.cpp:130
+#: main.cpp:132
 #, kde-format
 msgid "Author of initial version."
 msgstr "Autor der ursprünglichen Version."
 
-#: main.cpp:134
+#: main.cpp:136
 #, kde-format
 msgid "Oliver Kellogg"
 msgstr "Oliver Kellogg"
 
-#: main.cpp:135 main.cpp:138
+#: main.cpp:137 main.cpp:140
 #, kde-format
 msgid "Bug fixing, porting work, code cleanup, new features."
 msgstr ""
 "Fehlerkorrekturen, Portierung, Aufräumen des Quelltexts, neue Funktionen."
 
-#: main.cpp:137
+#: main.cpp:139
 #, kde-format
 msgid "Ralf Habacker"
 msgstr "Ralf Habacker"
 
-#: main.cpp:140
+#: main.cpp:142
 #, kde-format
 msgid "Andi Fischer"
 msgstr "Andi Fischer"
 
-#: main.cpp:141
+#: main.cpp:143
 #, kde-format
 msgid "Porting work, code cleanup, new features."
 msgstr "Portierung, Aufräumen des Quelltexts, neue Funktionen."
 
-#: main.cpp:143
+#: main.cpp:145
 #, kde-format
 msgid "Jonathan Riddell"
 msgstr "Jonathan Riddell"
 
-#: main.cpp:144
+#: main.cpp:146
 #, kde-format
 msgid "Current maintainer."
 msgstr "A&ktueller Betreuer"
 
-#: main.cpp:146
+#: main.cpp:148
 #, kde-format
 msgid "Brian Thomas"
 msgstr "Brian Thomas"
 
-#: main.cpp:147
+#: main.cpp:149
 #, kde-format
 msgid "A lot of work for C++ and Java code generation. Codeeditor."
 msgstr ""
 "Viel Arbeit am Quelltext-Generator für C++ und Java. Editor für Quelltext."
 
-#: main.cpp:152
+#: main.cpp:154
 #, kde-format
 msgid "File to open"
 msgstr "Zu öffnende Datei"
 
-#: main.cpp:153
+#: main.cpp:155
 #, kde-format
 msgid "export diagrams to extension and exit"
 msgstr "Diagramme in Erweiterung exportieren und dann beenden"
 
-#: main.cpp:154
+#: main.cpp:156
 #, kde-format
 msgid "list available export extensions"
 msgstr "Verfügbare Export-Erweiterungen anzeigen"
 
-#: main.cpp:155
+#: main.cpp:157
 #, kde-format
 msgid "the local directory to save the exported diagrams in"
 msgstr ""
 "der lokale Ordner, in dem die exportierten Diagramme gespeichert werden"
 
-#: main.cpp:155
+#: main.cpp:157
 #, kde-format
 msgid "the directory of the file"
 msgstr "der Ordner der Datei"
 
-#: main.cpp:156
+#: main.cpp:158
 #, kde-format
 msgid "import files"
 msgstr "Dateien importieren"
 
-#: main.cpp:157
+#: main.cpp:159
 #, kde-format
 msgid "list supported languages"
 msgstr "Unterstützte Sprachen anzeigen"
 
-#: main.cpp:158
+#: main.cpp:160
 #, kde-format
 msgid ""
 "keep the tree structure used to store the views in the document in the "
@@ -4328,12 +4328,12 @@ msgstr ""
 "Die Baumstruktur, die zum Speichern der Ansichten im Dokument verwendet "
 "wird, im Zielordner beibehalten"
 
-#: main.cpp:159
+#: main.cpp:161
 #, kde-format
 msgid "import files from directory <dir>"
 msgstr "Dateien aus Ordner <dir> importieren"
 
-#: main.cpp:163
+#: main.cpp:165
 #, kde-format
 msgid "set active language"
 msgstr "Aktive Sprache einstellen"
@@ -4599,7 +4599,7 @@ msgstr "Dekonstruktion anzeigen"
 msgid "Import File(s)..."
 msgstr "Datei(en) importieren ..."
 
-#: menus/listpopupmenu.cpp:201 uml.cpp:356
+#: menus/listpopupmenu.cpp:201 uml.cpp:365
 #, kde-format
 msgid "Import from Directory..."
 msgstr "Aus Ordner importieren ..."
@@ -5104,42 +5104,42 @@ msgctxt "align menu"
 msgid "Align"
 msgstr "Ausrichten"
 
-#: menus/widgetbasepopupmenu.cpp:598 uml.cpp:573
+#: menus/widgetbasepopupmenu.cpp:598 uml.cpp:582
 #, kde-format
 msgid "Align Right"
 msgstr "Rechts ausrichten"
 
-#: menus/widgetbasepopupmenu.cpp:599 uml.cpp:578
+#: menus/widgetbasepopupmenu.cpp:599 uml.cpp:587
 #, kde-format
 msgid "Align Left"
 msgstr "Links ausrichten"
 
-#: menus/widgetbasepopupmenu.cpp:600 uml.cpp:583
+#: menus/widgetbasepopupmenu.cpp:600 uml.cpp:592
 #, kde-format
 msgid "Align Top"
 msgstr "Oben ausrichten"
 
-#: menus/widgetbasepopupmenu.cpp:601 uml.cpp:588
+#: menus/widgetbasepopupmenu.cpp:601 uml.cpp:597
 #, kde-format
 msgid "Align Bottom"
 msgstr "Unten ausrichten"
 
-#: menus/widgetbasepopupmenu.cpp:603 uml.cpp:593
+#: menus/widgetbasepopupmenu.cpp:603 uml.cpp:602
 #, kde-format
 msgid "Align Vertical Middle"
 msgstr "Vertikal mittig ausrichten"
 
-#: menus/widgetbasepopupmenu.cpp:604 uml.cpp:598
+#: menus/widgetbasepopupmenu.cpp:604 uml.cpp:607
 #, kde-format
 msgid "Align Horizontal Middle"
 msgstr "Horizontal mittig ausrichten"
 
-#: menus/widgetbasepopupmenu.cpp:605 uml.cpp:603
+#: menus/widgetbasepopupmenu.cpp:605 uml.cpp:612
 #, kde-format
 msgid "Align Vertical Distribute"
 msgstr "Vertikal verteilt ausrichten"
 
-#: menus/widgetbasepopupmenu.cpp:606 uml.cpp:608
+#: menus/widgetbasepopupmenu.cpp:606 uml.cpp:617
 #, kde-format
 msgid "Align Horizontal Distribute"
 msgstr "Horizontal verteilt ausrichten"
@@ -5956,8 +5956,8 @@ msgstr "Verwendung"
 #: object_factory.cpp:251 uml1model/classifier.cpp:410
 #: uml1model/classifier.cpp:781 uml1model/entity.cpp:125
 #: uml1model/entity.cpp:178 uml1model/entity.cpp:228 uml1model/entity.cpp:277
-#: uml1model/enum.cpp:107 uml1model/instance.cpp:124 uml1model/package.cpp:171
-#: umldoc.cpp:1721 umldoc.cpp:1755
+#: uml1model/enum.cpp:107 uml1model/instance.cpp:124 uml1model/package.cpp:177
+#: umldoc.cpp:1723 umldoc.cpp:1757
 #, kde-format
 msgid "That is an invalid name."
 msgstr "Das ist ein ungültiger Name."
@@ -5978,7 +5978,7 @@ msgstr "Reserviertes Schlüsselwort"
 #: object_factory.cpp:264 uml1model/classifier.cpp:413
 #: uml1model/classifier.cpp:783 uml1model/entity.cpp:127
 #: uml1model/entity.cpp:180 uml1model/entity.cpp:230 uml1model/entity.cpp:279
-#: uml1model/instance.cpp:126 umldoc.cpp:1727 umldoc.cpp:1764
+#: uml1model/instance.cpp:126 umldoc.cpp:1729 umldoc.cpp:1766
 #, kde-format
 msgid "That name is already being used."
 msgstr "Der Name wird bereits genutzt."
@@ -5986,8 +5986,8 @@ msgstr "Der Name wird bereits genutzt."
 #: object_factory.cpp:265 uml1model/classifier.cpp:413
 #: uml1model/classifier.cpp:783 uml1model/entity.cpp:127
 #: uml1model/entity.cpp:180 uml1model/entity.cpp:230 uml1model/entity.cpp:279
-#: uml1model/instance.cpp:126 umldoc.cpp:1629 umldoc.cpp:1699 umldoc.cpp:1727
-#: umldoc.cpp:1764
+#: uml1model/instance.cpp:126 umldoc.cpp:1631 umldoc.cpp:1701 umldoc.cpp:1729
+#: umldoc.cpp:1766
 #, kde-format
 msgid "Not a Unique Name"
 msgstr "Das ist kein eindeutiger Name."
@@ -6048,12 +6048,12 @@ msgstr "In %1 existiert bereits ein Attr
 msgid "Choose a different name."
 msgstr "Wählen Sie einen anderen Namen."
 
-#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:266
+#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:273
 #, kde-format
 msgid "Incorrect use of associations."
 msgstr "Unzulässige Verwendung von Assoziationen."
 
-#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:266
+#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:273
 #, kde-format
 msgid "Association Error"
 msgstr "Assoziationsfehler"
@@ -7232,190 +7232,190 @@ msgstr "Aktive &Sprache"
 msgid "&Settings"
 msgstr "&Einstellungen"
 
-#: uml.cpp:332
+#: uml.cpp:341
 #, kde-format
 msgid "&Export model to DocBook"
 msgstr "Modell nach &DocBook exportieren"
 
-#: uml.cpp:336
+#: uml.cpp:345
 #, kde-format
 msgid "&Export model to XHTML"
 msgstr "Modell nach &XHTML exportieren"
 
-#: uml.cpp:340
+#: uml.cpp:349
 #, kde-format
 msgid "&New Class Wizard..."
 msgstr "&Assistent für neue Klasse ..."
 
-#: uml.cpp:344
+#: uml.cpp:353
 #, kde-format
 msgid "&Add Default Datatypes for Active Language"
 msgstr "&Standarddatentypen für aktive Sprache hinzufügen"
 
-#: uml.cpp:351
+#: uml.cpp:360
 #, kde-format
 msgid "Code &Importing Wizard..."
 msgstr "Assistent für Quelltext-&Import ..."
 
-#: uml.cpp:361
+#: uml.cpp:370
 #, kde-format
 msgid "&Code Generation Wizard..."
 msgstr "Assistent für die &Quelltext-Erstellung ..."
 
-#: uml.cpp:366
+#: uml.cpp:375
 #, kde-format
 msgid "&Generate All Code"
 msgstr "Alle Quelltexte &generieren"
 
-#: uml.cpp:411
+#: uml.cpp:420
 #, kde-format
 msgid "Creates a new document"
 msgstr "Erstellt ein neues Dokument"
 
-#: uml.cpp:412
+#: uml.cpp:421
 #, kde-format
 msgid "Opens an existing document"
 msgstr "Öffnet ein vorhandenes Dokument"
 
-#: uml.cpp:413
+#: uml.cpp:422
 #, kde-format
 msgid "Opens a recently used file"
 msgstr "Öffnet eine kürzlich benutzte Datei"
 
-#: uml.cpp:414
+#: uml.cpp:423
 #, kde-format
 msgid "Saves the document"
 msgstr "Speichert das aktuelle Dokument"
 
-#: uml.cpp:415
+#: uml.cpp:424
 #, kde-format
 msgid "Saves the document as..."
 msgstr "Speichert das aktuelle Dokument unter ..."
 
-#: uml.cpp:416
+#: uml.cpp:425
 #, kde-format
 msgid "Closes the document"
 msgstr "Schließt das aktuelle Dokument"
 
-#: uml.cpp:417
+#: uml.cpp:426
 #, kde-format
 msgid "Prints out the document"
 msgstr "Druckt das aktuelle Dokument"
 
-#: uml.cpp:418
+#: uml.cpp:427
 #, kde-format
 msgid "Print Preview of the document"
 msgstr "Druckvorschau des Dokuments"
 
-#: uml.cpp:419
+#: uml.cpp:428
 #, kde-format
 msgid "Quits the application"
 msgstr "Beendet das Programm"
 
-#: uml.cpp:420
+#: uml.cpp:429
 #, kde-format
 msgid "Exports the model to the docbook format"
 msgstr "Exportiert das Modell in das DocBook-Format"
 
-#: uml.cpp:421
+#: uml.cpp:430
 #, kde-format
 msgid "Exports the model to the XHTML format"
 msgstr "Exportiert das Modell in das XHTML-Format"
 
-#: uml.cpp:422
+#: uml.cpp:431
 #, kde-format
 msgid "Cuts the selected section and puts it to the clipboard"
 msgstr ""
 "Schneidet den ausgewählten Bereich aus und legt den Inhalt in der "
 "Zwischenablage ab."
 
-#: uml.cpp:423
+#: uml.cpp:432
 #, kde-format
 msgid "Copies the selected section to the clipboard"
 msgstr "Kopiert den ausgewählten Bereich in die Zwischenablage"
 
-#: uml.cpp:424
+#: uml.cpp:433
 #, kde-format
 msgid "Pastes the contents of the clipboard"
 msgstr "Fügt den Inhalt der Zwischenablage ein"
 
-#: uml.cpp:425
+#: uml.cpp:434
 #, kde-format
 msgid "Set the default program preferences"
 msgstr "Setzt die Programm-Voreinstellungen"
 
-#: uml.cpp:429
+#: uml.cpp:438
 #, kde-format
 msgctxt "delete selected widget"
 msgid "Delete &Selected"
 msgstr "Auswahl lös&chen"
 
-#: uml.cpp:440
+#: uml.cpp:449
 #, kde-format
 msgid "&Class Diagram..."
 msgstr "&Klassendiagramm ..."
 
-#: uml.cpp:447
+#: uml.cpp:456
 #, kde-format
 msgid "&Object Diagram..."
 msgstr "&Objektdiagramm ..."
 
-#: uml.cpp:454
+#: uml.cpp:463
 #, kde-format
 msgid "&Sequence Diagram..."
 msgstr "&Sequenzdiagramm ..."
 
-#: uml.cpp:460
+#: uml.cpp:469
 #, kde-format
 msgid "C&ommunication Diagram..."
 msgstr "K&ommunikationsdiagramm ..."
 
-#: uml.cpp:466
+#: uml.cpp:475
 #, kde-format
 msgid "&Use Case Diagram..."
 msgstr "&Anwendungsfalldiagramm ..."
 
-#: uml.cpp:472
+#: uml.cpp:481
 #, kde-format
 msgid "S&tate Diagram..."
 msgstr "&Zustandsdiagramm ..."
 
-#: uml.cpp:478
+#: uml.cpp:487
 #, kde-format
 msgid "&Activity Diagram..."
 msgstr "Ak&tivitätsdiagramm ..."
 
-#: uml.cpp:484
+#: uml.cpp:493
 #, kde-format
 msgid "Co&mponent Diagram..."
 msgstr "Kom&ponentendiagramm ..."
 
-#: uml.cpp:490
+#: uml.cpp:499
 #, kde-format
 msgid "&Deployment Diagram..."
 msgstr "&Verteilungsdiagramm ..."
 
-#: uml.cpp:496
+#: uml.cpp:505
 #, kde-format
 msgid "&Entity Relationship Diagram..."
 msgstr "&Entitäten-Beziehungs-Diagramm ..."
 
-#: uml.cpp:501 uml.cpp:954
+#: uml.cpp:510 uml.cpp:963
 #, kde-format
 msgid "&Tree View"
 msgstr "&Baumansicht"
 
-#: uml.cpp:505
+#: uml.cpp:514
 #, kde-format
 msgid "&Debugging"
 msgstr "&Fehlersuche"
 
-#: uml.cpp:513
+#: uml.cpp:522
 #, kde-format
 msgid "&Logging"
 msgstr "&Protokollierung"
 
-#: uml.cpp:517
+#: uml.cpp:526
 #, kde-format
 msgid "&Command history"
 msgstr "&Befehlsverlauf"
@@ -7424,135 +7424,135 @@ msgstr "&Befehlsverlauf"
 #. m_propertyDock->setObjectName(QLatin1String("PropertyDock"));
 #. addDockWidget(Qt::LeftDockWidgetArea, m_propertyDock);  //:TODO:
 #. create the bird's eye view
-#: uml.cpp:521 uml.cpp:1011
+#: uml.cpp:530 uml.cpp:1020
 #, kde-format
 msgid "&Bird's eye view"
 msgstr "&Übersicht"
 
-#: uml.cpp:526
+#: uml.cpp:535
 #, kde-format
 msgid "&Clear Diagram"
 msgstr "Diagramm lee&ren"
 
-#: uml.cpp:530
+#: uml.cpp:539
 #, kde-format
 msgid "&Snap to Grid"
 msgstr "E&inrasten am Raster"
 
-#: uml.cpp:534
+#: uml.cpp:543
 #, kde-format
 msgid "S&how Grid"
 msgstr "Ra&ster anzeigen"
 
-#: uml.cpp:539
+#: uml.cpp:548
 #, kde-format
 msgid "&Delete Diagram"
 msgstr "Diagramm &löschen"
 
-#: uml.cpp:544
+#: uml.cpp:553
 #, kde-format
 msgid "&Export as Picture..."
 msgstr "Als Bild e&xportieren ..."
 
-#: uml.cpp:549
+#: uml.cpp:558
 #, kde-format
 msgid "Export &Diagrams as Pictures..."
 msgstr "&Diagramme als Bilder exportieren ..."
 
-#: uml.cpp:569
+#: uml.cpp:578
 #, kde-format
 msgid "Z&oom to 100%"
 msgstr "Z&oom auf 100 %"
 
-#: uml.cpp:612
+#: uml.cpp:621
 #, kde-format
 msgid "&Move Tab Left"
 msgstr "&Unterfenster nach links bewegen"
 
-#: uml.cpp:613
+#: uml.cpp:622
 #, kde-format
 msgid "&Move Tab Right"
 msgstr "&Unterfenster nach rechts bewegen"
 
-#: uml.cpp:636
+#: uml.cpp:645
 #, kde-format
 msgid "Select Diagram on Left"
 msgstr "Linkes Diagramm wählen"
 
-#: uml.cpp:637
+#: uml.cpp:646
 #, kde-format
 msgid "Select Diagram on Right"
 msgstr "Rechtes Diagramm wählen"
 
-#: uml.cpp:776
+#: uml.cpp:785
 #, kde-format
 msgctxt "%1 percent value from 20 to 500"
 msgid " &%1%"
 msgstr " &%1 %"
 
-#: uml.cpp:826
+#: uml.cpp:835
 #, kde-format
 msgctxt "init status bar"
 msgid "Ready"
 msgstr "Fertig"
 
-#: uml.cpp:835 uml.cpp:848
+#: uml.cpp:844 uml.cpp:857
 #, kde-format
 msgid "100%"
 msgstr "100%"
 
-#: uml.cpp:840
+#: uml.cpp:849
 #, kde-format
 msgid "Fit"
 msgstr "Einpassen"
 
-#: uml.cpp:899
+#: uml.cpp:908
 #, kde-format
 msgid "Diagram Toolbar"
 msgstr "Diagramm-Werkzeugleiste"
 
-#: uml.cpp:965
+#: uml.cpp:974
 #, kde-format
 msgid "Doc&umentation"
 msgstr "Dok&umentation"
 
-#: uml.cpp:976
+#: uml.cpp:985
 #, kde-format
 msgid "Co&mmand history"
 msgstr "&Befehlsverlauf"
 
-#: uml.cpp:992
+#: uml.cpp:1001
 #, kde-format
 msgid "&Debug"
 msgstr "&Fehlersuche"
 
-#: uml.cpp:999
+#: uml.cpp:1008
 #, kde-format
 msgid "&Log"
 msgstr "&Protokoll"
 
-#: uml.cpp:1041 uml.cpp:1258 uml.cpp:1307
+#: uml.cpp:1050 uml.cpp:1267 uml.cpp:1316
 #, kde-format
 msgid "Opening file..."
 msgstr "Datei wird geöffnet ..."
 
-#: uml.cpp:1092 uml.cpp:1157 uml.cpp:1342 umldoc.cpp:342 umldoc.cpp:344
-#: umldoc.cpp:368 umldoc.cpp:3396
+#: uml.cpp:1101 uml.cpp:1166 uml.cpp:1351 umldoc.cpp:343 umldoc.cpp:345
+#: umldoc.cpp:369 umldoc.cpp:3405
 #, kde-format
 msgid "Untitled"
 msgstr "Unbenannt"
 
-#: uml.cpp:1240
+#: uml.cpp:1249
 #, kde-format
 msgid "Creating new document..."
 msgstr "Neues Dokument wird erstellt ..."
 
-#: uml.cpp:1266 uml.cpp:1281
+#: uml.cpp:1275 uml.cpp:1290
 #, kde-format
 msgid "Open File"
 msgstr "Datei öffnen"
 
-#: uml.cpp:1270
+#: uml.cpp:1279
 #, kde-format
 msgid ""
 "*.xmi *.xmi.tgz *.xmi.tar.bz2 *.mdl *.zargo|All Supported Files (*.xmi, *."
@@ -7571,22 +7571,22 @@ msgstr ""
 "*.mdl|Rose model-Dateien\n"
 "*.zargo|Komprimierte Argo-Dateien (*.zargo)\n"
 
-#: uml.cpp:1341
+#: uml.cpp:1350
 #, kde-format
 msgid "Saving file..."
 msgstr "Datei wird gespeichert ..."
 
-#: uml.cpp:1358
+#: uml.cpp:1367
 #, kde-format
 msgid "Saving file with a new filename..."
 msgstr "Datei wird unter neuem Namen gespeichert ..."
 
-#: uml.cpp:1368 uml.cpp:1374 umlviewimageexporter.cpp:199
+#: uml.cpp:1377 uml.cpp:1383 umlviewimageexporter.cpp:199
 #, kde-format
 msgid "Save As"
 msgstr "Speichern unter"
 
-#: uml.cpp:1369
+#: uml.cpp:1378
 #, kde-format
 msgid ""
 "*.xmi | XMI File (*.xmi);;*.xmi.tgz | Gzip Compressed XMI File (*.xmi.tgz);;"
@@ -7596,7 +7596,7 @@ msgstr ""
 "*.xmi.tar.bz2 | Bzip2-komprimierte XMI-Datei (*.xmi.tar.bz2);;* | Alle "
 "Dateien (*)"
 
-#: uml.cpp:1374
+#: uml.cpp:1383
 #, kde-format
 msgid ""
 "*.xmi|XMI File\n"
@@ -7609,7 +7609,7 @@ msgstr ""
 "*.xmi.tar.bz2|Bzip2-komprimierte XMI-Datei\n"
 "*|Alle Dateien"
 
-#: uml.cpp:1387
+#: uml.cpp:1396
 #, kde-format
 msgid ""
 "The file %1 exists.\n"
@@ -7618,67 +7618,67 @@ msgstr ""
 "Die Datei „%1“ existiert bereits.\n"
 "Soll sie überschrieben werden?"
 
-#: uml.cpp:1388
+#: uml.cpp:1397
 #, kde-format
 msgid "Warning"
 msgstr "Warnung"
 
-#: uml.cpp:1388
+#: uml.cpp:1397
 #, kde-format
 msgid "Overwrite"
 msgstr "Überschreiben"
 
-#: uml.cpp:1422
+#: uml.cpp:1431
 #, kde-format
 msgid "Closing file..."
 msgstr "Datei wird geschlossen ..."
 
-#: uml.cpp:1432
+#: uml.cpp:1441
 #, kde-format
 msgid "No search term entered"
 msgstr "Kein Suchbegriff eingegeben"
 
-#: uml.cpp:1438
+#: uml.cpp:1447
 #, kde-format
 msgid "'%1': %2 found"
 msgstr "'%1': %2 gefunden"
 
-#: uml.cpp:1502
+#: uml.cpp:1511
 #, kde-format
 msgid "Print Preview..."
 msgstr "Druckvorschau ..."
 
-#: uml.cpp:1529
+#: uml.cpp:1538
 #, kde-format
 msgid "Printing..."
 msgstr "Druckvorgang läuft ..."
 
-#: uml.cpp:1536 uml.cpp:1540
+#: uml.cpp:1545 uml.cpp:1549
 #, kde-format
 msgid "Print %1"
 msgstr "„%1“ drucken"
 
-#: uml.cpp:1560
+#: uml.cpp:1569
 #, kde-format
 msgid "Exiting..."
 msgstr "Es wird beendet ..."
 
-#: uml.cpp:1647
+#: uml.cpp:1656
 #, kde-format
 msgid "Cutting selection..."
 msgstr "Auswahl wird ausgeschnitten ..."
 
-#: uml.cpp:1670
+#: uml.cpp:1679
 #, kde-format
 msgid "Copying selection to clipboard..."
 msgstr "Auswahl wird in Zwischenablage kopiert ..."
 
-#: uml.cpp:1682
+#: uml.cpp:1691
 #, kde-format
 msgid "Inserting clipboard contents..."
 msgstr "Inhalt der Zwischenablage wird eingefügt ..."
 
-#: uml.cpp:1687
+#: uml.cpp:1696
 #, kde-format
 msgid ""
 "Umbrello could not paste the clipboard contents.  The objects in the "
@@ -7688,41 +7688,41 @@ msgstr ""
 "der Zwischenablage hat möglicherweise den falschen Typ, um hier eingefügt zu "
 "werden."
 
-#: uml.cpp:1713 umlviewimageexporter.cpp:92 umlviewimageexporterall.cpp:123
+#: uml.cpp:1722 umlviewimageexporter.cpp:92 umlviewimageexporterall.cpp:123
 #, kde-format
 msgctxt "reset status bar"
 msgid "Ready."
 msgstr "Fertig."
 
-#: uml.cpp:2246
+#: uml.cpp:2255
 #, kde-format
 msgid "Cannot view code until you generate some first."
 msgstr ""
 "Es kann kein Quelltext anzeigt werden, wenn noch keiner generiert wurde."
 
-#: uml.cpp:2246 uml.cpp:2249
+#: uml.cpp:2255 uml.cpp:2258
 #, kde-format
 msgid "Cannot View Code"
 msgstr "Der Quelltext kann nicht angezeigt werden."
 
-#: uml.cpp:2249
+#: uml.cpp:2258
 #, kde-format
 msgid "Cannot view code from simple code writer."
 msgstr ""
 "Der von der aktuellen Quelltext-Erstellung erzeugte Quellcode kann nicht "
 "angezeigt werden."
 
-#: uml.cpp:2714 uml.cpp:2716
+#: uml.cpp:2728 uml.cpp:2730
 #, kde-format
 msgid "Select file(s) to import:"
 msgstr "Datei(en) für Import wählen:"
 
-#: uml.cpp:2747 uml.cpp:2749
+#: uml.cpp:2761 uml.cpp:2763
 #, kde-format
 msgid "Select directory to import:"
 msgstr "Ordner für Import wählen:"
 
-#: uml.cpp:3313
+#: uml.cpp:3335
 #, kde-format
 msgid "XHTML Generation failed ."
 msgstr "XHTML-Erstellung fehlgeschlagen."
@@ -7736,20 +7736,20 @@ msgstr ""
 "Eine Operation mit dieser Signatur existiert bereits und kann nicht noch "
 "einmal hinzugefügt werden."
 
-#: uml1model/folder.cpp:435
+#: uml1model/folder.cpp:436
 #, kde-format
 msgid "The folderfile %1 does not exist."
 msgstr "Die Ordnerdatei „%1“ existiert nicht."
 
-#: uml1model/folder.cpp:435 uml1model/folder.cpp:439 umldoc.cpp:529
-#: umldoc.cpp:541 umldoc.cpp:568 umldoc.cpp:570 umldoc.cpp:620 umldoc.cpp:623
-#: umldoc.cpp:638 umldoc.cpp:641 umldoc.cpp:665 umldoc.cpp:668 umldoc.cpp:684
-#: umldoc.cpp:687 umldoc.cpp:702 umldoc.cpp:705 umldoc.cpp:750
+#: uml1model/folder.cpp:436 uml1model/folder.cpp:440 umldoc.cpp:530
+#: umldoc.cpp:542 umldoc.cpp:569 umldoc.cpp:571 umldoc.cpp:621 umldoc.cpp:624
+#: umldoc.cpp:639 umldoc.cpp:642 umldoc.cpp:666 umldoc.cpp:669 umldoc.cpp:685
+#: umldoc.cpp:688 umldoc.cpp:703 umldoc.cpp:706 umldoc.cpp:751
 #, kde-format
 msgid "Load Error"
 msgstr "Fehler beim Laden."
 
-#: uml1model/folder.cpp:439
+#: uml1model/folder.cpp:440
 #, kde-format
 msgid "The folderfile %1 cannot be opened."
 msgstr "Die Ordnerdatei „%1“ scheint beschädigt zu sein."
@@ -7759,13 +7759,13 @@ msgstr "Die Ordnerdatei „%1“ scheint
 msgid "new_parameter"
 msgstr "neuer_parameter"
 
-#: uml1model/package.cpp:163
+#: uml1model/package.cpp:169
 #, kde-format
 msgctxt "object name"
 msgid "Name"
 msgstr "Name"
 
-#: uml1model/package.cpp:164
+#: uml1model/package.cpp:170
 #, kde-format
 msgid ""
 "An object with the name %1\n"
@@ -7791,77 +7791,77 @@ msgstr "neues_feld"
 msgid "new_fkey_constraint"
 msgstr "neue_fremdschluessel_einschraenkung"
 
-#: uml1model/umlobject.cpp:1140
+#: uml1model/umlobject.cpp:1141
 #, kde-format
 msgid "Actor &name:"
 msgstr "Akteur&name:"
 
-#: uml1model/umlobject.cpp:1143
+#: uml1model/umlobject.cpp:1144
 #, kde-format
 msgid "Artifact &name:"
 msgstr "Artefakt&name:"
 
-#: uml1model/umlobject.cpp:1146
+#: uml1model/umlobject.cpp:1147
 #, kde-format
 msgid "Association &name:"
 msgstr "Assoziations&name:"
 
-#: uml1model/umlobject.cpp:1149
+#: uml1model/umlobject.cpp:1150
 #, kde-format
 msgid "Class &name:"
 msgstr "&Klassenname:"
 
-#: uml1model/umlobject.cpp:1152
+#: uml1model/umlobject.cpp:1153
 #, kde-format
 msgid "Component &name:"
 msgstr "Komponenten&name:"
 
-#: uml1model/umlobject.cpp:1155
+#: uml1model/umlobject.cpp:1156
 #, kde-format
 msgid "Datatype &name:"
 msgstr "Datentyp&name:"
 
-#: uml1model/umlobject.cpp:1158
+#: uml1model/umlobject.cpp:1159
 #, kde-format
 msgid "Entity &name:"
 msgstr "Name &Entität:"
 
-#: uml1model/umlobject.cpp:1161
+#: uml1model/umlobject.cpp:1162
 #, kde-format
 msgid "Enum &name:"
 msgstr "Name &Aufzählung:"
 
-#: uml1model/umlobject.cpp:1164
+#: uml1model/umlobject.cpp:1165
 #, kde-format
 msgid "Folder &name:"
 msgstr "Ordner&name:"
 
-#: uml1model/umlobject.cpp:1167
+#: uml1model/umlobject.cpp:1168
 #, kde-format
 msgid "Interface &name:"
 msgstr "Schnittstellen&name:"
 
-#: uml1model/umlobject.cpp:1170
+#: uml1model/umlobject.cpp:1171
 #, kde-format
 msgid "Node &name:"
 msgstr "Knoten&name:"
 
-#: uml1model/umlobject.cpp:1173
+#: uml1model/umlobject.cpp:1174
 #, kde-format
 msgid "Package &name:"
 msgstr "&Paketname:"
 
-#: uml1model/umlobject.cpp:1176
+#: uml1model/umlobject.cpp:1177
 #, kde-format
 msgid "Port &name:"
 msgstr "Port&name:"
 
-#: uml1model/umlobject.cpp:1182
+#: uml1model/umlobject.cpp:1183
 #, kde-format
 msgid "Use case &name:"
 msgstr "Anwendungsfall&name:"
 
-#: uml1model/umlobject.cpp:1185
+#: uml1model/umlobject.cpp:1186
 #, kde-format
 msgid "Instance name:"
 msgstr "Instanzname:"
@@ -7881,42 +7881,42 @@ msgstr "&Stereotypen"
 msgid "Welcome"
 msgstr "Willkommen"
 
-#: umldoc.cpp:112 umldoc.cpp:2400 umldoc.cpp:2428
+#: umldoc.cpp:113 umldoc.cpp:2405 umldoc.cpp:2433
 #, kde-format
 msgid "UML Model"
 msgstr "UML-Modell"
 
-#: umldoc.cpp:154
+#: umldoc.cpp:155
 #, kde-format
 msgid "Logical View"
 msgstr "Logische Ansicht"
 
-#: umldoc.cpp:155
+#: umldoc.cpp:156
 #, kde-format
 msgid "Use Case View"
 msgstr "Anwendungsfallansicht"
 
-#: umldoc.cpp:156
+#: umldoc.cpp:157
 #, kde-format
 msgid "Component View"
 msgstr "Komponentenansicht"
 
-#: umldoc.cpp:157
+#: umldoc.cpp:158
 #, kde-format
 msgid "Deployment View"
 msgstr "Verteilungsansicht"
 
-#: umldoc.cpp:158
+#: umldoc.cpp:159
 #, kde-format
 msgid "Entity Relationship Model"
 msgstr "Entitäten-Beziehungs-Modell"
 
-#: umldoc.cpp:184
+#: umldoc.cpp:185
 #, kde-format
 msgid "Datatypes"
 msgstr "Datentypen"
 
-#: umldoc.cpp:363
+#: umldoc.cpp:364
 #, kde-format
 msgid ""
 "The current file has been modified.\n"
@@ -7925,166 +7925,166 @@ msgstr ""
 "Die aktuelle Datei wurde verändert.\n"
 "Möchten Sie die Datei jetzt speichern?"
 
-#: umldoc.cpp:364
+#: umldoc.cpp:365
 #, kde-format
 msgctxt "warning message"
 msgid "Warning"
 msgstr "Warnung"
 
-#: umldoc.cpp:529
+#: umldoc.cpp:530
 #, kde-format
 msgid "The file <%1> does not exist."
 msgstr "Die Datei „%1“ existiert nicht."
 
-#: umldoc.cpp:541
+#: umldoc.cpp:542
 #, kde-format
 msgid "The file %1 does not exist."
 msgstr "Die Datei „%1“ existiert nicht."
 
-#: umldoc.cpp:568 umldoc.cpp:570
+#: umldoc.cpp:569 umldoc.cpp:571
 #, kde-format
 msgid "The file %1 seems to be corrupted."
 msgstr "Die Datei „%1“ scheint beschädigt zu sein."
 
-#: umldoc.cpp:619 umldoc.cpp:622 umldoc.cpp:637 umldoc.cpp:640 umldoc.cpp:683
-#: umldoc.cpp:686
+#: umldoc.cpp:620 umldoc.cpp:623 umldoc.cpp:638 umldoc.cpp:641 umldoc.cpp:684
+#: umldoc.cpp:687
 #, kde-format
 msgid "There was no XMI file found in the compressed file %1."
 msgstr "In der gepackten Datei „%1“ kann keine XMI-Datei gefunden werden."
 
-#: umldoc.cpp:664 umldoc.cpp:667
+#: umldoc.cpp:665 umldoc.cpp:668
 #, kde-format
 msgid "There was a problem loading the extracted file: %1"
 msgstr "Beim Laden der entpackten Datei „%1“ ist ein Fehler aufgetreten."
 
-#: umldoc.cpp:701 umldoc.cpp:704 umldoc.cpp:744 umldoc.cpp:746
+#: umldoc.cpp:702 umldoc.cpp:705 umldoc.cpp:745 umldoc.cpp:747
 #, kde-format
 msgid "There was a problem loading file: %1"
 msgstr "Beim Laden der Datei „%1“ ist ein Fehler aufgetreten."
 
-#: umldoc.cpp:749
+#: umldoc.cpp:750
 #, kde-format
 msgid "Reason: %1"
 msgstr ""
 
-#: umldoc.cpp:832 umldoc.cpp:834 umldoc.cpp:851 umldoc.cpp:853 umldoc.cpp:873
-#: umldoc.cpp:875 umldoc.cpp:924 umldoc.cpp:926 umldoc.cpp:966 umldoc.cpp:969
-#: umldoc.cpp:978 umldoc.cpp:980 umllistview.cpp:593
+#: umldoc.cpp:833 umldoc.cpp:835 umldoc.cpp:852 umldoc.cpp:854 umldoc.cpp:874
+#: umldoc.cpp:876 umldoc.cpp:925 umldoc.cpp:927 umldoc.cpp:968 umldoc.cpp:971
+#: umldoc.cpp:980 umldoc.cpp:982 umllistview.cpp:594
 #, kde-format
 msgid "Save Error"
 msgstr "Fehler beim Speichern."
 
-#: umldoc.cpp:832 umldoc.cpp:851 umldoc.cpp:873 umldoc.cpp:924 umldoc.cpp:966
+#: umldoc.cpp:833 umldoc.cpp:852 umldoc.cpp:874 umldoc.cpp:925 umldoc.cpp:968
 #, kde-format
 msgid "There was a problem saving: %1"
 msgstr "Beim Speichern von „%1“ ist ein Fehler aufgetreten."
 
-#: umldoc.cpp:834 umldoc.cpp:853 umldoc.cpp:875 umldoc.cpp:926 umldoc.cpp:969
-#: umllistview.cpp:592 umlviewimageexportermodel.cpp:303
+#: umldoc.cpp:835 umldoc.cpp:854 umldoc.cpp:876 umldoc.cpp:927 umldoc.cpp:971
+#: umllistview.cpp:593 umlviewimageexportermodel.cpp:303
 #, kde-format
 msgid "There was a problem saving file: %1"
 msgstr "Beim Speichern der Datei „%1“ ist ein Fehler aufgetreten."
 
-#: umldoc.cpp:978
+#: umldoc.cpp:980
 #, kde-format
 msgid "There was a problem uploading: %1"
 msgstr "Beim Hochladen von „%1“ ist ein Fehler aufgetreten."
 
-#: umldoc.cpp:980
+#: umldoc.cpp:982
 #, kde-format
 msgid "There was a problem uploading file: %1"
 msgstr "Beim Hochladen der Datei „%1“ ist ein Fehler aufgetreten."
 
-#: umldoc.cpp:1526
+#: umldoc.cpp:1528
 #, kde-format
 msgid "use case diagram"
 msgstr "Anwendungsfalldiagramm"
 
-#: umldoc.cpp:1529
+#: umldoc.cpp:1531
 #, kde-format
 msgid "class diagram"
 msgstr "Klassendiagramm"
 
-#: umldoc.cpp:1532
+#: umldoc.cpp:1534
 #, kde-format
 msgid "sequence diagram"
 msgstr "Sequenzdiagramm"
 
-#: umldoc.cpp:1535
+#: umldoc.cpp:1537
 #, kde-format
 msgid "communication diagram"
 msgstr "Kommunikationsdiagramm"
 
-#: umldoc.cpp:1538
+#: umldoc.cpp:1540
 #, kde-format
 msgid "object diagram"
 msgstr "Objektdiagramm"
 
-#: umldoc.cpp:1541
+#: umldoc.cpp:1543
 #, kde-format
 msgid "state diagram"
 msgstr "Zustandsdiagramm"
 
-#: umldoc.cpp:1544
+#: umldoc.cpp:1546
 #, kde-format
 msgid "activity diagram"
 msgstr "Aktivitätsdiagramm"
 
-#: umldoc.cpp:1547
+#: umldoc.cpp:1549
 #, kde-format
 msgid "component diagram"
 msgstr "Komponentendiagramm"
 
-#: umldoc.cpp:1550
+#: umldoc.cpp:1552
 #, kde-format
 msgid "deployment diagram"
 msgstr "Verteilungsdiagramm"
 
-#: umldoc.cpp:1553
+#: umldoc.cpp:1555
 #, kde-format
 msgid "entity relationship diagram"
 msgstr "Entitäten-Beziehungs-Diagramm"
 
-#: umldoc.cpp:1623
+#: umldoc.cpp:1625
 #, kde-format
 msgctxt "diagram name"
 msgid "Name"
 msgstr "Name"
 
-#: umldoc.cpp:1623 umldoc.cpp:1686 umldoc.cpp:1715 umldoc.cpp:1749
+#: umldoc.cpp:1625 umldoc.cpp:1688 umldoc.cpp:1717 umldoc.cpp:1751
 #, kde-format
 msgid "Enter name:"
 msgstr "Namen eingeben:"
 
-#: umldoc.cpp:1627 umldoc.cpp:1692
+#: umldoc.cpp:1629 umldoc.cpp:1694
 #, kde-format
 msgid "That is an invalid name for a diagram."
 msgstr "Das ist ein ungültiger Name für ein Diagramm."
 
-#: umldoc.cpp:1629 umldoc.cpp:1699
+#: umldoc.cpp:1631 umldoc.cpp:1701
 #, kde-format
 msgid "A diagram is already using that name."
 msgstr "Es existiert bereits ein Diagramm mit diesem Namen."
 
-#: umldoc.cpp:1685
+#: umldoc.cpp:1687
 #, kde-format
 msgctxt "renaming diagram"
 msgid "Name"
 msgstr "Name"
 
-#: umldoc.cpp:1714
+#: umldoc.cpp:1716
 #, kde-format
 msgctxt "renaming uml object"
 msgid "Name"
 msgstr "Name"
 
-#: umldoc.cpp:1748
+#: umldoc.cpp:1750
 #, kde-format
 msgctxt "renaming child uml object"
 msgid "Name"
 msgstr "Name"
 
-#: umldoc.cpp:1758
+#: umldoc.cpp:1760
 #, kde-format
 msgid ""
 "The name you entered was not unique.\n"
@@ -8093,62 +8093,62 @@ msgstr ""
 "Der eingegebene Name ist nicht eindeutig.\n"
 "Ist dies beabsichtigt?"
 
-#: umldoc.cpp:1759
+#: umldoc.cpp:1761
 #, kde-format
 msgid "Use Name"
 msgstr "Namen beibehalten"
 
-#: umldoc.cpp:1759
+#: umldoc.cpp:1761
 #, kde-format
 msgid "Enter New Name"
 msgstr "Neuen Namen eingeben"
 
-#: umldoc.cpp:2361
+#: umldoc.cpp:2366
 #, kde-format
 msgid "Unsupported xmi file version: %1"
 msgstr ""
 
-#: umldoc.cpp:2511
+#: umldoc.cpp:2516
 #, kde-format
 msgid "Setting up the document..."
 msgstr "Dokument wird vorbereitet ..."
 
-#: umldoc.cpp:2540
+#: umldoc.cpp:2545
 #, kde-format
 msgid "Resolving object references..."
 msgstr "Objektreferenzen werden aufgelöst ..."
 
-#: umldoc.cpp:2648
+#: umldoc.cpp:2653
 #, kde-format
 msgid "Loading UML elements..."
 msgstr "UML-Elemente werden geladen ..."
 
-#: umldoc.cpp:2892
+#: umldoc.cpp:2899
 #, kde-format
 msgid "Loading diagrams..."
 msgstr "Diagramme werden geladen ..."
 
-#: umldoc.cpp:3400
+#: umldoc.cpp:3409
 #, kde-format
 msgid "/autosave%1"
 msgstr "/autospeichern%1"
 
-#: umllistview.cpp:536 umllistview.cpp:540
+#: umllistview.cpp:537 umllistview.cpp:541
 #, kde-format
 msgid "Externalize Folder"
 msgstr "Ordner auslagern"
 
-#: umllistview.cpp:574
+#: umllistview.cpp:575
 #, kde-format
 msgid "Folder %1 must be relative to the main model directory, %2."
 msgstr "Ordner %1 muss relativ zum Hauptmodell-Ordner %2 sein."
 
-#: umllistview.cpp:575
+#: umllistview.cpp:576
 #, kde-format
 msgid "Path Error"
 msgstr "Pfad-Fehler"
 
-#: umllistview.cpp:583
+#: umllistview.cpp:584
 #, kde-format
 msgid ""
 "File %1 already exists!\n"
@@ -8157,65 +8157,65 @@ msgstr ""
 "Die Datei %1 ist bereits vorhanden.\n"
 "Die vorhandene Datei wird überschrieben."
 
-#: umllistview.cpp:584
+#: umllistview.cpp:585
 #, kde-format
 msgid "File Exist"
 msgstr "Die Datei existiert bereits"
 
-#: umllistview.cpp:624
+#: umllistview.cpp:625
 #, kde-format
 msgid "Enter Model Name"
 msgstr "Modellnamen eingeben"
 
-#: umllistview.cpp:625
+#: umllistview.cpp:626
 #, kde-format
 msgid "Enter the new name of the model:"
 msgstr "Geben Sie den neuen Namen des Modells ein:"
 
-#: umllistview.cpp:1422
+#: umllistview.cpp:1430
 #, kde-format
 msgid "Views"
 msgstr "Ansichten"
 
-#: umllistview.cpp:1441
+#: umllistview.cpp:1449
 #, kde-format
 msgid "Settings"
 msgstr "Einstellungen"
 
-#: umllistview.cpp:2413
+#: umllistview.cpp:2421
 #, kde-format
 msgid "Loading listview..."
 msgstr "Listendarstellung wird geladen ..."
 
-#: umllistview.cpp:2764
+#: umllistview.cpp:2772
 #, fuzzy, kde-format
 #| msgid "The folder must be emptied before it can be deleted."
 msgid "The class must be emptied before it can be deleted."
 msgstr "Der Ordner muss leer sein bevor er gelöscht werden kann."
 
-#: umllistview.cpp:2765
+#: umllistview.cpp:2773
 #, fuzzy, kde-format
 #| msgid "Folder Not Empty"
 msgid "Class Not Empty"
 msgstr "Der Ordner ist nicht leer."
 
-#: umllistview.cpp:2769
+#: umllistview.cpp:2777
 #, fuzzy, kde-format
 #| msgid "The folder must be emptied before it can be deleted."
 msgid "The package must be emptied before it can be deleted."
 msgstr "Der Ordner muss leer sein bevor er gelöscht werden kann."
 
-#: umllistview.cpp:2770
+#: umllistview.cpp:2778
 #, kde-format
 msgid "Package Not Empty"
 msgstr "Paket ist nicht leer"
 
-#: umllistview.cpp:2774
+#: umllistview.cpp:2782
 #, kde-format
 msgid "The folder must be emptied before it can be deleted."
 msgstr "Der Ordner muss leer sein bevor er gelöscht werden kann."
 
-#: umllistview.cpp:2775
+#: umllistview.cpp:2783
 #, kde-format
 msgid "Folder Not Empty"
 msgstr "Der Ordner ist nicht leer."
diff -pruN 4:20.08.3-1/po/el/umbrello.po 4:20.12.0-0ubuntu1/po/el/umbrello.po
--- 4:20.08.3-1/po/el/umbrello.po	2020-11-03 00:42:15.000000000 +0000
+++ 4:20.12.0-0ubuntu1/po/el/umbrello.po	2020-12-04 00:21:29.000000000 +0000
@@ -11,7 +11,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: umbrello\n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
-"POT-Creation-Date: 2020-08-14 08:09+0200\n"
+"POT-Creation-Date: 2020-11-06 02:36+0100\n"
 "PO-Revision-Date: 2018-10-18 16:33+0300\n"
 "Last-Translator: Long Run <pvidalis@gmail.com>\n"
 "Language-Team: Greek <kde-i18n-doc@kde.org>\n"
@@ -213,7 +213,7 @@ msgstr ""
 "επειδή ένα αντικείμενο με το ίδιο όνομα υπάρχει ήδη.  Όλα τα υπόλοιπα "
 "αντικείμενα επικολλήθηκαν."
 
-#: clipboard/umlclipboard.cpp:753 uml.cpp:1689
+#: clipboard/umlclipboard.cpp:753 uml.cpp:1698
 #, kde-format
 msgid "Paste Error"
 msgstr "Σφάλμα επικόλλησης"
@@ -439,7 +439,7 @@ msgstr "<p align=\"center\">C++ Δημι
 #. i18n: ectx: attribute (title), widget (QWidget, ui_tabGeneral)
 #: codegenerators/cpp/cppcodegenerationformbase.ui:51
 #: codegenwizard/codegenoptionspage.ui:39 dialogs/objectnodedialog.cpp:135
-#: umllistview.cpp:1451
+#: umllistview.cpp:1459
 #, kde-format
 msgid "General"
 msgstr "Γενικά"
@@ -1321,7 +1321,7 @@ msgstr "Κατάσταση"
 #. i18n: ectx: property (text), widget (QRadioButton, ui_categoryClass)
 #. i18n: ectx: property (text), widget (QTableWidget, ui_tableWidgetStatus)
 #: codegenwizard/codegenstatuspage.ui:40 codeimpwizard/codeimpstatuspage.ui:54
-#: dialogs/finddialog.ui:89 umllistview.cpp:1446 umlwidgets/widgetbase.cpp:1255
+#: dialogs/finddialog.ui:89 umllistview.cpp:1454 umlwidgets/widgetbase.cpp:1255
 #, kde-format
 msgid "Class"
 msgstr "Κλάση"
@@ -1975,18 +1975,18 @@ msgstr "Ενεργοποιήστε τα
 msgid "Enable 'delete diagram' related messages"
 msgstr "Ενεργοποιήστε τα μηνύματα σχετικά με τη διαγραφή διαγραμμάτων"
 
-#: dialogs/dialog_utils.cpp:117
+#: dialogs/dialog_utils.cpp:118
 #, kde-format
 msgid "You are about to delete an association. Do you really want to continue?"
 msgstr ""
 "Πρόκειται να διαγράψετε μια συσχέτιση. Θέλετε πραγματικά να συνεχίσετε;"
 
-#: dialogs/dialog_utils.cpp:118
+#: dialogs/dialog_utils.cpp:119
 #, kde-format
 msgid "Delete Association"
 msgstr "Διαγραφή συσχέτισης"
 
-#: dialogs/dialog_utils.cpp:132
+#: dialogs/dialog_utils.cpp:133
 #, kde-format
 msgid ""
 "You are about to delete the entire diagram.\n"
@@ -1995,17 +1995,17 @@ msgstr ""
 "Πρόκειται να διαγράψετε ολόκληρο το διάγραμμα.\n"
 "Είστε σίγουροι;"
 
-#: dialogs/dialog_utils.cpp:133
+#: dialogs/dialog_utils.cpp:134
 #, kde-format
 msgid "Are you sure you want to delete diagram %1?"
 msgstr "Είστε σίγουροι ότι επιθυμείτε τη διαγραφή του διαγράμματος %1;"
 
-#: dialogs/dialog_utils.cpp:138
+#: dialogs/dialog_utils.cpp:139
 #, kde-format
 msgid "Delete Diagram?"
 msgstr "Διαγραφή διαγράμματος;"
 
-#: dialogs/dialog_utils.cpp:139 dialogs/pages/classifierlistpage.cpp:215
+#: dialogs/dialog_utils.cpp:140 dialogs/pages/classifierlistpage.cpp:215
 #: dialogs/pages/classifierlistpage.cpp:223
 #: dialogs/umlforeignkeyconstraintdialog.cpp:325
 #: dialogs/umlforeignkeyconstraintdialog.cpp:331
@@ -2171,7 +2171,7 @@ msgstr "Γενικά"
 #. i18n: ectx: label, entry (uiFont), group (UI Options)
 #. i18n: ectx: label, entry (codeViewerFont), group (Code Viewer Options)
 #: dialogs/multipagedialogbase.cpp:405 umbrello.kcfg:177 umbrello.kcfg:292
-#: umllistview.cpp:1450
+#: umllistview.cpp:1458
 #, kde-format
 msgid "Font"
 msgstr "Γραμματοσειρά"
@@ -2605,7 +2605,7 @@ msgstr "Νέο χαρα&κτηριστι
 
 #: dialogs/pages/classifierlistpage.cpp:217
 #: dialogs/pages/classifierlistpage.cpp:225 dialogs/umloperationdialog.cpp:167
-#: dialogs/umloperationdialog.cpp:175 uml.cpp:554
+#: dialogs/umloperationdialog.cpp:175 uml.cpp:563
 #, kde-format
 msgid "&Properties"
 msgstr "&Ιδιότητες"
@@ -2623,7 +2623,7 @@ msgid "Source Code"
 msgstr "Πηγαίος κώδικας"
 
 #: dialogs/pages/classoptionspage.cpp:157
-#: dialogs/pages/classoptionspage.cpp:251 uml.cpp:509
+#: dialogs/pages/classoptionspage.cpp:251 uml.cpp:518
 #, fuzzy, kde-format
 #| msgid "Documentation"
 msgid "&Documentation"
@@ -2814,8 +2814,8 @@ msgstr "Το όνομα που εισά
 #: uml1model/classifier.cpp:410 uml1model/classifier.cpp:781
 #: uml1model/entity.cpp:125 uml1model/entity.cpp:178 uml1model/entity.cpp:228
 #: uml1model/entity.cpp:277 uml1model/enum.cpp:107 uml1model/instance.cpp:124
-#: uml1model/package.cpp:172 umldoc.cpp:1627 umldoc.cpp:1692 umldoc.cpp:1721
-#: umldoc.cpp:1755
+#: uml1model/package.cpp:178 umldoc.cpp:1629 umldoc.cpp:1694 umldoc.cpp:1723
+#: umldoc.cpp:1757
 #, kde-format
 msgid "Invalid Name"
 msgstr "Μη έγκυρο όνομα"
@@ -2825,7 +2825,7 @@ msgstr "Μη έγκυρο όνομα"
 msgid "The name you have entered is not unique."
 msgstr "Το όνομα που εισάγατε δεν είναι μοναδικό."
 
-#: dialogs/pages/diagrampropertiespage.cpp:86 umldoc.cpp:1759
+#: dialogs/pages/diagrampropertiespage.cpp:86 umldoc.cpp:1761
 #, kde-format
 msgid "Name Not Unique"
 msgstr "Μη μοναδικό όνομα"
@@ -3313,7 +3313,7 @@ msgstr "&Διάγραμμα"
 msgid "Umbrello Setup"
 msgstr "Ρύθμιση Umbrello"
 
-#: dialogs/settingsdialog.cpp:114 umllistview.cpp:1452
+#: dialogs/settingsdialog.cpp:114 umllistview.cpp:1460
 #, kde-format
 msgid "User Interface"
 msgstr "Περιβάλλον χρήστη"
@@ -3340,7 +3340,7 @@ msgstr "Κλάση"
 msgid "Class Settings"
 msgstr "Ρυθμίσεις κλάσης"
 
-#: dialogs/settingsdialog.cpp:137 umllistview.cpp:1447
+#: dialogs/settingsdialog.cpp:137 umllistview.cpp:1455
 #, fuzzy, kde-format
 #| msgid "Not Generated"
 msgid "Code Importer"
@@ -3351,7 +3351,7 @@ msgstr "Δε δημιουργήθηκε"
 msgid "Code Import Settings"
 msgstr "Ρυθμίσεις εισαγωγής κώδικα"
 
-#: dialogs/settingsdialog.cpp:146 umllistview.cpp:1448
+#: dialogs/settingsdialog.cpp:146 umllistview.cpp:1456
 #, kde-format
 msgid "Code Generation"
 msgstr "Δημιουργία κώδικα"
@@ -3361,7 +3361,7 @@ msgstr "Δημιουργία κώδικ
 msgid "Code Generation Settings"
 msgstr "Ρυθμίσεις δημιουργίας κώδικα"
 
-#: dialogs/settingsdialog.cpp:154 umllistview.cpp:1449
+#: dialogs/settingsdialog.cpp:154 umllistview.cpp:1457
 #, kde-format
 msgid "Code Viewer"
 msgstr "Προβολέας κώδικα"
@@ -3371,7 +3371,7 @@ msgstr "Προβολέας κώδικα"
 msgid "Code Viewer Settings"
 msgstr "Ρυθμίσεις προβολής κώδικα"
 
-#: dialogs/settingsdialog.cpp:161 umllistview.cpp:1445
+#: dialogs/settingsdialog.cpp:161 umllistview.cpp:1453
 #, fuzzy, kde-format
 #| msgid "Auto Save"
 msgid "Auto Layout"
@@ -4039,7 +4039,7 @@ msgstr "&Τύπος:"
 msgid "Package path:"
 msgstr "Διαδρομή πακέτου:"
 
-#: dialogs/widgets/umlstereotypewidget.cpp:29 uml1model/umlobject.cpp:1179
+#: dialogs/widgets/umlstereotypewidget.cpp:29 uml1model/umlobject.cpp:1180
 #, fuzzy, kde-format
 #| msgid "Stereotype name:"
 msgid "Stereotype &name:"
@@ -4186,7 +4186,7 @@ msgstr ""
 msgid "Gael de Chalendar (aka Kleag)"
 msgstr "Gael de Chalendar (aka Kleag)"
 
-#: docgenerators/main.cpp:56 main.cpp:131
+#: docgenerators/main.cpp:56 main.cpp:133
 #, kde-format
 msgid "Umbrello UML Modeller Authors"
 msgstr "Συγγραφείς μοντελοποιητή Umbrello UML"
@@ -4250,12 +4250,12 @@ msgstr ""
 msgid "Apply layout"
 msgstr "Αυτόματη αποθήκευση"
 
-#: main.cpp:121
+#: main.cpp:123
 #, kde-format
 msgid "Umbrello UML Modeller"
 msgstr "Μοντελοποιητής Umbrello UML"
 
-#: main.cpp:123
+#: main.cpp:125
 #, kde-format
 msgid ""
 "Umbrello – Visual development environment for software, based on the "
@@ -4263,7 +4263,7 @@ msgid ""
 "\"http://www.omg.org/spec/\">http://www.omg.org/spec/</a>."
 msgstr ""
 
-#: main.cpp:127
+#: main.cpp:129
 #, fuzzy, kde-format
 #| msgid "(c) 2001 Paul Hensgen, (c) 2002-2012 Umbrello UML Modeller Authors"
 msgid ""
@@ -4273,100 +4273,100 @@ msgstr ""
 "(c) 2001 Paul Hensgen, (c) 2002-2012 οι συγγραφείς του Μοντελοποιητή "
 "Umbrello UML"
 
-#: main.cpp:130
+#: main.cpp:132
 #, kde-format
 msgid "Paul Hensgen"
 msgstr "Paul Hensgen"
 
-#: main.cpp:130
+#: main.cpp:132
 #, kde-format
 msgid "Author of initial version."
 msgstr ""
 
-#: main.cpp:134
+#: main.cpp:136
 #, kde-format
 msgid "Oliver Kellogg"
 msgstr ""
 
-#: main.cpp:135 main.cpp:138
+#: main.cpp:137 main.cpp:140
 #, kde-format
 msgid "Bug fixing, porting work, code cleanup, new features."
 msgstr ""
 
-#: main.cpp:137
+#: main.cpp:139
 #, kde-format
 msgid "Ralf Habacker"
 msgstr ""
 
-#: main.cpp:140
+#: main.cpp:142
 #, kde-format
 msgid "Andi Fischer"
 msgstr ""
 
-#: main.cpp:141
+#: main.cpp:143
 #, kde-format
 msgid "Porting work, code cleanup, new features."
 msgstr ""
 
-#: main.cpp:143
+#: main.cpp:145
 #, kde-format
 msgid "Jonathan Riddell"
 msgstr ""
 
-#: main.cpp:144
+#: main.cpp:146
 #, fuzzy, kde-format
 #| msgid "&Current diagram"
 msgid "Current maintainer."
 msgstr "&Τρέχον διάγραμμα"
 
-#: main.cpp:146
+#: main.cpp:148
 #, kde-format
 msgid "Brian Thomas"
 msgstr ""
 
-#: main.cpp:147
+#: main.cpp:149
 #, kde-format
 msgid "A lot of work for C++ and Java code generation. Codeeditor."
 msgstr ""
 
-#: main.cpp:152
+#: main.cpp:154
 #, kde-format
 msgid "File to open"
 msgstr "Αρχείο για άνοιγμα"
 
-#: main.cpp:153
+#: main.cpp:155
 #, kde-format
 msgid "export diagrams to extension and exit"
 msgstr "εξαγωγή διαγραμμάτων σε επέκταση και έξοδος"
 
-#: main.cpp:154
+#: main.cpp:156
 #, kde-format
 msgid "list available export extensions"
 msgstr "λίστα διαθέσιμων επεκτάσεων εξαγωγής"
 
-#: main.cpp:155
+#: main.cpp:157
 #, kde-format
 msgid "the local directory to save the exported diagrams in"
 msgstr "ο τοπικός κατάλογος στον οποίο θα αποθηκευτούν τα διαγράμματα"
 
-#: main.cpp:155
+#: main.cpp:157
 #, kde-format
 msgid "the directory of the file"
 msgstr "ο κατάλογος του αρχείου"
 
-#: main.cpp:156
+#: main.cpp:158
 #, fuzzy, kde-format
 #| msgid "importing file ..."
 msgid "import files"
 msgstr "εισαγωγή αρχείου..."
 
-#: main.cpp:157
+#: main.cpp:159
 #, fuzzy, kde-format
 #| msgid "All Supported Files"
 msgid "list supported languages"
 msgstr "Όλα τα υποστηριζόμενα αρχεία"
 
-#: main.cpp:158
+#: main.cpp:160
 #, kde-format
 msgid ""
 "keep the tree structure used to store the views in the document in the "
@@ -4375,13 +4375,13 @@ msgstr ""
 "διατήρηση της δενδρικής δομής που χρησιμοποιείται για την αποθήκευση των "
 "προβολών στο έγγραφο στον κατάλογο προορισμού"
 
-#: main.cpp:159
+#: main.cpp:161
 #, fuzzy, kde-format
 #| msgid "Import Project..."
 msgid "import files from directory <dir>"
 msgstr "Εισαγωγή έργου..."
 
-#: main.cpp:163
+#: main.cpp:165
 #, fuzzy, kde-format
 #| msgid "Active &Language"
 msgid "set active language"
@@ -4656,7 +4656,7 @@ msgstr "Εμφάνιση καταστρ
 msgid "Import File(s)..."
 msgstr "Εισαγωγή κλάσεων..."
 
-#: menus/listpopupmenu.cpp:201 uml.cpp:356
+#: menus/listpopupmenu.cpp:201 uml.cpp:365
 #, fuzzy, kde-format
 #| msgid "Import Project..."
 msgid "Import from Directory..."
@@ -5187,42 +5187,42 @@ msgctxt "align menu"
 msgid "Align"
 msgstr "&Στοίχιση"
 
-#: menus/widgetbasepopupmenu.cpp:598 uml.cpp:573
+#: menus/widgetbasepopupmenu.cpp:598 uml.cpp:582
 #, kde-format
 msgid "Align Right"
 msgstr "Στοίχιση δεξιά"
 
-#: menus/widgetbasepopupmenu.cpp:599 uml.cpp:578
+#: menus/widgetbasepopupmenu.cpp:599 uml.cpp:587
 #, kde-format
 msgid "Align Left"
 msgstr "Στοίχιση αριστερά"
 
-#: menus/widgetbasepopupmenu.cpp:600 uml.cpp:583
+#: menus/widgetbasepopupmenu.cpp:600 uml.cpp:592
 #, kde-format
 msgid "Align Top"
 msgstr "Στοίχιση πάνω"
 
-#: menus/widgetbasepopupmenu.cpp:601 uml.cpp:588
+#: menus/widgetbasepopupmenu.cpp:601 uml.cpp:597
 #, kde-format
 msgid "Align Bottom"
 msgstr "Στοίχιση κάτω"
 
-#: menus/widgetbasepopupmenu.cpp:603 uml.cpp:593
+#: menus/widgetbasepopupmenu.cpp:603 uml.cpp:602
 #, kde-format
 msgid "Align Vertical Middle"
 msgstr "Στοίχιση κατακόρυφη στο μέσο"
 
-#: menus/widgetbasepopupmenu.cpp:604 uml.cpp:598
+#: menus/widgetbasepopupmenu.cpp:604 uml.cpp:607
 #, kde-format
 msgid "Align Horizontal Middle"
 msgstr "Στοίχιση οριζόντια στο μέσο"
 
-#: menus/widgetbasepopupmenu.cpp:605 uml.cpp:603
+#: menus/widgetbasepopupmenu.cpp:605 uml.cpp:612
 #, kde-format
 msgid "Align Vertical Distribute"
 msgstr "Ισοκατανεμημένη κατακόρυφη στοίχιση"
 
-#: menus/widgetbasepopupmenu.cpp:606 uml.cpp:608
+#: menus/widgetbasepopupmenu.cpp:606 uml.cpp:617
 #, kde-format
 msgid "Align Horizontal Distribute"
 msgstr "Ισοκατανεμημένη οριζόντια στοίχιση"
@@ -6158,8 +6158,8 @@ msgstr "Μήνυμα"
 #: object_factory.cpp:251 uml1model/classifier.cpp:410
 #: uml1model/classifier.cpp:781 uml1model/entity.cpp:125
 #: uml1model/entity.cpp:178 uml1model/entity.cpp:228 uml1model/entity.cpp:277
-#: uml1model/enum.cpp:107 uml1model/instance.cpp:124 uml1model/package.cpp:171
-#: umldoc.cpp:1721 umldoc.cpp:1755
+#: uml1model/enum.cpp:107 uml1model/instance.cpp:124 uml1model/package.cpp:177
+#: umldoc.cpp:1723 umldoc.cpp:1757
 #, kde-format
 msgid "That is an invalid name."
 msgstr "Αυτό είναι ένα μη έγκυρο όνομα."
@@ -6180,7 +6180,7 @@ msgstr "Χρησιμοποιημένη 
 #: object_factory.cpp:264 uml1model/classifier.cpp:413
 #: uml1model/classifier.cpp:783 uml1model/entity.cpp:127
 #: uml1model/entity.cpp:180 uml1model/entity.cpp:230 uml1model/entity.cpp:279
-#: uml1model/instance.cpp:126 umldoc.cpp:1727 umldoc.cpp:1764
+#: uml1model/instance.cpp:126 umldoc.cpp:1729 umldoc.cpp:1766
 #, kde-format
 msgid "That name is already being used."
 msgstr "Αυτό το όνομα χρησιμοποιείται ήδη."
@@ -6188,8 +6188,8 @@ msgstr "Αυτό το όνομα χρη
 #: object_factory.cpp:265 uml1model/classifier.cpp:413
 #: uml1model/classifier.cpp:783 uml1model/entity.cpp:127
 #: uml1model/entity.cpp:180 uml1model/entity.cpp:230 uml1model/entity.cpp:279
-#: uml1model/instance.cpp:126 umldoc.cpp:1629 umldoc.cpp:1699 umldoc.cpp:1727
-#: umldoc.cpp:1764
+#: uml1model/instance.cpp:126 umldoc.cpp:1631 umldoc.cpp:1701 umldoc.cpp:1729
+#: umldoc.cpp:1766
 #, kde-format
 msgid "Not a Unique Name"
 msgstr "Το όνομα δεν είναι μοναδικό"
@@ -6250,12 +6250,12 @@ msgstr "Ένα χαρακτηριστι
 msgid "Choose a different name."
 msgstr "Επιλέξτε ένα διαφορετικό όνομα."
 
-#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:266
+#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:273
 #, kde-format
 msgid "Incorrect use of associations."
 msgstr "Εσφαλμένη χρήση των συσχετίσεων."
 
-#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:266
+#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:273
 #, kde-format
 msgid "Association Error"
 msgstr "Σφάλμα συσχέτισης"
@@ -7445,190 +7445,190 @@ msgstr "Ενεργή &γλώσσα"
 msgid "&Settings"
 msgstr "Ρυθμίσεις ρόλων"
 
-#: uml.cpp:332
+#: uml.cpp:341
 #, kde-format
 msgid "&Export model to DocBook"
 msgstr "&Εξαγωγή μοντέλου σε DocBook"
 
-#: uml.cpp:336
+#: uml.cpp:345
 #, kde-format
 msgid "&Export model to XHTML"
 msgstr "&Εξαγωγή μοντέλου σε XHTML"
 
-#: uml.cpp:340
+#: uml.cpp:349
 #, kde-format
 msgid "&New Class Wizard..."
 msgstr "Βοηθός &νέας κλάσης..."
 
-#: uml.cpp:344
+#: uml.cpp:353
 #, kde-format
 msgid "&Add Default Datatypes for Active Language"
 msgstr "&Προσθήκη προκαθορισμένων τύπων δεδομένων για την ενεργή γλώσσα"
 
-#: uml.cpp:351
+#: uml.cpp:360
 #, kde-format
 msgid "Code &Importing Wizard..."
 msgstr "Βοηθός ε&ισαγωγής κώδικα..."
 
-#: uml.cpp:361
+#: uml.cpp:370
 #, kde-format
 msgid "&Code Generation Wizard..."
 msgstr "Βοηθός δημιουργίας &κώδικα..."
 
-#: uml.cpp:366
+#: uml.cpp:375
 #, kde-format
 msgid "&Generate All Code"
 msgstr "&Δημιουργία όλου του κώδικα"
 
-#: uml.cpp:411
+#: uml.cpp:420
 #, kde-format
 msgid "Creates a new document"
 msgstr "Δημιουργία ενός νέου εγγράφου"
 
-#: uml.cpp:412
+#: uml.cpp:421
 #, kde-format
 msgid "Opens an existing document"
 msgstr "Άνοιγμα ενός υπάρχοντος εγγράφου"
 
-#: uml.cpp:413
+#: uml.cpp:422
 #, kde-format
 msgid "Opens a recently used file"
 msgstr "Ανοίγει ένα πρόσφατα χρησιμοποιημένο αρχείο"
 
-#: uml.cpp:414
+#: uml.cpp:423
 #, kde-format
 msgid "Saves the document"
 msgstr "Αποθήκευση του εγγράφου"
 
-#: uml.cpp:415
+#: uml.cpp:424
 #, kde-format
 msgid "Saves the document as..."
 msgstr "Αποθήκευση του εγγράφου ως..."
 
-#: uml.cpp:416
+#: uml.cpp:425
 #, kde-format
 msgid "Closes the document"
 msgstr "Κλείσιμο του εγγράφου"
 
-#: uml.cpp:417
+#: uml.cpp:426
 #, kde-format
 msgid "Prints out the document"
 msgstr "Εκτύπωση του εγγράφου"
 
-#: uml.cpp:418
+#: uml.cpp:427
 #, kde-format
 msgid "Print Preview of the document"
 msgstr "Εκτύπωση προεπισκόπησης του εγγράφου"
 
-#: uml.cpp:419
+#: uml.cpp:428
 #, kde-format
 msgid "Quits the application"
 msgstr "Έξοδος από την εφαρμογή"
 
-#: uml.cpp:420
+#: uml.cpp:429
 #, kde-format
 msgid "Exports the model to the docbook format"
 msgstr "Αποθηκεύει το μοντέλο σε μορφή docbook"
 
-#: uml.cpp:421
+#: uml.cpp:430
 #, kde-format
 msgid "Exports the model to the XHTML format"
 msgstr "Αποθηκεύει το μοντέλο σε μορφή XHTML"
 
-#: uml.cpp:422
+#: uml.cpp:431
 #, kde-format
 msgid "Cuts the selected section and puts it to the clipboard"
 msgstr "Αποκοπή του επιλεγμένου τμήματος και τοποθέτηση στο πρόχειρο"
 
-#: uml.cpp:423
+#: uml.cpp:432
 #, kde-format
 msgid "Copies the selected section to the clipboard"
 msgstr "Αντιγραφή του επιλεγμένου τμήματος στο πρόχειρο"
 
-#: uml.cpp:424
+#: uml.cpp:433
 #, kde-format
 msgid "Pastes the contents of the clipboard"
 msgstr "Επικόλληση των περιεχομένων του πρόχειρου"
 
-#: uml.cpp:425
+#: uml.cpp:434
 #, kde-format
 msgid "Set the default program preferences"
 msgstr "Ορισμός των προκαθορισμένων προτιμήσεων του προγράμματος"
 
-#: uml.cpp:429
+#: uml.cpp:438
 #, kde-format
 msgctxt "delete selected widget"
 msgid "Delete &Selected"
 msgstr "Διαγραφή ε&πιλεγμένου"
 
-#: uml.cpp:440
+#: uml.cpp:449
 #, kde-format
 msgid "&Class Diagram..."
 msgstr "Διάγραμμα &κλάσης..."
 
-#: uml.cpp:447
+#: uml.cpp:456
 #, fuzzy, kde-format
 #| msgid "S&tate Diagram..."
 msgid "&Object Diagram..."
 msgstr "Διάγραμμα κα&τάστασης..."
 
-#: uml.cpp:454
+#: uml.cpp:463
 #, kde-format
 msgid "&Sequence Diagram..."
 msgstr "Διάγραμμα &ακολουθίας..."
 
-#: uml.cpp:460
+#: uml.cpp:469
 #, fuzzy, kde-format
 #| msgid "C&ollaboration Diagram..."
 msgid "C&ommunication Diagram..."
 msgstr "Διάγραμμα &συνεργασίας..."
 
-#: uml.cpp:466
+#: uml.cpp:475
 #, kde-format
 msgid "&Use Case Diagram..."
 msgstr "Διάγραμμα &περίπτωσης χρήσης..."
 
-#: uml.cpp:472
+#: uml.cpp:481
 #, kde-format
 msgid "S&tate Diagram..."
 msgstr "Διάγραμμα κα&τάστασης..."
 
-#: uml.cpp:478
+#: uml.cpp:487
 #, kde-format
 msgid "&Activity Diagram..."
 msgstr "Διάγραμμα &δραστηριότητας..."
 
-#: uml.cpp:484
+#: uml.cpp:493
 #, kde-format
 msgid "Co&mponent Diagram..."
 msgstr "Διάγραμμα συ&στατικού..."
 
-#: uml.cpp:490
+#: uml.cpp:499
 #, kde-format
 msgid "&Deployment Diagram..."
 msgstr "Διάγραμμα ετο&ιμασίας..."
 
-#: uml.cpp:496
+#: uml.cpp:505
 #, kde-format
 msgid "&Entity Relationship Diagram..."
 msgstr "Διάγραμμα σχέσεων ο&ντότητας..."
 
-#: uml.cpp:501 uml.cpp:954
+#: uml.cpp:510 uml.cpp:963
 #, kde-format
 msgid "&Tree View"
 msgstr "Προβολή &δέντρου"
 
-#: uml.cpp:505
+#: uml.cpp:514
 #, kde-format
 msgid "&Debugging"
 msgstr ""
 
-#: uml.cpp:513
+#: uml.cpp:522
 #, kde-format
 msgid "&Logging"
 msgstr ""
 
-#: uml.cpp:517
+#: uml.cpp:526
 #, fuzzy, kde-format
 #| msgid "Co&mmand history"
 msgid "&Command history"
@@ -7638,138 +7638,138 @@ msgstr "Ιστορικό &εντολών
 #. m_propertyDock->setObjectName(QLatin1String("PropertyDock"));
 #. addDockWidget(Qt::LeftDockWidgetArea, m_propertyDock);  //:TODO:
 #. create the bird's eye view
-#: uml.cpp:521 uml.cpp:1011
+#: uml.cpp:530 uml.cpp:1020
 #, kde-format
 msgid "&Bird's eye view"
 msgstr ""
 
-#: uml.cpp:526
+#: uml.cpp:535
 #, kde-format
 msgid "&Clear Diagram"
 msgstr "Κα&θαρισμός διαγράμματος"
 
-#: uml.cpp:530
+#: uml.cpp:539
 #, kde-format
 msgid "&Snap to Grid"
 msgstr "&Προσαρμογή στον κάνναβο"
 
-#: uml.cpp:534
+#: uml.cpp:543
 #, kde-format
 msgid "S&how Grid"
 msgstr "Εμ&φάνιση καννάβου"
 
-#: uml.cpp:539
+#: uml.cpp:548
 #, fuzzy, kde-format
 #| msgid "Delete Diagram"
 msgid "&Delete Diagram"
 msgstr "Διαγραφή διαγράμματος"
 
-#: uml.cpp:544
+#: uml.cpp:553
 #, kde-format
 msgid "&Export as Picture..."
 msgstr "Ε&ξαγωγή ως εικόνα..."
 
-#: uml.cpp:549
+#: uml.cpp:558
 #, fuzzy, kde-format
 #| msgid "Export &All Diagrams as Pictures..."
 msgid "Export &Diagrams as Pictures..."
 msgstr "Εξαγωγή ό&λων των διαγραμμάτων ως εικόνες..."
 
-#: uml.cpp:569
+#: uml.cpp:578
 #, kde-format
 msgid "Z&oom to 100%"
 msgstr "Ε&στίαση στο 100%"
 
-#: uml.cpp:612
+#: uml.cpp:621
 #, kde-format
 msgid "&Move Tab Left"
 msgstr "&Μετακίνηση καρτέλας αριστερά"
 
-#: uml.cpp:613
+#: uml.cpp:622
 #, kde-format
 msgid "&Move Tab Right"
 msgstr "&Μετακίνηση καρτέλας δεξιά"
 
-#: uml.cpp:636
+#: uml.cpp:645
 #, kde-format
 msgid "Select Diagram on Left"
 msgstr "Επιλογή διαγράμματος στα αριστερά"
 
-#: uml.cpp:637
+#: uml.cpp:646
 #, kde-format
 msgid "Select Diagram on Right"
 msgstr "Επιλογή διαγράμματος στα δεξιά"
 
-#: uml.cpp:776
+#: uml.cpp:785
 #, kde-format
 msgctxt "%1 percent value from 20 to 500"
 msgid " &%1%"
 msgstr ""
 
-#: uml.cpp:826
+#: uml.cpp:835
 #, kde-format
 msgctxt "init status bar"
 msgid "Ready"
 msgstr "Έτοιμο"
 
-#: uml.cpp:835 uml.cpp:848
+#: uml.cpp:844 uml.cpp:857
 #, kde-format
 msgid "100%"
 msgstr ""
 
-#: uml.cpp:840
+#: uml.cpp:849
 #, fuzzy, kde-format
 #| msgid "Filter"
 msgid "Fit"
 msgstr "Φίλτρο"
 
-#: uml.cpp:899
+#: uml.cpp:908
 #, kde-format
 msgid "Diagram Toolbar"
 msgstr "Γραμμή εργαλείων διαγράμματος"
 
-#: uml.cpp:965
+#: uml.cpp:974
 #, kde-format
 msgid "Doc&umentation"
 msgstr "Τεκ&μηρίωση"
 
-#: uml.cpp:976
+#: uml.cpp:985
 #, kde-format
 msgid "Co&mmand history"
 msgstr "Ιστορικό &εντολών"
 
-#: uml.cpp:992
+#: uml.cpp:1001
 #, kde-format
 msgid "&Debug"
 msgstr ""
 
-#: uml.cpp:999
+#: uml.cpp:1008
 #, kde-format
 msgid "&Log"
 msgstr ""
 
-#: uml.cpp:1041 uml.cpp:1258 uml.cpp:1307
+#: uml.cpp:1050 uml.cpp:1267 uml.cpp:1316
 #, kde-format
 msgid "Opening file..."
 msgstr "Άνοιγμα αρχείου..."
 
-#: uml.cpp:1092 uml.cpp:1157 uml.cpp:1342 umldoc.cpp:342 umldoc.cpp:344
-#: umldoc.cpp:368 umldoc.cpp:3396
+#: uml.cpp:1101 uml.cpp:1166 uml.cpp:1351 umldoc.cpp:343 umldoc.cpp:345
+#: umldoc.cpp:369 umldoc.cpp:3405
 #, kde-format
 msgid "Untitled"
 msgstr "Άτιτλο"
 
-#: uml.cpp:1240
+#: uml.cpp:1249
 #, kde-format
 msgid "Creating new document..."
 msgstr "Δημιουργία νέου εγγράφου..."
 
-#: uml.cpp:1266 uml.cpp:1281
+#: uml.cpp:1275 uml.cpp:1290
 #, kde-format
 msgid "Open File"
 msgstr "Άνοιγμα αρχείου"
 
-#: uml.cpp:1270
+#: uml.cpp:1279
 #, fuzzy, kde-format
 #| msgid ""
 #| "*.xmi *.xmi.tgz *.xmi.tar.bz2 *.mdl|All Supported Files (*.xmi, *.xmi."
@@ -7793,22 +7793,22 @@ msgstr ""
 "*.xmi.tgz|Gzip συμπιεσμένα αρχεία XMI (*.xmi.tgz)\n"
 "*.xmi.tar.bz2|Bzip2 συμπιεσμένα αρχεία XMI (*.xmi.tar.bz2)"
 
-#: uml.cpp:1341
+#: uml.cpp:1350
 #, kde-format
 msgid "Saving file..."
 msgstr "Αποθήκευση αρχείου..."
 
-#: uml.cpp:1358
+#: uml.cpp:1367
 #, kde-format
 msgid "Saving file with a new filename..."
 msgstr "Αποθήκευση αρχείου με ένα νέο όνομα..."
 
-#: uml.cpp:1368 uml.cpp:1374 umlviewimageexporter.cpp:199
+#: uml.cpp:1377 uml.cpp:1383 umlviewimageexporter.cpp:199
 #, kde-format
 msgid "Save As"
 msgstr "Αποθήκευση ως"
 
-#: uml.cpp:1369
+#: uml.cpp:1378
 #, fuzzy, kde-format
 #| msgid ""
 #| "*.xmi|XMI File\n"
@@ -7824,7 +7824,7 @@ msgstr ""
 "*.xmi.tar.bz2|Bzip2 συμπιεσμένο αρχείο XMI\n"
 "*|Όλα τα αρχεία"
 
-#: uml.cpp:1374
+#: uml.cpp:1383
 #, fuzzy, kde-format
 #| msgid ""
 #| "*.xmi|XMI File\n"
@@ -7842,7 +7842,7 @@ msgstr ""
 "*.xmi.tar.bz2|Bzip2 συμπιεσμένο αρχείο XMI\n"
 "*|Όλα τα αρχεία"
 
-#: uml.cpp:1387
+#: uml.cpp:1396
 #, kde-format
 msgid ""
 "The file %1 exists.\n"
@@ -7851,67 +7851,67 @@ msgstr ""
 "Το αρχείο %1 υπάρχει.\n"
 "Επιθυμείτε την αντικατάστασή του;"
 
-#: uml.cpp:1388
+#: uml.cpp:1397
 #, kde-format
 msgid "Warning"
 msgstr "Προειδοποίηση"
 
-#: uml.cpp:1388
+#: uml.cpp:1397
 #, kde-format
 msgid "Overwrite"
 msgstr "Αντικατάσταση"
 
-#: uml.cpp:1422
+#: uml.cpp:1431
 #, kde-format
 msgid "Closing file..."
 msgstr "Κλείσιμο αρχείου..."
 
-#: uml.cpp:1432
+#: uml.cpp:1441
 #, kde-format
 msgid "No search term entered"
 msgstr ""
 
-#: uml.cpp:1438
+#: uml.cpp:1447
 #, kde-format
 msgid "'%1': %2 found"
 msgstr ""
 
-#: uml.cpp:1502
+#: uml.cpp:1511
 #, kde-format
 msgid "Print Preview..."
 msgstr "Εκτύπωση προεπισκόπησης..."
 
-#: uml.cpp:1529
+#: uml.cpp:1538
 #, kde-format
 msgid "Printing..."
 msgstr "Εκτύπωση..."
 
-#: uml.cpp:1536 uml.cpp:1540
+#: uml.cpp:1545 uml.cpp:1549
 #, kde-format
 msgid "Print %1"
 msgstr "Εκτύπωση %1"
 
-#: uml.cpp:1560
+#: uml.cpp:1569
 #, kde-format
 msgid "Exiting..."
 msgstr "Έξοδος..."
 
-#: uml.cpp:1647
+#: uml.cpp:1656
 #, kde-format
 msgid "Cutting selection..."
 msgstr "Αποκοπή επιλογής..."
 
-#: uml.cpp:1670
+#: uml.cpp:1679
 #, kde-format
 msgid "Copying selection to clipboard..."
 msgstr "Αντιγραφή επιλογής στο πρόχειρο..."
 
-#: uml.cpp:1682
+#: uml.cpp:1691
 #, kde-format
 msgid "Inserting clipboard contents..."
 msgstr "Εισαγωγή περιεχομένων πρόχειρου..."
 
-#: uml.cpp:1687
+#: uml.cpp:1696
 #, kde-format
 msgid ""
 "Umbrello could not paste the clipboard contents.  The objects in the "
@@ -7921,40 +7921,40 @@ msgstr ""
 "αντικείμενα στο πρόχειρο μπορεί να είναι λάθος τύπου για την επικόλλησή τους "
 "εδώ."
 
-#: uml.cpp:1713 umlviewimageexporter.cpp:92 umlviewimageexporterall.cpp:123
+#: uml.cpp:1722 umlviewimageexporter.cpp:92 umlviewimageexporterall.cpp:123
 #, kde-format
 msgctxt "reset status bar"
 msgid "Ready."
 msgstr "Έτοιμο."
 
-#: uml.cpp:2246
+#: uml.cpp:2255
 #, kde-format
 msgid "Cannot view code until you generate some first."
 msgstr "Αδυναμία προβολής του κώδικα μέχρι να δημιουργηθεί κάτι πρώτα."
 
-#: uml.cpp:2246 uml.cpp:2249
+#: uml.cpp:2255 uml.cpp:2258
 #, kde-format
 msgid "Cannot View Code"
 msgstr "Αδυναμία προβολής κώδικα"
 
-#: uml.cpp:2249
+#: uml.cpp:2258
 #, kde-format
 msgid "Cannot view code from simple code writer."
 msgstr "Αδυναμία προβολής κώδικα από τον απλό συγγραφέα κώδικα."
 
-#: uml.cpp:2714 uml.cpp:2716
+#: uml.cpp:2728 uml.cpp:2730
 #, fuzzy, kde-format
 #| msgid "Select Code to Import"
 msgid "Select file(s) to import:"
 msgstr "Επιλογή κώδικα για εισαγωγή"
 
-#: uml.cpp:2747 uml.cpp:2749
+#: uml.cpp:2761 uml.cpp:2763
 #, fuzzy, kde-format
 #| msgid "Select Code to Import"
 msgid "Select directory to import:"
 msgstr "Επιλογή κώδικα για εισαγωγή"
 
-#: uml.cpp:3313
+#: uml.cpp:3335
 #, kde-format
 msgid "XHTML Generation failed ."
 msgstr "Αποτυχία δημιουργίας XHTML."
@@ -7971,20 +7971,20 @@ msgstr ""
 "Μια λειτουργία με το ίδιο όνομα και υπογραφή υπάρχει ήδη. Δεν μπορείτε να "
 "την προσθέσετε ξανά."
 
-#: uml1model/folder.cpp:435
+#: uml1model/folder.cpp:436
 #, kde-format
 msgid "The folderfile %1 does not exist."
 msgstr "Το αρχείο φάκελος %1 δεν υπάρχει."
 
-#: uml1model/folder.cpp:435 uml1model/folder.cpp:439 umldoc.cpp:529
-#: umldoc.cpp:541 umldoc.cpp:568 umldoc.cpp:570 umldoc.cpp:620 umldoc.cpp:623
-#: umldoc.cpp:638 umldoc.cpp:641 umldoc.cpp:665 umldoc.cpp:668 umldoc.cpp:684
-#: umldoc.cpp:687 umldoc.cpp:702 umldoc.cpp:705 umldoc.cpp:750
+#: uml1model/folder.cpp:436 uml1model/folder.cpp:440 umldoc.cpp:530
+#: umldoc.cpp:542 umldoc.cpp:569 umldoc.cpp:571 umldoc.cpp:621 umldoc.cpp:624
+#: umldoc.cpp:639 umldoc.cpp:642 umldoc.cpp:666 umldoc.cpp:669 umldoc.cpp:685
+#: umldoc.cpp:688 umldoc.cpp:703 umldoc.cpp:706 umldoc.cpp:751
 #, kde-format
 msgid "Load Error"
 msgstr "Σφάλμα φόρτωσης"
 
-#: uml1model/folder.cpp:439
+#: uml1model/folder.cpp:440
 #, kde-format
 msgid "The folderfile %1 cannot be opened."
 msgstr "Το αρχείο φάκελος %1 δεν μπορεί να ανοιχτεί."
@@ -7994,13 +7994,13 @@ msgstr "Το αρχείο φάκελος
 msgid "new_parameter"
 msgstr "νέα_παράμετρος"
 
-#: uml1model/package.cpp:163
+#: uml1model/package.cpp:169
 #, kde-format
 msgctxt "object name"
 msgid "Name"
 msgstr "Όνομα"
 
-#: uml1model/package.cpp:164
+#: uml1model/package.cpp:170
 #, kde-format
 msgid ""
 "An object with the name %1\n"
@@ -8026,80 +8026,80 @@ msgstr "νέο_πεδίο"
 msgid "new_fkey_constraint"
 msgstr "νέος_περιορισμός_ξένου_κλειδιού"
 
-#: uml1model/umlobject.cpp:1140
+#: uml1model/umlobject.cpp:1141
 #, kde-format
 msgid "Actor &name:"
 msgstr "Όνομα &δράστη:"
 
-#: uml1model/umlobject.cpp:1143
+#: uml1model/umlobject.cpp:1144
 #, kde-format
 msgid "Artifact &name:"
 msgstr "Όνομα δη&μιουργήματος:"
 
-#: uml1model/umlobject.cpp:1146
+#: uml1model/umlobject.cpp:1147
 #, fuzzy, kde-format
 #| msgid "Association Name"
 msgid "Association &name:"
 msgstr "Όνομα συσχέτισης"
 
-#: uml1model/umlobject.cpp:1149
+#: uml1model/umlobject.cpp:1150
 #, kde-format
 msgid "Class &name:"
 msgstr "Ό&νομα κλάσης:"
 
-#: uml1model/umlobject.cpp:1152
+#: uml1model/umlobject.cpp:1153
 #, kde-format
 msgid "Component &name:"
 msgstr "Όνομα συ&στατικού:"
 
-#: uml1model/umlobject.cpp:1155
+#: uml1model/umlobject.cpp:1156
 #, kde-format
 msgid "Datatype &name:"
 msgstr "Όνομα τύπου δε&δομένων:"
 
-#: uml1model/umlobject.cpp:1158
+#: uml1model/umlobject.cpp:1159
 #, kde-format
 msgid "Entity &name:"
 msgstr "Όνομα ον&τότητας:"
 
-#: uml1model/umlobject.cpp:1161
+#: uml1model/umlobject.cpp:1162
 #, kde-format
 msgid "Enum &name:"
 msgstr "Όνομα αρί&θμησης:"
 
-#: uml1model/umlobject.cpp:1164
+#: uml1model/umlobject.cpp:1165
 #, fuzzy, kde-format
 #| msgid "Node &name:"
 msgid "Folder &name:"
 msgstr "Όνομα κόμ&βου:"
 
-#: uml1model/umlobject.cpp:1167
+#: uml1model/umlobject.cpp:1168
 #, kde-format
 msgid "Interface &name:"
 msgstr "Όνομα &διασύνδεσης:"
 
-#: uml1model/umlobject.cpp:1170
+#: uml1model/umlobject.cpp:1171
 #, kde-format
 msgid "Node &name:"
 msgstr "Όνομα κόμ&βου:"
 
-#: uml1model/umlobject.cpp:1173
+#: uml1model/umlobject.cpp:1174
 #, kde-format
 msgid "Package &name:"
 msgstr "Όνομα &πακέτου:"
 
-#: uml1model/umlobject.cpp:1176
+#: uml1model/umlobject.cpp:1177
 #, fuzzy, kde-format
 #| msgid "Actor &name:"
 msgid "Port &name:"
 msgstr "Όνομα &δράστη:"
 
-#: uml1model/umlobject.cpp:1182
+#: uml1model/umlobject.cpp:1183
 #, kde-format
 msgid "Use case &name:"
 msgstr "Όνομα περίπτωσης &χρήσης:"
 
-#: uml1model/umlobject.cpp:1185
+#: uml1model/umlobject.cpp:1186
 #, kde-format
 msgid "Instance name:"
 msgstr "Όνομα αντιγράφου:"
@@ -8121,42 +8121,42 @@ msgstr "Στερεότυπο"
 msgid "Welcome"
 msgstr ""
 
-#: umldoc.cpp:112 umldoc.cpp:2400 umldoc.cpp:2428
+#: umldoc.cpp:113 umldoc.cpp:2405 umldoc.cpp:2433
 #, kde-format
 msgid "UML Model"
 msgstr "Μοντέλο UML"
 
-#: umldoc.cpp:154
+#: umldoc.cpp:155
 #, kde-format
 msgid "Logical View"
 msgstr "Λογική προβολή"
 
-#: umldoc.cpp:155
+#: umldoc.cpp:156
 #, kde-format
 msgid "Use Case View"
 msgstr "Προβολή περιπτώσεων χρήσης"
 
-#: umldoc.cpp:156
+#: umldoc.cpp:157
 #, kde-format
 msgid "Component View"
 msgstr "Προβολή συστατικών"
 
-#: umldoc.cpp:157
+#: umldoc.cpp:158
 #, kde-format
 msgid "Deployment View"
 msgstr "Προβολή ετοιμασίας"
 
-#: umldoc.cpp:158
+#: umldoc.cpp:159
 #, kde-format
 msgid "Entity Relationship Model"
 msgstr "Μοντέλο σχέσεων οντότητας"
 
-#: umldoc.cpp:184
+#: umldoc.cpp:185
 #, kde-format
 msgid "Datatypes"
 msgstr "Τύποι δεδομένων"
 
-#: umldoc.cpp:363
+#: umldoc.cpp:364
 #, kde-format
 msgid ""
 "The current file has been modified.\n"
@@ -8165,171 +8165,171 @@ msgstr ""
 "Το τρέχον αρχείο έχει τροποποιηθεί.\n"
 "Επιθυμείτε να το αποθηκεύσετε;"
 
-#: umldoc.cpp:364
+#: umldoc.cpp:365
 #, kde-format
 msgctxt "warning message"
 msgid "Warning"
 msgstr "Προειδοποίηση"
 
-#: umldoc.cpp:529
+#: umldoc.cpp:530
 #, fuzzy, kde-format
 #| msgid "The file %1 does not exist."
 msgid "The file <%1> does not exist."
 msgstr "Το αρχείο %1 δεν υπάρχει."
 
-#: umldoc.cpp:541
+#: umldoc.cpp:542
 #, kde-format
 msgid "The file %1 does not exist."
 msgstr "Το αρχείο %1 δεν υπάρχει."
 
-#: umldoc.cpp:568 umldoc.cpp:570
+#: umldoc.cpp:569 umldoc.cpp:571
 #, kde-format
 msgid "The file %1 seems to be corrupted."
 msgstr "Το αρχείο %1 μοιάζει να είναι χαλασμένο."
 
-#: umldoc.cpp:619 umldoc.cpp:622 umldoc.cpp:637 umldoc.cpp:640 umldoc.cpp:683
-#: umldoc.cpp:686
+#: umldoc.cpp:620 umldoc.cpp:623 umldoc.cpp:638 umldoc.cpp:641 umldoc.cpp:684
+#: umldoc.cpp:687
 #, kde-format
 msgid "There was no XMI file found in the compressed file %1."
 msgstr "Δε βρέθηκε αρχείο XMI στο συμπιεσμένο αρχείο %1."
 
-#: umldoc.cpp:664 umldoc.cpp:667
+#: umldoc.cpp:665 umldoc.cpp:668
 #, kde-format
 msgid "There was a problem loading the extracted file: %1"
 msgstr "Υπήρξε ένα πρόβλημα κατά τη φόρτωση του εξαγόμενου αρχείου: %1"
 
-#: umldoc.cpp:701 umldoc.cpp:704 umldoc.cpp:744 umldoc.cpp:746
+#: umldoc.cpp:702 umldoc.cpp:705 umldoc.cpp:745 umldoc.cpp:747
 #, kde-format
 msgid "There was a problem loading file: %1"
 msgstr "Υπήρξε ένα πρόβλημα κατά τη φόρτωση του αρχείου: %1"
 
-#: umldoc.cpp:749
+#: umldoc.cpp:750
 #, kde-format
 msgid "Reason: %1"
 msgstr ""
 
-#: umldoc.cpp:832 umldoc.cpp:834 umldoc.cpp:851 umldoc.cpp:853 umldoc.cpp:873
-#: umldoc.cpp:875 umldoc.cpp:924 umldoc.cpp:926 umldoc.cpp:966 umldoc.cpp:969
-#: umldoc.cpp:978 umldoc.cpp:980 umllistview.cpp:593
+#: umldoc.cpp:833 umldoc.cpp:835 umldoc.cpp:852 umldoc.cpp:854 umldoc.cpp:874
+#: umldoc.cpp:876 umldoc.cpp:925 umldoc.cpp:927 umldoc.cpp:968 umldoc.cpp:971
+#: umldoc.cpp:980 umldoc.cpp:982 umllistview.cpp:594
 #, kde-format
 msgid "Save Error"
 msgstr "Σφάλμα αποθήκευσης"
 
-#: umldoc.cpp:832 umldoc.cpp:851 umldoc.cpp:873 umldoc.cpp:924 umldoc.cpp:966
+#: umldoc.cpp:833 umldoc.cpp:852 umldoc.cpp:874 umldoc.cpp:925 umldoc.cpp:968
 #, fuzzy, kde-format
 #| msgid "There was a problem saving file: %1"
 msgid "There was a problem saving: %1"
 msgstr "Υπήρξε ένα πρόβλημα κατά την αποθήκευση του αρχείου: %1"
 
-#: umldoc.cpp:834 umldoc.cpp:853 umldoc.cpp:875 umldoc.cpp:926 umldoc.cpp:969
-#: umllistview.cpp:592 umlviewimageexportermodel.cpp:303
+#: umldoc.cpp:835 umldoc.cpp:854 umldoc.cpp:876 umldoc.cpp:927 umldoc.cpp:971
+#: umllistview.cpp:593 umlviewimageexportermodel.cpp:303
 #, kde-format
 msgid "There was a problem saving file: %1"
 msgstr "Υπήρξε ένα πρόβλημα κατά την αποθήκευση του αρχείου: %1"
 
-#: umldoc.cpp:978
+#: umldoc.cpp:980
 #, fuzzy, kde-format
 #| msgid "There was a problem uploading file: %1"
 msgid "There was a problem uploading: %1"
 msgstr "Υπήρξε ένα πρόβλημα κατά την ενημέρωση του αρχείου: %1"
 
-#: umldoc.cpp:980
+#: umldoc.cpp:982
 #, kde-format
 msgid "There was a problem uploading file: %1"
 msgstr "Υπήρξε ένα πρόβλημα κατά την ενημέρωση του αρχείου: %1"
 
-#: umldoc.cpp:1526
+#: umldoc.cpp:1528
 #, kde-format
 msgid "use case diagram"
 msgstr "διάγραμμα περίπτωσης χρήσης"
 
-#: umldoc.cpp:1529
+#: umldoc.cpp:1531
 #, kde-format
 msgid "class diagram"
 msgstr "διάγραμμα κλάσης"
 
-#: umldoc.cpp:1532
+#: umldoc.cpp:1534
 #, kde-format
 msgid "sequence diagram"
 msgstr "διάγραμμα ακολουθίας"
 
-#: umldoc.cpp:1535
+#: umldoc.cpp:1537
 #, fuzzy, kde-format
 #| msgid "collaboration diagram"
 msgid "communication diagram"
 msgstr "διάγραμμα συνεργασίας"
 
-#: umldoc.cpp:1538
+#: umldoc.cpp:1540
 #, fuzzy, kde-format
 #| msgid "&Select diagrams"
 msgid "object diagram"
 msgstr "&Επιλογή διαγραμμάτων"
 
-#: umldoc.cpp:1541
+#: umldoc.cpp:1543
 #, kde-format
 msgid "state diagram"
 msgstr "διάγραμμα κατάστασης"
 
-#: umldoc.cpp:1544
+#: umldoc.cpp:1546
 #, kde-format
 msgid "activity diagram"
 msgstr "διάγραμμα δραστηριότητας"
 
-#: umldoc.cpp:1547
+#: umldoc.cpp:1549
 #, kde-format
 msgid "component diagram"
 msgstr "διάγραμμα συστατικού"
 
-#: umldoc.cpp:1550
+#: umldoc.cpp:1552
 #, kde-format
 msgid "deployment diagram"
 msgstr "διάγραμμα ετοιμασίας"
 
-#: umldoc.cpp:1553
+#: umldoc.cpp:1555
 #, kde-format
 msgid "entity relationship diagram"
 msgstr "διάγραμμα σχέσεων οντότητας"
 
-#: umldoc.cpp:1623
+#: umldoc.cpp:1625
 #, kde-format
 msgctxt "diagram name"
 msgid "Name"
 msgstr "Όνομα"
 
-#: umldoc.cpp:1623 umldoc.cpp:1686 umldoc.cpp:1715 umldoc.cpp:1749
+#: umldoc.cpp:1625 umldoc.cpp:1688 umldoc.cpp:1717 umldoc.cpp:1751
 #, kde-format
 msgid "Enter name:"
 msgstr "Εισάγετε όνομα:"
 
-#: umldoc.cpp:1627 umldoc.cpp:1692
+#: umldoc.cpp:1629 umldoc.cpp:1694
 #, kde-format
 msgid "That is an invalid name for a diagram."
 msgstr "Αυτό είναι ένα μη έγκυρο όνομα διαγράμματος."
 
-#: umldoc.cpp:1629 umldoc.cpp:1699
+#: umldoc.cpp:1631 umldoc.cpp:1701
 #, kde-format
 msgid "A diagram is already using that name."
 msgstr "Ένα διάγραμμα χρησιμοποιεί ήδη αυτό το όνομα."
 
-#: umldoc.cpp:1685
+#: umldoc.cpp:1687
 #, kde-format
 msgctxt "renaming diagram"
 msgid "Name"
 msgstr "Όνομα"
 
-#: umldoc.cpp:1714
+#: umldoc.cpp:1716
 #, kde-format
 msgctxt "renaming uml object"
 msgid "Name"
 msgstr "Όνομα"
 
-#: umldoc.cpp:1748
+#: umldoc.cpp:1750
 #, kde-format
 msgctxt "renaming child uml object"
 msgid "Name"
 msgstr "Όνομα"
 
-#: umldoc.cpp:1758
+#: umldoc.cpp:1760
 #, kde-format
 msgid ""
 "The name you entered was not unique.\n"
@@ -8338,62 +8338,62 @@ msgstr ""
 "Το όνομα που εισάγατε δεν ήταν μοναδικό.\n"
 "Είναι αυτό που επιθυμείτε;"
 
-#: umldoc.cpp:1759
+#: umldoc.cpp:1761
 #, kde-format
 msgid "Use Name"
 msgstr "Χρήση ονόματος"
 
-#: umldoc.cpp:1759
+#: umldoc.cpp:1761
 #, kde-format
 msgid "Enter New Name"
 msgstr "Εισάγετε νέο όνομα"
 
-#: umldoc.cpp:2361
+#: umldoc.cpp:2366
 #, kde-format
 msgid "Unsupported xmi file version: %1"
 msgstr ""
 
-#: umldoc.cpp:2511
+#: umldoc.cpp:2516
 #, kde-format
 msgid "Setting up the document..."
 msgstr "Ρύθμιση του εγγράφου..."
 
-#: umldoc.cpp:2540
+#: umldoc.cpp:2545
 #, kde-format
 msgid "Resolving object references..."
 msgstr "Επίλυση αναφορών αντικειμένων..."
 
-#: umldoc.cpp:2648
+#: umldoc.cpp:2653
 #, kde-format
 msgid "Loading UML elements..."
 msgstr "Φόρτωση στοιχείων UML..."
 
-#: umldoc.cpp:2892
+#: umldoc.cpp:2899
 #, kde-format
 msgid "Loading diagrams..."
 msgstr "Φόρτωση διαγραμμάτων..."
 
-#: umldoc.cpp:3400
+#: umldoc.cpp:3409
 #, kde-format
 msgid "/autosave%1"
 msgstr "/αυτόματηαποθήκευση%1"
 
-#: umllistview.cpp:536 umllistview.cpp:540
+#: umllistview.cpp:537 umllistview.cpp:541
 #, kde-format
 msgid "Externalize Folder"
 msgstr "Εξαγωγή φακέλου"
 
-#: umllistview.cpp:574
+#: umllistview.cpp:575
 #, kde-format
 msgid "Folder %1 must be relative to the main model directory, %2."
 msgstr ""
 
-#: umllistview.cpp:575
+#: umllistview.cpp:576
 #, kde-format
 msgid "Path Error"
 msgstr "Σφάλμα διαδρομής"
 
-#: umllistview.cpp:583
+#: umllistview.cpp:584
 #, kde-format
 msgid ""
 "File %1 already exists!\n"
@@ -8402,67 +8402,67 @@ msgstr ""
 "Το αρχείο %1 ήδη υπάρχει!\n"
 "Το υφιστάμενο αρχείο θα αντικατασταθεί."
 
-#: umllistview.cpp:584
+#: umllistview.cpp:585
 #, kde-format
 msgid "File Exist"
 msgstr "Το αρχείο υπάρχει"
 
-#: umllistview.cpp:624
+#: umllistview.cpp:625
 #, kde-format
 msgid "Enter Model Name"
 msgstr "Εισάγετε όνομα μοντέλου"
 
-#: umllistview.cpp:625
+#: umllistview.cpp:626
 #, kde-format
 msgid "Enter the new name of the model:"
 msgstr "Εισάγετε το νέο όνομα του μοντέλου:"
 
-#: umllistview.cpp:1422
+#: umllistview.cpp:1430
 #, kde-format
 msgid "Views"
 msgstr "Προβολές"
 
-#: umllistview.cpp:1441
+#: umllistview.cpp:1449
 #, fuzzy, kde-format
 #| msgid "Role Settings"
 msgid "Settings"
 msgstr "Ρυθμίσεις ρόλων"
 
-#: umllistview.cpp:2413
+#: umllistview.cpp:2421
 #, kde-format
 msgid "Loading listview..."
 msgstr "Φόρτωση προβολής λίστας..."
 
-#: umllistview.cpp:2764
+#: umllistview.cpp:2772
 #, fuzzy, kde-format
 #| msgid "The folder must be emptied before it can be deleted."
 msgid "The class must be emptied before it can be deleted."
 msgstr "Ο φάκελος πρέπει να αδειάσει πριν να μπορεί να διαγραφεί."
 
-#: umllistview.cpp:2765
+#: umllistview.cpp:2773
 #, fuzzy, kde-format
 #| msgid "Folder Not Empty"
 msgid "Class Not Empty"
 msgstr "Ο φάκελος δεν είναι κενός"
 
-#: umllistview.cpp:2769
+#: umllistview.cpp:2777
 #, fuzzy, kde-format
 #| msgid "The folder must be emptied before it can be deleted."
 msgid "The package must be emptied before it can be deleted."
 msgstr "Ο φάκελος πρέπει να αδειάσει πριν να μπορεί να διαγραφεί."
 
-#: umllistview.cpp:2770
+#: umllistview.cpp:2778
 #, fuzzy, kde-format
 #| msgid "Folder Not Empty"
 msgid "Package Not Empty"
 msgstr "Ο φάκελος δεν είναι κενός"
 
-#: umllistview.cpp:2774
+#: umllistview.cpp:2782
 #, kde-format
 msgid "The folder must be emptied before it can be deleted."
 msgstr "Ο φάκελος πρέπει να αδειάσει πριν να μπορεί να διαγραφεί."
 
-#: umllistview.cpp:2775
+#: umllistview.cpp:2783
 #, kde-format
 msgid "Folder Not Empty"
 msgstr "Ο φάκελος δεν είναι κενός"
diff -pruN 4:20.08.3-1/po/en_GB/umbrello.po 4:20.12.0-0ubuntu1/po/en_GB/umbrello.po
--- 4:20.08.3-1/po/en_GB/umbrello.po	2020-11-03 00:42:15.000000000 +0000
+++ 4:20.12.0-0ubuntu1/po/en_GB/umbrello.po	2020-12-04 00:21:29.000000000 +0000
@@ -9,7 +9,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: umbrello\n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
-"POT-Creation-Date: 2020-08-14 08:09+0200\n"
+"POT-Creation-Date: 2020-11-06 02:36+0100\n"
 "PO-Revision-Date: 2020-03-30 20:38+0100\n"
 "Last-Translator: Steve Allewell <steve.allewell@gmail.com>\n"
 "Language-Team: British English <kde-l10n-en_gb@kde.org>\n"
@@ -210,7 +210,7 @@ msgstr ""
 "At least one of the items in the clipboard could not be pasted because an "
 "item of the same name already exists.  Any other items have been pasted."
 
-#: clipboard/umlclipboard.cpp:753 uml.cpp:1689
+#: clipboard/umlclipboard.cpp:753 uml.cpp:1698
 #, kde-format
 msgid "Paste Error"
 msgstr "Paste Error"
@@ -436,7 +436,7 @@ msgstr "<p align=\"center\">C++ Code Gen
 #. i18n: ectx: attribute (title), widget (QWidget, ui_tabGeneral)
 #: codegenerators/cpp/cppcodegenerationformbase.ui:51
 #: codegenwizard/codegenoptionspage.ui:39 dialogs/objectnodedialog.cpp:135
-#: umllistview.cpp:1451
+#: umllistview.cpp:1459
 #, kde-format
 msgid "General"
 msgstr "General"
@@ -1313,7 +1313,7 @@ msgstr "Status"
 #. i18n: ectx: property (text), widget (QRadioButton, ui_categoryClass)
 #. i18n: ectx: property (text), widget (QTableWidget, ui_tableWidgetStatus)
 #: codegenwizard/codegenstatuspage.ui:40 codeimpwizard/codeimpstatuspage.ui:54
-#: dialogs/finddialog.ui:89 umllistview.cpp:1446 umlwidgets/widgetbase.cpp:1255
+#: dialogs/finddialog.ui:89 umllistview.cpp:1454 umlwidgets/widgetbase.cpp:1255
 #, kde-format
 msgid "Class"
 msgstr "Class"
@@ -1967,18 +1967,18 @@ msgstr "Enable 'delete association' rela
 msgid "Enable 'delete diagram' related messages"
 msgstr "Enable 'delete diagram' related messages"
 
-#: dialogs/dialog_utils.cpp:117
+#: dialogs/dialog_utils.cpp:118
 #, kde-format
 msgid "You are about to delete an association. Do you really want to continue?"
 msgstr ""
 "You are about to delete an association. Do you really want to continue?"
 
-#: dialogs/dialog_utils.cpp:118
+#: dialogs/dialog_utils.cpp:119
 #, kde-format
 msgid "Delete Association"
 msgstr "Delete Association"
 
-#: dialogs/dialog_utils.cpp:132
+#: dialogs/dialog_utils.cpp:133
 #, kde-format
 msgid ""
 "You are about to delete the entire diagram.\n"
@@ -1987,17 +1987,17 @@ msgstr ""
 "You are about to delete the entire diagram.\n"
 "Are you sure?"
 
-#: dialogs/dialog_utils.cpp:133
+#: dialogs/dialog_utils.cpp:134
 #, kde-format
 msgid "Are you sure you want to delete diagram %1?"
 msgstr "Are you sure you want to delete diagram %1?"
 
-#: dialogs/dialog_utils.cpp:138
+#: dialogs/dialog_utils.cpp:139
 #, kde-format
 msgid "Delete Diagram?"
 msgstr "Delete Diagram?"
 
-#: dialogs/dialog_utils.cpp:139 dialogs/pages/classifierlistpage.cpp:215
+#: dialogs/dialog_utils.cpp:140 dialogs/pages/classifierlistpage.cpp:215
 #: dialogs/pages/classifierlistpage.cpp:223
 #: dialogs/umlforeignkeyconstraintdialog.cpp:325
 #: dialogs/umlforeignkeyconstraintdialog.cpp:331
@@ -2161,7 +2161,7 @@ msgstr "General"
 #. i18n: ectx: label, entry (uiFont), group (UI Options)
 #. i18n: ectx: label, entry (codeViewerFont), group (Code Viewer Options)
 #: dialogs/multipagedialogbase.cpp:405 umbrello.kcfg:177 umbrello.kcfg:292
-#: umllistview.cpp:1450
+#: umllistview.cpp:1458
 #, kde-format
 msgid "Font"
 msgstr "Font"
@@ -2593,7 +2593,7 @@ msgstr "N&ew Instance Attribute..."
 
 #: dialogs/pages/classifierlistpage.cpp:217
 #: dialogs/pages/classifierlistpage.cpp:225 dialogs/umloperationdialog.cpp:167
-#: dialogs/umloperationdialog.cpp:175 uml.cpp:554
+#: dialogs/umloperationdialog.cpp:175 uml.cpp:563
 #, kde-format
 msgid "&Properties"
 msgstr "&Properties"
@@ -2611,7 +2611,7 @@ msgid "Source Code"
 msgstr "Source Code"
 
 #: dialogs/pages/classoptionspage.cpp:157
-#: dialogs/pages/classoptionspage.cpp:251 uml.cpp:509
+#: dialogs/pages/classoptionspage.cpp:251 uml.cpp:518
 #, kde-format
 msgid "&Documentation"
 msgstr "&Documentation"
@@ -2800,8 +2800,8 @@ msgstr "The name you have entered is inv
 #: uml1model/classifier.cpp:410 uml1model/classifier.cpp:781
 #: uml1model/entity.cpp:125 uml1model/entity.cpp:178 uml1model/entity.cpp:228
 #: uml1model/entity.cpp:277 uml1model/enum.cpp:107 uml1model/instance.cpp:124
-#: uml1model/package.cpp:172 umldoc.cpp:1627 umldoc.cpp:1692 umldoc.cpp:1721
-#: umldoc.cpp:1755
+#: uml1model/package.cpp:178 umldoc.cpp:1629 umldoc.cpp:1694 umldoc.cpp:1723
+#: umldoc.cpp:1757
 #, kde-format
 msgid "Invalid Name"
 msgstr "Invalid Name"
@@ -2811,7 +2811,7 @@ msgstr "Invalid Name"
 msgid "The name you have entered is not unique."
 msgstr "The name you have entered is not unique."
 
-#: dialogs/pages/diagrampropertiespage.cpp:86 umldoc.cpp:1759
+#: dialogs/pages/diagrampropertiespage.cpp:86 umldoc.cpp:1761
 #, kde-format
 msgid "Name Not Unique"
 msgstr "Name Not Unique"
@@ -3281,7 +3281,7 @@ msgstr "Diagram"
 msgid "Umbrello Setup"
 msgstr "Umbrello Setup"
 
-#: dialogs/settingsdialog.cpp:114 umllistview.cpp:1452
+#: dialogs/settingsdialog.cpp:114 umllistview.cpp:1460
 #, kde-format
 msgid "User Interface"
 msgstr "User Interface"
@@ -3308,7 +3308,7 @@ msgstr "Class"
 msgid "Class Settings"
 msgstr "Class Settings"
 
-#: dialogs/settingsdialog.cpp:137 umllistview.cpp:1447
+#: dialogs/settingsdialog.cpp:137 umllistview.cpp:1455
 #, kde-format
 msgid "Code Importer"
 msgstr "Code Importer"
@@ -3318,7 +3318,7 @@ msgstr "Code Importer"
 msgid "Code Import Settings"
 msgstr "Code Import Settings"
 
-#: dialogs/settingsdialog.cpp:146 umllistview.cpp:1448
+#: dialogs/settingsdialog.cpp:146 umllistview.cpp:1456
 #, kde-format
 msgid "Code Generation"
 msgstr "Code Generation"
@@ -3328,7 +3328,7 @@ msgstr "Code Generation"
 msgid "Code Generation Settings"
 msgstr "Code Generation Settings"
 
-#: dialogs/settingsdialog.cpp:154 umllistview.cpp:1449
+#: dialogs/settingsdialog.cpp:154 umllistview.cpp:1457
 #, kde-format
 msgid "Code Viewer"
 msgstr "Code Viewer"
@@ -3338,7 +3338,7 @@ msgstr "Code Viewer"
 msgid "Code Viewer Settings"
 msgstr "Code Viewer Settings"
 
-#: dialogs/settingsdialog.cpp:161 umllistview.cpp:1445
+#: dialogs/settingsdialog.cpp:161 umllistview.cpp:1453
 #, kde-format
 msgid "Auto Layout"
 msgstr "Auto Layout"
@@ -3972,7 +3972,7 @@ msgstr "&Type:"
 msgid "Package path:"
 msgstr "Package path:"
 
-#: dialogs/widgets/umlstereotypewidget.cpp:29 uml1model/umlobject.cpp:1179
+#: dialogs/widgets/umlstereotypewidget.cpp:29 uml1model/umlobject.cpp:1180
 #, kde-format
 msgid "Stereotype &name:"
 msgstr "Stereotype &name:"
@@ -4118,7 +4118,7 @@ msgstr ""
 msgid "Gael de Chalendar (aka Kleag)"
 msgstr "Gael de Chalendar (aka Kleag)"
 
-#: docgenerators/main.cpp:56 main.cpp:131
+#: docgenerators/main.cpp:56 main.cpp:133
 #, kde-format
 msgid "Umbrello UML Modeller Authors"
 msgstr "Umbrello UML Modeller Authors"
@@ -4182,12 +4182,12 @@ msgstr "Activate documentation edit afte
 msgid "Apply layout"
 msgstr "Apply layout"
 
-#: main.cpp:121
+#: main.cpp:123
 #, kde-format
 msgid "Umbrello UML Modeller"
 msgstr "Umbrello UML Modeller"
 
-#: main.cpp:123
+#: main.cpp:125
 #, kde-format
 msgid ""
 "Umbrello – Visual development environment for software, based on the "
@@ -4198,7 +4198,7 @@ msgstr ""
 "industry standard Unified Modelling Language (UML).<br/>See also <a href="
 "\"http://www.omg.org/spec/\">http://www.omg.org/spec/</a>."
 
-#: main.cpp:127
+#: main.cpp:129
 #, kde-format
 msgid ""
 "Copyright © 2001 Paul Hensgen,\n"
@@ -4207,97 +4207,97 @@ msgstr ""
 "Copyright © 2001 Paul Hensgen,\n"
 "Copyright © 2002-2020 Umbrello UML Modeller Authors"
 
-#: main.cpp:130
+#: main.cpp:132
 #, kde-format
 msgid "Paul Hensgen"
 msgstr "Paul Hensgen"
 
-#: main.cpp:130
+#: main.cpp:132
 #, kde-format
 msgid "Author of initial version."
 msgstr "Author of initial version."
 
-#: main.cpp:134
+#: main.cpp:136
 #, kde-format
 msgid "Oliver Kellogg"
 msgstr "Oliver Kellogg"
 
-#: main.cpp:135 main.cpp:138
+#: main.cpp:137 main.cpp:140
 #, kde-format
 msgid "Bug fixing, porting work, code cleanup, new features."
 msgstr "Bug fixing, porting work, code clean-up, new features."
 
-#: main.cpp:137
+#: main.cpp:139
 #, kde-format
 msgid "Ralf Habacker"
 msgstr "Ralf Habacker"
 
-#: main.cpp:140
+#: main.cpp:142
 #, kde-format
 msgid "Andi Fischer"
 msgstr "Andi Fischer"
 
-#: main.cpp:141
+#: main.cpp:143
 #, kde-format
 msgid "Porting work, code cleanup, new features."
 msgstr "Porting work, code clean-up, new features."
 
-#: main.cpp:143
+#: main.cpp:145
 #, kde-format
 msgid "Jonathan Riddell"
 msgstr "Jonathan Riddell"
 
-#: main.cpp:144
+#: main.cpp:146
 #, kde-format
 msgid "Current maintainer."
 msgstr "Current maintainer."
 
-#: main.cpp:146
+#: main.cpp:148
 #, kde-format
 msgid "Brian Thomas"
 msgstr "Brian Thomas"
 
-#: main.cpp:147
+#: main.cpp:149
 #, kde-format
 msgid "A lot of work for C++ and Java code generation. Codeeditor."
 msgstr "A lot of work for C++ and Java code generation. Codeeditor."
 
-#: main.cpp:152
+#: main.cpp:154
 #, kde-format
 msgid "File to open"
 msgstr "File to open"
 
-#: main.cpp:153
+#: main.cpp:155
 #, kde-format
 msgid "export diagrams to extension and exit"
 msgstr "export diagrams to extension and exit"
 
-#: main.cpp:154
+#: main.cpp:156
 #, kde-format
 msgid "list available export extensions"
 msgstr "list available export extensions"
 
-#: main.cpp:155
+#: main.cpp:157
 #, kde-format
 msgid "the local directory to save the exported diagrams in"
 msgstr "the local directory to save the exported diagrams in"
 
-#: main.cpp:155
+#: main.cpp:157
 #, kde-format
 msgid "the directory of the file"
 msgstr "the directory of the file"
 
-#: main.cpp:156
+#: main.cpp:158
 #, kde-format
 msgid "import files"
 msgstr "import files"
 
-#: main.cpp:157
+#: main.cpp:159
 #, kde-format
 msgid "list supported languages"
 msgstr "list supported languages"
 
-#: main.cpp:158
+#: main.cpp:160
 #, kde-format
 msgid ""
 "keep the tree structure used to store the views in the document in the "
@@ -4306,12 +4306,12 @@ msgstr ""
 "keep the tree structure used to store the views in the document in the "
 "target directory"
 
-#: main.cpp:159
+#: main.cpp:161
 #, kde-format
 msgid "import files from directory <dir>"
 msgstr "import files from directory <dir>"
 
-#: main.cpp:163
+#: main.cpp:165
 #, kde-format
 msgid "set active language"
 msgstr "set active language"
@@ -4575,7 +4575,7 @@ msgstr "Hide destruction box"
 msgid "Import File(s)..."
 msgstr "Import File(s)..."
 
-#: menus/listpopupmenu.cpp:201 uml.cpp:356
+#: menus/listpopupmenu.cpp:201 uml.cpp:365
 #, kde-format
 msgid "Import from Directory..."
 msgstr "Import from Directory..."
@@ -5075,42 +5075,42 @@ msgctxt "align menu"
 msgid "Align"
 msgstr "Align"
 
-#: menus/widgetbasepopupmenu.cpp:598 uml.cpp:573
+#: menus/widgetbasepopupmenu.cpp:598 uml.cpp:582
 #, kde-format
 msgid "Align Right"
 msgstr "Align Right"
 
-#: menus/widgetbasepopupmenu.cpp:599 uml.cpp:578
+#: menus/widgetbasepopupmenu.cpp:599 uml.cpp:587
 #, kde-format
 msgid "Align Left"
 msgstr "Align Left"
 
-#: menus/widgetbasepopupmenu.cpp:600 uml.cpp:583
+#: menus/widgetbasepopupmenu.cpp:600 uml.cpp:592
 #, kde-format
 msgid "Align Top"
 msgstr "Align Top"
 
-#: menus/widgetbasepopupmenu.cpp:601 uml.cpp:588
+#: menus/widgetbasepopupmenu.cpp:601 uml.cpp:597
 #, kde-format
 msgid "Align Bottom"
 msgstr "Align Bottom"
 
-#: menus/widgetbasepopupmenu.cpp:603 uml.cpp:593
+#: menus/widgetbasepopupmenu.cpp:603 uml.cpp:602
 #, kde-format
 msgid "Align Vertical Middle"
 msgstr "Align Vertical Middle"
 
-#: menus/widgetbasepopupmenu.cpp:604 uml.cpp:598
+#: menus/widgetbasepopupmenu.cpp:604 uml.cpp:607
 #, kde-format
 msgid "Align Horizontal Middle"
 msgstr "Align Horizontal Middle"
 
-#: menus/widgetbasepopupmenu.cpp:605 uml.cpp:603
+#: menus/widgetbasepopupmenu.cpp:605 uml.cpp:612
 #, kde-format
 msgid "Align Vertical Distribute"
 msgstr "Align Vertical Distribute"
 
-#: menus/widgetbasepopupmenu.cpp:606 uml.cpp:608
+#: menus/widgetbasepopupmenu.cpp:606 uml.cpp:617
 #, kde-format
 msgid "Align Horizontal Distribute"
 msgstr "Align Horizontal Distribute"
@@ -5915,8 +5915,8 @@ msgstr "Usage"
 #: object_factory.cpp:251 uml1model/classifier.cpp:410
 #: uml1model/classifier.cpp:781 uml1model/entity.cpp:125
 #: uml1model/entity.cpp:178 uml1model/entity.cpp:228 uml1model/entity.cpp:277
-#: uml1model/enum.cpp:107 uml1model/instance.cpp:124 uml1model/package.cpp:171
-#: umldoc.cpp:1721 umldoc.cpp:1755
+#: uml1model/enum.cpp:107 uml1model/instance.cpp:124 uml1model/package.cpp:177
+#: umldoc.cpp:1723 umldoc.cpp:1757
 #, kde-format
 msgid "That is an invalid name."
 msgstr "That is an invalid name."
@@ -5936,7 +5936,7 @@ msgstr "Reserved Keyword"
 #: object_factory.cpp:264 uml1model/classifier.cpp:413
 #: uml1model/classifier.cpp:783 uml1model/entity.cpp:127
 #: uml1model/entity.cpp:180 uml1model/entity.cpp:230 uml1model/entity.cpp:279
-#: uml1model/instance.cpp:126 umldoc.cpp:1727 umldoc.cpp:1764
+#: uml1model/instance.cpp:126 umldoc.cpp:1729 umldoc.cpp:1766
 #, kde-format
 msgid "That name is already being used."
 msgstr "That name is already being used."
@@ -5944,8 +5944,8 @@ msgstr "That name is already being used.
 #: object_factory.cpp:265 uml1model/classifier.cpp:413
 #: uml1model/classifier.cpp:783 uml1model/entity.cpp:127
 #: uml1model/entity.cpp:180 uml1model/entity.cpp:230 uml1model/entity.cpp:279
-#: uml1model/instance.cpp:126 umldoc.cpp:1629 umldoc.cpp:1699 umldoc.cpp:1727
-#: umldoc.cpp:1764
+#: uml1model/instance.cpp:126 umldoc.cpp:1631 umldoc.cpp:1701 umldoc.cpp:1729
+#: umldoc.cpp:1766
 #, kde-format
 msgid "Not a Unique Name"
 msgstr "Not a Unique Name"
@@ -6006,12 +6006,12 @@ msgstr "An attribute with that name alre
 msgid "Choose a different name."
 msgstr "Choose a different name."
 
-#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:266
+#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:273
 #, kde-format
 msgid "Incorrect use of associations."
 msgstr "Incorrect use of associations."
 
-#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:266
+#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:273
 #, kde-format
 msgid "Association Error"
 msgstr "Association Error"
@@ -7174,188 +7174,188 @@ msgstr "Active &Language"
 msgid "&Settings"
 msgstr "&Settings"
 
-#: uml.cpp:332
+#: uml.cpp:341
 #, kde-format
 msgid "&Export model to DocBook"
 msgstr "&Export model to DocBook"
 
-#: uml.cpp:336
+#: uml.cpp:345
 #, kde-format
 msgid "&Export model to XHTML"
 msgstr "&Export model to XHTML"
 
-#: uml.cpp:340
+#: uml.cpp:349
 #, kde-format
 msgid "&New Class Wizard..."
 msgstr "&New Class Wizard..."
 
-#: uml.cpp:344
+#: uml.cpp:353
 #, kde-format
 msgid "&Add Default Datatypes for Active Language"
 msgstr "&Add Default Datatypes for Active Language"
 
-#: uml.cpp:351
+#: uml.cpp:360
 #, kde-format
 msgid "Code &Importing Wizard..."
 msgstr "Code &Importing Wizard..."
 
-#: uml.cpp:361
+#: uml.cpp:370
 #, kde-format
 msgid "&Code Generation Wizard..."
 msgstr "&Code Generation Wizard..."
 
-#: uml.cpp:366
+#: uml.cpp:375
 #, kde-format
 msgid "&Generate All Code"
 msgstr "&Generate All Code"
 
-#: uml.cpp:411
+#: uml.cpp:420
 #, kde-format
 msgid "Creates a new document"
 msgstr "Creates a new document"
 
-#: uml.cpp:412
+#: uml.cpp:421
 #, kde-format
 msgid "Opens an existing document"
 msgstr "Opens an existing document"
 
-#: uml.cpp:413
+#: uml.cpp:422
 #, kde-format
 msgid "Opens a recently used file"
 msgstr "Opens a recently used file"
 
-#: uml.cpp:414
+#: uml.cpp:423
 #, kde-format
 msgid "Saves the document"
 msgstr "Saves the document"
 
-#: uml.cpp:415
+#: uml.cpp:424
 #, kde-format
 msgid "Saves the document as..."
 msgstr "Saves the document as..."
 
-#: uml.cpp:416
+#: uml.cpp:425
 #, kde-format
 msgid "Closes the document"
 msgstr "Closes the document"
 
-#: uml.cpp:417
+#: uml.cpp:426
 #, kde-format
 msgid "Prints out the document"
 msgstr "Prints out the document"
 
-#: uml.cpp:418
+#: uml.cpp:427
 #, kde-format
 msgid "Print Preview of the document"
 msgstr "Print Preview of the document"
 
-#: uml.cpp:419
+#: uml.cpp:428
 #, kde-format
 msgid "Quits the application"
 msgstr "Quits the application"
 
-#: uml.cpp:420
+#: uml.cpp:429
 #, kde-format
 msgid "Exports the model to the docbook format"
 msgstr "Exports the model to the docbook format"
 
-#: uml.cpp:421
+#: uml.cpp:430
 #, kde-format
 msgid "Exports the model to the XHTML format"
 msgstr "Exports the model to the XHTML format"
 
-#: uml.cpp:422
+#: uml.cpp:431
 #, kde-format
 msgid "Cuts the selected section and puts it to the clipboard"
 msgstr "Cuts the selected section and puts it to the clipboard"
 
-#: uml.cpp:423
+#: uml.cpp:432
 #, kde-format
 msgid "Copies the selected section to the clipboard"
 msgstr "Copies the selected section to the clipboard"
 
-#: uml.cpp:424
+#: uml.cpp:433
 #, kde-format
 msgid "Pastes the contents of the clipboard"
 msgstr "Pastes the contents of the clipboard"
 
-#: uml.cpp:425
+#: uml.cpp:434
 #, kde-format
 msgid "Set the default program preferences"
 msgstr "Set the default program preferences"
 
-#: uml.cpp:429
+#: uml.cpp:438
 #, kde-format
 msgctxt "delete selected widget"
 msgid "Delete &Selected"
 msgstr "Delete &Selected"
 
-#: uml.cpp:440
+#: uml.cpp:449
 #, kde-format
 msgid "&Class Diagram..."
 msgstr "&Class Diagram..."
 
-#: uml.cpp:447
+#: uml.cpp:456
 #, kde-format
 msgid "&Object Diagram..."
 msgstr "&Object Diagram..."
 
-#: uml.cpp:454
+#: uml.cpp:463
 #, kde-format
 msgid "&Sequence Diagram..."
 msgstr "&Sequence Diagram..."
 
-#: uml.cpp:460
+#: uml.cpp:469
 #, kde-format
 msgid "C&ommunication Diagram..."
 msgstr "C&ommunication Diagram..."
 
-#: uml.cpp:466
+#: uml.cpp:475
 #, kde-format
 msgid "&Use Case Diagram..."
 msgstr "&Use Case Diagram..."
 
-#: uml.cpp:472
+#: uml.cpp:481
 #, kde-format
 msgid "S&tate Diagram..."
 msgstr "S&tate Diagram..."
 
-#: uml.cpp:478
+#: uml.cpp:487
 #, kde-format
 msgid "&Activity Diagram..."
 msgstr "&Activity Diagram..."
 
-#: uml.cpp:484
+#: uml.cpp:493
 #, kde-format
 msgid "Co&mponent Diagram..."
 msgstr "Co&mponent Diagram..."
 
-#: uml.cpp:490
+#: uml.cpp:499
 #, kde-format
 msgid "&Deployment Diagram..."
 msgstr "&Deployment Diagram..."
 
-#: uml.cpp:496
+#: uml.cpp:505
 #, kde-format
 msgid "&Entity Relationship Diagram..."
 msgstr "&Entity Relationship Diagram..."
 
-#: uml.cpp:501 uml.cpp:954
+#: uml.cpp:510 uml.cpp:963
 #, kde-format
 msgid "&Tree View"
 msgstr "&Tree View"
 
-#: uml.cpp:505
+#: uml.cpp:514
 #, kde-format
 msgid "&Debugging"
 msgstr "&Debugging"
 
-#: uml.cpp:513
+#: uml.cpp:522
 #, kde-format
 msgid "&Logging"
 msgstr "&Logging"
 
-#: uml.cpp:517
+#: uml.cpp:526
 #, kde-format
 msgid "&Command history"
 msgstr "&Command history"
@@ -7364,135 +7364,135 @@ msgstr "&Command history"
 #. m_propertyDock->setObjectName(QLatin1String("PropertyDock"));
 #. addDockWidget(Qt::LeftDockWidgetArea, m_propertyDock);  //:TODO:
 #. create the bird's eye view
-#: uml.cpp:521 uml.cpp:1011
+#: uml.cpp:530 uml.cpp:1020
 #, kde-format
 msgid "&Bird's eye view"
 msgstr "&Bird's eye view"
 
-#: uml.cpp:526
+#: uml.cpp:535
 #, kde-format
 msgid "&Clear Diagram"
 msgstr "&Clear Diagram"
 
-#: uml.cpp:530
+#: uml.cpp:539
 #, kde-format
 msgid "&Snap to Grid"
 msgstr "&Snap to Grid"
 
-#: uml.cpp:534
+#: uml.cpp:543
 #, kde-format
 msgid "S&how Grid"
 msgstr "S&how Grid"
 
-#: uml.cpp:539
+#: uml.cpp:548
 #, kde-format
 msgid "&Delete Diagram"
 msgstr "&Delete Diagram"
 
-#: uml.cpp:544
+#: uml.cpp:553
 #, kde-format
 msgid "&Export as Picture..."
 msgstr "&Export as Picture..."
 
-#: uml.cpp:549
+#: uml.cpp:558
 #, kde-format
 msgid "Export &Diagrams as Pictures..."
 msgstr "Export &Diagrams as Pictures..."
 
-#: uml.cpp:569
+#: uml.cpp:578
 #, kde-format
 msgid "Z&oom to 100%"
 msgstr "Z&oom to 100%"
 
-#: uml.cpp:612
+#: uml.cpp:621
 #, kde-format
 msgid "&Move Tab Left"
 msgstr "&Move Tab Left"
 
-#: uml.cpp:613
+#: uml.cpp:622
 #, kde-format
 msgid "&Move Tab Right"
 msgstr "&Move Tab Right"
 
-#: uml.cpp:636
+#: uml.cpp:645
 #, kde-format
 msgid "Select Diagram on Left"
 msgstr "Select Diagram on Left"
 
-#: uml.cpp:637
+#: uml.cpp:646
 #, kde-format
 msgid "Select Diagram on Right"
 msgstr "Select Diagram on Right"
 
-#: uml.cpp:776
+#: uml.cpp:785
 #, kde-format
 msgctxt "%1 percent value from 20 to 500"
 msgid " &%1%"
 msgstr " &%1%"
 
-#: uml.cpp:826
+#: uml.cpp:835
 #, kde-format
 msgctxt "init status bar"
 msgid "Ready"
 msgstr "Ready"
 
-#: uml.cpp:835 uml.cpp:848
+#: uml.cpp:844 uml.cpp:857
 #, kde-format
 msgid "100%"
 msgstr "100%"
 
-#: uml.cpp:840
+#: uml.cpp:849
 #, kde-format
 msgid "Fit"
 msgstr "Fit"
 
-#: uml.cpp:899
+#: uml.cpp:908
 #, kde-format
 msgid "Diagram Toolbar"
 msgstr "Diagram Toolbar"
 
-#: uml.cpp:965
+#: uml.cpp:974
 #, kde-format
 msgid "Doc&umentation"
 msgstr "Doc&umentation"
 
-#: uml.cpp:976
+#: uml.cpp:985
 #, kde-format
 msgid "Co&mmand history"
 msgstr "Co&mmand history"
 
-#: uml.cpp:992
+#: uml.cpp:1001
 #, kde-format
 msgid "&Debug"
 msgstr "&Debug"
 
-#: uml.cpp:999
+#: uml.cpp:1008
 #, kde-format
 msgid "&Log"
 msgstr "&Log"
 
-#: uml.cpp:1041 uml.cpp:1258 uml.cpp:1307
+#: uml.cpp:1050 uml.cpp:1267 uml.cpp:1316
 #, kde-format
 msgid "Opening file..."
 msgstr "Opening file..."
 
-#: uml.cpp:1092 uml.cpp:1157 uml.cpp:1342 umldoc.cpp:342 umldoc.cpp:344
-#: umldoc.cpp:368 umldoc.cpp:3396
+#: uml.cpp:1101 uml.cpp:1166 uml.cpp:1351 umldoc.cpp:343 umldoc.cpp:345
+#: umldoc.cpp:369 umldoc.cpp:3405
 #, kde-format
 msgid "Untitled"
 msgstr "Untitled"
 
-#: uml.cpp:1240
+#: uml.cpp:1249
 #, kde-format
 msgid "Creating new document..."
 msgstr "Creating new document..."
 
-#: uml.cpp:1266 uml.cpp:1281
+#: uml.cpp:1275 uml.cpp:1290
 #, kde-format
 msgid "Open File"
 msgstr "Open File"
 
-#: uml.cpp:1270
+#: uml.cpp:1279
 #, kde-format
 msgid ""
 "*.xmi *.xmi.tgz *.xmi.tar.bz2 *.mdl *.zargo|All Supported Files (*.xmi, *."
@@ -7511,22 +7511,22 @@ msgstr ""
 "*.mdl|Rose model files (*.mdl)\n"
 "*.zargo|Compressed argo Files(*.zargo)\n"
 
-#: uml.cpp:1341
+#: uml.cpp:1350
 #, kde-format
 msgid "Saving file..."
 msgstr "Saving file..."
 
-#: uml.cpp:1358
+#: uml.cpp:1367
 #, kde-format
 msgid "Saving file with a new filename..."
 msgstr "Saving file with a new filename..."
 
-#: uml.cpp:1368 uml.cpp:1374 umlviewimageexporter.cpp:199
+#: uml.cpp:1377 uml.cpp:1383 umlviewimageexporter.cpp:199
 #, kde-format
 msgid "Save As"
 msgstr "Save As"
 
-#: uml.cpp:1369
+#: uml.cpp:1378
 #, kde-format
 msgid ""
 "*.xmi | XMI File (*.xmi);;*.xmi.tgz | Gzip Compressed XMI File (*.xmi.tgz);;"
@@ -7535,7 +7535,7 @@ msgstr ""
 "*.xmi | XMI File (*.xmi);;*.xmi.tgz | Gzip Compressed XMI File (*.xmi.tgz);;"
 "*.xmi.tar.bz2 | Bzip2 Compressed XMI File (*.xmi.tar.bz2);;* | All Files (*)"
 
-#: uml.cpp:1374
+#: uml.cpp:1383
 #, kde-format
 msgid ""
 "*.xmi|XMI File\n"
@@ -7548,7 +7548,7 @@ msgstr ""
 "*.xmi.tar.bz2|Bzip2 Compressed XMI File\n"
 "*|All Files"
 
-#: uml.cpp:1387
+#: uml.cpp:1396
 #, kde-format
 msgid ""
 "The file %1 exists.\n"
@@ -7557,67 +7557,67 @@ msgstr ""
 "The file %1 exists.\n"
 "Do you wish to overwrite it?"
 
-#: uml.cpp:1388
+#: uml.cpp:1397
 #, kde-format
 msgid "Warning"
 msgstr "Warning"
 
-#: uml.cpp:1388
+#: uml.cpp:1397
 #, kde-format
 msgid "Overwrite"
 msgstr "Overwrite"
 
-#: uml.cpp:1422
+#: uml.cpp:1431
 #, kde-format
 msgid "Closing file..."
 msgstr "Closing file..."
 
-#: uml.cpp:1432
+#: uml.cpp:1441
 #, kde-format
 msgid "No search term entered"
 msgstr "No search term entered"
 
-#: uml.cpp:1438
+#: uml.cpp:1447
 #, kde-format
 msgid "'%1': %2 found"
 msgstr "'%1': %2 found"
 
-#: uml.cpp:1502
+#: uml.cpp:1511
 #, kde-format
 msgid "Print Preview..."
 msgstr "Print Preview..."
 
-#: uml.cpp:1529
+#: uml.cpp:1538
 #, kde-format
 msgid "Printing..."
 msgstr "Printing..."
 
-#: uml.cpp:1536 uml.cpp:1540
+#: uml.cpp:1545 uml.cpp:1549
 #, kde-format
 msgid "Print %1"
 msgstr "Print %1"
 
-#: uml.cpp:1560
+#: uml.cpp:1569
 #, kde-format
 msgid "Exiting..."
 msgstr "Exiting..."
 
-#: uml.cpp:1647
+#: uml.cpp:1656
 #, kde-format
 msgid "Cutting selection..."
 msgstr "Cutting selection..."
 
-#: uml.cpp:1670
+#: uml.cpp:1679
 #, kde-format
 msgid "Copying selection to clipboard..."
 msgstr "Copying selection to clipboard..."
 
-#: uml.cpp:1682
+#: uml.cpp:1691
 #, kde-format
 msgid "Inserting clipboard contents..."
 msgstr "Inserting clipboard contents..."
 
-#: uml.cpp:1687
+#: uml.cpp:1696
 #, kde-format
 msgid ""
 "Umbrello could not paste the clipboard contents.  The objects in the "
@@ -7626,38 +7626,38 @@ msgstr ""
 "Umbrello could not paste the clipboard contents.  The objects in the "
 "clipboard may be of the wrong type to be pasted here."
 
-#: uml.cpp:1713 umlviewimageexporter.cpp:92 umlviewimageexporterall.cpp:123
+#: uml.cpp:1722 umlviewimageexporter.cpp:92 umlviewimageexporterall.cpp:123
 #, kde-format
 msgctxt "reset status bar"
 msgid "Ready."
 msgstr "Ready."
 
-#: uml.cpp:2246
+#: uml.cpp:2255
 #, kde-format
 msgid "Cannot view code until you generate some first."
 msgstr "Cannot view code until you generate some first."
 
-#: uml.cpp:2246 uml.cpp:2249
+#: uml.cpp:2255 uml.cpp:2258
 #, kde-format
 msgid "Cannot View Code"
 msgstr "Cannot View Code"
 
-#: uml.cpp:2249
+#: uml.cpp:2258
 #, kde-format
 msgid "Cannot view code from simple code writer."
 msgstr "Cannot view code from simple code writer."
 
-#: uml.cpp:2714 uml.cpp:2716
+#: uml.cpp:2728 uml.cpp:2730
 #, kde-format
 msgid "Select file(s) to import:"
 msgstr "Select file(s) to import:"
 
-#: uml.cpp:2747 uml.cpp:2749
+#: uml.cpp:2761 uml.cpp:2763
 #, kde-format
 msgid "Select directory to import:"
 msgstr "Select directory to import:"
 
-#: uml.cpp:3313
+#: uml.cpp:3335
 #, kde-format
 msgid "XHTML Generation failed ."
 msgstr "XHTML Generation failed ."
@@ -7671,20 +7671,20 @@ msgstr ""
 "An operation with the same name and signature already exists. You cannot add "
 "it again."
 
-#: uml1model/folder.cpp:435
+#: uml1model/folder.cpp:436
 #, kde-format
 msgid "The folderfile %1 does not exist."
 msgstr "The folderfile %1 does not exist."
 
-#: uml1model/folder.cpp:435 uml1model/folder.cpp:439 umldoc.cpp:529
-#: umldoc.cpp:541 umldoc.cpp:568 umldoc.cpp:570 umldoc.cpp:620 umldoc.cpp:623
-#: umldoc.cpp:638 umldoc.cpp:641 umldoc.cpp:665 umldoc.cpp:668 umldoc.cpp:684
-#: umldoc.cpp:687 umldoc.cpp:702 umldoc.cpp:705 umldoc.cpp:750
+#: uml1model/folder.cpp:436 uml1model/folder.cpp:440 umldoc.cpp:530
+#: umldoc.cpp:542 umldoc.cpp:569 umldoc.cpp:571 umldoc.cpp:621 umldoc.cpp:624
+#: umldoc.cpp:639 umldoc.cpp:642 umldoc.cpp:666 umldoc.cpp:669 umldoc.cpp:685
+#: umldoc.cpp:688 umldoc.cpp:703 umldoc.cpp:706 umldoc.cpp:751
 #, kde-format
 msgid "Load Error"
 msgstr "Load Error"
 
-#: uml1model/folder.cpp:439
+#: uml1model/folder.cpp:440
 #, kde-format
 msgid "The folderfile %1 cannot be opened."
 msgstr "The folderfile %1 cannot be opened."
@@ -7694,13 +7694,13 @@ msgstr "The folderfile %1 cannot be open
 msgid "new_parameter"
 msgstr "new_parameter"
 
-#: uml1model/package.cpp:163
+#: uml1model/package.cpp:169
 #, kde-format
 msgctxt "object name"
 msgid "Name"
 msgstr "Name"
 
-#: uml1model/package.cpp:164
+#: uml1model/package.cpp:170
 #, kde-format
 msgid ""
 "An object with the name %1\n"
@@ -7726,77 +7726,77 @@ msgstr "new_field"
 msgid "new_fkey_constraint"
 msgstr "new_fkey_constraint"
 
-#: uml1model/umlobject.cpp:1140
+#: uml1model/umlobject.cpp:1141
 #, kde-format
 msgid "Actor &name:"
 msgstr "Actor &name:"
 
-#: uml1model/umlobject.cpp:1143
+#: uml1model/umlobject.cpp:1144
 #, kde-format
 msgid "Artifact &name:"
 msgstr "Artefact &name:"
 
-#: uml1model/umlobject.cpp:1146
+#: uml1model/umlobject.cpp:1147
 #, kde-format
 msgid "Association &name:"
 msgstr "Association &name:"
 
-#: uml1model/umlobject.cpp:1149
+#: uml1model/umlobject.cpp:1150
 #, kde-format
 msgid "Class &name:"
 msgstr "Class &name:"
 
-#: uml1model/umlobject.cpp:1152
+#: uml1model/umlobject.cpp:1153
 #, kde-format
 msgid "Component &name:"
 msgstr "Component &name:"
 
-#: uml1model/umlobject.cpp:1155
+#: uml1model/umlobject.cpp:1156
 #, kde-format
 msgid "Datatype &name:"
 msgstr "Datatype &name:"
 
-#: uml1model/umlobject.cpp:1158
+#: uml1model/umlobject.cpp:1159
 #, kde-format
 msgid "Entity &name:"
 msgstr "Entity &name:"
 
-#: uml1model/umlobject.cpp:1161
+#: uml1model/umlobject.cpp:1162
 #, kde-format
 msgid "Enum &name:"
 msgstr "Enum &name:"
 
-#: uml1model/umlobject.cpp:1164
+#: uml1model/umlobject.cpp:1165
 #, kde-format
 msgid "Folder &name:"
 msgstr "Folder &name:"
 
-#: uml1model/umlobject.cpp:1167
+#: uml1model/umlobject.cpp:1168
 #, kde-format
 msgid "Interface &name:"
 msgstr "Interface &name:"
 
-#: uml1model/umlobject.cpp:1170
+#: uml1model/umlobject.cpp:1171
 #, kde-format
 msgid "Node &name:"
 msgstr "Node &name:"
 
-#: uml1model/umlobject.cpp:1173
+#: uml1model/umlobject.cpp:1174
 #, kde-format
 msgid "Package &name:"
 msgstr "Package &name:"
 
-#: uml1model/umlobject.cpp:1176
+#: uml1model/umlobject.cpp:1177
 #, kde-format
 msgid "Port &name:"
 msgstr "Port &name:"
 
-#: uml1model/umlobject.cpp:1182
+#: uml1model/umlobject.cpp:1183
 #, kde-format
 msgid "Use case &name:"
 msgstr "Use case &name:"
 
-#: uml1model/umlobject.cpp:1185
+#: uml1model/umlobject.cpp:1186
 #, kde-format
 msgid "Instance name:"
 msgstr "Instance name:"
@@ -7816,42 +7816,42 @@ msgstr "&Stereotypes"
 msgid "Welcome"
 msgstr "Welcome"
 
-#: umldoc.cpp:112 umldoc.cpp:2400 umldoc.cpp:2428
+#: umldoc.cpp:113 umldoc.cpp:2405 umldoc.cpp:2433
 #, kde-format
 msgid "UML Model"
 msgstr "UML Model"
 
-#: umldoc.cpp:154
+#: umldoc.cpp:155
 #, kde-format
 msgid "Logical View"
 msgstr "Logical View"
 
-#: umldoc.cpp:155
+#: umldoc.cpp:156
 #, kde-format
 msgid "Use Case View"
 msgstr "Use Case View"
 
-#: umldoc.cpp:156
+#: umldoc.cpp:157
 #, kde-format
 msgid "Component View"
 msgstr "Component View"
 
-#: umldoc.cpp:157
+#: umldoc.cpp:158
 #, kde-format
 msgid "Deployment View"
 msgstr "Deployment View"
 
-#: umldoc.cpp:158
+#: umldoc.cpp:159
 #, kde-format
 msgid "Entity Relationship Model"
 msgstr "Entity Relationship Model"
 
-#: umldoc.cpp:184
+#: umldoc.cpp:185
 #, kde-format
 msgid "Datatypes"
 msgstr "Datatypes"
 
-#: umldoc.cpp:363
+#: umldoc.cpp:364
 #, kde-format
 msgid ""
 "The current file has been modified.\n"
@@ -7860,166 +7860,166 @@ msgstr ""
 "The current file has been modified.\n"
 "Do you want to save it?"
 
-#: umldoc.cpp:364
+#: umldoc.cpp:365
 #, kde-format
 msgctxt "warning message"
 msgid "Warning"
 msgstr "Warning"
 
-#: umldoc.cpp:529
+#: umldoc.cpp:530
 #, kde-format
 msgid "The file <%1> does not exist."
 msgstr "The file <%1> does not exist."
 
-#: umldoc.cpp:541
+#: umldoc.cpp:542
 #, kde-format
 msgid "The file %1 does not exist."
 msgstr "The file %1 does not exist."
 
-#: umldoc.cpp:568 umldoc.cpp:570
+#: umldoc.cpp:569 umldoc.cpp:571
 #, kde-format
 msgid "The file %1 seems to be corrupted."
 msgstr "The file %1 seems to be corrupted."
 
-#: umldoc.cpp:619 umldoc.cpp:622 umldoc.cpp:637 umldoc.cpp:640 umldoc.cpp:683
-#: umldoc.cpp:686
+#: umldoc.cpp:620 umldoc.cpp:623 umldoc.cpp:638 umldoc.cpp:641 umldoc.cpp:684
+#: umldoc.cpp:687
 #, kde-format
 msgid "There was no XMI file found in the compressed file %1."
 msgstr "There was no XMI file found in the compressed file %1."
 
-#: umldoc.cpp:664 umldoc.cpp:667
+#: umldoc.cpp:665 umldoc.cpp:668
 #, kde-format
 msgid "There was a problem loading the extracted file: %1"
 msgstr "There was a problem loading the extracted file: %1"
 
-#: umldoc.cpp:701 umldoc.cpp:704 umldoc.cpp:744 umldoc.cpp:746
+#: umldoc.cpp:702 umldoc.cpp:705 umldoc.cpp:745 umldoc.cpp:747
 #, kde-format
 msgid "There was a problem loading file: %1"
 msgstr "There was a problem loading file: %1"
 
-#: umldoc.cpp:749
+#: umldoc.cpp:750
 #, kde-format
 msgid "Reason: %1"
 msgstr "Reason: %1"
 
-#: umldoc.cpp:832 umldoc.cpp:834 umldoc.cpp:851 umldoc.cpp:853 umldoc.cpp:873
-#: umldoc.cpp:875 umldoc.cpp:924 umldoc.cpp:926 umldoc.cpp:966 umldoc.cpp:969
-#: umldoc.cpp:978 umldoc.cpp:980 umllistview.cpp:593
+#: umldoc.cpp:833 umldoc.cpp:835 umldoc.cpp:852 umldoc.cpp:854 umldoc.cpp:874
+#: umldoc.cpp:876 umldoc.cpp:925 umldoc.cpp:927 umldoc.cpp:968 umldoc.cpp:971
+#: umldoc.cpp:980 umldoc.cpp:982 umllistview.cpp:594
 #, kde-format
 msgid "Save Error"
 msgstr "Save Error"
 
-#: umldoc.cpp:832 umldoc.cpp:851 umldoc.cpp:873 umldoc.cpp:924 umldoc.cpp:966
+#: umldoc.cpp:833 umldoc.cpp:852 umldoc.cpp:874 umldoc.cpp:925 umldoc.cpp:968
 #, kde-format
 msgid "There was a problem saving: %1"
 msgstr "There was a problem saving: %1"
 
-#: umldoc.cpp:834 umldoc.cpp:853 umldoc.cpp:875 umldoc.cpp:926 umldoc.cpp:969
-#: umllistview.cpp:592 umlviewimageexportermodel.cpp:303
+#: umldoc.cpp:835 umldoc.cpp:854 umldoc.cpp:876 umldoc.cpp:927 umldoc.cpp:971
+#: umllistview.cpp:593 umlviewimageexportermodel.cpp:303
 #, kde-format
 msgid "There was a problem saving file: %1"
 msgstr "There was a problem saving file: %1"
 
-#: umldoc.cpp:978
+#: umldoc.cpp:980
 #, kde-format
 msgid "There was a problem uploading: %1"
 msgstr "There was a problem uploading: %1"
 
-#: umldoc.cpp:980
+#: umldoc.cpp:982
 #, kde-format
 msgid "There was a problem uploading file: %1"
 msgstr "There was a problem uploading file: %1"
 
-#: umldoc.cpp:1526
+#: umldoc.cpp:1528
 #, kde-format
 msgid "use case diagram"
 msgstr "use case diagram"
 
-#: umldoc.cpp:1529
+#: umldoc.cpp:1531
 #, kde-format
 msgid "class diagram"
 msgstr "class diagram"
 
-#: umldoc.cpp:1532
+#: umldoc.cpp:1534
 #, kde-format
 msgid "sequence diagram"
 msgstr "sequence diagram"
 
-#: umldoc.cpp:1535
+#: umldoc.cpp:1537
 #, kde-format
 msgid "communication diagram"
 msgstr "communication diagram"
 
-#: umldoc.cpp:1538
+#: umldoc.cpp:1540
 #, kde-format
 msgid "object diagram"
 msgstr "object diagram"
 
-#: umldoc.cpp:1541
+#: umldoc.cpp:1543
 #, kde-format
 msgid "state diagram"
 msgstr "state diagram"
 
-#: umldoc.cpp:1544
+#: umldoc.cpp:1546
 #, kde-format
 msgid "activity diagram"
 msgstr "activity diagram"
 
-#: umldoc.cpp:1547
+#: umldoc.cpp:1549
 #, kde-format
 msgid "component diagram"
 msgstr "component diagram"
 
-#: umldoc.cpp:1550
+#: umldoc.cpp:1552
 #, kde-format
 msgid "deployment diagram"
 msgstr "deployment diagram"
 
-#: umldoc.cpp:1553
+#: umldoc.cpp:1555
 #, kde-format
 msgid "entity relationship diagram"
 msgstr "entity relationship diagram"
 
-#: umldoc.cpp:1623
+#: umldoc.cpp:1625
 #, kde-format
 msgctxt "diagram name"
 msgid "Name"
 msgstr "Name"
 
-#: umldoc.cpp:1623 umldoc.cpp:1686 umldoc.cpp:1715 umldoc.cpp:1749
+#: umldoc.cpp:1625 umldoc.cpp:1688 umldoc.cpp:1717 umldoc.cpp:1751
 #, kde-format
 msgid "Enter name:"
 msgstr "Enter name:"
 
-#: umldoc.cpp:1627 umldoc.cpp:1692
+#: umldoc.cpp:1629 umldoc.cpp:1694
 #, kde-format
 msgid "That is an invalid name for a diagram."
 msgstr "That is an invalid name for a diagram."
 
-#: umldoc.cpp:1629 umldoc.cpp:1699
+#: umldoc.cpp:1631 umldoc.cpp:1701
 #, kde-format
 msgid "A diagram is already using that name."
 msgstr "A diagram is already using that name."
 
-#: umldoc.cpp:1685
+#: umldoc.cpp:1687
 #, kde-format
 msgctxt "renaming diagram"
 msgid "Name"
 msgstr "Name"
 
-#: umldoc.cpp:1714
+#: umldoc.cpp:1716
 #, kde-format
 msgctxt "renaming uml object"
 msgid "Name"
 msgstr "Name"
 
-#: umldoc.cpp:1748
+#: umldoc.cpp:1750
 #, kde-format
 msgctxt "renaming child uml object"
 msgid "Name"
 msgstr "Name"
 
-#: umldoc.cpp:1758
+#: umldoc.cpp:1760
 #, kde-format
 msgid ""
 "The name you entered was not unique.\n"
@@ -8028,62 +8028,62 @@ msgstr ""
 "The name you entered was not unique.\n"
 "Is this what you wanted?"
 
-#: umldoc.cpp:1759
+#: umldoc.cpp:1761
 #, kde-format
 msgid "Use Name"
 msgstr "Use Name"
 
-#: umldoc.cpp:1759
+#: umldoc.cpp:1761
 #, kde-format
 msgid "Enter New Name"
 msgstr "Enter New Name"
 
-#: umldoc.cpp:2361
+#: umldoc.cpp:2366
 #, kde-format
 msgid "Unsupported xmi file version: %1"
 msgstr "Unsupported xmi file version: %1"
 
-#: umldoc.cpp:2511
+#: umldoc.cpp:2516
 #, kde-format
 msgid "Setting up the document..."
 msgstr "Setting up the document..."
 
-#: umldoc.cpp:2540
+#: umldoc.cpp:2545
 #, kde-format
 msgid "Resolving object references..."
 msgstr "Resolving object references..."
 
-#: umldoc.cpp:2648
+#: umldoc.cpp:2653
 #, kde-format
 msgid "Loading UML elements..."
 msgstr "Loading UML elements..."
 
-#: umldoc.cpp:2892
+#: umldoc.cpp:2899
 #, kde-format
 msgid "Loading diagrams..."
 msgstr "Loading diagrams..."
 
-#: umldoc.cpp:3400
+#: umldoc.cpp:3409
 #, kde-format
 msgid "/autosave%1"
 msgstr "/autosave%1"
 
-#: umllistview.cpp:536 umllistview.cpp:540
+#: umllistview.cpp:537 umllistview.cpp:541
 #, kde-format
 msgid "Externalize Folder"
 msgstr "Externalise Folder"
 
-#: umllistview.cpp:574
+#: umllistview.cpp:575
 #, kde-format
 msgid "Folder %1 must be relative to the main model directory, %2."
 msgstr "Folder %1 must be relative to the main model directory, %2."
 
-#: umllistview.cpp:575
+#: umllistview.cpp:576
 #, kde-format
 msgid "Path Error"
 msgstr "Path Error"
 
-#: umllistview.cpp:583
+#: umllistview.cpp:584
 #, kde-format
 msgid ""
 "File %1 already exists!\n"
@@ -8092,62 +8092,62 @@ msgstr ""
 "File %1 already exists!\n"
 "The existing file will be overwritten."
 
-#: umllistview.cpp:584
+#: umllistview.cpp:585
 #, kde-format
 msgid "File Exist"
 msgstr "File Exist"
 
-#: umllistview.cpp:624
+#: umllistview.cpp:625
 #, kde-format
 msgid "Enter Model Name"
 msgstr "Enter Model Name"
 
-#: umllistview.cpp:625
+#: umllistview.cpp:626
 #, kde-format
 msgid "Enter the new name of the model:"
 msgstr "Enter the new name of the model:"
 
-#: umllistview.cpp:1422
+#: umllistview.cpp:1430
 #, kde-format
 msgid "Views"
 msgstr "Views"
 
-#: umllistview.cpp:1441
+#: umllistview.cpp:1449
 #, kde-format
 msgid "Settings"
 msgstr "Settings"
 
-#: umllistview.cpp:2413
+#: umllistview.cpp:2421
 #, kde-format
 msgid "Loading listview..."
 msgstr "Loading listview..."
 
-#: umllistview.cpp:2764
+#: umllistview.cpp:2772
 #, kde-format
 msgid "The class must be emptied before it can be deleted."
 msgstr "The class must be emptied before it can be deleted."
 
-#: umllistview.cpp:2765
+#: umllistview.cpp:2773
 #, kde-format
 msgid "Class Not Empty"
 msgstr "Class Not Empty"
 
-#: umllistview.cpp:2769
+#: umllistview.cpp:2777
 #, kde-format
 msgid "The package must be emptied before it can be deleted."
 msgstr "The package must be emptied before it can be deleted."
 
-#: umllistview.cpp:2770
+#: umllistview.cpp:2778
 #, kde-format
 msgid "Package Not Empty"
 msgstr "Package Not Empty"
 
-#: umllistview.cpp:2774
+#: umllistview.cpp:2782
 #, kde-format
 msgid "The folder must be emptied before it can be deleted."
 msgstr "The folder must be emptied before it can be deleted."
 
-#: umllistview.cpp:2775
+#: umllistview.cpp:2783
 #, kde-format
 msgid "Folder Not Empty"
 msgstr "Folder Not Empty"
diff -pruN 4:20.08.3-1/po/eo/umbrello.po 4:20.12.0-0ubuntu1/po/eo/umbrello.po
--- 4:20.08.3-1/po/eo/umbrello.po	2020-11-03 00:42:15.000000000 +0000
+++ 4:20.12.0-0ubuntu1/po/eo/umbrello.po	2020-12-04 00:21:29.000000000 +0000
@@ -8,7 +8,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: umbrello\n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
-"POT-Creation-Date: 2020-08-14 08:09+0200\n"
+"POT-Creation-Date: 2020-11-06 02:36+0100\n"
 "PO-Revision-Date: 2007-12-06 23:25+0100\n"
 "Last-Translator: Oliver M. Kellogg <okellogg@users.sourceforge.net>\n"
 "Language-Team: Esperanto <kde-i18n-eo@kde.org>\n"
@@ -210,7 +210,7 @@ msgid ""
 "item of the same name already exists.  Any other items have been pasted."
 msgstr ""
 
-#: clipboard/umlclipboard.cpp:753 uml.cpp:1689
+#: clipboard/umlclipboard.cpp:753 uml.cpp:1698
 #, kde-format
 msgid "Paste Error"
 msgstr "Eraro dum Regluado"
@@ -457,7 +457,7 @@ msgstr "<p align=\"center\">Kodgenerado
 #. i18n: ectx: attribute (title), widget (QWidget, ui_tabGeneral)
 #: codegenerators/cpp/cppcodegenerationformbase.ui:51
 #: codegenwizard/codegenoptionspage.ui:39 dialogs/objectnodedialog.cpp:135
-#: umllistview.cpp:1451
+#: umllistview.cpp:1459
 #, kde-format
 msgid "General"
 msgstr "Ĝenerale"
@@ -1334,7 +1334,7 @@ msgstr "Stato"
 #. i18n: ectx: property (text), widget (QRadioButton, ui_categoryClass)
 #. i18n: ectx: property (text), widget (QTableWidget, ui_tableWidgetStatus)
 #: codegenwizard/codegenstatuspage.ui:40 codeimpwizard/codeimpstatuspage.ui:54
-#: dialogs/finddialog.ui:89 umllistview.cpp:1446 umlwidgets/widgetbase.cpp:1255
+#: dialogs/finddialog.ui:89 umllistview.cpp:1454 umlwidgets/widgetbase.cpp:1255
 #, kde-format
 msgid "Class"
 msgstr "Klaso"
@@ -2016,18 +2016,18 @@ msgstr ""
 msgid "Enable 'delete diagram' related messages"
 msgstr ""
 
-#: dialogs/dialog_utils.cpp:117
+#: dialogs/dialog_utils.cpp:118
 #, kde-format
 msgid "You are about to delete an association. Do you really want to continue?"
 msgstr ""
 
-#: dialogs/dialog_utils.cpp:118
+#: dialogs/dialog_utils.cpp:119
 #, fuzzy, kde-format
 #| msgid "Self Association"
 msgid "Delete Association"
 msgstr "Memasocio"
 
-#: dialogs/dialog_utils.cpp:132
+#: dialogs/dialog_utils.cpp:133
 #, kde-format
 msgid ""
 "You are about to delete the entire diagram.\n"
@@ -2036,17 +2036,17 @@ msgstr ""
 "You are about to delete the entire diagram.\n"
 "Ĉu vi certas?"
 
-#: dialogs/dialog_utils.cpp:133
+#: dialogs/dialog_utils.cpp:134
 #, kde-format
 msgid "Are you sure you want to delete diagram %1?"
 msgstr "Chu vi certas ke vi volas forigi la diagramon %1?"
 
-#: dialogs/dialog_utils.cpp:138
+#: dialogs/dialog_utils.cpp:139
 #, kde-format
 msgid "Delete Diagram?"
 msgstr "Forigi Diagramon?"
 
-#: dialogs/dialog_utils.cpp:139 dialogs/pages/classifierlistpage.cpp:215
+#: dialogs/dialog_utils.cpp:140 dialogs/pages/classifierlistpage.cpp:215
 #: dialogs/pages/classifierlistpage.cpp:223
 #: dialogs/umlforeignkeyconstraintdialog.cpp:325
 #: dialogs/umlforeignkeyconstraintdialog.cpp:331
@@ -2207,7 +2207,7 @@ msgstr "Ĝenerale"
 #. i18n: ectx: label, entry (uiFont), group (UI Options)
 #. i18n: ectx: label, entry (codeViewerFont), group (Code Viewer Options)
 #: dialogs/multipagedialogbase.cpp:405 umbrello.kcfg:177 umbrello.kcfg:292
-#: umllistview.cpp:1450
+#: umllistview.cpp:1458
 #, kde-format
 msgid "Font"
 msgstr "Tiparo"
@@ -2632,7 +2632,7 @@ msgstr "N&ova Ento-Atributo..."
 
 #: dialogs/pages/classifierlistpage.cpp:217
 #: dialogs/pages/classifierlistpage.cpp:225 dialogs/umloperationdialog.cpp:167
-#: dialogs/umloperationdialog.cpp:175 uml.cpp:554
+#: dialogs/umloperationdialog.cpp:175 uml.cpp:563
 #, kde-format
 msgid "&Properties"
 msgstr "&Trajtoj"
@@ -2650,7 +2650,7 @@ msgid "Source Code"
 msgstr "Fontkodo"
 
 #: dialogs/pages/classoptionspage.cpp:157
-#: dialogs/pages/classoptionspage.cpp:251 uml.cpp:509
+#: dialogs/pages/classoptionspage.cpp:251 uml.cpp:518
 #, fuzzy, kde-format
 #| msgid "Documentation"
 msgid "&Documentation"
@@ -2843,8 +2843,8 @@ msgstr "La nomo kiun vi enigis estas nev
 #: uml1model/classifier.cpp:410 uml1model/classifier.cpp:781
 #: uml1model/entity.cpp:125 uml1model/entity.cpp:178 uml1model/entity.cpp:228
 #: uml1model/entity.cpp:277 uml1model/enum.cpp:107 uml1model/instance.cpp:124
-#: uml1model/package.cpp:172 umldoc.cpp:1627 umldoc.cpp:1692 umldoc.cpp:1721
-#: umldoc.cpp:1755
+#: uml1model/package.cpp:178 umldoc.cpp:1629 umldoc.cpp:1694 umldoc.cpp:1723
+#: umldoc.cpp:1757
 #, kde-format
 msgid "Invalid Name"
 msgstr "Nevalida Nomo"
@@ -2854,7 +2854,7 @@ msgstr "Nevalida Nomo"
 msgid "The name you have entered is not unique."
 msgstr "La nomo kiun vi enigis estis neunika."
 
-#: dialogs/pages/diagrampropertiespage.cpp:86 umldoc.cpp:1759
+#: dialogs/pages/diagrampropertiespage.cpp:86 umldoc.cpp:1761
 #, kde-format
 msgid "Name Not Unique"
 msgstr "Nomo Ne Unika"
@@ -3335,7 +3335,7 @@ msgstr "&Diagramo"
 msgid "Umbrello Setup"
 msgstr ""
 
-#: dialogs/settingsdialog.cpp:114 umllistview.cpp:1452
+#: dialogs/settingsdialog.cpp:114 umllistview.cpp:1460
 #, kde-format
 msgid "User Interface"
 msgstr "Uzant-interfaco"
@@ -3364,7 +3364,7 @@ msgstr "Klaso"
 msgid "Class Settings"
 msgstr "Agordo de Klaso"
 
-#: dialogs/settingsdialog.cpp:137 umllistview.cpp:1447
+#: dialogs/settingsdialog.cpp:137 umllistview.cpp:1455
 #, fuzzy, kde-format
 #| msgid "Not Generated"
 msgid "Code Importer"
@@ -3376,7 +3376,7 @@ msgstr "Ne Generita"
 msgid "Code Import Settings"
 msgstr "Agordo de Kodmontrilo"
 
-#: dialogs/settingsdialog.cpp:146 umllistview.cpp:1448
+#: dialogs/settingsdialog.cpp:146 umllistview.cpp:1456
 #, kde-format
 msgid "Code Generation"
 msgstr "Kodgenerado"
@@ -3386,7 +3386,7 @@ msgstr "Kodgenerado"
 msgid "Code Generation Settings"
 msgstr "Agordo de Kodgenerado"
 
-#: dialogs/settingsdialog.cpp:154 umllistview.cpp:1449
+#: dialogs/settingsdialog.cpp:154 umllistview.cpp:1457
 #, kde-format
 msgid "Code Viewer"
 msgstr "Kodmontrilo"
@@ -3396,7 +3396,7 @@ msgstr "Kodmontrilo"
 msgid "Code Viewer Settings"
 msgstr "Agordo de Kodmontrilo"
 
-#: dialogs/settingsdialog.cpp:161 umllistview.cpp:1445
+#: dialogs/settingsdialog.cpp:161 umllistview.cpp:1453
 #, fuzzy, kde-format
 #| msgid "Auto Save"
 msgid "Auto Layout"
@@ -4057,7 +4057,7 @@ msgstr "&Tipo:"
 msgid "Package path:"
 msgstr "Pakonomo:"
 
-#: dialogs/widgets/umlstereotypewidget.cpp:29 uml1model/umlobject.cpp:1179
+#: dialogs/widgets/umlstereotypewidget.cpp:29 uml1model/umlobject.cpp:1180
 #, fuzzy, kde-format
 #| msgid "Stereotype name:"
 msgid "Stereotype &name:"
@@ -4210,7 +4210,7 @@ msgstr ""
 msgid "Gael de Chalendar (aka Kleag)"
 msgstr ""
 
-#: docgenerators/main.cpp:56 main.cpp:131
+#: docgenerators/main.cpp:56 main.cpp:133
 #, kde-format
 msgid "Umbrello UML Modeller Authors"
 msgstr "Aŭtoroj de Umbrello UML Modeller"
@@ -4274,12 +4274,12 @@ msgstr ""
 msgid "Apply layout"
 msgstr "Aŭtokonservado"
 
-#: main.cpp:121
+#: main.cpp:123
 #, kde-format
 msgid "Umbrello UML Modeller"
 msgstr "Umbrello UML Modeller"
 
-#: main.cpp:123
+#: main.cpp:125
 #, kde-format
 msgid ""
 "Umbrello – Visual development environment for software, based on the "
@@ -4287,7 +4287,7 @@ msgid ""
 "\"http://www.omg.org/spec/\">http://www.omg.org/spec/</a>."
 msgstr ""
 
-#: main.cpp:127
+#: main.cpp:129
 #, fuzzy, kde-format
 #| msgid "(c) 2001 Paul Hensgen, (c) 2002-2006 Umbrello UML Modeller Authors"
 msgid ""
@@ -4295,100 +4295,100 @@ msgid ""
 "Copyright © 2002-2020 Umbrello UML Modeller Authors"
 msgstr "(k) 2001 Paul Hensgen, (k) 2002-2006 Aŭtoroj de Umbrello UML Modeller"
 
-#: main.cpp:130
+#: main.cpp:132
 #, kde-format
 msgid "Paul Hensgen"
 msgstr "Paul Hensgen"
 
-#: main.cpp:130
+#: main.cpp:132
 #, kde-format
 msgid "Author of initial version."
 msgstr ""
 
-#: main.cpp:134
+#: main.cpp:136
 #, kde-format
 msgid "Oliver Kellogg"
 msgstr ""
 
-#: main.cpp:135 main.cpp:138
+#: main.cpp:137 main.cpp:140
 #, kde-format
 msgid "Bug fixing, porting work, code cleanup, new features."
 msgstr ""
 
-#: main.cpp:137
+#: main.cpp:139
 #, kde-format
 msgid "Ralf Habacker"
 msgstr "Ralf Habacker"
 
-#: main.cpp:140
+#: main.cpp:142
 #, kde-format
 msgid "Andi Fischer"
 msgstr "Andi Fischer"
 
-#: main.cpp:141
+#: main.cpp:143
 #, kde-format
 msgid "Porting work, code cleanup, new features."
 msgstr ""
 
-#: main.cpp:143
+#: main.cpp:145
 #, kde-format
 msgid "Jonathan Riddell"
 msgstr ""
 
-#: main.cpp:144
+#: main.cpp:146
 #, fuzzy, kde-format
 #| msgid "&Current diagram"
 msgid "Current maintainer."
 msgstr "&Aktuala diagramo"
 
-#: main.cpp:146
+#: main.cpp:148
 #, kde-format
 msgid "Brian Thomas"
 msgstr ""
 
-#: main.cpp:147
+#: main.cpp:149
 #, kde-format
 msgid "A lot of work for C++ and Java code generation. Codeeditor."
 msgstr ""
 
-#: main.cpp:152
+#: main.cpp:154
 #, kde-format
 msgid "File to open"
 msgstr "Dosiero malfermenda"
 
-#: main.cpp:153
+#: main.cpp:155
 #, kde-format
 msgid "export diagrams to extension and exit"
 msgstr "eksporti diagramojn al sufikso kaj eliri"
 
-#: main.cpp:154
+#: main.cpp:156
 #, kde-format
 msgid "list available export extensions"
 msgstr ""
 
-#: main.cpp:155
+#: main.cpp:157
 #, kde-format
 msgid "the local directory to save the exported diagrams in"
 msgstr "la loka dosierujo por la savado de la eksportitaj bildoj"
 
-#: main.cpp:155
+#: main.cpp:157
 #, kde-format
 msgid "the directory of the file"
 msgstr "la dosierujo de la dosiero"
 
-#: main.cpp:156
+#: main.cpp:158
 #, fuzzy, kde-format
 #| msgid "Exporting view..."
 msgid "import files"
 msgstr "Eksportanta diagramon..."
 
-#: main.cpp:157
+#: main.cpp:159
 #, fuzzy, kde-format
 #| msgid "All Files"
 msgid "list supported languages"
 msgstr "Chiuj Dosieroj"
 
-#: main.cpp:158
+#: main.cpp:160
 #, kde-format
 msgid ""
 "keep the tree structure used to store the views in the document in the "
@@ -4397,13 +4397,13 @@ msgstr ""
 "reteni la arbostrukturon uzata por la storado de la diagramoj en la "
 "dokumento de la celdosierujo"
 
-#: main.cpp:159
+#: main.cpp:161
 #, fuzzy, kde-format
 #| msgid "Import Project..."
 msgid "import files from directory <dir>"
 msgstr "Importi Projekton..."
 
-#: main.cpp:163
+#: main.cpp:165
 #, fuzzy, kde-format
 #| msgid "Active &Language"
 msgid "set active language"
@@ -4679,7 +4679,7 @@ msgstr "Montri malkonstruon"
 msgid "Import File(s)..."
 msgstr "Importi Klasojn..."
 
-#: menus/listpopupmenu.cpp:201 uml.cpp:356
+#: menus/listpopupmenu.cpp:201 uml.cpp:365
 #, fuzzy, kde-format
 #| msgid "Import Project..."
 msgid "Import from Directory..."
@@ -5212,42 +5212,42 @@ msgctxt "align menu"
 msgid "Align"
 msgstr "&Vicigi"
 
-#: menus/widgetbasepopupmenu.cpp:598 uml.cpp:573
+#: menus/widgetbasepopupmenu.cpp:598 uml.cpp:582
 #, kde-format
 msgid "Align Right"
 msgstr "Vicigi Dekstre"
 
-#: menus/widgetbasepopupmenu.cpp:599 uml.cpp:578
+#: menus/widgetbasepopupmenu.cpp:599 uml.cpp:587
 #, kde-format
 msgid "Align Left"
 msgstr "Vicigi Maldekstre"
 
-#: menus/widgetbasepopupmenu.cpp:600 uml.cpp:583
+#: menus/widgetbasepopupmenu.cpp:600 uml.cpp:592
 #, kde-format
 msgid "Align Top"
 msgstr "Vicigi Supre"
 
-#: menus/widgetbasepopupmenu.cpp:601 uml.cpp:588
+#: menus/widgetbasepopupmenu.cpp:601 uml.cpp:597
 #, kde-format
 msgid "Align Bottom"
 msgstr "Vicigi Malsupre"
 
-#: menus/widgetbasepopupmenu.cpp:603 uml.cpp:593
+#: menus/widgetbasepopupmenu.cpp:603 uml.cpp:602
 #, kde-format
 msgid "Align Vertical Middle"
 msgstr "Vicigi Vertikal-Centre"
 
-#: menus/widgetbasepopupmenu.cpp:604 uml.cpp:598
+#: menus/widgetbasepopupmenu.cpp:604 uml.cpp:607
 #, kde-format
 msgid "Align Horizontal Middle"
 msgstr "Vicigi Horizontal-Centre"
 
-#: menus/widgetbasepopupmenu.cpp:605 uml.cpp:603
+#: menus/widgetbasepopupmenu.cpp:605 uml.cpp:612
 #, kde-format
 msgid "Align Vertical Distribute"
 msgstr "Vicigi Vertikal-Distribue"
 
-#: menus/widgetbasepopupmenu.cpp:606 uml.cpp:608
+#: menus/widgetbasepopupmenu.cpp:606 uml.cpp:617
 #, kde-format
 msgid "Align Horizontal Distribute"
 msgstr "Vicigi Horizontal-Distribue"
@@ -6184,8 +6184,8 @@ msgstr "Mesaĝo"
 #: object_factory.cpp:251 uml1model/classifier.cpp:410
 #: uml1model/classifier.cpp:781 uml1model/entity.cpp:125
 #: uml1model/entity.cpp:178 uml1model/entity.cpp:228 uml1model/entity.cpp:277
-#: uml1model/enum.cpp:107 uml1model/instance.cpp:124 uml1model/package.cpp:171
-#: umldoc.cpp:1721 umldoc.cpp:1755
+#: uml1model/enum.cpp:107 uml1model/instance.cpp:124 uml1model/package.cpp:177
+#: umldoc.cpp:1723 umldoc.cpp:1757
 #, kde-format
 msgid "That is an invalid name."
 msgstr "Tio ne estis valida nomo."
@@ -6206,7 +6206,7 @@ msgstr "Rezervita Ŝlosilvorto"
 #: object_factory.cpp:264 uml1model/classifier.cpp:413
 #: uml1model/classifier.cpp:783 uml1model/entity.cpp:127
 #: uml1model/entity.cpp:180 uml1model/entity.cpp:230 uml1model/entity.cpp:279
-#: uml1model/instance.cpp:126 umldoc.cpp:1727 umldoc.cpp:1764
+#: uml1model/instance.cpp:126 umldoc.cpp:1729 umldoc.cpp:1766
 #, kde-format
 msgid "That name is already being used."
 msgstr "Tiu nomo estas jam uzata."
@@ -6214,8 +6214,8 @@ msgstr "Tiu nomo estas jam uzata."
 #: object_factory.cpp:265 uml1model/classifier.cpp:413
 #: uml1model/classifier.cpp:783 uml1model/entity.cpp:127
 #: uml1model/entity.cpp:180 uml1model/entity.cpp:230 uml1model/entity.cpp:279
-#: uml1model/instance.cpp:126 umldoc.cpp:1629 umldoc.cpp:1699 umldoc.cpp:1727
-#: umldoc.cpp:1764
+#: uml1model/instance.cpp:126 umldoc.cpp:1631 umldoc.cpp:1701 umldoc.cpp:1729
+#: umldoc.cpp:1766
 #, kde-format
 msgid "Not a Unique Name"
 msgstr "Nomo Ne Unika"
@@ -6278,12 +6278,12 @@ msgstr "Operacio kun tiu signaturo jam e
 msgid "Choose a different name."
 msgstr "&Uzu alian nomon"
 
-#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:266
+#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:273
 #, kde-format
 msgid "Incorrect use of associations."
 msgstr "Neĝusta uzo de asocioj."
 
-#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:266
+#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:273
 #, kde-format
 msgid "Association Error"
 msgstr "Eraro pri Asocio"
@@ -7518,193 +7518,193 @@ msgstr "Aktiva Program&lingvo"
 msgid "&Settings"
 msgstr "&Agordo"
 
-#: uml.cpp:332
+#: uml.cpp:341
 #, kde-format
 msgid "&Export model to DocBook"
 msgstr "&Eksporti modelon al DocBook"
 
-#: uml.cpp:336
+#: uml.cpp:345
 #, kde-format
 msgid "&Export model to XHTML"
 msgstr "&Eksporti modelon al XHTML"
 
-#: uml.cpp:340
+#: uml.cpp:349
 #, kde-format
 msgid "&New Class Wizard..."
 msgstr "&Nova Klas-Sorĉisto..."
 
-#: uml.cpp:344
+#: uml.cpp:353
 #, kde-format
 msgid "&Add Default Datatypes for Active Language"
 msgstr "&Almeti normajn datumtipojn por la Aktiva Programlingvo"
 
-#: uml.cpp:351
+#: uml.cpp:360
 #, fuzzy, kde-format
 #| msgid "&Code Generation Wizard..."
 msgid "Code &Importing Wizard..."
 msgstr "&Kodgenera Sorĉisto..."
 
-#: uml.cpp:361
+#: uml.cpp:370
 #, kde-format
 msgid "&Code Generation Wizard..."
 msgstr "&Kodgenera Sorĉisto..."
 
-#: uml.cpp:366
+#: uml.cpp:375
 #, kde-format
 msgid "&Generate All Code"
 msgstr "&Generi Tutan Kodon"
 
-#: uml.cpp:411
+#: uml.cpp:420
 #, kde-format
 msgid "Creates a new document"
 msgstr "Kreas novan dokumenton"
 
-#: uml.cpp:412
+#: uml.cpp:421
 #, kde-format
 msgid "Opens an existing document"
 msgstr "Malfermas ekzistantan dokumenton"
 
-#: uml.cpp:413
+#: uml.cpp:422
 #, kde-format
 msgid "Opens a recently used file"
 msgstr "Malfermas lastatempe uzatan dokumenton"
 
-#: uml.cpp:414
+#: uml.cpp:423
 #, kde-format
 msgid "Saves the document"
 msgstr "Savas la dokumenton"
 
-#: uml.cpp:415
+#: uml.cpp:424
 #, kde-format
 msgid "Saves the document as..."
 msgstr "Savas la dokumenton kiel..."
 
-#: uml.cpp:416
+#: uml.cpp:425
 #, kde-format
 msgid "Closes the document"
 msgstr "Fermas la dokumenton"
 
-#: uml.cpp:417
+#: uml.cpp:426
 #, kde-format
 msgid "Prints out the document"
 msgstr "Elprintas la dokumenton"
 
-#: uml.cpp:418
+#: uml.cpp:427
 #, fuzzy, kde-format
 #| msgid "Prints out the document"
 msgid "Print Preview of the document"
 msgstr "Elprintas la dokumenton"
 
-#: uml.cpp:419
+#: uml.cpp:428
 #, kde-format
 msgid "Quits the application"
 msgstr "Forlasas la aplikaĵon"
 
-#: uml.cpp:420
+#: uml.cpp:429
 #, kde-format
 msgid "Exports the model to the docbook format"
 msgstr "Eksportas la modelon al formato docbookk"
 
-#: uml.cpp:421
+#: uml.cpp:430
 #, kde-format
 msgid "Exports the model to the XHTML format"
 msgstr "Eksportas la modelon al formato XHTML"
 
-#: uml.cpp:422
+#: uml.cpp:431
 #, kde-format
 msgid "Cuts the selected section and puts it to the clipboard"
 msgstr "Eltondas la elektitan sekcion kaj metas ĝin en la tondujon"
 
-#: uml.cpp:423
+#: uml.cpp:432
 #, kde-format
 msgid "Copies the selected section to the clipboard"
 msgstr "Kopias la elektitan sekcion al la tondujo"
 
-#: uml.cpp:424
+#: uml.cpp:433
 #, kde-format
 msgid "Pastes the contents of the clipboard"
 msgstr "Regluas la enhavon de la tondujo"
 
-#: uml.cpp:425
+#: uml.cpp:434
 #, kde-format
 msgid "Set the default program preferences"
 msgstr "Agordas la aŭtomatajn programpreferojn"
 
-#: uml.cpp:429
+#: uml.cpp:438
 #, fuzzy, kde-format
 #| msgid "Delete &Selected"
 msgctxt "delete selected widget"
 msgid "Delete &Selected"
 msgstr "Forigi &Selektaĵon"
 
-#: uml.cpp:440
+#: uml.cpp:449
 #, kde-format
 msgid "&Class Diagram..."
 msgstr "&Klasdiagramo..."
 
-#: uml.cpp:447
+#: uml.cpp:456
 #, fuzzy, kde-format
 #| msgid "S&tate Diagram..."
 msgid "&Object Diagram..."
 msgstr "S&tatodiagramo..."
 
-#: uml.cpp:454
+#: uml.cpp:463
 #, kde-format
 msgid "&Sequence Diagram..."
 msgstr "&Sekvencdiagramo..."
 
-#: uml.cpp:460
+#: uml.cpp:469
 #, fuzzy, kde-format
 #| msgid "C&ollaboration Diagram..."
 msgid "C&ommunication Diagram..."
 msgstr "Kunlab&ordiagramo..."
 
-#: uml.cpp:466
+#: uml.cpp:475
 #, kde-format
 msgid "&Use Case Diagram..."
 msgstr "&Uzkazdiagramo..."
 
-#: uml.cpp:472
+#: uml.cpp:481
 #, kde-format
 msgid "S&tate Diagram..."
 msgstr "S&tatodiagramo..."
 
-#: uml.cpp:478
+#: uml.cpp:487
 #, kde-format
 msgid "&Activity Diagram..."
 msgstr "&Aktivecdiagramo..."
 
-#: uml.cpp:484
+#: uml.cpp:493
 #, kde-format
 msgid "Co&mponent Diagram..."
 msgstr "Ko&mponantdiagramo..."
 
-#: uml.cpp:490
+#: uml.cpp:499
 #, kde-format
 msgid "&Deployment Diagram..."
 msgstr "Stern&diagramo..."
 
-#: uml.cpp:496
+#: uml.cpp:505
 #, kde-format
 msgid "&Entity Relationship Diagram..."
 msgstr "&Ento-Rilato Diagramo..."
 
-#: uml.cpp:501 uml.cpp:954
+#: uml.cpp:510 uml.cpp:963
 #, kde-format
 msgid "&Tree View"
 msgstr "Arboperspek&tivo"
 
-#: uml.cpp:505
+#: uml.cpp:514
 #, kde-format
 msgid "&Debugging"
 msgstr ""
 
-#: uml.cpp:513
+#: uml.cpp:522
 #, kde-format
 msgid "&Logging"
 msgstr ""
 
-#: uml.cpp:517
+#: uml.cpp:526
 #, fuzzy, kde-format
 #| msgid "Co&mmand history"
 msgid "&Command history"
@@ -7714,139 +7714,139 @@ msgstr "Ko&mandohistorio"
 #. m_propertyDock->setObjectName(QLatin1String("PropertyDock"));
 #. addDockWidget(Qt::LeftDockWidgetArea, m_propertyDock);  //:TODO:
 #. create the bird's eye view
-#: uml.cpp:521 uml.cpp:1011
+#: uml.cpp:530 uml.cpp:1020
 #, kde-format
 msgid "&Bird's eye view"
 msgstr ""
 
-#: uml.cpp:526
+#: uml.cpp:535
 #, kde-format
 msgid "&Clear Diagram"
 msgstr "&Viŝi Diagramon"
 
-#: uml.cpp:530
+#: uml.cpp:539
 #, kde-format
 msgid "&Snap to Grid"
 msgstr "Vi&cigi al Krado"
 
-#: uml.cpp:534
+#: uml.cpp:543
 #, kde-format
 msgid "S&how Grid"
 msgstr "&Montri Kradon"
 
-#: uml.cpp:539
+#: uml.cpp:548
 #, fuzzy, kde-format
 #| msgid "Delete Diagram"
 msgid "&Delete Diagram"
 msgstr "Forigi Diagramon"
 
-#: uml.cpp:544
+#: uml.cpp:553
 #, kde-format
 msgid "&Export as Picture..."
 msgstr "&Eksporti kiel Bildo..."
 
-#: uml.cpp:549
+#: uml.cpp:558
 #, fuzzy, kde-format
 #| msgid "Export &All Diagrams as Pictures..."
 msgid "Export &Diagrams as Pictures..."
 msgstr "Eksporti Ĉiujn &Diagramojn kiel Bildoj..."
 
-#: uml.cpp:569
+#: uml.cpp:578
 #, kde-format
 msgid "Z&oom to 100%"
 msgstr "Zomi al 100%"
 
-#: uml.cpp:612
+#: uml.cpp:621
 #, kde-format
 msgid "&Move Tab Left"
 msgstr "Movi Langeton Maldekstren"
 
-#: uml.cpp:613
+#: uml.cpp:622
 #, kde-format
 msgid "&Move Tab Right"
 msgstr "Movi Langeton Dekstren"
 
-#: uml.cpp:636
+#: uml.cpp:645
 #, kde-format
 msgid "Select Diagram on Left"
 msgstr "Selekti Diagramon Maldekstran"
 
-#: uml.cpp:637
+#: uml.cpp:646
 #, kde-format
 msgid "Select Diagram on Right"
 msgstr "Selekti Diagramon Dekstran"
 
-#: uml.cpp:776
+#: uml.cpp:785
 #, kde-format
 msgctxt "%1 percent value from 20 to 500"
 msgid " &%1%"
 msgstr ""
 
-#: uml.cpp:826
+#: uml.cpp:835
 #, fuzzy, kde-format
 #| msgid "Ready"
 msgctxt "init status bar"
 msgid "Ready"
 msgstr "Preta"
 
-#: uml.cpp:835 uml.cpp:848
+#: uml.cpp:844 uml.cpp:857
 #, kde-format
 msgid "100%"
 msgstr "100%"
 
-#: uml.cpp:840
+#: uml.cpp:849
 #, fuzzy, kde-format
 #| msgid "Filter"
 msgid "Fit"
 msgstr "Filtrilo"
 
-#: uml.cpp:899
+#: uml.cpp:908
 #, kde-format
 msgid "Diagram Toolbar"
 msgstr "Diagrama Ilpanelo"
 
-#: uml.cpp:965
+#: uml.cpp:974
 #, kde-format
 msgid "Doc&umentation"
 msgstr "Dok&umentaro"
 
-#: uml.cpp:976
+#: uml.cpp:985
 #, kde-format
 msgid "Co&mmand history"
 msgstr "Ko&mandohistorio"
 
-#: uml.cpp:992
+#: uml.cpp:1001
 #, kde-format
 msgid "&Debug"
 msgstr "Sencimigi"
 
-#: uml.cpp:999
+#: uml.cpp:1008
 #, kde-format
 msgid "&Log"
 msgstr ""
 
-#: uml.cpp:1041 uml.cpp:1258 uml.cpp:1307
+#: uml.cpp:1050 uml.cpp:1267 uml.cpp:1316
 #, kde-format
 msgid "Opening file..."
 msgstr "Malfermanta dosieron..."
 
-#: uml.cpp:1092 uml.cpp:1157 uml.cpp:1342 umldoc.cpp:342 umldoc.cpp:344
-#: umldoc.cpp:368 umldoc.cpp:3396
+#: uml.cpp:1101 uml.cpp:1166 uml.cpp:1351 umldoc.cpp:343 umldoc.cpp:345
+#: umldoc.cpp:369 umldoc.cpp:3405
 #, kde-format
 msgid "Untitled"
 msgstr "Sentitola"
 
-#: uml.cpp:1240
+#: uml.cpp:1249
 #, kde-format
 msgid "Creating new document..."
 msgstr "Kreanta novan dokumenton..."
 
-#: uml.cpp:1266 uml.cpp:1281
+#: uml.cpp:1275 uml.cpp:1290
 #, kde-format
 msgid "Open File"
 msgstr "Malfermanta Dosieron"
 
-#: uml.cpp:1270
+#: uml.cpp:1279
 #, kde-format
 msgid ""
 "*.xmi *.xmi.tgz *.xmi.tar.bz2 *.mdl *.zargo|All Supported Files (*.xmi, *."
@@ -7858,29 +7858,29 @@ msgid ""
 "*.zargo|Compressed argo Files(*.zargo)\n"
 msgstr ""
 
-#: uml.cpp:1341
+#: uml.cpp:1350
 #, kde-format
 msgid "Saving file..."
 msgstr "Savanta dosieron..."
 
-#: uml.cpp:1358
+#: uml.cpp:1367
 #, kde-format
 msgid "Saving file with a new filename..."
 msgstr "Savanta dosieron kun nova dosiernomo..."
 
-#: uml.cpp:1368 uml.cpp:1374 umlviewimageexporter.cpp:199
+#: uml.cpp:1377 uml.cpp:1383 umlviewimageexporter.cpp:199
 #, kde-format
 msgid "Save As"
 msgstr "Konservi kiel"
 
-#: uml.cpp:1369
+#: uml.cpp:1378
 #, kde-format
 msgid ""
 "*.xmi | XMI File (*.xmi);;*.xmi.tgz | Gzip Compressed XMI File (*.xmi.tgz);;"
 "*.xmi.tar.bz2 | Bzip2 Compressed XMI File (*.xmi.tar.bz2);;* | All Files (*)"
 msgstr ""
 
-#: uml.cpp:1374
+#: uml.cpp:1383
 #, kde-format
 msgid ""
 "*.xmi|XMI File\n"
@@ -7889,7 +7889,7 @@ msgid ""
 "*|All Files"
 msgstr ""
 
-#: uml.cpp:1387
+#: uml.cpp:1396
 #, kde-format
 msgid ""
 "The file %1 exists.\n"
@@ -7898,68 +7898,68 @@ msgstr ""
 "La dosiero %1 ekzistas.\n"
 "Ĉu vi volas superskribi ĝin?"
 
-#: uml.cpp:1388
+#: uml.cpp:1397
 #, kde-format
 msgid "Warning"
 msgstr "Averto"
 
-#: uml.cpp:1388
+#: uml.cpp:1397
 #, kde-format
 msgid "Overwrite"
 msgstr "Superskribi"
 
-#: uml.cpp:1422
+#: uml.cpp:1431
 #, kde-format
 msgid "Closing file..."
 msgstr "Fermanta dosieron..."
 
-#: uml.cpp:1432
+#: uml.cpp:1441
 #, kde-format
 msgid "No search term entered"
 msgstr ""
 
-#: uml.cpp:1438
+#: uml.cpp:1447
 #, kde-format
 msgid "'%1': %2 found"
 msgstr ""
 
-#: uml.cpp:1502
+#: uml.cpp:1511
 #, fuzzy, kde-format
 #| msgid "Exporting view..."
 msgid "Print Preview..."
 msgstr "Eksportanta diagramon..."
 
-#: uml.cpp:1529
+#: uml.cpp:1538
 #, kde-format
 msgid "Printing..."
 msgstr "Presado..."
 
-#: uml.cpp:1536 uml.cpp:1540
+#: uml.cpp:1545 uml.cpp:1549
 #, kde-format
 msgid "Print %1"
 msgstr "Presi %1"
 
-#: uml.cpp:1560
+#: uml.cpp:1569
 #, kde-format
 msgid "Exiting..."
 msgstr "Eliĝanta..."
 
-#: uml.cpp:1647
+#: uml.cpp:1656
 #, kde-format
 msgid "Cutting selection..."
 msgstr "Eltondanta elekton..."
 
-#: uml.cpp:1670
+#: uml.cpp:1679
 #, kde-format
 msgid "Copying selection to clipboard..."
 msgstr "Kopianta elekton al tondujo..."
 
-#: uml.cpp:1682
+#: uml.cpp:1691
 #, kde-format
 msgid "Inserting clipboard contents..."
 msgstr "Enmetanta tondujan enhavon..."
 
-#: uml.cpp:1687
+#: uml.cpp:1696
 #, kde-format
 msgid ""
 "Umbrello could not paste the clipboard contents.  The objects in the "
@@ -7968,40 +7968,40 @@ msgstr ""
 "Umbrello ne povis reglui la tondujan enhavon.  La objektoj en la tondujo "
 "povus esti de maltaŭga tipo por ĉi regluado."
 
-#: uml.cpp:1713 umlviewimageexporter.cpp:92 umlviewimageexporterall.cpp:123
+#: uml.cpp:1722 umlviewimageexporter.cpp:92 umlviewimageexporterall.cpp:123
 #, kde-format
 msgctxt "reset status bar"
 msgid "Ready."
 msgstr "Preta."
 
-#: uml.cpp:2246
+#: uml.cpp:2255
 #, kde-format
 msgid "Cannot view code until you generate some first."
 msgstr "Maleblas inspekti fontkodon dum kiam vi ankoraŭ ne generis ĝin"
 
-#: uml.cpp:2246 uml.cpp:2249
+#: uml.cpp:2255 uml.cpp:2258
 #, kde-format
 msgid "Cannot View Code"
 msgstr "Kodmontrado Neebla"
 
-#: uml.cpp:2249
+#: uml.cpp:2258
 #, kde-format
 msgid "Cannot view code from simple code writer."
 msgstr "Ne eblas inspekti kodon uzante simplan generilon"
 
-#: uml.cpp:2714 uml.cpp:2716
+#: uml.cpp:2728 uml.cpp:2730
 #, fuzzy, kde-format
 #| msgid "Select Code to Import"
 msgid "Select file(s) to import:"
 msgstr "Selekti Kodon por Importado"
 
-#: uml.cpp:2747 uml.cpp:2749
+#: uml.cpp:2761 uml.cpp:2763
 #, fuzzy, kde-format
 #| msgid "Select Code to Import"
 msgid "Select directory to import:"
 msgstr "Selekti Kodon por Importado"
 
-#: uml.cpp:3313
+#: uml.cpp:3335
 #, kde-format
 msgid "XHTML Generation failed ."
 msgstr ""
@@ -8018,20 +8018,20 @@ msgstr ""
 "Operacio kun la sama nomo kaj signaturo jam ekzistas. Vi ne povas aldoni ĝin "
 "refoje."
 
-#: uml1model/folder.cpp:435
+#: uml1model/folder.cpp:436
 #, kde-format
 msgid "The folderfile %1 does not exist."
 msgstr "La tekdosiero %1 ne ekzistas."
 
-#: uml1model/folder.cpp:435 uml1model/folder.cpp:439 umldoc.cpp:529
-#: umldoc.cpp:541 umldoc.cpp:568 umldoc.cpp:570 umldoc.cpp:620 umldoc.cpp:623
-#: umldoc.cpp:638 umldoc.cpp:641 umldoc.cpp:665 umldoc.cpp:668 umldoc.cpp:684
-#: umldoc.cpp:687 umldoc.cpp:702 umldoc.cpp:705 umldoc.cpp:750
+#: uml1model/folder.cpp:436 uml1model/folder.cpp:440 umldoc.cpp:530
+#: umldoc.cpp:542 umldoc.cpp:569 umldoc.cpp:571 umldoc.cpp:621 umldoc.cpp:624
+#: umldoc.cpp:639 umldoc.cpp:642 umldoc.cpp:666 umldoc.cpp:669 umldoc.cpp:685
+#: umldoc.cpp:688 umldoc.cpp:703 umldoc.cpp:706 umldoc.cpp:751
 #, kde-format
 msgid "Load Error"
 msgstr "Eraro dum Ŝarĝado"
 
-#: uml1model/folder.cpp:439
+#: uml1model/folder.cpp:440
 #, kde-format
 msgid "The folderfile %1 cannot be opened."
 msgstr "Ne eblas malfermi la tekdosieron %1."
@@ -8041,13 +8041,13 @@ msgstr "Ne eblas malfermi la tekdosieron
 msgid "new_parameter"
 msgstr "nova_parametro"
 
-#: uml1model/package.cpp:163
+#: uml1model/package.cpp:169
 #, kde-format
 msgctxt "object name"
 msgid "Name"
 msgstr "Nomo"
 
-#: uml1model/package.cpp:164
+#: uml1model/package.cpp:170
 #, kde-format
 msgid ""
 "An object with the name %1\n"
@@ -8070,80 +8070,80 @@ msgstr "nova_kampo"
 msgid "new_fkey_constraint"
 msgstr "nova_fkey_limigo"
 
-#: uml1model/umlobject.cpp:1140
+#: uml1model/umlobject.cpp:1141
 #, kde-format
 msgid "Actor &name:"
 msgstr "Aganto&nomo:"
 
-#: uml1model/umlobject.cpp:1143
+#: uml1model/umlobject.cpp:1144
 #, kde-format
 msgid "Artifact &name:"
 msgstr "Artefaraĵonomo:"
 
-#: uml1model/umlobject.cpp:1146
+#: uml1model/umlobject.cpp:1147
 #, fuzzy, kde-format
 #| msgid "Association Name"
 msgid "Association &name:"
 msgstr "Nomo de Asocio"
 
-#: uml1model/umlobject.cpp:1149
+#: uml1model/umlobject.cpp:1150
 #, kde-format
 msgid "Class &name:"
 msgstr "Klas&nomo:"
 
-#: uml1model/umlobject.cpp:1152
+#: uml1model/umlobject.cpp:1153
 #, kde-format
 msgid "Component &name:"
 msgstr "Komponantonomo:"
 
-#: uml1model/umlobject.cpp:1155
+#: uml1model/umlobject.cpp:1156
 #, kde-format
 msgid "Datatype &name:"
 msgstr "Datumtip&nomo:"
 
-#: uml1model/umlobject.cpp:1158
+#: uml1model/umlobject.cpp:1159
 #, kde-format
 msgid "Entity &name:"
 msgstr "Ento&nomo:"
 
-#: uml1model/umlobject.cpp:1161
+#: uml1model/umlobject.cpp:1162
 #, kde-format
 msgid "Enum &name:"
 msgstr "Enumeracio&nomo:"
 
-#: uml1model/umlobject.cpp:1164
+#: uml1model/umlobject.cpp:1165
 #, fuzzy, kde-format
 #| msgid "Node &name:"
 msgid "Folder &name:"
 msgstr "Nod&nomo:"
 
-#: uml1model/umlobject.cpp:1167
+#: uml1model/umlobject.cpp:1168
 #, kde-format
 msgid "Interface &name:"
 msgstr "Interfaco&nomo:"
 
-#: uml1model/umlobject.cpp:1170
+#: uml1model/umlobject.cpp:1171
 #, kde-format
 msgid "Node &name:"
 msgstr "Nod&nomo:"
 
-#: uml1model/umlobject.cpp:1173
+#: uml1model/umlobject.cpp:1174
 #, kde-format
 msgid "Package &name:"
 msgstr "Pako&nomo:"
 
-#: uml1model/umlobject.cpp:1176
+#: uml1model/umlobject.cpp:1177
 #, fuzzy, kde-format
 #| msgid "Actor &name:"
 msgid "Port &name:"
 msgstr "Aganto&nomo:"
 
-#: uml1model/umlobject.cpp:1182
+#: uml1model/umlobject.cpp:1183
 #, kde-format
 msgid "Use case &name:"
 msgstr "Uzkazo&nomo:"
 
-#: uml1model/umlobject.cpp:1185
+#: uml1model/umlobject.cpp:1186
 #, kde-format
 msgid "Instance name:"
 msgstr "Instancnomo:"
@@ -8165,42 +8165,42 @@ msgstr "Stereotipo"
 msgid "Welcome"
 msgstr ""
 
-#: umldoc.cpp:112 umldoc.cpp:2400 umldoc.cpp:2428
+#: umldoc.cpp:113 umldoc.cpp:2405 umldoc.cpp:2433
 #, kde-format
 msgid "UML Model"
 msgstr "UML Modelo"
 
-#: umldoc.cpp:154
+#: umldoc.cpp:155
 #, kde-format
 msgid "Logical View"
 msgstr "Logika  Perspektivo"
 
-#: umldoc.cpp:155
+#: umldoc.cpp:156
 #, kde-format
 msgid "Use Case View"
 msgstr "Uzkaza Perspektivo"
 
-#: umldoc.cpp:156
+#: umldoc.cpp:157
 #, kde-format
 msgid "Component View"
 msgstr "Komponanta Perspektivo"
 
-#: umldoc.cpp:157
+#: umldoc.cpp:158
 #, kde-format
 msgid "Deployment View"
 msgstr "Sterna Perspektivo"
 
-#: umldoc.cpp:158
+#: umldoc.cpp:159
 #, kde-format
 msgid "Entity Relationship Model"
 msgstr "Ento-Rilata Perspektivo"
 
-#: umldoc.cpp:184
+#: umldoc.cpp:185
 #, kde-format
 msgid "Datatypes"
 msgstr "Datumtipoj"
 
-#: umldoc.cpp:363
+#: umldoc.cpp:364
 #, kde-format
 msgid ""
 "The current file has been modified.\n"
@@ -8209,171 +8209,171 @@ msgstr ""
 "La aktuala dosiero estas modifita.\n"
 "Ĉu vi volas savi ĝin?"
 
-#: umldoc.cpp:364
+#: umldoc.cpp:365
 #, kde-format
 msgctxt "warning message"
 msgid "Warning"
 msgstr "Averto"
 
-#: umldoc.cpp:529
+#: umldoc.cpp:530
 #, fuzzy, kde-format
 #| msgid "The file %1 does not exist."
 msgid "The file <%1> does not exist."
 msgstr "La dosiero %1 ne ekzistas."
 
-#: umldoc.cpp:541
+#: umldoc.cpp:542
 #, kde-format
 msgid "The file %1 does not exist."
 msgstr "La dosiero %1 ne ekzistas."
 
-#: umldoc.cpp:568 umldoc.cpp:570
+#: umldoc.cpp:569 umldoc.cpp:571
 #, kde-format
 msgid "The file %1 seems to be corrupted."
 msgstr "La dosiero %1 ŝajnas esti koruptita."
 
-#: umldoc.cpp:619 umldoc.cpp:622 umldoc.cpp:637 umldoc.cpp:640 umldoc.cpp:683
-#: umldoc.cpp:686
+#: umldoc.cpp:620 umldoc.cpp:623 umldoc.cpp:638 umldoc.cpp:641 umldoc.cpp:684
+#: umldoc.cpp:687
 #, kde-format
 msgid "There was no XMI file found in the compressed file %1."
 msgstr "Umbrello ne trovis XMI-dosieron en la komprimita dosiero %1."
 
-#: umldoc.cpp:664 umldoc.cpp:667
+#: umldoc.cpp:665 umldoc.cpp:668
 #, kde-format
 msgid "There was a problem loading the extracted file: %1"
 msgstr "Okazis problemo dum la ŝarĝado de la eltirita dosiero: %1"
 
-#: umldoc.cpp:701 umldoc.cpp:704 umldoc.cpp:744 umldoc.cpp:746
+#: umldoc.cpp:702 umldoc.cpp:705 umldoc.cpp:745 umldoc.cpp:747
 #, kde-format
 msgid "There was a problem loading file: %1"
 msgstr "Problemo dum la ŝarĝado de la dosiero: %1"
 
-#: umldoc.cpp:749
+#: umldoc.cpp:750
 #, kde-format
 msgid "Reason: %1"
 msgstr ""
 
-#: umldoc.cpp:832 umldoc.cpp:834 umldoc.cpp:851 umldoc.cpp:853 umldoc.cpp:873
-#: umldoc.cpp:875 umldoc.cpp:924 umldoc.cpp:926 umldoc.cpp:966 umldoc.cpp:969
-#: umldoc.cpp:978 umldoc.cpp:980 umllistview.cpp:593
+#: umldoc.cpp:833 umldoc.cpp:835 umldoc.cpp:852 umldoc.cpp:854 umldoc.cpp:874
+#: umldoc.cpp:876 umldoc.cpp:925 umldoc.cpp:927 umldoc.cpp:968 umldoc.cpp:971
+#: umldoc.cpp:980 umldoc.cpp:982 umllistview.cpp:594
 #, kde-format
 msgid "Save Error"
 msgstr "Savo-Eraro"
 
-#: umldoc.cpp:832 umldoc.cpp:851 umldoc.cpp:873 umldoc.cpp:924 umldoc.cpp:966
+#: umldoc.cpp:833 umldoc.cpp:852 umldoc.cpp:874 umldoc.cpp:925 umldoc.cpp:968
 #, fuzzy, kde-format
 #| msgid "There was a problem saving file: %1"
 msgid "There was a problem saving: %1"
 msgstr "Problemo dum la savado de la dosiero: %1"
 
-#: umldoc.cpp:834 umldoc.cpp:853 umldoc.cpp:875 umldoc.cpp:926 umldoc.cpp:969
-#: umllistview.cpp:592 umlviewimageexportermodel.cpp:303
+#: umldoc.cpp:835 umldoc.cpp:854 umldoc.cpp:876 umldoc.cpp:927 umldoc.cpp:971
+#: umllistview.cpp:593 umlviewimageexportermodel.cpp:303
 #, kde-format
 msgid "There was a problem saving file: %1"
 msgstr "Problemo dum la savado de la dosiero: %1"
 
-#: umldoc.cpp:978
+#: umldoc.cpp:980
 #, fuzzy, kde-format
 #| msgid "There was a problem uploading file: %1"
 msgid "There was a problem uploading: %1"
 msgstr "Okazis problemo alŝutante la dosieron: %1"
 
-#: umldoc.cpp:980
+#: umldoc.cpp:982
 #, kde-format
 msgid "There was a problem uploading file: %1"
 msgstr "Okazis problemo alŝutante la dosieron: %1"
 
-#: umldoc.cpp:1526
+#: umldoc.cpp:1528
 #, kde-format
 msgid "use case diagram"
 msgstr "uzkazdiagramo"
 
-#: umldoc.cpp:1529
+#: umldoc.cpp:1531
 #, kde-format
 msgid "class diagram"
 msgstr "klasdiagramo"
 
-#: umldoc.cpp:1532
+#: umldoc.cpp:1534
 #, kde-format
 msgid "sequence diagram"
 msgstr "sekvencdiagramo"
 
-#: umldoc.cpp:1535
+#: umldoc.cpp:1537
 #, fuzzy, kde-format
 #| msgid "collaboration diagram"
 msgid "communication diagram"
 msgstr "kunlabordiagramo"
 
-#: umldoc.cpp:1538
+#: umldoc.cpp:1540
 #, fuzzy, kde-format
 #| msgid "&Select diagrams"
 msgid "object diagram"
 msgstr "&Selekti diagramojn"
 
-#: umldoc.cpp:1541
+#: umldoc.cpp:1543
 #, kde-format
 msgid "state diagram"
 msgstr "statodiagramo"
 
-#: umldoc.cpp:1544
+#: umldoc.cpp:1546
 #, kde-format
 msgid "activity diagram"
 msgstr "aktivecdiagramo"
 
-#: umldoc.cpp:1547
+#: umldoc.cpp:1549
 #, kde-format
 msgid "component diagram"
 msgstr "komponantdiagramo"
 
-#: umldoc.cpp:1550
+#: umldoc.cpp:1552
 #, kde-format
 msgid "deployment diagram"
 msgstr "sterndiagramo"
 
-#: umldoc.cpp:1553
+#: umldoc.cpp:1555
 #, kde-format
 msgid "entity relationship diagram"
 msgstr "ento-rilata diagramo"
 
-#: umldoc.cpp:1623
+#: umldoc.cpp:1625
 #, kde-format
 msgctxt "diagram name"
 msgid "Name"
 msgstr "Nomo"
 
-#: umldoc.cpp:1623 umldoc.cpp:1686 umldoc.cpp:1715 umldoc.cpp:1749
+#: umldoc.cpp:1625 umldoc.cpp:1688 umldoc.cpp:1717 umldoc.cpp:1751
 #, kde-format
 msgid "Enter name:"
 msgstr "Enigi nomon:"
 
-#: umldoc.cpp:1627 umldoc.cpp:1692
+#: umldoc.cpp:1629 umldoc.cpp:1694
 #, kde-format
 msgid "That is an invalid name for a diagram."
 msgstr "Tio estas nevalida nomo por diagramo."
 
-#: umldoc.cpp:1629 umldoc.cpp:1699
+#: umldoc.cpp:1631 umldoc.cpp:1701
 #, kde-format
 msgid "A diagram is already using that name."
 msgstr "Iu diagramo jam uzas tiun nomon."
 
-#: umldoc.cpp:1685
+#: umldoc.cpp:1687
 #, kde-format
 msgctxt "renaming diagram"
 msgid "Name"
 msgstr "Nomo"
 
-#: umldoc.cpp:1714
+#: umldoc.cpp:1716
 #, kde-format
 msgctxt "renaming uml object"
 msgid "Name"
 msgstr "Nomo"
 
-#: umldoc.cpp:1748
+#: umldoc.cpp:1750
 #, kde-format
 msgctxt "renaming child uml object"
 msgid "Name"
 msgstr "Nomo"
 
-#: umldoc.cpp:1758
+#: umldoc.cpp:1760
 #, kde-format
 msgid ""
 "The name you entered was not unique.\n"
@@ -8382,131 +8382,131 @@ msgstr ""
 "La nomo kiun vi enigis estis neunika.\n"
 "Ĉu tion vi intencis?"
 
-#: umldoc.cpp:1759
+#: umldoc.cpp:1761
 #, kde-format
 msgid "Use Name"
 msgstr "Uzi Nomon"
 
-#: umldoc.cpp:1759
+#: umldoc.cpp:1761
 #, kde-format
 msgid "Enter New Name"
 msgstr "Enigi Novan Nomon"
 
-#: umldoc.cpp:2361
+#: umldoc.cpp:2366
 #, kde-format
 msgid "Unsupported xmi file version: %1"
 msgstr ""
 
-#: umldoc.cpp:2511
+#: umldoc.cpp:2516
 #, kde-format
 msgid "Setting up the document..."
 msgstr "Preparanta la dokumenton..."
 
-#: umldoc.cpp:2540
+#: umldoc.cpp:2545
 #, kde-format
 msgid "Resolving object references..."
 msgstr "Solvanta objektreferencojn..."
 
-#: umldoc.cpp:2648
+#: umldoc.cpp:2653
 #, kde-format
 msgid "Loading UML elements..."
 msgstr "Ŝarĝanta UML elementojn..."
 
-#: umldoc.cpp:2892
+#: umldoc.cpp:2899
 #, kde-format
 msgid "Loading diagrams..."
 msgstr "Ŝarĝanta diagramojn..."
 
-#: umldoc.cpp:3400
+#: umldoc.cpp:3409
 #, kde-format
 msgid "/autosave%1"
 msgstr "/autosave%1"
 
-#: umllistview.cpp:536 umllistview.cpp:540
+#: umllistview.cpp:537 umllistview.cpp:541
 #, kde-format
 msgid "Externalize Folder"
 msgstr "Eksterigi Tekon"
 
-#: umllistview.cpp:574
+#: umllistview.cpp:575
 #, kde-format
 msgid "Folder %1 must be relative to the main model directory, %2."
 msgstr ""
 
-#: umllistview.cpp:575
+#: umllistview.cpp:576
 #, fuzzy, kde-format
 #| msgid "Paste Error"
 msgid "Path Error"
 msgstr "Eraro dum Regluado"
 
-#: umllistview.cpp:583
+#: umllistview.cpp:584
 #, kde-format
 msgid ""
 "File %1 already exists!\n"
 "The existing file will be overwritten."
 msgstr ""
 
-#: umllistview.cpp:584
+#: umllistview.cpp:585
 #, fuzzy, kde-format
 #| msgid "File Already Exists"
 msgid "File Exist"
 msgstr "Dosiero Jam Ekzistas"
 
-#: umllistview.cpp:624
+#: umllistview.cpp:625
 #, kde-format
 msgid "Enter Model Name"
 msgstr "Enigi Modelnomon"
 
-#: umllistview.cpp:625
+#: umllistview.cpp:626
 #, kde-format
 msgid "Enter the new name of the model:"
 msgstr "Enigu la novan nomon de la modelo:"
 
-#: umllistview.cpp:1422
+#: umllistview.cpp:1430
 #, kde-format
 msgid "Views"
 msgstr "Perspektivoj"
 
-#: umllistview.cpp:1441
+#: umllistview.cpp:1449
 #, fuzzy, kde-format
 #| msgid "&Settings"
 msgid "Settings"
 msgstr "&Agordo"
 
-#: umllistview.cpp:2413
+#: umllistview.cpp:2421
 #, kde-format
 msgid "Loading listview..."
 msgstr "Ŝarĝanta Listoperspektivon..."
 
-#: umllistview.cpp:2764
+#: umllistview.cpp:2772
 #, fuzzy, kde-format
 #| msgid "The folder must be emptied before it can be deleted."
 msgid "The class must be emptied before it can be deleted."
 msgstr "La teko devas esti maplena antaŭ ĝia forigo."
 
-#: umllistview.cpp:2765
+#: umllistview.cpp:2773
 #, fuzzy, kde-format
 #| msgid "Folder Not Empty"
 msgid "Class Not Empty"
 msgstr "Teko Ne Malplena"
 
-#: umllistview.cpp:2769
+#: umllistview.cpp:2777
 #, fuzzy, kde-format
 #| msgid "The folder must be emptied before it can be deleted."
 msgid "The package must be emptied before it can be deleted."
 msgstr "La teko devas esti maplena antaŭ ĝia forigo."
 
-#: umllistview.cpp:2770
+#: umllistview.cpp:2778
 #, fuzzy, kde-format
 #| msgid "Folder Not Empty"
 msgid "Package Not Empty"
 msgstr "Teko Ne Malplena"
 
-#: umllistview.cpp:2774
+#: umllistview.cpp:2782
 #, kde-format
 msgid "The folder must be emptied before it can be deleted."
 msgstr "La teko devas esti maplena antaŭ ĝia forigo."
 
-#: umllistview.cpp:2775
+#: umllistview.cpp:2783
 #, kde-format
 msgid "Folder Not Empty"
 msgstr "Teko Ne Malplena"
diff -pruN 4:20.08.3-1/po/es/umbrello.po 4:20.12.0-0ubuntu1/po/es/umbrello.po
--- 4:20.08.3-1/po/es/umbrello.po	2020-11-03 00:42:15.000000000 +0000
+++ 4:20.12.0-0ubuntu1/po/es/umbrello.po	2020-12-04 00:21:29.000000000 +0000
@@ -12,7 +12,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: umbrello\n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
-"POT-Creation-Date: 2020-08-14 08:09+0200\n"
+"POT-Creation-Date: 2020-11-06 02:36+0100\n"
 "PO-Revision-Date: 2020-03-08 12:25+0100\n"
 "Last-Translator: Eloy Cuadra <ecuadra@eloihr.net>\n"
 "Language-Team: Spanish <kde-l10n-es@kde.org>\n"
@@ -213,7 +213,7 @@ msgstr ""
 "Al menos uno de los elementos del portapapeles no se puede pegar porque ya "
 "existe un elemento con el mismo nombre.  Se ha pegado el resto de elementos."
 
-#: clipboard/umlclipboard.cpp:753 uml.cpp:1689
+#: clipboard/umlclipboard.cpp:753 uml.cpp:1698
 #, kde-format
 msgid "Paste Error"
 msgstr "Error al pegar"
@@ -440,7 +440,7 @@ msgstr "<p align=\"center\"> Generación
 #. i18n: ectx: attribute (title), widget (QWidget, ui_tabGeneral)
 #: codegenerators/cpp/cppcodegenerationformbase.ui:51
 #: codegenwizard/codegenoptionspage.ui:39 dialogs/objectnodedialog.cpp:135
-#: umllistview.cpp:1451
+#: umllistview.cpp:1459
 #, kde-format
 msgid "General"
 msgstr "General"
@@ -1323,7 +1323,7 @@ msgstr "Estado"
 #. i18n: ectx: property (text), widget (QRadioButton, ui_categoryClass)
 #. i18n: ectx: property (text), widget (QTableWidget, ui_tableWidgetStatus)
 #: codegenwizard/codegenstatuspage.ui:40 codeimpwizard/codeimpstatuspage.ui:54
-#: dialogs/finddialog.ui:89 umllistview.cpp:1446 umlwidgets/widgetbase.cpp:1255
+#: dialogs/finddialog.ui:89 umllistview.cpp:1454 umlwidgets/widgetbase.cpp:1255
 #, kde-format
 msgid "Class"
 msgstr "Clase"
@@ -1978,17 +1978,17 @@ msgstr "Activar mensajes relacionados co
 msgid "Enable 'delete diagram' related messages"
 msgstr "Activar mensajes relacionados con «borrar diagrama»"
 
-#: dialogs/dialog_utils.cpp:117
+#: dialogs/dialog_utils.cpp:118
 #, kde-format
 msgid "You are about to delete an association. Do you really want to continue?"
 msgstr "Está a punto de borrar una asociación. ¿Realmente desea continuar?"
 
-#: dialogs/dialog_utils.cpp:118
+#: dialogs/dialog_utils.cpp:119
 #, kde-format
 msgid "Delete Association"
 msgstr "Borrar asociación"
 
-#: dialogs/dialog_utils.cpp:132
+#: dialogs/dialog_utils.cpp:133
 #, kde-format
 msgid ""
 "You are about to delete the entire diagram.\n"
@@ -1997,17 +1997,17 @@ msgstr ""
 "Está a punto de eliminar todo el diagrama.\n"
 "¿Está seguro?"
 
-#: dialogs/dialog_utils.cpp:133
+#: dialogs/dialog_utils.cpp:134
 #, kde-format
 msgid "Are you sure you want to delete diagram %1?"
 msgstr "¿Está seguro de querer borrar el diagrama %1?"
 
-#: dialogs/dialog_utils.cpp:138
+#: dialogs/dialog_utils.cpp:139
 #, kde-format
 msgid "Delete Diagram?"
 msgstr "¿Eliminar diagrama?"
 
-#: dialogs/dialog_utils.cpp:139 dialogs/pages/classifierlistpage.cpp:215
+#: dialogs/dialog_utils.cpp:140 dialogs/pages/classifierlistpage.cpp:215
 #: dialogs/pages/classifierlistpage.cpp:223
 #: dialogs/umlforeignkeyconstraintdialog.cpp:325
 #: dialogs/umlforeignkeyconstraintdialog.cpp:331
@@ -2171,7 +2171,7 @@ msgstr "General"
 #. i18n: ectx: label, entry (uiFont), group (UI Options)
 #. i18n: ectx: label, entry (codeViewerFont), group (Code Viewer Options)
 #: dialogs/multipagedialogbase.cpp:405 umbrello.kcfg:177 umbrello.kcfg:292
-#: umllistview.cpp:1450
+#: umllistview.cpp:1458
 #, kde-format
 msgid "Font"
 msgstr "Tipo de letra"
@@ -2605,7 +2605,7 @@ msgstr "Nu&evo atributo de instancia..."
 
 #: dialogs/pages/classifierlistpage.cpp:217
 #: dialogs/pages/classifierlistpage.cpp:225 dialogs/umloperationdialog.cpp:167
-#: dialogs/umloperationdialog.cpp:175 uml.cpp:554
+#: dialogs/umloperationdialog.cpp:175 uml.cpp:563
 #, kde-format
 msgid "&Properties"
 msgstr "&Propiedades"
@@ -2623,7 +2623,7 @@ msgid "Source Code"
 msgstr "Código fuente"
 
 #: dialogs/pages/classoptionspage.cpp:157
-#: dialogs/pages/classoptionspage.cpp:251 uml.cpp:509
+#: dialogs/pages/classoptionspage.cpp:251 uml.cpp:518
 #, kde-format
 msgid "&Documentation"
 msgstr "&Documentación"
@@ -2813,8 +2813,8 @@ msgstr "El nombre que ha introducido no
 #: uml1model/classifier.cpp:410 uml1model/classifier.cpp:781
 #: uml1model/entity.cpp:125 uml1model/entity.cpp:178 uml1model/entity.cpp:228
 #: uml1model/entity.cpp:277 uml1model/enum.cpp:107 uml1model/instance.cpp:124
-#: uml1model/package.cpp:172 umldoc.cpp:1627 umldoc.cpp:1692 umldoc.cpp:1721
-#: umldoc.cpp:1755
+#: uml1model/package.cpp:178 umldoc.cpp:1629 umldoc.cpp:1694 umldoc.cpp:1723
+#: umldoc.cpp:1757
 #, kde-format
 msgid "Invalid Name"
 msgstr "Nombre no válido"
@@ -2824,7 +2824,7 @@ msgstr "Nombre no válido"
 msgid "The name you have entered is not unique."
 msgstr "El nombre que ha introducido no es único."
 
-#: dialogs/pages/diagrampropertiespage.cpp:86 umldoc.cpp:1759
+#: dialogs/pages/diagrampropertiespage.cpp:86 umldoc.cpp:1761
 #, kde-format
 msgid "Name Not Unique"
 msgstr "Nombre no único"
@@ -3296,7 +3296,7 @@ msgstr "Diagrama"
 msgid "Umbrello Setup"
 msgstr "Configurar Umbrello"
 
-#: dialogs/settingsdialog.cpp:114 umllistview.cpp:1452
+#: dialogs/settingsdialog.cpp:114 umllistview.cpp:1460
 #, kde-format
 msgid "User Interface"
 msgstr "Interfaz de usuario"
@@ -3323,7 +3323,7 @@ msgstr "Clase"
 msgid "Class Settings"
 msgstr "Preferencias de la clase"
 
-#: dialogs/settingsdialog.cpp:137 umllistview.cpp:1447
+#: dialogs/settingsdialog.cpp:137 umllistview.cpp:1455
 #, kde-format
 msgid "Code Importer"
 msgstr "Importador de código"
@@ -3333,7 +3333,7 @@ msgstr "Importador de código"
 msgid "Code Import Settings"
 msgstr "Preferencias del importador de código"
 
-#: dialogs/settingsdialog.cpp:146 umllistview.cpp:1448
+#: dialogs/settingsdialog.cpp:146 umllistview.cpp:1456
 #, kde-format
 msgid "Code Generation"
 msgstr "Generación de código"
@@ -3343,7 +3343,7 @@ msgstr "Generación de código"
 msgid "Code Generation Settings"
 msgstr "Preferencias de la generación de código"
 
-#: dialogs/settingsdialog.cpp:154 umllistview.cpp:1449
+#: dialogs/settingsdialog.cpp:154 umllistview.cpp:1457
 #, kde-format
 msgid "Code Viewer"
 msgstr "Visor de código"
@@ -3353,7 +3353,7 @@ msgstr "Visor de código"
 msgid "Code Viewer Settings"
 msgstr "Preferencias del visor de código"
 
-#: dialogs/settingsdialog.cpp:161 umllistview.cpp:1445
+#: dialogs/settingsdialog.cpp:161 umllistview.cpp:1453
 #, kde-format
 msgid "Auto Layout"
 msgstr "Esquema automático"
@@ -3987,7 +3987,7 @@ msgstr "&Tipo:"
 msgid "Package path:"
 msgstr "Ruta del paquete:"
 
-#: dialogs/widgets/umlstereotypewidget.cpp:29 uml1model/umlobject.cpp:1179
+#: dialogs/widgets/umlstereotypewidget.cpp:29 uml1model/umlobject.cpp:1180
 #, kde-format
 msgid "Stereotype &name:"
 msgstr "&Nombre del estereotipo:"
@@ -4133,7 +4133,7 @@ msgstr ""
 msgid "Gael de Chalendar (aka Kleag)"
 msgstr "Gael de Chalendar (aka Kleag)"
 
-#: docgenerators/main.cpp:56 main.cpp:131
+#: docgenerators/main.cpp:56 main.cpp:133
 #, kde-format
 msgid "Umbrello UML Modeller Authors"
 msgstr "Autores del modelador de UML Umbrello"
@@ -4197,12 +4197,12 @@ msgstr "Activar la edición de la docume
 msgid "Apply layout"
 msgstr "Aplicar esquema"
 
-#: main.cpp:121
+#: main.cpp:123
 #, kde-format
 msgid "Umbrello UML Modeller"
 msgstr "Modelador de UML Umbrello"
 
-#: main.cpp:123
+#: main.cpp:125
 #, kde-format
 msgid ""
 "Umbrello – Visual development environment for software, based on the "
@@ -4213,7 +4213,7 @@ msgstr ""
 "UML (Lenguaje de Modelado Unificado) de la industria .<br/>Consulte <a href="
 "\"http://www.omg.org/spec/\">http://www.omg.org/spec/</a>."
 
-#: main.cpp:127
+#: main.cpp:129
 #, kde-format
 msgid ""
 "Copyright © 2001 Paul Hensgen,\n"
@@ -4222,101 +4222,101 @@ msgstr ""
 "Copyright © 2001 Paul Hensgen,\n"
 "Copyright © 2002-2020 los autores del modelador de UML Umbrello"
 
-#: main.cpp:130
+#: main.cpp:132
 #, kde-format
 msgid "Paul Hensgen"
 msgstr "Paul Hensgen"
 
-#: main.cpp:130
+#: main.cpp:132
 #, kde-format
 msgid "Author of initial version."
 msgstr "Autor de la versión inicial."
 
-#: main.cpp:134
+#: main.cpp:136
 #, kde-format
 msgid "Oliver Kellogg"
 msgstr "Oliver Kellogg"
 
-#: main.cpp:135 main.cpp:138
+#: main.cpp:137 main.cpp:140
 #, kde-format
 msgid "Bug fixing, porting work, code cleanup, new features."
 msgstr ""
 "Corrección de errores, trabajo de adaptación, limpieza de código, nuevas "
 "funciones."
 
-#: main.cpp:137
+#: main.cpp:139
 #, kde-format
 msgid "Ralf Habacker"
 msgstr "Ralf Habacker"
 
-#: main.cpp:140
+#: main.cpp:142
 #, kde-format
 msgid "Andi Fischer"
 msgstr "Andi Fischer"
 
-#: main.cpp:141
+#: main.cpp:143
 #, kde-format
 msgid "Porting work, code cleanup, new features."
 msgstr "Trabajo de adaptación, limpieza de código, nuevas funciones."
 
-#: main.cpp:143
+#: main.cpp:145
 #, kde-format
 msgid "Jonathan Riddell"
 msgstr "Jonathan Riddell"
 
-#: main.cpp:144
+#: main.cpp:146
 #, kde-format
 msgid "Current maintainer."
 msgstr "Encargado actual"
 
-#: main.cpp:146
+#: main.cpp:148
 #, kde-format
 msgid "Brian Thomas"
 msgstr "Brian Thomas"
 
-#: main.cpp:147
+#: main.cpp:149
 #, kde-format
 msgid "A lot of work for C++ and Java code generation. Codeeditor."
 msgstr ""
 "Gran cantidad de trabajo para la generación de código C++ y Java. Editor de "
 "código."
 
-#: main.cpp:152
+#: main.cpp:154
 #, kde-format
 msgid "File to open"
 msgstr "Archivo a abrir"
 
-#: main.cpp:153
+#: main.cpp:155
 #, kde-format
 msgid "export diagrams to extension and exit"
 msgstr "exportar los diagramas a la extensión y salir"
 
-#: main.cpp:154
+#: main.cpp:156
 #, kde-format
 msgid "list available export extensions"
 msgstr "listar extensiones de exportación disponibles"
 
-#: main.cpp:155
+#: main.cpp:157
 #, kde-format
 msgid "the local directory to save the exported diagrams in"
 msgstr "La carpeta local donde se guardarán los diagramas exportados"
 
-#: main.cpp:155
+#: main.cpp:157
 #, kde-format
 msgid "the directory of the file"
 msgstr "La carpeta de los archivos"
 
-#: main.cpp:156
+#: main.cpp:158
 #, kde-format
 msgid "import files"
 msgstr "importar archivos"
 
-#: main.cpp:157
+#: main.cpp:159
 #, kde-format
 msgid "list supported languages"
 msgstr "listar los lenguajes permitidos"
 
-#: main.cpp:158
+#: main.cpp:160
 #, kde-format
 msgid ""
 "keep the tree structure used to store the views in the document in the "
@@ -4325,12 +4325,12 @@ msgstr ""
 "Mantener la estructura de árbol usada para almacenar las vistas del "
 "documento en la carpeta de destino"
 
-#: main.cpp:159
+#: main.cpp:161
 #, kde-format
 msgid "import files from directory <dir>"
 msgstr "importar archivos del directorio <dir>"
 
-#: main.cpp:163
+#: main.cpp:165
 #, kde-format
 msgid "set active language"
 msgstr "definir el lenguaje activo"
@@ -4594,7 +4594,7 @@ msgstr "Ocultar cuadro de destrucción"
 msgid "Import File(s)..."
 msgstr "Importar archivo(s)..."
 
-#: menus/listpopupmenu.cpp:201 uml.cpp:356
+#: menus/listpopupmenu.cpp:201 uml.cpp:365
 #, kde-format
 msgid "Import from Directory..."
 msgstr "Importar de directorio..."
@@ -5094,42 +5094,42 @@ msgctxt "align menu"
 msgid "Align"
 msgstr "Alinear"
 
-#: menus/widgetbasepopupmenu.cpp:598 uml.cpp:573
+#: menus/widgetbasepopupmenu.cpp:598 uml.cpp:582
 #, kde-format
 msgid "Align Right"
 msgstr "Alinear a la derecha"
 
-#: menus/widgetbasepopupmenu.cpp:599 uml.cpp:578
+#: menus/widgetbasepopupmenu.cpp:599 uml.cpp:587
 #, kde-format
 msgid "Align Left"
 msgstr "Alinear a la izquierda"
 
-#: menus/widgetbasepopupmenu.cpp:600 uml.cpp:583
+#: menus/widgetbasepopupmenu.cpp:600 uml.cpp:592
 #, kde-format
 msgid "Align Top"
 msgstr "Alinear arriba"
 
-#: menus/widgetbasepopupmenu.cpp:601 uml.cpp:588
+#: menus/widgetbasepopupmenu.cpp:601 uml.cpp:597
 #, kde-format
 msgid "Align Bottom"
 msgstr "Alinear abajo"
 
-#: menus/widgetbasepopupmenu.cpp:603 uml.cpp:593
+#: menus/widgetbasepopupmenu.cpp:603 uml.cpp:602
 #, kde-format
 msgid "Align Vertical Middle"
 msgstr "Alinear en medio verticalmente"
 
-#: menus/widgetbasepopupmenu.cpp:604 uml.cpp:598
+#: menus/widgetbasepopupmenu.cpp:604 uml.cpp:607
 #, kde-format
 msgid "Align Horizontal Middle"
 msgstr "Alinear en medio horizontalmente"
 
-#: menus/widgetbasepopupmenu.cpp:605 uml.cpp:603
+#: menus/widgetbasepopupmenu.cpp:605 uml.cpp:612
 #, kde-format
 msgid "Align Vertical Distribute"
 msgstr "Alinear en medio verticalmente"
 
-#: menus/widgetbasepopupmenu.cpp:606 uml.cpp:608
+#: menus/widgetbasepopupmenu.cpp:606 uml.cpp:617
 #, kde-format
 msgid "Align Horizontal Distribute"
 msgstr "Alinear en medio horizontalmente"
@@ -5934,8 +5934,8 @@ msgstr "Uso"
 #: object_factory.cpp:251 uml1model/classifier.cpp:410
 #: uml1model/classifier.cpp:781 uml1model/entity.cpp:125
 #: uml1model/entity.cpp:178 uml1model/entity.cpp:228 uml1model/entity.cpp:277
-#: uml1model/enum.cpp:107 uml1model/instance.cpp:124 uml1model/package.cpp:171
-#: umldoc.cpp:1721 umldoc.cpp:1755
+#: uml1model/enum.cpp:107 uml1model/instance.cpp:124 uml1model/package.cpp:177
+#: umldoc.cpp:1723 umldoc.cpp:1757
 #, kde-format
 msgid "That is an invalid name."
 msgstr "Este nombre no es válido."
@@ -5956,7 +5956,7 @@ msgstr "Palabra clave reservada"
 #: object_factory.cpp:264 uml1model/classifier.cpp:413
 #: uml1model/classifier.cpp:783 uml1model/entity.cpp:127
 #: uml1model/entity.cpp:180 uml1model/entity.cpp:230 uml1model/entity.cpp:279
-#: uml1model/instance.cpp:126 umldoc.cpp:1727 umldoc.cpp:1764
+#: uml1model/instance.cpp:126 umldoc.cpp:1729 umldoc.cpp:1766
 #, kde-format
 msgid "That name is already being used."
 msgstr "Ese nombre ya está siendo usado."
@@ -5964,8 +5964,8 @@ msgstr "Ese nombre ya está siendo usado
 #: object_factory.cpp:265 uml1model/classifier.cpp:413
 #: uml1model/classifier.cpp:783 uml1model/entity.cpp:127
 #: uml1model/entity.cpp:180 uml1model/entity.cpp:230 uml1model/entity.cpp:279
-#: uml1model/instance.cpp:126 umldoc.cpp:1629 umldoc.cpp:1699 umldoc.cpp:1727
-#: umldoc.cpp:1764
+#: uml1model/instance.cpp:126 umldoc.cpp:1631 umldoc.cpp:1701 umldoc.cpp:1729
+#: umldoc.cpp:1766
 #, kde-format
 msgid "Not a Unique Name"
 msgstr "No es un nombre único"
@@ -6026,12 +6026,12 @@ msgstr "Ya existe un atributo con este n
 msgid "Choose a different name."
 msgstr "Escoja un nombre diferente."
 
-#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:266
+#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:273
 #, kde-format
 msgid "Incorrect use of associations."
 msgstr "Uso incorrecto de asociaciones."
 
-#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:266
+#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:273
 #, kde-format
 msgid "Association Error"
 msgstr "Error de asociación"
@@ -7206,188 +7206,188 @@ msgstr "&Lenguaje activo"
 msgid "&Settings"
 msgstr "&Preferencias"
 
-#: uml.cpp:332
+#: uml.cpp:341
 #, kde-format
 msgid "&Export model to DocBook"
 msgstr "&Exportar modelo en DocBook"
 
-#: uml.cpp:336
+#: uml.cpp:345
 #, kde-format
 msgid "&Export model to XHTML"
 msgstr "&Exportar modelo en XHTML"
 
-#: uml.cpp:340
+#: uml.cpp:349
 #, kde-format
 msgid "&New Class Wizard..."
 msgstr "Asistente de &nueva clase..."
 
-#: uml.cpp:344
+#: uml.cpp:353
 #, kde-format
 msgid "&Add Default Datatypes for Active Language"
 msgstr "&Añadir tipo de datos predeterminado para el lenguaje activo"
 
-#: uml.cpp:351
+#: uml.cpp:360
 #, kde-format
 msgid "Code &Importing Wizard..."
 msgstr "Asistente de &importación de código..."
 
-#: uml.cpp:361
+#: uml.cpp:370
 #, kde-format
 msgid "&Code Generation Wizard..."
 msgstr "Asistente de generación de &código..."
 
-#: uml.cpp:366
+#: uml.cpp:375
 #, kde-format
 msgid "&Generate All Code"
 msgstr "&Generar todo el código"
 
-#: uml.cpp:411
+#: uml.cpp:420
 #, kde-format
 msgid "Creates a new document"
 msgstr "Crea un nuevo documento"
 
-#: uml.cpp:412
+#: uml.cpp:421
 #, kde-format
 msgid "Opens an existing document"
 msgstr "Abre un documento existente"
 
-#: uml.cpp:413
+#: uml.cpp:422
 #, kde-format
 msgid "Opens a recently used file"
 msgstr "Abre un archivo usado recientemente"
 
-#: uml.cpp:414
+#: uml.cpp:423
 #, kde-format
 msgid "Saves the document"
 msgstr "Guarda el documento"
 
-#: uml.cpp:415
+#: uml.cpp:424
 #, kde-format
 msgid "Saves the document as..."
 msgstr "Guarda el documento como..."
 
-#: uml.cpp:416
+#: uml.cpp:425
 #, kde-format
 msgid "Closes the document"
 msgstr "Cierra el documento"
 
-#: uml.cpp:417
+#: uml.cpp:426
 #, kde-format
 msgid "Prints out the document"
 msgstr "Imprime el documento"
 
-#: uml.cpp:418
+#: uml.cpp:427
 #, kde-format
 msgid "Print Preview of the document"
 msgstr "Vista previa de la impresión del documento"
 
-#: uml.cpp:419
+#: uml.cpp:428
 #, kde-format
 msgid "Quits the application"
 msgstr "Sale de la aplicación"
 
-#: uml.cpp:420
+#: uml.cpp:429
 #, kde-format
 msgid "Exports the model to the docbook format"
 msgstr "Exporta el modelo en formato docbook"
 
-#: uml.cpp:421
+#: uml.cpp:430
 #, kde-format
 msgid "Exports the model to the XHTML format"
 msgstr "Exporta el modelo en formato XHTML"
 
-#: uml.cpp:422
+#: uml.cpp:431
 #, kde-format
 msgid "Cuts the selected section and puts it to the clipboard"
 msgstr "Corta la sección seleccionada y la pone en el portapapeles"
 
-#: uml.cpp:423
+#: uml.cpp:432
 #, kde-format
 msgid "Copies the selected section to the clipboard"
 msgstr "Copia la sección seleccionada en el portapapeles"
 
-#: uml.cpp:424
+#: uml.cpp:433
 #, kde-format
 msgid "Pastes the contents of the clipboard"
 msgstr "Copia los contenidos del portapapeles"
 
-#: uml.cpp:425
+#: uml.cpp:434
 #, kde-format
 msgid "Set the default program preferences"
 msgstr "Establece las opciones predeterminadas del programa"
 
-#: uml.cpp:429
+#: uml.cpp:438
 #, kde-format
 msgctxt "delete selected widget"
 msgid "Delete &Selected"
 msgstr "Borrar &selección"
 
-#: uml.cpp:440
+#: uml.cpp:449
 #, kde-format
 msgid "&Class Diagram..."
 msgstr "Diagrama de &clases..."
 
-#: uml.cpp:447
+#: uml.cpp:456
 #, kde-format
 msgid "&Object Diagram..."
 msgstr "Diagrama de &objetos..."
 
-#: uml.cpp:454
+#: uml.cpp:463
 #, kde-format
 msgid "&Sequence Diagram..."
 msgstr "Diagrama de &secuencia..."
 
-#: uml.cpp:460
+#: uml.cpp:469
 #, kde-format
 msgid "C&ommunication Diagram..."
 msgstr "Diagrama de c&omunicación..."
 
-#: uml.cpp:466
+#: uml.cpp:475
 #, kde-format
 msgid "&Use Case Diagram..."
 msgstr "Diagrama de casos de &uso..."
 
-#: uml.cpp:472
+#: uml.cpp:481
 #, kde-format
 msgid "S&tate Diagram..."
 msgstr "Diagrama de es&tados..."
 
-#: uml.cpp:478
+#: uml.cpp:487
 #, kde-format
 msgid "&Activity Diagram..."
 msgstr "Diagrama de &actividades..."
 
-#: uml.cpp:484
+#: uml.cpp:493
 #, kde-format
 msgid "Co&mponent Diagram..."
 msgstr "Diagrama de co&mponentes..."
 
-#: uml.cpp:490
+#: uml.cpp:499
 #, kde-format
 msgid "&Deployment Diagram..."
 msgstr "Diagrama de &despliegue..."
 
-#: uml.cpp:496
+#: uml.cpp:505
 #, kde-format
 msgid "&Entity Relationship Diagram..."
 msgstr "Diagrama &entidad-relación..."
 
-#: uml.cpp:501 uml.cpp:954
+#: uml.cpp:510 uml.cpp:963
 #, kde-format
 msgid "&Tree View"
 msgstr "Vis&ta de árbol"
 
-#: uml.cpp:505
+#: uml.cpp:514
 #, kde-format
 msgid "&Debugging"
 msgstr "&Depuración"
 
-#: uml.cpp:513
+#: uml.cpp:522
 #, kde-format
 msgid "&Logging"
 msgstr "&Registro"
 
-#: uml.cpp:517
+#: uml.cpp:526
 #, kde-format
 msgid "&Command history"
 msgstr "&Historial de órdenes"
@@ -7396,135 +7396,135 @@ msgstr "&Historial de órdenes"
 #. m_propertyDock->setObjectName(QLatin1String("PropertyDock"));
 #. addDockWidget(Qt::LeftDockWidgetArea, m_propertyDock);  //:TODO:
 #. create the bird's eye view
-#: uml.cpp:521 uml.cpp:1011
+#: uml.cpp:530 uml.cpp:1020
 #, kde-format
 msgid "&Bird's eye view"
 msgstr "Vista a ojo de &pájaro"
 
-#: uml.cpp:526
+#: uml.cpp:535
 #, kde-format
 msgid "&Clear Diagram"
 msgstr "&Borrar diagrama"
 
-#: uml.cpp:530
+#: uml.cpp:539
 #, kde-format
 msgid "&Snap to Grid"
 msgstr "&Ajustar a la rejilla"
 
-#: uml.cpp:534
+#: uml.cpp:543
 #, kde-format
 msgid "S&how Grid"
 msgstr "&Mostrar rejilla"
 
-#: uml.cpp:539
+#: uml.cpp:548
 #, kde-format
 msgid "&Delete Diagram"
 msgstr "Borrar &diagrama"
 
-#: uml.cpp:544
+#: uml.cpp:553
 #, kde-format
 msgid "&Export as Picture..."
 msgstr "&Exportar como imagen..."
 
-#: uml.cpp:549
+#: uml.cpp:558
 #, kde-format
 msgid "Export &Diagrams as Pictures..."
 msgstr "Exportar &diagramas como imágenes..."
 
-#: uml.cpp:569
+#: uml.cpp:578
 #, kde-format
 msgid "Z&oom to 100%"
 msgstr "Z&oom al 100 %"
 
-#: uml.cpp:612
+#: uml.cpp:621
 #, kde-format
 msgid "&Move Tab Left"
 msgstr "&Mover pestaña a la izquierda"
 
-#: uml.cpp:613
+#: uml.cpp:622
 #, kde-format
 msgid "&Move Tab Right"
 msgstr "&Mover pestaña a la derecha"
 
-#: uml.cpp:636
+#: uml.cpp:645
 #, kde-format
 msgid "Select Diagram on Left"
 msgstr "Seleccionar diagrama de la izquierda"
 
-#: uml.cpp:637
+#: uml.cpp:646
 #, kde-format
 msgid "Select Diagram on Right"
 msgstr "Seleccionar diagrama de la derecha"
 
-#: uml.cpp:776
+#: uml.cpp:785
 #, kde-format
 msgctxt "%1 percent value from 20 to 500"
 msgid " &%1%"
 msgstr " &%1%"
 
-#: uml.cpp:826
+#: uml.cpp:835
 #, kde-format
 msgctxt "init status bar"
 msgid "Ready"
 msgstr "Preparado"
 
-#: uml.cpp:835 uml.cpp:848
+#: uml.cpp:844 uml.cpp:857
 #, kde-format
 msgid "100%"
 msgstr "100%"
 
-#: uml.cpp:840
+#: uml.cpp:849
 #, kde-format
 msgid "Fit"
 msgstr "Ajustar"
 
-#: uml.cpp:899
+#: uml.cpp:908
 #, kde-format
 msgid "Diagram Toolbar"
 msgstr "Barra de herramientas de diagrama"
 
-#: uml.cpp:965
+#: uml.cpp:974
 #, kde-format
 msgid "Doc&umentation"
 msgstr "Doc&umentación"
 
-#: uml.cpp:976
+#: uml.cpp:985
 #, kde-format
 msgid "Co&mmand history"
 msgstr "&Historial de órdenes"
 
-#: uml.cpp:992
+#: uml.cpp:1001
 #, kde-format
 msgid "&Debug"
 msgstr "&Depurar"
 
-#: uml.cpp:999
+#: uml.cpp:1008
 #, kde-format
 msgid "&Log"
 msgstr "&Registrar"
 
-#: uml.cpp:1041 uml.cpp:1258 uml.cpp:1307
+#: uml.cpp:1050 uml.cpp:1267 uml.cpp:1316
 #, kde-format
 msgid "Opening file..."
 msgstr "Abriendo archivo..."
 
-#: uml.cpp:1092 uml.cpp:1157 uml.cpp:1342 umldoc.cpp:342 umldoc.cpp:344
-#: umldoc.cpp:368 umldoc.cpp:3396
+#: uml.cpp:1101 uml.cpp:1166 uml.cpp:1351 umldoc.cpp:343 umldoc.cpp:345
+#: umldoc.cpp:369 umldoc.cpp:3405
 #, kde-format
 msgid "Untitled"
 msgstr "Sin título"
 
-#: uml.cpp:1240
+#: uml.cpp:1249
 #, kde-format
 msgid "Creating new document..."
 msgstr "Creando nuevo documento..."
 
-#: uml.cpp:1266 uml.cpp:1281
+#: uml.cpp:1275 uml.cpp:1290
 #, kde-format
 msgid "Open File"
 msgstr "Abrir archivo"
 
-#: uml.cpp:1270
+#: uml.cpp:1279
 #, kde-format
 msgid ""
 "*.xmi *.xmi.tgz *.xmi.tar.bz2 *.mdl *.zargo|All Supported Files (*.xmi, *."
@@ -7543,22 +7543,22 @@ msgstr ""
 "*.mdl|Archivos modelo de Rose (*.mdl)\n"
 "*.zargo|Archivos argo comprimidos (*.zargo)\n"
 
-#: uml.cpp:1341
+#: uml.cpp:1350
 #, kde-format
 msgid "Saving file..."
 msgstr "Guardando archivo..."
 
-#: uml.cpp:1358
+#: uml.cpp:1367
 #, kde-format
 msgid "Saving file with a new filename..."
 msgstr "Guardando archivo con un nuevo nombre..."
 
-#: uml.cpp:1368 uml.cpp:1374 umlviewimageexporter.cpp:199
+#: uml.cpp:1377 uml.cpp:1383 umlviewimageexporter.cpp:199
 #, kde-format
 msgid "Save As"
 msgstr "Guardar como"
 
-#: uml.cpp:1369
+#: uml.cpp:1378
 #, kde-format
 msgid ""
 "*.xmi | XMI File (*.xmi);;*.xmi.tgz | Gzip Compressed XMI File (*.xmi.tgz);;"
@@ -7568,7 +7568,7 @@ msgstr ""
 "xmi.tgz);;*.xmi.tar.bz2 | Archivo XMI comprimido con Bzip2 (*.xmi.bz2);;* | "
 "Todos los archivos (*)"
 
-#: uml.cpp:1374
+#: uml.cpp:1383
 #, kde-format
 msgid ""
 "*.xmi|XMI File\n"
@@ -7581,7 +7581,7 @@ msgstr ""
 "*.xmi.tar.bz2|Archivo XMI comprimido con Bzip2\n"
 "*|Todos los archivos"
 
-#: uml.cpp:1387
+#: uml.cpp:1396
 #, kde-format
 msgid ""
 "The file %1 exists.\n"
@@ -7590,67 +7590,67 @@ msgstr ""
 "Ya existe el archivo %1.\n"
 "¿Desea sobrescribirlo?"
 
-#: uml.cpp:1388
+#: uml.cpp:1397
 #, kde-format
 msgid "Warning"
 msgstr "Advertencia"
 
-#: uml.cpp:1388
+#: uml.cpp:1397
 #, kde-format
 msgid "Overwrite"
 msgstr "Sobrescribir"
 
-#: uml.cpp:1422
+#: uml.cpp:1431
 #, kde-format
 msgid "Closing file..."
 msgstr "Cerrando archivo..."
 
-#: uml.cpp:1432
+#: uml.cpp:1441
 #, kde-format
 msgid "No search term entered"
 msgstr "No se ha introducido ningún término a buscar"
 
-#: uml.cpp:1438
+#: uml.cpp:1447
 #, kde-format
 msgid "'%1': %2 found"
 msgstr "«%1»: %2 encontrado"
 
-#: uml.cpp:1502
+#: uml.cpp:1511
 #, kde-format
 msgid "Print Preview..."
 msgstr "Vista previa..."
 
-#: uml.cpp:1529
+#: uml.cpp:1538
 #, kde-format
 msgid "Printing..."
 msgstr "Imprimiendo..."
 
-#: uml.cpp:1536 uml.cpp:1540
+#: uml.cpp:1545 uml.cpp:1549
 #, kde-format
 msgid "Print %1"
 msgstr "Imprimir %1"
 
-#: uml.cpp:1560
+#: uml.cpp:1569
 #, kde-format
 msgid "Exiting..."
 msgstr "Saliendo..."
 
-#: uml.cpp:1647
+#: uml.cpp:1656
 #, kde-format
 msgid "Cutting selection..."
 msgstr "Cortando selección..."
 
-#: uml.cpp:1670
+#: uml.cpp:1679
 #, kde-format
 msgid "Copying selection to clipboard..."
 msgstr "Copiando selección en el portapapeles..."
 
-#: uml.cpp:1682
+#: uml.cpp:1691
 #, kde-format
 msgid "Inserting clipboard contents..."
 msgstr "Introduciendo contenidos del portapapeles..."
 
-#: uml.cpp:1687
+#: uml.cpp:1696
 #, kde-format
 msgid ""
 "Umbrello could not paste the clipboard contents.  The objects in the "
@@ -7659,38 +7659,38 @@ msgstr ""
 "Umbrello no pudo pegar el contenido del portapapeles. Los objetos en el "
 "portapapeles que intenta pegar aquí, deben de ser de un tipo incorrecto."
 
-#: uml.cpp:1713 umlviewimageexporter.cpp:92 umlviewimageexporterall.cpp:123
+#: uml.cpp:1722 umlviewimageexporter.cpp:92 umlviewimageexporterall.cpp:123
 #, kde-format
 msgctxt "reset status bar"
 msgid "Ready."
 msgstr "Preparado."
 
-#: uml.cpp:2246
+#: uml.cpp:2255
 #, kde-format
 msgid "Cannot view code until you generate some first."
 msgstr "No puede ver el código hasta que no lo genere."
 
-#: uml.cpp:2246 uml.cpp:2249
+#: uml.cpp:2255 uml.cpp:2258
 #, kde-format
 msgid "Cannot View Code"
 msgstr "No se pudo ver el código"
 
-#: uml.cpp:2249
+#: uml.cpp:2258
 #, kde-format
 msgid "Cannot view code from simple code writer."
 msgstr "No se puede ver el código desde un simple escritor de código."
 
-#: uml.cpp:2714 uml.cpp:2716
+#: uml.cpp:2728 uml.cpp:2730
 #, kde-format
 msgid "Select file(s) to import:"
 msgstr "Seleccione archivo(s) a importar."
 
-#: uml.cpp:2747 uml.cpp:2749
+#: uml.cpp:2761 uml.cpp:2763
 #, kde-format
 msgid "Select directory to import:"
 msgstr "Seleccione directorio a importar:"
 
-#: uml.cpp:3313
+#: uml.cpp:3335
 #, kde-format
 msgid "XHTML Generation failed ."
 msgstr "Generación XHTML fallida."
@@ -7704,20 +7704,20 @@ msgstr ""
 "Ya existe una operación con ese mismo nombre y firma. No puede añadirla de "
 "nuevo."
 
-#: uml1model/folder.cpp:435
+#: uml1model/folder.cpp:436
 #, kde-format
 msgid "The folderfile %1 does not exist."
 msgstr "El archivo de carpeta %1 no existe."
 
-#: uml1model/folder.cpp:435 uml1model/folder.cpp:439 umldoc.cpp:529
-#: umldoc.cpp:541 umldoc.cpp:568 umldoc.cpp:570 umldoc.cpp:620 umldoc.cpp:623
-#: umldoc.cpp:638 umldoc.cpp:641 umldoc.cpp:665 umldoc.cpp:668 umldoc.cpp:684
-#: umldoc.cpp:687 umldoc.cpp:702 umldoc.cpp:705 umldoc.cpp:750
+#: uml1model/folder.cpp:436 uml1model/folder.cpp:440 umldoc.cpp:530
+#: umldoc.cpp:542 umldoc.cpp:569 umldoc.cpp:571 umldoc.cpp:621 umldoc.cpp:624
+#: umldoc.cpp:639 umldoc.cpp:642 umldoc.cpp:666 umldoc.cpp:669 umldoc.cpp:685
+#: umldoc.cpp:688 umldoc.cpp:703 umldoc.cpp:706 umldoc.cpp:751
 #, kde-format
 msgid "Load Error"
 msgstr "Error de carga"
 
-#: uml1model/folder.cpp:439
+#: uml1model/folder.cpp:440
 #, kde-format
 msgid "The folderfile %1 cannot be opened."
 msgstr "El archivo de carpeta %1 no puede ser abierto."
@@ -7727,13 +7727,13 @@ msgstr "El archivo de carpeta %1 no pued
 msgid "new_parameter"
 msgstr "nuevo_parámetro"
 
-#: uml1model/package.cpp:163
+#: uml1model/package.cpp:169
 #, kde-format
 msgctxt "object name"
 msgid "Name"
 msgstr "Nombre"
 
-#: uml1model/package.cpp:164
+#: uml1model/package.cpp:170
 #, kde-format
 msgid ""
 "An object with the name %1\n"
@@ -7759,77 +7759,77 @@ msgstr "nuevo_campo"
 msgid "new_fkey_constraint"
 msgstr "nueva_restricción_fclave"
 
-#: uml1model/umlobject.cpp:1140
+#: uml1model/umlobject.cpp:1141
 #, kde-format
 msgid "Actor &name:"
 msgstr "&Nombre del actor:"
 
-#: uml1model/umlobject.cpp:1143
+#: uml1model/umlobject.cpp:1144
 #, kde-format
 msgid "Artifact &name:"
 msgstr "&Nombre del artefacto:"
 
-#: uml1model/umlobject.cpp:1146
+#: uml1model/umlobject.cpp:1147
 #, kde-format
 msgid "Association &name:"
 msgstr "&Nombre de la asociación:"
 
-#: uml1model/umlobject.cpp:1149
+#: uml1model/umlobject.cpp:1150
 #, kde-format
 msgid "Class &name:"
 msgstr "&Nombre de la clase:"
 
-#: uml1model/umlobject.cpp:1152
+#: uml1model/umlobject.cpp:1153
 #, kde-format
 msgid "Component &name:"
 msgstr "&Nombre del componente:"
 
-#: uml1model/umlobject.cpp:1155
+#: uml1model/umlobject.cpp:1156
 #, kde-format
 msgid "Datatype &name:"
 msgstr "&Nombre del tipo de dato:"
 
-#: uml1model/umlobject.cpp:1158
+#: uml1model/umlobject.cpp:1159
 #, kde-format
 msgid "Entity &name:"
 msgstr "&Nombre de la entidad:"
 
-#: uml1model/umlobject.cpp:1161
+#: uml1model/umlobject.cpp:1162
 #, kde-format
 msgid "Enum &name:"
 msgstr "&Nombre del enumerador:"
 
-#: uml1model/umlobject.cpp:1164
+#: uml1model/umlobject.cpp:1165
 #, kde-format
 msgid "Folder &name:"
 msgstr "&Nombre de la carpeta:"
 
-#: uml1model/umlobject.cpp:1167
+#: uml1model/umlobject.cpp:1168
 #, kde-format
 msgid "Interface &name:"
 msgstr "&Nombre de la interfaz:"
 
-#: uml1model/umlobject.cpp:1170
+#: uml1model/umlobject.cpp:1171
 #, kde-format
 msgid "Node &name:"
 msgstr "&Nombre del nodo:"
 
-#: uml1model/umlobject.cpp:1173
+#: uml1model/umlobject.cpp:1174
 #, kde-format
 msgid "Package &name:"
 msgstr "&Nombre del paquete:"
 
-#: uml1model/umlobject.cpp:1176
+#: uml1model/umlobject.cpp:1177
 #, kde-format
 msgid "Port &name:"
 msgstr "&Nombre del puerto:"
 
-#: uml1model/umlobject.cpp:1182
+#: uml1model/umlobject.cpp:1183
 #, kde-format
 msgid "Use case &name:"
 msgstr "&Nombre del caso de uso:"
 
-#: uml1model/umlobject.cpp:1185
+#: uml1model/umlobject.cpp:1186
 #, kde-format
 msgid "Instance name:"
 msgstr "Nombre de instancia:"
@@ -7849,42 +7849,42 @@ msgstr "E&stereotipos"
 msgid "Welcome"
 msgstr "Bienvenido"
 
-#: umldoc.cpp:112 umldoc.cpp:2400 umldoc.cpp:2428
+#: umldoc.cpp:113 umldoc.cpp:2405 umldoc.cpp:2433
 #, kde-format
 msgid "UML Model"
 msgstr "Modelo UML"
 
-#: umldoc.cpp:154
+#: umldoc.cpp:155
 #, kde-format
 msgid "Logical View"
 msgstr "Vista lógica"
 
-#: umldoc.cpp:155
+#: umldoc.cpp:156
 #, kde-format
 msgid "Use Case View"
 msgstr "Vista de casos de uso"
 
-#: umldoc.cpp:156
+#: umldoc.cpp:157
 #, kde-format
 msgid "Component View"
 msgstr "Vista de componentes"
 
-#: umldoc.cpp:157
+#: umldoc.cpp:158
 #, kde-format
 msgid "Deployment View"
 msgstr "Vista de despliegue"
 
-#: umldoc.cpp:158
+#: umldoc.cpp:159
 #, kde-format
 msgid "Entity Relationship Model"
 msgstr "Modelo entidad-relación"
 
-#: umldoc.cpp:184
+#: umldoc.cpp:185
 #, kde-format
 msgid "Datatypes"
 msgstr "Tipo de datos"
 
-#: umldoc.cpp:363
+#: umldoc.cpp:364
 #, kde-format
 msgid ""
 "The current file has been modified.\n"
@@ -7893,166 +7893,166 @@ msgstr ""
 "El archivo actual ha sido modificado.\n"
 "¿Desea guardarlo?"
 
-#: umldoc.cpp:364
+#: umldoc.cpp:365
 #, kde-format
 msgctxt "warning message"
 msgid "Warning"
 msgstr "Advertencia"
 
-#: umldoc.cpp:529
+#: umldoc.cpp:530
 #, kde-format
 msgid "The file <%1> does not exist."
 msgstr "El archivo <%1> no existe."
 
-#: umldoc.cpp:541
+#: umldoc.cpp:542
 #, kde-format
 msgid "The file %1 does not exist."
 msgstr "El archivo %1 no existe."
 
-#: umldoc.cpp:568 umldoc.cpp:570
+#: umldoc.cpp:569 umldoc.cpp:571
 #, kde-format
 msgid "The file %1 seems to be corrupted."
 msgstr "Parece que el archivo %1 está dañado."
 
-#: umldoc.cpp:619 umldoc.cpp:622 umldoc.cpp:637 umldoc.cpp:640 umldoc.cpp:683
-#: umldoc.cpp:686
+#: umldoc.cpp:620 umldoc.cpp:623 umldoc.cpp:638 umldoc.cpp:641 umldoc.cpp:684
+#: umldoc.cpp:687
 #, kde-format
 msgid "There was no XMI file found in the compressed file %1."
 msgstr "No se ha encontrado un archivo XMI en el archivo comprimido %1."
 
-#: umldoc.cpp:664 umldoc.cpp:667
+#: umldoc.cpp:665 umldoc.cpp:668
 #, kde-format
 msgid "There was a problem loading the extracted file: %1"
 msgstr "Ha habido un problema cargando el archivo extraído: %1"
 
-#: umldoc.cpp:701 umldoc.cpp:704 umldoc.cpp:744 umldoc.cpp:746
+#: umldoc.cpp:702 umldoc.cpp:705 umldoc.cpp:745 umldoc.cpp:747
 #, kde-format
 msgid "There was a problem loading file: %1"
 msgstr "Ha habido un problema cargando el archivo: %1"
 
-#: umldoc.cpp:749
+#: umldoc.cpp:750
 #, kde-format
 msgid "Reason: %1"
 msgstr "Motivo: %1"
 
-#: umldoc.cpp:832 umldoc.cpp:834 umldoc.cpp:851 umldoc.cpp:853 umldoc.cpp:873
-#: umldoc.cpp:875 umldoc.cpp:924 umldoc.cpp:926 umldoc.cpp:966 umldoc.cpp:969
-#: umldoc.cpp:978 umldoc.cpp:980 umllistview.cpp:593
+#: umldoc.cpp:833 umldoc.cpp:835 umldoc.cpp:852 umldoc.cpp:854 umldoc.cpp:874
+#: umldoc.cpp:876 umldoc.cpp:925 umldoc.cpp:927 umldoc.cpp:968 umldoc.cpp:971
+#: umldoc.cpp:980 umldoc.cpp:982 umllistview.cpp:594
 #, kde-format
 msgid "Save Error"
 msgstr "Error al guardar"
 
-#: umldoc.cpp:832 umldoc.cpp:851 umldoc.cpp:873 umldoc.cpp:924 umldoc.cpp:966
+#: umldoc.cpp:833 umldoc.cpp:852 umldoc.cpp:874 umldoc.cpp:925 umldoc.cpp:968
 #, kde-format
 msgid "There was a problem saving: %1"
 msgstr "Ha habido un problema al guardar el archivo: %1"
 
-#: umldoc.cpp:834 umldoc.cpp:853 umldoc.cpp:875 umldoc.cpp:926 umldoc.cpp:969
-#: umllistview.cpp:592 umlviewimageexportermodel.cpp:303
+#: umldoc.cpp:835 umldoc.cpp:854 umldoc.cpp:876 umldoc.cpp:927 umldoc.cpp:971
+#: umllistview.cpp:593 umlviewimageexportermodel.cpp:303
 #, kde-format
 msgid "There was a problem saving file: %1"
 msgstr "Ha habido un problema guardando el archivo: %1"
 
-#: umldoc.cpp:978
+#: umldoc.cpp:980
 #, kde-format
 msgid "There was a problem uploading: %1"
 msgstr "Ha habido un problema al enviar: %1"
 
-#: umldoc.cpp:980
+#: umldoc.cpp:982
 #, kde-format
 msgid "There was a problem uploading file: %1"
 msgstr "Ha habido un problema al enviar el archivo: %1"
 
-#: umldoc.cpp:1526
+#: umldoc.cpp:1528
 #, kde-format
 msgid "use case diagram"
 msgstr "diagrama de casos de uso"
 
-#: umldoc.cpp:1529
+#: umldoc.cpp:1531
 #, kde-format
 msgid "class diagram"
 msgstr "diagrama de clases"
 
-#: umldoc.cpp:1532
+#: umldoc.cpp:1534
 #, kde-format
 msgid "sequence diagram"
 msgstr "diagrama de secuencia"
 
-#: umldoc.cpp:1535
+#: umldoc.cpp:1537
 #, kde-format
 msgid "communication diagram"
 msgstr "diagrama de comunicación"
 
-#: umldoc.cpp:1538
+#: umldoc.cpp:1540
 #, kde-format
 msgid "object diagram"
 msgstr "diagrama de objetos"
 
-#: umldoc.cpp:1541
+#: umldoc.cpp:1543
 #, kde-format
 msgid "state diagram"
 msgstr "diagrama de estados"
 
-#: umldoc.cpp:1544
+#: umldoc.cpp:1546
 #, kde-format
 msgid "activity diagram"
 msgstr "diagrama de actividades"
 
-#: umldoc.cpp:1547
+#: umldoc.cpp:1549
 #, kde-format
 msgid "component diagram"
 msgstr "diagrama de componentes"
 
-#: umldoc.cpp:1550
+#: umldoc.cpp:1552
 #, kde-format
 msgid "deployment diagram"
 msgstr "diagrama de despliegue"
 
-#: umldoc.cpp:1553
+#: umldoc.cpp:1555
 #, kde-format
 msgid "entity relationship diagram"
 msgstr "diagrama entidad-relación"
 
-#: umldoc.cpp:1623
+#: umldoc.cpp:1625
 #, kde-format
 msgctxt "diagram name"
 msgid "Name"
 msgstr "Nombre"
 
-#: umldoc.cpp:1623 umldoc.cpp:1686 umldoc.cpp:1715 umldoc.cpp:1749
+#: umldoc.cpp:1625 umldoc.cpp:1688 umldoc.cpp:1717 umldoc.cpp:1751
 #, kde-format
 msgid "Enter name:"
 msgstr "Introduzca nombre:"
 
-#: umldoc.cpp:1627 umldoc.cpp:1692
+#: umldoc.cpp:1629 umldoc.cpp:1694
 #, kde-format
 msgid "That is an invalid name for a diagram."
 msgstr "Ese no es un nombre válido para un diagrama."
 
-#: umldoc.cpp:1629 umldoc.cpp:1699
+#: umldoc.cpp:1631 umldoc.cpp:1701
 #, kde-format
 msgid "A diagram is already using that name."
 msgstr "Ya hay un diagrama usando ese nombre."
 
-#: umldoc.cpp:1685
+#: umldoc.cpp:1687
 #, kde-format
 msgctxt "renaming diagram"
 msgid "Name"
 msgstr "Nombre"
 
-#: umldoc.cpp:1714
+#: umldoc.cpp:1716
 #, kde-format
 msgctxt "renaming uml object"
 msgid "Name"
 msgstr "Nombre"
 
-#: umldoc.cpp:1748
+#: umldoc.cpp:1750
 #, kde-format
 msgctxt "renaming child uml object"
 msgid "Name"
 msgstr "Nombre"
 
-#: umldoc.cpp:1758
+#: umldoc.cpp:1760
 #, kde-format
 msgid ""
 "The name you entered was not unique.\n"
@@ -8061,63 +8061,63 @@ msgstr ""
 "El nombre que introdujo no era único.\n"
 "¿Era esto lo que quería?"
 
-#: umldoc.cpp:1759
+#: umldoc.cpp:1761
 #, kde-format
 msgid "Use Name"
 msgstr "Usar nombre"
 
-#: umldoc.cpp:1759
+#: umldoc.cpp:1761
 #, kde-format
 msgid "Enter New Name"
 msgstr "Introducir nuevo nombre"
 
-#: umldoc.cpp:2361
+#: umldoc.cpp:2366
 #, kde-format
 msgid "Unsupported xmi file version: %1"
 msgstr "Versión de archivo xmi no permitida: %1"
 
-#: umldoc.cpp:2511
+#: umldoc.cpp:2516
 #, kde-format
 msgid "Setting up the document..."
 msgstr "Configurando el documento..."
 
-#: umldoc.cpp:2540
+#: umldoc.cpp:2545
 #, kde-format
 msgid "Resolving object references..."
 msgstr "Resolviendo referencias a objetos..."
 
-#: umldoc.cpp:2648
+#: umldoc.cpp:2653
 #, kde-format
 msgid "Loading UML elements..."
 msgstr "Cargando elementos UML..."
 
-#: umldoc.cpp:2892
+#: umldoc.cpp:2899
 #, kde-format
 msgid "Loading diagrams..."
 msgstr "Cargando diagramas..."
 
-#: umldoc.cpp:3400
+#: umldoc.cpp:3409
 #, kde-format
 msgid "/autosave%1"
 msgstr "/autoguardado%1"
 
-#: umllistview.cpp:536 umllistview.cpp:540
+#: umllistview.cpp:537 umllistview.cpp:541
 #, kde-format
 msgid "Externalize Folder"
 msgstr "Externalizar carpeta"
 
-#: umllistview.cpp:574
+#: umllistview.cpp:575
 #, kde-format
 msgid "Folder %1 must be relative to the main model directory, %2."
 msgstr ""
 "La carpeta %1 debe ser relativa al directorio del modelo principal, %2."
 
-#: umllistview.cpp:575
+#: umllistview.cpp:576
 #, kde-format
 msgid "Path Error"
 msgstr "Error de ruta"
 
-#: umllistview.cpp:583
+#: umllistview.cpp:584
 #, kde-format
 msgid ""
 "File %1 already exists!\n"
@@ -8126,62 +8126,62 @@ msgstr ""
 "El archivo %1 ya existe.\n"
 "Se sobrescribirá el archivo existente."
 
-#: umllistview.cpp:584
+#: umllistview.cpp:585
 #, kde-format
 msgid "File Exist"
 msgstr "El archivo ya existe"
 
-#: umllistview.cpp:624
+#: umllistview.cpp:625
 #, kde-format
 msgid "Enter Model Name"
 msgstr "Introduzca nombre del modelo"
 
-#: umllistview.cpp:625
+#: umllistview.cpp:626
 #, kde-format
 msgid "Enter the new name of the model:"
 msgstr "Introduzca el nuevo nombre del modelo:"
 
-#: umllistview.cpp:1422
+#: umllistview.cpp:1430
 #, kde-format
 msgid "Views"
 msgstr "Vistas"
 
-#: umllistview.cpp:1441
+#: umllistview.cpp:1449
 #, kde-format
 msgid "Settings"
 msgstr "Preferencias"
 
-#: umllistview.cpp:2413
+#: umllistview.cpp:2421
 #, kde-format
 msgid "Loading listview..."
 msgstr "Cargando vista de lista..."
 
-#: umllistview.cpp:2764
+#: umllistview.cpp:2772
 #, kde-format
 msgid "The class must be emptied before it can be deleted."
 msgstr "La clase debe vaciarse antes de se pueda borrar."
 
-#: umllistview.cpp:2765
+#: umllistview.cpp:2773
 #, kde-format
 msgid "Class Not Empty"
 msgstr "Clase no vacía"
 
-#: umllistview.cpp:2769
+#: umllistview.cpp:2777
 #, kde-format
 msgid "The package must be emptied before it can be deleted."
 msgstr "El paquete debe vaciarse antes de que se pueda borrar."
 
-#: umllistview.cpp:2770
+#: umllistview.cpp:2778
 #, kde-format
 msgid "Package Not Empty"
 msgstr "Paquete no vacío"
 
-#: umllistview.cpp:2774
+#: umllistview.cpp:2782
 #, kde-format
 msgid "The folder must be emptied before it can be deleted."
 msgstr "La carpeta debe vaciarse antes de que se pueda borrar."
 
-#: umllistview.cpp:2775
+#: umllistview.cpp:2783
 #, kde-format
 msgid "Folder Not Empty"
 msgstr "Carpeta no vacía"
diff -pruN 4:20.08.3-1/po/et/umbrello.po 4:20.12.0-0ubuntu1/po/et/umbrello.po
--- 4:20.08.3-1/po/et/umbrello.po	2020-11-03 00:42:15.000000000 +0000
+++ 4:20.12.0-0ubuntu1/po/et/umbrello.po	2020-12-04 00:21:29.000000000 +0000
@@ -8,7 +8,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: umbrello\n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
-"POT-Creation-Date: 2020-08-14 08:09+0200\n"
+"POT-Creation-Date: 2020-11-06 02:36+0100\n"
 "PO-Revision-Date: 2020-05-02 10:38+0300\n"
 "Last-Translator: Marek Laane <qiilaq69@gmail.com>\n"
 "Language-Team: Estonian <kde-et@lists.linux.ee>\n"
@@ -209,7 +209,7 @@ msgstr ""
 "Vähemalt ühte lõikepuhvris olevat elementi pole võimalik asetada, sest "
 "samanimeline element on juba olemas. Kõik teised elemendid asetati."
 
-#: clipboard/umlclipboard.cpp:753 uml.cpp:1689
+#: clipboard/umlclipboard.cpp:753 uml.cpp:1698
 #, kde-format
 msgid "Paste Error"
 msgstr "Tõrge asetamisel"
@@ -435,7 +435,7 @@ msgstr "<p align=\"center\">C++ koodi ge
 #. i18n: ectx: attribute (title), widget (QWidget, ui_tabGeneral)
 #: codegenerators/cpp/cppcodegenerationformbase.ui:51
 #: codegenwizard/codegenoptionspage.ui:39 dialogs/objectnodedialog.cpp:135
-#: umllistview.cpp:1451
+#: umllistview.cpp:1459
 #, kde-format
 msgid "General"
 msgstr "Üldine"
@@ -1316,7 +1316,7 @@ msgstr "Olek"
 #. i18n: ectx: property (text), widget (QRadioButton, ui_categoryClass)
 #. i18n: ectx: property (text), widget (QTableWidget, ui_tableWidgetStatus)
 #: codegenwizard/codegenstatuspage.ui:40 codeimpwizard/codeimpstatuspage.ui:54
-#: dialogs/finddialog.ui:89 umllistview.cpp:1446 umlwidgets/widgetbase.cpp:1255
+#: dialogs/finddialog.ui:89 umllistview.cpp:1454 umlwidgets/widgetbase.cpp:1255
 #, kde-format
 msgid "Class"
 msgstr "Klass"
@@ -1970,34 +1970,34 @@ msgstr "'sideme kustutamisega' seotud s
 msgid "Enable 'delete diagram' related messages"
 msgstr "'skeemi kustutamisega' seotud sõnumite lubamine"
 
-#: dialogs/dialog_utils.cpp:117
+#: dialogs/dialog_utils.cpp:118
 #, kde-format
 msgid "You are about to delete an association. Do you really want to continue?"
 msgstr "Kavatsed sideme kustutada. Kas tõesti jätkata?"
 
-#: dialogs/dialog_utils.cpp:118
+#: dialogs/dialog_utils.cpp:119
 #, kde-format
 msgid "Delete Association"
 msgstr "Sideme kustutamine"
 
-#: dialogs/dialog_utils.cpp:132
+#: dialogs/dialog_utils.cpp:133
 #, kde-format
 msgid ""
 "You are about to delete the entire diagram.\n"
 "Are you sure?"
 msgstr "Kas sa tõesti soovid kustutada kogu skeemi?"
 
-#: dialogs/dialog_utils.cpp:133
+#: dialogs/dialog_utils.cpp:134
 #, kde-format
 msgid "Are you sure you want to delete diagram %1?"
 msgstr "Kas sa tõesti soovid kustutada skeemi %1?"
 
-#: dialogs/dialog_utils.cpp:138
+#: dialogs/dialog_utils.cpp:139
 #, kde-format
 msgid "Delete Diagram?"
 msgstr "Kas kustutada skeem?"
 
-#: dialogs/dialog_utils.cpp:139 dialogs/pages/classifierlistpage.cpp:215
+#: dialogs/dialog_utils.cpp:140 dialogs/pages/classifierlistpage.cpp:215
 #: dialogs/pages/classifierlistpage.cpp:223
 #: dialogs/umlforeignkeyconstraintdialog.cpp:325
 #: dialogs/umlforeignkeyconstraintdialog.cpp:331
@@ -2161,7 +2161,7 @@ msgstr "Üldine"
 #. i18n: ectx: label, entry (uiFont), group (UI Options)
 #. i18n: ectx: label, entry (codeViewerFont), group (Code Viewer Options)
 #: dialogs/multipagedialogbase.cpp:405 umbrello.kcfg:177 umbrello.kcfg:292
-#: umllistview.cpp:1450
+#: umllistview.cpp:1458
 #, kde-format
 msgid "Font"
 msgstr "Font"
@@ -2592,7 +2592,7 @@ msgstr "Uu&e eksemplari atribuut ..."
 
 #: dialogs/pages/classifierlistpage.cpp:217
 #: dialogs/pages/classifierlistpage.cpp:225 dialogs/umloperationdialog.cpp:167
-#: dialogs/umloperationdialog.cpp:175 uml.cpp:554
+#: dialogs/umloperationdialog.cpp:175 uml.cpp:563
 #, kde-format
 msgid "&Properties"
 msgstr "&Omadused"
@@ -2610,7 +2610,7 @@ msgid "Source Code"
 msgstr "Lähtekood"
 
 #: dialogs/pages/classoptionspage.cpp:157
-#: dialogs/pages/classoptionspage.cpp:251 uml.cpp:509
+#: dialogs/pages/classoptionspage.cpp:251 uml.cpp:518
 #, kde-format
 msgid "&Documentation"
 msgstr "&Dokumentatsioon"
@@ -2799,8 +2799,8 @@ msgstr "Sisestatud nimi pole sobiv."
 #: uml1model/classifier.cpp:410 uml1model/classifier.cpp:781
 #: uml1model/entity.cpp:125 uml1model/entity.cpp:178 uml1model/entity.cpp:228
 #: uml1model/entity.cpp:277 uml1model/enum.cpp:107 uml1model/instance.cpp:124
-#: uml1model/package.cpp:172 umldoc.cpp:1627 umldoc.cpp:1692 umldoc.cpp:1721
-#: umldoc.cpp:1755
+#: uml1model/package.cpp:178 umldoc.cpp:1629 umldoc.cpp:1694 umldoc.cpp:1723
+#: umldoc.cpp:1757
 #, kde-format
 msgid "Invalid Name"
 msgstr "Sobimatu nimi"
@@ -2810,7 +2810,7 @@ msgstr "Sobimatu nimi"
 msgid "The name you have entered is not unique."
 msgstr "Sisestatud nimi pole unikaalne."
 
-#: dialogs/pages/diagrampropertiespage.cpp:86 umldoc.cpp:1759
+#: dialogs/pages/diagrampropertiespage.cpp:86 umldoc.cpp:1761
 #, kde-format
 msgid "Name Not Unique"
 msgstr "Nimi pole unikaalne"
@@ -3280,7 +3280,7 @@ msgstr "Skeem"
 msgid "Umbrello Setup"
 msgstr "Umbrello häälestus"
 
-#: dialogs/settingsdialog.cpp:114 umllistview.cpp:1452
+#: dialogs/settingsdialog.cpp:114 umllistview.cpp:1460
 #, kde-format
 msgid "User Interface"
 msgstr "Kasutajaliides"
@@ -3307,7 +3307,7 @@ msgstr "Klass"
 msgid "Class Settings"
 msgstr "Klassi seadistused"
 
-#: dialogs/settingsdialog.cpp:137 umllistview.cpp:1447
+#: dialogs/settingsdialog.cpp:137 umllistview.cpp:1455
 #, kde-format
 msgid "Code Importer"
 msgstr "Koodi importija"
@@ -3317,7 +3317,7 @@ msgstr "Koodi importija"
 msgid "Code Import Settings"
 msgstr "Koodi importija seadistused"
 
-#: dialogs/settingsdialog.cpp:146 umllistview.cpp:1448
+#: dialogs/settingsdialog.cpp:146 umllistview.cpp:1456
 #, kde-format
 msgid "Code Generation"
 msgstr "Koodi genereerimine"
@@ -3327,7 +3327,7 @@ msgstr "Koodi genereerimine"
 msgid "Code Generation Settings"
 msgstr "Koodi genereerimise seadistused"
 
-#: dialogs/settingsdialog.cpp:154 umllistview.cpp:1449
+#: dialogs/settingsdialog.cpp:154 umllistview.cpp:1457
 #, kde-format
 msgid "Code Viewer"
 msgstr "Koodinäitaja"
@@ -3337,7 +3337,7 @@ msgstr "Koodinäitaja"
 msgid "Code Viewer Settings"
 msgstr "Koodinäitaja seadistused"
 
-#: dialogs/settingsdialog.cpp:161 umllistview.cpp:1445
+#: dialogs/settingsdialog.cpp:161 umllistview.cpp:1453
 #, kde-format
 msgid "Auto Layout"
 msgstr "Automaatpaigutus"
@@ -3965,7 +3965,7 @@ msgstr "&Tüüp:"
 msgid "Package path:"
 msgstr "Paketi asukoht:"
 
-#: dialogs/widgets/umlstereotypewidget.cpp:29 uml1model/umlobject.cpp:1179
+#: dialogs/widgets/umlstereotypewidget.cpp:29 uml1model/umlobject.cpp:1180
 #, kde-format
 msgid "Stereotype &name:"
 msgstr "Stereotüübi &nimi:"
@@ -4110,7 +4110,7 @@ msgstr ""
 msgid "Gael de Chalendar (aka Kleag)"
 msgstr "Gael de Chalendar (aka Kleag)"
 
-#: docgenerators/main.cpp:56 main.cpp:131
+#: docgenerators/main.cpp:56 main.cpp:133
 #, kde-format
 msgid "Umbrello UML Modeller Authors"
 msgstr "Umbrello autorid"
@@ -4174,12 +4174,12 @@ msgstr "Dokumendi redigeerimise aktiveer
 msgid "Apply layout"
 msgstr "Paigutuse rakendamine"
 
-#: main.cpp:121
+#: main.cpp:123
 #, kde-format
 msgid "Umbrello UML Modeller"
 msgstr "Umbrello"
 
-#: main.cpp:123
+#: main.cpp:125
 #, kde-format
 msgid ""
 "Umbrello – Visual development environment for software, based on the "
@@ -4190,7 +4190,7 @@ msgstr ""
 "standardile.<br/>Vaata ka <a href=’http://www.omg.org/spec/’>http://www.omg."
 "org/spec/</a>."
 
-#: main.cpp:127
+#: main.cpp:129
 #, kde-format
 msgid ""
 "Copyright © 2001 Paul Hensgen,\n"
@@ -4199,97 +4199,97 @@ msgstr ""
 "Autoriõigus © 2001: Paul Hensgen,\n"
 "Autoriõigus © 2002-2020: Umbrello autorid"
 
-#: main.cpp:130
+#: main.cpp:132
 #, kde-format
 msgid "Paul Hensgen"
 msgstr "Paul Hensgen"
 
-#: main.cpp:130
+#: main.cpp:132
 #, kde-format
 msgid "Author of initial version."
 msgstr "Algse versiooni autor."
 
-#: main.cpp:134
+#: main.cpp:136
 #, kde-format
 msgid "Oliver Kellogg"
 msgstr "Oliver Kellogg"
 
-#: main.cpp:135 main.cpp:138
+#: main.cpp:137 main.cpp:140
 #, kde-format
 msgid "Bug fixing, porting work, code cleanup, new features."
 msgstr "Vigade parandamine, portimine, koodi puhastamine, uued omadused."
 
-#: main.cpp:137
+#: main.cpp:139
 #, kde-format
 msgid "Ralf Habacker"
 msgstr "Ralf Habacker"
 
-#: main.cpp:140
+#: main.cpp:142
 #, kde-format
 msgid "Andi Fischer"
 msgstr "Andi Fischer"
 
-#: main.cpp:141
+#: main.cpp:143
 #, kde-format
 msgid "Porting work, code cleanup, new features."
 msgstr "Portimine, koodi puhastamine, uued omadused."
 
-#: main.cpp:143
+#: main.cpp:145
 #, kde-format
 msgid "Jonathan Riddell"
 msgstr "Jonathan Riddell"
 
-#: main.cpp:144
+#: main.cpp:146
 #, kde-format
 msgid "Current maintainer."
 msgstr "Praegune hooldaja."
 
-#: main.cpp:146
+#: main.cpp:148
 #, kde-format
 msgid "Brian Thomas"
 msgstr "Brian Thomas"
 
-#: main.cpp:147
+#: main.cpp:149
 #, kde-format
 msgid "A lot of work for C++ and Java code generation. Codeeditor."
 msgstr "Rohkelt tööd C++ ja Java koodi genereerimise kallal. Koodiredaktor."
 
-#: main.cpp:152
+#: main.cpp:154
 #, kde-format
 msgid "File to open"
 msgstr "Avatav fail"
 
-#: main.cpp:153
+#: main.cpp:155
 #, kde-format
 msgid "export diagrams to extension and exit"
 msgstr "skeemide eksport laiendusele ja väljumine"
 
-#: main.cpp:154
+#: main.cpp:156
 #, kde-format
 msgid "list available export extensions"
 msgstr "saadaolevate eksportlaiendite loend"
 
-#: main.cpp:155
+#: main.cpp:157
 #, kde-format
 msgid "the local directory to save the exported diagrams in"
 msgstr "kohalik kataloog eksporditud skeemide salvestamiseks"
 
-#: main.cpp:155
+#: main.cpp:157
 #, kde-format
 msgid "the directory of the file"
 msgstr "faili kataloog"
 
-#: main.cpp:156
+#: main.cpp:158
 #, kde-format
 msgid "import files"
 msgstr "failide import"
 
-#: main.cpp:157
+#: main.cpp:159
 #, kde-format
 msgid "list supported languages"
 msgstr "toetatud keelte loend"
 
-#: main.cpp:158
+#: main.cpp:160
 #, kde-format
 msgid ""
 "keep the tree structure used to store the views in the document in the "
@@ -4298,12 +4298,12 @@ msgstr ""
 "sihtkataloogis säilitatakse dokumendis vaadete salvestamiseks kasutatav "
 "puustruktuur"
 
-#: main.cpp:159
+#: main.cpp:161
 #, kde-format
 msgid "import files from directory <dir>"
 msgstr "failide import kataloogist <dir>"
 
-#: main.cpp:163
+#: main.cpp:165
 #, kde-format
 msgid "set active language"
 msgstr "aktiivse keele määramine"
@@ -4567,7 +4567,7 @@ msgstr "Hävitamiskasti peitmine"
 msgid "Import File(s)..."
 msgstr "Impordi faile..."
 
-#: menus/listpopupmenu.cpp:201 uml.cpp:356
+#: menus/listpopupmenu.cpp:201 uml.cpp:365
 #, kde-format
 msgid "Import from Directory..."
 msgstr "Impordi kataloogist..."
@@ -5067,42 +5067,42 @@ msgctxt "align menu"
 msgid "Align"
 msgstr "Joondus"
 
-#: menus/widgetbasepopupmenu.cpp:598 uml.cpp:573
+#: menus/widgetbasepopupmenu.cpp:598 uml.cpp:582
 #, kde-format
 msgid "Align Right"
 msgstr "Paremjoondus"
 
-#: menus/widgetbasepopupmenu.cpp:599 uml.cpp:578
+#: menus/widgetbasepopupmenu.cpp:599 uml.cpp:587
 #, kde-format
 msgid "Align Left"
 msgstr "Vasakjoondus"
 
-#: menus/widgetbasepopupmenu.cpp:600 uml.cpp:583
+#: menus/widgetbasepopupmenu.cpp:600 uml.cpp:592
 #, kde-format
 msgid "Align Top"
 msgstr "Ülajoondus"
 
-#: menus/widgetbasepopupmenu.cpp:601 uml.cpp:588
+#: menus/widgetbasepopupmenu.cpp:601 uml.cpp:597
 #, kde-format
 msgid "Align Bottom"
 msgstr "Alajoondus"
 
-#: menus/widgetbasepopupmenu.cpp:603 uml.cpp:593
+#: menus/widgetbasepopupmenu.cpp:603 uml.cpp:602
 #, kde-format
 msgid "Align Vertical Middle"
 msgstr "Püstine keskjoondus"
 
-#: menus/widgetbasepopupmenu.cpp:604 uml.cpp:598
+#: menus/widgetbasepopupmenu.cpp:604 uml.cpp:607
 #, kde-format
 msgid "Align Horizontal Middle"
 msgstr "Rõhtne keskjoondus"
 
-#: menus/widgetbasepopupmenu.cpp:605 uml.cpp:603
+#: menus/widgetbasepopupmenu.cpp:605 uml.cpp:612
 #, kde-format
 msgid "Align Vertical Distribute"
 msgstr "Püstine keskjaotus"
 
-#: menus/widgetbasepopupmenu.cpp:606 uml.cpp:608
+#: menus/widgetbasepopupmenu.cpp:606 uml.cpp:617
 #, kde-format
 msgid "Align Horizontal Distribute"
 msgstr "Rõhtne keskjaotus"
@@ -5907,8 +5907,8 @@ msgstr "Kasutus"
 #: object_factory.cpp:251 uml1model/classifier.cpp:410
 #: uml1model/classifier.cpp:781 uml1model/entity.cpp:125
 #: uml1model/entity.cpp:178 uml1model/entity.cpp:228 uml1model/entity.cpp:277
-#: uml1model/enum.cpp:107 uml1model/instance.cpp:124 uml1model/package.cpp:171
-#: umldoc.cpp:1721 umldoc.cpp:1755
+#: uml1model/enum.cpp:107 uml1model/instance.cpp:124 uml1model/package.cpp:177
+#: umldoc.cpp:1723 umldoc.cpp:1757
 #, kde-format
 msgid "That is an invalid name."
 msgstr "See pole sobiv nimi."
@@ -5927,7 +5927,7 @@ msgstr "Reserveeritud võtmesõna"
 #: object_factory.cpp:264 uml1model/classifier.cpp:413
 #: uml1model/classifier.cpp:783 uml1model/entity.cpp:127
 #: uml1model/entity.cpp:180 uml1model/entity.cpp:230 uml1model/entity.cpp:279
-#: uml1model/instance.cpp:126 umldoc.cpp:1727 umldoc.cpp:1764
+#: uml1model/instance.cpp:126 umldoc.cpp:1729 umldoc.cpp:1766
 #, kde-format
 msgid "That name is already being used."
 msgstr "See nimi on juba kasutusel."
@@ -5935,8 +5935,8 @@ msgstr "See nimi on juba kasutusel."
 #: object_factory.cpp:265 uml1model/classifier.cpp:413
 #: uml1model/classifier.cpp:783 uml1model/entity.cpp:127
 #: uml1model/entity.cpp:180 uml1model/entity.cpp:230 uml1model/entity.cpp:279
-#: uml1model/instance.cpp:126 umldoc.cpp:1629 umldoc.cpp:1699 umldoc.cpp:1727
-#: umldoc.cpp:1764
+#: uml1model/instance.cpp:126 umldoc.cpp:1631 umldoc.cpp:1701 umldoc.cpp:1729
+#: umldoc.cpp:1766
 #, kde-format
 msgid "Not a Unique Name"
 msgstr "Nimi pole unikaalne"
@@ -5997,12 +5997,12 @@ msgstr "Sellise nimega atribuut on juba
 msgid "Choose a different name."
 msgstr "Vali mõni muu nimi."
 
-#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:266
+#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:273
 #, kde-format
 msgid "Incorrect use of associations."
 msgstr "Sobimatu sidemete kasutamine."
 
-#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:266
+#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:273
 #, kde-format
 msgid "Association Error"
 msgstr "Sideme tõrge"
@@ -7170,188 +7170,188 @@ msgstr "Aktiivne &keel"
 msgid "&Settings"
 msgstr "&Seadistused"
 
-#: uml.cpp:332
+#: uml.cpp:341
 #, kde-format
 msgid "&Export model to DocBook"
 msgstr "&Ekspordi mudel DocBook-vormingusse"
 
-#: uml.cpp:336
+#: uml.cpp:345
 #, kde-format
 msgid "&Export model to XHTML"
 msgstr "&Ekspordi mudel XHTML-vormingusse"
 
-#: uml.cpp:340
+#: uml.cpp:349
 #, kde-format
 msgid "&New Class Wizard..."
 msgstr "&Uue klassi loomise abimees..."
 
-#: uml.cpp:344
+#: uml.cpp:353
 #, kde-format
 msgid "&Add Default Datatypes for Active Language"
 msgstr "&Lisa vaikimisi andmetüübid aktiivsesse keelde"
 
-#: uml.cpp:351
+#: uml.cpp:360
 #, kde-format
 msgid "Code &Importing Wizard..."
 msgstr "Koodi &importimise abimees..."
 
-#: uml.cpp:361
+#: uml.cpp:370
 #, kde-format
 msgid "&Code Generation Wizard..."
 msgstr "&Koodi genereerimise abimees..."
 
-#: uml.cpp:366
+#: uml.cpp:375
 #, kde-format
 msgid "&Generate All Code"
 msgstr "&Genereeri kogu kood"
 
-#: uml.cpp:411
+#: uml.cpp:420
 #, kde-format
 msgid "Creates a new document"
 msgstr "Loob uue dokumendi"
 
-#: uml.cpp:412
+#: uml.cpp:421
 #, kde-format
 msgid "Opens an existing document"
 msgstr "Avab olemasoleva dokumendi"
 
-#: uml.cpp:413
+#: uml.cpp:422
 #, kde-format
 msgid "Opens a recently used file"
 msgstr "Avab viimati kasutatud dokumendi"
 
-#: uml.cpp:414
+#: uml.cpp:423
 #, kde-format
 msgid "Saves the document"
 msgstr "Salvestab dokumendi"
 
-#: uml.cpp:415
+#: uml.cpp:424
 #, kde-format
 msgid "Saves the document as..."
 msgstr "Salvestab dokumendi kui..."
 
-#: uml.cpp:416
+#: uml.cpp:425
 #, kde-format
 msgid "Closes the document"
 msgstr "Sulgeb dokumendi"
 
-#: uml.cpp:417
+#: uml.cpp:426
 #, kde-format
 msgid "Prints out the document"
 msgstr "Trükib dokumendi"
 
-#: uml.cpp:418
+#: uml.cpp:427
 #, kde-format
 msgid "Print Preview of the document"
 msgstr "Trükitava dokumendi eelvaatlus"
 
-#: uml.cpp:419
+#: uml.cpp:428
 #, kde-format
 msgid "Quits the application"
 msgstr "Sulgeb rakenduse"
 
-#: uml.cpp:420
+#: uml.cpp:429
 #, kde-format
 msgid "Exports the model to the docbook format"
 msgstr "Ekspordib mudeli DocBook-vormingusse"
 
-#: uml.cpp:421
+#: uml.cpp:430
 #, kde-format
 msgid "Exports the model to the XHTML format"
 msgstr "Ekspordib mudeli XHTML-vormingusse"
 
-#: uml.cpp:422
+#: uml.cpp:431
 #, kde-format
 msgid "Cuts the selected section and puts it to the clipboard"
 msgstr "Lõikab valitud elemendid ja asetab need lõikepuhvrisse"
 
-#: uml.cpp:423
+#: uml.cpp:432
 #, kde-format
 msgid "Copies the selected section to the clipboard"
 msgstr "Kopeerib valitud elemendid lõikepuhvrisse"
 
-#: uml.cpp:424
+#: uml.cpp:433
 #, kde-format
 msgid "Pastes the contents of the clipboard"
 msgstr "Kopeerib valitud elemendid lõikepuhvrisse"
 
-#: uml.cpp:425
+#: uml.cpp:434
 #, kde-format
 msgid "Set the default program preferences"
 msgstr "Sätib rakenduse eelistusi"
 
-#: uml.cpp:429
+#: uml.cpp:438
 #, kde-format
 msgctxt "delete selected widget"
 msgid "Delete &Selected"
 msgstr "Kustuta &valitud"
 
-#: uml.cpp:440
+#: uml.cpp:449
 #, kde-format
 msgid "&Class Diagram..."
 msgstr "&Klassiskeem..."
 
-#: uml.cpp:447
+#: uml.cpp:456
 #, kde-format
 msgid "&Object Diagram..."
 msgstr "O&bjektiskeem..."
 
-#: uml.cpp:454
+#: uml.cpp:463
 #, kde-format
 msgid "&Sequence Diagram..."
 msgstr "&Järgnevusskeem..."
 
-#: uml.cpp:460
+#: uml.cpp:469
 #, kde-format
 msgid "C&ommunication Diagram..."
 msgstr "Su&htlusskeem..."
 
-#: uml.cpp:466
+#: uml.cpp:475
 #, kde-format
 msgid "&Use Case Diagram..."
 msgstr "&Kasutusklassiskeem..."
 
-#: uml.cpp:472
+#: uml.cpp:481
 #, kde-format
 msgid "S&tate Diagram..."
 msgstr "O&lekuskeem..."
 
-#: uml.cpp:478
+#: uml.cpp:487
 #, kde-format
 msgid "&Activity Diagram..."
 msgstr "&Tegevusskeem..."
 
-#: uml.cpp:484
+#: uml.cpp:493
 #, kde-format
 msgid "Co&mponent Diagram..."
 msgstr "Ko&mponentskeem..."
 
-#: uml.cpp:490
+#: uml.cpp:499
 #, kde-format
 msgid "&Deployment Diagram..."
 msgstr "&Evitusskeem..."
 
-#: uml.cpp:496
+#: uml.cpp:505
 #, kde-format
 msgid "&Entity Relationship Diagram..."
 msgstr "&Olem-seos skeem..."
 
-#: uml.cpp:501 uml.cpp:954
+#: uml.cpp:510 uml.cpp:963
 #, kde-format
 msgid "&Tree View"
 msgstr "&Puuvaade"
 
-#: uml.cpp:505
+#: uml.cpp:514
 #, kde-format
 msgid "&Debugging"
 msgstr "&Silumine"
 
-#: uml.cpp:513
+#: uml.cpp:522
 #, kde-format
 msgid "&Logging"
 msgstr "&Logimine"
 
-#: uml.cpp:517
+#: uml.cpp:526
 #, kde-format
 msgid "&Command history"
 msgstr "Käsk&ude ajalugu"
@@ -7360,135 +7360,135 @@ msgstr "Käsk&ude ajalugu"
 #. m_propertyDock->setObjectName(QLatin1String("PropertyDock"));
 #. addDockWidget(Qt::LeftDockWidgetArea, m_propertyDock);  //:TODO:
 #. create the bird's eye view
-#: uml.cpp:521 uml.cpp:1011
+#: uml.cpp:530 uml.cpp:1020
 #, kde-format
 msgid "&Bird's eye view"
 msgstr "Ülevaa&de"
 
-#: uml.cpp:526
+#: uml.cpp:535
 #, kde-format
 msgid "&Clear Diagram"
 msgstr "&Tühjenda skeem"
 
-#: uml.cpp:530
+#: uml.cpp:539
 #, kde-format
 msgid "&Snap to Grid"
 msgstr "&Tõmme koordinaatvõrgule"
 
-#: uml.cpp:534
+#: uml.cpp:543
 #, kde-format
 msgid "S&how Grid"
 msgstr "V&õrgu näitamine"
 
-#: uml.cpp:539
+#: uml.cpp:548
 #, kde-format
 msgid "&Delete Diagram"
 msgstr "&Kustuta skeem"
 
-#: uml.cpp:544
+#: uml.cpp:553
 #, kde-format
 msgid "&Export as Picture..."
 msgstr "&Ekspordi pildina..."
 
-#: uml.cpp:549
+#: uml.cpp:558
 #, kde-format
 msgid "Export &Diagrams as Pictures..."
 msgstr "E&kspordi skeemid piltidena..."
 
-#: uml.cpp:569
+#: uml.cpp:578
 #, kde-format
 msgid "Z&oom to 100%"
 msgstr "&Suurendus 100%"
 
-#: uml.cpp:612
+#: uml.cpp:621
 #, kde-format
 msgid "&Move Tab Left"
 msgstr "&Liiguta kaart vasakule"
 
-#: uml.cpp:613
+#: uml.cpp:622
 #, kde-format
 msgid "&Move Tab Right"
 msgstr "&Liiguta kaart paremale"
 
-#: uml.cpp:636
+#: uml.cpp:645
 #, kde-format
 msgid "Select Diagram on Left"
 msgstr "Vali skeem vasakul"
 
-#: uml.cpp:637
+#: uml.cpp:646
 #, kde-format
 msgid "Select Diagram on Right"
 msgstr "Vali skeem paremal"
 
-#: uml.cpp:776
+#: uml.cpp:785
 #, kde-format
 msgctxt "%1 percent value from 20 to 500"
 msgid " &%1%"
 msgstr " &%1%"
 
-#: uml.cpp:826
+#: uml.cpp:835
 #, kde-format
 msgctxt "init status bar"
 msgid "Ready"
 msgstr "Valmis"
 
-#: uml.cpp:835 uml.cpp:848
+#: uml.cpp:844 uml.cpp:857
 #, kde-format
 msgid "100%"
 msgstr "100%"
 
-#: uml.cpp:840
+#: uml.cpp:849
 #, kde-format
 msgid "Fit"
 msgstr "Mahutamine"
 
-#: uml.cpp:899
+#: uml.cpp:908
 #, kde-format
 msgid "Diagram Toolbar"
 msgstr "Skeemiriba"
 
-#: uml.cpp:965
+#: uml.cpp:974
 #, kde-format
 msgid "Doc&umentation"
 msgstr "Do&kumentatsioon"
 
-#: uml.cpp:976
+#: uml.cpp:985
 #, kde-format
 msgid "Co&mmand history"
 msgstr "Käsk&ude ajalugu"
 
-#: uml.cpp:992
+#: uml.cpp:1001
 #, kde-format
 msgid "&Debug"
 msgstr "Silu&mine"
 
-#: uml.cpp:999
+#: uml.cpp:1008
 #, kde-format
 msgid "&Log"
 msgstr "Lo&gimine"
 
-#: uml.cpp:1041 uml.cpp:1258 uml.cpp:1307
+#: uml.cpp:1050 uml.cpp:1267 uml.cpp:1316
 #, kde-format
 msgid "Opening file..."
 msgstr "Faili avamine..."
 
-#: uml.cpp:1092 uml.cpp:1157 uml.cpp:1342 umldoc.cpp:342 umldoc.cpp:344
-#: umldoc.cpp:368 umldoc.cpp:3396
+#: uml.cpp:1101 uml.cpp:1166 uml.cpp:1351 umldoc.cpp:343 umldoc.cpp:345
+#: umldoc.cpp:369 umldoc.cpp:3405
 #, kde-format
 msgid "Untitled"
 msgstr "Nimetu"
 
-#: uml.cpp:1240
+#: uml.cpp:1249
 #, kde-format
 msgid "Creating new document..."
 msgstr "Uue dokumendi loomine..."
 
-#: uml.cpp:1266 uml.cpp:1281
+#: uml.cpp:1275 uml.cpp:1290
 #, kde-format
 msgid "Open File"
 msgstr "Faili avamine"
 
-#: uml.cpp:1270
+#: uml.cpp:1279
 #, kde-format
 msgid ""
 "*.xmi *.xmi.tgz *.xmi.tar.bz2 *.mdl *.zargo|All Supported Files (*.xmi, *."
@@ -7507,22 +7507,22 @@ msgstr ""
 "*.mdl|Rose mudeli failid\n"
 "*.zargo|Tihendatud argo-failid (*.zargo)\n"
 
-#: uml.cpp:1341
+#: uml.cpp:1350
 #, kde-format
 msgid "Saving file..."
 msgstr "Faili salvestamine..."
 
-#: uml.cpp:1358
+#: uml.cpp:1367
 #, kde-format
 msgid "Saving file with a new filename..."
 msgstr "Faili salvestamine uue nimega..."
 
-#: uml.cpp:1368 uml.cpp:1374 umlviewimageexporter.cpp:199
+#: uml.cpp:1377 uml.cpp:1383 umlviewimageexporter.cpp:199
 #, kde-format
 msgid "Save As"
 msgstr "Salvestamine"
 
-#: uml.cpp:1369
+#: uml.cpp:1378
 #, kde-format
 msgid ""
 "*.xmi | XMI File (*.xmi);;*.xmi.tgz | Gzip Compressed XMI File (*.xmi.tgz);;"
@@ -7532,7 +7532,7 @@ msgstr ""
 "*.xmi.tar.bz2 | Bzip2-tihendusega XMI-fail (*.xmi.tar.bz2);;* | Kõik failid "
 "(*)"
 
-#: uml.cpp:1374
+#: uml.cpp:1383
 #, kde-format
 msgid ""
 "*.xmi|XMI File\n"
@@ -7545,7 +7545,7 @@ msgstr ""
 "*.xmi.tar.bz2|Bzip2-tihendusega XMI-fail\n"
 "*|Kõik failid"
 
-#: uml.cpp:1387
+#: uml.cpp:1396
 #, kde-format
 msgid ""
 "The file %1 exists.\n"
@@ -7554,67 +7554,67 @@ msgstr ""
 "Fail %1 on juba olemas.\n"
 "Kas sa soovid seda üle kirjutada?"
 
-#: uml.cpp:1388
+#: uml.cpp:1397
 #, kde-format
 msgid "Warning"
 msgstr "Hoiatus"
 
-#: uml.cpp:1388
+#: uml.cpp:1397
 #, kde-format
 msgid "Overwrite"
 msgstr "Kirjuta üle"
 
-#: uml.cpp:1422
+#: uml.cpp:1431
 #, kde-format
 msgid "Closing file..."
 msgstr "Faili sulgemine..."
 
-#: uml.cpp:1432
+#: uml.cpp:1441
 #, kde-format
 msgid "No search term entered"
 msgstr "Otsingumõistet pole antud"
 
-#: uml.cpp:1438
+#: uml.cpp:1447
 #, kde-format
 msgid "'%1': %2 found"
 msgstr "'%1': %2 leitud"
 
-#: uml.cpp:1502
+#: uml.cpp:1511
 #, kde-format
 msgid "Print Preview..."
 msgstr "Trükkimise eelvaatlus..."
 
-#: uml.cpp:1529
+#: uml.cpp:1538
 #, kde-format
 msgid "Printing..."
 msgstr "Trükkimine..."
 
-#: uml.cpp:1536 uml.cpp:1540
+#: uml.cpp:1545 uml.cpp:1549
 #, kde-format
 msgid "Print %1"
 msgstr "Trüki %1"
 
-#: uml.cpp:1560
+#: uml.cpp:1569
 #, kde-format
 msgid "Exiting..."
 msgstr "Väljumine..."
 
-#: uml.cpp:1647
+#: uml.cpp:1656
 #, kde-format
 msgid "Cutting selection..."
 msgstr "Valiku lõikamine..."
 
-#: uml.cpp:1670
+#: uml.cpp:1679
 #, kde-format
 msgid "Copying selection to clipboard..."
 msgstr "Valiku kopeerimine lõikepuhvrisse..."
 
-#: uml.cpp:1682
+#: uml.cpp:1691
 #, kde-format
 msgid "Inserting clipboard contents..."
 msgstr "Lõikepuhvri sisu asetamine..."
 
-#: uml.cpp:1687
+#: uml.cpp:1696
 #, kde-format
 msgid ""
 "Umbrello could not paste the clipboard contents.  The objects in the "
@@ -7623,38 +7623,38 @@ msgstr ""
 "Lõikepuhvri sisu asetamine nurjus. Võib-olla on lõikepuhvris olevad objektid "
 "sobimatut tüüpi."
 
-#: uml.cpp:1713 umlviewimageexporter.cpp:92 umlviewimageexporterall.cpp:123
+#: uml.cpp:1722 umlviewimageexporter.cpp:92 umlviewimageexporterall.cpp:123
 #, kde-format
 msgctxt "reset status bar"
 msgid "Ready."
 msgstr "Valmis."
 
-#: uml.cpp:2246
+#: uml.cpp:2255
 #, kde-format
 msgid "Cannot view code until you generate some first."
 msgstr "Koodi pole võimalik näidata enne selle genereerimist."
 
-#: uml.cpp:2246 uml.cpp:2249
+#: uml.cpp:2255 uml.cpp:2258
 #, kde-format
 msgid "Cannot View Code"
 msgstr "Koodi näitamine nurjus"
 
-#: uml.cpp:2249
+#: uml.cpp:2258
 #, kde-format
 msgid "Cannot view code from simple code writer."
 msgstr "Lihtsa koodikirjutaja koodi pole võimalik näidata."
 
-#: uml.cpp:2714 uml.cpp:2716
+#: uml.cpp:2728 uml.cpp:2730
 #, kde-format
 msgid "Select file(s) to import:"
 msgstr "Imporditavad failid:"
 
-#: uml.cpp:2747 uml.cpp:2749
+#: uml.cpp:2761 uml.cpp:2763
 #, kde-format
 msgid "Select directory to import:"
 msgstr "Imporditav kataloog:"
 
-#: uml.cpp:3313
+#: uml.cpp:3335
 #, kde-format
 msgid "XHTML Generation failed ."
 msgstr "XHTML-i genereerimine nurjus."
@@ -7668,20 +7668,20 @@ msgstr ""
 "Sellise nime ja signatuuriga operatsioon on juba olemas. Seda ei saa uuesti "
 "lisada."
 
-#: uml1model/folder.cpp:435
+#: uml1model/folder.cpp:436
 #, kde-format
 msgid "The folderfile %1 does not exist."
 msgstr "Faili %1 pole olemas."
 
-#: uml1model/folder.cpp:435 uml1model/folder.cpp:439 umldoc.cpp:529
-#: umldoc.cpp:541 umldoc.cpp:568 umldoc.cpp:570 umldoc.cpp:620 umldoc.cpp:623
-#: umldoc.cpp:638 umldoc.cpp:641 umldoc.cpp:665 umldoc.cpp:668 umldoc.cpp:684
-#: umldoc.cpp:687 umldoc.cpp:702 umldoc.cpp:705 umldoc.cpp:750
+#: uml1model/folder.cpp:436 uml1model/folder.cpp:440 umldoc.cpp:530
+#: umldoc.cpp:542 umldoc.cpp:569 umldoc.cpp:571 umldoc.cpp:621 umldoc.cpp:624
+#: umldoc.cpp:639 umldoc.cpp:642 umldoc.cpp:666 umldoc.cpp:669 umldoc.cpp:685
+#: umldoc.cpp:688 umldoc.cpp:703 umldoc.cpp:706 umldoc.cpp:751
 #, kde-format
 msgid "Load Error"
 msgstr "Tõrge laadimisel"
 
-#: uml1model/folder.cpp:439
+#: uml1model/folder.cpp:440
 #, kde-format
 msgid "The folderfile %1 cannot be opened."
 msgstr "Faili %1 avamine nurjus."
@@ -7691,13 +7691,13 @@ msgstr "Faili %1 avamine nurjus."
 msgid "new_parameter"
 msgstr "uus_parameeter"
 
-#: uml1model/package.cpp:163
+#: uml1model/package.cpp:169
 #, kde-format
 msgctxt "object name"
 msgid "Name"
 msgstr "Nimi"
 
-#: uml1model/package.cpp:164
+#: uml1model/package.cpp:170
 #, kde-format
 msgid ""
 "An object with the name %1\n"
@@ -7723,77 +7723,77 @@ msgstr "uus_väli"
 msgid "new_fkey_constraint"
 msgstr "uus_võõrvõtme_kitsendus"
 
-#: uml1model/umlobject.cpp:1140
+#: uml1model/umlobject.cpp:1141
 #, kde-format
 msgid "Actor &name:"
 msgstr "Tegija &nimi:"
 
-#: uml1model/umlobject.cpp:1143
+#: uml1model/umlobject.cpp:1144
 #, kde-format
 msgid "Artifact &name:"
 msgstr "Tehise &nimi:"
 
-#: uml1model/umlobject.cpp:1146
+#: uml1model/umlobject.cpp:1147
 #, kde-format
 msgid "Association &name:"
 msgstr "Sideme &nimi:"
 
-#: uml1model/umlobject.cpp:1149
+#: uml1model/umlobject.cpp:1150
 #, kde-format
 msgid "Class &name:"
 msgstr "Klassi &nimi:"
 
-#: uml1model/umlobject.cpp:1152
+#: uml1model/umlobject.cpp:1153
 #, kde-format
 msgid "Component &name:"
 msgstr "Komponendi &nimi:"
 
-#: uml1model/umlobject.cpp:1155
+#: uml1model/umlobject.cpp:1156
 #, kde-format
 msgid "Datatype &name:"
 msgstr "Andmetüübi &nimi:"
 
-#: uml1model/umlobject.cpp:1158
+#: uml1model/umlobject.cpp:1159
 #, kde-format
 msgid "Entity &name:"
 msgstr "Olemi &nimi:"
 
-#: uml1model/umlobject.cpp:1161
+#: uml1model/umlobject.cpp:1162
 #, kde-format
 msgid "Enum &name:"
 msgstr "Väärtustiku &nimi:"
 
-#: uml1model/umlobject.cpp:1164
+#: uml1model/umlobject.cpp:1165
 #, kde-format
 msgid "Folder &name:"
 msgstr "Sõlme &nimi:"
 
-#: uml1model/umlobject.cpp:1167
+#: uml1model/umlobject.cpp:1168
 #, kde-format
 msgid "Interface &name:"
 msgstr "Liidese &nimi:"
 
-#: uml1model/umlobject.cpp:1170
+#: uml1model/umlobject.cpp:1171
 #, kde-format
 msgid "Node &name:"
 msgstr "Sõlme &nimi:"
 
-#: uml1model/umlobject.cpp:1173
+#: uml1model/umlobject.cpp:1174
 #, kde-format
 msgid "Package &name:"
 msgstr "Paketi &nimi:"
 
-#: uml1model/umlobject.cpp:1176
+#: uml1model/umlobject.cpp:1177
 #, kde-format
 msgid "Port &name:"
 msgstr "Pordi &nimi:"
 
-#: uml1model/umlobject.cpp:1182
+#: uml1model/umlobject.cpp:1183
 #, kde-format
 msgid "Use case &name:"
 msgstr "Kasutusklassi &nimi:"
 
-#: uml1model/umlobject.cpp:1185
+#: uml1model/umlobject.cpp:1186
 #, kde-format
 msgid "Instance name:"
 msgstr "Eksemplari nimi:"
@@ -7813,42 +7813,42 @@ msgstr "&Stereotüübid"
 msgid "Welcome"
 msgstr "Tere tulemast"
 
-#: umldoc.cpp:112 umldoc.cpp:2400 umldoc.cpp:2428
+#: umldoc.cpp:113 umldoc.cpp:2405 umldoc.cpp:2433
 #, kde-format
 msgid "UML Model"
 msgstr "UML mudel"
 
-#: umldoc.cpp:154
+#: umldoc.cpp:155
 #, kde-format
 msgid "Logical View"
 msgstr "Loogiline vaade"
 
-#: umldoc.cpp:155
+#: umldoc.cpp:156
 #, kde-format
 msgid "Use Case View"
 msgstr "Kasutusklassivaade"
 
-#: umldoc.cpp:156
+#: umldoc.cpp:157
 #, kde-format
 msgid "Component View"
 msgstr "Komponentvaade"
 
-#: umldoc.cpp:157
+#: umldoc.cpp:158
 #, kde-format
 msgid "Deployment View"
 msgstr "Evitusvaade"
 
-#: umldoc.cpp:158
+#: umldoc.cpp:159
 #, kde-format
 msgid "Entity Relationship Model"
 msgstr "Olem-seos mudel"
 
-#: umldoc.cpp:184
+#: umldoc.cpp:185
 #, kde-format
 msgid "Datatypes"
 msgstr "Andmetüübid"
 
-#: umldoc.cpp:363
+#: umldoc.cpp:364
 #, kde-format
 msgid ""
 "The current file has been modified.\n"
@@ -7857,166 +7857,166 @@ msgstr ""
 "Dokumenti on muudetud.\n"
 "Kas sa soovid seda salvestada?"
 
-#: umldoc.cpp:364
+#: umldoc.cpp:365
 #, kde-format
 msgctxt "warning message"
 msgid "Warning"
 msgstr "Hoiatus"
 
-#: umldoc.cpp:529
+#: umldoc.cpp:530
 #, kde-format
 msgid "The file <%1> does not exist."
 msgstr "Faili <%1> pole olemas."
 
-#: umldoc.cpp:541
+#: umldoc.cpp:542
 #, kde-format
 msgid "The file %1 does not exist."
 msgstr "Faili %1 pole olemas."
 
-#: umldoc.cpp:568 umldoc.cpp:570
+#: umldoc.cpp:569 umldoc.cpp:571
 #, kde-format
 msgid "The file %1 seems to be corrupted."
 msgstr "Faili %1 paistab olevat vigane."
 
-#: umldoc.cpp:619 umldoc.cpp:622 umldoc.cpp:637 umldoc.cpp:640 umldoc.cpp:683
-#: umldoc.cpp:686
+#: umldoc.cpp:620 umldoc.cpp:623 umldoc.cpp:638 umldoc.cpp:641 umldoc.cpp:684
+#: umldoc.cpp:687
 #, kde-format
 msgid "There was no XMI file found in the compressed file %1."
 msgstr "Tihendatud failis %1 ei leitud XMI-faili."
 
-#: umldoc.cpp:664 umldoc.cpp:667
+#: umldoc.cpp:665 umldoc.cpp:668
 #, kde-format
 msgid "There was a problem loading the extracted file: %1"
 msgstr "Lahtipakitud faili laadimisel tekkis tõrge: %1"
 
-#: umldoc.cpp:701 umldoc.cpp:704 umldoc.cpp:744 umldoc.cpp:746
+#: umldoc.cpp:702 umldoc.cpp:705 umldoc.cpp:745 umldoc.cpp:747
 #, kde-format
 msgid "There was a problem loading file: %1"
 msgstr "Faili laadimisel tekkis tõrge: %1"
 
-#: umldoc.cpp:749
+#: umldoc.cpp:750
 #, kde-format
 msgid "Reason: %1"
 msgstr "Põhjus: %1"
 
-#: umldoc.cpp:832 umldoc.cpp:834 umldoc.cpp:851 umldoc.cpp:853 umldoc.cpp:873
-#: umldoc.cpp:875 umldoc.cpp:924 umldoc.cpp:926 umldoc.cpp:966 umldoc.cpp:969
-#: umldoc.cpp:978 umldoc.cpp:980 umllistview.cpp:593
+#: umldoc.cpp:833 umldoc.cpp:835 umldoc.cpp:852 umldoc.cpp:854 umldoc.cpp:874
+#: umldoc.cpp:876 umldoc.cpp:925 umldoc.cpp:927 umldoc.cpp:968 umldoc.cpp:971
+#: umldoc.cpp:980 umldoc.cpp:982 umllistview.cpp:594
 #, kde-format
 msgid "Save Error"
 msgstr "Tõrge salvestamisel"
 
-#: umldoc.cpp:832 umldoc.cpp:851 umldoc.cpp:873 umldoc.cpp:924 umldoc.cpp:966
+#: umldoc.cpp:833 umldoc.cpp:852 umldoc.cpp:874 umldoc.cpp:925 umldoc.cpp:968
 #, kde-format
 msgid "There was a problem saving: %1"
 msgstr "Salvestamisel tekkis tõrge: %1"
 
-#: umldoc.cpp:834 umldoc.cpp:853 umldoc.cpp:875 umldoc.cpp:926 umldoc.cpp:969
-#: umllistview.cpp:592 umlviewimageexportermodel.cpp:303
+#: umldoc.cpp:835 umldoc.cpp:854 umldoc.cpp:876 umldoc.cpp:927 umldoc.cpp:971
+#: umllistview.cpp:593 umlviewimageexportermodel.cpp:303
 #, kde-format
 msgid "There was a problem saving file: %1"
 msgstr "Faili salvestamisel tekkis tõrge: %1"
 
-#: umldoc.cpp:978
+#: umldoc.cpp:980
 #, kde-format
 msgid "There was a problem uploading: %1"
 msgstr "Üleslaadimisel tekkis tõrge: %1"
 
-#: umldoc.cpp:980
+#: umldoc.cpp:982
 #, kde-format
 msgid "There was a problem uploading file: %1"
 msgstr "Faili üleslaadimisel tekkis tõrge: %1"
 
-#: umldoc.cpp:1526
+#: umldoc.cpp:1528
 #, kde-format
 msgid "use case diagram"
 msgstr "kasutusklassiskeem"
 
-#: umldoc.cpp:1529
+#: umldoc.cpp:1531
 #, kde-format
 msgid "class diagram"
 msgstr "klassiskeem"
 
-#: umldoc.cpp:1532
+#: umldoc.cpp:1534
 #, kde-format
 msgid "sequence diagram"
 msgstr "järgnevusskeem"
 
-#: umldoc.cpp:1535
+#: umldoc.cpp:1537
 #, kde-format
 msgid "communication diagram"
 msgstr "suhtlusskeem"
 
-#: umldoc.cpp:1538
+#: umldoc.cpp:1540
 #, kde-format
 msgid "object diagram"
 msgstr "objektiskeem"
 
-#: umldoc.cpp:1541
+#: umldoc.cpp:1543
 #, kde-format
 msgid "state diagram"
 msgstr "olekuskeem"
 
-#: umldoc.cpp:1544
+#: umldoc.cpp:1546
 #, kde-format
 msgid "activity diagram"
 msgstr "tegevusskeem"
 
-#: umldoc.cpp:1547
+#: umldoc.cpp:1549
 #, kde-format
 msgid "component diagram"
 msgstr "komponentskeem"
 
-#: umldoc.cpp:1550
+#: umldoc.cpp:1552
 #, kde-format
 msgid "deployment diagram"
 msgstr "evitusskeem"
 
-#: umldoc.cpp:1553
+#: umldoc.cpp:1555
 #, kde-format
 msgid "entity relationship diagram"
 msgstr "olem-seos skeem"
 
-#: umldoc.cpp:1623
+#: umldoc.cpp:1625
 #, kde-format
 msgctxt "diagram name"
 msgid "Name"
 msgstr "Nimi"
 
-#: umldoc.cpp:1623 umldoc.cpp:1686 umldoc.cpp:1715 umldoc.cpp:1749
+#: umldoc.cpp:1625 umldoc.cpp:1688 umldoc.cpp:1717 umldoc.cpp:1751
 #, kde-format
 msgid "Enter name:"
 msgstr "Sisesta nimi:"
 
-#: umldoc.cpp:1627 umldoc.cpp:1692
+#: umldoc.cpp:1629 umldoc.cpp:1694
 #, kde-format
 msgid "That is an invalid name for a diagram."
 msgstr "See pole sobiv skeemi nimi."
 
-#: umldoc.cpp:1629 umldoc.cpp:1699
+#: umldoc.cpp:1631 umldoc.cpp:1701
 #, kde-format
 msgid "A diagram is already using that name."
 msgstr "See nimi on juba kasutusel."
 
-#: umldoc.cpp:1685
+#: umldoc.cpp:1687
 #, kde-format
 msgctxt "renaming diagram"
 msgid "Name"
 msgstr "Nimi"
 
-#: umldoc.cpp:1714
+#: umldoc.cpp:1716
 #, kde-format
 msgctxt "renaming uml object"
 msgid "Name"
 msgstr "Nimi"
 
-#: umldoc.cpp:1748
+#: umldoc.cpp:1750
 #, kde-format
 msgctxt "renaming child uml object"
 msgid "Name"
 msgstr "Nimi"
 
-#: umldoc.cpp:1758
+#: umldoc.cpp:1760
 #, kde-format
 msgid ""
 "The name you entered was not unique.\n"
@@ -8025,62 +8025,62 @@ msgstr ""
 "Sisestatud nimi pole unikaalne.\n"
 "Kas sa tõesti seda soovidki?"
 
-#: umldoc.cpp:1759
+#: umldoc.cpp:1761
 #, kde-format
 msgid "Use Name"
 msgstr "Kasuta nime"
 
-#: umldoc.cpp:1759
+#: umldoc.cpp:1761
 #, kde-format
 msgid "Enter New Name"
 msgstr "Sisesta uus nimi"
 
-#: umldoc.cpp:2361
+#: umldoc.cpp:2366
 #, kde-format
 msgid "Unsupported xmi file version: %1"
 msgstr "Toetamata XMI-faili versioon: %1"
 
-#: umldoc.cpp:2511
+#: umldoc.cpp:2516
 #, kde-format
 msgid "Setting up the document..."
 msgstr "Dokumendi seadistamine..."
 
-#: umldoc.cpp:2540
+#: umldoc.cpp:2545
 #, kde-format
 msgid "Resolving object references..."
 msgstr "Objektide viidete lahendamine..."
 
-#: umldoc.cpp:2648
+#: umldoc.cpp:2653
 #, kde-format
 msgid "Loading UML elements..."
 msgstr "UML-i elementide laadimine..."
 
-#: umldoc.cpp:2892
+#: umldoc.cpp:2899
 #, kde-format
 msgid "Loading diagrams..."
 msgstr "Skeemide laadimine..."
 
-#: umldoc.cpp:3400
+#: umldoc.cpp:3409
 #, kde-format
 msgid "/autosave%1"
 msgstr "/autosave%1"
 
-#: umllistview.cpp:536 umllistview.cpp:540
+#: umllistview.cpp:537 umllistview.cpp:541
 #, kde-format
 msgid "Externalize Folder"
 msgstr "Eksternaliseeri kataloog"
 
-#: umllistview.cpp:574
+#: umllistview.cpp:575
 #, kde-format
 msgid "Folder %1 must be relative to the main model directory, %2."
 msgstr "Kataloog %1 peab olema suhteline mudeli peakataloogi %2 suhtes."
 
-#: umllistview.cpp:575
+#: umllistview.cpp:576
 #, kde-format
 msgid "Path Error"
 msgstr "Asukoha tõrge"
 
-#: umllistview.cpp:583
+#: umllistview.cpp:584
 #, kde-format
 msgid ""
 "File %1 already exists!\n"
@@ -8089,62 +8089,62 @@ msgstr ""
 "Fail %1 on juba olemas!\n"
 "Olemasolev fail kirjutatakse üle."
 
-#: umllistview.cpp:584
+#: umllistview.cpp:585
 #, kde-format
 msgid "File Exist"
 msgstr "Fail on olemas"
 
-#: umllistview.cpp:624
+#: umllistview.cpp:625
 #, kde-format
 msgid "Enter Model Name"
 msgstr "Sisesta mudeli nimi"
 
-#: umllistview.cpp:625
+#: umllistview.cpp:626
 #, kde-format
 msgid "Enter the new name of the model:"
 msgstr "Sisesta uue mudeli nimi:"
 
-#: umllistview.cpp:1422
+#: umllistview.cpp:1430
 #, kde-format
 msgid "Views"
 msgstr "Vaated"
 
-#: umllistview.cpp:1441
+#: umllistview.cpp:1449
 #, kde-format
 msgid "Settings"
 msgstr "Seadistused"
 
-#: umllistview.cpp:2413
+#: umllistview.cpp:2421
 #, kde-format
 msgid "Loading listview..."
 msgstr "Loendivaate laadimine..."
 
-#: umllistview.cpp:2764
+#: umllistview.cpp:2772
 #, kde-format
 msgid "The class must be emptied before it can be deleted."
 msgstr "Klass on vaja enne kustutamist tühjendada."
 
-#: umllistview.cpp:2765
+#: umllistview.cpp:2773
 #, kde-format
 msgid "Class Not Empty"
 msgstr "Klass pole tühi"
 
-#: umllistview.cpp:2769
+#: umllistview.cpp:2777
 #, kde-format
 msgid "The package must be emptied before it can be deleted."
 msgstr "Pakett on vaja enne kustutamist tühjendada."
 
-#: umllistview.cpp:2770
+#: umllistview.cpp:2778
 #, kde-format
 msgid "Package Not Empty"
 msgstr "Pakett pole tühi"
 
-#: umllistview.cpp:2774
+#: umllistview.cpp:2782
 #, kde-format
 msgid "The folder must be emptied before it can be deleted."
 msgstr "Kaust on vaja enne kustutamist tühjendada."
 
-#: umllistview.cpp:2775
+#: umllistview.cpp:2783
 #, kde-format
 msgid "Folder Not Empty"
 msgstr "Kaust pole tühi"
diff -pruN 4:20.08.3-1/po/eu/umbrello.po 4:20.12.0-0ubuntu1/po/eu/umbrello.po
--- 4:20.08.3-1/po/eu/umbrello.po	2020-11-03 00:42:15.000000000 +0000
+++ 4:20.12.0-0ubuntu1/po/eu/umbrello.po	2020-12-04 00:21:29.000000000 +0000
@@ -14,7 +14,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: umbrello\n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
-"POT-Creation-Date: 2020-08-14 08:09+0200\n"
+"POT-Creation-Date: 2020-11-06 02:36+0100\n"
 "PO-Revision-Date: 2020-08-17 20:55+0200\n"
 "Last-Translator: Iñigo Salvador Azurmendi <xalba@ni.eus>\n"
 "Language-Team: Basque <kde-i18n-eu@kde.org>\n"
@@ -215,7 +215,7 @@ msgstr ""
 "Gutxienez arbeleko elementu bat ezin izan da itsatsi izen bereko elementu "
 "bat existitzen delako. Beste elementu guztiak ongi itsatsi dira."
 
-#: clipboard/umlclipboard.cpp:753 uml.cpp:1689
+#: clipboard/umlclipboard.cpp:753 uml.cpp:1698
 #, kde-format
 msgid "Paste Error"
 msgstr "Errorea itsastean"
@@ -441,7 +441,7 @@ msgstr "<p align=\"center\">C++ kode sor
 #. i18n: ectx: attribute (title), widget (QWidget, ui_tabGeneral)
 #: codegenerators/cpp/cppcodegenerationformbase.ui:51
 #: codegenwizard/codegenoptionspage.ui:39 dialogs/objectnodedialog.cpp:135
-#: umllistview.cpp:1451
+#: umllistview.cpp:1459
 #, kde-format
 msgid "General"
 msgstr "Orokorra"
@@ -1322,7 +1322,7 @@ msgstr "Egoera"
 #. i18n: ectx: property (text), widget (QRadioButton, ui_categoryClass)
 #. i18n: ectx: property (text), widget (QTableWidget, ui_tableWidgetStatus)
 #: codegenwizard/codegenstatuspage.ui:40 codeimpwizard/codeimpstatuspage.ui:54
-#: dialogs/finddialog.ui:89 umllistview.cpp:1446 umlwidgets/widgetbase.cpp:1255
+#: dialogs/finddialog.ui:89 umllistview.cpp:1454 umlwidgets/widgetbase.cpp:1255
 #, kde-format
 msgid "Class"
 msgstr "Klasea"
@@ -1976,17 +1976,17 @@ msgstr "Gaitu «ezabatu asoziazioa»reki
 msgid "Enable 'delete diagram' related messages"
 msgstr "Gaitu «ezabatu diagrama»rekin lotutako mezuak"
 
-#: dialogs/dialog_utils.cpp:117
+#: dialogs/dialog_utils.cpp:118
 #, kde-format
 msgid "You are about to delete an association. Do you really want to continue?"
 msgstr "Asoziazio bat ezabatzera zoaz. Benetan jarraitu nahi duzu?"
 
-#: dialogs/dialog_utils.cpp:118
+#: dialogs/dialog_utils.cpp:119
 #, kde-format
 msgid "Delete Association"
 msgstr "Ezabatu asoziazioa"
 
-#: dialogs/dialog_utils.cpp:132
+#: dialogs/dialog_utils.cpp:133
 #, kde-format
 msgid ""
 "You are about to delete the entire diagram.\n"
@@ -1995,17 +1995,17 @@ msgstr ""
 "Diagrama osoa ezabatzeko zorian zaude.\n"
 "Ziur al zaude?"
 
-#: dialogs/dialog_utils.cpp:133
+#: dialogs/dialog_utils.cpp:134
 #, kde-format
 msgid "Are you sure you want to delete diagram %1?"
 msgstr "Ziur zaude %1 diagrama ezabatu nahi duzula?"
 
-#: dialogs/dialog_utils.cpp:138
+#: dialogs/dialog_utils.cpp:139
 #, kde-format
 msgid "Delete Diagram?"
 msgstr "Diagrama ezabatu?"
 
-#: dialogs/dialog_utils.cpp:139 dialogs/pages/classifierlistpage.cpp:215
+#: dialogs/dialog_utils.cpp:140 dialogs/pages/classifierlistpage.cpp:215
 #: dialogs/pages/classifierlistpage.cpp:223
 #: dialogs/umlforeignkeyconstraintdialog.cpp:325
 #: dialogs/umlforeignkeyconstraintdialog.cpp:331
@@ -2169,7 +2169,7 @@ msgstr "Orokorra"
 #. i18n: ectx: label, entry (uiFont), group (UI Options)
 #. i18n: ectx: label, entry (codeViewerFont), group (Code Viewer Options)
 #: dialogs/multipagedialogbase.cpp:405 umbrello.kcfg:177 umbrello.kcfg:292
-#: umllistview.cpp:1450
+#: umllistview.cpp:1458
 #, kde-format
 msgid "Font"
 msgstr "Letra-tipoa"
@@ -2592,7 +2592,7 @@ msgstr "Instantziaren atributu b&erria..
 
 #: dialogs/pages/classifierlistpage.cpp:217
 #: dialogs/pages/classifierlistpage.cpp:225 dialogs/umloperationdialog.cpp:167
-#: dialogs/umloperationdialog.cpp:175 uml.cpp:554
+#: dialogs/umloperationdialog.cpp:175 uml.cpp:563
 #, kde-format
 msgid "&Properties"
 msgstr "&Propietateak"
@@ -2610,7 +2610,7 @@ msgid "Source Code"
 msgstr "Sorburu kodea"
 
 #: dialogs/pages/classoptionspage.cpp:157
-#: dialogs/pages/classoptionspage.cpp:251 uml.cpp:509
+#: dialogs/pages/classoptionspage.cpp:251 uml.cpp:518
 #, kde-format
 msgid "&Documentation"
 msgstr "&Dokumentazioa"
@@ -2798,8 +2798,8 @@ msgstr "Sartu duzun izena ez da baliozko
 #: uml1model/classifier.cpp:410 uml1model/classifier.cpp:781
 #: uml1model/entity.cpp:125 uml1model/entity.cpp:178 uml1model/entity.cpp:228
 #: uml1model/entity.cpp:277 uml1model/enum.cpp:107 uml1model/instance.cpp:124
-#: uml1model/package.cpp:172 umldoc.cpp:1627 umldoc.cpp:1692 umldoc.cpp:1721
-#: umldoc.cpp:1755
+#: uml1model/package.cpp:178 umldoc.cpp:1629 umldoc.cpp:1694 umldoc.cpp:1723
+#: umldoc.cpp:1757
 #, kde-format
 msgid "Invalid Name"
 msgstr "Izen baliogabea"
@@ -2809,7 +2809,7 @@ msgstr "Izen baliogabea"
 msgid "The name you have entered is not unique."
 msgstr "Sartu duzun izena ez da bakarra."
 
-#: dialogs/pages/diagrampropertiespage.cpp:86 umldoc.cpp:1759
+#: dialogs/pages/diagrampropertiespage.cpp:86 umldoc.cpp:1761
 #, kde-format
 msgid "Name Not Unique"
 msgstr "Izena ez da bakarra"
@@ -3287,7 +3287,7 @@ msgstr "Diagrama"
 msgid "Umbrello Setup"
 msgstr "Umbrelo-ren konfigurazioa"
 
-#: dialogs/settingsdialog.cpp:114 umllistview.cpp:1452
+#: dialogs/settingsdialog.cpp:114 umllistview.cpp:1460
 #, kde-format
 msgid "User Interface"
 msgstr "Erabiltzailaren interfazea"
@@ -3314,7 +3314,7 @@ msgstr "Klasea"
 msgid "Class Settings"
 msgstr "Klaseen ezarpenak"
 
-#: dialogs/settingsdialog.cpp:137 umllistview.cpp:1447
+#: dialogs/settingsdialog.cpp:137 umllistview.cpp:1455
 #, kde-format
 msgid "Code Importer"
 msgstr "Kodea inportatzailea"
@@ -3324,7 +3324,7 @@ msgstr "Kodea inportatzailea"
 msgid "Code Import Settings"
 msgstr "Kodea inportatzeko ezarpenak"
 
-#: dialogs/settingsdialog.cpp:146 umllistview.cpp:1448
+#: dialogs/settingsdialog.cpp:146 umllistview.cpp:1456
 #, kde-format
 msgid "Code Generation"
 msgstr "Kode sorrera"
@@ -3334,7 +3334,7 @@ msgstr "Kode sorrera"
 msgid "Code Generation Settings"
 msgstr "Kode sorreraren ezarpenak"
 
-#: dialogs/settingsdialog.cpp:154 umllistview.cpp:1449
+#: dialogs/settingsdialog.cpp:154 umllistview.cpp:1457
 #, kde-format
 msgid "Code Viewer"
 msgstr "Kode ikustailea"
@@ -3344,7 +3344,7 @@ msgstr "Kode ikustailea"
 msgid "Code Viewer Settings"
 msgstr "Kode ikustailearen ezarpenak"
 
-#: dialogs/settingsdialog.cpp:161 umllistview.cpp:1445
+#: dialogs/settingsdialog.cpp:161 umllistview.cpp:1453
 #, kde-format
 msgid "Auto Layout"
 msgstr "Antolamendu automatikoa"
@@ -3977,7 +3977,7 @@ msgstr "&Mota:"
 msgid "Package path:"
 msgstr "Paketearen bide-izena:"
 
-#: dialogs/widgets/umlstereotypewidget.cpp:29 uml1model/umlobject.cpp:1179
+#: dialogs/widgets/umlstereotypewidget.cpp:29 uml1model/umlobject.cpp:1180
 #, kde-format
 msgid "Stereotype &name:"
 msgstr "Estereotipoaren ize&na:"
@@ -4123,7 +4123,7 @@ msgstr ""
 msgid "Gael de Chalendar (aka Kleag)"
 msgstr "Gael de Chalendar (Kleag bezala ezaguna)"
 
-#: docgenerators/main.cpp:56 main.cpp:131
+#: docgenerators/main.cpp:56 main.cpp:133
 #, kde-format
 msgid "Umbrello UML Modeller Authors"
 msgstr "Umbrello UML modelatzailearen egileak"
@@ -4185,12 +4185,12 @@ msgstr "Aktibatu dokumentazioa editatzea
 msgid "Apply layout"
 msgstr "Ezarri antolamendua"
 
-#: main.cpp:121
+#: main.cpp:123
 #, kde-format
 msgid "Umbrello UML Modeller"
 msgstr "Umbrello UML modelatzailea"
 
-#: main.cpp:123
+#: main.cpp:125
 #, kde-format
 msgid ""
 "Umbrello – Visual development environment for software, based on the "
@@ -4198,7 +4198,7 @@ msgid ""
 "\"http://www.omg.org/spec/\">http://www.omg.org/spec/</a>."
 msgstr ""
 
-#: main.cpp:127
+#: main.cpp:129
 #, kde-format
 msgid ""
 "Copyright © 2001 Paul Hensgen,\n"
@@ -4207,98 +4207,98 @@ msgstr ""
 "Copyright © 2001 Paul Hensgen,\n"
 "Copyright © 2002-2020 Umbrello UML modelatzailearen egileak"
 
-#: main.cpp:130
+#: main.cpp:132
 #, kde-format
 msgid "Paul Hensgen"
 msgstr "Paul Hensgen"
 
-#: main.cpp:130
+#: main.cpp:132
 #, kde-format
 msgid "Author of initial version."
 msgstr "Hasierako bertsioaren egilea."
 
-#: main.cpp:134
+#: main.cpp:136
 #, kde-format
 msgid "Oliver Kellogg"
 msgstr "Oliver Kellogg"
 
-#: main.cpp:135 main.cpp:138
+#: main.cpp:137 main.cpp:140
 #, kde-format
 msgid "Bug fixing, porting work, code cleanup, new features."
 msgstr ""
 "Akatsak zuzentzea, eratortzeko lana, kodea garbitzea, ezaugarri berriak."
 
-#: main.cpp:137
+#: main.cpp:139
 #, kde-format
 msgid "Ralf Habacker"
 msgstr "Ralf Habacker"
 
-#: main.cpp:140
+#: main.cpp:142
 #, kde-format
 msgid "Andi Fischer"
 msgstr "Andi Fischer"
 
-#: main.cpp:141
+#: main.cpp:143
 #, kde-format
 msgid "Porting work, code cleanup, new features."
 msgstr "Eratortzeko lana, kodea garbitzea, ezaugarri berriak."
 
-#: main.cpp:143
+#: main.cpp:145
 #, kde-format
 msgid "Jonathan Riddell"
 msgstr "Jonathan Riddell"
 
-#: main.cpp:144
+#: main.cpp:146
 #, kde-format
 msgid "Current maintainer."
 msgstr "Egungo mantentzailea."
 
-#: main.cpp:146
+#: main.cpp:148
 #, kde-format
 msgid "Brian Thomas"
 msgstr "Brian Thomas"
 
-#: main.cpp:147
+#: main.cpp:149
 #, kde-format
 msgid "A lot of work for C++ and Java code generation. Codeeditor."
 msgstr "C++ eta Java kodea sortzeko lan handia. Kode editorea."
 
-#: main.cpp:152
+#: main.cpp:154
 #, kde-format
 msgid "File to open"
 msgstr "Irekitzeko fitxategia"
 
-#: main.cpp:153
+#: main.cpp:155
 #, kde-format
 msgid "export diagrams to extension and exit"
 msgstr "esportatu diagramak luzapenera eta irten"
 
-#: main.cpp:154
+#: main.cpp:156
 #, kde-format
 msgid "list available export extensions"
 msgstr ""
 
-#: main.cpp:155
+#: main.cpp:157
 #, kde-format
 msgid "the local directory to save the exported diagrams in"
 msgstr "esportatuko diagrama gordeko den direktorio lokala"
 
-#: main.cpp:155
+#: main.cpp:157
 #, kde-format
 msgid "the directory of the file"
 msgstr "fitxategiaren direktorioa"
 
-#: main.cpp:156
+#: main.cpp:158
 #, kde-format
 msgid "import files"
 msgstr "inportatu fitxategiak"
 
-#: main.cpp:157
+#: main.cpp:159
 #, kde-format
 msgid "list supported languages"
 msgstr "zerrendatu onartzen diren lengoaiak"
 
-#: main.cpp:158
+#: main.cpp:160
 #, kde-format
 msgid ""
 "keep the tree structure used to store the views in the document in the "
@@ -4307,12 +4307,12 @@ msgstr ""
 "mantendu ikuspegiak dokumentuan gordetzeko erabiltzen ari den zuhaitz "
 "egitura helburuko direktorioan"
 
-#: main.cpp:159
+#: main.cpp:161
 #, kde-format
 msgid "import files from directory <dir>"
 msgstr "Inportatu <dir> direktorioko fitxategiak"
 
-#: main.cpp:163
+#: main.cpp:165
 #, kde-format
 msgid "set active language"
 msgstr "ezarri lengoaia aktiboa"
@@ -4578,7 +4578,7 @@ msgstr "Ezkutatu desegiteko koadroa"
 msgid "Import File(s)..."
 msgstr "Inportatu fitxategia(k)..."
 
-#: menus/listpopupmenu.cpp:201 uml.cpp:356
+#: menus/listpopupmenu.cpp:201 uml.cpp:365
 #, kde-format
 msgid "Import from Directory..."
 msgstr "Inportatu direktoriotik..."
@@ -5095,42 +5095,42 @@ msgctxt "align menu"
 msgid "Align"
 msgstr "Lerrokatu"
 
-#: menus/widgetbasepopupmenu.cpp:598 uml.cpp:573
+#: menus/widgetbasepopupmenu.cpp:598 uml.cpp:582
 #, kde-format
 msgid "Align Right"
 msgstr "Lerrokatu eskuinera"
 
-#: menus/widgetbasepopupmenu.cpp:599 uml.cpp:578
+#: menus/widgetbasepopupmenu.cpp:599 uml.cpp:587
 #, kde-format
 msgid "Align Left"
 msgstr "Lerrokatu ezkerrera"
 
-#: menus/widgetbasepopupmenu.cpp:600 uml.cpp:583
+#: menus/widgetbasepopupmenu.cpp:600 uml.cpp:592
 #, kde-format
 msgid "Align Top"
 msgstr "Lerrokatu goian"
 
-#: menus/widgetbasepopupmenu.cpp:601 uml.cpp:588
+#: menus/widgetbasepopupmenu.cpp:601 uml.cpp:597
 #, kde-format
 msgid "Align Bottom"
 msgstr "Lerrokatu behean"
 
-#: menus/widgetbasepopupmenu.cpp:603 uml.cpp:593
+#: menus/widgetbasepopupmenu.cpp:603 uml.cpp:602
 #, kde-format
 msgid "Align Vertical Middle"
 msgstr "Lerrokatu erdian bertikalki"
 
-#: menus/widgetbasepopupmenu.cpp:604 uml.cpp:598
+#: menus/widgetbasepopupmenu.cpp:604 uml.cpp:607
 #, kde-format
 msgid "Align Horizontal Middle"
 msgstr "Lerrokatu erdian horizontalki"
 
-#: menus/widgetbasepopupmenu.cpp:605 uml.cpp:603
+#: menus/widgetbasepopupmenu.cpp:605 uml.cpp:612
 #, kde-format
 msgid "Align Vertical Distribute"
 msgstr "Lerrokatu bertikalki elkar banatuta"
 
-#: menus/widgetbasepopupmenu.cpp:606 uml.cpp:608
+#: menus/widgetbasepopupmenu.cpp:606 uml.cpp:617
 #, kde-format
 msgid "Align Horizontal Distribute"
 msgstr "Lerrokatu horizontalki elkar banatuta"
@@ -5978,8 +5978,8 @@ msgstr "Erabilera"
 #: object_factory.cpp:251 uml1model/classifier.cpp:410
 #: uml1model/classifier.cpp:781 uml1model/entity.cpp:125
 #: uml1model/entity.cpp:178 uml1model/entity.cpp:228 uml1model/entity.cpp:277
-#: uml1model/enum.cpp:107 uml1model/instance.cpp:124 uml1model/package.cpp:171
-#: umldoc.cpp:1721 umldoc.cpp:1755
+#: uml1model/enum.cpp:107 uml1model/instance.cpp:124 uml1model/package.cpp:177
+#: umldoc.cpp:1723 umldoc.cpp:1757
 #, kde-format
 msgid "That is an invalid name."
 msgstr "Baliogabako izena da."
@@ -6000,7 +6000,7 @@ msgstr "Erreserbatutako hitz-gakoa"
 #: object_factory.cpp:264 uml1model/classifier.cpp:413
 #: uml1model/classifier.cpp:783 uml1model/entity.cpp:127
 #: uml1model/entity.cpp:180 uml1model/entity.cpp:230 uml1model/entity.cpp:279
-#: uml1model/instance.cpp:126 umldoc.cpp:1727 umldoc.cpp:1764
+#: uml1model/instance.cpp:126 umldoc.cpp:1729 umldoc.cpp:1766
 #, kde-format
 msgid "That name is already being used."
 msgstr "Izena dagoneko erabilita dago."
@@ -6008,8 +6008,8 @@ msgstr "Izena dagoneko erabilita dago."
 #: object_factory.cpp:265 uml1model/classifier.cpp:413
 #: uml1model/classifier.cpp:783 uml1model/entity.cpp:127
 #: uml1model/entity.cpp:180 uml1model/entity.cpp:230 uml1model/entity.cpp:279
-#: uml1model/instance.cpp:126 umldoc.cpp:1629 umldoc.cpp:1699 umldoc.cpp:1727
-#: umldoc.cpp:1764
+#: uml1model/instance.cpp:126 umldoc.cpp:1631 umldoc.cpp:1701 umldoc.cpp:1729
+#: umldoc.cpp:1766
 #, kde-format
 msgid "Not a Unique Name"
 msgstr "Ez da izen bakarra"
@@ -6071,12 +6071,12 @@ msgstr "Sinadura bereko eragiketa dagoen
 msgid "Choose a different name."
 msgstr "Aukeratu beste izen bat."
 
-#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:266
+#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:273
 #, kde-format
 msgid "Incorrect use of associations."
 msgstr "Asoziazioen erabilera desegokia."
 
-#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:266
+#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:273
 #, kde-format
 msgid "Association Error"
 msgstr "Asoziazio errorea"
@@ -7323,193 +7323,193 @@ msgstr "&Lengoaia aktiboa"
 msgid "&Settings"
 msgstr "Eginkizunen ezarpenak"
 
-#: uml.cpp:332
+#: uml.cpp:341
 #, kde-format
 msgid "&Export model to DocBook"
 msgstr ""
 
-#: uml.cpp:336
+#: uml.cpp:345
 #, kde-format
 msgid "&Export model to XHTML"
 msgstr ""
 
-#: uml.cpp:340
+#: uml.cpp:349
 #, kde-format
 msgid "&New Class Wizard..."
 msgstr "&Klase berria sortzeko morroia..."
 
-#: uml.cpp:344
+#: uml.cpp:353
 #, kde-format
 msgid "&Add Default Datatypes for Active Language"
 msgstr "&Gehitu lengoaia aktiboaren datu-mota lehenetsiak"
 
-#: uml.cpp:351
+#: uml.cpp:360
 #, fuzzy, kde-format
 #| msgid "&Code Generation Wizard..."
 msgid "Code &Importing Wizard..."
 msgstr "&Kode sorreraren morroia..."
 
-#: uml.cpp:361
+#: uml.cpp:370
 #, kde-format
 msgid "&Code Generation Wizard..."
 msgstr "&Kode sorreraren morroia..."
 
-#: uml.cpp:366
+#: uml.cpp:375
 #, kde-format
 msgid "&Generate All Code"
 msgstr "&Sortu kode guztia"
 
-#: uml.cpp:411
+#: uml.cpp:420
 #, kde-format
 msgid "Creates a new document"
 msgstr "Dokumentu berri bat sortzen du"
 
-#: uml.cpp:412
+#: uml.cpp:421
 #, kde-format
 msgid "Opens an existing document"
 msgstr "Existitzen den dokumentu bat irekitzen du"
 
-#: uml.cpp:413
+#: uml.cpp:422
 #, kde-format
 msgid "Opens a recently used file"
 msgstr "Oraintsu erabilitako fitxategi bat irekitzen du"
 
-#: uml.cpp:414
+#: uml.cpp:423
 #, kde-format
 msgid "Saves the document"
 msgstr "Dokumentua gordetzen du"
 
-#: uml.cpp:415
+#: uml.cpp:424
 #, kde-format
 msgid "Saves the document as..."
 msgstr "Dokumentua honela gordetzen du..."
 
-#: uml.cpp:416
+#: uml.cpp:425
 #, kde-format
 msgid "Closes the document"
 msgstr "Dokumentua ixten du"
 
-#: uml.cpp:417
+#: uml.cpp:426
 #, kde-format
 msgid "Prints out the document"
 msgstr "Dokumentua inprimatzen du"
 
-#: uml.cpp:418
+#: uml.cpp:427
 #, fuzzy, kde-format
 #| msgid "Prints out the document"
 msgid "Print Preview of the document"
 msgstr "Dokumentua inprimatzen du"
 
-#: uml.cpp:419
+#: uml.cpp:428
 #, kde-format
 msgid "Quits the application"
 msgstr "Aplikazioa ixten du"
 
-#: uml.cpp:420
+#: uml.cpp:429
 #, kde-format
 msgid "Exports the model to the docbook format"
 msgstr ""
 
-#: uml.cpp:421
+#: uml.cpp:430
 #, kde-format
 msgid "Exports the model to the XHTML format"
 msgstr ""
 
-#: uml.cpp:422
+#: uml.cpp:431
 #, kde-format
 msgid "Cuts the selected section and puts it to the clipboard"
 msgstr "Hautatutako atala moztu eta arbelean jartzen du"
 
-#: uml.cpp:423
+#: uml.cpp:432
 #, kde-format
 msgid "Copies the selected section to the clipboard"
 msgstr "Hautatutako atala arbelera kopiatzen du"
 
-#: uml.cpp:424
+#: uml.cpp:433
 #, kde-format
 msgid "Pastes the contents of the clipboard"
 msgstr "Arbelaren edukinak itsasten ditu"
 
-#: uml.cpp:425
+#: uml.cpp:434
 #, kde-format
 msgid "Set the default program preferences"
 msgstr "Ezarri programaren hobespen lehenetsiak"
 
-#: uml.cpp:429
+#: uml.cpp:438
 #, fuzzy, kde-format
 #| msgid "Delete &Selected"
 msgctxt "delete selected widget"
 msgid "Delete &Selected"
 msgstr "Ezabatu &hautatutakoak"
 
-#: uml.cpp:440
+#: uml.cpp:449
 #, kde-format
 msgid "&Class Diagram..."
 msgstr "&Klaseen diagrama..."
 
-#: uml.cpp:447
+#: uml.cpp:456
 #, fuzzy, kde-format
 #| msgid "S&tate Diagram..."
 msgid "&Object Diagram..."
 msgstr "Egoeren digrama..."
 
-#: uml.cpp:454
+#: uml.cpp:463
 #, kde-format
 msgid "&Sequence Diagram..."
 msgstr "&Sekuentzia-diagrama..."
 
-#: uml.cpp:460
+#: uml.cpp:469
 #, fuzzy, kde-format
 #| msgid "C&ollaboration Diagram..."
 msgid "C&ommunication Diagram..."
 msgstr "L&ankidetza diagramak..."
 
-#: uml.cpp:466
+#: uml.cpp:475
 #, kde-format
 msgid "&Use Case Diagram..."
 msgstr "&Erabilpen-kasuen diagrama..."
 
-#: uml.cpp:472
+#: uml.cpp:481
 #, kde-format
 msgid "S&tate Diagram..."
 msgstr "Egoeren digrama..."
 
-#: uml.cpp:478
+#: uml.cpp:487
 #, kde-format
 msgid "&Activity Diagram..."
 msgstr "&Jardueren diagrama..."
 
-#: uml.cpp:484
+#: uml.cpp:493
 #, kde-format
 msgid "Co&mponent Diagram..."
 msgstr "Osa&gaien diagrama..."
 
-#: uml.cpp:490
+#: uml.cpp:499
 #, kde-format
 msgid "&Deployment Diagram..."
 msgstr "&Hedaketa ikuspegia..."
 
-#: uml.cpp:496
+#: uml.cpp:505
 #, kde-format
 msgid "&Entity Relationship Diagram..."
 msgstr "&Entitate-erlazioen diagrama..."
 
-#: uml.cpp:501 uml.cpp:954
+#: uml.cpp:510 uml.cpp:963
 #, kde-format
 msgid "&Tree View"
 msgstr "&Zuhaitz ikuspegia"
 
-#: uml.cpp:505
+#: uml.cpp:514
 #, kde-format
 msgid "&Debugging"
 msgstr ""
 
-#: uml.cpp:513
+#: uml.cpp:522
 #, kde-format
 msgid "&Logging"
 msgstr ""
 
-#: uml.cpp:517
+#: uml.cpp:526
 #, kde-format
 msgid "&Command history"
 msgstr ""
@@ -7518,138 +7518,138 @@ msgstr ""
 #. m_propertyDock->setObjectName(QLatin1String("PropertyDock"));
 #. addDockWidget(Qt::LeftDockWidgetArea, m_propertyDock);  //:TODO:
 #. create the bird's eye view
-#: uml.cpp:521 uml.cpp:1011
+#: uml.cpp:530 uml.cpp:1020
 #, kde-format
 msgid "&Bird's eye view"
 msgstr ""
 
-#: uml.cpp:526
+#: uml.cpp:535
 #, kde-format
 msgid "&Clear Diagram"
 msgstr "&Garbitu diagrama"
 
-#: uml.cpp:530
+#: uml.cpp:539
 #, kde-format
 msgid "&Snap to Grid"
 msgstr "&Atxiki saretari"
 
-#: uml.cpp:534
+#: uml.cpp:543
 #, kde-format
 msgid "S&how Grid"
 msgstr "&Erakutsi sareta"
 
-#: uml.cpp:539
+#: uml.cpp:548
 #, kde-format
 msgid "&Delete Diagram"
 msgstr "E&zabatu diagrama"
 
-#: uml.cpp:544
+#: uml.cpp:553
 #, kde-format
 msgid "&Export as Picture..."
 msgstr "&Esportatu irudi bezala"
 
-#: uml.cpp:549
+#: uml.cpp:558
 #, fuzzy, kde-format
 #| msgid "Export &All Diagrams as Pictures..."
 msgid "Export &Diagrams as Pictures..."
 msgstr "Esportatu diagrama &guztiak irudi bezala..."
 
-#: uml.cpp:569
+#: uml.cpp:578
 #, kde-format
 msgid "Z&oom to 100%"
 msgstr "Zoom-a 100%-era"
 
-#: uml.cpp:612
+#: uml.cpp:621
 #, kde-format
 msgid "&Move Tab Left"
 msgstr "&Mugitu fitxa ezkerrera"
 
-#: uml.cpp:613
+#: uml.cpp:622
 #, kde-format
 msgid "&Move Tab Right"
 msgstr "&Mugitu fitxa eskuinera"
 
-#: uml.cpp:636
+#: uml.cpp:645
 #, kde-format
 msgid "Select Diagram on Left"
 msgstr "Hautatu diagrama ezkerrean"
 
-#: uml.cpp:637
+#: uml.cpp:646
 #, kde-format
 msgid "Select Diagram on Right"
 msgstr "Hautatu diagrama eskuinean"
 
-#: uml.cpp:776
+#: uml.cpp:785
 #, kde-format
 msgctxt "%1 percent value from 20 to 500"
 msgid " &%1%"
 msgstr ""
 
-#: uml.cpp:826
+#: uml.cpp:835
 #, fuzzy, kde-format
 msgctxt "init status bar"
 msgid "Ready"
 msgstr "Prest."
 
-#: uml.cpp:835 uml.cpp:848
+#: uml.cpp:844 uml.cpp:857
 #, kde-format
 msgid "100%"
 msgstr ""
 
-#: uml.cpp:840
+#: uml.cpp:849
 #, fuzzy, kde-format
 #| msgid "Filter"
 msgid "Fit"
 msgstr "Iragazkia"
 
-#: uml.cpp:899
+#: uml.cpp:908
 #, kde-format
 msgid "Diagram Toolbar"
 msgstr "Diagramen tresna-barra"
 
-#: uml.cpp:965
+#: uml.cpp:974
 #, fuzzy, kde-format
 #| msgid "Documentation"
 msgid "Doc&umentation"
 msgstr "Dokumentazioa"
 
-#: uml.cpp:976
+#: uml.cpp:985
 #, kde-format
 msgid "Co&mmand history"
 msgstr ""
 
-#: uml.cpp:992
+#: uml.cpp:1001
 #, kde-format
 msgid "&Debug"
 msgstr ""
 
-#: uml.cpp:999
+#: uml.cpp:1008
 #, kde-format
 msgid "&Log"
 msgstr ""
 
-#: uml.cpp:1041 uml.cpp:1258 uml.cpp:1307
+#: uml.cpp:1050 uml.cpp:1267 uml.cpp:1316
 #, kde-format
 msgid "Opening file..."
 msgstr "Fitxategia irekitzen..."
 
-#: uml.cpp:1092 uml.cpp:1157 uml.cpp:1342 umldoc.cpp:342 umldoc.cpp:344
-#: umldoc.cpp:368 umldoc.cpp:3396
+#: uml.cpp:1101 uml.cpp:1166 uml.cpp:1351 umldoc.cpp:343 umldoc.cpp:345
+#: umldoc.cpp:369 umldoc.cpp:3405
 #, kde-format
 msgid "Untitled"
 msgstr ""
 
-#: uml.cpp:1240
+#: uml.cpp:1249
 #, kde-format
 msgid "Creating new document..."
 msgstr "Dokumentu berria sortzen..."
 
-#: uml.cpp:1266 uml.cpp:1281
+#: uml.cpp:1275 uml.cpp:1290
 #, kde-format
 msgid "Open File"
 msgstr "Ireki fitxategia"
 
-#: uml.cpp:1270
+#: uml.cpp:1279
 #, fuzzy, kde-format
 #| msgid ""
 #| "*.xmi *.xmi.tgz *.xmi.tar.bz2 *.mdl|All Supported Files (*.xmi, *.xmi."
@@ -7674,22 +7674,22 @@ msgstr ""
 "*.xmi.tar.bz2|Bzip2 konprimatutako XMI fitxategiak (*.xmi.tar.bz2) *.mdl|"
 "Rose modelu fitxategiak"
 
-#: uml.cpp:1341
+#: uml.cpp:1350
 #, kde-format
 msgid "Saving file..."
 msgstr "Fitxategia gordetzen..."
 
-#: uml.cpp:1358
+#: uml.cpp:1367
 #, kde-format
 msgid "Saving file with a new filename..."
 msgstr "Fitxategia izen berriarekin gordetzen"
 
-#: uml.cpp:1368 uml.cpp:1374 umlviewimageexporter.cpp:199
+#: uml.cpp:1377 uml.cpp:1383 umlviewimageexporter.cpp:199
 #, kde-format
 msgid "Save As"
 msgstr ""
 
-#: uml.cpp:1369
+#: uml.cpp:1378
 #, fuzzy, kde-format
 #| msgid ""
 #| "*.xmi|XMI File\n"
@@ -7705,7 +7705,7 @@ msgstr ""
 "*.xmi.tar.bz2|Bzip2 bidez konprimetatutako XMI fitxategia\n"
 "*|Fitxategi guztiak"
 
-#: uml.cpp:1374
+#: uml.cpp:1383
 #, fuzzy, kde-format
 #| msgid ""
 #| "*.xmi|XMI File\n"
@@ -7723,7 +7723,7 @@ msgstr ""
 "*.xmi.tar.bz2|Bzip2 bidez konprimetatutako XMI fitxategia\n"
 "*|Fitxategi guztiak"
 
-#: uml.cpp:1387
+#: uml.cpp:1396
 #, kde-format
 msgid ""
 "The file %1 exists.\n"
@@ -7732,68 +7732,68 @@ msgstr ""
 "%1 fitxategia dagoeneko existitzen da.\n"
 "Gainidatzi nahi al duzu?"
 
-#: uml.cpp:1388
+#: uml.cpp:1397
 #, fuzzy, kde-format
 msgid "Warning"
 msgstr "string"
 
-#: uml.cpp:1388
+#: uml.cpp:1397
 #, kde-format
 msgid "Overwrite"
 msgstr "Gainidatzi"
 
-#: uml.cpp:1422
+#: uml.cpp:1431
 #, kde-format
 msgid "Closing file..."
 msgstr "Fitxategia ixten..."
 
-#: uml.cpp:1432
+#: uml.cpp:1441
 #, kde-format
 msgid "No search term entered"
 msgstr ""
 
-#: uml.cpp:1438
+#: uml.cpp:1447
 #, kde-format
 msgid "'%1': %2 found"
 msgstr ""
 
-#: uml.cpp:1502
+#: uml.cpp:1511
 #, fuzzy, kde-format
 #| msgid "Exporting view..."
 msgid "Print Preview..."
 msgstr "Esportatzen ikuspegia..."
 
-#: uml.cpp:1529
+#: uml.cpp:1538
 #, kde-format
 msgid "Printing..."
 msgstr "Inprimatzen..."
 
-#: uml.cpp:1536 uml.cpp:1540
+#: uml.cpp:1545 uml.cpp:1549
 #, kde-format
 msgid "Print %1"
 msgstr "Inprimatu %1"
 
-#: uml.cpp:1560
+#: uml.cpp:1569
 #, kde-format
 msgid "Exiting..."
 msgstr "Irtetzen...ss"
 
-#: uml.cpp:1647
+#: uml.cpp:1656
 #, kde-format
 msgid "Cutting selection..."
 msgstr "Hautapena mozten..."
 
-#: uml.cpp:1670
+#: uml.cpp:1679
 #, kde-format
 msgid "Copying selection to clipboard..."
 msgstr "Hautapena arbelera kopiatzen..."
 
-#: uml.cpp:1682
+#: uml.cpp:1691
 #, kde-format
 msgid "Inserting clipboard contents..."
 msgstr "Arbelaren edukinak txertatzen..."
 
-#: uml.cpp:1687
+#: uml.cpp:1696
 #, kde-format
 msgid ""
 "Umbrello could not paste the clipboard contents.  The objects in the "
@@ -7802,41 +7802,41 @@ msgstr ""
 "Umbrello-k ezin izan ditu arbelaren edukinak itsatsi. Arbeleko objektuen "
 "datu-mota hemen itsasteko desegokia izan daiteke."
 
-#: uml.cpp:1713 umlviewimageexporter.cpp:92 umlviewimageexporterall.cpp:123
+#: uml.cpp:1722 umlviewimageexporter.cpp:92 umlviewimageexporterall.cpp:123
 #, fuzzy, kde-format
 #| msgid "Ready."
 msgctxt "reset status bar"
 msgid "Ready."
 msgstr "Prest."
 
-#: uml.cpp:2246
+#: uml.cpp:2255
 #, kde-format
 msgid "Cannot view code until you generate some first."
 msgstr "Ezin da kodea ikusi koderik sortu ez baduzu."
 
-#: uml.cpp:2246 uml.cpp:2249
+#: uml.cpp:2255 uml.cpp:2258
 #, kde-format
 msgid "Cannot View Code"
 msgstr "Ezin da kodea ikusi"
 
-#: uml.cpp:2249
+#: uml.cpp:2258
 #, kde-format
 msgid "Cannot view code from simple code writer."
 msgstr "Ezin da kodea ikusi kode idazle sinple batetik"
 
-#: uml.cpp:2714 uml.cpp:2716
+#: uml.cpp:2728 uml.cpp:2730
 #, fuzzy, kde-format
 #| msgid "Select Code to Import"
 msgid "Select file(s) to import:"
 msgstr "Hautatu inportatzeko kodea"
 
-#: uml.cpp:2747 uml.cpp:2749
+#: uml.cpp:2761 uml.cpp:2763
 #, fuzzy, kde-format
 #| msgid "Select Code to Import"
 msgid "Select directory to import:"
 msgstr "Hautatu inportatzeko kodea"
 
-#: uml.cpp:3313
+#: uml.cpp:3335
 #, kde-format
 msgid "XHTML Generation failed ."
 msgstr ""
@@ -7853,20 +7853,20 @@ msgstr ""
 "Izen eta sinadura bereko eragiketa bat dagoeneko existitzen da. Ezin duzu "
 "berriro gehitu."
 
-#: uml1model/folder.cpp:435
+#: uml1model/folder.cpp:436
 #, kde-format
 msgid "The folderfile %1 does not exist."
 msgstr "%1 karpeta-fitxategia ez da existitzen."
 
-#: uml1model/folder.cpp:435 uml1model/folder.cpp:439 umldoc.cpp:529
-#: umldoc.cpp:541 umldoc.cpp:568 umldoc.cpp:570 umldoc.cpp:620 umldoc.cpp:623
-#: umldoc.cpp:638 umldoc.cpp:641 umldoc.cpp:665 umldoc.cpp:668 umldoc.cpp:684
-#: umldoc.cpp:687 umldoc.cpp:702 umldoc.cpp:705 umldoc.cpp:750
+#: uml1model/folder.cpp:436 uml1model/folder.cpp:440 umldoc.cpp:530
+#: umldoc.cpp:542 umldoc.cpp:569 umldoc.cpp:571 umldoc.cpp:621 umldoc.cpp:624
+#: umldoc.cpp:639 umldoc.cpp:642 umldoc.cpp:666 umldoc.cpp:669 umldoc.cpp:685
+#: umldoc.cpp:688 umldoc.cpp:703 umldoc.cpp:706 umldoc.cpp:751
 #, kde-format
 msgid "Load Error"
 msgstr "Kargaketa errorea"
 
-#: uml1model/folder.cpp:439
+#: uml1model/folder.cpp:440
 #, kde-format
 msgid "The folderfile %1 cannot be opened."
 msgstr "%1 karpeta-fitxategia hondatuta dago."
@@ -7876,14 +7876,14 @@ msgstr "%1 karpeta-fitxategia hondatuta
 msgid "new_parameter"
 msgstr "parametro_berria"
 
-#: uml1model/package.cpp:163
+#: uml1model/package.cpp:169
 #, fuzzy, kde-format
 #| msgid "Name"
 msgctxt "object name"
 msgid "Name"
 msgstr "Izena"
 
-#: uml1model/package.cpp:164
+#: uml1model/package.cpp:170
 #, kde-format
 msgid ""
 "An object with the name %1\n"
@@ -7907,81 +7907,81 @@ msgstr "eremu_berria"
 msgid "new_fkey_constraint"
 msgstr "entitate_berria"
 
-#: uml1model/umlobject.cpp:1140
+#: uml1model/umlobject.cpp:1141
 #, kde-format
 msgid "Actor &name:"
 msgstr "Aktorearen ize&na:"
 
-#: uml1model/umlobject.cpp:1143
+#: uml1model/umlobject.cpp:1144
 #, kde-format
 msgid "Artifact &name:"
 msgstr "Objektu konposatuaren ize&na:"
 
-#: uml1model/umlobject.cpp:1146
+#: uml1model/umlobject.cpp:1147
 #, fuzzy, kde-format
 #| msgid "Association Name"
 msgid "Association &name:"
 msgstr "Asoziazioaren izena"
 
-#: uml1model/umlobject.cpp:1149
+#: uml1model/umlobject.cpp:1150
 #, kde-format
 msgid "Class &name:"
 msgstr "Klasearen ize&na:"
 
-#: uml1model/umlobject.cpp:1152
+#: uml1model/umlobject.cpp:1153
 #, kde-format
 msgid "Component &name:"
 msgstr "Osagaiaren ize&na:"
 
-#: uml1model/umlobject.cpp:1155
+#: uml1model/umlobject.cpp:1156
 #, kde-format
 msgid "Datatype &name:"
 msgstr "Datu-motaren ize&na:"
 
-#: uml1model/umlobject.cpp:1158
+#: uml1model/umlobject.cpp:1159
 #, kde-format
 msgid "Entity &name:"
 msgstr "Entitatearen ize&na:"
 
-#: uml1model/umlobject.cpp:1161
+#: uml1model/umlobject.cpp:1162
 #, kde-format
 msgid "Enum &name:"
 msgstr "Enumeraketaren ize&na:"
 
-#: uml1model/umlobject.cpp:1164
+#: uml1model/umlobject.cpp:1165
 #, fuzzy, kde-format
 #| msgid "Node name:"
 msgid "Folder &name:"
 msgstr "Nodoaren izena:"
 
-#: uml1model/umlobject.cpp:1167
+#: uml1model/umlobject.cpp:1168
 #, kde-format
 msgid "Interface &name:"
 msgstr "Interfazearen ize&na:"
 
-#: uml1model/umlobject.cpp:1170
+#: uml1model/umlobject.cpp:1171
 #, fuzzy, kde-format
 #| msgid "Node name:"
 msgid "Node &name:"
 msgstr "Nodoaren izena:"
 
-#: uml1model/umlobject.cpp:1173
+#: uml1model/umlobject.cpp:1174
 #, kde-format
 msgid "Package &name:"
 msgstr "Paketearen ize&na:"
 
-#: uml1model/umlobject.cpp:1176
+#: uml1model/umlobject.cpp:1177
 #, fuzzy, kde-format
 #| msgid "Actor &name:"
 msgid "Port &name:"
 msgstr "Aktorearen ize&na:"
 
-#: uml1model/umlobject.cpp:1182
+#: uml1model/umlobject.cpp:1183
 #, kde-format
 msgid "Use case &name:"
 msgstr "Erabilpen-kasuaren ize&na:"
 
-#: uml1model/umlobject.cpp:1185
+#: uml1model/umlobject.cpp:1186
 #, kde-format
 msgid "Instance name:"
 msgstr "Instantziaren izena:"
@@ -8002,42 +8002,42 @@ msgstr "E&stereotipoak"
 msgid "Welcome"
 msgstr ""
 
-#: umldoc.cpp:112 umldoc.cpp:2400 umldoc.cpp:2428
+#: umldoc.cpp:113 umldoc.cpp:2405 umldoc.cpp:2433
 #, kde-format
 msgid "UML Model"
 msgstr "UML eredua"
 
-#: umldoc.cpp:154
+#: umldoc.cpp:155
 #, kde-format
 msgid "Logical View"
 msgstr "Ikuspegi logikoa"
 
-#: umldoc.cpp:155
+#: umldoc.cpp:156
 #, kde-format
 msgid "Use Case View"
 msgstr "Erabilpen-kasuen ikuspegia"
 
-#: umldoc.cpp:156
+#: umldoc.cpp:157
 #, kde-format
 msgid "Component View"
 msgstr "Osagaien ikuspegia"
 
-#: umldoc.cpp:157
+#: umldoc.cpp:158
 #, kde-format
 msgid "Deployment View"
 msgstr "Hedaketa ikuspegia"
 
-#: umldoc.cpp:158
+#: umldoc.cpp:159
 #, kde-format
 msgid "Entity Relationship Model"
 msgstr "Entitate-erlazioen eredua"
 
-#: umldoc.cpp:184
+#: umldoc.cpp:185
 #, kde-format
 msgid "Datatypes"
 msgstr "Datu-motak"
 
-#: umldoc.cpp:363
+#: umldoc.cpp:364
 #, kde-format
 msgid ""
 "The current file has been modified.\n"
@@ -8046,175 +8046,175 @@ msgstr ""
 "Uneko fitxategia aldatu da.\n"
 "Gorde nahi al duzu?"
 
-#: umldoc.cpp:364
+#: umldoc.cpp:365
 #, fuzzy, kde-format
 msgctxt "warning message"
 msgid "Warning"
 msgstr "string"
 
-#: umldoc.cpp:529
+#: umldoc.cpp:530
 #, fuzzy, kde-format
 #| msgid "The file %1 does not exist."
 msgid "The file <%1> does not exist."
 msgstr "%1 fitxategia ez da existitzen."
 
-#: umldoc.cpp:541
+#: umldoc.cpp:542
 #, kde-format
 msgid "The file %1 does not exist."
 msgstr "%1 fitxategia ez da existitzen."
 
-#: umldoc.cpp:568 umldoc.cpp:570
+#: umldoc.cpp:569 umldoc.cpp:571
 #, kde-format
 msgid "The file %1 seems to be corrupted."
 msgstr "%1 fitxategia hondatuta dago."
 
-#: umldoc.cpp:619 umldoc.cpp:622 umldoc.cpp:637 umldoc.cpp:640 umldoc.cpp:683
-#: umldoc.cpp:686
+#: umldoc.cpp:620 umldoc.cpp:623 umldoc.cpp:638 umldoc.cpp:641 umldoc.cpp:684
+#: umldoc.cpp:687
 #, kde-format
 msgid "There was no XMI file found in the compressed file %1."
 msgstr "Ez da XMI fitxategirik aurkitu %1 fitxategi konprimatuan."
 
-#: umldoc.cpp:664 umldoc.cpp:667
+#: umldoc.cpp:665 umldoc.cpp:668
 #, kde-format
 msgid "There was a problem loading the extracted file: %1"
 msgstr "Errore bat gertatu da erauzitako %1 fitxategia kargatzean"
 
-#: umldoc.cpp:701 umldoc.cpp:704 umldoc.cpp:744 umldoc.cpp:746
+#: umldoc.cpp:702 umldoc.cpp:705 umldoc.cpp:745 umldoc.cpp:747
 #, kde-format
 msgid "There was a problem loading file: %1"
 msgstr "Errorea %1 fitxategia kargatzean"
 
-#: umldoc.cpp:749
+#: umldoc.cpp:750
 #, kde-format
 msgid "Reason: %1"
 msgstr ""
 
-#: umldoc.cpp:832 umldoc.cpp:834 umldoc.cpp:851 umldoc.cpp:853 umldoc.cpp:873
-#: umldoc.cpp:875 umldoc.cpp:924 umldoc.cpp:926 umldoc.cpp:966 umldoc.cpp:969
-#: umldoc.cpp:978 umldoc.cpp:980 umllistview.cpp:593
+#: umldoc.cpp:833 umldoc.cpp:835 umldoc.cpp:852 umldoc.cpp:854 umldoc.cpp:874
+#: umldoc.cpp:876 umldoc.cpp:925 umldoc.cpp:927 umldoc.cpp:968 umldoc.cpp:971
+#: umldoc.cpp:980 umldoc.cpp:982 umllistview.cpp:594
 #, kde-format
 msgid "Save Error"
 msgstr "Errorea gordetzean"
 
-#: umldoc.cpp:832 umldoc.cpp:851 umldoc.cpp:873 umldoc.cpp:924 umldoc.cpp:966
+#: umldoc.cpp:833 umldoc.cpp:852 umldoc.cpp:874 umldoc.cpp:925 umldoc.cpp:968
 #, fuzzy, kde-format
 #| msgid "There was a problem saving file: %1"
 msgid "There was a problem saving: %1"
 msgstr "Errorea %1 fitxategia gordetzean"
 
-#: umldoc.cpp:834 umldoc.cpp:853 umldoc.cpp:875 umldoc.cpp:926 umldoc.cpp:969
-#: umllistview.cpp:592 umlviewimageexportermodel.cpp:303
+#: umldoc.cpp:835 umldoc.cpp:854 umldoc.cpp:876 umldoc.cpp:927 umldoc.cpp:971
+#: umllistview.cpp:593 umlviewimageexportermodel.cpp:303
 #, kde-format
 msgid "There was a problem saving file: %1"
 msgstr "Errorea %1 fitxategia gordetzean"
 
-#: umldoc.cpp:978
+#: umldoc.cpp:980
 #, fuzzy, kde-format
 #| msgid "There was a problem uploading file: %1"
 msgid "There was a problem uploading: %1"
 msgstr "Errorea %1 fitxategia kargatzean"
 
-#: umldoc.cpp:980
+#: umldoc.cpp:982
 #, kde-format
 msgid "There was a problem uploading file: %1"
 msgstr "Errorea %1 fitxategia kargatzean"
 
-#: umldoc.cpp:1526
+#: umldoc.cpp:1528
 #, kde-format
 msgid "use case diagram"
 msgstr "erabilpen-kasuen diagrama"
 
-#: umldoc.cpp:1529
+#: umldoc.cpp:1531
 #, kde-format
 msgid "class diagram"
 msgstr "klaseen diagrama"
 
-#: umldoc.cpp:1532
+#: umldoc.cpp:1534
 #, kde-format
 msgid "sequence diagram"
 msgstr "sekuentzien diagrama"
 
-#: umldoc.cpp:1535
+#: umldoc.cpp:1537
 #, fuzzy, kde-format
 #| msgid "collaboration diagram"
 msgid "communication diagram"
 msgstr "lankidetzen diagrama"
 
-#: umldoc.cpp:1538
+#: umldoc.cpp:1540
 #, fuzzy, kde-format
 #| msgid "&Select diagrams"
 msgid "object diagram"
 msgstr "&Hautatu diagramak"
 
-#: umldoc.cpp:1541
+#: umldoc.cpp:1543
 #, kde-format
 msgid "state diagram"
 msgstr "egoeren diagrama"
 
-#: umldoc.cpp:1544
+#: umldoc.cpp:1546
 #, kde-format
 msgid "activity diagram"
 msgstr "jardueren diagrama"
 
-#: umldoc.cpp:1547
+#: umldoc.cpp:1549
 #, kde-format
 msgid "component diagram"
 msgstr "osagai diagrama"
 
-#: umldoc.cpp:1550
+#: umldoc.cpp:1552
 #, kde-format
 msgid "deployment diagram"
 msgstr "hedaketa ikuspegai"
 
-#: umldoc.cpp:1553
+#: umldoc.cpp:1555
 #, kde-format
 msgid "entity relationship diagram"
 msgstr "entitate-erlazioen diagrama"
 
-#: umldoc.cpp:1623
+#: umldoc.cpp:1625
 #, fuzzy, kde-format
 #| msgid "Name"
 msgctxt "diagram name"
 msgid "Name"
 msgstr "Izena"
 
-#: umldoc.cpp:1623 umldoc.cpp:1686 umldoc.cpp:1715 umldoc.cpp:1749
+#: umldoc.cpp:1625 umldoc.cpp:1688 umldoc.cpp:1717 umldoc.cpp:1751
 #, kde-format
 msgid "Enter name:"
 msgstr "Sartu izena:"
 
-#: umldoc.cpp:1627 umldoc.cpp:1692
+#: umldoc.cpp:1629 umldoc.cpp:1694
 #, kde-format
 msgid "That is an invalid name for a diagram."
 msgstr "Diagramaren izena baliogabea da."
 
-#: umldoc.cpp:1629 umldoc.cpp:1699
+#: umldoc.cpp:1631 umldoc.cpp:1701
 #, kde-format
 msgid "A diagram is already using that name."
 msgstr "Izen hori darabilen beste diagrama bat dago."
 
-#: umldoc.cpp:1685
+#: umldoc.cpp:1687
 #, fuzzy, kde-format
 #| msgid "Name"
 msgctxt "renaming diagram"
 msgid "Name"
 msgstr "Izena"
 
-#: umldoc.cpp:1714
+#: umldoc.cpp:1716
 #, fuzzy, kde-format
 #| msgid "Name"
 msgctxt "renaming uml object"
 msgid "Name"
 msgstr "Izena"
 
-#: umldoc.cpp:1748
+#: umldoc.cpp:1750
 #, fuzzy, kde-format
 #| msgid "Name"
 msgctxt "renaming child uml object"
 msgid "Name"
 msgstr "Izena"
 
-#: umldoc.cpp:1758
+#: umldoc.cpp:1760
 #, kde-format
 msgid ""
 "The name you entered was not unique.\n"
@@ -8223,131 +8223,131 @@ msgstr ""
 "Sartu duzun izena ez da bakarra.\n"
 "Hau da nahi zenuen izena?"
 
-#: umldoc.cpp:1759
+#: umldoc.cpp:1761
 #, kde-format
 msgid "Use Name"
 msgstr "Erabili izena"
 
-#: umldoc.cpp:1759
+#: umldoc.cpp:1761
 #, kde-format
 msgid "Enter New Name"
 msgstr "Sartu izen berria"
 
-#: umldoc.cpp:2361
+#: umldoc.cpp:2366
 #, kde-format
 msgid "Unsupported xmi file version: %1"
 msgstr ""
 
-#: umldoc.cpp:2511
+#: umldoc.cpp:2516
 #, kde-format
 msgid "Setting up the document..."
 msgstr "Dokumentua konfiguratzen..."
 
-#: umldoc.cpp:2540
+#: umldoc.cpp:2545
 #, kde-format
 msgid "Resolving object references..."
 msgstr "Objektuen erreferentziak ebazten..."
 
-#: umldoc.cpp:2648
+#: umldoc.cpp:2653
 #, kde-format
 msgid "Loading UML elements..."
 msgstr "UML elementuak kargatzen..."
 
-#: umldoc.cpp:2892
+#: umldoc.cpp:2899
 #, kde-format
 msgid "Loading diagrams..."
 msgstr "Diagramak kargatzen..."
 
-#: umldoc.cpp:3400
+#: umldoc.cpp:3409
 #, kde-format
 msgid "/autosave%1"
 msgstr "/autogorde%1"
 
-#: umllistview.cpp:536 umllistview.cpp:540
+#: umllistview.cpp:537 umllistview.cpp:541
 #, kde-format
 msgid "Externalize Folder"
 msgstr "Kanporatu karpeta"
 
-#: umllistview.cpp:574
+#: umllistview.cpp:575
 #, kde-format
 msgid "Folder %1 must be relative to the main model directory, %2."
 msgstr ""
 
-#: umllistview.cpp:575
+#: umllistview.cpp:576
 #, fuzzy, kde-format
 #| msgid "Paste Error"
 msgid "Path Error"
 msgstr "Errorea itsastean"
 
-#: umllistview.cpp:583
+#: umllistview.cpp:584
 #, kde-format
 msgid ""
 "File %1 already exists!\n"
 "The existing file will be overwritten."
 msgstr ""
 
-#: umllistview.cpp:584
+#: umllistview.cpp:585
 #, fuzzy, kde-format
 #| msgid "File Already Exists"
 msgid "File Exist"
 msgstr "Fitxategia dagoeneko existitzen da"
 
-#: umllistview.cpp:624
+#: umllistview.cpp:625
 #, kde-format
 msgid "Enter Model Name"
 msgstr "Sartu ereduaren izena"
 
-#: umllistview.cpp:625
+#: umllistview.cpp:626
 #, kde-format
 msgid "Enter the new name of the model:"
 msgstr "Sartu ereduaren izen berria:"
 
-#: umllistview.cpp:1422
+#: umllistview.cpp:1430
 #, kde-format
 msgid "Views"
 msgstr "Ikuspegiak"
 
-#: umllistview.cpp:1441
+#: umllistview.cpp:1449
 #, fuzzy, kde-format
 #| msgid "Role Settings"
 msgid "Settings"
 msgstr "Eginkizunen ezarpenak"
 
-#: umllistview.cpp:2413
+#: umllistview.cpp:2421
 #, kde-format
 msgid "Loading listview..."
 msgstr "Zerrenda-ikuspegia kargatzen..."
 
-#: umllistview.cpp:2764
+#: umllistview.cpp:2772
 #, fuzzy, kde-format
 #| msgid "The folder must be emptied before it can be deleted."
 msgid "The class must be emptied before it can be deleted."
 msgstr "Karpeta hustu behar da ezabatu aurretik."
 
-#: umllistview.cpp:2765
+#: umllistview.cpp:2773
 #, fuzzy, kde-format
 #| msgid "Folder Not Empty"
 msgid "Class Not Empty"
 msgstr "Karpeta ez dago hutsik"
 
-#: umllistview.cpp:2769
+#: umllistview.cpp:2777
 #, fuzzy, kde-format
 #| msgid "The folder must be emptied before it can be deleted."
 msgid "The package must be emptied before it can be deleted."
 msgstr "Karpeta hustu behar da ezabatu aurretik."
 
-#: umllistview.cpp:2770
+#: umllistview.cpp:2778
 #, fuzzy, kde-format
 #| msgid "Folder Not Empty"
 msgid "Package Not Empty"
 msgstr "Karpeta ez dago hutsik"
 
-#: umllistview.cpp:2774
+#: umllistview.cpp:2782
 #, kde-format
 msgid "The folder must be emptied before it can be deleted."
 msgstr "Karpeta hustu behar da ezabatu aurretik."
 
-#: umllistview.cpp:2775
+#: umllistview.cpp:2783
 #, kde-format
 msgid "Folder Not Empty"
 msgstr "Karpeta ez dago hutsik"
diff -pruN 4:20.08.3-1/po/fa/umbrello.po 4:20.12.0-0ubuntu1/po/fa/umbrello.po
--- 4:20.08.3-1/po/fa/umbrello.po	2020-11-03 00:42:15.000000000 +0000
+++ 4:20.12.0-0ubuntu1/po/fa/umbrello.po	2020-12-04 00:21:29.000000000 +0000
@@ -8,7 +8,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: umbrello\n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
-"POT-Creation-Date: 2020-08-14 08:09+0200\n"
+"POT-Creation-Date: 2020-11-06 02:36+0100\n"
 "PO-Revision-Date: 2014-07-19 17:56+0430\n"
 "Last-Translator: Mohi Mirdamadi <mohi@ubuntu.ir>\n"
 "Language-Team: Farsi (Persian) <kde-i18n-fa@kde.org>\n"
@@ -214,7 +214,7 @@ msgstr ""
 "حداقل یکی از فقره‌های تخته‌یادداشت چسبانده نشد، زیرا فقره‌ای با همان نام از قبل "
 "وجود دارد. سایر فقره‌ها چسبانده شده‌اند."
 
-#: clipboard/umlclipboard.cpp:753 uml.cpp:1689
+#: clipboard/umlclipboard.cpp:753 uml.cpp:1698
 #, kde-format
 msgid "Paste Error"
 msgstr "خطای چسباندن"
@@ -457,7 +457,7 @@ msgstr "<p align=\"center\">تولید 
 #. i18n: ectx: attribute (title), widget (QWidget, ui_tabGeneral)
 #: codegenerators/cpp/cppcodegenerationformbase.ui:51
 #: codegenwizard/codegenoptionspage.ui:39 dialogs/objectnodedialog.cpp:135
-#: umllistview.cpp:1451
+#: umllistview.cpp:1459
 #, kde-format
 msgid "General"
 msgstr "عمومی"
@@ -1347,7 +1347,7 @@ msgstr "راه‌اندازی"
 #. i18n: ectx: property (text), widget (QRadioButton, ui_categoryClass)
 #. i18n: ectx: property (text), widget (QTableWidget, ui_tableWidgetStatus)
 #: codegenwizard/codegenstatuspage.ui:40 codeimpwizard/codeimpstatuspage.ui:54
-#: dialogs/finddialog.ui:89 umllistview.cpp:1446 umlwidgets/widgetbase.cpp:1255
+#: dialogs/finddialog.ui:89 umllistview.cpp:1454 umlwidgets/widgetbase.cpp:1255
 #, kde-format
 msgid "Class"
 msgstr "رده"
@@ -2027,18 +2027,18 @@ msgstr ""
 msgid "Enable 'delete diagram' related messages"
 msgstr ""
 
-#: dialogs/dialog_utils.cpp:117
+#: dialogs/dialog_utils.cpp:118
 #, kde-format
 msgid "You are about to delete an association. Do you really want to continue?"
 msgstr ""
 
-#: dialogs/dialog_utils.cpp:118
+#: dialogs/dialog_utils.cpp:119
 #, fuzzy, kde-format
 #| msgid "Self Association"
 msgid "Delete Association"
 msgstr "انجمن شخصی"
 
-#: dialogs/dialog_utils.cpp:132
+#: dialogs/dialog_utils.cpp:133
 #, kde-format
 msgid ""
 "You are about to delete the entire diagram.\n"
@@ -2047,17 +2047,17 @@ msgstr ""
 "درصدد حذف کل نمودار هستید.\n"
 "مطمئنید؟"
 
-#: dialogs/dialog_utils.cpp:133
+#: dialogs/dialog_utils.cpp:134
 #, kde-format
 msgid "Are you sure you want to delete diagram %1?"
 msgstr "مطمئنید که می‌خواهید نمودار %1 را حذف کنید؟"
 
-#: dialogs/dialog_utils.cpp:138
+#: dialogs/dialog_utils.cpp:139
 #, kde-format
 msgid "Delete Diagram?"
 msgstr "نمودار حذف شود؟"
 
-#: dialogs/dialog_utils.cpp:139 dialogs/pages/classifierlistpage.cpp:215
+#: dialogs/dialog_utils.cpp:140 dialogs/pages/classifierlistpage.cpp:215
 #: dialogs/pages/classifierlistpage.cpp:223
 #: dialogs/umlforeignkeyconstraintdialog.cpp:325
 #: dialogs/umlforeignkeyconstraintdialog.cpp:331
@@ -2224,7 +2224,7 @@ msgstr "عمومی"
 #. i18n: ectx: label, entry (uiFont), group (UI Options)
 #. i18n: ectx: label, entry (codeViewerFont), group (Code Viewer Options)
 #: dialogs/multipagedialogbase.cpp:405 umbrello.kcfg:177 umbrello.kcfg:292
-#: umllistview.cpp:1450
+#: umllistview.cpp:1458
 #, kde-format
 msgid "Font"
 msgstr "قلم"
@@ -2656,7 +2656,7 @@ msgstr "خصیصه هستار &جدید.
 
 #: dialogs/pages/classifierlistpage.cpp:217
 #: dialogs/pages/classifierlistpage.cpp:225 dialogs/umloperationdialog.cpp:167
-#: dialogs/umloperationdialog.cpp:175 uml.cpp:554
+#: dialogs/umloperationdialog.cpp:175 uml.cpp:563
 #, kde-format
 msgid "&Properties"
 msgstr "&ویژگیها‌"
@@ -2674,7 +2674,7 @@ msgid "Source Code"
 msgstr "کد نما"
 
 #: dialogs/pages/classoptionspage.cpp:157
-#: dialogs/pages/classoptionspage.cpp:251 uml.cpp:509
+#: dialogs/pages/classoptionspage.cpp:251 uml.cpp:518
 #, fuzzy, kde-format
 #| msgid "Documentation"
 msgid "&Documentation"
@@ -2866,8 +2866,8 @@ msgstr "نامی که وارد کرده
 #: uml1model/classifier.cpp:410 uml1model/classifier.cpp:781
 #: uml1model/entity.cpp:125 uml1model/entity.cpp:178 uml1model/entity.cpp:228
 #: uml1model/entity.cpp:277 uml1model/enum.cpp:107 uml1model/instance.cpp:124
-#: uml1model/package.cpp:172 umldoc.cpp:1627 umldoc.cpp:1692 umldoc.cpp:1721
-#: umldoc.cpp:1755
+#: uml1model/package.cpp:178 umldoc.cpp:1629 umldoc.cpp:1694 umldoc.cpp:1723
+#: umldoc.cpp:1757
 #, kde-format
 msgid "Invalid Name"
 msgstr "نام نامعتبر"
@@ -2877,7 +2877,7 @@ msgstr "نام نامعتبر"
 msgid "The name you have entered is not unique."
 msgstr "نامی که وارد کرده‌اید، یکتا نیست."
 
-#: dialogs/pages/diagrampropertiespage.cpp:86 umldoc.cpp:1759
+#: dialogs/pages/diagrampropertiespage.cpp:86 umldoc.cpp:1761
 #, kde-format
 msgid "Name Not Unique"
 msgstr "نام، یکتا نیست"
@@ -3365,7 +3365,7 @@ msgstr "&نمودار‌"
 msgid "Umbrello Setup"
 msgstr "برپایی Umbrello"
 
-#: dialogs/settingsdialog.cpp:114 umllistview.cpp:1452
+#: dialogs/settingsdialog.cpp:114 umllistview.cpp:1460
 #, kde-format
 msgid "User Interface"
 msgstr "واسط کاربر"
@@ -3392,7 +3392,7 @@ msgstr "رده"
 msgid "Class Settings"
 msgstr "تنظیمات رده"
 
-#: dialogs/settingsdialog.cpp:137 umllistview.cpp:1447
+#: dialogs/settingsdialog.cpp:137 umllistview.cpp:1455
 #, fuzzy, kde-format
 #| msgid "Not Generated"
 msgid "Code Importer"
@@ -3404,7 +3404,7 @@ msgstr "تولید نشد"
 msgid "Code Import Settings"
 msgstr "تنظیمات مشاهده‌گر کد"
 
-#: dialogs/settingsdialog.cpp:146 umllistview.cpp:1448
+#: dialogs/settingsdialog.cpp:146 umllistview.cpp:1456
 #, kde-format
 msgid "Code Generation"
 msgstr "تولید کد"
@@ -3414,7 +3414,7 @@ msgstr "تولید کد"
 msgid "Code Generation Settings"
 msgstr "تنظیمات تولید کد"
 
-#: dialogs/settingsdialog.cpp:154 umllistview.cpp:1449
+#: dialogs/settingsdialog.cpp:154 umllistview.cpp:1457
 #, kde-format
 msgid "Code Viewer"
 msgstr "مشاهده‌گر کد"
@@ -3424,7 +3424,7 @@ msgstr "مشاهده‌گر کد"
 msgid "Code Viewer Settings"
 msgstr "تنظیمات مشاهده‌گر کد"
 
-#: dialogs/settingsdialog.cpp:161 umllistview.cpp:1445
+#: dialogs/settingsdialog.cpp:161 umllistview.cpp:1453
 #, fuzzy, kde-format
 msgid "Auto Layout"
 msgstr "ذخیره خودکار"
@@ -4080,7 +4080,7 @@ msgstr "&نوع:‌"
 msgid "Package path:"
 msgstr "نام بسته:"
 
-#: dialogs/widgets/umlstereotypewidget.cpp:29 uml1model/umlobject.cpp:1179
+#: dialogs/widgets/umlstereotypewidget.cpp:29 uml1model/umlobject.cpp:1180
 #, fuzzy, kde-format
 #| msgid "Stereotype name:"
 msgid "Stereotype &name:"
@@ -4225,7 +4225,7 @@ msgstr ""
 msgid "Gael de Chalendar (aka Kleag)"
 msgstr ""
 
-#: docgenerators/main.cpp:56 main.cpp:131
+#: docgenerators/main.cpp:56 main.cpp:133
 #, kde-format
 msgid "Umbrello UML Modeller Authors"
 msgstr "نویسندگان مدل‌ساز UML Umbrello"
@@ -4288,12 +4288,12 @@ msgstr ""
 msgid "Apply layout"
 msgstr "ذخیره خودکار"
 
-#: main.cpp:121
+#: main.cpp:123
 #, kde-format
 msgid "Umbrello UML Modeller"
 msgstr "مدل‌ساز Umbrello UML"
 
-#: main.cpp:123
+#: main.cpp:125
 #, kde-format
 msgid ""
 "Umbrello – Visual development environment for software, based on the "
@@ -4301,7 +4301,7 @@ msgid ""
 "\"http://www.omg.org/spec/\">http://www.omg.org/spec/</a>."
 msgstr ""
 
-#: main.cpp:127
+#: main.cpp:129
 #, fuzzy, kde-format
 #| msgid "Umbrello UML Modeller Authors"
 msgid ""
@@ -4309,100 +4309,100 @@ msgid ""
 "Copyright © 2002-2020 Umbrello UML Modeller Authors"
 msgstr "نویسندگان مدل‌ساز UML Umbrello"
 
-#: main.cpp:130
+#: main.cpp:132
 #, kde-format
 msgid "Paul Hensgen"
 msgstr ""
 
-#: main.cpp:130
+#: main.cpp:132
 #, kde-format
 msgid "Author of initial version."
 msgstr ""
 
-#: main.cpp:134
+#: main.cpp:136
 #, kde-format
 msgid "Oliver Kellogg"
 msgstr ""
 
-#: main.cpp:135 main.cpp:138
+#: main.cpp:137 main.cpp:140
 #, kde-format
 msgid "Bug fixing, porting work, code cleanup, new features."
 msgstr ""
 
-#: main.cpp:137
+#: main.cpp:139
 #, kde-format
 msgid "Ralf Habacker"
 msgstr ""
 
-#: main.cpp:140
+#: main.cpp:142
 #, kde-format
 msgid "Andi Fischer"
 msgstr ""
 
-#: main.cpp:141
+#: main.cpp:143
 #, kde-format
 msgid "Porting work, code cleanup, new features."
 msgstr ""
 
-#: main.cpp:143
+#: main.cpp:145
 #, kde-format
 msgid "Jonathan Riddell"
 msgstr ""
 
-#: main.cpp:144
+#: main.cpp:146
 #, fuzzy, kde-format
 #| msgid "&Current diagram"
 msgid "Current maintainer."
 msgstr "نمودار &جاری‌"
 
-#: main.cpp:146
+#: main.cpp:148
 #, kde-format
 msgid "Brian Thomas"
 msgstr ""
 
-#: main.cpp:147
+#: main.cpp:149
 #, kde-format
 msgid "A lot of work for C++ and Java code generation. Codeeditor."
 msgstr ""
 
-#: main.cpp:152
+#: main.cpp:154
 #, kde-format
 msgid "File to open"
 msgstr "پرونده برای باز کردن"
 
-#: main.cpp:153
+#: main.cpp:155
 #, kde-format
 msgid "export diagrams to extension and exit"
 msgstr "صادرات نمودارها به پسوند و خروج"
 
-#: main.cpp:154
+#: main.cpp:156
 #, kde-format
 msgid "list available export extensions"
 msgstr ""
 
-#: main.cpp:155
+#: main.cpp:157
 #, kde-format
 msgid "the local directory to save the exported diagrams in"
 msgstr "فهرست راهنمای محلی برای ذخیره نمودار صادرشده در"
 
-#: main.cpp:155
+#: main.cpp:157
 #, kde-format
 msgid "the directory of the file"
 msgstr "فهرست راهنمای پرونده"
 
-#: main.cpp:156
+#: main.cpp:158
 #, fuzzy, kde-format
 #| msgid "Exporting view..."
 msgid "import files"
 msgstr "در حال صادرات نما..."
 
-#: main.cpp:157
+#: main.cpp:159
 #, fuzzy, kde-format
 #| msgid "All Files"
 msgid "list supported languages"
 msgstr "همه پرونده‌ها"
 
-#: main.cpp:158
+#: main.cpp:160
 #, kde-format
 msgid ""
 "keep the tree structure used to store the views in the document in the "
@@ -4410,13 +4410,13 @@ msgid ""
 msgstr ""
 "حفظ ساختار درختی استفاده‌شده برای ذخیره کردن نماهای سند در فهرست راهنمای هدف"
 
-#: main.cpp:159
+#: main.cpp:161
 #, fuzzy, kde-format
 #| msgid "Import Project..."
 msgid "import files from directory <dir>"
 msgstr "واردات پروژه..."
 
-#: main.cpp:163
+#: main.cpp:165
 #, fuzzy, kde-format
 #| msgid "Active &Language"
 msgid "set active language"
@@ -4690,7 +4690,7 @@ msgstr "نمایش تخریب"
 msgid "Import File(s)..."
 msgstr "واردات رده‌ها..."
 
-#: menus/listpopupmenu.cpp:201 uml.cpp:356
+#: menus/listpopupmenu.cpp:201 uml.cpp:365
 #, fuzzy, kde-format
 #| msgid "Import Project..."
 msgid "Import from Directory..."
@@ -5216,42 +5216,42 @@ msgctxt "align menu"
 msgid "Align"
 msgstr "&هم‌تراز کردن‌"
 
-#: menus/widgetbasepopupmenu.cpp:598 uml.cpp:573
+#: menus/widgetbasepopupmenu.cpp:598 uml.cpp:582
 #, kde-format
 msgid "Align Right"
 msgstr "تراز راست"
 
-#: menus/widgetbasepopupmenu.cpp:599 uml.cpp:578
+#: menus/widgetbasepopupmenu.cpp:599 uml.cpp:587
 #, kde-format
 msgid "Align Left"
 msgstr "تراز چپ"
 
-#: menus/widgetbasepopupmenu.cpp:600 uml.cpp:583
+#: menus/widgetbasepopupmenu.cpp:600 uml.cpp:592
 #, kde-format
 msgid "Align Top"
 msgstr "تراز بالا"
 
-#: menus/widgetbasepopupmenu.cpp:601 uml.cpp:588
+#: menus/widgetbasepopupmenu.cpp:601 uml.cpp:597
 #, kde-format
 msgid "Align Bottom"
 msgstr "تراز پایین"
 
-#: menus/widgetbasepopupmenu.cpp:603 uml.cpp:593
+#: menus/widgetbasepopupmenu.cpp:603 uml.cpp:602
 #, kde-format
 msgid "Align Vertical Middle"
 msgstr "تراز میانی عمودی"
 
-#: menus/widgetbasepopupmenu.cpp:604 uml.cpp:598
+#: menus/widgetbasepopupmenu.cpp:604 uml.cpp:607
 #, kde-format
 msgid "Align Horizontal Middle"
 msgstr "تراز میانی افقی"
 
-#: menus/widgetbasepopupmenu.cpp:605 uml.cpp:603
+#: menus/widgetbasepopupmenu.cpp:605 uml.cpp:612
 #, kde-format
 msgid "Align Vertical Distribute"
 msgstr "همتراز کردن توزیع عمودی"
 
-#: menus/widgetbasepopupmenu.cpp:606 uml.cpp:608
+#: menus/widgetbasepopupmenu.cpp:606 uml.cpp:617
 #, kde-format
 msgid "Align Horizontal Distribute"
 msgstr "همتراز کردن توزیع افقی"
@@ -6177,8 +6177,8 @@ msgstr "پیام"
 #: object_factory.cpp:251 uml1model/classifier.cpp:410
 #: uml1model/classifier.cpp:781 uml1model/entity.cpp:125
 #: uml1model/entity.cpp:178 uml1model/entity.cpp:228 uml1model/entity.cpp:277
-#: uml1model/enum.cpp:107 uml1model/instance.cpp:124 uml1model/package.cpp:171
-#: umldoc.cpp:1721 umldoc.cpp:1755
+#: uml1model/enum.cpp:107 uml1model/instance.cpp:124 uml1model/package.cpp:177
+#: umldoc.cpp:1723 umldoc.cpp:1757
 #, kde-format
 msgid "That is an invalid name."
 msgstr "این یک نام نامعتبر است."
@@ -6197,7 +6197,7 @@ msgstr "کلید‌واژه ذخیره
 #: object_factory.cpp:264 uml1model/classifier.cpp:413
 #: uml1model/classifier.cpp:783 uml1model/entity.cpp:127
 #: uml1model/entity.cpp:180 uml1model/entity.cpp:230 uml1model/entity.cpp:279
-#: uml1model/instance.cpp:126 umldoc.cpp:1727 umldoc.cpp:1764
+#: uml1model/instance.cpp:126 umldoc.cpp:1729 umldoc.cpp:1766
 #, kde-format
 msgid "That name is already being used."
 msgstr "این نام، هم اکنون استفاده می‌شود."
@@ -6205,8 +6205,8 @@ msgstr "این نام، هم اکنون
 #: object_factory.cpp:265 uml1model/classifier.cpp:413
 #: uml1model/classifier.cpp:783 uml1model/entity.cpp:127
 #: uml1model/entity.cpp:180 uml1model/entity.cpp:230 uml1model/entity.cpp:279
-#: uml1model/instance.cpp:126 umldoc.cpp:1629 umldoc.cpp:1699 umldoc.cpp:1727
-#: umldoc.cpp:1764
+#: uml1model/instance.cpp:126 umldoc.cpp:1631 umldoc.cpp:1701 umldoc.cpp:1729
+#: umldoc.cpp:1766
 #, kde-format
 msgid "Not a Unique Name"
 msgstr "نام یکتا نیست"
@@ -6269,12 +6269,12 @@ msgstr "عملی با آن امضا از
 msgid "Choose a different name."
 msgstr "&استفاده از یک نام متفاوت‌"
 
-#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:266
+#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:273
 #, kde-format
 msgid "Incorrect use of associations."
 msgstr "استفاده نادرست انجمنها."
 
-#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:266
+#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:273
 #, kde-format
 msgid "Association Error"
 msgstr "خطای انجمن"
@@ -7473,193 +7473,193 @@ msgstr "&زبان فعال‌"
 msgid "&Settings"
 msgstr "تنظیمات نقش"
 
-#: uml.cpp:332
+#: uml.cpp:341
 #, kde-format
 msgid "&Export model to DocBook"
 msgstr "&صادرات مدل به DocBook‌"
 
-#: uml.cpp:336
+#: uml.cpp:345
 #, kde-format
 msgid "&Export model to XHTML"
 msgstr "&صادرات مدل به XHTML‌"
 
-#: uml.cpp:340
+#: uml.cpp:349
 #, kde-format
 msgid "&New Class Wizard..."
 msgstr "جادوگر رده &جدید...‌"
 
-#: uml.cpp:344
+#: uml.cpp:353
 #, kde-format
 msgid "&Add Default Datatypes for Active Language"
 msgstr "&افزودن انواع داده پیش‌فرض برای زبان فعال‌"
 
-#: uml.cpp:351
+#: uml.cpp:360
 #, fuzzy, kde-format
 #| msgid "&Code Generation Wizard..."
 msgid "Code &Importing Wizard..."
 msgstr "جادوگر تولید &کد...‌"
 
-#: uml.cpp:361
+#: uml.cpp:370
 #, kde-format
 msgid "&Code Generation Wizard..."
 msgstr "جادوگر تولید &کد...‌"
 
-#: uml.cpp:366
+#: uml.cpp:375
 #, kde-format
 msgid "&Generate All Code"
 msgstr "&تولید همه کدها‌"
 
-#: uml.cpp:411
+#: uml.cpp:420
 #, kde-format
 msgid "Creates a new document"
 msgstr "سند جدیدی تولید می‌کند"
 
-#: uml.cpp:412
+#: uml.cpp:421
 #, kde-format
 msgid "Opens an existing document"
 msgstr "سند موجود را باز می‌کند"
 
-#: uml.cpp:413
+#: uml.cpp:422
 #, kde-format
 msgid "Opens a recently used file"
 msgstr "پرونده اخیراً استفاده‌شده را باز می‌کند"
 
-#: uml.cpp:414
+#: uml.cpp:423
 #, kde-format
 msgid "Saves the document"
 msgstr "سند را ذخیره می‌کند"
 
-#: uml.cpp:415
+#: uml.cpp:424
 #, kde-format
 msgid "Saves the document as..."
 msgstr "ذخیره کردن سند به عنوان..."
 
-#: uml.cpp:416
+#: uml.cpp:425
 #, kde-format
 msgid "Closes the document"
 msgstr "سند را می‌بندد"
 
-#: uml.cpp:417
+#: uml.cpp:426
 #, kde-format
 msgid "Prints out the document"
 msgstr "سند را چاپ می‌کند"
 
-#: uml.cpp:418
+#: uml.cpp:427
 #, fuzzy, kde-format
 #| msgid "Prints out the document"
 msgid "Print Preview of the document"
 msgstr "سند را چاپ می‌کند"
 
-#: uml.cpp:419
+#: uml.cpp:428
 #, kde-format
 msgid "Quits the application"
 msgstr "کاربرد را خارج می‌کند"
 
-#: uml.cpp:420
+#: uml.cpp:429
 #, kde-format
 msgid "Exports the model to the docbook format"
 msgstr "مدل را به قالب docbook صادر می‌کند"
 
-#: uml.cpp:421
+#: uml.cpp:430
 #, kde-format
 msgid "Exports the model to the XHTML format"
 msgstr "مدل را به قالب XHTML صادر می‌کند"
 
-#: uml.cpp:422
+#: uml.cpp:431
 #, kde-format
 msgid "Cuts the selected section and puts it to the clipboard"
 msgstr "بخش برگزیده را برش زده و آن را در تخته یادداشت قرار می‌دهد"
 
-#: uml.cpp:423
+#: uml.cpp:432
 #, kde-format
 msgid "Copies the selected section to the clipboard"
 msgstr "بخش برگزیده را به تخته یادداشت رونوشت می‌کند"
 
-#: uml.cpp:424
+#: uml.cpp:433
 #, kde-format
 msgid "Pastes the contents of the clipboard"
 msgstr "محتویات تخته یادداشت را می‌چسباند"
 
-#: uml.cpp:425
+#: uml.cpp:434
 #, kde-format
 msgid "Set the default program preferences"
 msgstr "تنظیم ترجیحات برنامه پیش‌فرض"
 
-#: uml.cpp:429
+#: uml.cpp:438
 #, fuzzy, kde-format
 #| msgid "Delete &Selected"
 msgctxt "delete selected widget"
 msgid "Delete &Selected"
 msgstr "حذف &برگزیده‌"
 
-#: uml.cpp:440
+#: uml.cpp:449
 #, kde-format
 msgid "&Class Diagram..."
 msgstr "نمودار &رده...‌"
 
-#: uml.cpp:447
+#: uml.cpp:456
 #, fuzzy, kde-format
 #| msgid "S&tate Diagram..."
 msgid "&Object Diagram..."
 msgstr "نمودار &وضعیت...‌"
 
-#: uml.cpp:454
+#: uml.cpp:463
 #, kde-format
 msgid "&Sequence Diagram..."
 msgstr "نمودار &دنباله...‌"
 
-#: uml.cpp:460
+#: uml.cpp:469
 #, fuzzy, kde-format
 #| msgid "C&ollaboration Diagram..."
 msgid "C&ommunication Diagram..."
 msgstr "نمودار &همکاری...‌"
 
-#: uml.cpp:466
+#: uml.cpp:475
 #, kde-format
 msgid "&Use Case Diagram..."
 msgstr "نمودار مورد &استفاده...‌"
 
-#: uml.cpp:472
+#: uml.cpp:481
 #, kde-format
 msgid "S&tate Diagram..."
 msgstr "نمودار &وضعیت...‌"
 
-#: uml.cpp:478
+#: uml.cpp:487
 #, kde-format
 msgid "&Activity Diagram..."
 msgstr "نمودار &فعالیت...‌"
 
-#: uml.cpp:484
+#: uml.cpp:493
 #, kde-format
 msgid "Co&mponent Diagram..."
 msgstr "نمودار &مؤلفه...‌"
 
-#: uml.cpp:490
+#: uml.cpp:499
 #, kde-format
 msgid "&Deployment Diagram..."
 msgstr "نمودار &آرایش...‌"
 
-#: uml.cpp:496
+#: uml.cpp:505
 #, kde-format
 msgid "&Entity Relationship Diagram..."
 msgstr "نمودار رابطه &هستار...‌"
 
-#: uml.cpp:501 uml.cpp:954
+#: uml.cpp:510 uml.cpp:963
 #, kde-format
 msgid "&Tree View"
 msgstr "نمای &درخت‌"
 
-#: uml.cpp:505
+#: uml.cpp:514
 #, kde-format
 msgid "&Debugging"
 msgstr ""
 
-#: uml.cpp:513
+#: uml.cpp:522
 #, kde-format
 msgid "&Logging"
 msgstr ""
 
-#: uml.cpp:517
+#: uml.cpp:526
 #, fuzzy, kde-format
 #| msgid "Co&mmand history"
 msgid "&Command history"
@@ -7669,140 +7669,140 @@ msgstr "تاریخچه &فرمان‌"
 #. m_propertyDock->setObjectName(QLatin1String("PropertyDock"));
 #. addDockWidget(Qt::LeftDockWidgetArea, m_propertyDock);  //:TODO:
 #. create the bird's eye view
-#: uml.cpp:521 uml.cpp:1011
+#: uml.cpp:530 uml.cpp:1020
 #, kde-format
 msgid "&Bird's eye view"
 msgstr ""
 
-#: uml.cpp:526
+#: uml.cpp:535
 #, kde-format
 msgid "&Clear Diagram"
 msgstr "&پاک کردن نمودار‌"
 
-#: uml.cpp:530
+#: uml.cpp:539
 #, kde-format
 msgid "&Snap to Grid"
 msgstr "&پرش به توری‌"
 
-#: uml.cpp:534
+#: uml.cpp:543
 #, kde-format
 msgid "S&how Grid"
 msgstr "&نمایش توری‌"
 
-#: uml.cpp:539
+#: uml.cpp:548
 #, fuzzy, kde-format
 #| msgid "Delete Diagram"
 msgid "&Delete Diagram"
 msgstr "حذف نمودار"
 
-#: uml.cpp:544
+#: uml.cpp:553
 #, kde-format
 msgid "&Export as Picture..."
 msgstr "&صادرات به عنوان عکس...‌"
 
-#: uml.cpp:549
+#: uml.cpp:558
 #, fuzzy, kde-format
 #| msgid "Export &All Diagrams as Pictures..."
 msgid "Export &Diagrams as Pictures..."
 msgstr "صادرات &همه نمودارها به عنوان عکس...‌"
 
-#: uml.cpp:569
+#: uml.cpp:578
 #, kde-format
 msgid "Z&oom to 100%"
 msgstr "&بزرگ‌نمایی به ۱۰۰٪‌"
 
-#: uml.cpp:612
+#: uml.cpp:621
 #, kde-format
 msgid "&Move Tab Left"
 msgstr "&حرکت به تب چپ"
 
-#: uml.cpp:613
+#: uml.cpp:622
 #, kde-format
 msgid "&Move Tab Right"
 msgstr "&حرکت به تب راست‌"
 
-#: uml.cpp:636
+#: uml.cpp:645
 #, kde-format
 msgid "Select Diagram on Left"
 msgstr "برگزیدن نمودار در سمت چپ "
 
-#: uml.cpp:637
+#: uml.cpp:646
 #, kde-format
 msgid "Select Diagram on Right"
 msgstr "برگزیدن نمودار در سمت راست"
 
-#: uml.cpp:776
+#: uml.cpp:785
 #, kde-format
 msgctxt "%1 percent value from 20 to 500"
 msgid " &%1%"
 msgstr ""
 
-#: uml.cpp:826
+#: uml.cpp:835
 #, fuzzy, kde-format
 #| msgid "Ready"
 msgctxt "init status bar"
 msgid "Ready"
 msgstr "آماده"
 
-#: uml.cpp:835 uml.cpp:848
+#: uml.cpp:844 uml.cpp:857
 #, fuzzy, kde-format
 #| msgid "&100%"
 msgid "100%"
 msgstr "&۱۰۰٪‌"
 
-#: uml.cpp:840
+#: uml.cpp:849
 #, fuzzy, kde-format
 #| msgid "Filter"
 msgid "Fit"
 msgstr "پالایه"
 
-#: uml.cpp:899
+#: uml.cpp:908
 #, kde-format
 msgid "Diagram Toolbar"
 msgstr "میله ابزار نمودار"
 
-#: uml.cpp:965
+#: uml.cpp:974
 #, kde-format
 msgid "Doc&umentation"
 msgstr "&مستندات‌"
 
-#: uml.cpp:976
+#: uml.cpp:985
 #, kde-format
 msgid "Co&mmand history"
 msgstr "تاریخچه &فرمان‌"
 
-#: uml.cpp:992
+#: uml.cpp:1001
 #, kde-format
 msgid "&Debug"
 msgstr ""
 
-#: uml.cpp:999
+#: uml.cpp:1008
 #, kde-format
 msgid "&Log"
 msgstr ""
 
-#: uml.cpp:1041 uml.cpp:1258 uml.cpp:1307
+#: uml.cpp:1050 uml.cpp:1267 uml.cpp:1316
 #, kde-format
 msgid "Opening file..."
 msgstr "در حال باز کردن پرونده..."
 
-#: uml.cpp:1092 uml.cpp:1157 uml.cpp:1342 umldoc.cpp:342 umldoc.cpp:344
-#: umldoc.cpp:368 umldoc.cpp:3396
+#: uml.cpp:1101 uml.cpp:1166 uml.cpp:1351 umldoc.cpp:343 umldoc.cpp:345
+#: umldoc.cpp:369 umldoc.cpp:3405
 #, kde-format
 msgid "Untitled"
 msgstr "بدون عنوان"
 
-#: uml.cpp:1240
+#: uml.cpp:1249
 #, kde-format
 msgid "Creating new document..."
 msgstr "در حال ایجاد سند جدید..."
 
-#: uml.cpp:1266 uml.cpp:1281
+#: uml.cpp:1275 uml.cpp:1290
 #, kde-format
 msgid "Open File"
 msgstr "باز کردن پرونده"
 
-#: uml.cpp:1270
+#: uml.cpp:1279
 #, fuzzy, kde-format
 #| msgid ""
 #| "*.xmi *.xmi.tgz *.xmi.tar.bz2 *.mdl|All Supported Files (*.xmi, *.xmi."
@@ -7827,22 +7827,22 @@ msgstr ""
 "*.xmi.tar.bz2|پرونده‌های XMI فشرده Bzip2 (*.xmi.tar.bz2)\n"
 "*.mdl|پرونده‌های مدل Rose"
 
-#: uml.cpp:1341
+#: uml.cpp:1350
 #, kde-format
 msgid "Saving file..."
 msgstr "در حال ذخیره پرونده..."
 
-#: uml.cpp:1358
+#: uml.cpp:1367
 #, kde-format
 msgid "Saving file with a new filename..."
 msgstr "در حال ذخیره پرونده با نام پرونده‌ای جدید..."
 
-#: uml.cpp:1368 uml.cpp:1374 umlviewimageexporter.cpp:199
+#: uml.cpp:1377 uml.cpp:1383 umlviewimageexporter.cpp:199
 #, kde-format
 msgid "Save As"
 msgstr "ذخیره به عنوان"
 
-#: uml.cpp:1369
+#: uml.cpp:1378
 #, fuzzy, kde-format
 #| msgid ""
 #| "*.xmi|XMI File\n"
@@ -7858,7 +7858,7 @@ msgstr ""
 "*.xmi.tar.bz2|پرونده XMI فشرده Bzip2\n"
 "*|همه پرونده‌ها"
 
-#: uml.cpp:1374
+#: uml.cpp:1383
 #, fuzzy, kde-format
 #| msgid ""
 #| "*.xmi|XMI File\n"
@@ -7876,7 +7876,7 @@ msgstr ""
 "*.xmi.tar.bz2|پرونده XMI فشرده Bzip2\n"
 "*|همه پرونده‌ها"
 
-#: uml.cpp:1387
+#: uml.cpp:1396
 #, kde-format
 msgid ""
 "The file %1 exists.\n"
@@ -7885,68 +7885,68 @@ msgstr ""
 "پرونده %1 وجود دارد.\n"
 "می‌خواهید آن را جای‌نوشت کنید؟"
 
-#: uml.cpp:1388
+#: uml.cpp:1397
 #, kde-format
 msgid "Warning"
 msgstr "اخطار"
 
-#: uml.cpp:1388
+#: uml.cpp:1397
 #, kde-format
 msgid "Overwrite"
 msgstr "جای‌نوشت"
 
-#: uml.cpp:1422
+#: uml.cpp:1431
 #, kde-format
 msgid "Closing file..."
 msgstr "در حال بستن پرونده..."
 
-#: uml.cpp:1432
+#: uml.cpp:1441
 #, kde-format
 msgid "No search term entered"
 msgstr ""
 
-#: uml.cpp:1438
+#: uml.cpp:1447
 #, kde-format
 msgid "'%1': %2 found"
 msgstr ""
 
-#: uml.cpp:1502
+#: uml.cpp:1511
 #, fuzzy, kde-format
 #| msgid "Exporting view..."
 msgid "Print Preview..."
 msgstr "در حال صادرات نما..."
 
-#: uml.cpp:1529
+#: uml.cpp:1538
 #, kde-format
 msgid "Printing..."
 msgstr "چاپ..."
 
-#: uml.cpp:1536 uml.cpp:1540
+#: uml.cpp:1545 uml.cpp:1549
 #, kde-format
 msgid "Print %1"
 msgstr "چاپ %1"
 
-#: uml.cpp:1560
+#: uml.cpp:1569
 #, kde-format
 msgid "Exiting..."
 msgstr "خروج..."
 
-#: uml.cpp:1647
+#: uml.cpp:1656
 #, kde-format
 msgid "Cutting selection..."
 msgstr "در حال برش گزینش..."
 
-#: uml.cpp:1670
+#: uml.cpp:1679
 #, kde-format
 msgid "Copying selection to clipboard..."
 msgstr "در حال رونوشت گزینش به تخته یادداشت..."
 
-#: uml.cpp:1682
+#: uml.cpp:1691
 #, kde-format
 msgid "Inserting clipboard contents..."
 msgstr "در حال درج محتویات تخته یادداشت..."
 
-#: uml.cpp:1687
+#: uml.cpp:1696
 #, kde-format
 msgid ""
 "Umbrello could not paste the clipboard contents.  The objects in the "
@@ -7955,40 +7955,40 @@ msgstr ""
 "Umbrello نتوانست محتویات تخته یادداشت را بچسباند. ممکن است اشیای درون تخته "
 "یادداشت از نوع نادرست، اینجا درج شود."
 
-#: uml.cpp:1713 umlviewimageexporter.cpp:92 umlviewimageexporterall.cpp:123
+#: uml.cpp:1722 umlviewimageexporter.cpp:92 umlviewimageexporterall.cpp:123
 #, fuzzy, kde-format
 msgctxt "reset status bar"
 msgid "Ready."
 msgstr "آماده."
 
-#: uml.cpp:2246
+#: uml.cpp:2255
 #, kde-format
 msgid "Cannot view code until you generate some first."
 msgstr "تا در ابتدا چند کد تولید نکنید، نمی‌توانید کد را ببینید."
 
-#: uml.cpp:2246 uml.cpp:2249
+#: uml.cpp:2255 uml.cpp:2258
 #, kde-format
 msgid "Cannot View Code"
 msgstr "نمی‌توان کد را دید"
 
-#: uml.cpp:2249
+#: uml.cpp:2258
 #, kde-format
 msgid "Cannot view code from simple code writer."
 msgstr "نمی‌توان کد را از نویسنده کد ساده دید."
 
-#: uml.cpp:2714 uml.cpp:2716
+#: uml.cpp:2728 uml.cpp:2730
 #, fuzzy, kde-format
 #| msgid "Select Code to Import"
 msgid "Select file(s) to import:"
 msgstr "برگزیدن کد برای واردات"
 
-#: uml.cpp:2747 uml.cpp:2749
+#: uml.cpp:2761 uml.cpp:2763
 #, fuzzy, kde-format
 #| msgid "Select Code to Import"
 msgid "Select directory to import:"
 msgstr "برگزیدن کد برای واردات"
 
-#: uml.cpp:3313
+#: uml.cpp:3335
 #, kde-format
 msgid "XHTML Generation failed ."
 msgstr ""
@@ -8004,20 +8004,20 @@ msgid ""
 msgstr ""
 "عملی با همان نام و امضا از قبل وجود دارد. نمی‌توانید آن را دوباره اضافه کنید."
 
-#: uml1model/folder.cpp:435
+#: uml1model/folder.cpp:436
 #, kde-format
 msgid "The folderfile %1 does not exist."
 msgstr "پرونده پوشه %1 وجود ندارد."
 
-#: uml1model/folder.cpp:435 uml1model/folder.cpp:439 umldoc.cpp:529
-#: umldoc.cpp:541 umldoc.cpp:568 umldoc.cpp:570 umldoc.cpp:620 umldoc.cpp:623
-#: umldoc.cpp:638 umldoc.cpp:641 umldoc.cpp:665 umldoc.cpp:668 umldoc.cpp:684
-#: umldoc.cpp:687 umldoc.cpp:702 umldoc.cpp:705 umldoc.cpp:750
+#: uml1model/folder.cpp:436 uml1model/folder.cpp:440 umldoc.cpp:530
+#: umldoc.cpp:542 umldoc.cpp:569 umldoc.cpp:571 umldoc.cpp:621 umldoc.cpp:624
+#: umldoc.cpp:639 umldoc.cpp:642 umldoc.cpp:666 umldoc.cpp:669 umldoc.cpp:685
+#: umldoc.cpp:688 umldoc.cpp:703 umldoc.cpp:706 umldoc.cpp:751
 #, kde-format
 msgid "Load Error"
 msgstr "خطای بار کردن"
 
-#: uml1model/folder.cpp:439
+#: uml1model/folder.cpp:440
 #, kde-format
 msgid "The folderfile %1 cannot be opened."
 msgstr "پرونده پوشه %1 باز نمی‌شود."
@@ -8027,13 +8027,13 @@ msgstr "پرونده پوشه %1 باز
 msgid "new_parameter"
 msgstr ""
 
-#: uml1model/package.cpp:163
+#: uml1model/package.cpp:169
 #, fuzzy, kde-format
 msgctxt "object name"
 msgid "Name"
 msgstr "نام"
 
-#: uml1model/package.cpp:164
+#: uml1model/package.cpp:170
 #, kde-format
 msgid ""
 "An object with the name %1\n"
@@ -8056,79 +8056,79 @@ msgstr ""
 msgid "new_fkey_constraint"
 msgstr ""
 
-#: uml1model/umlobject.cpp:1140
+#: uml1model/umlobject.cpp:1141
 #, kde-format
 msgid "Actor &name:"
 msgstr "&نام کنشگر:‌"
 
-#: uml1model/umlobject.cpp:1143
+#: uml1model/umlobject.cpp:1144
 #, kde-format
 msgid "Artifact &name:"
 msgstr "&نام مصنوعی:‌"
 
-#: uml1model/umlobject.cpp:1146
+#: uml1model/umlobject.cpp:1147
 #, fuzzy, kde-format
 #| msgid "Association Name"
 msgid "Association &name:"
 msgstr "نام انجمن"
 
-#: uml1model/umlobject.cpp:1149
+#: uml1model/umlobject.cpp:1150
 #, kde-format
 msgid "Class &name:"
 msgstr "&نام رده:‌"
 
-#: uml1model/umlobject.cpp:1152
+#: uml1model/umlobject.cpp:1153
 #, kde-format
 msgid "Component &name:"
 msgstr "&نام مؤلفه:‌"
 
-#: uml1model/umlobject.cpp:1155
+#: uml1model/umlobject.cpp:1156
 #, kde-format
 msgid "Datatype &name:"
 msgstr "&نام نوع داده:‌"
 
-#: uml1model/umlobject.cpp:1158
+#: uml1model/umlobject.cpp:1159
 #, kde-format
 msgid "Entity &name:"
 msgstr "&نام هستار:‌"
 
-#: uml1model/umlobject.cpp:1161
+#: uml1model/umlobject.cpp:1162
 #, kde-format
 msgid "Enum &name:"
 msgstr "&نام شمارشی:"
 
-#: uml1model/umlobject.cpp:1164
+#: uml1model/umlobject.cpp:1165
 #, fuzzy, kde-format
 msgid "Folder &name:"
 msgstr "نام گره:"
 
-#: uml1model/umlobject.cpp:1167
+#: uml1model/umlobject.cpp:1168
 #, kde-format
 msgid "Interface &name:"
 msgstr "&نام واسط:‌"
 
-#: uml1model/umlobject.cpp:1170
+#: uml1model/umlobject.cpp:1171
 #, fuzzy, kde-format
 msgid "Node &name:"
 msgstr "نام گره:"
 
-#: uml1model/umlobject.cpp:1173
+#: uml1model/umlobject.cpp:1174
 #, kde-format
 msgid "Package &name:"
 msgstr "&نام بسته:‌"
 
-#: uml1model/umlobject.cpp:1176
+#: uml1model/umlobject.cpp:1177
 #, fuzzy, kde-format
 #| msgid "Actor &name:"
 msgid "Port &name:"
 msgstr "&نام کنشگر:‌"
 
-#: uml1model/umlobject.cpp:1182
+#: uml1model/umlobject.cpp:1183
 #, kde-format
 msgid "Use case &name:"
 msgstr "&نام مورد استفاده:‌"
 
-#: uml1model/umlobject.cpp:1185
+#: uml1model/umlobject.cpp:1186
 #, kde-format
 msgid "Instance name:"
 msgstr "نام نمونه:"
@@ -8149,42 +8149,42 @@ msgstr "کلیشه"
 msgid "Welcome"
 msgstr ""
 
-#: umldoc.cpp:112 umldoc.cpp:2400 umldoc.cpp:2428
+#: umldoc.cpp:113 umldoc.cpp:2405 umldoc.cpp:2433
 #, kde-format
 msgid "UML Model"
 msgstr "مدل UML"
 
-#: umldoc.cpp:154
+#: umldoc.cpp:155
 #, kde-format
 msgid "Logical View"
 msgstr "نمای منطقی"
 
-#: umldoc.cpp:155
+#: umldoc.cpp:156
 #, kde-format
 msgid "Use Case View"
 msgstr "نمای مورد استفاده"
 
-#: umldoc.cpp:156
+#: umldoc.cpp:157
 #, kde-format
 msgid "Component View"
 msgstr "نمای مؤلفه"
 
-#: umldoc.cpp:157
+#: umldoc.cpp:158
 #, kde-format
 msgid "Deployment View"
 msgstr "نمای آرایش"
 
-#: umldoc.cpp:158
+#: umldoc.cpp:159
 #, kde-format
 msgid "Entity Relationship Model"
 msgstr "مدل رابطه هستار"
 
-#: umldoc.cpp:184
+#: umldoc.cpp:185
 #, kde-format
 msgid "Datatypes"
 msgstr "انواع داده"
 
-#: umldoc.cpp:363
+#: umldoc.cpp:364
 #, kde-format
 msgid ""
 "The current file has been modified.\n"
@@ -8193,171 +8193,171 @@ msgstr ""
 "پرونده جاری تغییر کرده است.\n"
 "می‌خواهید آن را ذخیره کنید؟"
 
-#: umldoc.cpp:364
+#: umldoc.cpp:365
 #, fuzzy, kde-format
 msgctxt "warning message"
 msgid "Warning"
 msgstr "اخطار"
 
-#: umldoc.cpp:529
+#: umldoc.cpp:530
 #, fuzzy, kde-format
 #| msgid "The file %1 does not exist."
 msgid "The file <%1> does not exist."
 msgstr "پرونده %1 وجود ندارد."
 
-#: umldoc.cpp:541
+#: umldoc.cpp:542
 #, kde-format
 msgid "The file %1 does not exist."
 msgstr "پرونده %1 وجود ندارد."
 
-#: umldoc.cpp:568 umldoc.cpp:570
+#: umldoc.cpp:569 umldoc.cpp:571
 #, kde-format
 msgid "The file %1 seems to be corrupted."
 msgstr "به نظر می‌رسد پرونده %1 خراب باشد."
 
-#: umldoc.cpp:619 umldoc.cpp:622 umldoc.cpp:637 umldoc.cpp:640 umldoc.cpp:683
-#: umldoc.cpp:686
+#: umldoc.cpp:620 umldoc.cpp:623 umldoc.cpp:638 umldoc.cpp:641 umldoc.cpp:684
+#: umldoc.cpp:687
 #, kde-format
 msgid "There was no XMI file found in the compressed file %1."
 msgstr "پرونده XMI در پرونده فشرده %1 وجود ندارد."
 
-#: umldoc.cpp:664 umldoc.cpp:667
+#: umldoc.cpp:665 umldoc.cpp:668
 #, kde-format
 msgid "There was a problem loading the extracted file: %1"
 msgstr "مسئله بار کردن پرونده استخراج‌شده وجود دارد: %1"
 
-#: umldoc.cpp:701 umldoc.cpp:704 umldoc.cpp:744 umldoc.cpp:746
+#: umldoc.cpp:702 umldoc.cpp:705 umldoc.cpp:745 umldoc.cpp:747
 #, kde-format
 msgid "There was a problem loading file: %1"
 msgstr "مسئله بار کردن پرونده وجود دارد: %1"
 
-#: umldoc.cpp:749
+#: umldoc.cpp:750
 #, kde-format
 msgid "Reason: %1"
 msgstr ""
 
-#: umldoc.cpp:832 umldoc.cpp:834 umldoc.cpp:851 umldoc.cpp:853 umldoc.cpp:873
-#: umldoc.cpp:875 umldoc.cpp:924 umldoc.cpp:926 umldoc.cpp:966 umldoc.cpp:969
-#: umldoc.cpp:978 umldoc.cpp:980 umllistview.cpp:593
+#: umldoc.cpp:833 umldoc.cpp:835 umldoc.cpp:852 umldoc.cpp:854 umldoc.cpp:874
+#: umldoc.cpp:876 umldoc.cpp:925 umldoc.cpp:927 umldoc.cpp:968 umldoc.cpp:971
+#: umldoc.cpp:980 umldoc.cpp:982 umllistview.cpp:594
 #, kde-format
 msgid "Save Error"
 msgstr "خطای ذخیره کردن"
 
-#: umldoc.cpp:832 umldoc.cpp:851 umldoc.cpp:873 umldoc.cpp:924 umldoc.cpp:966
+#: umldoc.cpp:833 umldoc.cpp:852 umldoc.cpp:874 umldoc.cpp:925 umldoc.cpp:968
 #, fuzzy, kde-format
 #| msgid "There was a problem saving file: %1"
 msgid "There was a problem saving: %1"
 msgstr "مسئله ذخیره پرونده وجود دارد: %1"
 
-#: umldoc.cpp:834 umldoc.cpp:853 umldoc.cpp:875 umldoc.cpp:926 umldoc.cpp:969
-#: umllistview.cpp:592 umlviewimageexportermodel.cpp:303
+#: umldoc.cpp:835 umldoc.cpp:854 umldoc.cpp:876 umldoc.cpp:927 umldoc.cpp:971
+#: umllistview.cpp:593 umlviewimageexportermodel.cpp:303
 #, kde-format
 msgid "There was a problem saving file: %1"
 msgstr "مسئله ذخیره پرونده وجود دارد: %1"
 
-#: umldoc.cpp:978
+#: umldoc.cpp:980
 #, fuzzy, kde-format
 #| msgid "There was a problem uploading file: %1"
 msgid "There was a problem uploading: %1"
 msgstr "مسئله بارگذاری پرونده وجود دارد: %1"
 
-#: umldoc.cpp:980
+#: umldoc.cpp:982
 #, kde-format
 msgid "There was a problem uploading file: %1"
 msgstr "مسئله بارگذاری پرونده وجود دارد: %1"
 
-#: umldoc.cpp:1526
+#: umldoc.cpp:1528
 #, kde-format
 msgid "use case diagram"
 msgstr "نمودار مورد استفاده"
 
-#: umldoc.cpp:1529
+#: umldoc.cpp:1531
 #, kde-format
 msgid "class diagram"
 msgstr "نمودار رده"
 
-#: umldoc.cpp:1532
+#: umldoc.cpp:1534
 #, kde-format
 msgid "sequence diagram"
 msgstr "نمودار دنباله"
 
-#: umldoc.cpp:1535
+#: umldoc.cpp:1537
 #, fuzzy, kde-format
 #| msgid "collaboration diagram"
 msgid "communication diagram"
 msgstr "نمودار همکاری"
 
-#: umldoc.cpp:1538
+#: umldoc.cpp:1540
 #, fuzzy, kde-format
 #| msgid "&Select diagrams"
 msgid "object diagram"
 msgstr "&برگزیدن نمودارها‌"
 
-#: umldoc.cpp:1541
+#: umldoc.cpp:1543
 #, kde-format
 msgid "state diagram"
 msgstr "نمودار وضعیت"
 
-#: umldoc.cpp:1544
+#: umldoc.cpp:1546
 #, kde-format
 msgid "activity diagram"
 msgstr "نمودار فعالیت"
 
-#: umldoc.cpp:1547
+#: umldoc.cpp:1549
 #, kde-format
 msgid "component diagram"
 msgstr "نمودار مؤلفه"
 
-#: umldoc.cpp:1550
+#: umldoc.cpp:1552
 #, kde-format
 msgid "deployment diagram"
 msgstr "نمودار آرایش"
 
-#: umldoc.cpp:1553
+#: umldoc.cpp:1555
 #, kde-format
 msgid "entity relationship diagram"
 msgstr "نمودار رابطه هستار"
 
-#: umldoc.cpp:1623
+#: umldoc.cpp:1625
 #, fuzzy, kde-format
 msgctxt "diagram name"
 msgid "Name"
 msgstr "نام"
 
-#: umldoc.cpp:1623 umldoc.cpp:1686 umldoc.cpp:1715 umldoc.cpp:1749
+#: umldoc.cpp:1625 umldoc.cpp:1688 umldoc.cpp:1717 umldoc.cpp:1751
 #, kde-format
 msgid "Enter name:"
 msgstr "نام را وارد کنید:"
 
-#: umldoc.cpp:1627 umldoc.cpp:1692
+#: umldoc.cpp:1629 umldoc.cpp:1694
 #, kde-format
 msgid "That is an invalid name for a diagram."
 msgstr "این نام نامعتبری برای نمودار است."
 
-#: umldoc.cpp:1629 umldoc.cpp:1699
+#: umldoc.cpp:1631 umldoc.cpp:1701
 #, kde-format
 msgid "A diagram is already using that name."
 msgstr "هم اکنون نمودار از آن نام استفاده می‌کند."
 
-#: umldoc.cpp:1685
+#: umldoc.cpp:1687
 #, fuzzy, kde-format
 msgctxt "renaming diagram"
 msgid "Name"
 msgstr "نام"
 
-#: umldoc.cpp:1714
+#: umldoc.cpp:1716
 #, fuzzy, kde-format
 msgctxt "renaming uml object"
 msgid "Name"
 msgstr "نام"
 
-#: umldoc.cpp:1748
+#: umldoc.cpp:1750
 #, fuzzy, kde-format
 msgctxt "renaming child uml object"
 msgid "Name"
 msgstr "نام"
 
-#: umldoc.cpp:1758
+#: umldoc.cpp:1760
 #, kde-format
 msgid ""
 "The name you entered was not unique.\n"
@@ -8366,131 +8366,131 @@ msgstr ""
 "نامی که وارد کردید، یکتا نبود.\n"
 "این چیزی است که می‌خواستید؟"
 
-#: umldoc.cpp:1759
+#: umldoc.cpp:1761
 #, kde-format
 msgid "Use Name"
 msgstr "استفاده از نام"
 
-#: umldoc.cpp:1759
+#: umldoc.cpp:1761
 #, kde-format
 msgid "Enter New Name"
 msgstr "وارد کردن نام جدید"
 
-#: umldoc.cpp:2361
+#: umldoc.cpp:2366
 #, kde-format
 msgid "Unsupported xmi file version: %1"
 msgstr ""
 
-#: umldoc.cpp:2511
+#: umldoc.cpp:2516
 #, kde-format
 msgid "Setting up the document..."
 msgstr "در حال برپایی سند..."
 
-#: umldoc.cpp:2540
+#: umldoc.cpp:2545
 #, kde-format
 msgid "Resolving object references..."
 msgstr "رفع ارجاعات شیء..."
 
-#: umldoc.cpp:2648
+#: umldoc.cpp:2653
 #, kde-format
 msgid "Loading UML elements..."
 msgstr "در حال بارگذاری عناصر UML..."
 
-#: umldoc.cpp:2892
+#: umldoc.cpp:2899
 #, kde-format
 msgid "Loading diagrams..."
 msgstr "در حال بارگذاری نمودارها..."
 
-#: umldoc.cpp:3400
+#: umldoc.cpp:3409
 #, kde-format
 msgid "/autosave%1"
 msgstr "/ذخیره خودکار%1"
 
-#: umllistview.cpp:536 umllistview.cpp:540
+#: umllistview.cpp:537 umllistview.cpp:541
 #, kde-format
 msgid "Externalize Folder"
 msgstr "خارجی کردن پوشه"
 
-#: umllistview.cpp:574
+#: umllistview.cpp:575
 #, kde-format
 msgid "Folder %1 must be relative to the main model directory, %2."
 msgstr ""
 
-#: umllistview.cpp:575
+#: umllistview.cpp:576
 #, fuzzy, kde-format
 #| msgid "Paste Error"
 msgid "Path Error"
 msgstr "خطای چسباندن"
 
-#: umllistview.cpp:583
+#: umllistview.cpp:584
 #, kde-format
 msgid ""
 "File %1 already exists!\n"
 "The existing file will be overwritten."
 msgstr ""
 
-#: umllistview.cpp:584
+#: umllistview.cpp:585
 #, fuzzy, kde-format
 #| msgid "File Already Exists"
 msgid "File Exist"
 msgstr "پرونده از قبل وجود دارد"
 
-#: umllistview.cpp:624
+#: umllistview.cpp:625
 #, kde-format
 msgid "Enter Model Name"
 msgstr "وارد کردن نام مدل"
 
-#: umllistview.cpp:625
+#: umllistview.cpp:626
 #, kde-format
 msgid "Enter the new name of the model:"
 msgstr "نام جدید مدل را وارد کنید:"
 
-#: umllistview.cpp:1422
+#: umllistview.cpp:1430
 #, kde-format
 msgid "Views"
 msgstr "نماها"
 
-#: umllistview.cpp:1441
+#: umllistview.cpp:1449
 #, fuzzy, kde-format
 #| msgid "Role Settings"
 msgid "Settings"
 msgstr "تنظیمات نقش"
 
-#: umllistview.cpp:2413
+#: umllistview.cpp:2421
 #, kde-format
 msgid "Loading listview..."
 msgstr "در حال بارگذاری نمای فهرست..."
 
-#: umllistview.cpp:2764
+#: umllistview.cpp:2772
 #, fuzzy, kde-format
 #| msgid "The folder must be emptied before it can be deleted."
 msgid "The class must be emptied before it can be deleted."
 msgstr "پوشه باید قبل از اینکه بتواند حذف شود، خالی شود."
 
-#: umllistview.cpp:2765
+#: umllistview.cpp:2773
 #, fuzzy, kde-format
 #| msgid "Folder Not Empty"
 msgid "Class Not Empty"
 msgstr "پوشه خالی نیست"
 
-#: umllistview.cpp:2769
+#: umllistview.cpp:2777
 #, fuzzy, kde-format
 #| msgid "The folder must be emptied before it can be deleted."
 msgid "The package must be emptied before it can be deleted."
 msgstr "پوشه باید قبل از اینکه بتواند حذف شود، خالی شود."
 
-#: umllistview.cpp:2770
+#: umllistview.cpp:2778
 #, fuzzy, kde-format
 #| msgid "Folder Not Empty"
 msgid "Package Not Empty"
 msgstr "پوشه خالی نیست"
 
-#: umllistview.cpp:2774
+#: umllistview.cpp:2782
 #, kde-format
 msgid "The folder must be emptied before it can be deleted."
 msgstr "پوشه باید قبل از اینکه بتواند حذف شود، خالی شود."
 
-#: umllistview.cpp:2775
+#: umllistview.cpp:2783
 #, kde-format
 msgid "Folder Not Empty"
 msgstr "پوشه خالی نیست"
diff -pruN 4:20.08.3-1/po/fi/umbrello.po 4:20.12.0-0ubuntu1/po/fi/umbrello.po
--- 4:20.08.3-1/po/fi/umbrello.po	2020-11-03 00:42:15.000000000 +0000
+++ 4:20.12.0-0ubuntu1/po/fi/umbrello.po	2020-12-04 00:21:29.000000000 +0000
@@ -11,7 +11,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: umbrello\n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
-"POT-Creation-Date: 2020-08-14 08:09+0200\n"
+"POT-Creation-Date: 2020-11-06 02:36+0100\n"
 "PO-Revision-Date: 2019-10-16 12:13+0300\n"
 "Last-Translator: Tommi Nieminen <translator@legisign.org>\n"
 "Language-Team: Finnish <kde-i18n-doc@kde.org>\n"
@@ -220,7 +220,7 @@ msgstr ""
 "Ainakin yksi kohde on jäänyt tuomatta leikepöydältä, koska samanniminen "
 "kohde on jo olemassa. Kaikki muut on lisätty."
 
-#: clipboard/umlclipboard.cpp:753 uml.cpp:1689
+#: clipboard/umlclipboard.cpp:753 uml.cpp:1698
 #, kde-format
 msgid "Paste Error"
 msgstr "Liittämisvirhe"
@@ -446,7 +446,7 @@ msgstr "<p align=\"center\">C++-koodin l
 #. i18n: ectx: attribute (title), widget (QWidget, ui_tabGeneral)
 #: codegenerators/cpp/cppcodegenerationformbase.ui:51
 #: codegenwizard/codegenoptionspage.ui:39 dialogs/objectnodedialog.cpp:135
-#: umllistview.cpp:1451
+#: umllistview.cpp:1459
 #, kde-format
 msgid "General"
 msgstr "Perusasetukset"
@@ -1319,7 +1319,7 @@ msgstr "Tila"
 #. i18n: ectx: property (text), widget (QRadioButton, ui_categoryClass)
 #. i18n: ectx: property (text), widget (QTableWidget, ui_tableWidgetStatus)
 #: codegenwizard/codegenstatuspage.ui:40 codeimpwizard/codeimpstatuspage.ui:54
-#: dialogs/finddialog.ui:89 umllistview.cpp:1446 umlwidgets/widgetbase.cpp:1255
+#: dialogs/finddialog.ui:89 umllistview.cpp:1454 umlwidgets/widgetbase.cpp:1255
 #, kde-format
 msgid "Class"
 msgstr "Luokka"
@@ -1979,18 +1979,18 @@ msgstr ""
 msgid "Enable 'delete diagram' related messages"
 msgstr ""
 
-#: dialogs/dialog_utils.cpp:117
+#: dialogs/dialog_utils.cpp:118
 #, kde-format
 msgid "You are about to delete an association. Do you really want to continue?"
 msgstr ""
 
-#: dialogs/dialog_utils.cpp:118
+#: dialogs/dialog_utils.cpp:119
 #, fuzzy, kde-format
 #| msgid "Self Association"
 msgid "Delete Association"
 msgstr "Itseyhteys"
 
-#: dialogs/dialog_utils.cpp:132
+#: dialogs/dialog_utils.cpp:133
 #, kde-format
 msgid ""
 "You are about to delete the entire diagram.\n"
@@ -1999,17 +1999,17 @@ msgstr ""
 "Olet poistamassa kaaviota.\n"
 "Oletko varma?"
 
-#: dialogs/dialog_utils.cpp:133
+#: dialogs/dialog_utils.cpp:134
 #, kde-format
 msgid "Are you sure you want to delete diagram %1?"
 msgstr "Haluatko varmasti poistaa kaavion %1?"
 
-#: dialogs/dialog_utils.cpp:138
+#: dialogs/dialog_utils.cpp:139
 #, kde-format
 msgid "Delete Diagram?"
 msgstr "Poista kaavio?"
 
-#: dialogs/dialog_utils.cpp:139 dialogs/pages/classifierlistpage.cpp:215
+#: dialogs/dialog_utils.cpp:140 dialogs/pages/classifierlistpage.cpp:215
 #: dialogs/pages/classifierlistpage.cpp:223
 #: dialogs/umlforeignkeyconstraintdialog.cpp:325
 #: dialogs/umlforeignkeyconstraintdialog.cpp:331
@@ -2173,7 +2173,7 @@ msgstr "Perusasetukset"
 #. i18n: ectx: label, entry (uiFont), group (UI Options)
 #. i18n: ectx: label, entry (codeViewerFont), group (Code Viewer Options)
 #: dialogs/multipagedialogbase.cpp:405 umbrello.kcfg:177 umbrello.kcfg:292
-#: umllistview.cpp:1450
+#: umllistview.cpp:1458
 #, kde-format
 msgid "Font"
 msgstr "Fontti"
@@ -2613,7 +2613,7 @@ msgstr "&Uusi attribuutti…"
 
 #: dialogs/pages/classifierlistpage.cpp:217
 #: dialogs/pages/classifierlistpage.cpp:225 dialogs/umloperationdialog.cpp:167
-#: dialogs/umloperationdialog.cpp:175 uml.cpp:554
+#: dialogs/umloperationdialog.cpp:175 uml.cpp:563
 #, kde-format
 msgid "&Properties"
 msgstr "&Ominaisuudet"
@@ -2631,7 +2631,7 @@ msgid "Source Code"
 msgstr "Lähdekoodi"
 
 #: dialogs/pages/classoptionspage.cpp:157
-#: dialogs/pages/classoptionspage.cpp:251 uml.cpp:509
+#: dialogs/pages/classoptionspage.cpp:251 uml.cpp:518
 #, kde-format
 msgid "&Documentation"
 msgstr "&Dokumentaatio"
@@ -2820,8 +2820,8 @@ msgstr "Antamasi nimi on virheellinen."
 #: uml1model/classifier.cpp:410 uml1model/classifier.cpp:781
 #: uml1model/entity.cpp:125 uml1model/entity.cpp:178 uml1model/entity.cpp:228
 #: uml1model/entity.cpp:277 uml1model/enum.cpp:107 uml1model/instance.cpp:124
-#: uml1model/package.cpp:172 umldoc.cpp:1627 umldoc.cpp:1692 umldoc.cpp:1721
-#: umldoc.cpp:1755
+#: uml1model/package.cpp:178 umldoc.cpp:1629 umldoc.cpp:1694 umldoc.cpp:1723
+#: umldoc.cpp:1757
 #, kde-format
 msgid "Invalid Name"
 msgstr "Virheellinen nimi"
@@ -2831,7 +2831,7 @@ msgstr "Virheellinen nimi"
 msgid "The name you have entered is not unique."
 msgstr "Antamasi nimi on jo käytössä."
 
-#: dialogs/pages/diagrampropertiespage.cpp:86 umldoc.cpp:1759
+#: dialogs/pages/diagrampropertiespage.cpp:86 umldoc.cpp:1761
 #, kde-format
 msgid "Name Not Unique"
 msgstr "Nimi ei ole ainutkertainen."
@@ -3315,7 +3315,7 @@ msgstr "&Kaavio"
 msgid "Umbrello Setup"
 msgstr "Umbrellon asetukset"
 
-#: dialogs/settingsdialog.cpp:114 umllistview.cpp:1452
+#: dialogs/settingsdialog.cpp:114 umllistview.cpp:1460
 #, kde-format
 msgid "User Interface"
 msgstr "Käyttöliittymä"
@@ -3342,7 +3342,7 @@ msgstr "Luokka"
 msgid "Class Settings"
 msgstr "Luokka-asetukset"
 
-#: dialogs/settingsdialog.cpp:137 umllistview.cpp:1447
+#: dialogs/settingsdialog.cpp:137 umllistview.cpp:1455
 #, kde-format
 msgid "Code Importer"
 msgstr "Koodintuonti"
@@ -3352,7 +3352,7 @@ msgstr "Koodintuonti"
 msgid "Code Import Settings"
 msgstr "Koodintuonnin asetukset"
 
-#: dialogs/settingsdialog.cpp:146 umllistview.cpp:1448
+#: dialogs/settingsdialog.cpp:146 umllistview.cpp:1456
 #, kde-format
 msgid "Code Generation"
 msgstr "Koodinluonti"
@@ -3362,7 +3362,7 @@ msgstr "Koodinluonti"
 msgid "Code Generation Settings"
 msgstr "Koodinluonnin asetukset"
 
-#: dialogs/settingsdialog.cpp:154 umllistview.cpp:1449
+#: dialogs/settingsdialog.cpp:154 umllistview.cpp:1457
 #, kde-format
 msgid "Code Viewer"
 msgstr "Koodin näyttö"
@@ -3372,7 +3372,7 @@ msgstr "Koodin näyttö"
 msgid "Code Viewer Settings"
 msgstr "Koodin näytön asetukset"
 
-#: dialogs/settingsdialog.cpp:161 umllistview.cpp:1445
+#: dialogs/settingsdialog.cpp:161 umllistview.cpp:1453
 #, kde-format
 msgid "Auto Layout"
 msgstr "Automaattinen asettelu"
@@ -4014,7 +4014,7 @@ msgstr "&Tyyppi:"
 msgid "Package path:"
 msgstr "Paketin polku:"
 
-#: dialogs/widgets/umlstereotypewidget.cpp:29 uml1model/umlobject.cpp:1179
+#: dialogs/widgets/umlstereotypewidget.cpp:29 uml1model/umlobject.cpp:1180
 #, kde-format
 msgid "Stereotype &name:"
 msgstr "Stereotyypin &nimi:"
@@ -4160,7 +4160,7 @@ msgstr ""
 msgid "Gael de Chalendar (aka Kleag)"
 msgstr "Gael de Chalendar (eli Kleag)"
 
-#: docgenerators/main.cpp:56 main.cpp:131
+#: docgenerators/main.cpp:56 main.cpp:133
 #, kde-format
 msgid "Umbrello UML Modeller Authors"
 msgstr "Umbrello UML-mallinnuksen tekijät"
@@ -4226,12 +4226,12 @@ msgstr "Toteuta asettelu"
 
 # pmap: =/gen=Umbrello UML-mallinnuksen/
 # pmap: =/elat=Umbrello UML-mallinnuksesta/
-#: main.cpp:121
+#: main.cpp:123
 #, kde-format
 msgid "Umbrello UML Modeller"
 msgstr "Umbrello UML-mallinnus"
 
-#: main.cpp:123
+#: main.cpp:125
 #, kde-format
 msgid ""
 "Umbrello – Visual development environment for software, based on the "
@@ -4242,7 +4242,7 @@ msgstr ""
 "visuaalinen ohjelmakehitysympäristö.<br/>Lue lisää: <a href=’http://www.omg."
 "org/spec/’>http://www.omg.org/spec/</a>."
 
-#: main.cpp:127
+#: main.cpp:129
 #, fuzzy, kde-format
 #| msgid ""
 #| "Copyright © 2001 Paul Hensgen,\n"
@@ -4254,97 +4254,97 @@ msgstr ""
 "Copyright © 2001 Paul Hensgen,\n"
 "Copyright © 2002–2016 Umbrello UML-mallinnuksen tekijät"
 
-#: main.cpp:130
+#: main.cpp:132
 #, kde-format
 msgid "Paul Hensgen"
 msgstr "Paul Hensgen"
 
-#: main.cpp:130
+#: main.cpp:132
 #, kde-format
 msgid "Author of initial version."
 msgstr "Alkuperäisen version tekijä."
 
-#: main.cpp:134
+#: main.cpp:136
 #, kde-format
 msgid "Oliver Kellogg"
 msgstr "Oliver Kellogg"
 
-#: main.cpp:135 main.cpp:138
+#: main.cpp:137 main.cpp:140
 #, kde-format
 msgid "Bug fixing, porting work, code cleanup, new features."
 msgstr "Virhekorjauksia, sovitustyötä, koodin siivoamista, uusia ominaisuuksia"
 
-#: main.cpp:137
+#: main.cpp:139
 #, kde-format
 msgid "Ralf Habacker"
 msgstr "Ralf Habacker"
 
-#: main.cpp:140
+#: main.cpp:142
 #, kde-format
 msgid "Andi Fischer"
 msgstr "Andi Fischer"
 
-#: main.cpp:141
+#: main.cpp:143
 #, kde-format
 msgid "Porting work, code cleanup, new features."
 msgstr "Sovitustyötä, koodin siivoamista, uusia ominaisuuksia"
 
-#: main.cpp:143
+#: main.cpp:145
 #, kde-format
 msgid "Jonathan Riddell"
 msgstr "Jonathan Riddell"
 
-#: main.cpp:144
+#: main.cpp:146
 #, kde-format
 msgid "Current maintainer."
 msgstr "Nykyinen ylläpitäjä."
 
-#: main.cpp:146
+#: main.cpp:148
 #, kde-format
 msgid "Brian Thomas"
 msgstr "Brian Thomas"
 
-#: main.cpp:147
+#: main.cpp:149
 #, kde-format
 msgid "A lot of work for C++ and Java code generation. Codeeditor."
 msgstr "Teki paljon työtä C++- ja Java-koodin luontiin. Koodimuokkain."
 
-#: main.cpp:152
+#: main.cpp:154
 #, kde-format
 msgid "File to open"
 msgstr "Avattava tiedosto"
 
-#: main.cpp:153
+#: main.cpp:155
 #, kde-format
 msgid "export diagrams to extension and exit"
 msgstr "vie kaaviot tiedostopäätteen mukaiseen muotoon ja lopettaa"
 
-#: main.cpp:154
+#: main.cpp:156
 #, kde-format
 msgid "list available export extensions"
 msgstr "listaa käytettävissä olevat vientimuodot (tiedostopäätteet)"
 
-#: main.cpp:155
+#: main.cpp:157
 #, kde-format
 msgid "the local directory to save the exported diagrams in"
 msgstr "paikallinen kansio, jonne viedyt kaaviot tallennetaan"
 
-#: main.cpp:155
+#: main.cpp:157
 #, kde-format
 msgid "the directory of the file"
 msgstr "tiedoston kansio"
 
-#: main.cpp:156
+#: main.cpp:158
 #, kde-format
 msgid "import files"
 msgstr "tuo tiedostot"
 
-#: main.cpp:157
+#: main.cpp:159
 #, kde-format
 msgid "list supported languages"
 msgstr "luettele tuetut kielet"
 
-#: main.cpp:158
+#: main.cpp:160
 #, kde-format
 msgid ""
 "keep the tree structure used to store the views in the document in the "
@@ -4353,13 +4353,13 @@ msgstr ""
 "pidä kohdekansiossa sama puurakenne kuin mihin mallinnuksen näytöt on "
 "tallennettu"
 
-#: main.cpp:159
+#: main.cpp:161
 #, fuzzy, kde-format
 #| msgid "Import Project..."
 msgid "import files from directory <dir>"
 msgstr "Tuo projekti…"
 
-#: main.cpp:163
+#: main.cpp:165
 #, fuzzy, kde-format
 #| msgid "Active &Language"
 msgid "set active language"
@@ -4632,7 +4632,7 @@ msgstr "Näytä erillisinä"
 msgid "Import File(s)..."
 msgstr "Tuo tiedostoja…"
 
-#: menus/listpopupmenu.cpp:201 uml.cpp:356
+#: menus/listpopupmenu.cpp:201 uml.cpp:365
 #, fuzzy, kde-format
 #| msgid "Import Project..."
 msgid "Import from Directory..."
@@ -5154,42 +5154,42 @@ msgctxt "align menu"
 msgid "Align"
 msgstr "Asettelu"
 
-#: menus/widgetbasepopupmenu.cpp:598 uml.cpp:573
+#: menus/widgetbasepopupmenu.cpp:598 uml.cpp:582
 #, kde-format
 msgid "Align Right"
 msgstr "Asettelu oikealle"
 
-#: menus/widgetbasepopupmenu.cpp:599 uml.cpp:578
+#: menus/widgetbasepopupmenu.cpp:599 uml.cpp:587
 #, kde-format
 msgid "Align Left"
 msgstr "Asettelu vasemmalle"
 
-#: menus/widgetbasepopupmenu.cpp:600 uml.cpp:583
+#: menus/widgetbasepopupmenu.cpp:600 uml.cpp:592
 #, kde-format
 msgid "Align Top"
 msgstr "Asettelu ylös"
 
-#: menus/widgetbasepopupmenu.cpp:601 uml.cpp:588
+#: menus/widgetbasepopupmenu.cpp:601 uml.cpp:597
 #, kde-format
 msgid "Align Bottom"
 msgstr "Asettelu alas"
 
-#: menus/widgetbasepopupmenu.cpp:603 uml.cpp:593
+#: menus/widgetbasepopupmenu.cpp:603 uml.cpp:602
 #, kde-format
 msgid "Align Vertical Middle"
 msgstr "Asettelu pystysuunnassa keskelle"
 
-#: menus/widgetbasepopupmenu.cpp:604 uml.cpp:598
+#: menus/widgetbasepopupmenu.cpp:604 uml.cpp:607
 #, kde-format
 msgid "Align Horizontal Middle"
 msgstr "Asettelu vaakasuunnassa keskelle"
 
-#: menus/widgetbasepopupmenu.cpp:605 uml.cpp:603
+#: menus/widgetbasepopupmenu.cpp:605 uml.cpp:612
 #, kde-format
 msgid "Align Vertical Distribute"
 msgstr "Asettelu pystysuunnassa levittäen"
 
-#: menus/widgetbasepopupmenu.cpp:606 uml.cpp:608
+#: menus/widgetbasepopupmenu.cpp:606 uml.cpp:617
 #, kde-format
 msgid "Align Horizontal Distribute"
 msgstr "Asettelu vaakatasossa levittäen"
@@ -6124,8 +6124,8 @@ msgstr "Käyttö"
 #: object_factory.cpp:251 uml1model/classifier.cpp:410
 #: uml1model/classifier.cpp:781 uml1model/entity.cpp:125
 #: uml1model/entity.cpp:178 uml1model/entity.cpp:228 uml1model/entity.cpp:277
-#: uml1model/enum.cpp:107 uml1model/instance.cpp:124 uml1model/package.cpp:171
-#: umldoc.cpp:1721 umldoc.cpp:1755
+#: uml1model/enum.cpp:107 uml1model/instance.cpp:124 uml1model/package.cpp:177
+#: umldoc.cpp:1723 umldoc.cpp:1757
 #, kde-format
 msgid "That is an invalid name."
 msgstr "Virheellinen nimi."
@@ -6144,7 +6144,7 @@ msgstr "Varattu sana"
 #: object_factory.cpp:264 uml1model/classifier.cpp:413
 #: uml1model/classifier.cpp:783 uml1model/entity.cpp:127
 #: uml1model/entity.cpp:180 uml1model/entity.cpp:230 uml1model/entity.cpp:279
-#: uml1model/instance.cpp:126 umldoc.cpp:1727 umldoc.cpp:1764
+#: uml1model/instance.cpp:126 umldoc.cpp:1729 umldoc.cpp:1766
 #, kde-format
 msgid "That name is already being used."
 msgstr "Tämä nimi on jo käytössä."
@@ -6152,8 +6152,8 @@ msgstr "Tämä nimi on jo käytössä."
 #: object_factory.cpp:265 uml1model/classifier.cpp:413
 #: uml1model/classifier.cpp:783 uml1model/entity.cpp:127
 #: uml1model/entity.cpp:180 uml1model/entity.cpp:230 uml1model/entity.cpp:279
-#: uml1model/instance.cpp:126 umldoc.cpp:1629 umldoc.cpp:1699 umldoc.cpp:1727
-#: umldoc.cpp:1764
+#: uml1model/instance.cpp:126 umldoc.cpp:1631 umldoc.cpp:1701 umldoc.cpp:1729
+#: umldoc.cpp:1766
 #, kde-format
 msgid "Not a Unique Name"
 msgstr "Tämä nimi ei ole yksilöllinen"
@@ -6214,12 +6214,12 @@ msgstr "Tämänniminen attribuutti on jo
 msgid "Choose a different name."
 msgstr "Valitse toinen nimi."
 
-#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:266
+#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:273
 #, kde-format
 msgid "Incorrect use of associations."
 msgstr "Yhteyden väärä käyttötapa."
 
-#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:266
+#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:273
 #, kde-format
 msgid "Association Error"
 msgstr "Yhdistämisvirhe"
@@ -7385,189 +7385,189 @@ msgstr "Aktiivinen kie&li"
 msgid "&Settings"
 msgstr "&Asetukset"
 
-#: uml.cpp:332
+#: uml.cpp:341
 #, kde-format
 msgid "&Export model to DocBook"
 msgstr "Vi&e malli DocBookiksi"
 
-#: uml.cpp:336
+#: uml.cpp:345
 #, kde-format
 msgid "&Export model to XHTML"
 msgstr "Vi&e malli XHTML:ksi"
 
-#: uml.cpp:340
+#: uml.cpp:349
 #, kde-format
 msgid "&New Class Wizard..."
 msgstr "Opastettu luoka&nluonti…"
 
-#: uml.cpp:344
+#: uml.cpp:353
 #, kde-format
 msgid "&Add Default Datatypes for Active Language"
 msgstr "Lisää oletustietotyypit &aktiiviselle kielelle"
 
-#: uml.cpp:351
+#: uml.cpp:360
 #, kde-format
 msgid "Code &Importing Wizard..."
 msgstr "Opastettu koodin&tuonti…"
 
-#: uml.cpp:361
+#: uml.cpp:370
 #, kde-format
 msgid "&Code Generation Wizard..."
 msgstr "Opastettu koodin&luonti…"
 
-#: uml.cpp:366
+#: uml.cpp:375
 #, kde-format
 msgid "&Generate All Code"
 msgstr "&Luo kaikki koodi"
 
-#: uml.cpp:411
+#: uml.cpp:420
 #, kde-format
 msgid "Creates a new document"
 msgstr "Luo uusi tiedosto"
 
-#: uml.cpp:412
+#: uml.cpp:421
 #, kde-format
 msgid "Opens an existing document"
 msgstr "Avaa olemassa olevan tiedoston"
 
-#: uml.cpp:413
+#: uml.cpp:422
 #, kde-format
 msgid "Opens a recently used file"
 msgstr "Avaa viimeksi käytettyjä tiedostoja"
 
-#: uml.cpp:414
+#: uml.cpp:423
 #, kde-format
 msgid "Saves the document"
 msgstr "Tallentaa tiedoston"
 
-#: uml.cpp:415
+#: uml.cpp:424
 #, kde-format
 msgid "Saves the document as..."
 msgstr "Tallenna tiedosto nimellä…"
 
-#: uml.cpp:416
+#: uml.cpp:425
 #, kde-format
 msgid "Closes the document"
 msgstr "Sulkee tiedoston"
 
-#: uml.cpp:417
+#: uml.cpp:426
 #, kde-format
 msgid "Prints out the document"
 msgstr "Tulostaa tiedoston"
 
-#: uml.cpp:418
+#: uml.cpp:427
 #, kde-format
 msgid "Print Preview of the document"
 msgstr "Mallinnuksen tulostuksen esikatselu"
 
-#: uml.cpp:419
+#: uml.cpp:428
 #, kde-format
 msgid "Quits the application"
 msgstr "Lopettaa ohjelman"
 
-#: uml.cpp:420
+#: uml.cpp:429
 #, kde-format
 msgid "Exports the model to the docbook format"
 msgstr "Vie mallin docbook-muotoon"
 
-#: uml.cpp:421
+#: uml.cpp:430
 #, kde-format
 msgid "Exports the model to the XHTML format"
 msgstr "Vie mallin XHTML-muotoon"
 
-#: uml.cpp:422
+#: uml.cpp:431
 #, kde-format
 msgid "Cuts the selected section and puts it to the clipboard"
 msgstr "Leikkaa valitun alueen ja vie sen leikepöydälle"
 
-#: uml.cpp:423
+#: uml.cpp:432
 #, kde-format
 msgid "Copies the selected section to the clipboard"
 msgstr "Kopioi valitun alueen leikepöydälle"
 
-#: uml.cpp:424
+#: uml.cpp:433
 #, kde-format
 msgid "Pastes the contents of the clipboard"
 msgstr "Lisää leikepöydän sisällön"
 
-#: uml.cpp:425
+#: uml.cpp:434
 #, kde-format
 msgid "Set the default program preferences"
 msgstr "Aseta oletusohjelman asetukset"
 
-#: uml.cpp:429
+#: uml.cpp:438
 #, kde-format
 msgctxt "delete selected widget"
 msgid "Delete &Selected"
 msgstr "Poista valittu"
 
-#: uml.cpp:440
+#: uml.cpp:449
 #, kde-format
 msgid "&Class Diagram..."
 msgstr "&Luokkakaavio…"
 
-#: uml.cpp:447
+#: uml.cpp:456
 #, fuzzy, kde-format
 #| msgid "S&tate Diagram..."
 msgid "&Object Diagram..."
 msgstr "&Tilakaavio…"
 
-#: uml.cpp:454
+#: uml.cpp:463
 #, kde-format
 msgid "&Sequence Diagram..."
 msgstr "&Sekvenssikaavio…"
 
-#: uml.cpp:460
+#: uml.cpp:469
 #, kde-format
 msgid "C&ommunication Diagram..."
 msgstr "Kommunikointikaavi&o…"
 
-#: uml.cpp:466
+#: uml.cpp:475
 #, kde-format
 msgid "&Use Case Diagram..."
 msgstr "&Käyttötapauskaavio…"
 
-#: uml.cpp:472
+#: uml.cpp:481
 #, kde-format
 msgid "S&tate Diagram..."
 msgstr "&Tilakaavio…"
 
-#: uml.cpp:478
+#: uml.cpp:487
 #, kde-format
 msgid "&Activity Diagram..."
 msgstr "&Aktiviteettikaavio…"
 
-#: uml.cpp:484
+#: uml.cpp:493
 #, kde-format
 msgid "Co&mponent Diagram..."
 msgstr "Ko&mponenttikaavio…"
 
-#: uml.cpp:490
+#: uml.cpp:499
 #, kde-format
 msgid "&Deployment Diagram..."
 msgstr "Si&joittelukaavio…"
 
-#: uml.cpp:496
+#: uml.cpp:505
 #, kde-format
 msgid "&Entity Relationship Diagram..."
 msgstr "&Käsitekaavio…"
 
-#: uml.cpp:501 uml.cpp:954
+#: uml.cpp:510 uml.cpp:963
 #, kde-format
 msgid "&Tree View"
 msgstr "Puunä&kymä"
 
-#: uml.cpp:505
+#: uml.cpp:514
 #, kde-format
 msgid "&Debugging"
 msgstr "&Virheenpaikannus"
 
-#: uml.cpp:513
+#: uml.cpp:522
 #, kde-format
 msgid "&Logging"
 msgstr "&Lokitus"
 
-#: uml.cpp:517
+#: uml.cpp:526
 #, kde-format
 msgid "&Command history"
 msgstr "&Komentohistoria"
@@ -7576,135 +7576,135 @@ msgstr "&Komentohistoria"
 #. m_propertyDock->setObjectName(QLatin1String("PropertyDock"));
 #. addDockWidget(Qt::LeftDockWidgetArea, m_propertyDock);  //:TODO:
 #. create the bird's eye view
-#: uml.cpp:521 uml.cpp:1011
+#: uml.cpp:530 uml.cpp:1020
 #, kde-format
 msgid "&Bird's eye view"
 msgstr "&Yleiskuva"
 
-#: uml.cpp:526
+#: uml.cpp:535
 #, kde-format
 msgid "&Clear Diagram"
 msgstr "Tyhjennä kaavio"
 
-#: uml.cpp:530
+#: uml.cpp:539
 #, kde-format
 msgid "&Snap to Grid"
 msgstr "A&seta ruudukkoon"
 
-#: uml.cpp:534
+#: uml.cpp:543
 #, kde-format
 msgid "S&how Grid"
 msgstr "Näytä &ruudukko"
 
-#: uml.cpp:539
+#: uml.cpp:548
 #, kde-format
 msgid "&Delete Diagram"
 msgstr "&Poista kaavio"
 
-#: uml.cpp:544
+#: uml.cpp:553
 #, kde-format
 msgid "&Export as Picture..."
 msgstr "Vi&e kuvana…"
 
-#: uml.cpp:549
+#: uml.cpp:558
 #, kde-format
 msgid "Export &Diagrams as Pictures..."
 msgstr "Vie k&aaviot kuvana…"
 
-#: uml.cpp:569
+#: uml.cpp:578
 #, kde-format
 msgid "Z&oom to 100%"
 msgstr "S&uurennus → 100 %"
 
-#: uml.cpp:612
+#: uml.cpp:621
 #, kde-format
 msgid "&Move Tab Left"
 msgstr "Siirry vase&mpaan välilehteen"
 
-#: uml.cpp:613
+#: uml.cpp:622
 #, kde-format
 msgid "&Move Tab Right"
 msgstr "Siirry &oikeaan välilehteen"
 
-#: uml.cpp:636
+#: uml.cpp:645
 #, kde-format
 msgid "Select Diagram on Left"
 msgstr "Valitse vasen kaavio"
 
-#: uml.cpp:637
+#: uml.cpp:646
 #, kde-format
 msgid "Select Diagram on Right"
 msgstr "Valitse oikea kaavio"
 
-#: uml.cpp:776
+#: uml.cpp:785
 #, kde-format
 msgctxt "%1 percent value from 20 to 500"
 msgid " &%1%"
 msgstr ""
 
-#: uml.cpp:826
+#: uml.cpp:835
 #, kde-format
 msgctxt "init status bar"
 msgid "Ready"
 msgstr "Valmis"
 
-#: uml.cpp:835 uml.cpp:848
+#: uml.cpp:844 uml.cpp:857
 #, kde-format
 msgid "100%"
 msgstr "100 %"
 
-#: uml.cpp:840
+#: uml.cpp:849
 #, kde-format
 msgid "Fit"
 msgstr "Sovita"
 
-#: uml.cpp:899
+#: uml.cpp:908
 #, kde-format
 msgid "Diagram Toolbar"
 msgstr "Kaaviotyökalurivi"
 
-#: uml.cpp:965
+#: uml.cpp:974
 #, kde-format
 msgid "Doc&umentation"
 msgstr "Dok&umentaatio"
 
-#: uml.cpp:976
+#: uml.cpp:985
 #, kde-format
 msgid "Co&mmand history"
 msgstr "K&omentohistoria"
 
-#: uml.cpp:992
+#: uml.cpp:1001
 #, kde-format
 msgid "&Debug"
 msgstr "&Virheenpaikannus"
 
-#: uml.cpp:999
+#: uml.cpp:1008
 #, kde-format
 msgid "&Log"
 msgstr "&Loki"
 
-#: uml.cpp:1041 uml.cpp:1258 uml.cpp:1307
+#: uml.cpp:1050 uml.cpp:1267 uml.cpp:1316
 #, kde-format
 msgid "Opening file..."
 msgstr "Avaa tiedostoa…"
 
-#: uml.cpp:1092 uml.cpp:1157 uml.cpp:1342 umldoc.cpp:342 umldoc.cpp:344
-#: umldoc.cpp:368 umldoc.cpp:3396
+#: uml.cpp:1101 uml.cpp:1166 uml.cpp:1351 umldoc.cpp:343 umldoc.cpp:345
+#: umldoc.cpp:369 umldoc.cpp:3405
 #, kde-format
 msgid "Untitled"
 msgstr "Nimetön"
 
-#: uml.cpp:1240
+#: uml.cpp:1249
 #, kde-format
 msgid "Creating new document..."
 msgstr "Luo uutta tiedostoa…"
 
-#: uml.cpp:1266 uml.cpp:1281
+#: uml.cpp:1275 uml.cpp:1290
 #, kde-format
 msgid "Open File"
 msgstr "Avaa tiedoston"
 
-#: uml.cpp:1270
+#: uml.cpp:1279
 #, kde-format
 msgid ""
 "*.xmi *.xmi.tgz *.xmi.tar.bz2 *.mdl *.zargo|All Supported Files (*.xmi, *."
@@ -7723,22 +7723,22 @@ msgstr ""
 "*.mdl|Rose-mallin tiedostot (*.mdl)\n"
 "*.zargo|Pakatut argo-tiedostot (*.zargo)\n"
 
-#: uml.cpp:1341
+#: uml.cpp:1350
 #, kde-format
 msgid "Saving file..."
 msgstr "Tallentaa tiedostoa…"
 
-#: uml.cpp:1358
+#: uml.cpp:1367
 #, kde-format
 msgid "Saving file with a new filename..."
 msgstr "Tallentaa tiedoston uudella nimellä…"
 
-#: uml.cpp:1368 uml.cpp:1374 umlviewimageexporter.cpp:199
+#: uml.cpp:1377 uml.cpp:1383 umlviewimageexporter.cpp:199
 #, kde-format
 msgid "Save As"
 msgstr "Tallenna nimellä"
 
-#: uml.cpp:1369
+#: uml.cpp:1378
 #, kde-format
 msgid ""
 "*.xmi | XMI File (*.xmi);;*.xmi.tgz | Gzip Compressed XMI File (*.xmi.tgz);;"
@@ -7748,7 +7748,7 @@ msgstr ""
 "tgz);;*.xmi.tar.bz2 | Bzip2-pakattu XMI-tiedosto (*.xmi.tar.bz2);;* | Kaikki "
 "tiedostot (*)"
 
-#: uml.cpp:1374
+#: uml.cpp:1383
 #, kde-format
 msgid ""
 "*.xmi|XMI File\n"
@@ -7761,7 +7761,7 @@ msgstr ""
 "*.xmi.tar.bz2|Bzip2-pakattu XMI-tiedosto\n"
 "*|Kaikki tiedostot"
 
-#: uml.cpp:1387
+#: uml.cpp:1396
 #, kde-format
 msgid ""
 "The file %1 exists.\n"
@@ -7770,67 +7770,67 @@ msgstr ""
 "Tiedosto %1 on jo olemassa.\n"
 "Haluatko korvata sen?"
 
-#: uml.cpp:1388
+#: uml.cpp:1397
 #, kde-format
 msgid "Warning"
 msgstr "Varoitus"
 
-#: uml.cpp:1388
+#: uml.cpp:1397
 #, kde-format
 msgid "Overwrite"
 msgstr "Korvaa"
 
-#: uml.cpp:1422
+#: uml.cpp:1431
 #, kde-format
 msgid "Closing file..."
 msgstr "Sulkee tiedostoa…"
 
-#: uml.cpp:1432
+#: uml.cpp:1441
 #, kde-format
 msgid "No search term entered"
 msgstr "Hakusanaa ei annettu"
 
-#: uml.cpp:1438
+#: uml.cpp:1447
 #, kde-format
 msgid "'%1': %2 found"
 msgstr "”%1”: %2 tulos"
 
-#: uml.cpp:1502
+#: uml.cpp:1511
 #, kde-format
 msgid "Print Preview..."
 msgstr "Tulostuksen esikatselu…"
 
-#: uml.cpp:1529
+#: uml.cpp:1538
 #, kde-format
 msgid "Printing..."
 msgstr "Tulostaa…"
 
-#: uml.cpp:1536 uml.cpp:1540
+#: uml.cpp:1545 uml.cpp:1549
 #, kde-format
 msgid "Print %1"
 msgstr "Tulosta %1"
 
-#: uml.cpp:1560
+#: uml.cpp:1569
 #, kde-format
 msgid "Exiting..."
 msgstr "Lopettaa…"
 
-#: uml.cpp:1647
+#: uml.cpp:1656
 #, kde-format
 msgid "Cutting selection..."
 msgstr "Leikkaa valittua aluetta…"
 
-#: uml.cpp:1670
+#: uml.cpp:1679
 #, kde-format
 msgid "Copying selection to clipboard..."
 msgstr "Kopioi valittua aluetta leikepöydälle…"
 
-#: uml.cpp:1682
+#: uml.cpp:1691
 #, kde-format
 msgid "Inserting clipboard contents..."
 msgstr "Liittää työpöydän sisältöä…"
 
-#: uml.cpp:1687
+#: uml.cpp:1696
 #, kde-format
 msgid ""
 "Umbrello could not paste the clipboard contents.  The objects in the "
@@ -7839,39 +7839,39 @@ msgstr ""
 "Umbrello ei pystynyt liittämään leikepöydän sisältöä. Leikepöydän oliot ovat "
 "epäsopivan tyyppisiä tähän."
 
-#: uml.cpp:1713 umlviewimageexporter.cpp:92 umlviewimageexporterall.cpp:123
+#: uml.cpp:1722 umlviewimageexporter.cpp:92 umlviewimageexporterall.cpp:123
 #, kde-format
 msgctxt "reset status bar"
 msgid "Ready."
 msgstr "Valmis."
 
-#: uml.cpp:2246
+#: uml.cpp:2255
 #, kde-format
 msgid "Cannot view code until you generate some first."
 msgstr ""
 "Koodia ei voi näyttää ennen kuin olet luonut (generoinut) jotain koodia."
 
-#: uml.cpp:2246 uml.cpp:2249
+#: uml.cpp:2255 uml.cpp:2258
 #, kde-format
 msgid "Cannot View Code"
 msgstr "Ei pysty näyttämään koodia"
 
-#: uml.cpp:2249
+#: uml.cpp:2258
 #, kde-format
 msgid "Cannot view code from simple code writer."
 msgstr "Ei voi näyttää koodia yksinkertaisessa editorissa,"
 
-#: uml.cpp:2714 uml.cpp:2716
+#: uml.cpp:2728 uml.cpp:2730
 #, kde-format
 msgid "Select file(s) to import:"
 msgstr "Valitse tuotavat tiedostot:"
 
-#: uml.cpp:2747 uml.cpp:2749
+#: uml.cpp:2761 uml.cpp:2763
 #, kde-format
 msgid "Select directory to import:"
 msgstr "Valitse tuotava kansio:"
 
-#: uml.cpp:3313
+#: uml.cpp:3335
 #, kde-format
 msgid "XHTML Generation failed ."
 msgstr "XHTML:n luonti epäonnistui."
@@ -7885,20 +7885,20 @@ msgstr ""
 "Samalla nimellä ja allekirjoituksella on jo olemassa toiminto. Et voi lisätä "
 "sitä uudelleen."
 
-#: uml1model/folder.cpp:435
+#: uml1model/folder.cpp:436
 #, kde-format
 msgid "The folderfile %1 does not exist."
 msgstr "Kansiota %1 ei ollut."
 
-#: uml1model/folder.cpp:435 uml1model/folder.cpp:439 umldoc.cpp:529
-#: umldoc.cpp:541 umldoc.cpp:568 umldoc.cpp:570 umldoc.cpp:620 umldoc.cpp:623
-#: umldoc.cpp:638 umldoc.cpp:641 umldoc.cpp:665 umldoc.cpp:668 umldoc.cpp:684
-#: umldoc.cpp:687 umldoc.cpp:702 umldoc.cpp:705 umldoc.cpp:750
+#: uml1model/folder.cpp:436 uml1model/folder.cpp:440 umldoc.cpp:530
+#: umldoc.cpp:542 umldoc.cpp:569 umldoc.cpp:571 umldoc.cpp:621 umldoc.cpp:624
+#: umldoc.cpp:639 umldoc.cpp:642 umldoc.cpp:666 umldoc.cpp:669 umldoc.cpp:685
+#: umldoc.cpp:688 umldoc.cpp:703 umldoc.cpp:706 umldoc.cpp:751
 #, kde-format
 msgid "Load Error"
 msgstr "Tiedostonlukuvirhe"
 
-#: uml1model/folder.cpp:439
+#: uml1model/folder.cpp:440
 #, kde-format
 msgid "The folderfile %1 cannot be opened."
 msgstr "Kansiota %1 ei voida avata."
@@ -7908,13 +7908,13 @@ msgstr "Kansiota %1 ei voida avata."
 msgid "new_parameter"
 msgstr "uusi_parametri"
 
-#: uml1model/package.cpp:163
+#: uml1model/package.cpp:169
 #, kde-format
 msgctxt "object name"
 msgid "Name"
 msgstr "Nimi"
 
-#: uml1model/package.cpp:164
+#: uml1model/package.cpp:170
 #, kde-format
 msgid ""
 "An object with the name %1\n"
@@ -7940,77 +7940,77 @@ msgstr "uusi_kenttä"
 msgid "new_fkey_constraint"
 msgstr "uusi_viiteavainrajoite"
 
-#: uml1model/umlobject.cpp:1140
+#: uml1model/umlobject.cpp:1141
 #, kde-format
 msgid "Actor &name:"
 msgstr "Toimijan &nimi:"
 
-#: uml1model/umlobject.cpp:1143
+#: uml1model/umlobject.cpp:1144
 #, kde-format
 msgid "Artifact &name:"
 msgstr "Tuotoksen &nimi:"
 
-#: uml1model/umlobject.cpp:1146
+#: uml1model/umlobject.cpp:1147
 #, kde-format
 msgid "Association &name:"
 msgstr "Yhteyden &nimi:"
 
-#: uml1model/umlobject.cpp:1149
+#: uml1model/umlobject.cpp:1150
 #, kde-format
 msgid "Class &name:"
 msgstr "Luokan &nimi:"
 
-#: uml1model/umlobject.cpp:1152
+#: uml1model/umlobject.cpp:1153
 #, kde-format
 msgid "Component &name:"
 msgstr "Komponentin &nimi:"
 
-#: uml1model/umlobject.cpp:1155
+#: uml1model/umlobject.cpp:1156
 #, kde-format
 msgid "Datatype &name:"
 msgstr "Tietotyypin &nimi:"
 
-#: uml1model/umlobject.cpp:1158
+#: uml1model/umlobject.cpp:1159
 #, kde-format
 msgid "Entity &name:"
 msgstr "Käsitteen &nimi:"
 
-#: uml1model/umlobject.cpp:1161
+#: uml1model/umlobject.cpp:1162
 #, kde-format
 msgid "Enum &name:"
 msgstr "Luettelotyypin &nimi:"
 
-#: uml1model/umlobject.cpp:1164
+#: uml1model/umlobject.cpp:1165
 #, kde-format
 msgid "Folder &name:"
 msgstr "Kansion &nimi:"
 
-#: uml1model/umlobject.cpp:1167
+#: uml1model/umlobject.cpp:1168
 #, kde-format
 msgid "Interface &name:"
 msgstr "Rajapinnan &nimi:"
 
-#: uml1model/umlobject.cpp:1170
+#: uml1model/umlobject.cpp:1171
 #, kde-format
 msgid "Node &name:"
 msgstr "Solmun &nimi:"
 
-#: uml1model/umlobject.cpp:1173
+#: uml1model/umlobject.cpp:1174
 #, kde-format
 msgid "Package &name:"
 msgstr "Paketin &nimi:"
 
-#: uml1model/umlobject.cpp:1176
+#: uml1model/umlobject.cpp:1177
 #, kde-format
 msgid "Port &name:"
 msgstr "Portin &nimi:"
 
-#: uml1model/umlobject.cpp:1182
+#: uml1model/umlobject.cpp:1183
 #, kde-format
 msgid "Use case &name:"
 msgstr "Käyttötapauksen &nimi:"
 
-#: uml1model/umlobject.cpp:1185
+#: uml1model/umlobject.cpp:1186
 #, kde-format
 msgid "Instance name:"
 msgstr "Instanssin nimi:"
@@ -8031,42 +8031,42 @@ msgstr "&Stereotyypit"
 msgid "Welcome"
 msgstr ""
 
-#: umldoc.cpp:112 umldoc.cpp:2400 umldoc.cpp:2428
+#: umldoc.cpp:113 umldoc.cpp:2405 umldoc.cpp:2433
 #, kde-format
 msgid "UML Model"
 msgstr "Umbrello UML-mallinnus"
 
-#: umldoc.cpp:154
+#: umldoc.cpp:155
 #, kde-format
 msgid "Logical View"
 msgstr "Loogiset kaaviot"
 
-#: umldoc.cpp:155
+#: umldoc.cpp:156
 #, kde-format
 msgid "Use Case View"
 msgstr "Käyttötapaukset"
 
-#: umldoc.cpp:156
+#: umldoc.cpp:157
 #, kde-format
 msgid "Component View"
 msgstr "Komponentit"
 
-#: umldoc.cpp:157
+#: umldoc.cpp:158
 #, kde-format
 msgid "Deployment View"
 msgstr "Sijoittelukaaviot"
 
-#: umldoc.cpp:158
+#: umldoc.cpp:159
 #, kde-format
 msgid "Entity Relationship Model"
 msgstr "Käsitemallit"
 
-#: umldoc.cpp:184
+#: umldoc.cpp:185
 #, kde-format
 msgid "Datatypes"
 msgstr "Tietotyypit"
 
-#: umldoc.cpp:363
+#: umldoc.cpp:364
 #, kde-format
 msgid ""
 "The current file has been modified.\n"
@@ -8075,167 +8075,167 @@ msgstr ""
 "Nykyistä tiedostoa on muutettu.\n"
 "Haluatko tallentaa sen?"
 
-#: umldoc.cpp:364
+#: umldoc.cpp:365
 #, kde-format
 msgctxt "warning message"
 msgid "Warning"
 msgstr "Varoitus"
 
-#: umldoc.cpp:529
+#: umldoc.cpp:530
 #, kde-format
 msgid "The file <%1> does not exist."
 msgstr "Tiedostoa <%1> ei löytynyt."
 
-#: umldoc.cpp:541
+#: umldoc.cpp:542
 #, kde-format
 msgid "The file %1 does not exist."
 msgstr "Tiedostoa %1 ei löytynyt."
 
-#: umldoc.cpp:568 umldoc.cpp:570
+#: umldoc.cpp:569 umldoc.cpp:571
 #, kde-format
 msgid "The file %1 seems to be corrupted."
 msgstr "Tiedosto %1 näyttää vioittuneelta."
 
-#: umldoc.cpp:619 umldoc.cpp:622 umldoc.cpp:637 umldoc.cpp:640 umldoc.cpp:683
-#: umldoc.cpp:686
+#: umldoc.cpp:620 umldoc.cpp:623 umldoc.cpp:638 umldoc.cpp:641 umldoc.cpp:684
+#: umldoc.cpp:687
 #, kde-format
 msgid "There was no XMI file found in the compressed file %1."
 msgstr "Pakatussa tiedostossa %1 ei ollut XMI-tiedostoa."
 
-#: umldoc.cpp:664 umldoc.cpp:667
+#: umldoc.cpp:665 umldoc.cpp:668
 #, kde-format
 msgid "There was a problem loading the extracted file: %1"
 msgstr "Paketista avatun tiedoston %1 lukemisessa tapahtui virhe"
 
-#: umldoc.cpp:701 umldoc.cpp:704 umldoc.cpp:744 umldoc.cpp:746
+#: umldoc.cpp:702 umldoc.cpp:705 umldoc.cpp:745 umldoc.cpp:747
 #, kde-format
 msgid "There was a problem loading file: %1"
 msgstr "Tiedoston %1 lukemisessa tapahtui virhe"
 
-#: umldoc.cpp:749
+#: umldoc.cpp:750
 #, kde-format
 msgid "Reason: %1"
 msgstr ""
 
-#: umldoc.cpp:832 umldoc.cpp:834 umldoc.cpp:851 umldoc.cpp:853 umldoc.cpp:873
-#: umldoc.cpp:875 umldoc.cpp:924 umldoc.cpp:926 umldoc.cpp:966 umldoc.cpp:969
-#: umldoc.cpp:978 umldoc.cpp:980 umllistview.cpp:593
+#: umldoc.cpp:833 umldoc.cpp:835 umldoc.cpp:852 umldoc.cpp:854 umldoc.cpp:874
+#: umldoc.cpp:876 umldoc.cpp:925 umldoc.cpp:927 umldoc.cpp:968 umldoc.cpp:971
+#: umldoc.cpp:980 umldoc.cpp:982 umllistview.cpp:594
 #, kde-format
 msgid "Save Error"
 msgstr "Tallennusvirhe"
 
-#: umldoc.cpp:832 umldoc.cpp:851 umldoc.cpp:873 umldoc.cpp:924 umldoc.cpp:966
+#: umldoc.cpp:833 umldoc.cpp:852 umldoc.cpp:874 umldoc.cpp:925 umldoc.cpp:968
 #, kde-format
 msgid "There was a problem saving: %1"
 msgstr "Tiedoston %1 tallentamisessa tapahtui virhe"
 
-#: umldoc.cpp:834 umldoc.cpp:853 umldoc.cpp:875 umldoc.cpp:926 umldoc.cpp:969
-#: umllistview.cpp:592 umlviewimageexportermodel.cpp:303
+#: umldoc.cpp:835 umldoc.cpp:854 umldoc.cpp:876 umldoc.cpp:927 umldoc.cpp:971
+#: umllistview.cpp:593 umlviewimageexportermodel.cpp:303
 #, kde-format
 msgid "There was a problem saving file: %1"
 msgstr "Tiedoston %1 tallentamisessa tapahtui virhe"
 
-#: umldoc.cpp:978
+#: umldoc.cpp:980
 #, kde-format
 msgid "There was a problem uploading: %1"
 msgstr "Tiedoston %1 lähettämisessä tapahtui virhe"
 
-#: umldoc.cpp:980
+#: umldoc.cpp:982
 #, kde-format
 msgid "There was a problem uploading file: %1"
 msgstr "Tiedoston %1 lähettämisessä tapahtui virhe"
 
-#: umldoc.cpp:1526
+#: umldoc.cpp:1528
 #, kde-format
 msgid "use case diagram"
 msgstr "käyttötapauskaavio"
 
-#: umldoc.cpp:1529
+#: umldoc.cpp:1531
 #, kde-format
 msgid "class diagram"
 msgstr "luokkakaavio"
 
-#: umldoc.cpp:1532
+#: umldoc.cpp:1534
 #, kde-format
 msgid "sequence diagram"
 msgstr "sekvenssikaavio"
 
-#: umldoc.cpp:1535
+#: umldoc.cpp:1537
 #, kde-format
 msgid "communication diagram"
 msgstr "kommunikointikaavio"
 
-#: umldoc.cpp:1538
+#: umldoc.cpp:1540
 #, fuzzy, kde-format
 #| msgid "&Select diagrams"
 msgid "object diagram"
 msgstr "Valit&se kaaviot"
 
-#: umldoc.cpp:1541
+#: umldoc.cpp:1543
 #, kde-format
 msgid "state diagram"
 msgstr "tilakaavio"
 
-#: umldoc.cpp:1544
+#: umldoc.cpp:1546
 #, kde-format
 msgid "activity diagram"
 msgstr "aktiviteettikaavio"
 
-#: umldoc.cpp:1547
+#: umldoc.cpp:1549
 #, kde-format
 msgid "component diagram"
 msgstr "komponenttikaavio"
 
-#: umldoc.cpp:1550
+#: umldoc.cpp:1552
 #, kde-format
 msgid "deployment diagram"
 msgstr "sijoittelukaavio"
 
-#: umldoc.cpp:1553
+#: umldoc.cpp:1555
 #, kde-format
 msgid "entity relationship diagram"
 msgstr "käsitekaavio"
 
-#: umldoc.cpp:1623
+#: umldoc.cpp:1625
 #, kde-format
 msgctxt "diagram name"
 msgid "Name"
 msgstr "Nimi"
 
-#: umldoc.cpp:1623 umldoc.cpp:1686 umldoc.cpp:1715 umldoc.cpp:1749
+#: umldoc.cpp:1625 umldoc.cpp:1688 umldoc.cpp:1717 umldoc.cpp:1751
 #, kde-format
 msgid "Enter name:"
 msgstr "Anna nimi:"
 
-#: umldoc.cpp:1627 umldoc.cpp:1692
+#: umldoc.cpp:1629 umldoc.cpp:1694
 #, kde-format
 msgid "That is an invalid name for a diagram."
 msgstr "Tämä on virheellinen nimi kaaviolle."
 
-#: umldoc.cpp:1629 umldoc.cpp:1699
+#: umldoc.cpp:1631 umldoc.cpp:1701
 #, kde-format
 msgid "A diagram is already using that name."
 msgstr "Kaavio käyttää jo tätä nimeä."
 
-#: umldoc.cpp:1685
+#: umldoc.cpp:1687
 #, kde-format
 msgctxt "renaming diagram"
 msgid "Name"
 msgstr "Nimi"
 
-#: umldoc.cpp:1714
+#: umldoc.cpp:1716
 #, kde-format
 msgctxt "renaming uml object"
 msgid "Name"
 msgstr "Nimi"
 
-#: umldoc.cpp:1748
+#: umldoc.cpp:1750
 #, kde-format
 msgctxt "renaming child uml object"
 msgid "Name"
 msgstr "Nimi"
 
-#: umldoc.cpp:1758
+#: umldoc.cpp:1760
 #, kde-format
 msgid ""
 "The name you entered was not unique.\n"
@@ -8244,62 +8244,62 @@ msgstr ""
 "Antamasi nimi ei ole yksilöllinen.\n"
 "Tarkoititko tätä?"
 
-#: umldoc.cpp:1759
+#: umldoc.cpp:1761
 #, kde-format
 msgid "Use Name"
 msgstr "Käyttönimi"
 
-#: umldoc.cpp:1759
+#: umldoc.cpp:1761
 #, kde-format
 msgid "Enter New Name"
 msgstr "Anna uusi nimi"
 
-#: umldoc.cpp:2361
+#: umldoc.cpp:2366
 #, kde-format
 msgid "Unsupported xmi file version: %1"
 msgstr ""
 
-#: umldoc.cpp:2511
+#: umldoc.cpp:2516
 #, kde-format
 msgid "Setting up the document..."
 msgstr "Alustaa tiedostoa…"
 
-#: umldoc.cpp:2540
+#: umldoc.cpp:2545
 #, kde-format
 msgid "Resolving object references..."
 msgstr "Selvittää objektin referenssit…"
 
-#: umldoc.cpp:2648
+#: umldoc.cpp:2653
 #, kde-format
 msgid "Loading UML elements..."
 msgstr "Lataa UML-elementtejä…"
 
-#: umldoc.cpp:2892
+#: umldoc.cpp:2899
 #, kde-format
 msgid "Loading diagrams..."
 msgstr "Lataa diagrammeja…"
 
-#: umldoc.cpp:3400
+#: umldoc.cpp:3409
 #, kde-format
 msgid "/autosave%1"
 msgstr "/automaattitallennus%1"
 
-#: umllistview.cpp:536 umllistview.cpp:540
+#: umllistview.cpp:537 umllistview.cpp:541
 #, kde-format
 msgid "Externalize Folder"
 msgstr "Ulkoista kansio"
 
-#: umllistview.cpp:574
+#: umllistview.cpp:575
 #, kde-format
 msgid "Folder %1 must be relative to the main model directory, %2."
 msgstr "Kansion %1 täytyy olla suhteessa mallin pääkansioon %2."
 
-#: umllistview.cpp:575
+#: umllistview.cpp:576
 #, kde-format
 msgid "Path Error"
 msgstr "Virheellinen polku"
 
-#: umllistview.cpp:583
+#: umllistview.cpp:584
 #, kde-format
 msgid ""
 "File %1 already exists!\n"
@@ -8308,66 +8308,66 @@ msgstr ""
 "Tiedosto %1 on jo olemassa!\n"
 "Olemassa oleva tiedosto korvataan."
 
-#: umllistview.cpp:584
+#: umllistview.cpp:585
 #, kde-format
 msgid "File Exist"
 msgstr "Tiedosto on olemassa"
 
-#: umllistview.cpp:624
+#: umllistview.cpp:625
 #, kde-format
 msgid "Enter Model Name"
 msgstr "Anna mallin nimi"
 
-#: umllistview.cpp:625
+#: umllistview.cpp:626
 #, kde-format
 msgid "Enter the new name of the model:"
 msgstr "Anna mallin uusi nimi:"
 
-#: umllistview.cpp:1422
+#: umllistview.cpp:1430
 #, kde-format
 msgid "Views"
 msgstr "Näytöt"
 
-#: umllistview.cpp:1441
+#: umllistview.cpp:1449
 #, kde-format
 msgid "Settings"
 msgstr "Asetukset"
 
-#: umllistview.cpp:2413
+#: umllistview.cpp:2421
 #, kde-format
 msgid "Loading listview..."
 msgstr "Lataa luettelonäkymää…"
 
-#: umllistview.cpp:2764
+#: umllistview.cpp:2772
 #, fuzzy, kde-format
 #| msgid "The folder must be emptied before it can be deleted."
 msgid "The class must be emptied before it can be deleted."
 msgstr "Kansio pitää olla tyhjä ennen poistamista."
 
-#: umllistview.cpp:2765
+#: umllistview.cpp:2773
 #, fuzzy, kde-format
 #| msgid "Folder Not Empty"
 msgid "Class Not Empty"
 msgstr "Kansio ei ole tyhjä"
 
-#: umllistview.cpp:2769
+#: umllistview.cpp:2777
 #, fuzzy, kde-format
 #| msgid "The folder must be emptied before it can be deleted."
 msgid "The package must be emptied before it can be deleted."
 msgstr "Kansio pitää olla tyhjä ennen poistamista."
 
-#: umllistview.cpp:2770
+#: umllistview.cpp:2778
 #, fuzzy, kde-format
 #| msgid "Folder Not Empty"
 msgid "Package Not Empty"
 msgstr "Kansio ei ole tyhjä"
 
-#: umllistview.cpp:2774
+#: umllistview.cpp:2782
 #, kde-format
 msgid "The folder must be emptied before it can be deleted."
 msgstr "Kansio pitää olla tyhjä ennen poistamista."
 
-#: umllistview.cpp:2775
+#: umllistview.cpp:2783
 #, kde-format
 msgid "Folder Not Empty"
 msgstr "Kansio ei ole tyhjä"
diff -pruN 4:20.08.3-1/po/fr/umbrello.po 4:20.12.0-0ubuntu1/po/fr/umbrello.po
--- 4:20.08.3-1/po/fr/umbrello.po	2020-11-03 00:42:16.000000000 +0000
+++ 4:20.12.0-0ubuntu1/po/fr/umbrello.po	2020-12-04 00:21:29.000000000 +0000
@@ -21,7 +21,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: umbrello\n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
-"POT-Creation-Date: 2020-08-14 08:09+0200\n"
+"POT-Creation-Date: 2020-11-06 02:36+0100\n"
 "PO-Revision-Date: 2020-08-30 14:34+0200\n"
 "Last-Translator: Xavier Besnard <xavier.besnard@neuf.fr>\n"
 "Language-Team: FR\n"
@@ -230,7 +230,7 @@ msgstr ""
 "papiers car un élément du même nom existe déjà. Les autres éléments ont "
 "cependant été collés."
 
-#: clipboard/umlclipboard.cpp:753 uml.cpp:1689
+#: clipboard/umlclipboard.cpp:753 uml.cpp:1698
 #, kde-format
 msgid "Paste Error"
 msgstr "Erreur lors du collage du presse-papiers"
@@ -458,7 +458,7 @@ msgstr "<p align=\"center\">Génération
 #. i18n: ectx: attribute (title), widget (QWidget, ui_tabGeneral)
 #: codegenerators/cpp/cppcodegenerationformbase.ui:51
 #: codegenwizard/codegenoptionspage.ui:39 dialogs/objectnodedialog.cpp:135
-#: umllistview.cpp:1451
+#: umllistview.cpp:1459
 #, kde-format
 msgid "General"
 msgstr "Général"
@@ -1348,7 +1348,7 @@ msgstr "État"
 #. i18n: ectx: property (text), widget (QRadioButton, ui_categoryClass)
 #. i18n: ectx: property (text), widget (QTableWidget, ui_tableWidgetStatus)
 #: codegenwizard/codegenstatuspage.ui:40 codeimpwizard/codeimpstatuspage.ui:54
-#: dialogs/finddialog.ui:89 umllistview.cpp:1446 umlwidgets/widgetbase.cpp:1255
+#: dialogs/finddialog.ui:89 umllistview.cpp:1454 umlwidgets/widgetbase.cpp:1255
 #, kde-format
 msgid "Class"
 msgstr "Classe"
@@ -2003,19 +2003,19 @@ msgstr "Activer les messages relatifs à
 msgid "Enable 'delete diagram' related messages"
 msgstr "Activer les messages relatifs à la « suppression de diagramme »"
 
-#: dialogs/dialog_utils.cpp:117
+#: dialogs/dialog_utils.cpp:118
 #, kde-format
 msgid "You are about to delete an association. Do you really want to continue?"
 msgstr ""
 "Vous êtes sur le point de supprimer une association. Voulez-vous vraiment "
 "continuer ?"
 
-#: dialogs/dialog_utils.cpp:118
+#: dialogs/dialog_utils.cpp:119
 #, kde-format
 msgid "Delete Association"
 msgstr "Supprimer l'association"
 
-#: dialogs/dialog_utils.cpp:132
+#: dialogs/dialog_utils.cpp:133
 #, kde-format
 msgid ""
 "You are about to delete the entire diagram.\n"
@@ -2024,17 +2024,17 @@ msgstr ""
 "Vous êtes sur le point de supprimer le diagramme entier.\n"
 "Voulez-vous continuer ?"
 
-#: dialogs/dialog_utils.cpp:133
+#: dialogs/dialog_utils.cpp:134
 #, kde-format
 msgid "Are you sure you want to delete diagram %1?"
 msgstr "Voulez-vous vraiment supprimer le diagramme « %1 » ?"
 
-#: dialogs/dialog_utils.cpp:138
+#: dialogs/dialog_utils.cpp:139
 #, kde-format
 msgid "Delete Diagram?"
 msgstr "Supprimer le diagramme ?"
 
-#: dialogs/dialog_utils.cpp:139 dialogs/pages/classifierlistpage.cpp:215
+#: dialogs/dialog_utils.cpp:140 dialogs/pages/classifierlistpage.cpp:215
 #: dialogs/pages/classifierlistpage.cpp:223
 #: dialogs/umlforeignkeyconstraintdialog.cpp:325
 #: dialogs/umlforeignkeyconstraintdialog.cpp:331
@@ -2199,7 +2199,7 @@ msgstr "Général"
 #. i18n: ectx: label, entry (uiFont), group (UI Options)
 #. i18n: ectx: label, entry (codeViewerFont), group (Code Viewer Options)
 #: dialogs/multipagedialogbase.cpp:405 umbrello.kcfg:177 umbrello.kcfg:292
-#: umllistview.cpp:1450
+#: umllistview.cpp:1458
 #, kde-format
 msgid "Font"
 msgstr "Polices"
@@ -2636,7 +2636,7 @@ msgstr "Nouv&el attribut pour l'instance
 
 #: dialogs/pages/classifierlistpage.cpp:217
 #: dialogs/pages/classifierlistpage.cpp:225 dialogs/umloperationdialog.cpp:167
-#: dialogs/umloperationdialog.cpp:175 uml.cpp:554
+#: dialogs/umloperationdialog.cpp:175 uml.cpp:563
 #, kde-format
 msgid "&Properties"
 msgstr "&Propriétés"
@@ -2654,7 +2654,7 @@ msgid "Source Code"
 msgstr "Code source"
 
 #: dialogs/pages/classoptionspage.cpp:157
-#: dialogs/pages/classoptionspage.cpp:251 uml.cpp:509
+#: dialogs/pages/classoptionspage.cpp:251 uml.cpp:518
 #, kde-format
 msgid "&Documentation"
 msgstr "&Documentation"
@@ -2844,8 +2844,8 @@ msgstr "Le nom que vous avez saisi est i
 #: uml1model/classifier.cpp:410 uml1model/classifier.cpp:781
 #: uml1model/entity.cpp:125 uml1model/entity.cpp:178 uml1model/entity.cpp:228
 #: uml1model/entity.cpp:277 uml1model/enum.cpp:107 uml1model/instance.cpp:124
-#: uml1model/package.cpp:172 umldoc.cpp:1627 umldoc.cpp:1692 umldoc.cpp:1721
-#: umldoc.cpp:1755
+#: uml1model/package.cpp:178 umldoc.cpp:1629 umldoc.cpp:1694 umldoc.cpp:1723
+#: umldoc.cpp:1757
 #, kde-format
 msgid "Invalid Name"
 msgstr "Nom incorrect"
@@ -2855,7 +2855,7 @@ msgstr "Nom incorrect"
 msgid "The name you have entered is not unique."
 msgstr "Le nom que vous avez saisi n'est pas unique."
 
-#: dialogs/pages/diagrampropertiespage.cpp:86 umldoc.cpp:1759
+#: dialogs/pages/diagrampropertiespage.cpp:86 umldoc.cpp:1761
 #, kde-format
 msgid "Name Not Unique"
 msgstr "Le nom n'est pas unique"
@@ -3330,7 +3330,7 @@ msgstr "Diagramme"
 msgid "Umbrello Setup"
 msgstr "Configuration de Umbrello"
 
-#: dialogs/settingsdialog.cpp:114 umllistview.cpp:1452
+#: dialogs/settingsdialog.cpp:114 umllistview.cpp:1460
 #, kde-format
 msgid "User Interface"
 msgstr "Interface utilisateur"
@@ -3357,7 +3357,7 @@ msgstr "Classe"
 msgid "Class Settings"
 msgstr "Paramétrages des classes"
 
-#: dialogs/settingsdialog.cpp:137 umllistview.cpp:1447
+#: dialogs/settingsdialog.cpp:137 umllistview.cpp:1455
 #, kde-format
 msgid "Code Importer"
 msgstr "Importation de code"
@@ -3367,7 +3367,7 @@ msgstr "Importation de code"
 msgid "Code Import Settings"
 msgstr "Paramètres de l'importation de code"
 
-#: dialogs/settingsdialog.cpp:146 umllistview.cpp:1448
+#: dialogs/settingsdialog.cpp:146 umllistview.cpp:1456
 #, kde-format
 msgid "Code Generation"
 msgstr "Génération de code"
@@ -3377,7 +3377,7 @@ msgstr "Génération de code"
 msgid "Code Generation Settings"
 msgstr "Paramètres de la génération de code"
 
-#: dialogs/settingsdialog.cpp:154 umllistview.cpp:1449
+#: dialogs/settingsdialog.cpp:154 umllistview.cpp:1457
 #, kde-format
 msgid "Code Viewer"
 msgstr "Afficheur de code"
@@ -3387,7 +3387,7 @@ msgstr "Afficheur de code"
 msgid "Code Viewer Settings"
 msgstr "Paramètres de l'afficheur de code"
 
-#: dialogs/settingsdialog.cpp:161 umllistview.cpp:1445
+#: dialogs/settingsdialog.cpp:161 umllistview.cpp:1453
 #, kde-format
 msgid "Auto Layout"
 msgstr "Disposition automatique"
@@ -4023,7 +4023,7 @@ msgstr "&Type :"
 msgid "Package path:"
 msgstr "Emplacement du paquet :"
 
-#: dialogs/widgets/umlstereotypewidget.cpp:29 uml1model/umlobject.cpp:1179
+#: dialogs/widgets/umlstereotypewidget.cpp:29 uml1model/umlobject.cpp:1180
 #, kde-format
 msgid "Stereotype &name:"
 msgstr "&Nom du stéréotype :"
@@ -4169,7 +4169,7 @@ msgstr ""
 msgid "Gael de Chalendar (aka Kleag)"
 msgstr "Gael de Chalendar (alias Kleag)"
 
-#: docgenerators/main.cpp:56 main.cpp:131
+#: docgenerators/main.cpp:56 main.cpp:133
 #, kde-format
 msgid "Umbrello UML Modeller Authors"
 msgstr "Les auteurs de l'outil de modélisation UML Umbrello"
@@ -4233,12 +4233,12 @@ msgstr "Activer l'édition de la documen
 msgid "Apply layout"
 msgstr "Appliquer la disposition"
 
-#: main.cpp:121
+#: main.cpp:123
 #, kde-format
 msgid "Umbrello UML Modeller"
 msgstr "Umbrello - Outil de modélisation UML"
 
-#: main.cpp:123
+#: main.cpp:125
 #, kde-format
 msgid ""
 "Umbrello – Visual development environment for software, based on the "
@@ -4249,7 +4249,7 @@ msgstr ""
 "standard de l'industrie Unified Modelling Language (UML).<br/> Voir "
 "également <a href=\"http://www.omg.org/spec/\">http://www.omg.org/spec/</a>."
 
-#: main.cpp:127
+#: main.cpp:129
 #, kde-format
 msgid ""
 "Copyright © 2001 Paul Hensgen,\n"
@@ -4258,100 +4258,100 @@ msgstr ""
 "Copyright © 2001 Paul Hensgen,\n"
 "Copyright © 2002-2020 Les auteurs de l'outil de modélisation UML Umbrello"
 
-#: main.cpp:130
+#: main.cpp:132
 #, kde-format
 msgid "Paul Hensgen"
 msgstr "Paul Hensgen"
 
-#: main.cpp:130
+#: main.cpp:132
 #, kde-format
 msgid "Author of initial version."
 msgstr "Auteur de la version initiale."
 
-#: main.cpp:134
+#: main.cpp:136
 #, kde-format
 msgid "Oliver Kellogg"
 msgstr "Oliver Kellogg"
 
-#: main.cpp:135 main.cpp:138
+#: main.cpp:137 main.cpp:140
 #, kde-format
 msgid "Bug fixing, porting work, code cleanup, new features."
 msgstr ""
 "Correction de bogues, portage, nettoyage du code, nouvelles fonctionnalités."
 
-#: main.cpp:137
+#: main.cpp:139
 #, kde-format
 msgid "Ralf Habacker"
 msgstr "Ralf Habacker"
 
 # unreviewed-context
-#: main.cpp:140
+#: main.cpp:142
 #, kde-format
 msgid "Andi Fischer"
 msgstr "Andi Fischer"
 
-#: main.cpp:141
+#: main.cpp:143
 #, kde-format
 msgid "Porting work, code cleanup, new features."
 msgstr "Portage, nettoyage du code, nouvelles fonctionnalités."
 
-#: main.cpp:143
+#: main.cpp:145
 #, kde-format
 msgid "Jonathan Riddell"
 msgstr "Jonathan Riddell"
 
-#: main.cpp:144
+#: main.cpp:146
 #, kde-format
 msgid "Current maintainer."
 msgstr "Mainteneur actuel."
 
-#: main.cpp:146
+#: main.cpp:148
 #, kde-format
 msgid "Brian Thomas"
 msgstr "Brian Thomas"
 
-#: main.cpp:147
+#: main.cpp:149
 #, kde-format
 msgid "A lot of work for C++ and Java code generation. Codeeditor."
 msgstr ""
 "Beaucoup de travail autour de la génération de code C++ et Java. Codeeditor."
 
-#: main.cpp:152
+#: main.cpp:154
 #, kde-format
 msgid "File to open"
 msgstr "Fichier à ouvrir"
 
-#: main.cpp:153
+#: main.cpp:155
 #, kde-format
 msgid "export diagrams to extension and exit"
 msgstr "exporter les diagrammes vers l'extension et quitter"
 
-#: main.cpp:154
+#: main.cpp:156
 #, kde-format
 msgid "list available export extensions"
 msgstr "répertorier les extensions d'exportation disponibles"
 
-#: main.cpp:155
+#: main.cpp:157
 #, kde-format
 msgid "the local directory to save the exported diagrams in"
 msgstr "le dossier local dans lequel enregistrer les diagrammes exportés"
 
-#: main.cpp:155
+#: main.cpp:157
 #, kde-format
 msgid "the directory of the file"
 msgstr "le dossier du fichier"
 
-#: main.cpp:156
+#: main.cpp:158
 #, kde-format
 msgid "import files"
 msgstr "importer des fichiers"
 
-#: main.cpp:157
+#: main.cpp:159
 #, kde-format
 msgid "list supported languages"
 msgstr "afficher les langages pris en charge"
 
-#: main.cpp:158
+#: main.cpp:160
 #, kde-format
 msgid ""
 "keep the tree structure used to store the views in the document in the "
@@ -4360,12 +4360,12 @@ msgstr ""
 "conserver la structure arborescente utilisée pour mémoriser les vues du "
 "document dans le dossier cible"
 
-#: main.cpp:159
+#: main.cpp:161
 #, kde-format
 msgid "import files from directory <dir>"
 msgstr "importer les fichiers du dossier <dir>"
 
-#: main.cpp:163
+#: main.cpp:165
 #, kde-format
 msgid "set active language"
 msgstr "définir le langage actif"
@@ -4629,7 +4629,7 @@ msgstr "Masquer la marque de destruction
 msgid "Import File(s)..."
 msgstr "Importer des fichiers..."
 
-#: menus/listpopupmenu.cpp:201 uml.cpp:356
+#: menus/listpopupmenu.cpp:201 uml.cpp:365
 #, kde-format
 msgid "Import from Directory..."
 msgstr "Importer depuis un dossier..."
@@ -5129,42 +5129,42 @@ msgctxt "align menu"
 msgid "Align"
 msgstr "Aligner"
 
-#: menus/widgetbasepopupmenu.cpp:598 uml.cpp:573
+#: menus/widgetbasepopupmenu.cpp:598 uml.cpp:582
 #, kde-format
 msgid "Align Right"
 msgstr "Aligner à droite"
 
-#: menus/widgetbasepopupmenu.cpp:599 uml.cpp:578
+#: menus/widgetbasepopupmenu.cpp:599 uml.cpp:587
 #, kde-format
 msgid "Align Left"
 msgstr "Aligner à gauche"
 
-#: menus/widgetbasepopupmenu.cpp:600 uml.cpp:583
+#: menus/widgetbasepopupmenu.cpp:600 uml.cpp:592
 #, kde-format
 msgid "Align Top"
 msgstr "Aligner en haut"
 
-#: menus/widgetbasepopupmenu.cpp:601 uml.cpp:588
+#: menus/widgetbasepopupmenu.cpp:601 uml.cpp:597
 #, kde-format
 msgid "Align Bottom"
 msgstr "Aligner en bas"
 
-#: menus/widgetbasepopupmenu.cpp:603 uml.cpp:593
+#: menus/widgetbasepopupmenu.cpp:603 uml.cpp:602
 #, kde-format
 msgid "Align Vertical Middle"
 msgstr "Aligner au milieu verticalement"
 
-#: menus/widgetbasepopupmenu.cpp:604 uml.cpp:598
+#: menus/widgetbasepopupmenu.cpp:604 uml.cpp:607
 #, kde-format
 msgid "Align Horizontal Middle"
 msgstr "Aligner au milieu horizontalement"
 
-#: menus/widgetbasepopupmenu.cpp:605 uml.cpp:603
+#: menus/widgetbasepopupmenu.cpp:605 uml.cpp:612
 #, kde-format
 msgid "Align Vertical Distribute"
 msgstr "Aligner verticalement de façon distribuée"
 
-#: menus/widgetbasepopupmenu.cpp:606 uml.cpp:608
+#: menus/widgetbasepopupmenu.cpp:606 uml.cpp:617
 #, kde-format
 msgid "Align Horizontal Distribute"
 msgstr "Aligner horizontalement de façon distribuée"
@@ -5969,8 +5969,8 @@ msgstr "Utilisation"
 #: object_factory.cpp:251 uml1model/classifier.cpp:410
 #: uml1model/classifier.cpp:781 uml1model/entity.cpp:125
 #: uml1model/entity.cpp:178 uml1model/entity.cpp:228 uml1model/entity.cpp:277
-#: uml1model/enum.cpp:107 uml1model/instance.cpp:124 uml1model/package.cpp:171
-#: umldoc.cpp:1721 umldoc.cpp:1755
+#: uml1model/enum.cpp:107 uml1model/instance.cpp:124 uml1model/package.cpp:177
+#: umldoc.cpp:1723 umldoc.cpp:1757
 #, kde-format
 msgid "That is an invalid name."
 msgstr "C'est un nom incorrect."
@@ -5990,7 +5990,7 @@ msgstr "Mot clé réservé"
 #: object_factory.cpp:264 uml1model/classifier.cpp:413
 #: uml1model/classifier.cpp:783 uml1model/entity.cpp:127
 #: uml1model/entity.cpp:180 uml1model/entity.cpp:230 uml1model/entity.cpp:279
-#: uml1model/instance.cpp:126 umldoc.cpp:1727 umldoc.cpp:1764
+#: uml1model/instance.cpp:126 umldoc.cpp:1729 umldoc.cpp:1766
 #, kde-format
 msgid "That name is already being used."
 msgstr "Ce nom est déjà en cours d'utilisation."
@@ -5998,8 +5998,8 @@ msgstr "Ce nom est déjà en cours d'uti
 #: object_factory.cpp:265 uml1model/classifier.cpp:413
 #: uml1model/classifier.cpp:783 uml1model/entity.cpp:127
 #: uml1model/entity.cpp:180 uml1model/entity.cpp:230 uml1model/entity.cpp:279
-#: uml1model/instance.cpp:126 umldoc.cpp:1629 umldoc.cpp:1699 umldoc.cpp:1727
-#: umldoc.cpp:1764
+#: uml1model/instance.cpp:126 umldoc.cpp:1631 umldoc.cpp:1701 umldoc.cpp:1729
+#: umldoc.cpp:1766
 #, kde-format
 msgid "Not a Unique Name"
 msgstr "Nom non unique"
@@ -6060,12 +6060,12 @@ msgstr "Un attribut de ce nom existe dé
 msgid "Choose a different name."
 msgstr "Choisissez un nom différent."
 
-#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:266
+#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:273
 #, kde-format
 msgid "Incorrect use of associations."
 msgstr "Utilisation incorrecte des associations."
 
-#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:266
+#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:273
 #, kde-format
 msgid "Association Error"
 msgstr "Erreur d'association"
@@ -7258,190 +7258,190 @@ msgstr "&Langage actif"
 msgid "&Settings"
 msgstr "&Configuration"
 
-#: uml.cpp:332
+#: uml.cpp:341
 #, kde-format
 msgid "&Export model to DocBook"
 msgstr "&Exporter le modèle en DocBook"
 
-#: uml.cpp:336
+#: uml.cpp:345
 #, kde-format
 msgid "&Export model to XHTML"
 msgstr "&Exporter le modèle en XHTML"
 
-#: uml.cpp:340
+#: uml.cpp:349
 #, kde-format
 msgid "&New Class Wizard..."
 msgstr "Assistant de création d'une &nouvelle classe..."
 
-#: uml.cpp:344
+#: uml.cpp:353
 #, kde-format
 msgid "&Add Default Datatypes for Active Language"
 msgstr ""
 "&Ajouter des types de données par défaut pour le langage de programmation "
 "actuel"
 
-#: uml.cpp:351
+#: uml.cpp:360
 #, kde-format
 msgid "Code &Importing Wizard..."
 msgstr "Assistant d'importation de &code..."
 
-#: uml.cpp:361
+#: uml.cpp:370
 #, kde-format
 msgid "&Code Generation Wizard..."
 msgstr "Assistant de génération de &code..."
 
-#: uml.cpp:366
+#: uml.cpp:375
 #, kde-format
 msgid "&Generate All Code"
 msgstr "&Générer tout le code"
 
-#: uml.cpp:411
+#: uml.cpp:420
 #, kde-format
 msgid "Creates a new document"
 msgstr "Crée un nouveau document"
 
-#: uml.cpp:412
+#: uml.cpp:421
 #, kde-format
 msgid "Opens an existing document"
 msgstr "Ouvre un document existant"
 
-#: uml.cpp:413
+#: uml.cpp:422
 #, kde-format
 msgid "Opens a recently used file"
 msgstr "Ouvre un fichier récemment ouvert"
 
-#: uml.cpp:414
+#: uml.cpp:423
 #, kde-format
 msgid "Saves the document"
 msgstr "Enregistre le document"
 
-#: uml.cpp:415
+#: uml.cpp:424
 #, kde-format
 msgid "Saves the document as..."
 msgstr "Enregistre le document sous..."
 
-#: uml.cpp:416
+#: uml.cpp:425
 #, kde-format
 msgid "Closes the document"
 msgstr "Ferme le document"
 
-#: uml.cpp:417
+#: uml.cpp:426
 #, kde-format
 msgid "Prints out the document"
 msgstr "Imprime le document"
 
-#: uml.cpp:418
+#: uml.cpp:427
 #, kde-format
 msgid "Print Preview of the document"
 msgstr "Aperçu avant impression du document"
 
-#: uml.cpp:419
+#: uml.cpp:428
 #, kde-format
 msgid "Quits the application"
 msgstr "Quitte l'application"
 
-#: uml.cpp:420
+#: uml.cpp:429
 #, kde-format
 msgid "Exports the model to the docbook format"
 msgstr "Exporte le modèle au format DocBook"
 
-#: uml.cpp:421
+#: uml.cpp:430
 #, kde-format
 msgid "Exports the model to the XHTML format"
 msgstr "Exporte le modèle au format XHTML"
 
-#: uml.cpp:422
+#: uml.cpp:431
 #, kde-format
 msgid "Cuts the selected section and puts it to the clipboard"
 msgstr "Coupe la sélection et la mettre dans le presse-papiers"
 
-#: uml.cpp:423
+#: uml.cpp:432
 #, kde-format
 msgid "Copies the selected section to the clipboard"
 msgstr "Copie la sélection dans le presse-papiers"
 
-#: uml.cpp:424
+#: uml.cpp:433
 #, kde-format
 msgid "Pastes the contents of the clipboard"
 msgstr "Colle le contenu du presse-papiers"
 
-#: uml.cpp:425
+#: uml.cpp:434
 #, kde-format
 msgid "Set the default program preferences"
 msgstr "Paramétrer les préférences par défaut du programme"
 
-#: uml.cpp:429
+#: uml.cpp:438
 #, kde-format
 msgctxt "delete selected widget"
 msgid "Delete &Selected"
 msgstr "&Supprimer la sélection"
 
-#: uml.cpp:440
+#: uml.cpp:449
 #, kde-format
 msgid "&Class Diagram..."
 msgstr "Diagramme de &classes..."
 
-#: uml.cpp:447
+#: uml.cpp:456
 #, kde-format
 msgid "&Object Diagram..."
 msgstr "Diagramme d'&objets..."
 
-#: uml.cpp:454
+#: uml.cpp:463
 #, kde-format
 msgid "&Sequence Diagram..."
 msgstr "Diagramme de &séquences..."
 
-#: uml.cpp:460
+#: uml.cpp:469
 #, kde-format
 msgid "C&ommunication Diagram..."
 msgstr "Diagramme de c&ommunication..."
 
-#: uml.cpp:466
+#: uml.cpp:475
 #, kde-format
 msgid "&Use Case Diagram..."
 msgstr "Diagramme de cas d'&utilisations..."
 
-#: uml.cpp:472
+#: uml.cpp:481
 #, kde-format
 msgid "S&tate Diagram..."
 msgstr "Diagramme d'é&tats..."
 
-#: uml.cpp:478
+#: uml.cpp:487
 #, kde-format
 msgid "&Activity Diagram..."
 msgstr "Diagramme d'&activités..."
 
-#: uml.cpp:484
+#: uml.cpp:493
 #, kde-format
 msgid "Co&mponent Diagram..."
 msgstr "Diagramme de co&mposants..."
 
-#: uml.cpp:490
+#: uml.cpp:499
 #, kde-format
 msgid "&Deployment Diagram..."
 msgstr "Diagramme de &déploiements..."
 
-#: uml.cpp:496
+#: uml.cpp:505
 #, kde-format
 msgid "&Entity Relationship Diagram..."
 msgstr "Diagramme de relations entre &entités..."
 
-#: uml.cpp:501 uml.cpp:954
+#: uml.cpp:510 uml.cpp:963
 #, kde-format
 msgid "&Tree View"
 msgstr "&Vue en arbre"
 
-#: uml.cpp:505
+#: uml.cpp:514
 #, kde-format
 msgid "&Debugging"
 msgstr "&Débogage"
 
-#: uml.cpp:513
+#: uml.cpp:522
 #, kde-format
 msgid "&Logging"
 msgstr "&Journalisation"
 
-#: uml.cpp:517
+#: uml.cpp:526
 #, kde-format
 msgid "&Command history"
 msgstr "Historique des co&mmandes"
@@ -7450,135 +7450,135 @@ msgstr "Historique des co&mmandes"
 #. m_propertyDock->setObjectName(QLatin1String("PropertyDock"));
 #. addDockWidget(Qt::LeftDockWidgetArea, m_propertyDock);  //:TODO:
 #. create the bird's eye view
-#: uml.cpp:521 uml.cpp:1011
+#: uml.cpp:530 uml.cpp:1020
 #, kde-format
 msgid "&Bird's eye view"
 msgstr "&Vue « bird's eye »"
 
-#: uml.cpp:526
+#: uml.cpp:535
 #, kde-format
 msgid "&Clear Diagram"
 msgstr "Effa&cer le diagramme"
 
-#: uml.cpp:530
+#: uml.cpp:539
 #, kde-format
 msgid "&Snap to Grid"
 msgstr "Aligner &sur le quadrillage"
 
-#: uml.cpp:534
+#: uml.cpp:543
 #, kde-format
 msgid "S&how Grid"
 msgstr "Affic&her le quadrillage"
 
-#: uml.cpp:539
+#: uml.cpp:548
 #, kde-format
 msgid "&Delete Diagram"
 msgstr "&Supprimer le diagramme"
 
-#: uml.cpp:544
+#: uml.cpp:553
 #, kde-format
 msgid "&Export as Picture..."
 msgstr "&Exporter comme image..."
 
-#: uml.cpp:549
+#: uml.cpp:558
 #, kde-format
 msgid "Export &Diagrams as Pictures..."
 msgstr "Exporter tous les &diagrammes sous forme d'images..."
 
-#: uml.cpp:569
+#: uml.cpp:578
 #, kde-format
 msgid "Z&oom to 100%"
 msgstr "&Zoomer à 100 %"
 
-#: uml.cpp:612
+#: uml.cpp:621
 #, kde-format
 msgid "&Move Tab Left"
 msgstr "&Déplacer l'onglet vers la gauche"
 
-#: uml.cpp:613
+#: uml.cpp:622
 #, kde-format
 msgid "&Move Tab Right"
 msgstr "&Déplacer l'onglet vers la droite"
 
-#: uml.cpp:636
+#: uml.cpp:645
 #, kde-format
 msgid "Select Diagram on Left"
 msgstr "Diagramme sélectionné à gauche"
 
-#: uml.cpp:637
+#: uml.cpp:646
 #, kde-format
 msgid "Select Diagram on Right"
 msgstr "Diagramme sélectionné à droite"
 
-#: uml.cpp:776
+#: uml.cpp:785
 #, kde-format
 msgctxt "%1 percent value from 20 to 500"
 msgid " &%1%"
 msgstr " &%1%"
 
-#: uml.cpp:826
+#: uml.cpp:835
 #, kde-format
 msgctxt "init status bar"
 msgid "Ready"
 msgstr "Prêt"
 
-#: uml.cpp:835 uml.cpp:848
+#: uml.cpp:844 uml.cpp:857
 #, kde-format
 msgid "100%"
 msgstr "100 %"
 
-#: uml.cpp:840
+#: uml.cpp:849
 #, kde-format
 msgid "Fit"
 msgstr "Adapter"
 
-#: uml.cpp:899
+#: uml.cpp:908
 #, kde-format
 msgid "Diagram Toolbar"
 msgstr "Barre de diagrammes"
 
-#: uml.cpp:965
+#: uml.cpp:974
 #, kde-format
 msgid "Doc&umentation"
 msgstr "Doc&umentation"
 
-#: uml.cpp:976
+#: uml.cpp:985
 #, kde-format
 msgid "Co&mmand history"
 msgstr "Historique des co&mmandes"
 
-#: uml.cpp:992
+#: uml.cpp:1001
 #, kde-format
 msgid "&Debug"
 msgstr "&Déboguer"
 
-#: uml.cpp:999
+#: uml.cpp:1008
 #, kde-format
 msgid "&Log"
 msgstr "&Journalisation"
 
-#: uml.cpp:1041 uml.cpp:1258 uml.cpp:1307
+#: uml.cpp:1050 uml.cpp:1267 uml.cpp:1316
 #, kde-format
 msgid "Opening file..."
 msgstr "Ouverture du fichier..."
 
-#: uml.cpp:1092 uml.cpp:1157 uml.cpp:1342 umldoc.cpp:342 umldoc.cpp:344
-#: umldoc.cpp:368 umldoc.cpp:3396
+#: uml.cpp:1101 uml.cpp:1166 uml.cpp:1351 umldoc.cpp:343 umldoc.cpp:345
+#: umldoc.cpp:369 umldoc.cpp:3405
 #, kde-format
 msgid "Untitled"
 msgstr "Sans titre"
 
-#: uml.cpp:1240
+#: uml.cpp:1249
 #, kde-format
 msgid "Creating new document..."
 msgstr "Création du nouveau document..."
 
-#: uml.cpp:1266 uml.cpp:1281
+#: uml.cpp:1275 uml.cpp:1290
 #, kde-format
 msgid "Open File"
 msgstr "Ouvrir un fichier"
 
-#: uml.cpp:1270
+#: uml.cpp:1279
 #, kde-format
 msgid ""
 "*.xmi *.xmi.tgz *.xmi.tar.bz2 *.mdl *.zargo|All Supported Files (*.xmi, *."
@@ -7597,22 +7597,22 @@ msgstr ""
 "*.mdl|Fichiers modèles Rose (*.mdl)\n"
 "*.zargo|Fichiers compressés argo (*.zargo)\n"
 
-#: uml.cpp:1341
+#: uml.cpp:1350
 #, kde-format
 msgid "Saving file..."
 msgstr "Enregistrement du fichier..."
 
-#: uml.cpp:1358
+#: uml.cpp:1367
 #, kde-format
 msgid "Saving file with a new filename..."
 msgstr "Enregistrement du fichier avec un nouveau nom..."
 
-#: uml.cpp:1368 uml.cpp:1374 umlviewimageexporter.cpp:199
+#: uml.cpp:1377 uml.cpp:1383 umlviewimageexporter.cpp:199
 #, kde-format
 msgid "Save As"
 msgstr "Enregistrer sous"
 
-#: uml.cpp:1369
+#: uml.cpp:1378
 #, kde-format
 msgid ""
 "*.xmi | XMI File (*.xmi);;*.xmi.tgz | Gzip Compressed XMI File (*.xmi.tgz);;"
@@ -7622,7 +7622,7 @@ msgstr ""
 "xmi.tgz);;*.xmi.tar.bz2 | Fichier XMI compressé par Bzip2 (*.xmi.tar.bz2);;* "
 "| Tous les fichiers (*)"
 
-#: uml.cpp:1374
+#: uml.cpp:1383
 #, kde-format
 msgid ""
 "*.xmi|XMI File\n"
@@ -7635,7 +7635,7 @@ msgstr ""
 "*.xmi.tar.bz2|Fichier XMI compressé par Bzip2\n"
 "*|Tous les fichiers"
 
-#: uml.cpp:1387
+#: uml.cpp:1396
 #, kde-format
 msgid ""
 "The file %1 exists.\n"
@@ -7644,67 +7644,67 @@ msgstr ""
 "Le fichier « %1 » existe déjà.\n"
 "Voulez-vous l'écraser ?"
 
-#: uml.cpp:1388
+#: uml.cpp:1397
 #, kde-format
 msgid "Warning"
 msgstr "Avertissement"
 
-#: uml.cpp:1388
+#: uml.cpp:1397
 #, kde-format
 msgid "Overwrite"
 msgstr "Écraser"
 
-#: uml.cpp:1422
+#: uml.cpp:1431
 #, kde-format
 msgid "Closing file..."
 msgstr "Fermeture du fichier..."
 
-#: uml.cpp:1432
+#: uml.cpp:1441
 #, kde-format
 msgid "No search term entered"
 msgstr "Aucune recherche saisie"
 
-#: uml.cpp:1438
+#: uml.cpp:1447
 #, kde-format
 msgid "'%1': %2 found"
 msgstr "« %1 » : %2 trouvé"
 
-#: uml.cpp:1502
+#: uml.cpp:1511
 #, kde-format
 msgid "Print Preview..."
 msgstr "Aperçu avant impression..."
 
-#: uml.cpp:1529
+#: uml.cpp:1538
 #, kde-format
 msgid "Printing..."
 msgstr "Impression..."
 
-#: uml.cpp:1536 uml.cpp:1540
+#: uml.cpp:1545 uml.cpp:1549
 #, kde-format
 msgid "Print %1"
 msgstr "Imprimer « %1 »"
 
-#: uml.cpp:1560
+#: uml.cpp:1569
 #, kde-format
 msgid "Exiting..."
 msgstr "Quitter..."
 
-#: uml.cpp:1647
+#: uml.cpp:1656
 #, kde-format
 msgid "Cutting selection..."
 msgstr "Couper la sélection..."
 
-#: uml.cpp:1670
+#: uml.cpp:1679
 #, kde-format
 msgid "Copying selection to clipboard..."
 msgstr "Copie de la sélection dans le presse-papiers..."
 
-#: uml.cpp:1682
+#: uml.cpp:1691
 #, kde-format
 msgid "Inserting clipboard contents..."
 msgstr "Insertion du contenu du presse-papiers..."
 
-#: uml.cpp:1687
+#: uml.cpp:1696
 #, kde-format
 msgid ""
 "Umbrello could not paste the clipboard contents.  The objects in the "
@@ -7714,40 +7714,40 @@ msgstr ""
 "presse-papiers sont d'un type incompatible ou ne peuvent pas être collés à "
 "cet emplacement."
 
-#: uml.cpp:1713 umlviewimageexporter.cpp:92 umlviewimageexporterall.cpp:123
+#: uml.cpp:1722 umlviewimageexporter.cpp:92 umlviewimageexporterall.cpp:123
 #, kde-format
 msgctxt "reset status bar"
 msgid "Ready."
 msgstr "Prêt."
 
-#: uml.cpp:2246
+#: uml.cpp:2255
 #, kde-format
 msgid "Cannot view code until you generate some first."
 msgstr "Il est impossible d'afficher le code source avant de l'avoir généré."
 
-#: uml.cpp:2246 uml.cpp:2249
+#: uml.cpp:2255 uml.cpp:2258
 #, kde-format
 msgid "Cannot View Code"
 msgstr "Il est impossible d'afficher le code source"
 
-#: uml.cpp:2249
+#: uml.cpp:2258
 #, kde-format
 msgid "Cannot view code from simple code writer."
 msgstr ""
 "Il est impossible d'afficher le code source à partir d'un simple éditeur de "
 "code."
 
-#: uml.cpp:2714 uml.cpp:2716
+#: uml.cpp:2728 uml.cpp:2730
 #, kde-format
 msgid "Select file(s) to import:"
 msgstr "Sélectionnez les fichiers à importer :"
 
-#: uml.cpp:2747 uml.cpp:2749
+#: uml.cpp:2761 uml.cpp:2763
 #, kde-format
 msgid "Select directory to import:"
 msgstr "Sélectionnez le dossier à importer :"
 
-#: uml.cpp:3313
+#: uml.cpp:3335
 #, kde-format
 msgid "XHTML Generation failed ."
 msgstr "Il est impossible de générer le XHTML."
@@ -7761,20 +7761,20 @@ msgstr ""
 "Une opération ayant la même signature et le même nom existe déjà. Vous ne "
 "pouvez pas l'ajouter à nouveau."
 
-#: uml1model/folder.cpp:435
+#: uml1model/folder.cpp:436
 #, kde-format
 msgid "The folderfile %1 does not exist."
 msgstr "Le dossier « %1 » n'existe pas."
 
-#: uml1model/folder.cpp:435 uml1model/folder.cpp:439 umldoc.cpp:529
-#: umldoc.cpp:541 umldoc.cpp:568 umldoc.cpp:570 umldoc.cpp:620 umldoc.cpp:623
-#: umldoc.cpp:638 umldoc.cpp:641 umldoc.cpp:665 umldoc.cpp:668 umldoc.cpp:684
-#: umldoc.cpp:687 umldoc.cpp:702 umldoc.cpp:705 umldoc.cpp:750
+#: uml1model/folder.cpp:436 uml1model/folder.cpp:440 umldoc.cpp:530
+#: umldoc.cpp:542 umldoc.cpp:569 umldoc.cpp:571 umldoc.cpp:621 umldoc.cpp:624
+#: umldoc.cpp:639 umldoc.cpp:642 umldoc.cpp:666 umldoc.cpp:669 umldoc.cpp:685
+#: umldoc.cpp:688 umldoc.cpp:703 umldoc.cpp:706 umldoc.cpp:751
 #, kde-format
 msgid "Load Error"
 msgstr "Erreur lors du chargement"
 
-#: uml1model/folder.cpp:439
+#: uml1model/folder.cpp:440
 #, kde-format
 msgid "The folderfile %1 cannot be opened."
 msgstr "Impossible d'ouvrir le dossier « %1 »."
@@ -7784,13 +7784,13 @@ msgstr "Impossible d'ouvrir le dossier 
 msgid "new_parameter"
 msgstr "nouveau_paramètre"
 
-#: uml1model/package.cpp:163
+#: uml1model/package.cpp:169
 #, kde-format
 msgctxt "object name"
 msgid "Name"
 msgstr "Nom"
 
-#: uml1model/package.cpp:164
+#: uml1model/package.cpp:170
 #, kde-format
 msgid ""
 "An object with the name %1\n"
@@ -7816,77 +7816,77 @@ msgstr "nouveau_champ"
 msgid "new_fkey_constraint"
 msgstr "nouvelle_contrainte_clé_étrangère"
 
-#: uml1model/umlobject.cpp:1140
+#: uml1model/umlobject.cpp:1141
 #, kde-format
 msgid "Actor &name:"
 msgstr "&Nom de l'acteur :"
 
-#: uml1model/umlobject.cpp:1143
+#: uml1model/umlobject.cpp:1144
 #, kde-format
 msgid "Artifact &name:"
 msgstr "&Nom de l'artefact :"
 
-#: uml1model/umlobject.cpp:1146
+#: uml1model/umlobject.cpp:1147
 #, kde-format
 msgid "Association &name:"
 msgstr "&Nom de l'association :"
 
-#: uml1model/umlobject.cpp:1149
+#: uml1model/umlobject.cpp:1150
 #, kde-format
 msgid "Class &name:"
 msgstr "&Nom de la classe :"
 
-#: uml1model/umlobject.cpp:1152
+#: uml1model/umlobject.cpp:1153
 #, kde-format
 msgid "Component &name:"
 msgstr "&Nom du composant :"
 
-#: uml1model/umlobject.cpp:1155
+#: uml1model/umlobject.cpp:1156
 #, kde-format
 msgid "Datatype &name:"
 msgstr "&Nom du type de données :"
 
-#: uml1model/umlobject.cpp:1158
+#: uml1model/umlobject.cpp:1159
 #, kde-format
 msgid "Entity &name:"
 msgstr "&Nom de l'entité :"
 
-#: uml1model/umlobject.cpp:1161
+#: uml1model/umlobject.cpp:1162
 #, kde-format
 msgid "Enum &name:"
 msgstr "Nom de l'é&numération :"
 
-#: uml1model/umlobject.cpp:1164
+#: uml1model/umlobject.cpp:1165
 #, kde-format
 msgid "Folder &name:"
 msgstr "&Nom du dossier :"
 
-#: uml1model/umlobject.cpp:1167
+#: uml1model/umlobject.cpp:1168
 #, kde-format
 msgid "Interface &name:"
 msgstr "&Nom de l'interface :"
 
-#: uml1model/umlobject.cpp:1170
+#: uml1model/umlobject.cpp:1171
 #, kde-format
 msgid "Node &name:"
 msgstr "&Nom du nœud :"
 
-#: uml1model/umlobject.cpp:1173
+#: uml1model/umlobject.cpp:1174
 #, kde-format
 msgid "Package &name:"
 msgstr "&Nom du paquet :"
 
-#: uml1model/umlobject.cpp:1176
+#: uml1model/umlobject.cpp:1177
 #, kde-format
 msgid "Port &name:"
 msgstr "&Nom du port :"
 
-#: uml1model/umlobject.cpp:1182
+#: uml1model/umlobject.cpp:1183
 #, kde-format
 msgid "Use case &name:"
 msgstr "&Nom du cas d'utilisation :"
 
-#: uml1model/umlobject.cpp:1185
+#: uml1model/umlobject.cpp:1186
 #, kde-format
 msgid "Instance name:"
 msgstr "Nom de l'instance :"
@@ -7906,42 +7906,42 @@ msgstr "&Stéréotypes"
 msgid "Welcome"
 msgstr "Bienvenue"
 
-#: umldoc.cpp:112 umldoc.cpp:2400 umldoc.cpp:2428
+#: umldoc.cpp:113 umldoc.cpp:2405 umldoc.cpp:2433
 #, kde-format
 msgid "UML Model"
 msgstr "Modèle UML"
 
-#: umldoc.cpp:154
+#: umldoc.cpp:155
 #, kde-format
 msgid "Logical View"
 msgstr "Vue logique"
 
-#: umldoc.cpp:155
+#: umldoc.cpp:156
 #, kde-format
 msgid "Use Case View"
 msgstr "Vue des cas d'utilisations"
 
-#: umldoc.cpp:156
+#: umldoc.cpp:157
 #, kde-format
 msgid "Component View"
 msgstr "Vue des composants"
 
-#: umldoc.cpp:157
+#: umldoc.cpp:158
 #, kde-format
 msgid "Deployment View"
 msgstr "Vue des déploiements"
 
-#: umldoc.cpp:158
+#: umldoc.cpp:159
 #, kde-format
 msgid "Entity Relationship Model"
 msgstr "Modèle de relations entre entités"
 
-#: umldoc.cpp:184
+#: umldoc.cpp:185
 #, kde-format
 msgid "Datatypes"
 msgstr "Types de données"
 
-#: umldoc.cpp:363
+#: umldoc.cpp:364
 #, kde-format
 msgid ""
 "The current file has been modified.\n"
@@ -7950,167 +7950,167 @@ msgstr ""
 "Le fichier actuel a été modifié.\n"
 "Voulez-vous l'enregistrer ?"
 
-#: umldoc.cpp:364
+#: umldoc.cpp:365
 #, kde-format
 msgctxt "warning message"
 msgid "Warning"
 msgstr "Avertissement"
 
-#: umldoc.cpp:529
+#: umldoc.cpp:530
 #, kde-format
 msgid "The file <%1> does not exist."
 msgstr "Le fichier <%1> n'existe pas."
 
-#: umldoc.cpp:541
+#: umldoc.cpp:542
 #, kde-format
 msgid "The file %1 does not exist."
 msgstr "Le fichier « %1 » n'existe pas."
 
-#: umldoc.cpp:568 umldoc.cpp:570
+#: umldoc.cpp:569 umldoc.cpp:571
 #, kde-format
 msgid "The file %1 seems to be corrupted."
 msgstr "Il semble que le fichier %1 soit corrompu."
 
-#: umldoc.cpp:619 umldoc.cpp:622 umldoc.cpp:637 umldoc.cpp:640 umldoc.cpp:683
-#: umldoc.cpp:686
+#: umldoc.cpp:620 umldoc.cpp:623 umldoc.cpp:638 umldoc.cpp:641 umldoc.cpp:684
+#: umldoc.cpp:687
 #, kde-format
 msgid "There was no XMI file found in the compressed file %1."
 msgstr ""
 "Il est impossible de trouver un fichier XMI dans le fichier compressé %1."
 
-#: umldoc.cpp:664 umldoc.cpp:667
+#: umldoc.cpp:665 umldoc.cpp:668
 #, kde-format
 msgid "There was a problem loading the extracted file: %1"
 msgstr "Erreur lors du chargement du fichier extrait : %1"
 
-#: umldoc.cpp:701 umldoc.cpp:704 umldoc.cpp:744 umldoc.cpp:746
+#: umldoc.cpp:702 umldoc.cpp:705 umldoc.cpp:745 umldoc.cpp:747
 #, kde-format
 msgid "There was a problem loading file: %1"
 msgstr "Erreur lors du chargement du fichier : %1"
 
-#: umldoc.cpp:749
+#: umldoc.cpp:750
 #, kde-format
 msgid "Reason: %1"
 msgstr "Motif : %1"
 
-#: umldoc.cpp:832 umldoc.cpp:834 umldoc.cpp:851 umldoc.cpp:853 umldoc.cpp:873
-#: umldoc.cpp:875 umldoc.cpp:924 umldoc.cpp:926 umldoc.cpp:966 umldoc.cpp:969
-#: umldoc.cpp:978 umldoc.cpp:980 umllistview.cpp:593
+#: umldoc.cpp:833 umldoc.cpp:835 umldoc.cpp:852 umldoc.cpp:854 umldoc.cpp:874
+#: umldoc.cpp:876 umldoc.cpp:925 umldoc.cpp:927 umldoc.cpp:968 umldoc.cpp:971
+#: umldoc.cpp:980 umldoc.cpp:982 umllistview.cpp:594
 #, kde-format
 msgid "Save Error"
 msgstr "Erreur lors de l'enregistrement"
 
-#: umldoc.cpp:832 umldoc.cpp:851 umldoc.cpp:873 umldoc.cpp:924 umldoc.cpp:966
+#: umldoc.cpp:833 umldoc.cpp:852 umldoc.cpp:874 umldoc.cpp:925 umldoc.cpp:968
 #, kde-format
 msgid "There was a problem saving: %1"
 msgstr "Erreur lors de l'enregistrement du fichier : %1"
 
-#: umldoc.cpp:834 umldoc.cpp:853 umldoc.cpp:875 umldoc.cpp:926 umldoc.cpp:969
-#: umllistview.cpp:592 umlviewimageexportermodel.cpp:303
+#: umldoc.cpp:835 umldoc.cpp:854 umldoc.cpp:876 umldoc.cpp:927 umldoc.cpp:971
+#: umllistview.cpp:593 umlviewimageexportermodel.cpp:303
 #, kde-format
 msgid "There was a problem saving file: %1"
 msgstr "Erreur lors de l'enregistrement du fichier « %1 »"
 
-#: umldoc.cpp:978
+#: umldoc.cpp:980
 #, kde-format
 msgid "There was a problem uploading: %1"
 msgstr "Erreur lors de l'envoi du fichier : %1"
 
-#: umldoc.cpp:980
+#: umldoc.cpp:982
 #, kde-format
 msgid "There was a problem uploading file: %1"
 msgstr "Erreur lors de l'envoi du fichier : %1"
 
-#: umldoc.cpp:1526
+#: umldoc.cpp:1528
 #, kde-format
 msgid "use case diagram"
 msgstr "Diagramme de cas d'utilisations"
 
-#: umldoc.cpp:1529
+#: umldoc.cpp:1531
 #, kde-format
 msgid "class diagram"
 msgstr "Diagramme de classes"
 
-#: umldoc.cpp:1532
+#: umldoc.cpp:1534
 #, kde-format
 msgid "sequence diagram"
 msgstr "Diagramme de séquences"
 
-#: umldoc.cpp:1535
+#: umldoc.cpp:1537
 #, kde-format
 msgid "communication diagram"
 msgstr "diagramme de communication"
 
-#: umldoc.cpp:1538
+#: umldoc.cpp:1540
 #, kde-format
 msgid "object diagram"
 msgstr "diagramme d'objet"
 
-#: umldoc.cpp:1541
+#: umldoc.cpp:1543
 #, kde-format
 msgid "state diagram"
 msgstr "Diagramme d'états"
 
-#: umldoc.cpp:1544
+#: umldoc.cpp:1546
 #, kde-format
 msgid "activity diagram"
 msgstr "Diagramme d'activités"
 
-#: umldoc.cpp:1547
+#: umldoc.cpp:1549
 #, kde-format
 msgid "component diagram"
 msgstr "Diagramme de composants"
 
-#: umldoc.cpp:1550
+#: umldoc.cpp:1552
 #, kde-format
 msgid "deployment diagram"
 msgstr "Diagramme de déploiements"
 
-#: umldoc.cpp:1553
+#: umldoc.cpp:1555
 #, kde-format
 msgid "entity relationship diagram"
 msgstr "Diagramme de relations entre entités"
 
-#: umldoc.cpp:1623
+#: umldoc.cpp:1625
 #, kde-format
 msgctxt "diagram name"
 msgid "Name"
 msgstr "Nom"
 
-#: umldoc.cpp:1623 umldoc.cpp:1686 umldoc.cpp:1715 umldoc.cpp:1749
+#: umldoc.cpp:1625 umldoc.cpp:1688 umldoc.cpp:1717 umldoc.cpp:1751
 #, kde-format
 msgid "Enter name:"
 msgstr "Saisissez un nom :"
 
-#: umldoc.cpp:1627 umldoc.cpp:1692
+#: umldoc.cpp:1629 umldoc.cpp:1694
 #, kde-format
 msgid "That is an invalid name for a diagram."
 msgstr "C'est un nom incorrect pour un diagramme."
 
-#: umldoc.cpp:1629 umldoc.cpp:1699
+#: umldoc.cpp:1631 umldoc.cpp:1701
 #, kde-format
 msgid "A diagram is already using that name."
 msgstr "Un diagramme utilise déjà ce nom."
 
-#: umldoc.cpp:1685
+#: umldoc.cpp:1687
 #, kde-format
 msgctxt "renaming diagram"
 msgid "Name"
 msgstr "Nom"
 
-#: umldoc.cpp:1714
+#: umldoc.cpp:1716
 #, kde-format
 msgctxt "renaming uml object"
 msgid "Name"
 msgstr "Nom"
 
-#: umldoc.cpp:1748
+#: umldoc.cpp:1750
 #, kde-format
 msgctxt "renaming child uml object"
 msgid "Name"
 msgstr "Nom"
 
-#: umldoc.cpp:1758
+#: umldoc.cpp:1760
 #, kde-format
 msgid ""
 "The name you entered was not unique.\n"
@@ -8119,62 +8119,62 @@ msgstr ""
 "Le nom du paramètre que vous avez saisi n'est pas unique.\n"
 "Est-ce que ce que vous vouliez ?"
 
-#: umldoc.cpp:1759
+#: umldoc.cpp:1761
 #, kde-format
 msgid "Use Name"
 msgstr "Nom à utiliser"
 
-#: umldoc.cpp:1759
+#: umldoc.cpp:1761
 #, kde-format
 msgid "Enter New Name"
 msgstr "Saisissez le nouveau nom"
 
-#: umldoc.cpp:2361
+#: umldoc.cpp:2366
 #, kde-format
 msgid "Unsupported xmi file version: %1"
 msgstr "Version de fichier «  » non pris en charge : %1"
 
-#: umldoc.cpp:2511
+#: umldoc.cpp:2516
 #, kde-format
 msgid "Setting up the document..."
 msgstr "Paramétrage du document..."
 
-#: umldoc.cpp:2540
+#: umldoc.cpp:2545
 #, kde-format
 msgid "Resolving object references..."
 msgstr "Résolution des références des objets..."
 
-#: umldoc.cpp:2648
+#: umldoc.cpp:2653
 #, kde-format
 msgid "Loading UML elements..."
 msgstr "Chargement des éléments UML..."
 
-#: umldoc.cpp:2892
+#: umldoc.cpp:2899
 #, kde-format
 msgid "Loading diagrams..."
 msgstr "Chargement des diagrammes..."
 
-#: umldoc.cpp:3400
+#: umldoc.cpp:3409
 #, kde-format
 msgid "/autosave%1"
 msgstr "/autosave%1"
 
-#: umllistview.cpp:536 umllistview.cpp:540
+#: umllistview.cpp:537 umllistview.cpp:541
 #, kde-format
 msgid "Externalize Folder"
 msgstr "Externaliser le dossier"
 
-#: umllistview.cpp:574
+#: umllistview.cpp:575
 #, kde-format
 msgid "Folder %1 must be relative to the main model directory, %2."
 msgstr "Le dossier %1 doit être relatif au dossier principal de modèles, %2."
 
-#: umllistview.cpp:575
+#: umllistview.cpp:576
 #, kde-format
 msgid "Path Error"
 msgstr "Erreur d'emplacement"
 
-#: umllistview.cpp:583
+#: umllistview.cpp:584
 #, kde-format
 msgid ""
 "File %1 already exists!\n"
@@ -8183,62 +8183,62 @@ msgstr ""
 "Le fichier %1 existe déjà !\n"
 "Le fichier existant sera écrasé."
 
-#: umllistview.cpp:584
+#: umllistview.cpp:585
 #, kde-format
 msgid "File Exist"
 msgstr "Le fichier existe"
 
-#: umllistview.cpp:624
+#: umllistview.cpp:625
 #, kde-format
 msgid "Enter Model Name"
 msgstr "Saisissez le nom du modèle"
 
-#: umllistview.cpp:625
+#: umllistview.cpp:626
 #, kde-format
 msgid "Enter the new name of the model:"
 msgstr "Saisissez le nouveau nom du modèle :"
 
-#: umllistview.cpp:1422
+#: umllistview.cpp:1430
 #, kde-format
 msgid "Views"
 msgstr "Vues"
 
-#: umllistview.cpp:1441
+#: umllistview.cpp:1449
 #, kde-format
 msgid "Settings"
 msgstr "Configuration"
 
-#: umllistview.cpp:2413
+#: umllistview.cpp:2421
 #, kde-format
 msgid "Loading listview..."
 msgstr "Chargement de la liste d'affichage..."
 
-#: umllistview.cpp:2764
+#: umllistview.cpp:2772
 #, kde-format
 msgid "The class must be emptied before it can be deleted."
 msgstr "Il faut vider la classe avant de pouvoir la supprimer."
 
-#: umllistview.cpp:2765
+#: umllistview.cpp:2773
 #, kde-format
 msgid "Class Not Empty"
 msgstr "Classe non vide"
 
-#: umllistview.cpp:2769
+#: umllistview.cpp:2777
 #, kde-format
 msgid "The package must be emptied before it can be deleted."
 msgstr "Il faut vider le paquet avant de pouvoir le supprimer."
 
-#: umllistview.cpp:2770
+#: umllistview.cpp:2778
 #, kde-format
 msgid "Package Not Empty"
 msgstr "Paquet non vide"
 
-#: umllistview.cpp:2774
+#: umllistview.cpp:2782
 #, kde-format
 msgid "The folder must be emptied before it can be deleted."
 msgstr "Il faut vider le dossier avant de pouvoir le supprimer."
 
-#: umllistview.cpp:2775
+#: umllistview.cpp:2783
 #, kde-format
 msgid "Folder Not Empty"
 msgstr "Dossier non vide"
diff -pruN 4:20.08.3-1/po/ga/umbrello.po 4:20.12.0-0ubuntu1/po/ga/umbrello.po
--- 4:20.08.3-1/po/ga/umbrello.po	2020-11-03 00:42:16.000000000 +0000
+++ 4:20.12.0-0ubuntu1/po/ga/umbrello.po	2020-12-04 00:21:30.000000000 +0000
@@ -6,7 +6,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: kdesdk/umbrello.po\n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
-"POT-Creation-Date: 2020-08-14 08:09+0200\n"
+"POT-Creation-Date: 2020-11-06 02:36+0100\n"
 "PO-Revision-Date: 2004-12-03 14:52-0500\n"
 "Last-Translator: Kevin Scannell <kscanne@gmail.com>\n"
 "Language-Team: Irish <gaeilge-gnulinux@lists.sourceforge.net>\n"
@@ -209,7 +209,7 @@ msgid ""
 "item of the same name already exists.  Any other items have been pasted."
 msgstr ""
 
-#: clipboard/umlclipboard.cpp:753 uml.cpp:1689
+#: clipboard/umlclipboard.cpp:753 uml.cpp:1698
 #, kde-format
 msgid "Paste Error"
 msgstr "Earráid Ghreamaithe"
@@ -440,7 +440,7 @@ msgstr "<p align=\"center\">Giniúint Ch
 #. i18n: ectx: attribute (title), widget (QWidget, ui_tabGeneral)
 #: codegenerators/cpp/cppcodegenerationformbase.ui:51
 #: codegenwizard/codegenoptionspage.ui:39 dialogs/objectnodedialog.cpp:135
-#: umllistview.cpp:1451
+#: umllistview.cpp:1459
 #, kde-format
 msgid "General"
 msgstr "Ginearálta"
@@ -1299,7 +1299,7 @@ msgstr "Stádas"
 #. i18n: ectx: property (text), widget (QRadioButton, ui_categoryClass)
 #. i18n: ectx: property (text), widget (QTableWidget, ui_tableWidgetStatus)
 #: codegenwizard/codegenstatuspage.ui:40 codeimpwizard/codeimpstatuspage.ui:54
-#: dialogs/finddialog.ui:89 umllistview.cpp:1446 umlwidgets/widgetbase.cpp:1255
+#: dialogs/finddialog.ui:89 umllistview.cpp:1454 umlwidgets/widgetbase.cpp:1255
 #, kde-format
 msgid "Class"
 msgstr "Aicme"
@@ -1956,35 +1956,35 @@ msgstr ""
 msgid "Enable 'delete diagram' related messages"
 msgstr ""
 
-#: dialogs/dialog_utils.cpp:117
+#: dialogs/dialog_utils.cpp:118
 #, kde-format
 msgid "You are about to delete an association. Do you really want to continue?"
 msgstr ""
 
-#: dialogs/dialog_utils.cpp:118
+#: dialogs/dialog_utils.cpp:119
 #, fuzzy, kde-format
 #| msgid "Association"
 msgid "Delete Association"
 msgstr "Comhcheangal"
 
-#: dialogs/dialog_utils.cpp:132
+#: dialogs/dialog_utils.cpp:133
 #, kde-format
 msgid ""
 "You are about to delete the entire diagram.\n"
 "Are you sure?"
 msgstr ""
 
-#: dialogs/dialog_utils.cpp:133
+#: dialogs/dialog_utils.cpp:134
 #, kde-format
 msgid "Are you sure you want to delete diagram %1?"
 msgstr "An bhfuil tú cinnte gur mian leat léaráid %1 a scriosadh?"
 
-#: dialogs/dialog_utils.cpp:138
+#: dialogs/dialog_utils.cpp:139
 #, kde-format
 msgid "Delete Diagram?"
 msgstr "Scrios Léaráid?"
 
-#: dialogs/dialog_utils.cpp:139 dialogs/pages/classifierlistpage.cpp:215
+#: dialogs/dialog_utils.cpp:140 dialogs/pages/classifierlistpage.cpp:215
 #: dialogs/pages/classifierlistpage.cpp:223
 #: dialogs/umlforeignkeyconstraintdialog.cpp:325
 #: dialogs/umlforeignkeyconstraintdialog.cpp:331
@@ -2145,7 +2145,7 @@ msgstr "Ginearálta"
 #. i18n: ectx: label, entry (uiFont), group (UI Options)
 #. i18n: ectx: label, entry (codeViewerFont), group (Code Viewer Options)
 #: dialogs/multipagedialogbase.cpp:405 umbrello.kcfg:177 umbrello.kcfg:292
-#: umllistview.cpp:1450
+#: umllistview.cpp:1458
 #, kde-format
 msgid "Font"
 msgstr "Cló"
@@ -2565,7 +2565,7 @@ msgstr "Airí &Nua..."
 
 #: dialogs/pages/classifierlistpage.cpp:217
 #: dialogs/pages/classifierlistpage.cpp:225 dialogs/umloperationdialog.cpp:167
-#: dialogs/umloperationdialog.cpp:175 uml.cpp:554
+#: dialogs/umloperationdialog.cpp:175 uml.cpp:563
 #, kde-format
 msgid "&Properties"
 msgstr "&Airíonna"
@@ -2583,7 +2583,7 @@ msgid "Source Code"
 msgstr "Cód Foinseach"
 
 #: dialogs/pages/classoptionspage.cpp:157
-#: dialogs/pages/classoptionspage.cpp:251 uml.cpp:509
+#: dialogs/pages/classoptionspage.cpp:251 uml.cpp:518
 #, kde-format
 msgid "&Documentation"
 msgstr "&Doiciméadú"
@@ -2771,8 +2771,8 @@ msgstr "D'iontráil tú ainm neamhbhail
 #: uml1model/classifier.cpp:410 uml1model/classifier.cpp:781
 #: uml1model/entity.cpp:125 uml1model/entity.cpp:178 uml1model/entity.cpp:228
 #: uml1model/entity.cpp:277 uml1model/enum.cpp:107 uml1model/instance.cpp:124
-#: uml1model/package.cpp:172 umldoc.cpp:1627 umldoc.cpp:1692 umldoc.cpp:1721
-#: umldoc.cpp:1755
+#: uml1model/package.cpp:178 umldoc.cpp:1629 umldoc.cpp:1694 umldoc.cpp:1723
+#: umldoc.cpp:1757
 #, kde-format
 msgid "Invalid Name"
 msgstr "Ainm Neamhbhailí"
@@ -2782,7 +2782,7 @@ msgstr "Ainm Neamhbhailí"
 msgid "The name you have entered is not unique."
 msgstr ""
 
-#: dialogs/pages/diagrampropertiespage.cpp:86 umldoc.cpp:1759
+#: dialogs/pages/diagrampropertiespage.cpp:86 umldoc.cpp:1761
 #, kde-format
 msgid "Name Not Unique"
 msgstr ""
@@ -3255,7 +3255,7 @@ msgstr "Léarái&d"
 msgid "Umbrello Setup"
 msgstr "Socrú Umbrello"
 
-#: dialogs/settingsdialog.cpp:114 umllistview.cpp:1452
+#: dialogs/settingsdialog.cpp:114 umllistview.cpp:1460
 #, kde-format
 msgid "User Interface"
 msgstr "Comhéadan Úsáideora"
@@ -3282,7 +3282,7 @@ msgstr "Aicme"
 msgid "Class Settings"
 msgstr "Socruithe Aicme"
 
-#: dialogs/settingsdialog.cpp:137 umllistview.cpp:1447
+#: dialogs/settingsdialog.cpp:137 umllistview.cpp:1455
 #, kde-format
 msgid "Code Importer"
 msgstr "Iompórtálaí Cóid"
@@ -3292,7 +3292,7 @@ msgstr "Iompórtálaí Cóid"
 msgid "Code Import Settings"
 msgstr "Socruithe Iompórtála Cóid"
 
-#: dialogs/settingsdialog.cpp:146 umllistview.cpp:1448
+#: dialogs/settingsdialog.cpp:146 umllistview.cpp:1456
 #, kde-format
 msgid "Code Generation"
 msgstr "Giniúint Chóid"
@@ -3302,7 +3302,7 @@ msgstr "Giniúint Chóid"
 msgid "Code Generation Settings"
 msgstr "Socruithe Giniúna Cóid"
 
-#: dialogs/settingsdialog.cpp:154 umllistview.cpp:1449
+#: dialogs/settingsdialog.cpp:154 umllistview.cpp:1457
 #, kde-format
 msgid "Code Viewer"
 msgstr "Amharcán Cóid"
@@ -3312,7 +3312,7 @@ msgstr "Amharcán Cóid"
 msgid "Code Viewer Settings"
 msgstr "Socruithe an Amharcáin Cóid"
 
-#: dialogs/settingsdialog.cpp:161 umllistview.cpp:1445
+#: dialogs/settingsdialog.cpp:161 umllistview.cpp:1453
 #, kde-format
 msgid "Auto Layout"
 msgstr "Leagan Amach Uathoibríoch"
@@ -3961,7 +3961,7 @@ msgstr "&Cineál:"
 msgid "Package path:"
 msgstr "Conair an phacáiste:"
 
-#: dialogs/widgets/umlstereotypewidget.cpp:29 uml1model/umlobject.cpp:1179
+#: dialogs/widgets/umlstereotypewidget.cpp:29 uml1model/umlobject.cpp:1180
 #, fuzzy, kde-format
 #| msgid "Stereotype name:"
 msgid "Stereotype &name:"
@@ -4106,7 +4106,7 @@ msgstr "© 2006 Gael de Chalendar (aka K
 msgid "Gael de Chalendar (aka Kleag)"
 msgstr "Gael de Chalendar (aka Kleag)"
 
-#: docgenerators/main.cpp:56 main.cpp:131
+#: docgenerators/main.cpp:56 main.cpp:133
 #, kde-format
 msgid "Umbrello UML Modeller Authors"
 msgstr "Údair Samhaltóra UML Umbrello"
@@ -4170,12 +4170,12 @@ msgstr ""
 msgid "Apply layout"
 msgstr "Leagan Amach Uathoibríoch"
 
-#: main.cpp:121
+#: main.cpp:123
 #, kde-format
 msgid "Umbrello UML Modeller"
 msgstr "Samhaltóir UML Umbrello"
 
-#: main.cpp:123
+#: main.cpp:125
 #, kde-format
 msgid ""
 "Umbrello – Visual development environment for software, based on the "
@@ -4183,7 +4183,7 @@ msgid ""
 "\"http://www.omg.org/spec/\">http://www.omg.org/spec/</a>."
 msgstr ""
 
-#: main.cpp:127
+#: main.cpp:129
 #, fuzzy, kde-format
 #| msgid "(c) 2001 Paul Hensgen, (c) 2002-2012 Umbrello UML Modeller Authors"
 msgid ""
@@ -4191,113 +4191,113 @@ msgid ""
 "Copyright © 2002-2020 Umbrello UML Modeller Authors"
 msgstr "© 2001 Paul Hensgen, © 2002-2012 Údair Samhaltóra UML Umbrello"
 
-#: main.cpp:130
+#: main.cpp:132
 #, kde-format
 msgid "Paul Hensgen"
 msgstr "Paul Hensgen"
 
-#: main.cpp:130
+#: main.cpp:132
 #, kde-format
 msgid "Author of initial version."
 msgstr ""
 
-#: main.cpp:134
+#: main.cpp:136
 #, kde-format
 msgid "Oliver Kellogg"
 msgstr ""
 
-#: main.cpp:135 main.cpp:138
+#: main.cpp:137 main.cpp:140
 #, kde-format
 msgid "Bug fixing, porting work, code cleanup, new features."
 msgstr ""
 
-#: main.cpp:137
+#: main.cpp:139
 #, kde-format
 msgid "Ralf Habacker"
 msgstr ""
 
-#: main.cpp:140
+#: main.cpp:142
 #, kde-format
 msgid "Andi Fischer"
 msgstr ""
 
-#: main.cpp:141
+#: main.cpp:143
 #, kde-format
 msgid "Porting work, code cleanup, new features."
 msgstr ""
 
-#: main.cpp:143
+#: main.cpp:145
 #, kde-format
 msgid "Jonathan Riddell"
 msgstr ""
 
-#: main.cpp:144
+#: main.cpp:146
 #, fuzzy, kde-format
 #| msgid "&Current diagram"
 msgid "Current maintainer."
 msgstr "&Léaráid reatha"
 
-#: main.cpp:146
+#: main.cpp:148
 #, kde-format
 msgid "Brian Thomas"
 msgstr ""
 
-#: main.cpp:147
+#: main.cpp:149
 #, kde-format
 msgid "A lot of work for C++ and Java code generation. Codeeditor."
 msgstr ""
 
-#: main.cpp:152
+#: main.cpp:154
 #, kde-format
 msgid "File to open"
 msgstr "Comhad le hoscailt"
 
-#: main.cpp:153
+#: main.cpp:155
 #, kde-format
 msgid "export diagrams to extension and exit"
 msgstr ""
 
-#: main.cpp:154
+#: main.cpp:156
 #, kde-format
 msgid "list available export extensions"
 msgstr ""
 
-#: main.cpp:155
+#: main.cpp:157
 #, kde-format
 msgid "the local directory to save the exported diagrams in"
 msgstr ""
 
-#: main.cpp:155
+#: main.cpp:157
 #, kde-format
 msgid "the directory of the file"
 msgstr "comhadlann an chomhaid"
 
-#: main.cpp:156
+#: main.cpp:158
 #, fuzzy, kde-format
 #| msgid "importing file ..."
 msgid "import files"
 msgstr "comhad á iompórtáil..."
 
-#: main.cpp:157
+#: main.cpp:159
 #, fuzzy, kde-format
 #| msgid "All Supported Files"
 msgid "list supported languages"
 msgstr "Gach Comhad a Thacaítear Leis"
 
-#: main.cpp:158
+#: main.cpp:160
 #, kde-format
 msgid ""
 "keep the tree structure used to store the views in the document in the "
 "target directory"
 msgstr ""
 
-#: main.cpp:159
+#: main.cpp:161
 #, fuzzy, kde-format
 #| msgid "Import Project..."
 msgid "import files from directory <dir>"
 msgstr "Iompórtáil Tionscadal..."
 
-#: main.cpp:163
+#: main.cpp:165
 #, fuzzy, kde-format
 #| msgid "Active &Language"
 msgid "set active language"
@@ -4572,7 +4572,7 @@ msgstr "Taispeáin díothú"
 msgid "Import File(s)..."
 msgstr "Iompórtáil Aicmí..."
 
-#: menus/listpopupmenu.cpp:201 uml.cpp:356
+#: menus/listpopupmenu.cpp:201 uml.cpp:365
 #, fuzzy, kde-format
 #| msgid "Import Project..."
 msgid "Import from Directory..."
@@ -5100,42 +5100,42 @@ msgctxt "align menu"
 msgid "Align"
 msgstr "&Ailínigh"
 
-#: menus/widgetbasepopupmenu.cpp:598 uml.cpp:573
+#: menus/widgetbasepopupmenu.cpp:598 uml.cpp:582
 #, kde-format
 msgid "Align Right"
 msgstr "Ailínigh Ar Dheis"
 
-#: menus/widgetbasepopupmenu.cpp:599 uml.cpp:578
+#: menus/widgetbasepopupmenu.cpp:599 uml.cpp:587
 #, kde-format
 msgid "Align Left"
 msgstr "Ailínigh Ar Chlé"
 
-#: menus/widgetbasepopupmenu.cpp:600 uml.cpp:583
+#: menus/widgetbasepopupmenu.cpp:600 uml.cpp:592
 #, kde-format
 msgid "Align Top"
 msgstr "Ailínigh leis an mBarr"
 
-#: menus/widgetbasepopupmenu.cpp:601 uml.cpp:588
+#: menus/widgetbasepopupmenu.cpp:601 uml.cpp:597
 #, kde-format
 msgid "Align Bottom"
 msgstr "Ailínigh leis an mBun"
 
-#: menus/widgetbasepopupmenu.cpp:603 uml.cpp:593
+#: menus/widgetbasepopupmenu.cpp:603 uml.cpp:602
 #, kde-format
 msgid "Align Vertical Middle"
 msgstr ""
 
-#: menus/widgetbasepopupmenu.cpp:604 uml.cpp:598
+#: menus/widgetbasepopupmenu.cpp:604 uml.cpp:607
 #, kde-format
 msgid "Align Horizontal Middle"
 msgstr ""
 
-#: menus/widgetbasepopupmenu.cpp:605 uml.cpp:603
+#: menus/widgetbasepopupmenu.cpp:605 uml.cpp:612
 #, kde-format
 msgid "Align Vertical Distribute"
 msgstr ""
 
-#: menus/widgetbasepopupmenu.cpp:606 uml.cpp:608
+#: menus/widgetbasepopupmenu.cpp:606 uml.cpp:617
 #, kde-format
 msgid "Align Horizontal Distribute"
 msgstr ""
@@ -6063,8 +6063,8 @@ msgstr "Teachtaireacht"
 #: object_factory.cpp:251 uml1model/classifier.cpp:410
 #: uml1model/classifier.cpp:781 uml1model/entity.cpp:125
 #: uml1model/entity.cpp:178 uml1model/entity.cpp:228 uml1model/entity.cpp:277
-#: uml1model/enum.cpp:107 uml1model/instance.cpp:124 uml1model/package.cpp:171
-#: umldoc.cpp:1721 umldoc.cpp:1755
+#: uml1model/enum.cpp:107 uml1model/instance.cpp:124 uml1model/package.cpp:177
+#: umldoc.cpp:1723 umldoc.cpp:1757
 #, kde-format
 msgid "That is an invalid name."
 msgstr "Is ainm neamhbhailí é sin."
@@ -6083,7 +6083,7 @@ msgstr "Lorgfhocal in Áirithe"
 #: object_factory.cpp:264 uml1model/classifier.cpp:413
 #: uml1model/classifier.cpp:783 uml1model/entity.cpp:127
 #: uml1model/entity.cpp:180 uml1model/entity.cpp:230 uml1model/entity.cpp:279
-#: uml1model/instance.cpp:126 umldoc.cpp:1727 umldoc.cpp:1764
+#: uml1model/instance.cpp:126 umldoc.cpp:1729 umldoc.cpp:1766
 #, kde-format
 msgid "That name is already being used."
 msgstr "Tá an t-ainm sin in úsáid cheana."
@@ -6091,8 +6091,8 @@ msgstr "Tá an t-ainm sin in úsáid che
 #: object_factory.cpp:265 uml1model/classifier.cpp:413
 #: uml1model/classifier.cpp:783 uml1model/entity.cpp:127
 #: uml1model/entity.cpp:180 uml1model/entity.cpp:230 uml1model/entity.cpp:279
-#: uml1model/instance.cpp:126 umldoc.cpp:1629 umldoc.cpp:1699 umldoc.cpp:1727
-#: umldoc.cpp:1764
+#: uml1model/instance.cpp:126 umldoc.cpp:1631 umldoc.cpp:1701 umldoc.cpp:1729
+#: umldoc.cpp:1766
 #, kde-format
 msgid "Not a Unique Name"
 msgstr ""
@@ -6153,12 +6153,12 @@ msgstr ""
 msgid "Choose a different name."
 msgstr "Roghnaigh ainm difriúil."
 
-#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:266
+#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:273
 #, kde-format
 msgid "Incorrect use of associations."
 msgstr ""
 
-#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:266
+#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:273
 #, kde-format
 msgid "Association Error"
 msgstr ""
@@ -7325,190 +7325,190 @@ msgstr "Teanga &Ghníomhach"
 msgid "&Settings"
 msgstr "Socruithe an Róil"
 
-#: uml.cpp:332
+#: uml.cpp:341
 #, kde-format
 msgid "&Export model to DocBook"
 msgstr "&Easpórtáil samhail go DocBook"
 
-#: uml.cpp:336
+#: uml.cpp:345
 #, kde-format
 msgid "&Export model to XHTML"
 msgstr "&Easpórtáil samhail go XHTML"
 
-#: uml.cpp:340
+#: uml.cpp:349
 #, kde-format
 msgid "&New Class Wizard..."
 msgstr "Treoraí Aicme &Nuaí..."
 
-#: uml.cpp:344
+#: uml.cpp:353
 #, kde-format
 msgid "&Add Default Datatypes for Active Language"
 msgstr ""
 
-#: uml.cpp:351
+#: uml.cpp:360
 #, kde-format
 msgid "Code &Importing Wizard..."
 msgstr "Treoraí &Iompórtála Cóid..."
 
-#: uml.cpp:361
+#: uml.cpp:370
 #, kde-format
 msgid "&Code Generation Wizard..."
 msgstr "Treoraí Giniúna &Cóid..."
 
-#: uml.cpp:366
+#: uml.cpp:375
 #, kde-format
 msgid "&Generate All Code"
 msgstr "&Gin Cód Uile"
 
-#: uml.cpp:411
+#: uml.cpp:420
 #, kde-format
 msgid "Creates a new document"
 msgstr "Cruthaigh cáipéis nua"
 
-#: uml.cpp:412
+#: uml.cpp:421
 #, kde-format
 msgid "Opens an existing document"
 msgstr "Oscail cáipéis atá ann"
 
-#: uml.cpp:413
+#: uml.cpp:422
 #, kde-format
 msgid "Opens a recently used file"
 msgstr "Oscail comhad a úsáideadh le déanaí"
 
-#: uml.cpp:414
+#: uml.cpp:423
 #, kde-format
 msgid "Saves the document"
 msgstr "Sábháil an cháipéis"
 
-#: uml.cpp:415
+#: uml.cpp:424
 #, kde-format
 msgid "Saves the document as..."
 msgstr "Sábháil an cháipéis mar..."
 
-#: uml.cpp:416
+#: uml.cpp:425
 #, kde-format
 msgid "Closes the document"
 msgstr "Dún an cháipéis"
 
-#: uml.cpp:417
+#: uml.cpp:426
 #, kde-format
 msgid "Prints out the document"
 msgstr "Priontáil an cháipéis"
 
-#: uml.cpp:418
+#: uml.cpp:427
 #, kde-format
 msgid "Print Preview of the document"
 msgstr "Réamhamharc Priontála na Cáipéise"
 
-#: uml.cpp:419
+#: uml.cpp:428
 #, kde-format
 msgid "Quits the application"
 msgstr "Éirigh as an bhfeidhmchlár"
 
-#: uml.cpp:420
+#: uml.cpp:429
 #, kde-format
 msgid "Exports the model to the docbook format"
 msgstr "Easpórtáil an tsamhail go dtí an fhormáid docbook"
 
-#: uml.cpp:421
+#: uml.cpp:430
 #, kde-format
 msgid "Exports the model to the XHTML format"
 msgstr "Easpórtáil an tsamhail go dtí an fhormáid XHTML"
 
-#: uml.cpp:422
+#: uml.cpp:431
 #, kde-format
 msgid "Cuts the selected section and puts it to the clipboard"
 msgstr "Gearr an rannán roghnaithe agus cuir é sa ghearrthaisce"
 
-#: uml.cpp:423
+#: uml.cpp:432
 #, kde-format
 msgid "Copies the selected section to the clipboard"
 msgstr "Cuir cóip den rannán roghnaithe sa ghearrthaisce"
 
-#: uml.cpp:424
+#: uml.cpp:433
 #, kde-format
 msgid "Pastes the contents of the clipboard"
 msgstr ""
 
-#: uml.cpp:425
+#: uml.cpp:434
 #, kde-format
 msgid "Set the default program preferences"
 msgstr ""
 
-#: uml.cpp:429
+#: uml.cpp:438
 #, kde-format
 msgctxt "delete selected widget"
 msgid "Delete &Selected"
 msgstr "Scrios &Roghnaithe"
 
-#: uml.cpp:440
+#: uml.cpp:449
 #, kde-format
 msgid "&Class Diagram..."
 msgstr "Léaráid Ai&cme..."
 
-#: uml.cpp:447
+#: uml.cpp:456
 #, fuzzy, kde-format
 #| msgid "&Activity Diagram..."
 msgid "&Object Diagram..."
 msgstr "Léaráid &Ghnímh..."
 
-#: uml.cpp:454
+#: uml.cpp:463
 #, kde-format
 msgid "&Sequence Diagram..."
 msgstr ""
 
-#: uml.cpp:460
+#: uml.cpp:469
 #, fuzzy, kde-format
 #| msgid "C&ollaboration Diagram..."
 msgid "C&ommunication Diagram..."
 msgstr "Léaráid Ch&omhoibrithe..."
 
-#: uml.cpp:466
+#: uml.cpp:475
 #, kde-format
 msgid "&Use Case Diagram..."
 msgstr "&Léaráid de Chás Úsáide..."
 
-#: uml.cpp:472
+#: uml.cpp:481
 #, kde-format
 msgid "S&tate Diagram..."
 msgstr ""
 
-#: uml.cpp:478
+#: uml.cpp:487
 #, kde-format
 msgid "&Activity Diagram..."
 msgstr "Léaráid &Ghnímh..."
 
-#: uml.cpp:484
+#: uml.cpp:493
 #, kde-format
 msgid "Co&mponent Diagram..."
 msgstr "Léaráid Cho&mhpháirte..."
 
-#: uml.cpp:490
+#: uml.cpp:499
 #, kde-format
 msgid "&Deployment Diagram..."
 msgstr "Léaráid &Imlonnaithe..."
 
-#: uml.cpp:496
+#: uml.cpp:505
 #, kde-format
 msgid "&Entity Relationship Diagram..."
 msgstr "Léaráid d&e Ghaoil na nAonán..."
 
-#: uml.cpp:501 uml.cpp:954
+#: uml.cpp:510 uml.cpp:963
 #, kde-format
 msgid "&Tree View"
 msgstr "&Amharc Géagchórais"
 
-#: uml.cpp:505
+#: uml.cpp:514
 #, kde-format
 msgid "&Debugging"
 msgstr ""
 
-#: uml.cpp:513
+#: uml.cpp:522
 #, kde-format
 msgid "&Logging"
 msgstr ""
 
-#: uml.cpp:517
+#: uml.cpp:526
 #, kde-format
 msgid "&Command history"
 msgstr ""
@@ -7517,139 +7517,139 @@ msgstr ""
 #. m_propertyDock->setObjectName(QLatin1String("PropertyDock"));
 #. addDockWidget(Qt::LeftDockWidgetArea, m_propertyDock);  //:TODO:
 #. create the bird's eye view
-#: uml.cpp:521 uml.cpp:1011
+#: uml.cpp:530 uml.cpp:1020
 #, kde-format
 msgid "&Bird's eye view"
 msgstr ""
 
-#: uml.cpp:526
+#: uml.cpp:535
 #, kde-format
 msgid "&Clear Diagram"
 msgstr "&Bánaigh an Léaráid"
 
-#: uml.cpp:530
+#: uml.cpp:539
 #, kde-format
 msgid "&Snap to Grid"
 msgstr "&Léim go Greille"
 
-#: uml.cpp:534
+#: uml.cpp:543
 #, kde-format
 msgid "S&how Grid"
 msgstr "T&aispeáin Greille"
 
-#: uml.cpp:539
+#: uml.cpp:548
 #, fuzzy, kde-format
 #| msgid "Delete Diagram"
 msgid "&Delete Diagram"
 msgstr "Scrios Léaráid"
 
-#: uml.cpp:544
+#: uml.cpp:553
 #, kde-format
 msgid "&Export as Picture..."
 msgstr "&Easpórtáil mar Phictiúr..."
 
-#: uml.cpp:549
+#: uml.cpp:558
 #, fuzzy, kde-format
 #| msgid "Export as Picture..."
 msgid "Export &Diagrams as Pictures..."
 msgstr "Easpórtáil mar Phictiúr..."
 
-#: uml.cpp:569
+#: uml.cpp:578
 #, kde-format
 msgid "Z&oom to 100%"
 msgstr "&Súmáil go 100%"
 
-#: uml.cpp:612
+#: uml.cpp:621
 #, kde-format
 msgid "&Move Tab Left"
 msgstr "&Bog Cluaisín Faoi Chlé"
 
-#: uml.cpp:613
+#: uml.cpp:622
 #, kde-format
 msgid "&Move Tab Right"
 msgstr "&Bog Cluaisín Faoi Dheis"
 
-#: uml.cpp:636
+#: uml.cpp:645
 #, kde-format
 msgid "Select Diagram on Left"
 msgstr "Roghnaigh an Léaráid ar Clé"
 
-#: uml.cpp:637
+#: uml.cpp:646
 #, kde-format
 msgid "Select Diagram on Right"
 msgstr "Roghnaigh an Léaráid ar Dheis"
 
-#: uml.cpp:776
+#: uml.cpp:785
 #, kde-format
 msgctxt "%1 percent value from 20 to 500"
 msgid " &%1%"
 msgstr ""
 
-#: uml.cpp:826
+#: uml.cpp:835
 #, kde-format
 msgctxt "init status bar"
 msgid "Ready"
 msgstr "Réidh"
 
-#: uml.cpp:835 uml.cpp:848
+#: uml.cpp:844 uml.cpp:857
 #, fuzzy, kde-format
 #| msgid "&100%"
 msgid "100%"
 msgstr "&100%"
 
-#: uml.cpp:840
+#: uml.cpp:849
 #, fuzzy, kde-format
 #| msgid "Filter"
 msgid "Fit"
 msgstr "Scagaire"
 
-#: uml.cpp:899
+#: uml.cpp:908
 #, kde-format
 msgid "Diagram Toolbar"
 msgstr ""
 
-#: uml.cpp:965
+#: uml.cpp:974
 #, kde-format
 msgid "Doc&umentation"
 msgstr "D&oiciméadú"
 
-#: uml.cpp:976
+#: uml.cpp:985
 #, kde-format
 msgid "Co&mmand history"
 msgstr ""
 
-#: uml.cpp:992
+#: uml.cpp:1001
 #, kde-format
 msgid "&Debug"
 msgstr ""
 
-#: uml.cpp:999
+#: uml.cpp:1008
 #, kde-format
 msgid "&Log"
 msgstr ""
 
-#: uml.cpp:1041 uml.cpp:1258 uml.cpp:1307
+#: uml.cpp:1050 uml.cpp:1267 uml.cpp:1316
 #, kde-format
 msgid "Opening file..."
 msgstr "Comhad á oscailt..."
 
-#: uml.cpp:1092 uml.cpp:1157 uml.cpp:1342 umldoc.cpp:342 umldoc.cpp:344
-#: umldoc.cpp:368 umldoc.cpp:3396
+#: uml.cpp:1101 uml.cpp:1166 uml.cpp:1351 umldoc.cpp:343 umldoc.cpp:345
+#: umldoc.cpp:369 umldoc.cpp:3405
 #, kde-format
 msgid "Untitled"
 msgstr "Gan Teideal"
 
-#: uml.cpp:1240
+#: uml.cpp:1249
 #, kde-format
 msgid "Creating new document..."
 msgstr "Cáipéis nua á cruthú..."
 
-#: uml.cpp:1266 uml.cpp:1281
+#: uml.cpp:1275 uml.cpp:1290
 #, kde-format
 msgid "Open File"
 msgstr "Oscail Comhad"
 
-#: uml.cpp:1270
+#: uml.cpp:1279
 #, fuzzy, kde-format
 #| msgid ""
 #| "*.xmi *.xmi.tgz *.xmi.tar.bz2 *.mdl|All Supported Files (*.xmi, *.xmi."
@@ -7674,22 +7674,22 @@ msgstr ""
 "*.xmi.tar.bz2|Comhaid XMI Comhbhrúite le Bzip2 (*.xmi.tar.bz2)*.mdl|Comhaid "
 "Samhla Rose"
 
-#: uml.cpp:1341
+#: uml.cpp:1350
 #, kde-format
 msgid "Saving file..."
 msgstr "Comhad á shábháil..."
 
-#: uml.cpp:1358
+#: uml.cpp:1367
 #, kde-format
 msgid "Saving file with a new filename..."
 msgstr "Comhad á shábháil le hainm comhaid nua..."
 
-#: uml.cpp:1368 uml.cpp:1374 umlviewimageexporter.cpp:199
+#: uml.cpp:1377 uml.cpp:1383 umlviewimageexporter.cpp:199
 #, kde-format
 msgid "Save As"
 msgstr "Sábháil Mar"
 
-#: uml.cpp:1369
+#: uml.cpp:1378
 #, fuzzy, kde-format
 #| msgid ""
 #| "*.xmi|XMI File\n"
@@ -7705,7 +7705,7 @@ msgstr ""
 "*.xmi.tar.bz2|Comhad XMI Comhbhrúite le Bzip2\n"
 "*|Gach Comhad"
 
-#: uml.cpp:1374
+#: uml.cpp:1383
 #, fuzzy, kde-format
 #| msgid ""
 #| "*.xmi|XMI File\n"
@@ -7723,7 +7723,7 @@ msgstr ""
 "*.xmi.tar.bz2|Comhad XMI Comhbhrúite le Bzip2\n"
 "*|Gach Comhad"
 
-#: uml.cpp:1387
+#: uml.cpp:1396
 #, kde-format
 msgid ""
 "The file %1 exists.\n"
@@ -7732,107 +7732,107 @@ msgstr ""
 "Tá comhad %1 ann cheana.\n"
 "An bhfuil tú cinnte gur mian leat scríobh air?"
 
-#: uml.cpp:1388
+#: uml.cpp:1397
 #, kde-format
 msgid "Warning"
 msgstr "Rabhadh"
 
-#: uml.cpp:1388
+#: uml.cpp:1397
 #, kde-format
 msgid "Overwrite"
 msgstr "Forscríobh"
 
-#: uml.cpp:1422
+#: uml.cpp:1431
 #, kde-format
 msgid "Closing file..."
 msgstr "Comhad á dhúnadh..."
 
-#: uml.cpp:1432
+#: uml.cpp:1441
 #, kde-format
 msgid "No search term entered"
 msgstr ""
 
-#: uml.cpp:1438
+#: uml.cpp:1447
 #, kde-format
 msgid "'%1': %2 found"
 msgstr ""
 
-#: uml.cpp:1502
+#: uml.cpp:1511
 #, kde-format
 msgid "Print Preview..."
 msgstr "Réamhamharc Priontála..."
 
-#: uml.cpp:1529
+#: uml.cpp:1538
 #, kde-format
 msgid "Printing..."
 msgstr "Á Phriontáil..."
 
-#: uml.cpp:1536 uml.cpp:1540
+#: uml.cpp:1545 uml.cpp:1549
 #, kde-format
 msgid "Print %1"
 msgstr "Priontáil %1"
 
-#: uml.cpp:1560
+#: uml.cpp:1569
 #, kde-format
 msgid "Exiting..."
 msgstr "Ag scor..."
 
-#: uml.cpp:1647
+#: uml.cpp:1656
 #, kde-format
 msgid "Cutting selection..."
 msgstr "Roghnúchán á ghearradh..."
 
-#: uml.cpp:1670
+#: uml.cpp:1679
 #, kde-format
 msgid "Copying selection to clipboard..."
 msgstr "Roghnúchán á chóipeáil go dtí an ghearrthaisce..."
 
-#: uml.cpp:1682
+#: uml.cpp:1691
 #, kde-format
 msgid "Inserting clipboard contents..."
 msgstr "Inneachar na gearrthaisce á ionsá..."
 
-#: uml.cpp:1687
+#: uml.cpp:1696
 #, kde-format
 msgid ""
 "Umbrello could not paste the clipboard contents.  The objects in the "
 "clipboard may be of the wrong type to be pasted here."
 msgstr ""
 
-#: uml.cpp:1713 umlviewimageexporter.cpp:92 umlviewimageexporterall.cpp:123
+#: uml.cpp:1722 umlviewimageexporter.cpp:92 umlviewimageexporterall.cpp:123
 #, kde-format
 msgctxt "reset status bar"
 msgid "Ready."
 msgstr "Réidh."
 
-#: uml.cpp:2246
+#: uml.cpp:2255
 #, kde-format
 msgid "Cannot view code until you generate some first."
 msgstr ""
 
-#: uml.cpp:2246 uml.cpp:2249
+#: uml.cpp:2255 uml.cpp:2258
 #, kde-format
 msgid "Cannot View Code"
 msgstr ""
 
-#: uml.cpp:2249
+#: uml.cpp:2258
 #, kde-format
 msgid "Cannot view code from simple code writer."
 msgstr ""
 
-#: uml.cpp:2714 uml.cpp:2716
+#: uml.cpp:2728 uml.cpp:2730
 #, fuzzy, kde-format
 #| msgid "Select Code to Import"
 msgid "Select file(s) to import:"
 msgstr "Roghnaigh Cód le hIompórtáil"
 
-#: uml.cpp:2747 uml.cpp:2749
+#: uml.cpp:2761 uml.cpp:2763
 #, fuzzy, kde-format
 #| msgid "Select Code to Import"
 msgid "Select directory to import:"
 msgstr "Roghnaigh Cód le hIompórtáil"
 
-#: uml.cpp:3313
+#: uml.cpp:3335
 #, kde-format
 msgid "XHTML Generation failed ."
 msgstr ""
@@ -7844,20 +7844,20 @@ msgid ""
 "it again."
 msgstr ""
 
-#: uml1model/folder.cpp:435
+#: uml1model/folder.cpp:436
 #, kde-format
 msgid "The folderfile %1 does not exist."
 msgstr "Níl an comhad fillteáin %1 ann."
 
-#: uml1model/folder.cpp:435 uml1model/folder.cpp:439 umldoc.cpp:529
-#: umldoc.cpp:541 umldoc.cpp:568 umldoc.cpp:570 umldoc.cpp:620 umldoc.cpp:623
-#: umldoc.cpp:638 umldoc.cpp:641 umldoc.cpp:665 umldoc.cpp:668 umldoc.cpp:684
-#: umldoc.cpp:687 umldoc.cpp:702 umldoc.cpp:705 umldoc.cpp:750
+#: uml1model/folder.cpp:436 uml1model/folder.cpp:440 umldoc.cpp:530
+#: umldoc.cpp:542 umldoc.cpp:569 umldoc.cpp:571 umldoc.cpp:621 umldoc.cpp:624
+#: umldoc.cpp:639 umldoc.cpp:642 umldoc.cpp:666 umldoc.cpp:669 umldoc.cpp:685
+#: umldoc.cpp:688 umldoc.cpp:703 umldoc.cpp:706 umldoc.cpp:751
 #, kde-format
 msgid "Load Error"
 msgstr "Earráid le linn Luchtaithe"
 
-#: uml1model/folder.cpp:439
+#: uml1model/folder.cpp:440
 #, kde-format
 msgid "The folderfile %1 cannot be opened."
 msgstr ""
@@ -7867,13 +7867,13 @@ msgstr ""
 msgid "new_parameter"
 msgstr ""
 
-#: uml1model/package.cpp:163
+#: uml1model/package.cpp:169
 #, kde-format
 msgctxt "object name"
 msgid "Name"
 msgstr "Ainm"
 
-#: uml1model/package.cpp:164
+#: uml1model/package.cpp:170
 #, kde-format
 msgid ""
 "An object with the name %1\n"
@@ -7896,80 +7896,80 @@ msgstr "réimse_nua"
 msgid "new_fkey_constraint"
 msgstr ""
 
-#: uml1model/umlobject.cpp:1140
+#: uml1model/umlobject.cpp:1141
 #, kde-format
 msgid "Actor &name:"
 msgstr "Ai&nm aisteora:"
 
-#: uml1model/umlobject.cpp:1143
+#: uml1model/umlobject.cpp:1144
 #, kde-format
 msgid "Artifact &name:"
 msgstr "Ai&nm déantáin:"
 
-#: uml1model/umlobject.cpp:1146
+#: uml1model/umlobject.cpp:1147
 #, fuzzy, kde-format
 #| msgid "Association"
 msgid "Association &name:"
 msgstr "Comhcheangal"
 
-#: uml1model/umlobject.cpp:1149
+#: uml1model/umlobject.cpp:1150
 #, kde-format
 msgid "Class &name:"
 msgstr "&Ainm aicme:"
 
-#: uml1model/umlobject.cpp:1152
+#: uml1model/umlobject.cpp:1153
 #, kde-format
 msgid "Component &name:"
 msgstr "Ai&nm comhpháirte:"
 
-#: uml1model/umlobject.cpp:1155
+#: uml1model/umlobject.cpp:1156
 #, kde-format
 msgid "Datatype &name:"
 msgstr "Ai&nm cineáil sonraí:"
 
-#: uml1model/umlobject.cpp:1158
+#: uml1model/umlobject.cpp:1159
 #, kde-format
 msgid "Entity &name:"
 msgstr "Ai&nm aonáin:"
 
-#: uml1model/umlobject.cpp:1161
+#: uml1model/umlobject.cpp:1162
 #, kde-format
 msgid "Enum &name:"
 msgstr ""
 
-#: uml1model/umlobject.cpp:1164
+#: uml1model/umlobject.cpp:1165
 #, fuzzy, kde-format
 #| msgid "Node &name:"
 msgid "Folder &name:"
 msgstr "Ainm &nóid:"
 
-#: uml1model/umlobject.cpp:1167
+#: uml1model/umlobject.cpp:1168
 #, kde-format
 msgid "Interface &name:"
 msgstr "Ainm an ch&omhéadain:"
 
-#: uml1model/umlobject.cpp:1170
+#: uml1model/umlobject.cpp:1171
 #, kde-format
 msgid "Node &name:"
 msgstr "Ainm &nóid:"
 
-#: uml1model/umlobject.cpp:1173
+#: uml1model/umlobject.cpp:1174
 #, kde-format
 msgid "Package &name:"
 msgstr "Ainm an &phacáiste:"
 
-#: uml1model/umlobject.cpp:1176
+#: uml1model/umlobject.cpp:1177
 #, fuzzy, kde-format
 #| msgid "Actor &name:"
 msgid "Port &name:"
 msgstr "Ai&nm aisteora:"
 
-#: uml1model/umlobject.cpp:1182
+#: uml1model/umlobject.cpp:1183
 #, kde-format
 msgid "Use case &name:"
 msgstr "Ai&nm an chás úsáide:"
 
-#: uml1model/umlobject.cpp:1185
+#: uml1model/umlobject.cpp:1186
 #, kde-format
 msgid "Instance name:"
 msgstr "Ainm áisc:"
@@ -7991,42 +7991,42 @@ msgstr "Steiréitíopa"
 msgid "Welcome"
 msgstr ""
 
-#: umldoc.cpp:112 umldoc.cpp:2400 umldoc.cpp:2428
+#: umldoc.cpp:113 umldoc.cpp:2405 umldoc.cpp:2433
 #, kde-format
 msgid "UML Model"
 msgstr "Samhail UML"
 
-#: umldoc.cpp:154
+#: umldoc.cpp:155
 #, kde-format
 msgid "Logical View"
 msgstr "Amharc Loighciúil"
 
-#: umldoc.cpp:155
+#: umldoc.cpp:156
 #, kde-format
 msgid "Use Case View"
 msgstr "Amharc ar Chás Úsáide"
 
-#: umldoc.cpp:156
+#: umldoc.cpp:157
 #, kde-format
 msgid "Component View"
 msgstr "Amharc Comhpháirte"
 
-#: umldoc.cpp:157
+#: umldoc.cpp:158
 #, kde-format
 msgid "Deployment View"
 msgstr "Amharc Imlonnaithe"
 
-#: umldoc.cpp:158
+#: umldoc.cpp:159
 #, kde-format
 msgid "Entity Relationship Model"
 msgstr "Samhail Ghaoil na nAonán"
 
-#: umldoc.cpp:184
+#: umldoc.cpp:185
 #, kde-format
 msgid "Datatypes"
 msgstr "Cineálacha Sonraí"
 
-#: umldoc.cpp:363
+#: umldoc.cpp:364
 #, kde-format
 msgid ""
 "The current file has been modified.\n"
@@ -8035,299 +8035,299 @@ msgstr ""
 "Athraíodh an comhad reatha.\n"
 "An bhfuil fonn ort é a shábháil?"
 
-#: umldoc.cpp:364
+#: umldoc.cpp:365
 #, kde-format
 msgctxt "warning message"
 msgid "Warning"
 msgstr "Rabhadh"
 
-#: umldoc.cpp:529
+#: umldoc.cpp:530
 #, fuzzy, kde-format
 #| msgid "The file %1 does not exist."
 msgid "The file <%1> does not exist."
 msgstr "Níl comhad %1 ann."
 
-#: umldoc.cpp:541
+#: umldoc.cpp:542
 #, kde-format
 msgid "The file %1 does not exist."
 msgstr "Níl comhad %1 ann."
 
-#: umldoc.cpp:568 umldoc.cpp:570
+#: umldoc.cpp:569 umldoc.cpp:571
 #, kde-format
 msgid "The file %1 seems to be corrupted."
 msgstr "Dealraíonn sé go bhfuil comhad %1 truaillithe."
 
-#: umldoc.cpp:619 umldoc.cpp:622 umldoc.cpp:637 umldoc.cpp:640 umldoc.cpp:683
-#: umldoc.cpp:686
+#: umldoc.cpp:620 umldoc.cpp:623 umldoc.cpp:638 umldoc.cpp:641 umldoc.cpp:684
+#: umldoc.cpp:687
 #, kde-format
 msgid "There was no XMI file found in the compressed file %1."
 msgstr "Níor aimsíodh aon chomhad XMI i gcomhad comhbhrúite %1."
 
-#: umldoc.cpp:664 umldoc.cpp:667
+#: umldoc.cpp:665 umldoc.cpp:668
 #, kde-format
 msgid "There was a problem loading the extracted file: %1"
 msgstr "Bhí fadhb ann agus an comhad bainte á luchtú: %1"
 
-#: umldoc.cpp:701 umldoc.cpp:704 umldoc.cpp:744 umldoc.cpp:746
+#: umldoc.cpp:702 umldoc.cpp:705 umldoc.cpp:745 umldoc.cpp:747
 #, kde-format
 msgid "There was a problem loading file: %1"
 msgstr "Bhí fadhb ann agus an comhad á luchtú: %1"
 
-#: umldoc.cpp:749
+#: umldoc.cpp:750
 #, kde-format
 msgid "Reason: %1"
 msgstr ""
 
 # Sábháil Earráid?
-#: umldoc.cpp:832 umldoc.cpp:834 umldoc.cpp:851 umldoc.cpp:853 umldoc.cpp:873
-#: umldoc.cpp:875 umldoc.cpp:924 umldoc.cpp:926 umldoc.cpp:966 umldoc.cpp:969
-#: umldoc.cpp:978 umldoc.cpp:980 umllistview.cpp:593
+#: umldoc.cpp:833 umldoc.cpp:835 umldoc.cpp:852 umldoc.cpp:854 umldoc.cpp:874
+#: umldoc.cpp:876 umldoc.cpp:925 umldoc.cpp:927 umldoc.cpp:968 umldoc.cpp:971
+#: umldoc.cpp:980 umldoc.cpp:982 umllistview.cpp:594
 #, kde-format
 msgid "Save Error"
 msgstr "Earráid le linn Sábhála"
 
-#: umldoc.cpp:832 umldoc.cpp:851 umldoc.cpp:873 umldoc.cpp:924 umldoc.cpp:966
+#: umldoc.cpp:833 umldoc.cpp:852 umldoc.cpp:874 umldoc.cpp:925 umldoc.cpp:968
 #, fuzzy, kde-format
 #| msgid "There was a problem saving file: %1"
 msgid "There was a problem saving: %1"
 msgstr "Bhí fadhb ann agus an comhad á shábháil: %1"
 
-#: umldoc.cpp:834 umldoc.cpp:853 umldoc.cpp:875 umldoc.cpp:926 umldoc.cpp:969
-#: umllistview.cpp:592 umlviewimageexportermodel.cpp:303
+#: umldoc.cpp:835 umldoc.cpp:854 umldoc.cpp:876 umldoc.cpp:927 umldoc.cpp:971
+#: umllistview.cpp:593 umlviewimageexportermodel.cpp:303
 #, kde-format
 msgid "There was a problem saving file: %1"
 msgstr "Bhí fadhb ann agus an comhad á shábháil: %1"
 
-#: umldoc.cpp:978
+#: umldoc.cpp:980
 #, fuzzy, kde-format
 #| msgid "There was a problem uploading file: %1"
 msgid "There was a problem uploading: %1"
 msgstr "fadhb ann agus an comhad á uasluchtú: %1"
 
-#: umldoc.cpp:980
+#: umldoc.cpp:982
 #, kde-format
 msgid "There was a problem uploading file: %1"
 msgstr "fadhb ann agus an comhad á uasluchtú: %1"
 
-#: umldoc.cpp:1526
+#: umldoc.cpp:1528
 #, kde-format
 msgid "use case diagram"
 msgstr "léaráid de chás úsáide"
 
-#: umldoc.cpp:1529
+#: umldoc.cpp:1531
 #, kde-format
 msgid "class diagram"
 msgstr "léaráid aicme"
 
-#: umldoc.cpp:1532
+#: umldoc.cpp:1534
 #, kde-format
 msgid "sequence diagram"
 msgstr ""
 
-#: umldoc.cpp:1535
+#: umldoc.cpp:1537
 #, fuzzy, kde-format
 #| msgid "collaboration diagram"
 msgid "communication diagram"
 msgstr "léaráid chomhoibrithe"
 
-#: umldoc.cpp:1538
+#: umldoc.cpp:1540
 #, fuzzy, kde-format
 #| msgid "&Select diagrams"
 msgid "object diagram"
 msgstr "&Roghnaigh léaráidí"
 
-#: umldoc.cpp:1541
+#: umldoc.cpp:1543
 #, kde-format
 msgid "state diagram"
 msgstr ""
 
-#: umldoc.cpp:1544
+#: umldoc.cpp:1546
 #, kde-format
 msgid "activity diagram"
 msgstr "léaráid ghnímh"
 
-#: umldoc.cpp:1547
+#: umldoc.cpp:1549
 #, kde-format
 msgid "component diagram"
 msgstr "léaráid chomhpháirt"
 
-#: umldoc.cpp:1550
+#: umldoc.cpp:1552
 #, kde-format
 msgid "deployment diagram"
 msgstr "léaráid imlonnaithe"
 
-#: umldoc.cpp:1553
+#: umldoc.cpp:1555
 #, kde-format
 msgid "entity relationship diagram"
 msgstr "léaráid de ghaoil na n-aonán"
 
-#: umldoc.cpp:1623
+#: umldoc.cpp:1625
 #, kde-format
 msgctxt "diagram name"
 msgid "Name"
 msgstr "Ainm"
 
-#: umldoc.cpp:1623 umldoc.cpp:1686 umldoc.cpp:1715 umldoc.cpp:1749
+#: umldoc.cpp:1625 umldoc.cpp:1688 umldoc.cpp:1717 umldoc.cpp:1751
 #, kde-format
 msgid "Enter name:"
 msgstr "Iontráil ainm:"
 
-#: umldoc.cpp:1627 umldoc.cpp:1692
+#: umldoc.cpp:1629 umldoc.cpp:1694
 #, kde-format
 msgid "That is an invalid name for a diagram."
 msgstr ""
 
-#: umldoc.cpp:1629 umldoc.cpp:1699
+#: umldoc.cpp:1631 umldoc.cpp:1701
 #, kde-format
 msgid "A diagram is already using that name."
 msgstr "Tá léaráid ann leis an ainm sin cheana."
 
-#: umldoc.cpp:1685
+#: umldoc.cpp:1687
 #, kde-format
 msgctxt "renaming diagram"
 msgid "Name"
 msgstr "Ainm"
 
-#: umldoc.cpp:1714
+#: umldoc.cpp:1716
 #, kde-format
 msgctxt "renaming uml object"
 msgid "Name"
 msgstr "Ainm"
 
-#: umldoc.cpp:1748
+#: umldoc.cpp:1750
 #, kde-format
 msgctxt "renaming child uml object"
 msgid "Name"
 msgstr "Ainm"
 
-#: umldoc.cpp:1758
+#: umldoc.cpp:1760
 #, kde-format
 msgid ""
 "The name you entered was not unique.\n"
 "Is this what you wanted?"
 msgstr ""
 
-#: umldoc.cpp:1759
+#: umldoc.cpp:1761
 #, kde-format
 msgid "Use Name"
 msgstr "Úsáid Ainm"
 
-#: umldoc.cpp:1759
+#: umldoc.cpp:1761
 #, kde-format
 msgid "Enter New Name"
 msgstr "Iontráil Ainm Nua"
 
-#: umldoc.cpp:2361
+#: umldoc.cpp:2366
 #, kde-format
 msgid "Unsupported xmi file version: %1"
 msgstr ""
 
-#: umldoc.cpp:2511
+#: umldoc.cpp:2516
 #, kde-format
 msgid "Setting up the document..."
 msgstr "Cáipéis á socrú..."
 
-#: umldoc.cpp:2540
+#: umldoc.cpp:2545
 #, kde-format
 msgid "Resolving object references..."
 msgstr ""
 
-#: umldoc.cpp:2648
+#: umldoc.cpp:2653
 #, kde-format
 msgid "Loading UML elements..."
 msgstr "Eilimintí UML á luchtú..."
 
-#: umldoc.cpp:2892
+#: umldoc.cpp:2899
 #, kde-format
 msgid "Loading diagrams..."
 msgstr "Léaráidí á luchtú..."
 
-#: umldoc.cpp:3400
+#: umldoc.cpp:3409
 #, kde-format
 msgid "/autosave%1"
 msgstr ""
 
-#: umllistview.cpp:536 umllistview.cpp:540
+#: umllistview.cpp:537 umllistview.cpp:541
 #, kde-format
 msgid "Externalize Folder"
 msgstr "Seachtraigh Fillteán"
 
-#: umllistview.cpp:574
+#: umllistview.cpp:575
 #, kde-format
 msgid "Folder %1 must be relative to the main model directory, %2."
 msgstr ""
 
-#: umllistview.cpp:575
+#: umllistview.cpp:576
 #, kde-format
 msgid "Path Error"
 msgstr "Earráid Chonaire"
 
-#: umllistview.cpp:583
+#: umllistview.cpp:584
 #, kde-format
 msgid ""
 "File %1 already exists!\n"
 "The existing file will be overwritten."
 msgstr ""
 
-#: umllistview.cpp:584
+#: umllistview.cpp:585
 #, kde-format
 msgid "File Exist"
 msgstr "Tá an comhad ann"
 
-#: umllistview.cpp:624
+#: umllistview.cpp:625
 #, kde-format
 msgid "Enter Model Name"
 msgstr "Iontráil Ainm na Samhla"
 
-#: umllistview.cpp:625
+#: umllistview.cpp:626
 #, kde-format
 msgid "Enter the new name of the model:"
 msgstr "Iontráil ainm nua ar an tsamhail:"
 
-#: umllistview.cpp:1422
+#: umllistview.cpp:1430
 #, kde-format
 msgid "Views"
 msgstr "Amhairc"
 
-#: umllistview.cpp:1441
+#: umllistview.cpp:1449
 #, fuzzy, kde-format
 #| msgid "Role Settings"
 msgid "Settings"
 msgstr "Socruithe an Róil"
 
-#: umllistview.cpp:2413
+#: umllistview.cpp:2421
 #, kde-format
 msgid "Loading listview..."
 msgstr "Amharc liosta á luchtú..."
 
-#: umllistview.cpp:2764
+#: umllistview.cpp:2772
 #, kde-format
 msgid "The class must be emptied before it can be deleted."
 msgstr ""
 
-#: umllistview.cpp:2765
+#: umllistview.cpp:2773
 #, fuzzy, kde-format
 #| msgid "Class Name"
 msgid "Class Not Empty"
 msgstr "Ainm Aicme"
 
-#: umllistview.cpp:2769
+#: umllistview.cpp:2777
 #, kde-format
 msgid "The package must be emptied before it can be deleted."
 msgstr ""
 
-#: umllistview.cpp:2770
+#: umllistview.cpp:2778
 #, fuzzy, kde-format
 #| msgid "Package path:"
 msgid "Package Not Empty"
 msgstr "Conair an phacáiste:"
 
-#: umllistview.cpp:2774
+#: umllistview.cpp:2782
 #, kde-format
 msgid "The folder must be emptied before it can be deleted."
 msgstr ""
 
-#: umllistview.cpp:2775
+#: umllistview.cpp:2783
 #, kde-format
 msgid "Folder Not Empty"
 msgstr ""
diff -pruN 4:20.08.3-1/po/gl/umbrello.po 4:20.12.0-0ubuntu1/po/gl/umbrello.po
--- 4:20.08.3-1/po/gl/umbrello.po	2020-11-03 00:42:16.000000000 +0000
+++ 4:20.12.0-0ubuntu1/po/gl/umbrello.po	2020-12-04 00:21:30.000000000 +0000
@@ -9,7 +9,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: umbrello\n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
-"POT-Creation-Date: 2020-08-14 08:09+0200\n"
+"POT-Creation-Date: 2020-11-06 02:36+0100\n"
 "PO-Revision-Date: 2020-03-07 07:57+0100\n"
 "Last-Translator: Adrián Chaves (Gallaecio) <adrian@chaves.io>\n"
 "Language-Team: Galician <proxecto@trasno.gal>\n"
@@ -210,7 +210,7 @@ msgstr ""
 "Non se puido pegar polo menos un dos elementos do portapapeis porque xa "
 "existe un elemento co mesmo nome. Os demais pegáronse."
 
-#: clipboard/umlclipboard.cpp:753 uml.cpp:1689
+#: clipboard/umlclipboard.cpp:753 uml.cpp:1698
 #, kde-format
 msgid "Paste Error"
 msgstr "Erro ao pegar"
@@ -436,7 +436,7 @@ msgstr "<p align=\"center\">Xeración de
 #. i18n: ectx: attribute (title), widget (QWidget, ui_tabGeneral)
 #: codegenerators/cpp/cppcodegenerationformbase.ui:51
 #: codegenwizard/codegenoptionspage.ui:39 dialogs/objectnodedialog.cpp:135
-#: umllistview.cpp:1451
+#: umllistview.cpp:1459
 #, kde-format
 msgid "General"
 msgstr "Xeral"
@@ -1318,7 +1318,7 @@ msgstr "Estado"
 #. i18n: ectx: property (text), widget (QRadioButton, ui_categoryClass)
 #. i18n: ectx: property (text), widget (QTableWidget, ui_tableWidgetStatus)
 #: codegenwizard/codegenstatuspage.ui:40 codeimpwizard/codeimpstatuspage.ui:54
-#: dialogs/finddialog.ui:89 umllistview.cpp:1446 umlwidgets/widgetbase.cpp:1255
+#: dialogs/finddialog.ui:89 umllistview.cpp:1454 umlwidgets/widgetbase.cpp:1255
 #, kde-format
 msgid "Class"
 msgstr "Clase"
@@ -1973,17 +1973,17 @@ msgstr "Activar as mensaxes relacionadas
 msgid "Enable 'delete diagram' related messages"
 msgstr "Activar as mensaxes relacionadas con «eliminar o diagrama»."
 
-#: dialogs/dialog_utils.cpp:117
+#: dialogs/dialog_utils.cpp:118
 #, kde-format
 msgid "You are about to delete an association. Do you really want to continue?"
 msgstr "Está a piques de eliminar unha asociación. Seguro que quere continuar?"
 
-#: dialogs/dialog_utils.cpp:118
+#: dialogs/dialog_utils.cpp:119
 #, kde-format
 msgid "Delete Association"
 msgstr "Eliminar a asociación"
 
-#: dialogs/dialog_utils.cpp:132
+#: dialogs/dialog_utils.cpp:133
 #, kde-format
 msgid ""
 "You are about to delete the entire diagram.\n"
@@ -1992,17 +1992,17 @@ msgstr ""
 "Está a piques de eliminar o diagrama enteiro.\n"
 "Está seguro de que quere facelo?"
 
-#: dialogs/dialog_utils.cpp:133
+#: dialogs/dialog_utils.cpp:134
 #, kde-format
 msgid "Are you sure you want to delete diagram %1?"
 msgstr "Seguro que quere eliminar o diagrama %1?"
 
-#: dialogs/dialog_utils.cpp:138
+#: dialogs/dialog_utils.cpp:139
 #, kde-format
 msgid "Delete Diagram?"
 msgstr "Eliminar o diagrama?"
 
-#: dialogs/dialog_utils.cpp:139 dialogs/pages/classifierlistpage.cpp:215
+#: dialogs/dialog_utils.cpp:140 dialogs/pages/classifierlistpage.cpp:215
 #: dialogs/pages/classifierlistpage.cpp:223
 #: dialogs/umlforeignkeyconstraintdialog.cpp:325
 #: dialogs/umlforeignkeyconstraintdialog.cpp:331
@@ -2166,7 +2166,7 @@ msgstr "Xeral"
 #. i18n: ectx: label, entry (uiFont), group (UI Options)
 #. i18n: ectx: label, entry (codeViewerFont), group (Code Viewer Options)
 #: dialogs/multipagedialogbase.cpp:405 umbrello.kcfg:177 umbrello.kcfg:292
-#: umllistview.cpp:1450
+#: umllistview.cpp:1458
 #, kde-format
 msgid "Font"
 msgstr "Fonte"
@@ -2599,7 +2599,7 @@ msgstr "N&ovo atributo da instancia…"
 
 #: dialogs/pages/classifierlistpage.cpp:217
 #: dialogs/pages/classifierlistpage.cpp:225 dialogs/umloperationdialog.cpp:167
-#: dialogs/umloperationdialog.cpp:175 uml.cpp:554
+#: dialogs/umloperationdialog.cpp:175 uml.cpp:563
 #, kde-format
 msgid "&Properties"
 msgstr "&Propiedades"
@@ -2617,7 +2617,7 @@ msgid "Source Code"
 msgstr "Código fonte"
 
 #: dialogs/pages/classoptionspage.cpp:157
-#: dialogs/pages/classoptionspage.cpp:251 uml.cpp:509
+#: dialogs/pages/classoptionspage.cpp:251 uml.cpp:518
 #, kde-format
 msgid "&Documentation"
 msgstr "&Documentación"
@@ -2806,8 +2806,8 @@ msgstr "O nome que inseriu é incorrecto
 #: uml1model/classifier.cpp:410 uml1model/classifier.cpp:781
 #: uml1model/entity.cpp:125 uml1model/entity.cpp:178 uml1model/entity.cpp:228
 #: uml1model/entity.cpp:277 uml1model/enum.cpp:107 uml1model/instance.cpp:124
-#: uml1model/package.cpp:172 umldoc.cpp:1627 umldoc.cpp:1692 umldoc.cpp:1721
-#: umldoc.cpp:1755
+#: uml1model/package.cpp:178 umldoc.cpp:1629 umldoc.cpp:1694 umldoc.cpp:1723
+#: umldoc.cpp:1757
 #, kde-format
 msgid "Invalid Name"
 msgstr "Nome incorrecto"
@@ -2817,7 +2817,7 @@ msgstr "Nome incorrecto"
 msgid "The name you have entered is not unique."
 msgstr "O nome que inseriu non é único."
 
-#: dialogs/pages/diagrampropertiespage.cpp:86 umldoc.cpp:1759
+#: dialogs/pages/diagrampropertiespage.cpp:86 umldoc.cpp:1761
 #, kde-format
 msgid "Name Not Unique"
 msgstr "Nome non único"
@@ -3287,7 +3287,7 @@ msgstr "Diagrama"
 msgid "Umbrello Setup"
 msgstr "Configuración de Umbrello"
 
-#: dialogs/settingsdialog.cpp:114 umllistview.cpp:1452
+#: dialogs/settingsdialog.cpp:114 umllistview.cpp:1460
 #, kde-format
 msgid "User Interface"
 msgstr "Interface de usuario"
@@ -3314,7 +3314,7 @@ msgstr "Clase"
 msgid "Class Settings"
 msgstr "Configuración das clases"
 
-#: dialogs/settingsdialog.cpp:137 umllistview.cpp:1447
+#: dialogs/settingsdialog.cpp:137 umllistview.cpp:1455
 #, kde-format
 msgid "Code Importer"
 msgstr "Importador de código"
@@ -3324,7 +3324,7 @@ msgstr "Importador de código"
 msgid "Code Import Settings"
 msgstr "Configuración do importador de código"
 
-#: dialogs/settingsdialog.cpp:146 umllistview.cpp:1448
+#: dialogs/settingsdialog.cpp:146 umllistview.cpp:1456
 #, kde-format
 msgid "Code Generation"
 msgstr "Xeración de código fonte"
@@ -3334,7 +3334,7 @@ msgstr "Xeración de código fonte"
 msgid "Code Generation Settings"
 msgstr "Configuración da xeración de código"
 
-#: dialogs/settingsdialog.cpp:154 umllistview.cpp:1449
+#: dialogs/settingsdialog.cpp:154 umllistview.cpp:1457
 #, kde-format
 msgid "Code Viewer"
 msgstr "Visor de código"
@@ -3344,7 +3344,7 @@ msgstr "Visor de código"
 msgid "Code Viewer Settings"
 msgstr "Configuración do visor do código"
 
-#: dialogs/settingsdialog.cpp:161 umllistview.cpp:1445
+#: dialogs/settingsdialog.cpp:161 umllistview.cpp:1453
 #, kde-format
 msgid "Auto Layout"
 msgstr "Disposición automática"
@@ -3975,7 +3975,7 @@ msgstr "&Tipo:"
 msgid "Package path:"
 msgstr "Ruta do paquete:"
 
-#: dialogs/widgets/umlstereotypewidget.cpp:29 uml1model/umlobject.cpp:1179
+#: dialogs/widgets/umlstereotypewidget.cpp:29 uml1model/umlobject.cpp:1180
 #, kde-format
 msgid "Stereotype &name:"
 msgstr "Nome do &estereotipo:"
@@ -4121,7 +4121,7 @@ msgstr ""
 msgid "Gael de Chalendar (aka Kleag)"
 msgstr "Gael de Chalendar (alias Kleag)"
 
-#: docgenerators/main.cpp:56 main.cpp:131
+#: docgenerators/main.cpp:56 main.cpp:133
 #, kde-format
 msgid "Umbrello UML Modeller Authors"
 msgstr "Autores do modelador de UML Umbrello"
@@ -4185,12 +4185,12 @@ msgstr "Activar a edición da documentac
 msgid "Apply layout"
 msgstr "Aplicar a disposición"
 
-#: main.cpp:121
+#: main.cpp:123
 #, kde-format
 msgid "Umbrello UML Modeller"
 msgstr "Modelador de UML Umbrello"
 
-#: main.cpp:123
+#: main.cpp:125
 #, kde-format
 msgid ""
 "Umbrello – Visual development environment for software, based on the "
@@ -4201,7 +4201,7 @@ msgstr ""
 "estándar industrial UML.<br/>Véxase tamén <a href=\"http://www.omg.org/spec/"
 "\">http://www.omg.org/spec/</a>."
 
-#: main.cpp:127
+#: main.cpp:129
 #, kde-format
 msgid ""
 "Copyright © 2001 Paul Hensgen,\n"
@@ -4210,100 +4210,100 @@ msgstr ""
 "© 2001 Paul Hensgen\n"
 "© 2002-2020 Autores do modelador de UML Umbrello"
 
-#: main.cpp:130
+#: main.cpp:132
 #, kde-format
 msgid "Paul Hensgen"
 msgstr "Paul Hensgen"
 
-#: main.cpp:130
+#: main.cpp:132
 #, kde-format
 msgid "Author of initial version."
 msgstr "Autor da versión inicial."
 
-#: main.cpp:134
+#: main.cpp:136
 #, kde-format
 msgid "Oliver Kellogg"
 msgstr "Oliver Kellogg"
 
-#: main.cpp:135 main.cpp:138
+#: main.cpp:137 main.cpp:140
 #, kde-format
 msgid "Bug fixing, porting work, code cleanup, new features."
 msgstr ""
 "Corrección de fallos, traballo de adaptación, limpeza de código, novas "
 "funcionalidades."
 
-#: main.cpp:137
+#: main.cpp:139
 #, kde-format
 msgid "Ralf Habacker"
 msgstr "Ralf Habacker"
 
-#: main.cpp:140
+#: main.cpp:142
 #, kde-format
 msgid "Andi Fischer"
 msgstr "Sven Fischer"
 
-#: main.cpp:141
+#: main.cpp:143
 #, kde-format
 msgid "Porting work, code cleanup, new features."
 msgstr "Traballo de adaptación, limpeza de código, novas funcionalidades."
 
-#: main.cpp:143
+#: main.cpp:145
 #, kde-format
 msgid "Jonathan Riddell"
 msgstr "Jonathan Riddell"
 
-#: main.cpp:144
+#: main.cpp:146
 #, kde-format
 msgid "Current maintainer."
 msgstr "Mantedor actual."
 
-#: main.cpp:146
+#: main.cpp:148
 #, kde-format
 msgid "Brian Thomas"
 msgstr "Brian Thomas"
 
-#: main.cpp:147
+#: main.cpp:149
 #, kde-format
 msgid "A lot of work for C++ and Java code generation. Codeeditor."
 msgstr ""
 "Un gran traballo para a xeración de código de C++ e Java. Editor de código."
 
-#: main.cpp:152
+#: main.cpp:154
 #, kde-format
 msgid "File to open"
 msgstr "O ficheiro para abrir."
 
-#: main.cpp:153
+#: main.cpp:155
 #, kde-format
 msgid "export diagrams to extension and exit"
 msgstr "Exportar os diagramas coa extensión e saír."
 
-#: main.cpp:154
+#: main.cpp:156
 #, kde-format
 msgid "list available export extensions"
 msgstr "Listar as extensión de exportación dispoñíbeis."
 
-#: main.cpp:155
+#: main.cpp:157
 #, kde-format
 msgid "the local directory to save the exported diagrams in"
 msgstr "O cartafol local onde gardar os diagramas exportados."
 
-#: main.cpp:155
+#: main.cpp:157
 #, kde-format
 msgid "the directory of the file"
 msgstr "O cartafol do ficheiro."
 
-#: main.cpp:156
+#: main.cpp:158
 #, kde-format
 msgid "import files"
 msgstr "Importar os ficheiros."
 
-#: main.cpp:157
+#: main.cpp:159
 #, kde-format
 msgid "list supported languages"
 msgstr "Listar os idiomas admitidos."
 
-#: main.cpp:158
+#: main.cpp:160
 #, kde-format
 msgid ""
 "keep the tree structure used to store the views in the document in the "
@@ -4312,12 +4312,12 @@ msgstr ""
 "Manter a estrutura en árbore usada para gardar as vistas no documento no "
 "cartafol de destino."
 
-#: main.cpp:159
+#: main.cpp:161
 #, kde-format
 msgid "import files from directory <dir>"
 msgstr "Importar os ficheiros do cartafol <dir>."
 
-#: main.cpp:163
+#: main.cpp:165
 #, kde-format
 msgid "set active language"
 msgstr "Definir a linguaxe activa."
@@ -4581,7 +4581,7 @@ msgstr "Agochar a caixa de destrución"
 msgid "Import File(s)..."
 msgstr "Importar ficheiros…"
 
-#: menus/listpopupmenu.cpp:201 uml.cpp:356
+#: menus/listpopupmenu.cpp:201 uml.cpp:365
 #, kde-format
 msgid "Import from Directory..."
 msgstr "Importar dun directorio…"
@@ -5081,42 +5081,42 @@ msgctxt "align menu"
 msgid "Align"
 msgstr "Aliñar"
 
-#: menus/widgetbasepopupmenu.cpp:598 uml.cpp:573
+#: menus/widgetbasepopupmenu.cpp:598 uml.cpp:582
 #, kde-format
 msgid "Align Right"
 msgstr "Aliñar á dereita"
 
-#: menus/widgetbasepopupmenu.cpp:599 uml.cpp:578
+#: menus/widgetbasepopupmenu.cpp:599 uml.cpp:587
 #, kde-format
 msgid "Align Left"
 msgstr "Aliñar á esquerda"
 
-#: menus/widgetbasepopupmenu.cpp:600 uml.cpp:583
+#: menus/widgetbasepopupmenu.cpp:600 uml.cpp:592
 #, kde-format
 msgid "Align Top"
 msgstr "Aliñar ao cume"
 
-#: menus/widgetbasepopupmenu.cpp:601 uml.cpp:588
+#: menus/widgetbasepopupmenu.cpp:601 uml.cpp:597
 #, kde-format
 msgid "Align Bottom"
 msgstr "Aliñar ao fondo"
 
-#: menus/widgetbasepopupmenu.cpp:603 uml.cpp:593
+#: menus/widgetbasepopupmenu.cpp:603 uml.cpp:602
 #, kde-format
 msgid "Align Vertical Middle"
 msgstr "Aliñar ao centro na vertical"
 
-#: menus/widgetbasepopupmenu.cpp:604 uml.cpp:598
+#: menus/widgetbasepopupmenu.cpp:604 uml.cpp:607
 #, kde-format
 msgid "Align Horizontal Middle"
 msgstr "Aliñar ao centro na horizontal"
 
-#: menus/widgetbasepopupmenu.cpp:605 uml.cpp:603
+#: menus/widgetbasepopupmenu.cpp:605 uml.cpp:612
 #, kde-format
 msgid "Align Vertical Distribute"
 msgstr "Aliñar distribuído na vertical"
 
-#: menus/widgetbasepopupmenu.cpp:606 uml.cpp:608
+#: menus/widgetbasepopupmenu.cpp:606 uml.cpp:617
 #, kde-format
 msgid "Align Horizontal Distribute"
 msgstr "Aliñar distribuído na horizontal"
@@ -5921,8 +5921,8 @@ msgstr "Utilización"
 #: object_factory.cpp:251 uml1model/classifier.cpp:410
 #: uml1model/classifier.cpp:781 uml1model/entity.cpp:125
 #: uml1model/entity.cpp:178 uml1model/entity.cpp:228 uml1model/entity.cpp:277
-#: uml1model/enum.cpp:107 uml1model/instance.cpp:124 uml1model/package.cpp:171
-#: umldoc.cpp:1721 umldoc.cpp:1755
+#: uml1model/enum.cpp:107 uml1model/instance.cpp:124 uml1model/package.cpp:177
+#: umldoc.cpp:1723 umldoc.cpp:1757
 #, kde-format
 msgid "That is an invalid name."
 msgstr "Ese nome é incorrecto."
@@ -5943,7 +5943,7 @@ msgstr "Palabra clave reservada"
 #: object_factory.cpp:264 uml1model/classifier.cpp:413
 #: uml1model/classifier.cpp:783 uml1model/entity.cpp:127
 #: uml1model/entity.cpp:180 uml1model/entity.cpp:230 uml1model/entity.cpp:279
-#: uml1model/instance.cpp:126 umldoc.cpp:1727 umldoc.cpp:1764
+#: uml1model/instance.cpp:126 umldoc.cpp:1729 umldoc.cpp:1766
 #, kde-format
 msgid "That name is already being used."
 msgstr "Ese nome xa está a usarse."
@@ -5951,8 +5951,8 @@ msgstr "Ese nome xa está a usarse."
 #: object_factory.cpp:265 uml1model/classifier.cpp:413
 #: uml1model/classifier.cpp:783 uml1model/entity.cpp:127
 #: uml1model/entity.cpp:180 uml1model/entity.cpp:230 uml1model/entity.cpp:279
-#: uml1model/instance.cpp:126 umldoc.cpp:1629 umldoc.cpp:1699 umldoc.cpp:1727
-#: umldoc.cpp:1764
+#: uml1model/instance.cpp:126 umldoc.cpp:1631 umldoc.cpp:1701 umldoc.cpp:1729
+#: umldoc.cpp:1766
 #, kde-format
 msgid "Not a Unique Name"
 msgstr "Non é un nome único"
@@ -6013,12 +6013,12 @@ msgstr "Xa existe un atributo con ese no
 msgid "Choose a different name."
 msgstr "Escolla un nome distinto."
 
-#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:266
+#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:273
 #, kde-format
 msgid "Incorrect use of associations."
 msgstr "Uso incorrecto das asociacións."
 
-#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:266
+#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:273
 #, kde-format
 msgid "Association Error"
 msgstr "Ocorreu un erro de asociación"
@@ -7190,188 +7190,188 @@ msgstr "&Idioma activo"
 msgid "&Settings"
 msgstr "&Configuración"
 
-#: uml.cpp:332
+#: uml.cpp:341
 #, kde-format
 msgid "&Export model to DocBook"
 msgstr "&Exportar o modelo como DocBook"
 
-#: uml.cpp:336
+#: uml.cpp:345
 #, kde-format
 msgid "&Export model to XHTML"
 msgstr "&Exportar o modelo como XHTML"
 
-#: uml.cpp:340
+#: uml.cpp:349
 #, kde-format
 msgid "&New Class Wizard..."
 msgstr "Asistente para &novas clases…"
 
-#: uml.cpp:344
+#: uml.cpp:353
 #, kde-format
 msgid "&Add Default Datatypes for Active Language"
 msgstr "&Engadir os tipos de datos predeterminados da linguaxe activa"
 
-#: uml.cpp:351
+#: uml.cpp:360
 #, kde-format
 msgid "Code &Importing Wizard..."
 msgstr "Asistente de &importación de código…"
 
-#: uml.cpp:361
+#: uml.cpp:370
 #, kde-format
 msgid "&Code Generation Wizard..."
 msgstr "Asistente de &xeración de código fonte…"
 
-#: uml.cpp:366
+#: uml.cpp:375
 #, kde-format
 msgid "&Generate All Code"
 msgstr "Xerar &todo o código"
 
-#: uml.cpp:411
+#: uml.cpp:420
 #, kde-format
 msgid "Creates a new document"
 msgstr "Crea un documento novo"
 
-#: uml.cpp:412
+#: uml.cpp:421
 #, kde-format
 msgid "Opens an existing document"
 msgstr "Abre un documento xa existente"
 
-#: uml.cpp:413
+#: uml.cpp:422
 #, kde-format
 msgid "Opens a recently used file"
 msgstr "Abre un ficheiro utilizado recentemente"
 
-#: uml.cpp:414
+#: uml.cpp:423
 #, kde-format
 msgid "Saves the document"
 msgstr "Garda o documento"
 
-#: uml.cpp:415
+#: uml.cpp:424
 #, kde-format
 msgid "Saves the document as..."
 msgstr "Garda o documento como…"
 
-#: uml.cpp:416
+#: uml.cpp:425
 #, kde-format
 msgid "Closes the document"
 msgstr "Pecha o documento"
 
-#: uml.cpp:417
+#: uml.cpp:426
 #, kde-format
 msgid "Prints out the document"
 msgstr "Imprime o documento"
 
-#: uml.cpp:418
+#: uml.cpp:427
 #, kde-format
 msgid "Print Preview of the document"
 msgstr "Vista previa do documento impreso"
 
-#: uml.cpp:419
+#: uml.cpp:428
 #, kde-format
 msgid "Quits the application"
 msgstr "Sae da aplicación"
 
-#: uml.cpp:420
+#: uml.cpp:429
 #, kde-format
 msgid "Exports the model to the docbook format"
 msgstr "Exporta o modelo no formato docbook"
 
-#: uml.cpp:421
+#: uml.cpp:430
 #, kde-format
 msgid "Exports the model to the XHTML format"
 msgstr "Exporta o modelo no formato XHTML"
 
-#: uml.cpp:422
+#: uml.cpp:431
 #, kde-format
 msgid "Cuts the selected section and puts it to the clipboard"
 msgstr "Corta a sección escollida e colócaa no portapapeis"
 
-#: uml.cpp:423
+#: uml.cpp:432
 #, kde-format
 msgid "Copies the selected section to the clipboard"
 msgstr "Copia a sección escollida no portapapeis"
 
-#: uml.cpp:424
+#: uml.cpp:433
 #, kde-format
 msgid "Pastes the contents of the clipboard"
 msgstr "Pega o contido do portapapeis"
 
-#: uml.cpp:425
+#: uml.cpp:434
 #, kde-format
 msgid "Set the default program preferences"
 msgstr "Estabelece as preferencias predeterminadas do programa"
 
-#: uml.cpp:429
+#: uml.cpp:438
 #, kde-format
 msgctxt "delete selected widget"
 msgid "Delete &Selected"
 msgstr "Eliminar o &escollido"
 
-#: uml.cpp:440
+#: uml.cpp:449
 #, kde-format
 msgid "&Class Diagram..."
 msgstr "Diagrama de &clases…"
 
-#: uml.cpp:447
+#: uml.cpp:456
 #, kde-format
 msgid "&Object Diagram..."
 msgstr "Diagrama de &obxectos…"
 
-#: uml.cpp:454
+#: uml.cpp:463
 #, kde-format
 msgid "&Sequence Diagram..."
 msgstr "Diagrama de &secuencia…"
 
-#: uml.cpp:460
+#: uml.cpp:469
 #, kde-format
 msgid "C&ommunication Diagram..."
 msgstr "Diagrama de c&omunicación…"
 
-#: uml.cpp:466
+#: uml.cpp:475
 #, kde-format
 msgid "&Use Case Diagram..."
 msgstr "Diagrama de casos de &uso…"
 
-#: uml.cpp:472
+#: uml.cpp:481
 #, kde-format
 msgid "S&tate Diagram..."
 msgstr "Diagrama de es&tados…"
 
-#: uml.cpp:478
+#: uml.cpp:487
 #, kde-format
 msgid "&Activity Diagram..."
 msgstr "Diagrama de &actividades…"
 
-#: uml.cpp:484
+#: uml.cpp:493
 #, kde-format
 msgid "Co&mponent Diagram..."
 msgstr "Diagrama de co&mpoñentes…"
 
-#: uml.cpp:490
+#: uml.cpp:499
 #, kde-format
 msgid "&Deployment Diagram..."
 msgstr "&Diagrama de realización…"
 
-#: uml.cpp:496
+#: uml.cpp:505
 #, kde-format
 msgid "&Entity Relationship Diagram..."
 msgstr "Diagrama de relacións entre &entidades…"
 
-#: uml.cpp:501 uml.cpp:954
+#: uml.cpp:510 uml.cpp:963
 #, kde-format
 msgid "&Tree View"
 msgstr "Vista en ár&bore"
 
-#: uml.cpp:505
+#: uml.cpp:514
 #, kde-format
 msgid "&Debugging"
 msgstr "&Depuración"
 
-#: uml.cpp:513
+#: uml.cpp:522
 #, kde-format
 msgid "&Logging"
 msgstr "&Rexistro"
 
-#: uml.cpp:517
+#: uml.cpp:526
 #, kde-format
 msgid "&Command history"
 msgstr "Historial de &ordes"
@@ -7380,135 +7380,135 @@ msgstr "Historial de &ordes"
 #. m_propertyDock->setObjectName(QLatin1String("PropertyDock"));
 #. addDockWidget(Qt::LeftDockWidgetArea, m_propertyDock);  //:TODO:
 #. create the bird's eye view
-#: uml.cpp:521 uml.cpp:1011
+#: uml.cpp:530 uml.cpp:1020
 #, kde-format
 msgid "&Bird's eye view"
 msgstr "Vista de &paxaro"
 
-#: uml.cpp:526
+#: uml.cpp:535
 #, kde-format
 msgid "&Clear Diagram"
 msgstr "&Limpar o diagrama"
 
-#: uml.cpp:530
+#: uml.cpp:539
 #, kde-format
 msgid "&Snap to Grid"
 msgstr "A&xustar á grade"
 
-#: uml.cpp:534
+#: uml.cpp:543
 #, kde-format
 msgid "S&how Grid"
 msgstr "Mostrar a &grade"
 
-#: uml.cpp:539
+#: uml.cpp:548
 #, kde-format
 msgid "&Delete Diagram"
 msgstr "&Eliminar o diagrama"
 
-#: uml.cpp:544
+#: uml.cpp:553
 #, kde-format
 msgid "&Export as Picture..."
 msgstr "&Exportar como imaxe…"
 
-#: uml.cpp:549
+#: uml.cpp:558
 #, kde-format
 msgid "Export &Diagrams as Pictures..."
 msgstr "Exportar os &diagramas como imaxes…"
 
-#: uml.cpp:569
+#: uml.cpp:578
 #, kde-format
 msgid "Z&oom to 100%"
 msgstr "&Ampliar ao 100%"
 
-#: uml.cpp:612
+#: uml.cpp:621
 #, kde-format
 msgid "&Move Tab Left"
 msgstr "&Mover o separador á esquerda"
 
-#: uml.cpp:613
+#: uml.cpp:622
 #, kde-format
 msgid "&Move Tab Right"
 msgstr "&Mover o separador á dereita"
 
-#: uml.cpp:636
+#: uml.cpp:645
 #, kde-format
 msgid "Select Diagram on Left"
 msgstr "Escolla o diagrama á esquerda"
 
-#: uml.cpp:637
+#: uml.cpp:646
 #, kde-format
 msgid "Select Diagram on Right"
 msgstr "Escolla o diagrama á dereita"
 
-#: uml.cpp:776
+#: uml.cpp:785
 #, kde-format
 msgctxt "%1 percent value from 20 to 500"
 msgid " &%1%"
 msgstr " &%1%"
 
-#: uml.cpp:826
+#: uml.cpp:835
 #, kde-format
 msgctxt "init status bar"
 msgid "Ready"
 msgstr "Listo"
 
-#: uml.cpp:835 uml.cpp:848
+#: uml.cpp:844 uml.cpp:857
 #, kde-format
 msgid "100%"
 msgstr "100%"
 
-#: uml.cpp:840
+#: uml.cpp:849
 #, kde-format
 msgid "Fit"
 msgstr "Axustar"
 
-#: uml.cpp:899
+#: uml.cpp:908
 #, kde-format
 msgid "Diagram Toolbar"
 msgstr "Barra de ferramentas do Diagrama"
 
-#: uml.cpp:965
+#: uml.cpp:974
 #, kde-format
 msgid "Doc&umentation"
 msgstr "Doc&umentación"
 
-#: uml.cpp:976
+#: uml.cpp:985
 #, kde-format
 msgid "Co&mmand history"
 msgstr "Historial de &ordes"
 
-#: uml.cpp:992
+#: uml.cpp:1001
 #, kde-format
 msgid "&Debug"
 msgstr "&Depurar"
 
-#: uml.cpp:999
+#: uml.cpp:1008
 #, kde-format
 msgid "&Log"
 msgstr "&Rexistrar"
 
-#: uml.cpp:1041 uml.cpp:1258 uml.cpp:1307
+#: uml.cpp:1050 uml.cpp:1267 uml.cpp:1316
 #, kde-format
 msgid "Opening file..."
 msgstr "Estase a abrir o ficheiro…"
 
-#: uml.cpp:1092 uml.cpp:1157 uml.cpp:1342 umldoc.cpp:342 umldoc.cpp:344
-#: umldoc.cpp:368 umldoc.cpp:3396
+#: uml.cpp:1101 uml.cpp:1166 uml.cpp:1351 umldoc.cpp:343 umldoc.cpp:345
+#: umldoc.cpp:369 umldoc.cpp:3405
 #, kde-format
 msgid "Untitled"
 msgstr "Sen título"
 
-#: uml.cpp:1240
+#: uml.cpp:1249
 #, kde-format
 msgid "Creating new document..."
 msgstr "Estase a crear un documento novo…"
 
-#: uml.cpp:1266 uml.cpp:1281
+#: uml.cpp:1275 uml.cpp:1290
 #, kde-format
 msgid "Open File"
 msgstr "Abrir un ficheiro"
 
-#: uml.cpp:1270
+#: uml.cpp:1279
 #, kde-format
 msgid ""
 "*.xmi *.xmi.tgz *.xmi.tar.bz2 *.mdl *.zargo|All Supported Files (*.xmi, *."
@@ -7527,22 +7527,22 @@ msgstr ""
 "*.mdl|Ficheiros de modelo Rose (*.mdl)\n"
 "*.zargo|Ficheiros argo comprimidos (*.zargo)\n"
 
-#: uml.cpp:1341
+#: uml.cpp:1350
 #, kde-format
 msgid "Saving file..."
 msgstr "Estase a gardar o ficheiro…"
 
-#: uml.cpp:1358
+#: uml.cpp:1367
 #, kde-format
 msgid "Saving file with a new filename..."
 msgstr "Estase a gardar o ficheiro cun novo nome…"
 
-#: uml.cpp:1368 uml.cpp:1374 umlviewimageexporter.cpp:199
+#: uml.cpp:1377 uml.cpp:1383 umlviewimageexporter.cpp:199
 #, kde-format
 msgid "Save As"
 msgstr "Gardar como"
 
-#: uml.cpp:1369
+#: uml.cpp:1378
 #, kde-format
 msgid ""
 "*.xmi | XMI File (*.xmi);;*.xmi.tgz | Gzip Compressed XMI File (*.xmi.tgz);;"
@@ -7552,7 +7552,7 @@ msgstr ""
 "(*.xmi.tgz);;*.xmi.tar.bz2 | Ficheiro XMI comprimido como Bzip2 (*.xmi.tar."
 "bz2);;* | Todos os ficheiros (*)"
 
-#: uml.cpp:1374
+#: uml.cpp:1383
 #, kde-format
 msgid ""
 "*.xmi|XMI File\n"
@@ -7565,7 +7565,7 @@ msgstr ""
 "*.xmi.tar.bz2|Ficheiro XMI comprimido con Bzip2\n"
 "*|Todos os ficheiros"
 
-#: uml.cpp:1387
+#: uml.cpp:1396
 #, kde-format
 msgid ""
 "The file %1 exists.\n"
@@ -7574,67 +7574,67 @@ msgstr ""
 "O ficheiro %1 xa existe.\n"
 "Desexa sobrescribilo?"
 
-#: uml.cpp:1388
+#: uml.cpp:1397
 #, kde-format
 msgid "Warning"
 msgstr "Aviso"
 
-#: uml.cpp:1388
+#: uml.cpp:1397
 #, kde-format
 msgid "Overwrite"
 msgstr "Sobrescribir"
 
-#: uml.cpp:1422
+#: uml.cpp:1431
 #, kde-format
 msgid "Closing file..."
 msgstr "Estase a pechar o ficheiro…"
 
-#: uml.cpp:1432
+#: uml.cpp:1441
 #, kde-format
 msgid "No search term entered"
 msgstr "Non se inseriu ningún termo de busca."
 
-#: uml.cpp:1438
+#: uml.cpp:1447
 #, kde-format
 msgid "'%1': %2 found"
 msgstr "«%1»: atopáronse %2"
 
-#: uml.cpp:1502
+#: uml.cpp:1511
 #, kde-format
 msgid "Print Preview..."
 msgstr "Vista previa…"
 
-#: uml.cpp:1529
+#: uml.cpp:1538
 #, kde-format
 msgid "Printing..."
 msgstr "Está a imprimir…"
 
-#: uml.cpp:1536 uml.cpp:1540
+#: uml.cpp:1545 uml.cpp:1549
 #, kde-format
 msgid "Print %1"
 msgstr "Imprimir %1"
 
-#: uml.cpp:1560
+#: uml.cpp:1569
 #, kde-format
 msgid "Exiting..."
 msgstr "Estase a saír…"
 
-#: uml.cpp:1647
+#: uml.cpp:1656
 #, kde-format
 msgid "Cutting selection..."
 msgstr "Estase a cortar a selección…"
 
-#: uml.cpp:1670
+#: uml.cpp:1679
 #, kde-format
 msgid "Copying selection to clipboard..."
 msgstr "Estase a copiar a selección para o portapapeis…"
 
-#: uml.cpp:1682
+#: uml.cpp:1691
 #, kde-format
 msgid "Inserting clipboard contents..."
 msgstr "Estase a inserir o contido do portapapeis…"
 
-#: uml.cpp:1687
+#: uml.cpp:1696
 #, kde-format
 msgid ""
 "Umbrello could not paste the clipboard contents.  The objects in the "
@@ -7643,38 +7643,38 @@ msgstr ""
 "Umbrello non puido pegar o contido do portapapeis. Pode ser que os obxectos "
 "no portapapeis sexan dun tipo incorrecto para pegarse aquí."
 
-#: uml.cpp:1713 umlviewimageexporter.cpp:92 umlviewimageexporterall.cpp:123
+#: uml.cpp:1722 umlviewimageexporter.cpp:92 umlviewimageexporterall.cpp:123
 #, kde-format
 msgctxt "reset status bar"
 msgid "Ready."
 msgstr "Listo."
 
-#: uml.cpp:2246
+#: uml.cpp:2255
 #, kde-format
 msgid "Cannot view code until you generate some first."
 msgstr "Non se pode ver o código fonte antes de xerarse."
 
-#: uml.cpp:2246 uml.cpp:2249
+#: uml.cpp:2255 uml.cpp:2258
 #, kde-format
 msgid "Cannot View Code"
 msgstr "Non se pode ver o código"
 
-#: uml.cpp:2249
+#: uml.cpp:2258
 #, kde-format
 msgid "Cannot view code from simple code writer."
 msgstr "Non se pode ver o código fonte do escritor simple de fontes."
 
-#: uml.cpp:2714 uml.cpp:2716
+#: uml.cpp:2728 uml.cpp:2730
 #, kde-format
 msgid "Select file(s) to import:"
 msgstr "Escolla os ficheiros para importar:"
 
-#: uml.cpp:2747 uml.cpp:2749
+#: uml.cpp:2761 uml.cpp:2763
 #, kde-format
 msgid "Select directory to import:"
 msgstr "Escolla o directorio para importar:"
 
-#: uml.cpp:3313
+#: uml.cpp:3335
 #, kde-format
 msgid "XHTML Generation failed ."
 msgstr "Fallou a xeración do XHTML."
@@ -7687,20 +7687,20 @@ msgid ""
 msgstr ""
 "Xa existe unha operación con ese nome e sinatura. Non pode engadila de novo."
 
-#: uml1model/folder.cpp:435
+#: uml1model/folder.cpp:436
 #, kde-format
 msgid "The folderfile %1 does not exist."
 msgstr "O cartafol %1 non existe."
 
-#: uml1model/folder.cpp:435 uml1model/folder.cpp:439 umldoc.cpp:529
-#: umldoc.cpp:541 umldoc.cpp:568 umldoc.cpp:570 umldoc.cpp:620 umldoc.cpp:623
-#: umldoc.cpp:638 umldoc.cpp:641 umldoc.cpp:665 umldoc.cpp:668 umldoc.cpp:684
-#: umldoc.cpp:687 umldoc.cpp:702 umldoc.cpp:705 umldoc.cpp:750
+#: uml1model/folder.cpp:436 uml1model/folder.cpp:440 umldoc.cpp:530
+#: umldoc.cpp:542 umldoc.cpp:569 umldoc.cpp:571 umldoc.cpp:621 umldoc.cpp:624
+#: umldoc.cpp:639 umldoc.cpp:642 umldoc.cpp:666 umldoc.cpp:669 umldoc.cpp:685
+#: umldoc.cpp:688 umldoc.cpp:703 umldoc.cpp:706 umldoc.cpp:751
 #, kde-format
 msgid "Load Error"
 msgstr "Erro de lectura"
 
-#: uml1model/folder.cpp:439
+#: uml1model/folder.cpp:440
 #, kde-format
 msgid "The folderfile %1 cannot be opened."
 msgstr "O ficheiro de cartafol %1 non se pode abrir."
@@ -7710,13 +7710,13 @@ msgstr "O ficheiro de cartafol %1 non se
 msgid "new_parameter"
 msgstr "novo_parámetro"
 
-#: uml1model/package.cpp:163
+#: uml1model/package.cpp:169
 #, kde-format
 msgctxt "object name"
 msgid "Name"
 msgstr "Nome"
 
-#: uml1model/package.cpp:164
+#: uml1model/package.cpp:170
 #, kde-format
 msgid ""
 "An object with the name %1\n"
@@ -7742,77 +7742,77 @@ msgstr "novo_campo"
 msgid "new_fkey_constraint"
 msgstr "nova_restrición_de_clave_allea"
 
-#: uml1model/umlobject.cpp:1140
+#: uml1model/umlobject.cpp:1141
 #, kde-format
 msgid "Actor &name:"
 msgstr "Nome do &actor:"
 
-#: uml1model/umlobject.cpp:1143
+#: uml1model/umlobject.cpp:1144
 #, kde-format
 msgid "Artifact &name:"
 msgstr "Nome do &artefacto:"
 
-#: uml1model/umlobject.cpp:1146
+#: uml1model/umlobject.cpp:1147
 #, kde-format
 msgid "Association &name:"
 msgstr "&Nome da asociación:"
 
-#: uml1model/umlobject.cpp:1149
+#: uml1model/umlobject.cpp:1150
 #, kde-format
 msgid "Class &name:"
 msgstr "Nome da &clase:"
 
-#: uml1model/umlobject.cpp:1152
+#: uml1model/umlobject.cpp:1153
 #, kde-format
 msgid "Component &name:"
 msgstr "Nome do &compoñente:"
 
-#: uml1model/umlobject.cpp:1155
+#: uml1model/umlobject.cpp:1156
 #, kde-format
 msgid "Datatype &name:"
 msgstr "Nome do &tipo de dato:"
 
-#: uml1model/umlobject.cpp:1158
+#: uml1model/umlobject.cpp:1159
 #, kde-format
 msgid "Entity &name:"
 msgstr "Nome da &entidade:"
 
-#: uml1model/umlobject.cpp:1161
+#: uml1model/umlobject.cpp:1162
 #, kde-format
 msgid "Enum &name:"
 msgstr "Nome do &enumerado:"
 
-#: uml1model/umlobject.cpp:1164
+#: uml1model/umlobject.cpp:1165
 #, kde-format
 msgid "Folder &name:"
 msgstr "&Nome do cartafol:"
 
-#: uml1model/umlobject.cpp:1167
+#: uml1model/umlobject.cpp:1168
 #, kde-format
 msgid "Interface &name:"
 msgstr "Nome da &interface:"
 
-#: uml1model/umlobject.cpp:1170
+#: uml1model/umlobject.cpp:1171
 #, kde-format
 msgid "Node &name:"
 msgstr "Nome do &nodo:"
 
-#: uml1model/umlobject.cpp:1173
+#: uml1model/umlobject.cpp:1174
 #, kde-format
 msgid "Package &name:"
 msgstr "Nome do &paquete:"
 
-#: uml1model/umlobject.cpp:1176
+#: uml1model/umlobject.cpp:1177
 #, kde-format
 msgid "Port &name:"
 msgstr "Nome do &porto:"
 
-#: uml1model/umlobject.cpp:1182
+#: uml1model/umlobject.cpp:1183
 #, kde-format
 msgid "Use case &name:"
 msgstr "Nome do caso de &uso:"
 
-#: uml1model/umlobject.cpp:1185
+#: uml1model/umlobject.cpp:1186
 #, kde-format
 msgid "Instance name:"
 msgstr "Nome da instancia:"
@@ -7832,42 +7832,42 @@ msgstr "E&stereotipos"
 msgid "Welcome"
 msgstr "Benvido/a"
 
-#: umldoc.cpp:112 umldoc.cpp:2400 umldoc.cpp:2428
+#: umldoc.cpp:113 umldoc.cpp:2405 umldoc.cpp:2433
 #, kde-format
 msgid "UML Model"
 msgstr "Modelo UML"
 
-#: umldoc.cpp:154
+#: umldoc.cpp:155
 #, kde-format
 msgid "Logical View"
 msgstr "Vista lóxica"
 
-#: umldoc.cpp:155
+#: umldoc.cpp:156
 #, kde-format
 msgid "Use Case View"
 msgstr "Vista dos casos de uso"
 
-#: umldoc.cpp:156
+#: umldoc.cpp:157
 #, kde-format
 msgid "Component View"
 msgstr "Vista de compoñentes"
 
-#: umldoc.cpp:157
+#: umldoc.cpp:158
 #, kde-format
 msgid "Deployment View"
 msgstr "Vista de realización"
 
-#: umldoc.cpp:158
+#: umldoc.cpp:159
 #, kde-format
 msgid "Entity Relationship Model"
 msgstr "Modelo de relacións da entidade"
 
-#: umldoc.cpp:184
+#: umldoc.cpp:185
 #, kde-format
 msgid "Datatypes"
 msgstr "Tipos de datos"
 
-#: umldoc.cpp:363
+#: umldoc.cpp:364
 #, kde-format
 msgid ""
 "The current file has been modified.\n"
@@ -7876,166 +7876,166 @@ msgstr ""
 "O ficheiro actual modificouse.\n"
 "Quere gardalo?"
 
-#: umldoc.cpp:364
+#: umldoc.cpp:365
 #, kde-format
 msgctxt "warning message"
 msgid "Warning"
 msgstr "Aviso"
 
-#: umldoc.cpp:529
+#: umldoc.cpp:530
 #, kde-format
 msgid "The file <%1> does not exist."
 msgstr "O ficheiro <%1> non existe."
 
-#: umldoc.cpp:541
+#: umldoc.cpp:542
 #, kde-format
 msgid "The file %1 does not exist."
 msgstr "O ficheiro %1 non existe."
 
-#: umldoc.cpp:568 umldoc.cpp:570
+#: umldoc.cpp:569 umldoc.cpp:571
 #, kde-format
 msgid "The file %1 seems to be corrupted."
 msgstr "O ficheiro %1 parece estar corrompido."
 
-#: umldoc.cpp:619 umldoc.cpp:622 umldoc.cpp:637 umldoc.cpp:640 umldoc.cpp:683
-#: umldoc.cpp:686
+#: umldoc.cpp:620 umldoc.cpp:623 umldoc.cpp:638 umldoc.cpp:641 umldoc.cpp:684
+#: umldoc.cpp:687
 #, kde-format
 msgid "There was no XMI file found in the compressed file %1."
 msgstr "Non se atopou ningún ficheiro XMI no ficheiro comprimido %1."
 
-#: umldoc.cpp:664 umldoc.cpp:667
+#: umldoc.cpp:665 umldoc.cpp:668
 #, kde-format
 msgid "There was a problem loading the extracted file: %1"
 msgstr "Houbo un problema ao cargar o ficheiro extraido: %1"
 
-#: umldoc.cpp:701 umldoc.cpp:704 umldoc.cpp:744 umldoc.cpp:746
+#: umldoc.cpp:702 umldoc.cpp:705 umldoc.cpp:745 umldoc.cpp:747
 #, kde-format
 msgid "There was a problem loading file: %1"
 msgstr "Houbo un problema ao cargar o ficheiro: %1"
 
-#: umldoc.cpp:749
+#: umldoc.cpp:750
 #, kde-format
 msgid "Reason: %1"
 msgstr "Motivo: %1"
 
-#: umldoc.cpp:832 umldoc.cpp:834 umldoc.cpp:851 umldoc.cpp:853 umldoc.cpp:873
-#: umldoc.cpp:875 umldoc.cpp:924 umldoc.cpp:926 umldoc.cpp:966 umldoc.cpp:969
-#: umldoc.cpp:978 umldoc.cpp:980 umllistview.cpp:593
+#: umldoc.cpp:833 umldoc.cpp:835 umldoc.cpp:852 umldoc.cpp:854 umldoc.cpp:874
+#: umldoc.cpp:876 umldoc.cpp:925 umldoc.cpp:927 umldoc.cpp:968 umldoc.cpp:971
+#: umldoc.cpp:980 umldoc.cpp:982 umllistview.cpp:594
 #, kde-format
 msgid "Save Error"
 msgstr "Erro ao gardar"
 
-#: umldoc.cpp:832 umldoc.cpp:851 umldoc.cpp:873 umldoc.cpp:924 umldoc.cpp:966
+#: umldoc.cpp:833 umldoc.cpp:852 umldoc.cpp:874 umldoc.cpp:925 umldoc.cpp:968
 #, kde-format
 msgid "There was a problem saving: %1"
 msgstr "Houbo un problema ao gardar: %1"
 
-#: umldoc.cpp:834 umldoc.cpp:853 umldoc.cpp:875 umldoc.cpp:926 umldoc.cpp:969
-#: umllistview.cpp:592 umlviewimageexportermodel.cpp:303
+#: umldoc.cpp:835 umldoc.cpp:854 umldoc.cpp:876 umldoc.cpp:927 umldoc.cpp:971
+#: umllistview.cpp:593 umlviewimageexportermodel.cpp:303
 #, kde-format
 msgid "There was a problem saving file: %1"
 msgstr "Houbo un problema ao gardar o ficheiro: %1"
 
-#: umldoc.cpp:978
+#: umldoc.cpp:980
 #, kde-format
 msgid "There was a problem uploading: %1"
 msgstr "Houbo un problema ao enviar: %1"
 
-#: umldoc.cpp:980
+#: umldoc.cpp:982
 #, kde-format
 msgid "There was a problem uploading file: %1"
 msgstr "Houbo un problema ao enviar o ficheiro: %1"
 
-#: umldoc.cpp:1526
+#: umldoc.cpp:1528
 #, kde-format
 msgid "use case diagram"
 msgstr "diagrama de casos de uso"
 
-#: umldoc.cpp:1529
+#: umldoc.cpp:1531
 #, kde-format
 msgid "class diagram"
 msgstr "diagrama de clase"
 
-#: umldoc.cpp:1532
+#: umldoc.cpp:1534
 #, kde-format
 msgid "sequence diagram"
 msgstr "diagrama de secuencia"
 
-#: umldoc.cpp:1535
+#: umldoc.cpp:1537
 #, kde-format
 msgid "communication diagram"
 msgstr "diagrama de comunicación"
 
-#: umldoc.cpp:1538
+#: umldoc.cpp:1540
 #, kde-format
 msgid "object diagram"
 msgstr "diagrama de obxectos"
 
-#: umldoc.cpp:1541
+#: umldoc.cpp:1543
 #, kde-format
 msgid "state diagram"
 msgstr "diagrama de estados"
 
-#: umldoc.cpp:1544
+#: umldoc.cpp:1546
 #, kde-format
 msgid "activity diagram"
 msgstr "diagrama de actividades"
 
-#: umldoc.cpp:1547
+#: umldoc.cpp:1549
 #, kde-format
 msgid "component diagram"
 msgstr "diagrama de compoñentes"
 
-#: umldoc.cpp:1550
+#: umldoc.cpp:1552
 #, kde-format
 msgid "deployment diagram"
 msgstr "diagrama de realización"
 
-#: umldoc.cpp:1553
+#: umldoc.cpp:1555
 #, kde-format
 msgid "entity relationship diagram"
 msgstr "diagrama de relacións entre entidades"
 
-#: umldoc.cpp:1623
+#: umldoc.cpp:1625
 #, kde-format
 msgctxt "diagram name"
 msgid "Name"
 msgstr "Nome"
 
-#: umldoc.cpp:1623 umldoc.cpp:1686 umldoc.cpp:1715 umldoc.cpp:1749
+#: umldoc.cpp:1625 umldoc.cpp:1688 umldoc.cpp:1717 umldoc.cpp:1751
 #, kde-format
 msgid "Enter name:"
 msgstr "Escriba o nome:"
 
-#: umldoc.cpp:1627 umldoc.cpp:1692
+#: umldoc.cpp:1629 umldoc.cpp:1694
 #, kde-format
 msgid "That is an invalid name for a diagram."
 msgstr "Ese nome é incorrecto para un diagrama."
 
-#: umldoc.cpp:1629 umldoc.cpp:1699
+#: umldoc.cpp:1631 umldoc.cpp:1701
 #, kde-format
 msgid "A diagram is already using that name."
 msgstr "Xa hai un diagrama con ese nome."
 
-#: umldoc.cpp:1685
+#: umldoc.cpp:1687
 #, kde-format
 msgctxt "renaming diagram"
 msgid "Name"
 msgstr "Nome"
 
-#: umldoc.cpp:1714
+#: umldoc.cpp:1716
 #, kde-format
 msgctxt "renaming uml object"
 msgid "Name"
 msgstr "Nome"
 
-#: umldoc.cpp:1748
+#: umldoc.cpp:1750
 #, kde-format
 msgctxt "renaming child uml object"
 msgid "Name"
 msgstr "Nome"
 
-#: umldoc.cpp:1758
+#: umldoc.cpp:1760
 #, kde-format
 msgid ""
 "The name you entered was not unique.\n"
@@ -8044,63 +8044,63 @@ msgstr ""
 "O nome que inseriu non era único.\n"
 "É isto o que quere?"
 
-#: umldoc.cpp:1759
+#: umldoc.cpp:1761
 #, kde-format
 msgid "Use Name"
 msgstr "Usar o nome"
 
-#: umldoc.cpp:1759
+#: umldoc.cpp:1761
 #, kde-format
 msgid "Enter New Name"
 msgstr "Inserir un nome novo"
 
-#: umldoc.cpp:2361
+#: umldoc.cpp:2366
 #, kde-format
 msgid "Unsupported xmi file version: %1"
 msgstr "Versión de ficheiro xmi non compatíbel: %1"
 
-#: umldoc.cpp:2511
+#: umldoc.cpp:2516
 #, kde-format
 msgid "Setting up the document..."
 msgstr "Estase a configurar o documento…"
 
-#: umldoc.cpp:2540
+#: umldoc.cpp:2545
 #, kde-format
 msgid "Resolving object references..."
 msgstr "Estanse a resolver as referencias a obxectos…"
 
-#: umldoc.cpp:2648
+#: umldoc.cpp:2653
 #, kde-format
 msgid "Loading UML elements..."
 msgstr "Estanse a cargar os elementos UML…"
 
-#: umldoc.cpp:2892
+#: umldoc.cpp:2899
 #, kde-format
 msgid "Loading diagrams..."
 msgstr "Estanse a cargar os diagramas…"
 
-#: umldoc.cpp:3400
+#: umldoc.cpp:3409
 #, kde-format
 msgid "/autosave%1"
 msgstr "/autogardar%1"
 
-#: umllistview.cpp:536 umllistview.cpp:540
+#: umllistview.cpp:537 umllistview.cpp:541
 #, kde-format
 msgid "Externalize Folder"
 msgstr "Externalizar o cartafol"
 
-#: umllistview.cpp:574
+#: umllistview.cpp:575
 #, kde-format
 msgid "Folder %1 must be relative to the main model directory, %2."
 msgstr ""
 "O cartafol %1 ten que ser relativo ao directorio do modelo principal, %2."
 
-#: umllistview.cpp:575
+#: umllistview.cpp:576
 #, kde-format
 msgid "Path Error"
 msgstr "Erro coa ruta"
 
-#: umllistview.cpp:583
+#: umllistview.cpp:584
 #, kde-format
 msgid ""
 "File %1 already exists!\n"
@@ -8109,62 +8109,62 @@ msgstr ""
 "O ficheiro %1 xa existe!\n"
 "O ficheiro actual substituirase."
 
-#: umllistview.cpp:584
+#: umllistview.cpp:585
 #, kde-format
 msgid "File Exist"
 msgstr "O ficheiro xa existe"
 
-#: umllistview.cpp:624
+#: umllistview.cpp:625
 #, kde-format
 msgid "Enter Model Name"
 msgstr "Inserir o nome do modelo"
 
-#: umllistview.cpp:625
+#: umllistview.cpp:626
 #, kde-format
 msgid "Enter the new name of the model:"
 msgstr "Escriba o novo nome do modelo:"
 
-#: umllistview.cpp:1422
+#: umllistview.cpp:1430
 #, kde-format
 msgid "Views"
 msgstr "Vistas"
 
-#: umllistview.cpp:1441
+#: umllistview.cpp:1449
 #, kde-format
 msgid "Settings"
 msgstr "Configuración"
 
-#: umllistview.cpp:2413
+#: umllistview.cpp:2421
 #, kde-format
 msgid "Loading listview..."
 msgstr "Estase a cargar a vista en lista…"
 
-#: umllistview.cpp:2764
+#: umllistview.cpp:2772
 #, kde-format
 msgid "The class must be emptied before it can be deleted."
 msgstr "A clase debe baleirarse antes para poder eliminarse."
 
-#: umllistview.cpp:2765
+#: umllistview.cpp:2773
 #, kde-format
 msgid "Class Not Empty"
 msgstr "Clase non baleira"
 
-#: umllistview.cpp:2769
+#: umllistview.cpp:2777
 #, kde-format
 msgid "The package must be emptied before it can be deleted."
 msgstr "O paquete debe baleirarse para poder eliminarse."
 
-#: umllistview.cpp:2770
+#: umllistview.cpp:2778
 #, kde-format
 msgid "Package Not Empty"
 msgstr "Paquete non baleiro"
 
-#: umllistview.cpp:2774
+#: umllistview.cpp:2782
 #, kde-format
 msgid "The folder must be emptied before it can be deleted."
 msgstr "O cartafol debe estar baleiro antes de poder eliminarse."
 
-#: umllistview.cpp:2775
+#: umllistview.cpp:2783
 #, kde-format
 msgid "Folder Not Empty"
 msgstr "Cartafol non baleiro"
diff -pruN 4:20.08.3-1/po/hi/umbrello.po 4:20.12.0-0ubuntu1/po/hi/umbrello.po
--- 4:20.08.3-1/po/hi/umbrello.po	2020-11-03 00:42:16.000000000 +0000
+++ 4:20.12.0-0ubuntu1/po/hi/umbrello.po	2020-12-04 00:21:30.000000000 +0000
@@ -7,7 +7,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: umbrello\n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
-"POT-Creation-Date: 2020-08-14 08:09+0200\n"
+"POT-Creation-Date: 2020-11-06 02:36+0100\n"
 "PO-Revision-Date: 2008-02-24 17:02+0530\n"
 "Last-Translator: Ravishankar Shrivastava <aviratlami@aol.in>\n"
 "Language-Team: Hindi <indlinux-hindi@lists.sourceforge.net>\n"
@@ -211,7 +211,7 @@ msgid ""
 "item of the same name already exists.  Any other items have been pasted."
 msgstr ""
 
-#: clipboard/umlclipboard.cpp:753 uml.cpp:1689
+#: clipboard/umlclipboard.cpp:753 uml.cpp:1698
 #, kde-format
 msgid "Paste Error"
 msgstr "चिपकाने में त्रुटि"
@@ -458,7 +458,7 @@ msgstr "<p align=\"center\">सी++ क
 #. i18n: ectx: attribute (title), widget (QWidget, ui_tabGeneral)
 #: codegenerators/cpp/cppcodegenerationformbase.ui:51
 #: codegenwizard/codegenoptionspage.ui:39 dialogs/objectnodedialog.cpp:135
-#: umllistview.cpp:1451
+#: umllistview.cpp:1459
 #, kde-format
 msgid "General"
 msgstr "सामान्य"
@@ -1325,7 +1325,7 @@ msgstr "प्रारंभ में"
 #. i18n: ectx: property (text), widget (QRadioButton, ui_categoryClass)
 #. i18n: ectx: property (text), widget (QTableWidget, ui_tableWidgetStatus)
 #: codegenwizard/codegenstatuspage.ui:40 codeimpwizard/codeimpstatuspage.ui:54
-#: dialogs/finddialog.ui:89 umllistview.cpp:1446 umlwidgets/widgetbase.cpp:1255
+#: dialogs/finddialog.ui:89 umllistview.cpp:1454 umlwidgets/widgetbase.cpp:1255
 #, kde-format
 msgid "Class"
 msgstr "वर्ग"
@@ -2002,18 +2002,18 @@ msgstr ""
 msgid "Enable 'delete diagram' related messages"
 msgstr ""
 
-#: dialogs/dialog_utils.cpp:117
+#: dialogs/dialog_utils.cpp:118
 #, kde-format
 msgid "You are about to delete an association. Do you really want to continue?"
 msgstr ""
 
-#: dialogs/dialog_utils.cpp:118
+#: dialogs/dialog_utils.cpp:119
 #, fuzzy, kde-format
 #| msgid "Self Association"
 msgid "Delete Association"
 msgstr "स्वतः सम्बद्धता"
 
-#: dialogs/dialog_utils.cpp:132
+#: dialogs/dialog_utils.cpp:133
 #, kde-format
 msgid ""
 "You are about to delete the entire diagram.\n"
@@ -2022,17 +2022,17 @@ msgstr ""
 "आप सम्पूर्ण आरेख को मिटाने वाले हैं.\n"
 "क्या आप सुनिश्चित हैं?"
 
-#: dialogs/dialog_utils.cpp:133
+#: dialogs/dialog_utils.cpp:134
 #, kde-format
 msgid "Are you sure you want to delete diagram %1?"
 msgstr "क्या आप वाक़ई आरेख %1 को मिटाना चाहते हैं?"
 
-#: dialogs/dialog_utils.cpp:138
+#: dialogs/dialog_utils.cpp:139
 #, kde-format
 msgid "Delete Diagram?"
 msgstr "आरेख मिटाएँ?"
 
-#: dialogs/dialog_utils.cpp:139 dialogs/pages/classifierlistpage.cpp:215
+#: dialogs/dialog_utils.cpp:140 dialogs/pages/classifierlistpage.cpp:215
 #: dialogs/pages/classifierlistpage.cpp:223
 #: dialogs/umlforeignkeyconstraintdialog.cpp:325
 #: dialogs/umlforeignkeyconstraintdialog.cpp:331
@@ -2192,7 +2192,7 @@ msgstr "सामान्य"
 #. i18n: ectx: label, entry (uiFont), group (UI Options)
 #. i18n: ectx: label, entry (codeViewerFont), group (Code Viewer Options)
 #: dialogs/multipagedialogbase.cpp:405 umbrello.kcfg:177 umbrello.kcfg:292
-#: umllistview.cpp:1450
+#: umllistview.cpp:1458
 #, kde-format
 msgid "Font"
 msgstr "फ़ॉन्ट"
@@ -2617,7 +2617,7 @@ msgstr "नया एंटिटी ग
 
 #: dialogs/pages/classifierlistpage.cpp:217
 #: dialogs/pages/classifierlistpage.cpp:225 dialogs/umloperationdialog.cpp:167
-#: dialogs/umloperationdialog.cpp:175 uml.cpp:554
+#: dialogs/umloperationdialog.cpp:175 uml.cpp:563
 #, kde-format
 msgid "&Properties"
 msgstr "गुण (&P)"
@@ -2635,7 +2635,7 @@ msgid "Source Code"
 msgstr "स्रोत कोड"
 
 #: dialogs/pages/classoptionspage.cpp:157
-#: dialogs/pages/classoptionspage.cpp:251 uml.cpp:509
+#: dialogs/pages/classoptionspage.cpp:251 uml.cpp:518
 #, fuzzy, kde-format
 #| msgid "Documentation"
 msgid "&Documentation"
@@ -2828,8 +2828,8 @@ msgstr "जो नाम आपने 
 #: uml1model/classifier.cpp:410 uml1model/classifier.cpp:781
 #: uml1model/entity.cpp:125 uml1model/entity.cpp:178 uml1model/entity.cpp:228
 #: uml1model/entity.cpp:277 uml1model/enum.cpp:107 uml1model/instance.cpp:124
-#: uml1model/package.cpp:172 umldoc.cpp:1627 umldoc.cpp:1692 umldoc.cpp:1721
-#: umldoc.cpp:1755
+#: uml1model/package.cpp:178 umldoc.cpp:1629 umldoc.cpp:1694 umldoc.cpp:1723
+#: umldoc.cpp:1757
 #, kde-format
 msgid "Invalid Name"
 msgstr "अवैध नाम"
@@ -2839,7 +2839,7 @@ msgstr "अवैध नाम"
 msgid "The name you have entered is not unique."
 msgstr "जो नाम आपने भरा है वह बेजोड़ नहीं है."
 
-#: dialogs/pages/diagrampropertiespage.cpp:86 umldoc.cpp:1759
+#: dialogs/pages/diagrampropertiespage.cpp:86 umldoc.cpp:1761
 #, kde-format
 msgid "Name Not Unique"
 msgstr "नाम बेजोड़ नहीं है"
@@ -3315,7 +3315,7 @@ msgstr "आरेख (&D)"
 msgid "Umbrello Setup"
 msgstr "अम्बेरेलो सेटअप"
 
-#: dialogs/settingsdialog.cpp:114 umllistview.cpp:1452
+#: dialogs/settingsdialog.cpp:114 umllistview.cpp:1460
 #, kde-format
 msgid "User Interface"
 msgstr "यूज़र इंटरफेस"
@@ -3342,7 +3342,7 @@ msgstr "वर्ग"
 msgid "Class Settings"
 msgstr "क्लास विन्यास"
 
-#: dialogs/settingsdialog.cpp:137 umllistview.cpp:1447
+#: dialogs/settingsdialog.cpp:137 umllistview.cpp:1455
 #, fuzzy, kde-format
 #| msgid "Not Generated"
 msgid "Code Importer"
@@ -3354,7 +3354,7 @@ msgstr "नहीं बना"
 msgid "Code Import Settings"
 msgstr "कोड प्रदर्शक विन्यास"
 
-#: dialogs/settingsdialog.cpp:146 umllistview.cpp:1448
+#: dialogs/settingsdialog.cpp:146 umllistview.cpp:1456
 #, kde-format
 msgid "Code Generation"
 msgstr "कोड तैयार करना"
@@ -3364,7 +3364,7 @@ msgstr "कोड तैयार कर
 msgid "Code Generation Settings"
 msgstr "कोड बनाने के लिए विन्यास"
 
-#: dialogs/settingsdialog.cpp:154 umllistview.cpp:1449
+#: dialogs/settingsdialog.cpp:154 umllistview.cpp:1457
 #, kde-format
 msgid "Code Viewer"
 msgstr "कोड प्रदर्शक"
@@ -3374,7 +3374,7 @@ msgstr "कोड प्रदर्श
 msgid "Code Viewer Settings"
 msgstr "कोड प्रदर्शक विन्यास"
 
-#: dialogs/settingsdialog.cpp:161 umllistview.cpp:1445
+#: dialogs/settingsdialog.cpp:161 umllistview.cpp:1453
 #, fuzzy, kde-format
 #| msgid "Auto Save"
 msgid "Auto Layout"
@@ -4027,7 +4027,7 @@ msgstr "क़िस्मः (&T)"
 msgid "Package path:"
 msgstr "पैकेज नाम:"
 
-#: dialogs/widgets/umlstereotypewidget.cpp:29 uml1model/umlobject.cpp:1179
+#: dialogs/widgets/umlstereotypewidget.cpp:29 uml1model/umlobject.cpp:1180
 #, fuzzy, kde-format
 #| msgid "Stereotype name:"
 msgid "Stereotype &name:"
@@ -4173,7 +4173,7 @@ msgstr ""
 msgid "Gael de Chalendar (aka Kleag)"
 msgstr "गेल दे चालेंदर (उर्फ क्लीएग)"
 
-#: docgenerators/main.cpp:56 main.cpp:131
+#: docgenerators/main.cpp:56 main.cpp:133
 #, kde-format
 msgid "Umbrello UML Modeller Authors"
 msgstr "अम्बरैलो यूएमएल मॉडलर लेखक गण"
@@ -4237,12 +4237,12 @@ msgstr ""
 msgid "Apply layout"
 msgstr "स्वचलित सहेजें"
 
-#: main.cpp:121
+#: main.cpp:123
 #, kde-format
 msgid "Umbrello UML Modeller"
 msgstr "अम्बरैलो यूएमएल मॉडलर"
 
-#: main.cpp:123
+#: main.cpp:125
 #, kde-format
 msgid ""
 "Umbrello – Visual development environment for software, based on the "
@@ -4250,7 +4250,7 @@ msgid ""
 "\"http://www.omg.org/spec/\">http://www.omg.org/spec/</a>."
 msgstr ""
 
-#: main.cpp:127
+#: main.cpp:129
 #, fuzzy, kde-format
 #| msgid "(c) 2001 Paul Hensgen, (c) 2002-2006 Umbrello UML Modeller Authors"
 msgid ""
@@ -4258,113 +4258,113 @@ msgid ""
 "Copyright © 2002-2020 Umbrello UML Modeller Authors"
 msgstr "(c) 2001 पॉल हैंसगेन, (c) 2002-2006 अम्बरैलो यूएमएल मॉडलर लेखक गण"
 
-#: main.cpp:130
+#: main.cpp:132
 #, kde-format
 msgid "Paul Hensgen"
 msgstr "पॉल हैंसगेन"
 
-#: main.cpp:130
+#: main.cpp:132
 #, kde-format
 msgid "Author of initial version."
 msgstr ""
 
-#: main.cpp:134
+#: main.cpp:136
 #, kde-format
 msgid "Oliver Kellogg"
 msgstr ""
 
-#: main.cpp:135 main.cpp:138
+#: main.cpp:137 main.cpp:140
 #, kde-format
 msgid "Bug fixing, porting work, code cleanup, new features."
 msgstr ""
 
-#: main.cpp:137
+#: main.cpp:139
 #, kde-format
 msgid "Ralf Habacker"
 msgstr ""
 
-#: main.cpp:140
+#: main.cpp:142
 #, kde-format
 msgid "Andi Fischer"
 msgstr ""
 
-#: main.cpp:141
+#: main.cpp:143
 #, kde-format
 msgid "Porting work, code cleanup, new features."
 msgstr ""
 
-#: main.cpp:143
+#: main.cpp:145
 #, kde-format
 msgid "Jonathan Riddell"
 msgstr ""
 
-#: main.cpp:144
+#: main.cpp:146
 #, fuzzy, kde-format
 #| msgid "&Current diagram"
 msgid "Current maintainer."
 msgstr "मौज़ूदा आरेख (&C)"
 
-#: main.cpp:146
+#: main.cpp:148
 #, kde-format
 msgid "Brian Thomas"
 msgstr ""
 
-#: main.cpp:147
+#: main.cpp:149
 #, kde-format
 msgid "A lot of work for C++ and Java code generation. Codeeditor."
 msgstr ""
 
-#: main.cpp:152
+#: main.cpp:154
 #, kde-format
 msgid "File to open"
 msgstr "फ़ाइल जिसे खोलना है"
 
-#: main.cpp:153
+#: main.cpp:155
 #, kde-format
 msgid "export diagrams to extension and exit"
 msgstr "डायग्राम को एक्सटेंशन में निर्यात कर बाहर हों"
 
-#: main.cpp:154
+#: main.cpp:156
 #, kde-format
 msgid "list available export extensions"
 msgstr ""
 
-#: main.cpp:155
+#: main.cpp:157
 #, kde-format
 msgid "the local directory to save the exported diagrams in"
 msgstr "स्थानीय डिरेक्ट्री जहाँ निर्यात किए गए डायग्राम सहेजे जाने हैं"
 
-#: main.cpp:155
+#: main.cpp:157
 #, kde-format
 msgid "the directory of the file"
 msgstr "फ़ाइल की डिरेक्ट्री"
 
-#: main.cpp:156
+#: main.cpp:158
 #, fuzzy, kde-format
 #| msgid "Exporting view..."
 msgid "import files"
 msgstr "दृश्य निर्यात किया जा रहा है..."
 
-#: main.cpp:157
+#: main.cpp:159
 #, fuzzy, kde-format
 #| msgid "All Files"
 msgid "list supported languages"
 msgstr "सभी फ़ाइलें"
 
-#: main.cpp:158
+#: main.cpp:160
 #, kde-format
 msgid ""
 "keep the tree structure used to store the views in the document in the "
 "target directory"
 msgstr ""
 
-#: main.cpp:159
+#: main.cpp:161
 #, fuzzy, kde-format
 #| msgid "Import Project..."
 msgid "import files from directory <dir>"
 msgstr "परियोजना आयात करें..."
 
-#: main.cpp:163
+#: main.cpp:165
 #, fuzzy, kde-format
 #| msgid "Active &Language"
 msgid "set active language"
@@ -4639,7 +4639,7 @@ msgstr "डिस्ट्रक्श
 msgid "Import File(s)..."
 msgstr "क्लास आयात करें..."
 
-#: menus/listpopupmenu.cpp:201 uml.cpp:356
+#: menus/listpopupmenu.cpp:201 uml.cpp:365
 #, fuzzy, kde-format
 #| msgid "Import Project..."
 msgid "Import from Directory..."
@@ -5167,42 +5167,42 @@ msgctxt "align menu"
 msgid "Align"
 msgstr "पंक्तिबद्ध (&A)"
 
-#: menus/widgetbasepopupmenu.cpp:598 uml.cpp:573
+#: menus/widgetbasepopupmenu.cpp:598 uml.cpp:582
 #, kde-format
 msgid "Align Right"
 msgstr "दायाँ पंक्तिबद्ध करें"
 
-#: menus/widgetbasepopupmenu.cpp:599 uml.cpp:578
+#: menus/widgetbasepopupmenu.cpp:599 uml.cpp:587
 #, kde-format
 msgid "Align Left"
 msgstr "बायाँ पंक्तिबद्ध करें "
 
-#: menus/widgetbasepopupmenu.cpp:600 uml.cpp:583
+#: menus/widgetbasepopupmenu.cpp:600 uml.cpp:592
 #, kde-format
 msgid "Align Top"
 msgstr "शीर्ष में पंक्तिबद्ध करें"
 
-#: menus/widgetbasepopupmenu.cpp:601 uml.cpp:588
+#: menus/widgetbasepopupmenu.cpp:601 uml.cpp:597
 #, kde-format
 msgid "Align Bottom"
 msgstr "तल में पंक्तिबद्ध करें"
 
-#: menus/widgetbasepopupmenu.cpp:603 uml.cpp:593
+#: menus/widgetbasepopupmenu.cpp:603 uml.cpp:602
 #, kde-format
 msgid "Align Vertical Middle"
 msgstr "खड़ा मध्य में पंक्तिबद्ध करें"
 
-#: menus/widgetbasepopupmenu.cpp:604 uml.cpp:598
+#: menus/widgetbasepopupmenu.cpp:604 uml.cpp:607
 #, kde-format
 msgid "Align Horizontal Middle"
 msgstr "आड़ा मध्य में पंक्तिबद्ध करें"
 
-#: menus/widgetbasepopupmenu.cpp:605 uml.cpp:603
+#: menus/widgetbasepopupmenu.cpp:605 uml.cpp:612
 #, kde-format
 msgid "Align Vertical Distribute"
 msgstr "डिस्ट्रीब्यूट को खड़े में पंक्तिबद्ध करें"
 
-#: menus/widgetbasepopupmenu.cpp:606 uml.cpp:608
+#: menus/widgetbasepopupmenu.cpp:606 uml.cpp:617
 #, kde-format
 msgid "Align Horizontal Distribute"
 msgstr "डिस्ट्रीब्यूट को आड़े में पंक्तिबद्ध करें"
@@ -6138,8 +6138,8 @@ msgstr "संदेश"
 #: object_factory.cpp:251 uml1model/classifier.cpp:410
 #: uml1model/classifier.cpp:781 uml1model/entity.cpp:125
 #: uml1model/entity.cpp:178 uml1model/entity.cpp:228 uml1model/entity.cpp:277
-#: uml1model/enum.cpp:107 uml1model/instance.cpp:124 uml1model/package.cpp:171
-#: umldoc.cpp:1721 umldoc.cpp:1755
+#: uml1model/enum.cpp:107 uml1model/instance.cpp:124 uml1model/package.cpp:177
+#: umldoc.cpp:1723 umldoc.cpp:1757
 #, kde-format
 msgid "That is an invalid name."
 msgstr "वह एक अवैध नाम है."
@@ -6158,7 +6158,7 @@ msgstr "सुरक्षित कु
 #: object_factory.cpp:264 uml1model/classifier.cpp:413
 #: uml1model/classifier.cpp:783 uml1model/entity.cpp:127
 #: uml1model/entity.cpp:180 uml1model/entity.cpp:230 uml1model/entity.cpp:279
-#: uml1model/instance.cpp:126 umldoc.cpp:1727 umldoc.cpp:1764
+#: uml1model/instance.cpp:126 umldoc.cpp:1729 umldoc.cpp:1766
 #, kde-format
 msgid "That name is already being used."
 msgstr "वह नाम पहले ही उपयोग में है."
@@ -6166,8 +6166,8 @@ msgstr "वह नाम पहले 
 #: object_factory.cpp:265 uml1model/classifier.cpp:413
 #: uml1model/classifier.cpp:783 uml1model/entity.cpp:127
 #: uml1model/entity.cpp:180 uml1model/entity.cpp:230 uml1model/entity.cpp:279
-#: uml1model/instance.cpp:126 umldoc.cpp:1629 umldoc.cpp:1699 umldoc.cpp:1727
-#: umldoc.cpp:1764
+#: uml1model/instance.cpp:126 umldoc.cpp:1631 umldoc.cpp:1701 umldoc.cpp:1729
+#: umldoc.cpp:1766
 #, kde-format
 msgid "Not a Unique Name"
 msgstr "नाम बेजोड़ नहीं है"
@@ -6230,12 +6230,12 @@ msgstr "%1 में उस हस्त
 msgid "Choose a different name."
 msgstr "भिन्न नाम इस्तेमाल करें (&U)"
 
-#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:266
+#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:273
 #, kde-format
 msgid "Incorrect use of associations."
 msgstr "सम्बद्धता का गलत उपयोग."
 
-#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:266
+#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:273
 #, kde-format
 msgid "Association Error"
 msgstr "सम्बद्धता त्रुटि"
@@ -7463,192 +7463,192 @@ msgstr "सक्रिय भाषा
 msgid "&Settings"
 msgstr "भूमिका विन्यास "
 
-#: uml.cpp:332
+#: uml.cpp:341
 #, kde-format
 msgid "&Export model to DocBook"
 msgstr "मॉडल को डॉकबुक में निर्यात करें (&E)"
 
-#: uml.cpp:336
+#: uml.cpp:345
 #, kde-format
 msgid "&Export model to XHTML"
 msgstr "मॉडल को एक्सएचटीएमएल में निर्यात करें (&E)"
 
-#: uml.cpp:340
+#: uml.cpp:349
 #, kde-format
 msgid "&New Class Wizard..."
 msgstr "नया वर्ग विज़ार्ड... (&N)"
 
-#: uml.cpp:344
+#: uml.cpp:353
 #, kde-format
 msgid "&Add Default Datatypes for Active Language"
 msgstr "सक्रिय भाषा के लिए डिफ़ॉल्ट डाटाटाइप्स जोड़ें (&A)"
 
-#: uml.cpp:351
+#: uml.cpp:360
 #, fuzzy, kde-format
 #| msgid "&Code Generation Wizard..."
 msgid "Code &Importing Wizard..."
 msgstr "कोड बनाने का विज़ार्ड... (&C)"
 
-#: uml.cpp:361
+#: uml.cpp:370
 #, kde-format
 msgid "&Code Generation Wizard..."
 msgstr "कोड बनाने का विज़ार्ड... (&C)"
 
-#: uml.cpp:366
+#: uml.cpp:375
 #, kde-format
 msgid "&Generate All Code"
 msgstr "सारे कोड बनाएँ (&G)"
 
-#: uml.cpp:411
+#: uml.cpp:420
 #, kde-format
 msgid "Creates a new document"
 msgstr "नया दस्तावेज़ बनाता है"
 
-#: uml.cpp:412
+#: uml.cpp:421
 #, kde-format
 msgid "Opens an existing document"
 msgstr "एक उपलब्ध दस्तावेज़ खोलता है"
 
-#: uml.cpp:413
+#: uml.cpp:422
 #, kde-format
 msgid "Opens a recently used file"
 msgstr "हाल ही में उपयोग में आया फ़ाइल खोलता है"
 
-#: uml.cpp:414
+#: uml.cpp:423
 #, kde-format
 msgid "Saves the document"
 msgstr "दस्तावेज़ सहेजता है"
 
-#: uml.cpp:415
+#: uml.cpp:424
 #, kde-format
 msgid "Saves the document as..."
 msgstr "वास्तविक दस्तावेज़ ऐसे सहेजता है..."
 
-#: uml.cpp:416
+#: uml.cpp:425
 #, kde-format
 msgid "Closes the document"
 msgstr "दस्तावेज़ बन्द करता है"
 
-#: uml.cpp:417
+#: uml.cpp:426
 #, kde-format
 msgid "Prints out the document"
 msgstr "दस्तावेज़ मुद्रित करता है"
 
-#: uml.cpp:418
+#: uml.cpp:427
 #, fuzzy, kde-format
 #| msgid "Prints out the document"
 msgid "Print Preview of the document"
 msgstr "दस्तावेज़ मुद्रित करता है"
 
-#: uml.cpp:419
+#: uml.cpp:428
 #, kde-format
 msgid "Quits the application"
 msgstr "अनुप्रयोग से बाहर होता है"
 
-#: uml.cpp:420
+#: uml.cpp:429
 #, kde-format
 msgid "Exports the model to the docbook format"
 msgstr "मॉडल को डाकबुक फॉर्मेट में निर्यात करता है"
 
-#: uml.cpp:421
+#: uml.cpp:430
 #, kde-format
 msgid "Exports the model to the XHTML format"
 msgstr "मॉडल को एक्सएचटीएमएल फ़ॉर्मेट में निर्यात करता है"
 
-#: uml.cpp:422
+#: uml.cpp:431
 #, kde-format
 msgid "Cuts the selected section and puts it to the clipboard"
 msgstr "चयनित पाठ काटता है तथा इसे क्लिपबोर्ड में ले जाता है"
 
-#: uml.cpp:423
+#: uml.cpp:432
 #, kde-format
 msgid "Copies the selected section to the clipboard"
 msgstr "चुने हुए अंश को क्लिपबोर्ड पर नक़ल करता है"
 
-#: uml.cpp:424
+#: uml.cpp:433
 #, kde-format
 msgid "Pastes the contents of the clipboard"
 msgstr "क्लिपबोर्ड सामग्रियों को चिपकाता है"
 
-#: uml.cpp:425
+#: uml.cpp:434
 #, kde-format
 msgid "Set the default program preferences"
 msgstr "डिफ़ॉल्ट प्रोग्राम प्राथमिकताएँ नियत करें"
 
-#: uml.cpp:429
+#: uml.cpp:438
 #, fuzzy, kde-format
 msgctxt "delete selected widget"
 msgid "Delete &Selected"
 msgstr "चयनित को मिटाएँ (&S)"
 
-#: uml.cpp:440
+#: uml.cpp:449
 #, kde-format
 msgid "&Class Diagram..."
 msgstr "वर्ग आरेख... (&C)"
 
-#: uml.cpp:447
+#: uml.cpp:456
 #, fuzzy, kde-format
 #| msgid "S&tate Diagram..."
 msgid "&Object Diagram..."
 msgstr "आरेख अवस्था... (&t)"
 
-#: uml.cpp:454
+#: uml.cpp:463
 #, kde-format
 msgid "&Sequence Diagram..."
 msgstr "आरेख अनुक्रम... (&S)"
 
-#: uml.cpp:460
+#: uml.cpp:469
 #, fuzzy, kde-format
 #| msgid "C&ollaboration Diagram..."
 msgid "C&ommunication Diagram..."
 msgstr "कोलाबरेशन आरेख... (&o)"
 
-#: uml.cpp:466
+#: uml.cpp:475
 #, kde-format
 msgid "&Use Case Diagram..."
 msgstr "केस आरेख इस्तेमाल करें... (&U)"
 
-#: uml.cpp:472
+#: uml.cpp:481
 #, kde-format
 msgid "S&tate Diagram..."
 msgstr "आरेख अवस्था... (&t)"
 
-#: uml.cpp:478
+#: uml.cpp:487
 #, kde-format
 msgid "&Activity Diagram..."
 msgstr "क्रिया आरेख... (&A)"
 
-#: uml.cpp:484
+#: uml.cpp:493
 #, kde-format
 msgid "Co&mponent Diagram..."
 msgstr "आरेख अवयव... (&m)"
 
-#: uml.cpp:490
+#: uml.cpp:499
 #, kde-format
 msgid "&Deployment Diagram..."
 msgstr "डिपोलायमेंट आरेख... (&D)"
 
-#: uml.cpp:496
+#: uml.cpp:505
 #, kde-format
 msgid "&Entity Relationship Diagram..."
 msgstr "एंटिटी रिलेशनशिप डायग्राम... (&E)"
 
-#: uml.cpp:501 uml.cpp:954
+#: uml.cpp:510 uml.cpp:963
 #, kde-format
 msgid "&Tree View"
 msgstr "ट्री दृश्य (&T)"
 
-#: uml.cpp:505
+#: uml.cpp:514
 #, kde-format
 msgid "&Debugging"
 msgstr ""
 
-#: uml.cpp:513
+#: uml.cpp:522
 #, kde-format
 msgid "&Logging"
 msgstr ""
 
-#: uml.cpp:517
+#: uml.cpp:526
 #, fuzzy, kde-format
 #| msgid "Co&mmand history"
 msgid "&Command history"
@@ -7658,138 +7658,138 @@ msgstr "कमांड इतिहा
 #. m_propertyDock->setObjectName(QLatin1String("PropertyDock"));
 #. addDockWidget(Qt::LeftDockWidgetArea, m_propertyDock);  //:TODO:
 #. create the bird's eye view
-#: uml.cpp:521 uml.cpp:1011
+#: uml.cpp:530 uml.cpp:1020
 #, kde-format
 msgid "&Bird's eye view"
 msgstr ""
 
-#: uml.cpp:526
+#: uml.cpp:535
 #, kde-format
 msgid "&Clear Diagram"
 msgstr "आरेख साफ करें (&C)"
 
-#: uml.cpp:530
+#: uml.cpp:539
 #, kde-format
 msgid "&Snap to Grid"
 msgstr "ग्रिड में स्नेप करें (&S)"
 
-#: uml.cpp:534
+#: uml.cpp:543
 #, kde-format
 msgid "S&how Grid"
 msgstr "ग्रिड दिखाएँ (&h)"
 
-#: uml.cpp:539
+#: uml.cpp:548
 #, fuzzy, kde-format
 #| msgid "Delete Diagram"
 msgid "&Delete Diagram"
 msgstr "आरेख मिटाएँ"
 
-#: uml.cpp:544
+#: uml.cpp:553
 #, kde-format
 msgid "&Export as Picture..."
 msgstr "छवि के रूप में निर्यात करें... (&E)"
 
-#: uml.cpp:549
+#: uml.cpp:558
 #, fuzzy, kde-format
 #| msgid "Export &All Diagrams as Pictures..."
 msgid "Export &Diagrams as Pictures..."
 msgstr "सभी डायग्राम को चित्रों के रूप में निर्यात करें... (&A)"
 
-#: uml.cpp:569
+#: uml.cpp:578
 #, kde-format
 msgid "Z&oom to 100%"
 msgstr "100% पर ज़ूम करें (&o)"
 
-#: uml.cpp:612
+#: uml.cpp:621
 #, kde-format
 msgid "&Move Tab Left"
 msgstr "टैब बायें ले जाएँ (&M)"
 
-#: uml.cpp:613
+#: uml.cpp:622
 #, kde-format
 msgid "&Move Tab Right"
 msgstr "टैब दाएँ ले जाएँ (&M)"
 
-#: uml.cpp:636
+#: uml.cpp:645
 #, kde-format
 msgid "Select Diagram on Left"
 msgstr "बायाँ आरेख चुनें"
 
-#: uml.cpp:637
+#: uml.cpp:646
 #, kde-format
 msgid "Select Diagram on Right"
 msgstr "दायाँ आरेख चुनें"
 
-#: uml.cpp:776
+#: uml.cpp:785
 #, kde-format
 msgctxt "%1 percent value from 20 to 500"
 msgid " &%1%"
 msgstr ""
 
-#: uml.cpp:826
+#: uml.cpp:835
 #, fuzzy, kde-format
 msgctxt "init status bar"
 msgid "Ready"
 msgstr "तैयार"
 
-#: uml.cpp:835 uml.cpp:848
+#: uml.cpp:844 uml.cpp:857
 #, kde-format
 msgid "100%"
 msgstr ""
 
-#: uml.cpp:840
+#: uml.cpp:849
 #, fuzzy, kde-format
 #| msgid "Filter"
 msgid "Fit"
 msgstr "फ़िल्टर"
 
-#: uml.cpp:899
+#: uml.cpp:908
 #, kde-format
 msgid "Diagram Toolbar"
 msgstr "आरेख औज़ार पट्टी"
 
-#: uml.cpp:965
+#: uml.cpp:974
 #, kde-format
 msgid "Doc&umentation"
 msgstr "दस्तावेज़ीकरण (&u)"
 
-#: uml.cpp:976
+#: uml.cpp:985
 #, kde-format
 msgid "Co&mmand history"
 msgstr "कमांड इतिहास (&m)"
 
-#: uml.cpp:992
+#: uml.cpp:1001
 #, kde-format
 msgid "&Debug"
 msgstr ""
 
-#: uml.cpp:999
+#: uml.cpp:1008
 #, kde-format
 msgid "&Log"
 msgstr ""
 
-#: uml.cpp:1041 uml.cpp:1258 uml.cpp:1307
+#: uml.cpp:1050 uml.cpp:1267 uml.cpp:1316
 #, kde-format
 msgid "Opening file..."
 msgstr "फ़ाइल खोला जा रहा है..."
 
-#: uml.cpp:1092 uml.cpp:1157 uml.cpp:1342 umldoc.cpp:342 umldoc.cpp:344
-#: umldoc.cpp:368 umldoc.cpp:3396
+#: uml.cpp:1101 uml.cpp:1166 uml.cpp:1351 umldoc.cpp:343 umldoc.cpp:345
+#: umldoc.cpp:369 umldoc.cpp:3405
 #, kde-format
 msgid "Untitled"
 msgstr "बिना शीर्षक"
 
-#: uml.cpp:1240
+#: uml.cpp:1249
 #, kde-format
 msgid "Creating new document..."
 msgstr "नया दस्तावेज़ बनाया जा रहा है..."
 
-#: uml.cpp:1266 uml.cpp:1281
+#: uml.cpp:1275 uml.cpp:1290
 #, kde-format
 msgid "Open File"
 msgstr "फ़ाइल खोलें"
 
-#: uml.cpp:1270
+#: uml.cpp:1279
 #, fuzzy, kde-format
 #| msgid ""
 #| "*.xmi *.xmi.tgz *.xmi.tar.bz2 *.mdl|All Supported Files (*.xmi, *.xmi."
@@ -7814,22 +7814,22 @@ msgstr ""
 "*.xmi.tar.bz2|Bzip2 संपीडित XMI फ़ाइलें (*.xmi.tar.bz2)\n"
 "*.mdl|रोज मॉडल फ़ाइलें"
 
-#: uml.cpp:1341
+#: uml.cpp:1350
 #, kde-format
 msgid "Saving file..."
 msgstr "फ़ाइल सहेजा जा रहा है..."
 
-#: uml.cpp:1358
+#: uml.cpp:1367
 #, kde-format
 msgid "Saving file with a new filename..."
 msgstr "फ़ाइल नए फ़ाइलनाम के साथ सहेजा जा रहा है..."
 
-#: uml.cpp:1368 uml.cpp:1374 umlviewimageexporter.cpp:199
+#: uml.cpp:1377 uml.cpp:1383 umlviewimageexporter.cpp:199
 #, kde-format
 msgid "Save As"
 msgstr "ऐसे सहेजें"
 
-#: uml.cpp:1369
+#: uml.cpp:1378
 #, fuzzy, kde-format
 #| msgid ""
 #| "*.xmi|XMI File\n"
@@ -7845,7 +7845,7 @@ msgstr ""
 "*.xmi.tar.bz2|बज़िप2 संपीडित एक्सएमआई फ़ाइल\n"
 "*|सभी फ़ाइलें"
 
-#: uml.cpp:1374
+#: uml.cpp:1383
 #, fuzzy, kde-format
 #| msgid ""
 #| "*.xmi|XMI File\n"
@@ -7863,7 +7863,7 @@ msgstr ""
 "*.xmi.tar.bz2|बज़िप2 संपीडित एक्सएमआई फ़ाइल\n"
 "*|सभी फ़ाइलें"
 
-#: uml.cpp:1387
+#: uml.cpp:1396
 #, kde-format
 msgid ""
 "The file %1 exists.\n"
@@ -7872,108 +7872,108 @@ msgstr ""
 "फ़ाइल  %1 पहले से ही मौजूद है. \n"
 "क्या आप इसके ऊपर लिखना चाहते हैं?"
 
-#: uml.cpp:1388
+#: uml.cpp:1397
 #, kde-format
 msgid "Warning"
 msgstr "चेतावनी"
 
-#: uml.cpp:1388
+#: uml.cpp:1397
 #, kde-format
 msgid "Overwrite"
 msgstr "मिटाकर लिखें"
 
-#: uml.cpp:1422
+#: uml.cpp:1431
 #, kde-format
 msgid "Closing file..."
 msgstr "फ़ाइल बंद किया जा रहा है..."
 
-#: uml.cpp:1432
+#: uml.cpp:1441
 #, kde-format
 msgid "No search term entered"
 msgstr ""
 
-#: uml.cpp:1438
+#: uml.cpp:1447
 #, kde-format
 msgid "'%1': %2 found"
 msgstr ""
 
-#: uml.cpp:1502
+#: uml.cpp:1511
 #, fuzzy, kde-format
 #| msgid "Exporting view..."
 msgid "Print Preview..."
 msgstr "दृश्य निर्यात किया जा रहा है..."
 
-#: uml.cpp:1529
+#: uml.cpp:1538
 #, kde-format
 msgid "Printing..."
 msgstr "छापा जा रहा है..."
 
-#: uml.cpp:1536 uml.cpp:1540
+#: uml.cpp:1545 uml.cpp:1549
 #, kde-format
 msgid "Print %1"
 msgstr "छापें %1"
 
-#: uml.cpp:1560
+#: uml.cpp:1569
 #, kde-format
 msgid "Exiting..."
 msgstr "बाहर हो रहे हैं..."
 
-#: uml.cpp:1647
+#: uml.cpp:1656
 #, kde-format
 msgid "Cutting selection..."
 msgstr "चयन को काटा जा रहा है..."
 
-#: uml.cpp:1670
+#: uml.cpp:1679
 #, kde-format
 msgid "Copying selection to clipboard..."
 msgstr "चुने हुए की नकल क्लिपबोर्ड पर बनाया जा रहा है..."
 
-#: uml.cpp:1682
+#: uml.cpp:1691
 #, kde-format
 msgid "Inserting clipboard contents..."
 msgstr "क्लिपबोर्ड के वस्तुओं को प्रविष्ट किया जा रहा है..."
 
-#: uml.cpp:1687
+#: uml.cpp:1696
 #, kde-format
 msgid ""
 "Umbrello could not paste the clipboard contents.  The objects in the "
 "clipboard may be of the wrong type to be pasted here."
 msgstr ""
 
-#: uml.cpp:1713 umlviewimageexporter.cpp:92 umlviewimageexporterall.cpp:123
+#: uml.cpp:1722 umlviewimageexporter.cpp:92 umlviewimageexporterall.cpp:123
 #, fuzzy, kde-format
 msgctxt "reset status bar"
 msgid "Ready."
 msgstr "तैयार."
 
-#: uml.cpp:2246
+#: uml.cpp:2255
 #, kde-format
 msgid "Cannot view code until you generate some first."
 msgstr "कोड दिखा नहीं सकते जब तक कि पहले आप कुछ तैयार नहीं कर लेते."
 
-#: uml.cpp:2246 uml.cpp:2249
+#: uml.cpp:2255 uml.cpp:2258
 #, kde-format
 msgid "Cannot View Code"
 msgstr "कोड दिखा नहीं सका"
 
-#: uml.cpp:2249
+#: uml.cpp:2258
 #, kde-format
 msgid "Cannot view code from simple code writer."
 msgstr "सादा कोड लेखक से कोड दिखा नहीं सकते."
 
-#: uml.cpp:2714 uml.cpp:2716
+#: uml.cpp:2728 uml.cpp:2730
 #, fuzzy, kde-format
 #| msgid "Select Code to Import"
 msgid "Select file(s) to import:"
 msgstr "आयात के लिए कोड चुनें"
 
-#: uml.cpp:2747 uml.cpp:2749
+#: uml.cpp:2761 uml.cpp:2763
 #, fuzzy, kde-format
 #| msgid "Select Code to Import"
 msgid "Select directory to import:"
 msgstr "आयात के लिए कोड चुनें"
 
-#: uml.cpp:3313
+#: uml.cpp:3335
 #, kde-format
 msgid "XHTML Generation failed ."
 msgstr "एक्सएचटीएमएल बनाने में असफल."
@@ -7989,20 +7989,20 @@ msgid ""
 msgstr ""
 "इस नाम तथा हस्ताक्षर के साथ एक संचालन पहले ही मौज़ूद है. आप इसे फिर से जोड़ नहीं सकते."
 
-#: uml1model/folder.cpp:435
+#: uml1model/folder.cpp:436
 #, kde-format
 msgid "The folderfile %1 does not exist."
 msgstr "फ़ोल्डरफ़ाइल %1 अस्तित्व में नहीं है."
 
-#: uml1model/folder.cpp:435 uml1model/folder.cpp:439 umldoc.cpp:529
-#: umldoc.cpp:541 umldoc.cpp:568 umldoc.cpp:570 umldoc.cpp:620 umldoc.cpp:623
-#: umldoc.cpp:638 umldoc.cpp:641 umldoc.cpp:665 umldoc.cpp:668 umldoc.cpp:684
-#: umldoc.cpp:687 umldoc.cpp:702 umldoc.cpp:705 umldoc.cpp:750
+#: uml1model/folder.cpp:436 uml1model/folder.cpp:440 umldoc.cpp:530
+#: umldoc.cpp:542 umldoc.cpp:569 umldoc.cpp:571 umldoc.cpp:621 umldoc.cpp:624
+#: umldoc.cpp:639 umldoc.cpp:642 umldoc.cpp:666 umldoc.cpp:669 umldoc.cpp:685
+#: umldoc.cpp:688 umldoc.cpp:703 umldoc.cpp:706 umldoc.cpp:751
 #, kde-format
 msgid "Load Error"
 msgstr "लोड त्रुटि"
 
-#: uml1model/folder.cpp:439
+#: uml1model/folder.cpp:440
 #, kde-format
 msgid "The folderfile %1 cannot be opened."
 msgstr "फ़ोल्डरफ़ाइल %1 खोला नहीं जा सका."
@@ -8012,13 +8012,13 @@ msgstr "फ़ोल्डरफ़ा
 msgid "new_parameter"
 msgstr "नया-पैरामीटर"
 
-#: uml1model/package.cpp:163
+#: uml1model/package.cpp:169
 #, fuzzy, kde-format
 msgctxt "object name"
 msgid "Name"
 msgstr "नाम"
 
-#: uml1model/package.cpp:164
+#: uml1model/package.cpp:170
 #, kde-format
 msgid ""
 "An object with the name %1\n"
@@ -8041,80 +8041,80 @@ msgstr "नया_फ़ील्ड"
 msgid "new_fkey_constraint"
 msgstr "नया_एफ़की_कांस्ट्रैंट"
 
-#: uml1model/umlobject.cpp:1140
+#: uml1model/umlobject.cpp:1141
 #, kde-format
 msgid "Actor &name:"
 msgstr "अभिनेता नामः (&n)"
 
-#: uml1model/umlobject.cpp:1143
+#: uml1model/umlobject.cpp:1144
 #, kde-format
 msgid "Artifact &name:"
 msgstr "शिल्पतथ्य नामः (&n)"
 
-#: uml1model/umlobject.cpp:1146
+#: uml1model/umlobject.cpp:1147
 #, fuzzy, kde-format
 #| msgid "Association Name"
 msgid "Association &name:"
 msgstr "सम्बद्धता नाम"
 
-#: uml1model/umlobject.cpp:1149
+#: uml1model/umlobject.cpp:1150
 #, kde-format
 msgid "Class &name:"
 msgstr "वर्ग नामः (&n)"
 
-#: uml1model/umlobject.cpp:1152
+#: uml1model/umlobject.cpp:1153
 #, kde-format
 msgid "Component &name:"
 msgstr "अवयव नामः (&n)"
 
-#: uml1model/umlobject.cpp:1155
+#: uml1model/umlobject.cpp:1156
 #, kde-format
 msgid "Datatype &name:"
 msgstr "डाटाटाइप नामः (&n)"
 
-#: uml1model/umlobject.cpp:1158
+#: uml1model/umlobject.cpp:1159
 #, kde-format
 msgid "Entity &name:"
 msgstr "एंटिटी नाम: (&n)"
 
-#: uml1model/umlobject.cpp:1161
+#: uml1model/umlobject.cpp:1162
 #, kde-format
 msgid "Enum &name:"
 msgstr "ईन्यूम नामः (&n)"
 
-#: uml1model/umlobject.cpp:1164
+#: uml1model/umlobject.cpp:1165
 #, fuzzy, kde-format
 #| msgid "Node &name:"
 msgid "Folder &name:"
 msgstr "नोड नाम: (&n)"
 
-#: uml1model/umlobject.cpp:1167
+#: uml1model/umlobject.cpp:1168
 #, kde-format
 msgid "Interface &name:"
 msgstr "इंटरफेस नामः (&n)"
 
-#: uml1model/umlobject.cpp:1170
+#: uml1model/umlobject.cpp:1171
 #, kde-format
 msgid "Node &name:"
 msgstr "नोड नाम: (&n)"
 
-#: uml1model/umlobject.cpp:1173
+#: uml1model/umlobject.cpp:1174
 #, kde-format
 msgid "Package &name:"
 msgstr "पैकेज नामः (&n)"
 
-#: uml1model/umlobject.cpp:1176
+#: uml1model/umlobject.cpp:1177
 #, fuzzy, kde-format
 #| msgid "Actor &name:"
 msgid "Port &name:"
 msgstr "अभिनेता नामः (&n)"
 
-#: uml1model/umlobject.cpp:1182
+#: uml1model/umlobject.cpp:1183
 #, kde-format
 msgid "Use case &name:"
 msgstr "केस नाम इस्तेमाल करें: (&n)"
 
-#: uml1model/umlobject.cpp:1185
+#: uml1model/umlobject.cpp:1186
 #, kde-format
 msgid "Instance name:"
 msgstr "इंटरफेस नामः"
@@ -8136,42 +8136,42 @@ msgstr "स्टीरियो-टा
 msgid "Welcome"
 msgstr ""
 
-#: umldoc.cpp:112 umldoc.cpp:2400 umldoc.cpp:2428
+#: umldoc.cpp:113 umldoc.cpp:2405 umldoc.cpp:2433
 #, kde-format
 msgid "UML Model"
 msgstr "यूएमएल मॉडल"
 
-#: umldoc.cpp:154
+#: umldoc.cpp:155
 #, kde-format
 msgid "Logical View"
 msgstr "लॉजिकल दृश्य"
 
-#: umldoc.cpp:155
+#: umldoc.cpp:156
 #, kde-format
 msgid "Use Case View"
 msgstr "केस दृश्य इस्तेमाल करें"
 
-#: umldoc.cpp:156
+#: umldoc.cpp:157
 #, kde-format
 msgid "Component View"
 msgstr "अवयव दृश्य"
 
-#: umldoc.cpp:157
+#: umldoc.cpp:158
 #, kde-format
 msgid "Deployment View"
 msgstr "डिपोलायमेंट दृश्य"
 
-#: umldoc.cpp:158
+#: umldoc.cpp:159
 #, kde-format
 msgid "Entity Relationship Model"
 msgstr "एंटिटी रिलेशनशिप मॉडल"
 
-#: umldoc.cpp:184
+#: umldoc.cpp:185
 #, kde-format
 msgid "Datatypes"
 msgstr "डाटाटाइप्स"
 
-#: umldoc.cpp:363
+#: umldoc.cpp:364
 #, kde-format
 msgid ""
 "The current file has been modified.\n"
@@ -8180,171 +8180,171 @@ msgstr ""
 "मौज़ूदा फ़ाइल परिवर्धित किया गया है.\n"
 " क्या आप इसे सहेजना चाहते हैं?"
 
-#: umldoc.cpp:364
+#: umldoc.cpp:365
 #, fuzzy, kde-format
 msgctxt "warning message"
 msgid "Warning"
 msgstr "चेतावनी"
 
-#: umldoc.cpp:529
+#: umldoc.cpp:530
 #, fuzzy, kde-format
 #| msgid "The file %1 does not exist."
 msgid "The file <%1> does not exist."
 msgstr "फ़ाइल %1 अस्तित्व में नहीं है."
 
-#: umldoc.cpp:541
+#: umldoc.cpp:542
 #, kde-format
 msgid "The file %1 does not exist."
 msgstr "फ़ाइल %1 अस्तित्व में नहीं है."
 
-#: umldoc.cpp:568 umldoc.cpp:570
+#: umldoc.cpp:569 umldoc.cpp:571
 #, kde-format
 msgid "The file %1 seems to be corrupted."
 msgstr "फ़ाइल %1 प्रतीत होता है कि खराब है."
 
-#: umldoc.cpp:619 umldoc.cpp:622 umldoc.cpp:637 umldoc.cpp:640 umldoc.cpp:683
-#: umldoc.cpp:686
+#: umldoc.cpp:620 umldoc.cpp:623 umldoc.cpp:638 umldoc.cpp:641 umldoc.cpp:684
+#: umldoc.cpp:687
 #, kde-format
 msgid "There was no XMI file found in the compressed file %1."
 msgstr "संपीडित फ़ाइल %1 में कोई एक्सएमआई फ़ाइल नहीं मिला."
 
-#: umldoc.cpp:664 umldoc.cpp:667
+#: umldoc.cpp:665 umldoc.cpp:668
 #, kde-format
 msgid "There was a problem loading the extracted file: %1"
 msgstr "निकाली गई फ़ाइल लोड करने में समस्या आईः %1"
 
-#: umldoc.cpp:701 umldoc.cpp:704 umldoc.cpp:744 umldoc.cpp:746
+#: umldoc.cpp:702 umldoc.cpp:705 umldoc.cpp:745 umldoc.cpp:747
 #, kde-format
 msgid "There was a problem loading file: %1"
 msgstr "फ़ाइल लोड करने में समस्या आईः %1"
 
-#: umldoc.cpp:749
+#: umldoc.cpp:750
 #, kde-format
 msgid "Reason: %1"
 msgstr ""
 
-#: umldoc.cpp:832 umldoc.cpp:834 umldoc.cpp:851 umldoc.cpp:853 umldoc.cpp:873
-#: umldoc.cpp:875 umldoc.cpp:924 umldoc.cpp:926 umldoc.cpp:966 umldoc.cpp:969
-#: umldoc.cpp:978 umldoc.cpp:980 umllistview.cpp:593
+#: umldoc.cpp:833 umldoc.cpp:835 umldoc.cpp:852 umldoc.cpp:854 umldoc.cpp:874
+#: umldoc.cpp:876 umldoc.cpp:925 umldoc.cpp:927 umldoc.cpp:968 umldoc.cpp:971
+#: umldoc.cpp:980 umldoc.cpp:982 umllistview.cpp:594
 #, kde-format
 msgid "Save Error"
 msgstr "सहेजने में त्रुटि"
 
-#: umldoc.cpp:832 umldoc.cpp:851 umldoc.cpp:873 umldoc.cpp:924 umldoc.cpp:966
+#: umldoc.cpp:833 umldoc.cpp:852 umldoc.cpp:874 umldoc.cpp:925 umldoc.cpp:968
 #, fuzzy, kde-format
 #| msgid "There was a problem saving file: %1"
 msgid "There was a problem saving: %1"
 msgstr "फ़ाइल सहेजने में त्रुटि आईः %1"
 
-#: umldoc.cpp:834 umldoc.cpp:853 umldoc.cpp:875 umldoc.cpp:926 umldoc.cpp:969
-#: umllistview.cpp:592 umlviewimageexportermodel.cpp:303
+#: umldoc.cpp:835 umldoc.cpp:854 umldoc.cpp:876 umldoc.cpp:927 umldoc.cpp:971
+#: umllistview.cpp:593 umlviewimageexportermodel.cpp:303
 #, kde-format
 msgid "There was a problem saving file: %1"
 msgstr "फ़ाइल सहेजने में त्रुटि आईः %1"
 
-#: umldoc.cpp:978
+#: umldoc.cpp:980
 #, fuzzy, kde-format
 #| msgid "There was a problem uploading file: %1"
 msgid "There was a problem uploading: %1"
 msgstr "फ़ाइल अपलोड करने में त्रुटि आईः %1"
 
-#: umldoc.cpp:980
+#: umldoc.cpp:982
 #, kde-format
 msgid "There was a problem uploading file: %1"
 msgstr "फ़ाइल अपलोड करने में त्रुटि आईः %1"
 
-#: umldoc.cpp:1526
+#: umldoc.cpp:1528
 #, kde-format
 msgid "use case diagram"
 msgstr "केस आरेख इस्तेमाल करें"
 
-#: umldoc.cpp:1529
+#: umldoc.cpp:1531
 #, kde-format
 msgid "class diagram"
 msgstr "वर्ग आरेख"
 
-#: umldoc.cpp:1532
+#: umldoc.cpp:1534
 #, kde-format
 msgid "sequence diagram"
 msgstr "आरेख अनुक्रम"
 
-#: umldoc.cpp:1535
+#: umldoc.cpp:1537
 #, fuzzy, kde-format
 #| msgid "collaboration diagram"
 msgid "communication diagram"
 msgstr "कोलाबरेशन आरेख"
 
-#: umldoc.cpp:1538
+#: umldoc.cpp:1540
 #, fuzzy, kde-format
 #| msgid "&Select diagrams"
 msgid "object diagram"
 msgstr "आरेख चुनें (&S)"
 
-#: umldoc.cpp:1541
+#: umldoc.cpp:1543
 #, kde-format
 msgid "state diagram"
 msgstr "आरेख अवस्था"
 
-#: umldoc.cpp:1544
+#: umldoc.cpp:1546
 #, kde-format
 msgid "activity diagram"
 msgstr "क्रिया आरेख"
 
-#: umldoc.cpp:1547
+#: umldoc.cpp:1549
 #, kde-format
 msgid "component diagram"
 msgstr "आरेख अवयव"
 
-#: umldoc.cpp:1550
+#: umldoc.cpp:1552
 #, kde-format
 msgid "deployment diagram"
 msgstr "डिपोलायमेंट आरेख"
 
-#: umldoc.cpp:1553
+#: umldoc.cpp:1555
 #, kde-format
 msgid "entity relationship diagram"
 msgstr "एंटिटी रिलेशनशिप डायग्राम"
 
-#: umldoc.cpp:1623
+#: umldoc.cpp:1625
 #, fuzzy, kde-format
 msgctxt "diagram name"
 msgid "Name"
 msgstr "नाम"
 
-#: umldoc.cpp:1623 umldoc.cpp:1686 umldoc.cpp:1715 umldoc.cpp:1749
+#: umldoc.cpp:1625 umldoc.cpp:1688 umldoc.cpp:1717 umldoc.cpp:1751
 #, kde-format
 msgid "Enter name:"
 msgstr "नाम भरें:"
 
-#: umldoc.cpp:1627 umldoc.cpp:1692
+#: umldoc.cpp:1629 umldoc.cpp:1694
 #, kde-format
 msgid "That is an invalid name for a diagram."
 msgstr "आरेख के लिए यह एक अवैध नाम है."
 
-#: umldoc.cpp:1629 umldoc.cpp:1699
+#: umldoc.cpp:1631 umldoc.cpp:1701
 #, kde-format
 msgid "A diagram is already using that name."
 msgstr "एक आरेख पहले ही उस नाम का उपयोग कर रहा है."
 
-#: umldoc.cpp:1685
+#: umldoc.cpp:1687
 #, fuzzy, kde-format
 msgctxt "renaming diagram"
 msgid "Name"
 msgstr "नाम"
 
-#: umldoc.cpp:1714
+#: umldoc.cpp:1716
 #, fuzzy, kde-format
 msgctxt "renaming uml object"
 msgid "Name"
 msgstr "नाम"
 
-#: umldoc.cpp:1748
+#: umldoc.cpp:1750
 #, fuzzy, kde-format
 msgctxt "renaming child uml object"
 msgid "Name"
 msgstr "नाम"
 
-#: umldoc.cpp:1758
+#: umldoc.cpp:1760
 #, kde-format
 msgid ""
 "The name you entered was not unique.\n"
@@ -8353,131 +8353,131 @@ msgstr ""
 "जो नाम आपने प्रविष्ट किया है बेजोड़ नहीं है.\n"
 "क्या यही आप चाहते हैं?"
 
-#: umldoc.cpp:1759
+#: umldoc.cpp:1761
 #, kde-format
 msgid "Use Name"
 msgstr "नाम इस्तेमाल करें"
 
-#: umldoc.cpp:1759
+#: umldoc.cpp:1761
 #, kde-format
 msgid "Enter New Name"
 msgstr "नया नाम भरें"
 
-#: umldoc.cpp:2361
+#: umldoc.cpp:2366
 #, kde-format
 msgid "Unsupported xmi file version: %1"
 msgstr ""
 
-#: umldoc.cpp:2511
+#: umldoc.cpp:2516
 #, kde-format
 msgid "Setting up the document..."
 msgstr "दस्तावेज़ विन्यासित किया जा रहा है..."
 
-#: umldoc.cpp:2540
+#: umldoc.cpp:2545
 #, kde-format
 msgid "Resolving object references..."
 msgstr "ऑब्जैक्ट रेफ़रेंसेस हल किया जा रहा है..."
 
-#: umldoc.cpp:2648
+#: umldoc.cpp:2653
 #, kde-format
 msgid "Loading UML elements..."
 msgstr "यूएमएल अवयव लोड किया जा रहा है..."
 
-#: umldoc.cpp:2892
+#: umldoc.cpp:2899
 #, kde-format
 msgid "Loading diagrams..."
 msgstr "आरेख लोड किया जा रहा है..."
 
-#: umldoc.cpp:3400
+#: umldoc.cpp:3409
 #, kde-format
 msgid "/autosave%1"
 msgstr "/स्वचलित-सहेजें%1"
 
-#: umllistview.cpp:536 umllistview.cpp:540
+#: umllistview.cpp:537 umllistview.cpp:541
 #, kde-format
 msgid "Externalize Folder"
 msgstr "एक्सटर्नलाइज़ फ़ोल्डर"
 
-#: umllistview.cpp:574
+#: umllistview.cpp:575
 #, kde-format
 msgid "Folder %1 must be relative to the main model directory, %2."
 msgstr ""
 
-#: umllistview.cpp:575
+#: umllistview.cpp:576
 #, fuzzy, kde-format
 #| msgid "Paste Error"
 msgid "Path Error"
 msgstr "चिपकाने में त्रुटि"
 
-#: umllistview.cpp:583
+#: umllistview.cpp:584
 #, kde-format
 msgid ""
 "File %1 already exists!\n"
 "The existing file will be overwritten."
 msgstr ""
 
-#: umllistview.cpp:584
+#: umllistview.cpp:585
 #, fuzzy, kde-format
 #| msgid "File Already Exists"
 msgid "File Exist"
 msgstr "फ़ाइल पहले से ही अस्तित्व में है. "
 
-#: umllistview.cpp:624
+#: umllistview.cpp:625
 #, kde-format
 msgid "Enter Model Name"
 msgstr "मॉडल नाम भरें"
 
-#: umllistview.cpp:625
+#: umllistview.cpp:626
 #, kde-format
 msgid "Enter the new name of the model:"
 msgstr "मॉडल का नया नाम भरें:"
 
-#: umllistview.cpp:1422
+#: umllistview.cpp:1430
 #, kde-format
 msgid "Views"
 msgstr "दृश्य"
 
-#: umllistview.cpp:1441
+#: umllistview.cpp:1449
 #, fuzzy, kde-format
 #| msgid "Role Settings"
 msgid "Settings"
 msgstr "भूमिका विन्यास "
 
-#: umllistview.cpp:2413
+#: umllistview.cpp:2421
 #, kde-format
 msgid "Loading listview..."
 msgstr "सूचीदृश्य लोड किया जा रहा है..."
 
-#: umllistview.cpp:2764
+#: umllistview.cpp:2772
 #, fuzzy, kde-format
 #| msgid "The folder must be emptied before it can be deleted."
 msgid "The class must be emptied before it can be deleted."
 msgstr "फ़ोल्डर को मिटा सकें इस के लिए पहले इसे खाली करना होगा."
 
-#: umllistview.cpp:2765
+#: umllistview.cpp:2773
 #, fuzzy, kde-format
 #| msgid "Folder Not Empty"
 msgid "Class Not Empty"
 msgstr "फ़ोल्डर खाली नहीं है"
 
-#: umllistview.cpp:2769
+#: umllistview.cpp:2777
 #, fuzzy, kde-format
 #| msgid "The folder must be emptied before it can be deleted."
 msgid "The package must be emptied before it can be deleted."
 msgstr "फ़ोल्डर को मिटा सकें इस के लिए पहले इसे खाली करना होगा."
 
-#: umllistview.cpp:2770
+#: umllistview.cpp:2778
 #, fuzzy, kde-format
 #| msgid "Folder Not Empty"
 msgid "Package Not Empty"
 msgstr "फ़ोल्डर खाली नहीं है"
 
-#: umllistview.cpp:2774
+#: umllistview.cpp:2782
 #, kde-format
 msgid "The folder must be emptied before it can be deleted."
 msgstr "फ़ोल्डर को मिटा सकें इस के लिए पहले इसे खाली करना होगा."
 
-#: umllistview.cpp:2775
+#: umllistview.cpp:2783
 #, kde-format
 msgid "Folder Not Empty"
 msgstr "फ़ोल्डर खाली नहीं है"
diff -pruN 4:20.08.3-1/po/hr/umbrello.po 4:20.12.0-0ubuntu1/po/hr/umbrello.po
--- 4:20.08.3-1/po/hr/umbrello.po	2020-11-03 00:42:16.000000000 +0000
+++ 4:20.12.0-0ubuntu1/po/hr/umbrello.po	2020-12-04 00:21:30.000000000 +0000
@@ -5,7 +5,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: umbrello 0\n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
-"POT-Creation-Date: 2020-08-14 08:09+0200\n"
+"POT-Creation-Date: 2020-11-06 02:36+0100\n"
 "PO-Revision-Date: 2004-04-20 13:30+CEST\n"
 "Last-Translator: auto\n"
 "Language-Team: Croatian <kde-croatia-list@lists.sourceforge.net>\n"
@@ -213,7 +213,7 @@ msgstr ""
 "Bar jedna stavka iz klipborda nije mogla biti umetnuta zato jer stavka sa "
 "istim imenom već postoji. Sve ostale stavke su umetnute."
 
-#: clipboard/umlclipboard.cpp:753 uml.cpp:1689
+#: clipboard/umlclipboard.cpp:753 uml.cpp:1698
 #, fuzzy, kde-format
 msgid "Paste Error"
 msgstr "Greška prilikom umetanja"
@@ -441,7 +441,7 @@ msgstr "<p align=\"center\">Generiranje
 #. i18n: ectx: attribute (title), widget (QWidget, ui_tabGeneral)
 #: codegenerators/cpp/cppcodegenerationformbase.ui:51
 #: codegenwizard/codegenoptionspage.ui:39 dialogs/objectnodedialog.cpp:135
-#: umllistview.cpp:1451
+#: umllistview.cpp:1459
 #, kde-format
 msgid "General"
 msgstr "Općenito"
@@ -1321,7 +1321,7 @@ msgstr "Podizanje"
 #. i18n: ectx: property (text), widget (QRadioButton, ui_categoryClass)
 #. i18n: ectx: property (text), widget (QTableWidget, ui_tableWidgetStatus)
 #: codegenwizard/codegenstatuspage.ui:40 codeimpwizard/codeimpstatuspage.ui:54
-#: dialogs/finddialog.ui:89 umllistview.cpp:1446 umlwidgets/widgetbase.cpp:1255
+#: dialogs/finddialog.ui:89 umllistview.cpp:1454 umlwidgets/widgetbase.cpp:1255
 #, kde-format
 msgid "Class"
 msgstr "Klasa"
@@ -1984,17 +1984,17 @@ msgstr ""
 msgid "Enable 'delete diagram' related messages"
 msgstr ""
 
-#: dialogs/dialog_utils.cpp:117
+#: dialogs/dialog_utils.cpp:118
 #, kde-format
 msgid "You are about to delete an association. Do you really want to continue?"
 msgstr ""
 
-#: dialogs/dialog_utils.cpp:118
+#: dialogs/dialog_utils.cpp:119
 #, fuzzy, kde-format
 msgid "Delete Association"
 msgstr "Samopridruživanje"
 
-#: dialogs/dialog_utils.cpp:132
+#: dialogs/dialog_utils.cpp:133
 #, kde-format
 msgid ""
 "You are about to delete the entire diagram.\n"
@@ -2003,17 +2003,17 @@ msgstr ""
 "Odabrali ste prisanje cijelog dijagrama.\n"
 "Da li ste sigurni?"
 
-#: dialogs/dialog_utils.cpp:133
+#: dialogs/dialog_utils.cpp:134
 #, fuzzy, kde-format
 msgid "Are you sure you want to delete diagram %1?"
 msgstr "Jeste li sigurni da želite da obrišete dijagram %1?"
 
-#: dialogs/dialog_utils.cpp:138
+#: dialogs/dialog_utils.cpp:139
 #, kde-format
 msgid "Delete Diagram?"
 msgstr "Izbristai dijagram?"
 
-#: dialogs/dialog_utils.cpp:139 dialogs/pages/classifierlistpage.cpp:215
+#: dialogs/dialog_utils.cpp:140 dialogs/pages/classifierlistpage.cpp:215
 #: dialogs/pages/classifierlistpage.cpp:223
 #: dialogs/umlforeignkeyconstraintdialog.cpp:325
 #: dialogs/umlforeignkeyconstraintdialog.cpp:331
@@ -2173,7 +2173,7 @@ msgstr "Općenito"
 #. i18n: ectx: label, entry (uiFont), group (UI Options)
 #. i18n: ectx: label, entry (codeViewerFont), group (Code Viewer Options)
 #: dialogs/multipagedialogbase.cpp:405 umbrello.kcfg:177 umbrello.kcfg:292
-#: umllistview.cpp:1450
+#: umllistview.cpp:1458
 #, fuzzy, kde-format
 msgid "Font"
 msgstr "Pismo:"
@@ -2613,7 +2613,7 @@ msgstr "&Novi atribut..."
 
 #: dialogs/pages/classifierlistpage.cpp:217
 #: dialogs/pages/classifierlistpage.cpp:225 dialogs/umloperationdialog.cpp:167
-#: dialogs/umloperationdialog.cpp:175 uml.cpp:554
+#: dialogs/umloperationdialog.cpp:175 uml.cpp:563
 #, kde-format
 msgid "&Properties"
 msgstr "$Postavke …"
@@ -2633,7 +2633,7 @@ msgid "Source Code"
 msgstr "Pogledaj  kod"
 
 #: dialogs/pages/classoptionspage.cpp:157
-#: dialogs/pages/classoptionspage.cpp:251 uml.cpp:509
+#: dialogs/pages/classoptionspage.cpp:251 uml.cpp:518
 #, kde-format
 msgid "&Documentation"
 msgstr "&Dokumentacija"
@@ -2823,8 +2823,8 @@ msgstr "Ime koje ste unijeli nije isprav
 #: uml1model/classifier.cpp:410 uml1model/classifier.cpp:781
 #: uml1model/entity.cpp:125 uml1model/entity.cpp:178 uml1model/entity.cpp:228
 #: uml1model/entity.cpp:277 uml1model/enum.cpp:107 uml1model/instance.cpp:124
-#: uml1model/package.cpp:172 umldoc.cpp:1627 umldoc.cpp:1692 umldoc.cpp:1721
-#: umldoc.cpp:1755
+#: uml1model/package.cpp:178 umldoc.cpp:1629 umldoc.cpp:1694 umldoc.cpp:1723
+#: umldoc.cpp:1757
 #, kde-format
 msgid "Invalid Name"
 msgstr "Neispravno ime"
@@ -2834,7 +2834,7 @@ msgstr "Neispravno ime"
 msgid "The name you have entered is not unique."
 msgstr "Ime koje ste unijeli nije jedinstveno."
 
-#: dialogs/pages/diagrampropertiespage.cpp:86 umldoc.cpp:1759
+#: dialogs/pages/diagrampropertiespage.cpp:86 umldoc.cpp:1761
 #, fuzzy, kde-format
 msgid "Name Not Unique"
 msgstr "Ime nije jedinstveno"
@@ -3311,7 +3311,7 @@ msgstr "&Grafikon"
 msgid "Umbrello Setup"
 msgstr "Podešavanje Umbrello-a"
 
-#: dialogs/settingsdialog.cpp:114 umllistview.cpp:1452
+#: dialogs/settingsdialog.cpp:114 umllistview.cpp:1460
 #, kde-format
 msgid "User Interface"
 msgstr "Korisničko sučelje"
@@ -3340,7 +3340,7 @@ msgstr "Klasa"
 msgid "Class Settings"
 msgstr "Postavke klase"
 
-#: dialogs/settingsdialog.cpp:137 umllistview.cpp:1447
+#: dialogs/settingsdialog.cpp:137 umllistview.cpp:1455
 #, fuzzy, kde-format
 msgid "Code Importer"
 msgstr "Nije generiran"
@@ -3350,7 +3350,7 @@ msgstr "Nije generiran"
 msgid "Code Import Settings"
 msgstr "Postavke prikazivača kôda"
 
-#: dialogs/settingsdialog.cpp:146 umllistview.cpp:1448
+#: dialogs/settingsdialog.cpp:146 umllistview.cpp:1456
 #, fuzzy, kde-format
 msgid "Code Generation"
 msgstr "Generiranje kôda"
@@ -3360,7 +3360,7 @@ msgstr "Generiranje kôda"
 msgid "Code Generation Settings"
 msgstr "Postavke generiranja kôda"
 
-#: dialogs/settingsdialog.cpp:154 umllistview.cpp:1449
+#: dialogs/settingsdialog.cpp:154 umllistview.cpp:1457
 #, fuzzy, kde-format
 msgid "Code Viewer"
 msgstr "Prikazivač koda"
@@ -3370,7 +3370,7 @@ msgstr "Prikazivač koda"
 msgid "Code Viewer Settings"
 msgstr "Postavke prikazivača kôda"
 
-#: dialogs/settingsdialog.cpp:161 umllistview.cpp:1445
+#: dialogs/settingsdialog.cpp:161 umllistview.cpp:1453
 #, fuzzy, kde-format
 #| msgid "Autosave"
 msgid "Auto Layout"
@@ -4020,7 +4020,7 @@ msgstr "&Tip:"
 msgid "Package path:"
 msgstr "Ime &paketa:"
 
-#: dialogs/widgets/umlstereotypewidget.cpp:29 uml1model/umlobject.cpp:1179
+#: dialogs/widgets/umlstereotypewidget.cpp:29 uml1model/umlobject.cpp:1180
 #, fuzzy, kde-format
 msgid "Stereotype &name:"
 msgstr "Ime stereotipa:"
@@ -4173,7 +4173,7 @@ msgstr "Autori Umbrello-a, UML modelara"
 msgid "Gael de Chalendar (aka Kleag)"
 msgstr ""
 
-#: docgenerators/main.cpp:56 main.cpp:131
+#: docgenerators/main.cpp:56 main.cpp:133
 #, fuzzy, kde-format
 msgid "Umbrello UML Modeller Authors"
 msgstr "Autori Umbrello-a, UML modelara"
@@ -4237,12 +4237,12 @@ msgstr ""
 msgid "Apply layout"
 msgstr ""
 
-#: main.cpp:121
+#: main.cpp:123
 #, fuzzy, kde-format
 msgid "Umbrello UML Modeller"
 msgstr "Umbrello, UML modelar"
 
-#: main.cpp:123
+#: main.cpp:125
 #, kde-format
 msgid ""
 "Umbrello – Visual development environment for software, based on the "
@@ -4250,116 +4250,116 @@ msgid ""
 "\"http://www.omg.org/spec/\">http://www.omg.org/spec/</a>."
 msgstr ""
 
-#: main.cpp:127
+#: main.cpp:129
 #, fuzzy, kde-format
 msgid ""
 "Copyright © 2001 Paul Hensgen,\n"
 "Copyright © 2002-2020 Umbrello UML Modeller Authors"
 msgstr "Autori Umbrello-a, UML modelara"
 
-#: main.cpp:130
+#: main.cpp:132
 #, kde-format
 msgid "Paul Hensgen"
 msgstr ""
 
-#: main.cpp:130
+#: main.cpp:132
 #, kde-format
 msgid "Author of initial version."
 msgstr ""
 
-#: main.cpp:134
+#: main.cpp:136
 #, kde-format
 msgid "Oliver Kellogg"
 msgstr ""
 
-#: main.cpp:135 main.cpp:138
+#: main.cpp:137 main.cpp:140
 #, kde-format
 msgid "Bug fixing, porting work, code cleanup, new features."
 msgstr ""
 
-#: main.cpp:137
+#: main.cpp:139
 #, kde-format
 msgid "Ralf Habacker"
 msgstr ""
 
-#: main.cpp:140
+#: main.cpp:142
 #, kde-format
 msgid "Andi Fischer"
 msgstr ""
 
-#: main.cpp:141
+#: main.cpp:143
 #, kde-format
 msgid "Porting work, code cleanup, new features."
 msgstr ""
 
-#: main.cpp:143
+#: main.cpp:145
 #, kde-format
 msgid "Jonathan Riddell"
 msgstr ""
 
-#: main.cpp:144
+#: main.cpp:146
 #, fuzzy, kde-format
 msgid "Current maintainer."
 msgstr "&Trenutni dijagram"
 
-#: main.cpp:146
+#: main.cpp:148
 #, kde-format
 msgid "Brian Thomas"
 msgstr ""
 
-#: main.cpp:147
+#: main.cpp:149
 #, kde-format
 msgid "A lot of work for C++ and Java code generation. Codeeditor."
 msgstr ""
 
-#: main.cpp:152
+#: main.cpp:154
 #, fuzzy, kde-format
 msgid "File to open"
 msgstr "datoteka za otvaranje"
 
-#: main.cpp:153
+#: main.cpp:155
 #, kde-format
 msgid "export diagrams to extension and exit"
 msgstr ""
 
-#: main.cpp:154
+#: main.cpp:156
 #, kde-format
 msgid "list available export extensions"
 msgstr ""
 
-#: main.cpp:155
+#: main.cpp:157
 #, kde-format
 msgid "the local directory to save the exported diagrams in"
 msgstr ""
 
-#: main.cpp:155
+#: main.cpp:157
 #, fuzzy, kde-format
 msgid "the directory of the file"
 msgstr "Prikazivač koda"
 
-#: main.cpp:156
+#: main.cpp:158
 #, fuzzy, kde-format
 msgid "import files"
 msgstr "Izlazim..."
 
-#: main.cpp:157
+#: main.cpp:159
 #, kde-format
 msgid "list supported languages"
 msgstr ""
 
-#: main.cpp:158
+#: main.cpp:160
 #, kde-format
 msgid ""
 "keep the tree structure used to store the views in the document in the "
 "target directory"
 msgstr ""
 
-#: main.cpp:159
+#: main.cpp:161
 #, fuzzy, kde-format
 msgid "import files from directory <dir>"
 msgstr "Uvezi klase..."
 
-#: main.cpp:163
+#: main.cpp:165
 #, fuzzy, kde-format
 #| msgid "Active &Language"
 msgid "set active language"
@@ -4628,7 +4628,7 @@ msgstr "Pokaži razgrađivanje"
 msgid "Import File(s)..."
 msgstr "Uvezi klase..."
 
-#: menus/listpopupmenu.cpp:201 uml.cpp:356
+#: menus/listpopupmenu.cpp:201 uml.cpp:365
 #, fuzzy, kde-format
 msgid "Import from Directory..."
 msgstr "Uvezi klase..."
@@ -5149,42 +5149,42 @@ msgctxt "align menu"
 msgid "Align"
 msgstr ""
 
-#: menus/widgetbasepopupmenu.cpp:598 uml.cpp:573
+#: menus/widgetbasepopupmenu.cpp:598 uml.cpp:582
 #, kde-format
 msgid "Align Right"
 msgstr ""
 
-#: menus/widgetbasepopupmenu.cpp:599 uml.cpp:578
+#: menus/widgetbasepopupmenu.cpp:599 uml.cpp:587
 #, kde-format
 msgid "Align Left"
 msgstr ""
 
-#: menus/widgetbasepopupmenu.cpp:600 uml.cpp:583
+#: menus/widgetbasepopupmenu.cpp:600 uml.cpp:592
 #, kde-format
 msgid "Align Top"
 msgstr ""
 
-#: menus/widgetbasepopupmenu.cpp:601 uml.cpp:588
+#: menus/widgetbasepopupmenu.cpp:601 uml.cpp:597
 #, kde-format
 msgid "Align Bottom"
 msgstr ""
 
-#: menus/widgetbasepopupmenu.cpp:603 uml.cpp:593
+#: menus/widgetbasepopupmenu.cpp:603 uml.cpp:602
 #, kde-format
 msgid "Align Vertical Middle"
 msgstr ""
 
-#: menus/widgetbasepopupmenu.cpp:604 uml.cpp:598
+#: menus/widgetbasepopupmenu.cpp:604 uml.cpp:607
 #, kde-format
 msgid "Align Horizontal Middle"
 msgstr ""
 
-#: menus/widgetbasepopupmenu.cpp:605 uml.cpp:603
+#: menus/widgetbasepopupmenu.cpp:605 uml.cpp:612
 #, kde-format
 msgid "Align Vertical Distribute"
 msgstr ""
 
-#: menus/widgetbasepopupmenu.cpp:606 uml.cpp:608
+#: menus/widgetbasepopupmenu.cpp:606 uml.cpp:617
 #, kde-format
 msgid "Align Horizontal Distribute"
 msgstr ""
@@ -6007,8 +6007,8 @@ msgstr "Poruka"
 #: object_factory.cpp:251 uml1model/classifier.cpp:410
 #: uml1model/classifier.cpp:781 uml1model/entity.cpp:125
 #: uml1model/entity.cpp:178 uml1model/entity.cpp:228 uml1model/entity.cpp:277
-#: uml1model/enum.cpp:107 uml1model/instance.cpp:124 uml1model/package.cpp:171
-#: umldoc.cpp:1721 umldoc.cpp:1755
+#: uml1model/enum.cpp:107 uml1model/instance.cpp:124 uml1model/package.cpp:177
+#: umldoc.cpp:1723 umldoc.cpp:1757
 #, fuzzy, kde-format
 msgid "That is an invalid name."
 msgstr "To ime nije ispravno."
@@ -6027,7 +6027,7 @@ msgstr ""
 #: object_factory.cpp:264 uml1model/classifier.cpp:413
 #: uml1model/classifier.cpp:783 uml1model/entity.cpp:127
 #: uml1model/entity.cpp:180 uml1model/entity.cpp:230 uml1model/entity.cpp:279
-#: uml1model/instance.cpp:126 umldoc.cpp:1727 umldoc.cpp:1764
+#: uml1model/instance.cpp:126 umldoc.cpp:1729 umldoc.cpp:1766
 #, fuzzy, kde-format
 msgid "That name is already being used."
 msgstr "To ime se već koristi."
@@ -6035,8 +6035,8 @@ msgstr "To ime se već koristi."
 #: object_factory.cpp:265 uml1model/classifier.cpp:413
 #: uml1model/classifier.cpp:783 uml1model/entity.cpp:127
 #: uml1model/entity.cpp:180 uml1model/entity.cpp:230 uml1model/entity.cpp:279
-#: uml1model/instance.cpp:126 umldoc.cpp:1629 umldoc.cpp:1699 umldoc.cpp:1727
-#: umldoc.cpp:1764
+#: uml1model/instance.cpp:126 umldoc.cpp:1631 umldoc.cpp:1701 umldoc.cpp:1729
+#: umldoc.cpp:1766
 #, fuzzy, kde-format
 msgid "Not a Unique Name"
 msgstr "Nije jedinstveno ime"
@@ -6097,12 +6097,12 @@ msgstr "Operacija sa takvim potpisom ve
 msgid "Choose a different name."
 msgstr "&Koristi drugačije ime"
 
-#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:266
+#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:273
 #, fuzzy, kde-format
 msgid "Incorrect use of associations."
 msgstr "Neispravno korištenje pridruživanja."
 
-#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:266
+#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:273
 #, fuzzy, kde-format
 msgid "Association Error"
 msgstr "Greška pridruživanja"
@@ -7285,188 +7285,188 @@ msgstr "Aktivni &jezik"
 msgid "&Settings"
 msgstr "Postavke pisma"
 
-#: uml.cpp:332
+#: uml.cpp:341
 #, kde-format
 msgid "&Export model to DocBook"
 msgstr ""
 
-#: uml.cpp:336
+#: uml.cpp:345
 #, kde-format
 msgid "&Export model to XHTML"
 msgstr ""
 
-#: uml.cpp:340
+#: uml.cpp:349
 #, fuzzy, kde-format
 msgid "&New Class Wizard..."
 msgstr "Čarobnjak za &novu klasu..."
 
-#: uml.cpp:344
+#: uml.cpp:353
 #, kde-format
 msgid "&Add Default Datatypes for Active Language"
 msgstr "&Dodaj uobičajene vrste podataka za aktivan jezik"
 
-#: uml.cpp:351
+#: uml.cpp:360
 #, fuzzy, kde-format
 msgid "Code &Importing Wizard..."
 msgstr "Čarobnjak za generiranje &kôda..."
 
-#: uml.cpp:361
+#: uml.cpp:370
 #, fuzzy, kde-format
 msgid "&Code Generation Wizard..."
 msgstr "Čarobnjak za generiranje &kôda..."
 
-#: uml.cpp:366
+#: uml.cpp:375
 #, fuzzy, kde-format
 msgid "&Generate All Code"
 msgstr "&Generiraj sav kôd"
 
-#: uml.cpp:411
+#: uml.cpp:420
 #, kde-format
 msgid "Creates a new document"
 msgstr "Stvara novi dokument"
 
-#: uml.cpp:412
+#: uml.cpp:421
 #, kde-format
 msgid "Opens an existing document"
 msgstr "Otvara postojeći dokument"
 
-#: uml.cpp:413
+#: uml.cpp:422
 #, fuzzy, kde-format
 msgid "Opens a recently used file"
 msgstr "Otvara skoro korišteni datoteka"
 
-#: uml.cpp:414
+#: uml.cpp:423
 #, fuzzy, kde-format
 msgid "Saves the document"
 msgstr "Stvaram novi dokument..."
 
-#: uml.cpp:415
+#: uml.cpp:424
 #, fuzzy, kde-format
 msgid "Saves the document as..."
 msgstr "Snima dokument kao..."
 
-#: uml.cpp:416
+#: uml.cpp:425
 #, fuzzy, kde-format
 msgid "Closes the document"
 msgstr "Stvaram novi dokument..."
 
-#: uml.cpp:417
+#: uml.cpp:426
 #, kde-format
 msgid "Prints out the document"
 msgstr ""
 
-#: uml.cpp:418
+#: uml.cpp:427
 #, fuzzy, kde-format
 msgid "Print Preview of the document"
 msgstr "Stvaram novi dokument..."
 
-#: uml.cpp:419
+#: uml.cpp:428
 #, fuzzy, kde-format
 msgid "Quits the application"
 msgstr "Završava rad trenutneg programa"
 
-#: uml.cpp:420
+#: uml.cpp:429
 #, kde-format
 msgid "Exports the model to the docbook format"
 msgstr ""
 
-#: uml.cpp:421
+#: uml.cpp:430
 #, kde-format
 msgid "Exports the model to the XHTML format"
 msgstr ""
 
-#: uml.cpp:422
+#: uml.cpp:431
 #, fuzzy, kde-format
 msgid "Cuts the selected section and puts it to the clipboard"
 msgstr "Iseca odabranu sekciju i stavlja je u klipbord"
 
-#: uml.cpp:423
+#: uml.cpp:432
 #, kde-format
 msgid "Copies the selected section to the clipboard"
 msgstr "Kopira označeno na odlagalište"
 
-#: uml.cpp:424
+#: uml.cpp:433
 #, fuzzy, kde-format
 msgid "Pastes the contents of the clipboard"
 msgstr "Kopira označeno na odlagalište"
 
-#: uml.cpp:425
+#: uml.cpp:434
 #, fuzzy, kde-format
 msgid "Set the default program preferences"
 msgstr "Postavlja uobičajena podešavanja programa"
 
-#: uml.cpp:429
+#: uml.cpp:438
 #, fuzzy, kde-format
 msgctxt "delete selected widget"
 msgid "Delete &Selected"
 msgstr "Obriši &označeno"
 
-#: uml.cpp:440
+#: uml.cpp:449
 #, fuzzy, kde-format
 msgid "&Class Diagram..."
 msgstr "Dijagram &klase..."
 
-#: uml.cpp:447
+#: uml.cpp:456
 #, fuzzy, kde-format
 msgid "&Object Diagram..."
 msgstr "Dijagram s&tanja..."
 
-#: uml.cpp:454
+#: uml.cpp:463
 #, fuzzy, kde-format
 msgid "&Sequence Diagram..."
 msgstr "Dijagram &sekvence..."
 
-#: uml.cpp:460
+#: uml.cpp:469
 #, fuzzy, kde-format
 msgid "C&ommunication Diagram..."
 msgstr "Dijagram s&aradnje..."
 
-#: uml.cpp:466
+#: uml.cpp:475
 #, fuzzy, kde-format
 msgid "&Use Case Diagram..."
 msgstr "D&ijagram slučaja upotrebe..."
 
-#: uml.cpp:472
+#: uml.cpp:481
 #, fuzzy, kde-format
 msgid "S&tate Diagram..."
 msgstr "Dijagram s&tanja..."
 
-#: uml.cpp:478
+#: uml.cpp:487
 #, kde-format
 msgid "&Activity Diagram..."
 msgstr "Dijagram &aktivnosti …"
 
-#: uml.cpp:484
+#: uml.cpp:493
 #, fuzzy, kde-format
 msgid "Co&mponent Diagram..."
 msgstr "Dijagram &komponente..."
 
-#: uml.cpp:490
+#: uml.cpp:499
 #, fuzzy, kde-format
 msgid "&Deployment Diagram..."
 msgstr "Dijagram &razvijanja..."
 
-#: uml.cpp:496
+#: uml.cpp:505
 #, fuzzy, kde-format
 msgid "&Entity Relationship Diagram..."
 msgstr "Dijagram s&aradnje..."
 
-#: uml.cpp:501 uml.cpp:954
+#: uml.cpp:510 uml.cpp:963
 #, kde-format
 msgid "&Tree View"
 msgstr "Moduli kao &stablo"
 
-#: uml.cpp:505
+#: uml.cpp:514
 #, kde-format
 msgid "&Debugging"
 msgstr ""
 
-#: uml.cpp:513
+#: uml.cpp:522
 #, kde-format
 msgid "&Logging"
 msgstr ""
 
-#: uml.cpp:517
+#: uml.cpp:526
 #, kde-format
 msgid "&Command history"
 msgstr ""
@@ -7475,138 +7475,138 @@ msgstr ""
 #. m_propertyDock->setObjectName(QLatin1String("PropertyDock"));
 #. addDockWidget(Qt::LeftDockWidgetArea, m_propertyDock);  //:TODO:
 #. create the bird's eye view
-#: uml.cpp:521 uml.cpp:1011
+#: uml.cpp:530 uml.cpp:1020
 #, kde-format
 msgid "&Bird's eye view"
 msgstr ""
 
-#: uml.cpp:526
+#: uml.cpp:535
 #, fuzzy, kde-format
 msgid "&Clear Diagram"
 msgstr "&Očisti dijagram"
 
-#: uml.cpp:530
+#: uml.cpp:539
 #, kde-format
 msgid "&Snap to Grid"
 msgstr "&Ubačaj u mrežu"
 
-#: uml.cpp:534
+#: uml.cpp:543
 #, kde-format
 msgid "S&how Grid"
 msgstr "&Prikaži mrežu"
 
-#: uml.cpp:539
+#: uml.cpp:548
 #, fuzzy, kde-format
 msgid "&Delete Diagram"
 msgstr "Obriši dijagram"
 
-#: uml.cpp:544
+#: uml.cpp:553
 #, fuzzy, kde-format
 msgid "&Export as Picture..."
 msgstr "Izv&ezi kao sliku..."
 
-#: uml.cpp:549
+#: uml.cpp:558
 #, fuzzy, kde-format
 msgid "Export &Diagrams as Pictures..."
 msgstr "Izvezi kao sliku..."
 
-#: uml.cpp:569
+#: uml.cpp:578
 #, fuzzy, kde-format
 msgid "Z&oom to 100%"
 msgstr "&Zumiraj na 100%"
 
-#: uml.cpp:612
+#: uml.cpp:621
 #, kde-format
 msgid "&Move Tab Left"
 msgstr ""
 
-#: uml.cpp:613
+#: uml.cpp:622
 #, kde-format
 msgid "&Move Tab Right"
 msgstr ""
 
-#: uml.cpp:636
+#: uml.cpp:645
 #, fuzzy, kde-format
 msgid "Select Diagram on Left"
 msgstr "&Odaberi dijagram"
 
-#: uml.cpp:637
+#: uml.cpp:646
 #, fuzzy, kde-format
 msgid "Select Diagram on Right"
 msgstr "&Odaberi dijagram"
 
-#: uml.cpp:776
+#: uml.cpp:785
 #, kde-format
 msgctxt "%1 percent value from 20 to 500"
 msgid " &%1%"
 msgstr ""
 
-#: uml.cpp:826
+#: uml.cpp:835
 #, fuzzy, kde-format
 msgctxt "init status bar"
 msgid "Ready"
 msgstr "Spreman."
 
-#: uml.cpp:835 uml.cpp:848
+#: uml.cpp:844 uml.cpp:857
 #, fuzzy, kde-format
 #| msgid "&100%"
 msgid "100%"
 msgstr "&100%"
 
-#: uml.cpp:840
+#: uml.cpp:849
 #, fuzzy, kde-format
 #| msgid "Filter"
 msgid "Fit"
 msgstr "Filtar"
 
-#: uml.cpp:899
+#: uml.cpp:908
 #, fuzzy, kde-format
 msgid "Diagram Toolbar"
 msgstr "Traka dijagrama"
 
-#: uml.cpp:965
+#: uml.cpp:974
 #, fuzzy, kde-format
 #| msgid "Documentation"
 msgid "Doc&umentation"
 msgstr "Dokumentacija"
 
-#: uml.cpp:976
+#: uml.cpp:985
 #, kde-format
 msgid "Co&mmand history"
 msgstr ""
 
-#: uml.cpp:992
+#: uml.cpp:1001
 #, kde-format
 msgid "&Debug"
 msgstr ""
 
-#: uml.cpp:999
+#: uml.cpp:1008
 #, kde-format
 msgid "&Log"
 msgstr ""
 
-#: uml.cpp:1041 uml.cpp:1258 uml.cpp:1307
+#: uml.cpp:1050 uml.cpp:1267 uml.cpp:1316
 #, kde-format
 msgid "Opening file..."
 msgstr "Otvaram datoteku …"
 
-#: uml.cpp:1092 uml.cpp:1157 uml.cpp:1342 umldoc.cpp:342 umldoc.cpp:344
-#: umldoc.cpp:368 umldoc.cpp:3396
+#: uml.cpp:1101 uml.cpp:1166 uml.cpp:1351 umldoc.cpp:343 umldoc.cpp:345
+#: umldoc.cpp:369 umldoc.cpp:3405
 #, kde-format
 msgid "Untitled"
 msgstr ""
 
-#: uml.cpp:1240
+#: uml.cpp:1249
 #, kde-format
 msgid "Creating new document..."
 msgstr "Stvaram novi dokument …"
 
-#: uml.cpp:1266 uml.cpp:1281
+#: uml.cpp:1275 uml.cpp:1290
 #, kde-format
 msgid "Open File"
 msgstr "Otvori datoteku"
 
-#: uml.cpp:1270
+#: uml.cpp:1279
 #, kde-format
 msgid ""
 "*.xmi *.xmi.tgz *.xmi.tar.bz2 *.mdl *.zargo|All Supported Files (*.xmi, *."
@@ -7618,29 +7618,29 @@ msgid ""
 "*.zargo|Compressed argo Files(*.zargo)\n"
 msgstr ""
 
-#: uml.cpp:1341
+#: uml.cpp:1350
 #, kde-format
 msgid "Saving file..."
 msgstr "Spremam datoteku …"
 
-#: uml.cpp:1358
+#: uml.cpp:1367
 #, fuzzy, kde-format
 msgid "Saving file with a new filename..."
 msgstr "Snimam datoteka pod novim imenom..."
 
-#: uml.cpp:1368 uml.cpp:1374 umlviewimageexporter.cpp:199
+#: uml.cpp:1377 uml.cpp:1383 umlviewimageexporter.cpp:199
 #, kde-format
 msgid "Save As"
 msgstr ""
 
-#: uml.cpp:1369
+#: uml.cpp:1378
 #, kde-format
 msgid ""
 "*.xmi | XMI File (*.xmi);;*.xmi.tgz | Gzip Compressed XMI File (*.xmi.tgz);;"
 "*.xmi.tar.bz2 | Bzip2 Compressed XMI File (*.xmi.tar.bz2);;* | All Files (*)"
 msgstr ""
 
-#: uml.cpp:1374
+#: uml.cpp:1383
 #, kde-format
 msgid ""
 "*.xmi|XMI File\n"
@@ -7649,7 +7649,7 @@ msgid ""
 "*|All Files"
 msgstr ""
 
-#: uml.cpp:1387
+#: uml.cpp:1396
 #, fuzzy, kde-format
 msgid ""
 "The file %1 exists.\n"
@@ -7658,106 +7658,106 @@ msgstr ""
 "Datoteka %1 postoji.\n"
 "Želite li da ga prebrišete?"
 
-#: uml.cpp:1388
+#: uml.cpp:1397
 #, fuzzy, kde-format
 msgid "Warning"
 msgstr "niz znakova"
 
-#: uml.cpp:1388
+#: uml.cpp:1397
 #, fuzzy, kde-format
 msgid "Overwrite"
 msgstr "&Prebriši"
 
-#: uml.cpp:1422
+#: uml.cpp:1431
 #, kde-format
 msgid "Closing file..."
 msgstr "Zatvaram datoteku …"
 
-#: uml.cpp:1432
+#: uml.cpp:1441
 #, kde-format
 msgid "No search term entered"
 msgstr ""
 
-#: uml.cpp:1438
+#: uml.cpp:1447
 #, kde-format
 msgid "'%1': %2 found"
 msgstr ""
 
-#: uml.cpp:1502
+#: uml.cpp:1511
 #, fuzzy, kde-format
 msgid "Print Preview..."
 msgstr "Izlazim..."
 
-#: uml.cpp:1529
+#: uml.cpp:1538
 #, kde-format
 msgid "Printing..."
 msgstr "Ispisivanje …"
 
-#: uml.cpp:1536 uml.cpp:1540
+#: uml.cpp:1545 uml.cpp:1549
 #, kde-format
 msgid "Print %1"
 msgstr "Ispiši %1"
 
-#: uml.cpp:1560
+#: uml.cpp:1569
 #, kde-format
 msgid "Exiting..."
 msgstr "Izlazim …"
 
-#: uml.cpp:1647
+#: uml.cpp:1656
 #, kde-format
 msgid "Cutting selection..."
 msgstr "Režem izabrano …"
 
-#: uml.cpp:1670
+#: uml.cpp:1679
 #, kde-format
 msgid "Copying selection to clipboard..."
 msgstr "Kopiranje odabira u odlagalište …"
 
-#: uml.cpp:1682
+#: uml.cpp:1691
 #, kde-format
 msgid "Inserting clipboard contents..."
 msgstr "Ubacivanje sadržaja odlagališta …"
 
-#: uml.cpp:1687
+#: uml.cpp:1696
 #, kde-format
 msgid ""
 "Umbrello could not paste the clipboard contents.  The objects in the "
 "clipboard may be of the wrong type to be pasted here."
 msgstr ""
 
-#: uml.cpp:1713 umlviewimageexporter.cpp:92 umlviewimageexporterall.cpp:123
+#: uml.cpp:1722 umlviewimageexporter.cpp:92 umlviewimageexporterall.cpp:123
 #, fuzzy, kde-format
 #| msgid "Ready."
 msgctxt "reset status bar"
 msgid "Ready."
 msgstr "Spreman."
 
-#: uml.cpp:2246
+#: uml.cpp:2255
 #, kde-format
 msgid "Cannot view code until you generate some first."
 msgstr ""
 
-#: uml.cpp:2246 uml.cpp:2249
+#: uml.cpp:2255 uml.cpp:2258
 #, fuzzy, kde-format
 msgid "Cannot View Code"
 msgstr "Ne mogu prikazati kôd"
 
-#: uml.cpp:2249
+#: uml.cpp:2258
 #, kde-format
 msgid "Cannot view code from simple code writer."
 msgstr ""
 
-#: uml.cpp:2714 uml.cpp:2716
+#: uml.cpp:2728 uml.cpp:2730
 #, fuzzy, kde-format
 msgid "Select file(s) to import:"
 msgstr "Odaberite klase za uvoz"
 
-#: uml.cpp:2747 uml.cpp:2749
+#: uml.cpp:2761 uml.cpp:2763
 #, fuzzy, kde-format
 msgid "Select directory to import:"
 msgstr "Odaberite klase za uvoz"
 
-#: uml.cpp:3313
+#: uml.cpp:3335
 #, kde-format
 msgid "XHTML Generation failed ."
 msgstr ""
@@ -7769,20 +7769,20 @@ msgid ""
 "it again."
 msgstr "Operacija sa takvim potpisom već postoji u %1.\n"
 
-#: uml1model/folder.cpp:435
+#: uml1model/folder.cpp:436
 #, fuzzy, kde-format
 msgid "The folderfile %1 does not exist."
 msgstr "Datoteka %1 ne postoji."
 
-#: uml1model/folder.cpp:435 uml1model/folder.cpp:439 umldoc.cpp:529
-#: umldoc.cpp:541 umldoc.cpp:568 umldoc.cpp:570 umldoc.cpp:620 umldoc.cpp:623
-#: umldoc.cpp:638 umldoc.cpp:641 umldoc.cpp:665 umldoc.cpp:668 umldoc.cpp:684
-#: umldoc.cpp:687 umldoc.cpp:702 umldoc.cpp:705 umldoc.cpp:750
+#: uml1model/folder.cpp:436 uml1model/folder.cpp:440 umldoc.cpp:530
+#: umldoc.cpp:542 umldoc.cpp:569 umldoc.cpp:571 umldoc.cpp:621 umldoc.cpp:624
+#: umldoc.cpp:639 umldoc.cpp:642 umldoc.cpp:666 umldoc.cpp:669 umldoc.cpp:685
+#: umldoc.cpp:688 umldoc.cpp:703 umldoc.cpp:706 umldoc.cpp:751
 #, fuzzy, kde-format
 msgid "Load Error"
 msgstr "Greška pri učitavanju"
 
-#: uml1model/folder.cpp:439
+#: uml1model/folder.cpp:440
 #, fuzzy, kde-format
 msgid "The folderfile %1 cannot be opened."
 msgstr "Datoteka %1 ne postoji."
@@ -7792,14 +7792,14 @@ msgstr "Datoteka %1 ne postoji."
 msgid "new_parameter"
 msgstr "novi_parametar"
 
-#: uml1model/package.cpp:163
+#: uml1model/package.cpp:169
 #, fuzzy, kde-format
 #| msgid "Name"
 msgctxt "object name"
 msgid "Name"
 msgstr "Ime"
 
-#: uml1model/package.cpp:164
+#: uml1model/package.cpp:170
 #, kde-format
 msgid ""
 "An object with the name %1\n"
@@ -7822,78 +7822,78 @@ msgstr "novi_literal"
 msgid "new_fkey_constraint"
 msgstr "novo_nabrajanje"
 
-#: uml1model/umlobject.cpp:1140
+#: uml1model/umlobject.cpp:1141
 #, kde-format
 msgid "Actor &name:"
 msgstr "Ime &učesnika:"
 
-#: uml1model/umlobject.cpp:1143
+#: uml1model/umlobject.cpp:1144
 #, fuzzy, kde-format
 msgid "Artifact &name:"
 msgstr "Ime &artifakta:"
 
-#: uml1model/umlobject.cpp:1146
+#: uml1model/umlobject.cpp:1147
 #, fuzzy, kde-format
 msgid "Association &name:"
 msgstr "Ime pridruživanja"
 
-#: uml1model/umlobject.cpp:1149
+#: uml1model/umlobject.cpp:1150
 #, kde-format
 msgid "Class &name:"
 msgstr "&Ime Datoteke:"
 
-#: uml1model/umlobject.cpp:1152
+#: uml1model/umlobject.cpp:1153
 #, fuzzy, kde-format
 msgid "Component &name:"
 msgstr "Ime &komponente:"
 
-#: uml1model/umlobject.cpp:1155
+#: uml1model/umlobject.cpp:1156
 #, fuzzy, kde-format
 msgid "Datatype &name:"
 msgstr "Ime tipa po&datka:"
 
-#: uml1model/umlobject.cpp:1158
+#: uml1model/umlobject.cpp:1159
 #, fuzzy, kde-format
 msgid "Entity &name:"
 msgstr "I&me nabrajanja:"
 
-#: uml1model/umlobject.cpp:1161
+#: uml1model/umlobject.cpp:1162
 #, fuzzy, kde-format
 msgid "Enum &name:"
 msgstr "I&me nabrajanja:"
 
-#: uml1model/umlobject.cpp:1164
+#: uml1model/umlobject.cpp:1165
 #, fuzzy, kde-format
 msgid "Folder &name:"
 msgstr "Ime čvora:"
 
-#: uml1model/umlobject.cpp:1167
+#: uml1model/umlobject.cpp:1168
 #, fuzzy, kde-format
 msgid "Interface &name:"
 msgstr "Ime i&nterfejsa:"
 
-#: uml1model/umlobject.cpp:1170
+#: uml1model/umlobject.cpp:1171
 #, fuzzy, kde-format
 msgid "Node &name:"
 msgstr "Ime čvora:"
 
-#: uml1model/umlobject.cpp:1173
+#: uml1model/umlobject.cpp:1174
 #, fuzzy, kde-format
 msgid "Package &name:"
 msgstr "Ime &paketa:"
 
-#: uml1model/umlobject.cpp:1176
+#: uml1model/umlobject.cpp:1177
 #, fuzzy, kde-format
 #| msgid "Actor &name:"
 msgid "Port &name:"
 msgstr "Ime &učesnika:"
 
-#: uml1model/umlobject.cpp:1182
+#: uml1model/umlobject.cpp:1183
 #, fuzzy, kde-format
 msgid "Use case &name:"
 msgstr "&Ime slučaja upotrebe:"
 
-#: uml1model/umlobject.cpp:1185
+#: uml1model/umlobject.cpp:1186
 #, fuzzy, kde-format
 msgid "Instance name:"
 msgstr "Ime primjerka:"
@@ -7915,42 +7915,42 @@ msgstr "Stereotip"
 msgid "Welcome"
 msgstr ""
 
-#: umldoc.cpp:112 umldoc.cpp:2400 umldoc.cpp:2428
+#: umldoc.cpp:113 umldoc.cpp:2405 umldoc.cpp:2433
 #, fuzzy, kde-format
 msgid "UML Model"
 msgstr "Umbrello, UML modelar"
 
-#: umldoc.cpp:154
+#: umldoc.cpp:155
 #, fuzzy, kde-format
 msgid "Logical View"
 msgstr "Logički prikaz"
 
-#: umldoc.cpp:155
+#: umldoc.cpp:156
 #, fuzzy, kde-format
 msgid "Use Case View"
 msgstr "Prikaz slučaja upotrebe"
 
-#: umldoc.cpp:156
+#: umldoc.cpp:157
 #, fuzzy, kde-format
 msgid "Component View"
 msgstr "Prikaz komponenti"
 
-#: umldoc.cpp:157
+#: umldoc.cpp:158
 #, fuzzy, kde-format
 msgid "Deployment View"
 msgstr "Prikaz razvijanja"
 
-#: umldoc.cpp:158
+#: umldoc.cpp:159
 #, kde-format
 msgid "Entity Relationship Model"
 msgstr ""
 
-#: umldoc.cpp:184
+#: umldoc.cpp:185
 #, fuzzy, kde-format
 msgid "Datatypes"
 msgstr "Vrste podataka"
 
-#: umldoc.cpp:363
+#: umldoc.cpp:364
 #, fuzzy, kde-format
 msgid ""
 "The current file has been modified.\n"
@@ -7959,296 +7959,296 @@ msgstr ""
 "Trenutni datoteka je izmjenjen.\n"
 "Želite li da ga sačuvate?"
 
-#: umldoc.cpp:364
+#: umldoc.cpp:365
 #, fuzzy, kde-format
 msgctxt "warning message"
 msgid "Warning"
 msgstr "niz znakova"
 
-#: umldoc.cpp:529
+#: umldoc.cpp:530
 #, fuzzy, kde-format
 msgid "The file <%1> does not exist."
 msgstr "Datoteka %1 ne postoji."
 
-#: umldoc.cpp:541
+#: umldoc.cpp:542
 #, fuzzy, kde-format
 msgid "The file %1 does not exist."
 msgstr "Datoteka %1 ne postoji."
 
-#: umldoc.cpp:568 umldoc.cpp:570
+#: umldoc.cpp:569 umldoc.cpp:571
 #, fuzzy, kde-format
 msgid "The file %1 seems to be corrupted."
 msgstr "Datoteka %1 ne postoji."
 
-#: umldoc.cpp:619 umldoc.cpp:622 umldoc.cpp:637 umldoc.cpp:640 umldoc.cpp:683
-#: umldoc.cpp:686
+#: umldoc.cpp:620 umldoc.cpp:623 umldoc.cpp:638 umldoc.cpp:641 umldoc.cpp:684
+#: umldoc.cpp:687
 #, kde-format
 msgid "There was no XMI file found in the compressed file %1."
 msgstr ""
 
-#: umldoc.cpp:664 umldoc.cpp:667
+#: umldoc.cpp:665 umldoc.cpp:668
 #, fuzzy, kde-format
 msgid "There was a problem loading the extracted file: %1"
 msgstr "Došlo je do problema prilikom učitavanja datotekaa: %1"
 
-#: umldoc.cpp:701 umldoc.cpp:704 umldoc.cpp:744 umldoc.cpp:746
+#: umldoc.cpp:702 umldoc.cpp:705 umldoc.cpp:745 umldoc.cpp:747
 #, fuzzy, kde-format
 msgid "There was a problem loading file: %1"
 msgstr "Došlo je do problema prilikom učitavanja datotekaa: %1"
 
-#: umldoc.cpp:749
+#: umldoc.cpp:750
 #, kde-format
 msgid "Reason: %1"
 msgstr ""
 
-#: umldoc.cpp:832 umldoc.cpp:834 umldoc.cpp:851 umldoc.cpp:853 umldoc.cpp:873
-#: umldoc.cpp:875 umldoc.cpp:924 umldoc.cpp:926 umldoc.cpp:966 umldoc.cpp:969
-#: umldoc.cpp:978 umldoc.cpp:980 umllistview.cpp:593
+#: umldoc.cpp:833 umldoc.cpp:835 umldoc.cpp:852 umldoc.cpp:854 umldoc.cpp:874
+#: umldoc.cpp:876 umldoc.cpp:925 umldoc.cpp:927 umldoc.cpp:968 umldoc.cpp:971
+#: umldoc.cpp:980 umldoc.cpp:982 umllistview.cpp:594
 #, kde-format
 msgid "Save Error"
 msgstr "Spremi pogrešku"
 
-#: umldoc.cpp:832 umldoc.cpp:851 umldoc.cpp:873 umldoc.cpp:924 umldoc.cpp:966
+#: umldoc.cpp:833 umldoc.cpp:852 umldoc.cpp:874 umldoc.cpp:925 umldoc.cpp:968
 #, fuzzy, kde-format
 msgid "There was a problem saving: %1"
 msgstr "Došlo je do problema prilikom spremanja datotekaa: %1"
 
-#: umldoc.cpp:834 umldoc.cpp:853 umldoc.cpp:875 umldoc.cpp:926 umldoc.cpp:969
-#: umllistview.cpp:592 umlviewimageexportermodel.cpp:303
+#: umldoc.cpp:835 umldoc.cpp:854 umldoc.cpp:876 umldoc.cpp:927 umldoc.cpp:971
+#: umllistview.cpp:593 umlviewimageexportermodel.cpp:303
 #, fuzzy, kde-format
 msgid "There was a problem saving file: %1"
 msgstr "Došlo je do problema prilikom spremanja datotekaa: %1"
 
-#: umldoc.cpp:978
+#: umldoc.cpp:980
 #, fuzzy, kde-format
 msgid "There was a problem uploading: %1"
 msgstr "Došlo je do problema prilikom slanja datotekaa: %1"
 
-#: umldoc.cpp:980
+#: umldoc.cpp:982
 #, fuzzy, kde-format
 msgid "There was a problem uploading file: %1"
 msgstr "Došlo je do problema prilikom slanja datotekaa: %1"
 
-#: umldoc.cpp:1526
+#: umldoc.cpp:1528
 #, fuzzy, kde-format
 msgid "use case diagram"
 msgstr "dijagram slučaja upotrebe"
 
-#: umldoc.cpp:1529
+#: umldoc.cpp:1531
 #, fuzzy, kde-format
 msgid "class diagram"
 msgstr "dijagram klase"
 
-#: umldoc.cpp:1532
+#: umldoc.cpp:1534
 #, fuzzy, kde-format
 msgid "sequence diagram"
 msgstr "dijagram sekvence"
 
-#: umldoc.cpp:1535
+#: umldoc.cpp:1537
 #, fuzzy, kde-format
 msgid "communication diagram"
 msgstr "dijagram saradnje"
 
-#: umldoc.cpp:1538
+#: umldoc.cpp:1540
 #, fuzzy, kde-format
 msgid "object diagram"
 msgstr "&Odaberi dijagram"
 
-#: umldoc.cpp:1541
+#: umldoc.cpp:1543
 #, fuzzy, kde-format
 msgid "state diagram"
 msgstr "dijagram stanja"
 
-#: umldoc.cpp:1544
+#: umldoc.cpp:1546
 #, kde-format
 msgid "activity diagram"
 msgstr "dijagram aktivnosti"
 
-#: umldoc.cpp:1547
+#: umldoc.cpp:1549
 #, fuzzy, kde-format
 msgid "component diagram"
 msgstr "dijagram komponenti"
 
-#: umldoc.cpp:1550
+#: umldoc.cpp:1552
 #, fuzzy, kde-format
 msgid "deployment diagram"
 msgstr "dijagram razvijanja"
 
-#: umldoc.cpp:1553
+#: umldoc.cpp:1555
 #, kde-format
 msgid "entity relationship diagram"
 msgstr ""
 
-#: umldoc.cpp:1623
+#: umldoc.cpp:1625
 #, fuzzy, kde-format
 #| msgid "Name"
 msgctxt "diagram name"
 msgid "Name"
 msgstr "Ime"
 
-#: umldoc.cpp:1623 umldoc.cpp:1686 umldoc.cpp:1715 umldoc.cpp:1749
+#: umldoc.cpp:1625 umldoc.cpp:1688 umldoc.cpp:1717 umldoc.cpp:1751
 #, kde-format
 msgid "Enter name:"
 msgstr "Unesite ime:"
 
-#: umldoc.cpp:1627 umldoc.cpp:1692
+#: umldoc.cpp:1629 umldoc.cpp:1694
 #, fuzzy, kde-format
 msgid "That is an invalid name for a diagram."
 msgstr "To je neispravno ime za dijagram."
 
-#: umldoc.cpp:1629 umldoc.cpp:1699
+#: umldoc.cpp:1631 umldoc.cpp:1701
 #, kde-format
 msgid "A diagram is already using that name."
 msgstr "Dijagram već koristi to ime."
 
-#: umldoc.cpp:1685
+#: umldoc.cpp:1687
 #, fuzzy, kde-format
 #| msgid "Name"
 msgctxt "renaming diagram"
 msgid "Name"
 msgstr "Ime"
 
-#: umldoc.cpp:1714
+#: umldoc.cpp:1716
 #, fuzzy, kde-format
 #| msgid "Name"
 msgctxt "renaming uml object"
 msgid "Name"
 msgstr "Ime"
 
-#: umldoc.cpp:1748
+#: umldoc.cpp:1750
 #, fuzzy, kde-format
 #| msgid "Name"
 msgctxt "renaming child uml object"
 msgid "Name"
 msgstr "Ime"
 
-#: umldoc.cpp:1758
+#: umldoc.cpp:1760
 #, kde-format
 msgid ""
 "The name you entered was not unique.\n"
 "Is this what you wanted?"
 msgstr ""
 
-#: umldoc.cpp:1759
+#: umldoc.cpp:1761
 #, fuzzy, kde-format
 msgid "Use Name"
 msgstr "Slučaj upotrebe"
 
-#: umldoc.cpp:1759
+#: umldoc.cpp:1761
 #, fuzzy, kde-format
 msgid "Enter New Name"
 msgstr "Unesite ime stanja"
 
-#: umldoc.cpp:2361
+#: umldoc.cpp:2366
 #, kde-format
 msgid "Unsupported xmi file version: %1"
 msgstr ""
 
-#: umldoc.cpp:2511
+#: umldoc.cpp:2516
 #, fuzzy, kde-format
 msgid "Setting up the document..."
 msgstr "Postavljam dokument..."
 
-#: umldoc.cpp:2540
+#: umldoc.cpp:2545
 #, kde-format
 msgid "Resolving object references..."
 msgstr ""
 
-#: umldoc.cpp:2648
+#: umldoc.cpp:2653
 #, fuzzy, kde-format
 msgid "Loading UML elements..."
 msgstr "Učitavam UML elemente..."
 
-#: umldoc.cpp:2892
+#: umldoc.cpp:2899
 #, fuzzy, kde-format
 msgid "Loading diagrams..."
 msgstr "Učitavam dijagrame..."
 
-#: umldoc.cpp:3400
+#: umldoc.cpp:3409
 #, fuzzy, kde-format
 msgid "/autosave%1"
 msgstr "/automatsko spremanje%1"
 
-#: umllistview.cpp:536 umllistview.cpp:540
+#: umllistview.cpp:537 umllistview.cpp:541
 #, kde-format
 msgid "Externalize Folder"
 msgstr ""
 
-#: umllistview.cpp:574
+#: umllistview.cpp:575
 #, kde-format
 msgid "Folder %1 must be relative to the main model directory, %2."
 msgstr ""
 
-#: umllistview.cpp:575
+#: umllistview.cpp:576
 #, fuzzy, kde-format
 msgid "Path Error"
 msgstr "Greška prilikom umetanja"
 
-#: umllistview.cpp:583
+#: umllistview.cpp:584
 #, kde-format
 msgid ""
 "File %1 already exists!\n"
 "The existing file will be overwritten."
 msgstr ""
 
-#: umllistview.cpp:584
+#: umllistview.cpp:585
 #, fuzzy, kde-format
 #| msgid "File Already Exists"
 msgid "File Exist"
 msgstr "Datoteka već postoji"
 
-#: umllistview.cpp:624
+#: umllistview.cpp:625
 #, fuzzy, kde-format
 msgid "Enter Model Name"
 msgstr "Unesite ime stanja"
 
-#: umllistview.cpp:625
+#: umllistview.cpp:626
 #, fuzzy, kde-format
 msgid "Enter the new name of the model:"
 msgstr "Unesite novo ime za aktivnost:"
 
-#: umllistview.cpp:1422
+#: umllistview.cpp:1430
 #, kde-format
 msgid "Views"
 msgstr "Pogledi"
 
-#: umllistview.cpp:1441
+#: umllistview.cpp:1449
 #, fuzzy, kde-format
 #| msgid "Font Settings"
 msgid "Settings"
 msgstr "Postavke pisma"
 
-#: umllistview.cpp:2413
+#: umllistview.cpp:2421
 #, fuzzy, kde-format
 msgid "Loading listview..."
 msgstr "Učitavam dijagrame..."
 
-#: umllistview.cpp:2764
+#: umllistview.cpp:2772
 #, fuzzy, kde-format
 msgid "The class must be emptied before it can be deleted."
 msgstr "Direktorij se mora prvo isprazniti da bi se obrisao."
 
-#: umllistview.cpp:2765
+#: umllistview.cpp:2773
 #, fuzzy, kde-format
 msgid "Class Not Empty"
 msgstr "Direktorij nije prazan"
 
-#: umllistview.cpp:2769
+#: umllistview.cpp:2777
 #, fuzzy, kde-format
 msgid "The package must be emptied before it can be deleted."
 msgstr "Direktorij se mora prvo isprazniti da bi se obrisao."
 
-#: umllistview.cpp:2770
+#: umllistview.cpp:2778
 #, fuzzy, kde-format
 msgid "Package Not Empty"
 msgstr "Direktorij nije prazan"
 
-#: umllistview.cpp:2774
+#: umllistview.cpp:2782
 #, fuzzy, kde-format
 msgid "The folder must be emptied before it can be deleted."
 msgstr "Direktorij se mora prvo isprazniti da bi se obrisao."
 
-#: umllistview.cpp:2775
+#: umllistview.cpp:2783
 #, fuzzy, kde-format
 msgid "Folder Not Empty"
 msgstr "Direktorij nije prazan"
diff -pruN 4:20.08.3-1/po/hu/umbrello.po 4:20.12.0-0ubuntu1/po/hu/umbrello.po
--- 4:20.08.3-1/po/hu/umbrello.po	2020-11-03 00:42:16.000000000 +0000
+++ 4:20.12.0-0ubuntu1/po/hu/umbrello.po	2020-12-04 00:21:30.000000000 +0000
@@ -6,7 +6,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: KDE 4.2\n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
-"POT-Creation-Date: 2020-08-14 08:09+0200\n"
+"POT-Creation-Date: 2020-11-06 02:36+0100\n"
 "PO-Revision-Date: 2014-12-09 21:45+0100\n"
 "Last-Translator: Balázs Úr <urbalazs@gmail.com>\n"
 "Language-Team: Hungarian <kde-l10n-hu@kde.org>\n"
@@ -209,7 +209,7 @@ msgstr ""
 "sikerült, mert olyan nevű elem már létezik. A többi elem beillesztése "
 "megtörtént."
 
-#: clipboard/umlclipboard.cpp:753 uml.cpp:1689
+#: clipboard/umlclipboard.cpp:753 uml.cpp:1698
 #, kde-format
 msgid "Paste Error"
 msgstr "Beillesztési hiba"
@@ -436,7 +436,7 @@ msgstr "<p align=\"center\">C++-os kódg
 #. i18n: ectx: attribute (title), widget (QWidget, ui_tabGeneral)
 #: codegenerators/cpp/cppcodegenerationformbase.ui:51
 #: codegenwizard/codegenoptionspage.ui:39 dialogs/objectnodedialog.cpp:135
-#: umllistview.cpp:1451
+#: umllistview.cpp:1459
 #, kde-format
 msgid "General"
 msgstr "Általános"
@@ -1319,7 +1319,7 @@ msgstr "Állapot"
 #. i18n: ectx: property (text), widget (QRadioButton, ui_categoryClass)
 #. i18n: ectx: property (text), widget (QTableWidget, ui_tableWidgetStatus)
 #: codegenwizard/codegenstatuspage.ui:40 codeimpwizard/codeimpstatuspage.ui:54
-#: dialogs/finddialog.ui:89 umllistview.cpp:1446 umlwidgets/widgetbase.cpp:1255
+#: dialogs/finddialog.ui:89 umllistview.cpp:1454 umlwidgets/widgetbase.cpp:1255
 #, kde-format
 msgid "Class"
 msgstr "Osztály"
@@ -1974,18 +1974,18 @@ msgstr ""
 msgid "Enable 'delete diagram' related messages"
 msgstr ""
 
-#: dialogs/dialog_utils.cpp:117
+#: dialogs/dialog_utils.cpp:118
 #, kde-format
 msgid "You are about to delete an association. Do you really want to continue?"
 msgstr ""
 
-#: dialogs/dialog_utils.cpp:118
+#: dialogs/dialog_utils.cpp:119
 #, fuzzy, kde-format
 #| msgid "Self Association"
 msgid "Delete Association"
 msgstr "Társítás saját magával"
 
-#: dialogs/dialog_utils.cpp:132
+#: dialogs/dialog_utils.cpp:133
 #, kde-format
 msgid ""
 "You are about to delete the entire diagram.\n"
@@ -1994,17 +1994,17 @@ msgstr ""
 "Az egész diagram el lesz távolítva.\n"
 "Biztosan ezt szeretné?"
 
-#: dialogs/dialog_utils.cpp:133
+#: dialogs/dialog_utils.cpp:134
 #, kde-format
 msgid "Are you sure you want to delete diagram %1?"
 msgstr "Biztosan törölni szeretné a(z) %1 diagramot?"
 
-#: dialogs/dialog_utils.cpp:138
+#: dialogs/dialog_utils.cpp:139
 #, kde-format
 msgid "Delete Diagram?"
 msgstr "Törölni szeretné a diagramot?"
 
-#: dialogs/dialog_utils.cpp:139 dialogs/pages/classifierlistpage.cpp:215
+#: dialogs/dialog_utils.cpp:140 dialogs/pages/classifierlistpage.cpp:215
 #: dialogs/pages/classifierlistpage.cpp:223
 #: dialogs/umlforeignkeyconstraintdialog.cpp:325
 #: dialogs/umlforeignkeyconstraintdialog.cpp:331
@@ -2171,7 +2171,7 @@ msgstr "Általános"
 #. i18n: ectx: label, entry (uiFont), group (UI Options)
 #. i18n: ectx: label, entry (codeViewerFont), group (Code Viewer Options)
 #: dialogs/multipagedialogbase.cpp:405 umbrello.kcfg:177 umbrello.kcfg:292
-#: umllistview.cpp:1450
+#: umllistview.cpp:1458
 #, kde-format
 msgid "Font"
 msgstr "Betűtípus"
@@ -2609,7 +2609,7 @@ msgstr "Új entitás-attr&ibútum..."
 
 #: dialogs/pages/classifierlistpage.cpp:217
 #: dialogs/pages/classifierlistpage.cpp:225 dialogs/umloperationdialog.cpp:167
-#: dialogs/umloperationdialog.cpp:175 uml.cpp:554
+#: dialogs/umloperationdialog.cpp:175 uml.cpp:563
 #, kde-format
 msgid "&Properties"
 msgstr "&Tulajdonságok"
@@ -2627,7 +2627,7 @@ msgid "Source Code"
 msgstr "Forráskód"
 
 #: dialogs/pages/classoptionspage.cpp:157
-#: dialogs/pages/classoptionspage.cpp:251 uml.cpp:509
+#: dialogs/pages/classoptionspage.cpp:251 uml.cpp:518
 #, kde-format
 msgid "&Documentation"
 msgstr "&Dokumentáció"
@@ -2816,8 +2816,8 @@ msgstr "A megadott név érvénytelen."
 #: uml1model/classifier.cpp:410 uml1model/classifier.cpp:781
 #: uml1model/entity.cpp:125 uml1model/entity.cpp:178 uml1model/entity.cpp:228
 #: uml1model/entity.cpp:277 uml1model/enum.cpp:107 uml1model/instance.cpp:124
-#: uml1model/package.cpp:172 umldoc.cpp:1627 umldoc.cpp:1692 umldoc.cpp:1721
-#: umldoc.cpp:1755
+#: uml1model/package.cpp:178 umldoc.cpp:1629 umldoc.cpp:1694 umldoc.cpp:1723
+#: umldoc.cpp:1757
 #, kde-format
 msgid "Invalid Name"
 msgstr "Érvénytelen név"
@@ -2827,7 +2827,7 @@ msgstr "Érvénytelen név"
 msgid "The name you have entered is not unique."
 msgstr "A megadott név nem egyedi."
 
-#: dialogs/pages/diagrampropertiespage.cpp:86 umldoc.cpp:1759
+#: dialogs/pages/diagrampropertiespage.cpp:86 umldoc.cpp:1761
 #, kde-format
 msgid "Name Not Unique"
 msgstr "Nem egyedi diagram"
@@ -3310,7 +3310,7 @@ msgstr "&Diagram"
 msgid "Umbrello Setup"
 msgstr "Az Umbrello beállításai"
 
-#: dialogs/settingsdialog.cpp:114 umllistview.cpp:1452
+#: dialogs/settingsdialog.cpp:114 umllistview.cpp:1460
 #, kde-format
 msgid "User Interface"
 msgstr "Felhasználói felület"
@@ -3337,7 +3337,7 @@ msgstr "Osztály"
 msgid "Class Settings"
 msgstr "Osztálybeállítások"
 
-#: dialogs/settingsdialog.cpp:137 umllistview.cpp:1447
+#: dialogs/settingsdialog.cpp:137 umllistview.cpp:1455
 #, kde-format
 msgid "Code Importer"
 msgstr "Kód importáló"
@@ -3347,7 +3347,7 @@ msgstr "Kód importáló"
 msgid "Code Import Settings"
 msgstr "Kódimportálási beállítások"
 
-#: dialogs/settingsdialog.cpp:146 umllistview.cpp:1448
+#: dialogs/settingsdialog.cpp:146 umllistview.cpp:1456
 #, kde-format
 msgid "Code Generation"
 msgstr "Kódgenerálás"
@@ -3357,7 +3357,7 @@ msgstr "Kódgenerálás"
 msgid "Code Generation Settings"
 msgstr "Kódgenerálási beállítások"
 
-#: dialogs/settingsdialog.cpp:154 umllistview.cpp:1449
+#: dialogs/settingsdialog.cpp:154 umllistview.cpp:1457
 #, kde-format
 msgid "Code Viewer"
 msgstr "Kódnézegető"
@@ -3367,7 +3367,7 @@ msgstr "Kódnézegető"
 msgid "Code Viewer Settings"
 msgstr "Kódnézegető beállítások"
 
-#: dialogs/settingsdialog.cpp:161 umllistview.cpp:1445
+#: dialogs/settingsdialog.cpp:161 umllistview.cpp:1453
 #, kde-format
 msgid "Auto Layout"
 msgstr "Automatikus elrendezés"
@@ -4022,7 +4022,7 @@ msgstr "Típ&us:"
 msgid "Package path:"
 msgstr "Csomag elérési út:"
 
-#: dialogs/widgets/umlstereotypewidget.cpp:29 uml1model/umlobject.cpp:1179
+#: dialogs/widgets/umlstereotypewidget.cpp:29 uml1model/umlobject.cpp:1180
 #, fuzzy, kde-format
 #| msgid "Stereotype name:"
 msgid "Stereotype &name:"
@@ -4169,7 +4169,7 @@ msgstr ""
 msgid "Gael de Chalendar (aka Kleag)"
 msgstr "Gael de Chalendar (aka Kleag)"
 
-#: docgenerators/main.cpp:56 main.cpp:131
+#: docgenerators/main.cpp:56 main.cpp:133
 #, kde-format
 msgid "Umbrello UML Modeller Authors"
 msgstr "Az Umbrello UML modellező szerzői"
@@ -4232,12 +4232,12 @@ msgstr ""
 msgid "Apply layout"
 msgstr "Elrendezés alkalmazása"
 
-#: main.cpp:121
+#: main.cpp:123
 #, kde-format
 msgid "Umbrello UML Modeller"
 msgstr "Umbrello UML modellező"
 
-#: main.cpp:123
+#: main.cpp:125
 #, kde-format
 msgid ""
 "Umbrello – Visual development environment for software, based on the "
@@ -4245,7 +4245,7 @@ msgid ""
 "\"http://www.omg.org/spec/\">http://www.omg.org/spec/</a>."
 msgstr ""
 
-#: main.cpp:127
+#: main.cpp:129
 #, fuzzy, kde-format
 #| msgid "(c) 2001 Paul Hensgen, (c) 2002-2014 Umbrello UML Modeller Authors"
 msgid ""
@@ -4253,112 +4253,112 @@ msgid ""
 "Copyright © 2002-2020 Umbrello UML Modeller Authors"
 msgstr "© Paul Hensgen, 2001., © Az Umbrello UML modellező szerzői, 2002-2014."
 
-#: main.cpp:130
+#: main.cpp:132
 #, kde-format
 msgid "Paul Hensgen"
 msgstr "Paul Hensgen"
 
-#: main.cpp:130
+#: main.cpp:132
 #, kde-format
 msgid "Author of initial version."
 msgstr ""
 
-#: main.cpp:134
+#: main.cpp:136
 #, kde-format
 msgid "Oliver Kellogg"
 msgstr ""
 
-#: main.cpp:135 main.cpp:138
+#: main.cpp:137 main.cpp:140
 #, kde-format
 msgid "Bug fixing, porting work, code cleanup, new features."
 msgstr ""
 
-#: main.cpp:137
+#: main.cpp:139
 #, kde-format
 msgid "Ralf Habacker"
 msgstr ""
 
-#: main.cpp:140
+#: main.cpp:142
 #, kde-format
 msgid "Andi Fischer"
 msgstr ""
 
-#: main.cpp:141
+#: main.cpp:143
 #, kde-format
 msgid "Porting work, code cleanup, new features."
 msgstr ""
 
-#: main.cpp:143
+#: main.cpp:145
 #, kde-format
 msgid "Jonathan Riddell"
 msgstr ""
 
-#: main.cpp:144
+#: main.cpp:146
 #, fuzzy, kde-format
 #| msgid "&Current diagram"
 msgid "Current maintainer."
 msgstr "A &jelenlegi diagram"
 
-#: main.cpp:146
+#: main.cpp:148
 #, kde-format
 msgid "Brian Thomas"
 msgstr ""
 
-#: main.cpp:147
+#: main.cpp:149
 #, kde-format
 msgid "A lot of work for C++ and Java code generation. Codeeditor."
 msgstr ""
 
-#: main.cpp:152
+#: main.cpp:154
 #, kde-format
 msgid "File to open"
 msgstr "A megnyitandó fájl"
 
-#: main.cpp:153
+#: main.cpp:155
 #, kde-format
 msgid "export diagrams to extension and exit"
 msgstr "a diagramok exportálása a megadott kiterjesztéssel, majd kilépés"
 
-#: main.cpp:154
+#: main.cpp:156
 #, kde-format
 msgid "list available export extensions"
 msgstr "elérhető export-kiegészítők listázása"
 
-#: main.cpp:155
+#: main.cpp:157
 #, kde-format
 msgid "the local directory to save the exported diagrams in"
 msgstr "az exportált diagramok ebbe a helyi könyvtárba kerüljenek"
 
-#: main.cpp:155
+#: main.cpp:157
 #, kde-format
 msgid "the directory of the file"
 msgstr "a fájl könyvtára"
 
-#: main.cpp:156
+#: main.cpp:158
 #, kde-format
 msgid "import files"
 msgstr "fájlok importálása"
 
-#: main.cpp:157
+#: main.cpp:159
 #, fuzzy, kde-format
 #| msgid "All Supported Files"
 msgid "list supported languages"
 msgstr "Minden támogatott fájl"
 
-#: main.cpp:158
+#: main.cpp:160
 #, kde-format
 msgid ""
 "keep the tree structure used to store the views in the document in the "
 "target directory"
 msgstr "a nézetek eredeti fastruktúrájának megőrzése a célkönyvtárban"
 
-#: main.cpp:159
+#: main.cpp:161
 #, fuzzy, kde-format
 #| msgid "Import Project..."
 msgid "import files from directory <dir>"
 msgstr "Projekt importálása..."
 
-#: main.cpp:163
+#: main.cpp:165
 #, fuzzy, kde-format
 #| msgid "Active &Language"
 msgid "set active language"
@@ -4629,7 +4629,7 @@ msgstr "A felbontás megjelenítése"
 msgid "Import File(s)..."
 msgstr "Fájlok importálása…"
 
-#: menus/listpopupmenu.cpp:201 uml.cpp:356
+#: menus/listpopupmenu.cpp:201 uml.cpp:365
 #, fuzzy, kde-format
 #| msgid "Import Project..."
 msgid "Import from Directory..."
@@ -5149,42 +5149,42 @@ msgctxt "align menu"
 msgid "Align"
 msgstr "Igazítás"
 
-#: menus/widgetbasepopupmenu.cpp:598 uml.cpp:573
+#: menus/widgetbasepopupmenu.cpp:598 uml.cpp:582
 #, kde-format
 msgid "Align Right"
 msgstr "Jobbra igazítás"
 
-#: menus/widgetbasepopupmenu.cpp:599 uml.cpp:578
+#: menus/widgetbasepopupmenu.cpp:599 uml.cpp:587
 #, kde-format
 msgid "Align Left"
 msgstr "Balra igazítás"
 
-#: menus/widgetbasepopupmenu.cpp:600 uml.cpp:583
+#: menus/widgetbasepopupmenu.cpp:600 uml.cpp:592
 #, kde-format
 msgid "Align Top"
 msgstr "Felülre igazítás"
 
-#: menus/widgetbasepopupmenu.cpp:601 uml.cpp:588
+#: menus/widgetbasepopupmenu.cpp:601 uml.cpp:597
 #, kde-format
 msgid "Align Bottom"
 msgstr "Alulra igazítás"
 
-#: menus/widgetbasepopupmenu.cpp:603 uml.cpp:593
+#: menus/widgetbasepopupmenu.cpp:603 uml.cpp:602
 #, kde-format
 msgid "Align Vertical Middle"
 msgstr "Függőlegesen középre igazítás"
 
-#: menus/widgetbasepopupmenu.cpp:604 uml.cpp:598
+#: menus/widgetbasepopupmenu.cpp:604 uml.cpp:607
 #, kde-format
 msgid "Align Horizontal Middle"
 msgstr "Vízszintesen középre igazítás"
 
-#: menus/widgetbasepopupmenu.cpp:605 uml.cpp:603
+#: menus/widgetbasepopupmenu.cpp:605 uml.cpp:612
 #, kde-format
 msgid "Align Vertical Distribute"
 msgstr "Függőlegesen elosztás"
 
-#: menus/widgetbasepopupmenu.cpp:606 uml.cpp:608
+#: menus/widgetbasepopupmenu.cpp:606 uml.cpp:617
 #, kde-format
 msgid "Align Horizontal Distribute"
 msgstr "Vízszintesen elosztás"
@@ -6119,8 +6119,8 @@ msgstr "Üzenet"
 #: object_factory.cpp:251 uml1model/classifier.cpp:410
 #: uml1model/classifier.cpp:781 uml1model/entity.cpp:125
 #: uml1model/entity.cpp:178 uml1model/entity.cpp:228 uml1model/entity.cpp:277
-#: uml1model/enum.cpp:107 uml1model/instance.cpp:124 uml1model/package.cpp:171
-#: umldoc.cpp:1721 umldoc.cpp:1755
+#: uml1model/enum.cpp:107 uml1model/instance.cpp:124 uml1model/package.cpp:177
+#: umldoc.cpp:1723 umldoc.cpp:1757
 #, kde-format
 msgid "That is an invalid name."
 msgstr "A megadott név érvénytelen."
@@ -6139,7 +6139,7 @@ msgstr "Foglalt kulcsszó"
 #: object_factory.cpp:264 uml1model/classifier.cpp:413
 #: uml1model/classifier.cpp:783 uml1model/entity.cpp:127
 #: uml1model/entity.cpp:180 uml1model/entity.cpp:230 uml1model/entity.cpp:279
-#: uml1model/instance.cpp:126 umldoc.cpp:1727 umldoc.cpp:1764
+#: uml1model/instance.cpp:126 umldoc.cpp:1729 umldoc.cpp:1766
 #, kde-format
 msgid "That name is already being used."
 msgstr "Ez a név már foglalt."
@@ -6147,8 +6147,8 @@ msgstr "Ez a név már foglalt."
 #: object_factory.cpp:265 uml1model/classifier.cpp:413
 #: uml1model/classifier.cpp:783 uml1model/entity.cpp:127
 #: uml1model/entity.cpp:180 uml1model/entity.cpp:230 uml1model/entity.cpp:279
-#: uml1model/instance.cpp:126 umldoc.cpp:1629 umldoc.cpp:1699 umldoc.cpp:1727
-#: umldoc.cpp:1764
+#: uml1model/instance.cpp:126 umldoc.cpp:1631 umldoc.cpp:1701 umldoc.cpp:1729
+#: umldoc.cpp:1766
 #, kde-format
 msgid "Not a Unique Name"
 msgstr "A név nem egyedi"
@@ -6209,12 +6209,12 @@ msgstr "Már létezik attribútum ezzel
 msgid "Choose a different name."
 msgstr "Válasszon más nevet."
 
-#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:266
+#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:273
 #, kde-format
 msgid "Incorrect use of associations."
 msgstr "Nem megfelelő módon van használva egy társítás."
 
-#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:266
+#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:273
 #, kde-format
 msgid "Association Error"
 msgstr "Társítási hiba"
@@ -7382,190 +7382,190 @@ msgstr "Ak&tív nyelv"
 msgid "&Settings"
 msgstr "&Beállítások"
 
-#: uml.cpp:332
+#: uml.cpp:341
 #, kde-format
 msgid "&Export model to DocBook"
 msgstr "A modell ex&portálása DocBook-fájlba"
 
-#: uml.cpp:336
+#: uml.cpp:345
 #, kde-format
 msgid "&Export model to XHTML"
 msgstr "A modell exportálása X&HTML-fájlba"
 
-#: uml.cpp:340
+#: uml.cpp:349
 #, kde-format
 msgid "&New Class Wizard..."
 msgstr "Osztálylétreho&zási varázsló..."
 
-#: uml.cpp:344
+#: uml.cpp:353
 #, kde-format
 msgid "&Add Default Datatypes for Active Language"
 msgstr "&Alapértelmezett adattípusok hozzáadása az aktív nyelvhez"
 
-#: uml.cpp:351
+#: uml.cpp:360
 #, kde-format
 msgid "Code &Importing Wizard..."
 msgstr "Kód&importálás varázsló…"
 
-#: uml.cpp:361
+#: uml.cpp:370
 #, kde-format
 msgid "&Code Generation Wizard..."
 msgstr "Kódgenerálási &varázsló…"
 
-#: uml.cpp:366
+#: uml.cpp:375
 #, kde-format
 msgid "&Generate All Code"
 msgstr "Az össz&es kód legenerálása"
 
-#: uml.cpp:411
+#: uml.cpp:420
 #, kde-format
 msgid "Creates a new document"
 msgstr "Létrehoz egy új dokumentumot"
 
-#: uml.cpp:412
+#: uml.cpp:421
 #, kde-format
 msgid "Opens an existing document"
 msgstr "Megnyit egy már létező dokumentumot"
 
-#: uml.cpp:413
+#: uml.cpp:422
 #, kde-format
 msgid "Opens a recently used file"
 msgstr "Megnyit egy nemrég használt fájlt"
 
-#: uml.cpp:414
+#: uml.cpp:423
 #, kde-format
 msgid "Saves the document"
 msgstr "A dokumentum mentése"
 
-#: uml.cpp:415
+#: uml.cpp:424
 #, kde-format
 msgid "Saves the document as..."
 msgstr "A dokumentum mentése másként..."
 
-#: uml.cpp:416
+#: uml.cpp:425
 #, kde-format
 msgid "Closes the document"
 msgstr "A dokumentum bezárása"
 
-#: uml.cpp:417
+#: uml.cpp:426
 #, kde-format
 msgid "Prints out the document"
 msgstr "Kinyomtatja a dokumentumot"
 
-#: uml.cpp:418
+#: uml.cpp:427
 #, kde-format
 msgid "Print Preview of the document"
 msgstr "A dokumentum nyomtatási képe"
 
-#: uml.cpp:419
+#: uml.cpp:428
 #, kde-format
 msgid "Quits the application"
 msgstr "Bezárja az alkalmazást"
 
-#: uml.cpp:420
+#: uml.cpp:429
 #, kde-format
 msgid "Exports the model to the docbook format"
 msgstr "Exportálja a modellt DocBook formátumban"
 
-#: uml.cpp:421
+#: uml.cpp:430
 #, kde-format
 msgid "Exports the model to the XHTML format"
 msgstr "Exportálja a modellt XHTML formátumban"
 
-#: uml.cpp:422
+#: uml.cpp:431
 #, kde-format
 msgid "Cuts the selected section and puts it to the clipboard"
 msgstr "Kivágja a kijelölt részt a vágólapra"
 
-#: uml.cpp:423
+#: uml.cpp:432
 #, kde-format
 msgid "Copies the selected section to the clipboard"
 msgstr "Kimásolja a kijelölt részt a vágólapra"
 
-#: uml.cpp:424
+#: uml.cpp:433
 #, kde-format
 msgid "Pastes the contents of the clipboard"
 msgstr "Beilleszti a vágólap adattartalmát"
 
-#: uml.cpp:425
+#: uml.cpp:434
 #, kde-format
 msgid "Set the default program preferences"
 msgstr "Beállítja a program jellemzőit"
 
-#: uml.cpp:429
+#: uml.cpp:438
 #, kde-format
 msgctxt "delete selected widget"
 msgid "Delete &Selected"
 msgstr "A kijelölt elemek &törlése"
 
-#: uml.cpp:440
+#: uml.cpp:449
 #, kde-format
 msgid "&Class Diagram..."
 msgstr "Osztál&ydiagram..."
 
-#: uml.cpp:447
+#: uml.cpp:456
 #, fuzzy, kde-format
 #| msgid "S&tate Diagram..."
 msgid "&Object Diagram..."
 msgstr "Álla&potdiagram..."
 
-#: uml.cpp:454
+#: uml.cpp:463
 #, kde-format
 msgid "&Sequence Diagram..."
 msgstr "Sorozat&diagram..."
 
-#: uml.cpp:460
+#: uml.cpp:469
 #, fuzzy, kde-format
 #| msgid "C&ollaboration Diagram..."
 msgid "C&ommunication Diagram..."
 msgstr "Cs&oportmunka-diagram..."
 
-#: uml.cpp:466
+#: uml.cpp:475
 #, kde-format
 msgid "&Use Case Diagram..."
 msgstr "&Esetdiagram használata..."
 
-#: uml.cpp:472
+#: uml.cpp:481
 #, kde-format
 msgid "S&tate Diagram..."
 msgstr "Álla&potdiagram..."
 
-#: uml.cpp:478
+#: uml.cpp:487
 #, kde-format
 msgid "&Activity Diagram..."
 msgstr "Tevé&kenységdiagram..."
 
-#: uml.cpp:484
+#: uml.cpp:493
 #, kde-format
 msgid "Co&mponent Diagram..."
 msgstr "Kom&ponensdiagram..."
 
-#: uml.cpp:490
+#: uml.cpp:499
 #, kde-format
 msgid "&Deployment Diagram..."
 msgstr "&Elhelyezési diagram..."
 
-#: uml.cpp:496
+#: uml.cpp:505
 #, kde-format
 msgid "&Entity Relationship Diagram..."
 msgstr "Ent&itásviszony-diagram..."
 
-#: uml.cpp:501 uml.cpp:954
+#: uml.cpp:510 uml.cpp:963
 #, kde-format
 msgid "&Tree View"
 msgstr "&Fastruktúra-nézet"
 
-#: uml.cpp:505
+#: uml.cpp:514
 #, kde-format
 msgid "&Debugging"
 msgstr "&Hibakeresés"
 
-#: uml.cpp:513
+#: uml.cpp:522
 #, kde-format
 msgid "&Logging"
 msgstr "&Naplózás"
 
-#: uml.cpp:517
+#: uml.cpp:526
 #, kde-format
 msgid "&Command history"
 msgstr "Parancs&előzmények"
@@ -7574,136 +7574,136 @@ msgstr "Parancs&előzmények"
 #. m_propertyDock->setObjectName(QLatin1String("PropertyDock"));
 #. addDockWidget(Qt::LeftDockWidgetArea, m_propertyDock);  //:TODO:
 #. create the bird's eye view
-#: uml.cpp:521 uml.cpp:1011
+#: uml.cpp:530 uml.cpp:1020
 #, kde-format
 msgid "&Bird's eye view"
 msgstr ""
 
-#: uml.cpp:526
+#: uml.cpp:535
 #, kde-format
 msgid "&Clear Diagram"
 msgstr "A dia&gram törlése"
 
-#: uml.cpp:530
+#: uml.cpp:539
 #, kde-format
 msgid "&Snap to Grid"
 msgstr "&Illesztés a rácshoz"
 
-#: uml.cpp:534
+#: uml.cpp:543
 #, kde-format
 msgid "S&how Grid"
 msgstr "A rá&cs megjelenítése"
 
-#: uml.cpp:539
+#: uml.cpp:548
 #, kde-format
 msgid "&Delete Diagram"
 msgstr "&Diagram törlése"
 
-#: uml.cpp:544
+#: uml.cpp:553
 #, kde-format
 msgid "&Export as Picture..."
 msgstr "E&xportálás képként..."
 
-#: uml.cpp:549
+#: uml.cpp:558
 #, fuzzy, kde-format
 #| msgid "Export &All Diagrams as Pictures..."
 msgid "Export &Diagrams as Pictures..."
 msgstr "Az összes diagram &exportálása képként..."
 
-#: uml.cpp:569
+#: uml.cpp:578
 #, kde-format
 msgid "Z&oom to 100%"
 msgstr "N&agyítás 100%-ra"
 
-#: uml.cpp:612
+#: uml.cpp:621
 #, kde-format
 msgid "&Move Tab Left"
 msgstr "A lap b&alra mozgatása"
 
-#: uml.cpp:613
+#: uml.cpp:622
 #, kde-format
 msgid "&Move Tab Right"
 msgstr "A lap jobbra m&ozgatása"
 
-#: uml.cpp:636
+#: uml.cpp:645
 #, kde-format
 msgid "Select Diagram on Left"
 msgstr "A bal oldali diagram kiválasztása"
 
-#: uml.cpp:637
+#: uml.cpp:646
 #, kde-format
 msgid "Select Diagram on Right"
 msgstr "A jobb oldali diagram kiválasztása"
 
-#: uml.cpp:776
+#: uml.cpp:785
 #, kde-format
 msgctxt "%1 percent value from 20 to 500"
 msgid " &%1%"
 msgstr ""
 
-#: uml.cpp:826
+#: uml.cpp:835
 #, kde-format
 msgctxt "init status bar"
 msgid "Ready"
 msgstr "Kész"
 
-#: uml.cpp:835 uml.cpp:848
+#: uml.cpp:844 uml.cpp:857
 #, kde-format
 msgid "100%"
 msgstr "100%"
 
-#: uml.cpp:840
+#: uml.cpp:849
 #, kde-format
 msgid "Fit"
 msgstr "Kitöltés"
 
-#: uml.cpp:899
+#: uml.cpp:908
 #, kde-format
 msgid "Diagram Toolbar"
 msgstr "Diagram-eszköztár"
 
-#: uml.cpp:965
+#: uml.cpp:974
 #, kde-format
 msgid "Doc&umentation"
 msgstr "&Dokumentáció"
 
-#: uml.cpp:976
+#: uml.cpp:985
 #, kde-format
 msgid "Co&mmand history"
 msgstr "Parancs&előzmények"
 
-#: uml.cpp:992
+#: uml.cpp:1001
 #, kde-format
 msgid "&Debug"
 msgstr "&Hibakeresés"
 
-#: uml.cpp:999
+#: uml.cpp:1008
 #, kde-format
 msgid "&Log"
 msgstr "&Napló"
 
-#: uml.cpp:1041 uml.cpp:1258 uml.cpp:1307
+#: uml.cpp:1050 uml.cpp:1267 uml.cpp:1316
 #, kde-format
 msgid "Opening file..."
 msgstr "Fájl megnyitása..."
 
-#: uml.cpp:1092 uml.cpp:1157 uml.cpp:1342 umldoc.cpp:342 umldoc.cpp:344
-#: umldoc.cpp:368 umldoc.cpp:3396
+#: uml.cpp:1101 uml.cpp:1166 uml.cpp:1351 umldoc.cpp:343 umldoc.cpp:345
+#: umldoc.cpp:369 umldoc.cpp:3405
 #, kde-format
 msgid "Untitled"
 msgstr "Nincs cím"
 
-#: uml.cpp:1240
+#: uml.cpp:1249
 #, kde-format
 msgid "Creating new document..."
 msgstr "Új dokumentum létrehozása..."
 
-#: uml.cpp:1266 uml.cpp:1281
+#: uml.cpp:1275 uml.cpp:1290
 #, kde-format
 msgid "Open File"
 msgstr "Fájl megnyitása"
 
-#: uml.cpp:1270
+#: uml.cpp:1279
 #, kde-format
 msgid ""
 "*.xmi *.xmi.tgz *.xmi.tar.bz2 *.mdl *.zargo|All Supported Files (*.xmi, *."
@@ -7722,22 +7722,22 @@ msgstr ""
 "*.mdl|Rose modellfájlok (*.mdl)\n"
 "*.zargo|Tömörített argo fájlok (*.zargo)\n"
 
-#: uml.cpp:1341
+#: uml.cpp:1350
 #, kde-format
 msgid "Saving file..."
 msgstr "A fájl mentése..."
 
-#: uml.cpp:1358
+#: uml.cpp:1367
 #, kde-format
 msgid "Saving file with a new filename..."
 msgstr "A fájl mentése más néven..."
 
-#: uml.cpp:1368 uml.cpp:1374 umlviewimageexporter.cpp:199
+#: uml.cpp:1377 uml.cpp:1383 umlviewimageexporter.cpp:199
 #, kde-format
 msgid "Save As"
 msgstr "Mentés másként"
 
-#: uml.cpp:1369
+#: uml.cpp:1378
 #, fuzzy, kde-format
 #| msgid ""
 #| "*.xmi|XMI File\n"
@@ -7753,7 +7753,7 @@ msgstr ""
 "*.xmi.tar.bz2|Bzip2-vel tmörített XMI-fájl\n"
 "*|Minden fájl"
 
-#: uml.cpp:1374
+#: uml.cpp:1383
 #, fuzzy, kde-format
 #| msgid ""
 #| "*.xmi|XMI File\n"
@@ -7771,7 +7771,7 @@ msgstr ""
 "*.xmi.tar.bz2|Bzip2-vel tmörített XMI-fájl\n"
 "*|Minden fájl"
 
-#: uml.cpp:1387
+#: uml.cpp:1396
 #, kde-format
 msgid ""
 "The file %1 exists.\n"
@@ -7780,67 +7780,67 @@ msgstr ""
 "%1 nevű fájl már létezik.\n"
 "Felül szeretné írni?"
 
-#: uml.cpp:1388
+#: uml.cpp:1397
 #, kde-format
 msgid "Warning"
 msgstr "Figyelem"
 
-#: uml.cpp:1388
+#: uml.cpp:1397
 #, kde-format
 msgid "Overwrite"
 msgstr "Felülírás"
 
-#: uml.cpp:1422
+#: uml.cpp:1431
 #, kde-format
 msgid "Closing file..."
 msgstr "Fájl bezárása..."
 
-#: uml.cpp:1432
+#: uml.cpp:1441
 #, kde-format
 msgid "No search term entered"
 msgstr "Nincs megadva keresési kifejezés"
 
-#: uml.cpp:1438
+#: uml.cpp:1447
 #, kde-format
 msgid "'%1': %2 found"
 msgstr "„%1”: %2 találat"
 
-#: uml.cpp:1502
+#: uml.cpp:1511
 #, kde-format
 msgid "Print Preview..."
 msgstr "Nyomtatási kép…"
 
-#: uml.cpp:1529
+#: uml.cpp:1538
 #, kde-format
 msgid "Printing..."
 msgstr "Nyomtatás…"
 
-#: uml.cpp:1536 uml.cpp:1540
+#: uml.cpp:1545 uml.cpp:1549
 #, kde-format
 msgid "Print %1"
 msgstr "Nyomtatás - %1"
 
-#: uml.cpp:1560
+#: uml.cpp:1569
 #, kde-format
 msgid "Exiting..."
 msgstr "Kilépés…"
 
-#: uml.cpp:1647
+#: uml.cpp:1656
 #, kde-format
 msgid "Cutting selection..."
 msgstr "A kijelölt rész kivágása…"
 
-#: uml.cpp:1670
+#: uml.cpp:1679
 #, kde-format
 msgid "Copying selection to clipboard..."
 msgstr "A kijelölt rész kimásolása…"
 
-#: uml.cpp:1682
+#: uml.cpp:1691
 #, kde-format
 msgid "Inserting clipboard contents..."
 msgstr "A vágólap tartalmának beillesztése…"
 
-#: uml.cpp:1687
+#: uml.cpp:1696
 #, kde-format
 msgid ""
 "Umbrello could not paste the clipboard contents.  The objects in the "
@@ -7849,38 +7849,38 @@ msgstr ""
 "Nem sikerült beilleszteni a vágólap tartalmát. Lehet, hogy az objektum "
 "típusa nem teszi lehetővé az adatok beillesztését."
 
-#: uml.cpp:1713 umlviewimageexporter.cpp:92 umlviewimageexporterall.cpp:123
+#: uml.cpp:1722 umlviewimageexporter.cpp:92 umlviewimageexporterall.cpp:123
 #, kde-format
 msgctxt "reset status bar"
 msgid "Ready."
 msgstr "Kész."
 
-#: uml.cpp:2246
+#: uml.cpp:2255
 #, kde-format
 msgid "Cannot view code until you generate some first."
 msgstr "Nem tekinthető meg a kód, előbb létre kell hozni."
 
-#: uml.cpp:2246 uml.cpp:2249
+#: uml.cpp:2255 uml.cpp:2258
 #, kde-format
 msgid "Cannot View Code"
 msgstr "A kód nem tekinthető meg"
 
-#: uml.cpp:2249
+#: uml.cpp:2258
 #, kde-format
 msgid "Cannot view code from simple code writer."
 msgstr "Nem tekinthető meg a kód az egyszerű kódszerkesztőből."
 
-#: uml.cpp:2714 uml.cpp:2716
+#: uml.cpp:2728 uml.cpp:2730
 #, kde-format
 msgid "Select file(s) to import:"
 msgstr "Importálandó fájlok kiválasztása:"
 
-#: uml.cpp:2747 uml.cpp:2749
+#: uml.cpp:2761 uml.cpp:2763
 #, kde-format
 msgid "Select directory to import:"
 msgstr "Importálandó könyvtárak kiválasztása:"
 
-#: uml.cpp:3313
+#: uml.cpp:3335
 #, kde-format
 msgid "XHTML Generation failed ."
 msgstr "Nem sikerült az XHTML-generálás."
@@ -7894,20 +7894,20 @@ msgstr ""
 "Már létezik művelet ezzel a névvel és aláírással. Nem lehet még egyszer "
 "felvenni."
 
-#: uml1model/folder.cpp:435
+#: uml1model/folder.cpp:436
 #, kde-format
 msgid "The folderfile %1 does not exist."
 msgstr "A(z) %1 mappafájl nem létezik."
 
-#: uml1model/folder.cpp:435 uml1model/folder.cpp:439 umldoc.cpp:529
-#: umldoc.cpp:541 umldoc.cpp:568 umldoc.cpp:570 umldoc.cpp:620 umldoc.cpp:623
-#: umldoc.cpp:638 umldoc.cpp:641 umldoc.cpp:665 umldoc.cpp:668 umldoc.cpp:684
-#: umldoc.cpp:687 umldoc.cpp:702 umldoc.cpp:705 umldoc.cpp:750
+#: uml1model/folder.cpp:436 uml1model/folder.cpp:440 umldoc.cpp:530
+#: umldoc.cpp:542 umldoc.cpp:569 umldoc.cpp:571 umldoc.cpp:621 umldoc.cpp:624
+#: umldoc.cpp:639 umldoc.cpp:642 umldoc.cpp:666 umldoc.cpp:669 umldoc.cpp:685
+#: umldoc.cpp:688 umldoc.cpp:703 umldoc.cpp:706 umldoc.cpp:751
 #, kde-format
 msgid "Load Error"
 msgstr "Betöltési hiba"
 
-#: uml1model/folder.cpp:439
+#: uml1model/folder.cpp:440
 #, kde-format
 msgid "The folderfile %1 cannot be opened."
 msgstr "A(z) %1 mappafájl nem nyitható meg."
@@ -7917,13 +7917,13 @@ msgstr "A(z) %1 mappafájl nem nyitható
 msgid "new_parameter"
 msgstr "új_paraméter"
 
-#: uml1model/package.cpp:163
+#: uml1model/package.cpp:169
 #, kde-format
 msgctxt "object name"
 msgid "Name"
 msgstr "Név"
 
-#: uml1model/package.cpp:164
+#: uml1model/package.cpp:170
 #, kde-format
 msgid ""
 "An object with the name %1\n"
@@ -7949,79 +7949,79 @@ msgstr "új_mező"
 msgid "new_fkey_constraint"
 msgstr "új_fgomb_feltétel"
 
-#: uml1model/umlobject.cpp:1140
+#: uml1model/umlobject.cpp:1141
 #, kde-format
 msgid "Actor &name:"
 msgstr "Szereplő &neve:"
 
-#: uml1model/umlobject.cpp:1143
+#: uml1model/umlobject.cpp:1144
 #, kde-format
 msgid "Artifact &name:"
 msgstr "Produktum &neve:"
 
-#: uml1model/umlobject.cpp:1146
+#: uml1model/umlobject.cpp:1147
 #, fuzzy, kde-format
 #| msgid "Association Name"
 msgid "Association &name:"
 msgstr "A társítás neve"
 
-#: uml1model/umlobject.cpp:1149
+#: uml1model/umlobject.cpp:1150
 #, kde-format
 msgid "Class &name:"
 msgstr "Osztály &neve:"
 
-#: uml1model/umlobject.cpp:1152
+#: uml1model/umlobject.cpp:1153
 #, kde-format
 msgid "Component &name:"
 msgstr "Komponens &neve:"
 
-#: uml1model/umlobject.cpp:1155
+#: uml1model/umlobject.cpp:1156
 #, kde-format
 msgid "Datatype &name:"
 msgstr "Adattípus &neve:"
 
-#: uml1model/umlobject.cpp:1158
+#: uml1model/umlobject.cpp:1159
 #, kde-format
 msgid "Entity &name:"
 msgstr "Entitás &neve:"
 
-#: uml1model/umlobject.cpp:1161
+#: uml1model/umlobject.cpp:1162
 #, kde-format
 msgid "Enum &name:"
 msgstr "Felsorolás &neve:"
 
-#: uml1model/umlobject.cpp:1164
+#: uml1model/umlobject.cpp:1165
 #, fuzzy, kde-format
 #| msgid "Node &name:"
 msgid "Folder &name:"
 msgstr "Csomópont &neve:"
 
-#: uml1model/umlobject.cpp:1167
+#: uml1model/umlobject.cpp:1168
 #, kde-format
 msgid "Interface &name:"
 msgstr "Csatlakozási felület &neve:"
 
-#: uml1model/umlobject.cpp:1170
+#: uml1model/umlobject.cpp:1171
 #, kde-format
 msgid "Node &name:"
 msgstr "Csomópont &neve:"
 
-#: uml1model/umlobject.cpp:1173
+#: uml1model/umlobject.cpp:1174
 #, kde-format
 msgid "Package &name:"
 msgstr "Csomag &neve:"
 
-#: uml1model/umlobject.cpp:1176
+#: uml1model/umlobject.cpp:1177
 #, kde-format
 msgid "Port &name:"
 msgstr "Port &neve:"
 
-#: uml1model/umlobject.cpp:1182
+#: uml1model/umlobject.cpp:1183
 #, kde-format
 msgid "Use case &name:"
 msgstr "Használati eset &neve:"
 
-#: uml1model/umlobject.cpp:1185
+#: uml1model/umlobject.cpp:1186
 #, kde-format
 msgid "Instance name:"
 msgstr "A példány neve:"
@@ -8043,42 +8043,42 @@ msgstr "Sztereótípusok"
 msgid "Welcome"
 msgstr ""
 
-#: umldoc.cpp:112 umldoc.cpp:2400 umldoc.cpp:2428
+#: umldoc.cpp:113 umldoc.cpp:2405 umldoc.cpp:2433
 #, kde-format
 msgid "UML Model"
 msgstr "UML-modell"
 
-#: umldoc.cpp:154
+#: umldoc.cpp:155
 #, kde-format
 msgid "Logical View"
 msgstr "Logikai nézet"
 
-#: umldoc.cpp:155
+#: umldoc.cpp:156
 #, kde-format
 msgid "Use Case View"
 msgstr "Eseti nézet használata"
 
-#: umldoc.cpp:156
+#: umldoc.cpp:157
 #, kde-format
 msgid "Component View"
 msgstr "Komponens-nézet"
 
-#: umldoc.cpp:157
+#: umldoc.cpp:158
 #, kde-format
 msgid "Deployment View"
 msgstr "Elhelyezési nézet"
 
-#: umldoc.cpp:158
+#: umldoc.cpp:159
 #, kde-format
 msgid "Entity Relationship Model"
 msgstr "Entitásviszony-modell"
 
-#: umldoc.cpp:184
+#: umldoc.cpp:185
 #, kde-format
 msgid "Datatypes"
 msgstr "Adattípusok"
 
-#: umldoc.cpp:363
+#: umldoc.cpp:364
 #, kde-format
 msgid ""
 "The current file has been modified.\n"
@@ -8087,171 +8087,171 @@ msgstr ""
 "Az aktuális fájl tartalma megváltozott.\n"
 "El szeretné menteni?"
 
-#: umldoc.cpp:364
+#: umldoc.cpp:365
 #, kde-format
 msgctxt "warning message"
 msgid "Warning"
 msgstr "Figyelmeztetés"
 
-#: umldoc.cpp:529
+#: umldoc.cpp:530
 #, fuzzy, kde-format
 #| msgid "The file %1 does not exist."
 msgid "The file <%1> does not exist."
 msgstr "%1 nevű fájl nem létezik."
 
-#: umldoc.cpp:541
+#: umldoc.cpp:542
 #, kde-format
 msgid "The file %1 does not exist."
 msgstr "%1 nevű fájl nem létezik."
 
-#: umldoc.cpp:568 umldoc.cpp:570
+#: umldoc.cpp:569 umldoc.cpp:571
 #, kde-format
 msgid "The file %1 seems to be corrupted."
 msgstr "A(z) %1 fájl valószínűleg hibás."
 
-#: umldoc.cpp:619 umldoc.cpp:622 umldoc.cpp:637 umldoc.cpp:640 umldoc.cpp:683
-#: umldoc.cpp:686
+#: umldoc.cpp:620 umldoc.cpp:623 umldoc.cpp:638 umldoc.cpp:641 umldoc.cpp:684
+#: umldoc.cpp:687
 #, kde-format
 msgid "There was no XMI file found in the compressed file %1."
 msgstr "Nem található XMI-fájl a(z) %1 tömörített fájlban."
 
-#: umldoc.cpp:664 umldoc.cpp:667
+#: umldoc.cpp:665 umldoc.cpp:668
 #, kde-format
 msgid "There was a problem loading the extracted file: %1"
 msgstr "Hiba történt a(z) %1 kitömörített fájl betöltésekor."
 
-#: umldoc.cpp:701 umldoc.cpp:704 umldoc.cpp:744 umldoc.cpp:746
+#: umldoc.cpp:702 umldoc.cpp:705 umldoc.cpp:745 umldoc.cpp:747
 #, kde-format
 msgid "There was a problem loading file: %1"
 msgstr "Hiba történt a(z) %1 fájl betöltésekor."
 
-#: umldoc.cpp:749
+#: umldoc.cpp:750
 #, kde-format
 msgid "Reason: %1"
 msgstr ""
 
-#: umldoc.cpp:832 umldoc.cpp:834 umldoc.cpp:851 umldoc.cpp:853 umldoc.cpp:873
-#: umldoc.cpp:875 umldoc.cpp:924 umldoc.cpp:926 umldoc.cpp:966 umldoc.cpp:969
-#: umldoc.cpp:978 umldoc.cpp:980 umllistview.cpp:593
+#: umldoc.cpp:833 umldoc.cpp:835 umldoc.cpp:852 umldoc.cpp:854 umldoc.cpp:874
+#: umldoc.cpp:876 umldoc.cpp:925 umldoc.cpp:927 umldoc.cpp:968 umldoc.cpp:971
+#: umldoc.cpp:980 umldoc.cpp:982 umllistview.cpp:594
 #, kde-format
 msgid "Save Error"
 msgstr "Mentési hiba"
 
-#: umldoc.cpp:832 umldoc.cpp:851 umldoc.cpp:873 umldoc.cpp:924 umldoc.cpp:966
+#: umldoc.cpp:833 umldoc.cpp:852 umldoc.cpp:874 umldoc.cpp:925 umldoc.cpp:968
 #, fuzzy, kde-format
 #| msgid "There was a problem saving file: %1"
 msgid "There was a problem saving: %1"
 msgstr "Hiba történt a(z) %1 fájl mentése közben"
 
-#: umldoc.cpp:834 umldoc.cpp:853 umldoc.cpp:875 umldoc.cpp:926 umldoc.cpp:969
-#: umllistview.cpp:592 umlviewimageexportermodel.cpp:303
+#: umldoc.cpp:835 umldoc.cpp:854 umldoc.cpp:876 umldoc.cpp:927 umldoc.cpp:971
+#: umllistview.cpp:593 umlviewimageexportermodel.cpp:303
 #, kde-format
 msgid "There was a problem saving file: %1"
 msgstr "Hiba történt a(z) %1 fájl mentése közben"
 
-#: umldoc.cpp:978
+#: umldoc.cpp:980
 #, fuzzy, kde-format
 #| msgid "There was a problem uploading file: %1"
 msgid "There was a problem uploading: %1"
 msgstr "Hiba történt a(z) %1 fájl feltöltése közben"
 
-#: umldoc.cpp:980
+#: umldoc.cpp:982
 #, kde-format
 msgid "There was a problem uploading file: %1"
 msgstr "Hiba történt a(z) %1 fájl feltöltése közben"
 
-#: umldoc.cpp:1526
+#: umldoc.cpp:1528
 #, kde-format
 msgid "use case diagram"
 msgstr "eseti diagram használata"
 
-#: umldoc.cpp:1529
+#: umldoc.cpp:1531
 #, kde-format
 msgid "class diagram"
 msgstr "osztálydiagram"
 
-#: umldoc.cpp:1532
+#: umldoc.cpp:1534
 #, kde-format
 msgid "sequence diagram"
 msgstr "sorozatdiagram"
 
-#: umldoc.cpp:1535
+#: umldoc.cpp:1537
 #, fuzzy, kde-format
 #| msgid "collaboration diagram"
 msgid "communication diagram"
 msgstr "csoportmunka-diagram"
 
-#: umldoc.cpp:1538
+#: umldoc.cpp:1540
 #, fuzzy, kde-format
 #| msgid "&Select diagrams"
 msgid "object diagram"
 msgstr "A kijelölt diagram&ok"
 
-#: umldoc.cpp:1541
+#: umldoc.cpp:1543
 #, kde-format
 msgid "state diagram"
 msgstr "állapotdiagram"
 
-#: umldoc.cpp:1544
+#: umldoc.cpp:1546
 #, kde-format
 msgid "activity diagram"
 msgstr "tevékenységi diagram"
 
-#: umldoc.cpp:1547
+#: umldoc.cpp:1549
 #, kde-format
 msgid "component diagram"
 msgstr "komponensdiagram"
 
-#: umldoc.cpp:1550
+#: umldoc.cpp:1552
 #, kde-format
 msgid "deployment diagram"
 msgstr "elhelyezési diagram"
 
-#: umldoc.cpp:1553
+#: umldoc.cpp:1555
 #, kde-format
 msgid "entity relationship diagram"
 msgstr "entitásviszony-diagram"
 
-#: umldoc.cpp:1623
+#: umldoc.cpp:1625
 #, kde-format
 msgctxt "diagram name"
 msgid "Name"
 msgstr "Név"
 
-#: umldoc.cpp:1623 umldoc.cpp:1686 umldoc.cpp:1715 umldoc.cpp:1749
+#: umldoc.cpp:1625 umldoc.cpp:1688 umldoc.cpp:1717 umldoc.cpp:1751
 #, kde-format
 msgid "Enter name:"
 msgstr "Név megadása:"
 
-#: umldoc.cpp:1627 umldoc.cpp:1692
+#: umldoc.cpp:1629 umldoc.cpp:1694
 #, kde-format
 msgid "That is an invalid name for a diagram."
 msgstr "A diagramnak adott név érvénytelen."
 
-#: umldoc.cpp:1629 umldoc.cpp:1699
+#: umldoc.cpp:1631 umldoc.cpp:1701
 #, kde-format
 msgid "A diagram is already using that name."
 msgstr "Egy másik diagram már használja ezt a nevet."
 
-#: umldoc.cpp:1685
+#: umldoc.cpp:1687
 #, kde-format
 msgctxt "renaming diagram"
 msgid "Name"
 msgstr "Név"
 
-#: umldoc.cpp:1714
+#: umldoc.cpp:1716
 #, kde-format
 msgctxt "renaming uml object"
 msgid "Name"
 msgstr "Név"
 
-#: umldoc.cpp:1748
+#: umldoc.cpp:1750
 #, kde-format
 msgctxt "renaming child uml object"
 msgid "Name"
 msgstr "Név"
 
-#: umldoc.cpp:1758
+#: umldoc.cpp:1760
 #, kde-format
 msgid ""
 "The name you entered was not unique.\n"
@@ -8260,62 +8260,62 @@ msgstr ""
 "A megadott név nem egyedi.\n"
 "Biztosan ezt szerette volna?"
 
-#: umldoc.cpp:1759
+#: umldoc.cpp:1761
 #, kde-format
 msgid "Use Name"
 msgstr "A név használata"
 
-#: umldoc.cpp:1759
+#: umldoc.cpp:1761
 #, kde-format
 msgid "Enter New Name"
 msgstr "Adja meg az új nevet"
 
-#: umldoc.cpp:2361
+#: umldoc.cpp:2366
 #, kde-format
 msgid "Unsupported xmi file version: %1"
 msgstr ""
 
-#: umldoc.cpp:2511
+#: umldoc.cpp:2516
 #, kde-format
 msgid "Setting up the document..."
 msgstr "A dokumentum beállítása..."
 
-#: umldoc.cpp:2540
+#: umldoc.cpp:2545
 #, kde-format
 msgid "Resolving object references..."
 msgstr "Az objektumhivatkozások feloldása..."
 
-#: umldoc.cpp:2648
+#: umldoc.cpp:2653
 #, kde-format
 msgid "Loading UML elements..."
 msgstr "UML-elemek betöltése..."
 
-#: umldoc.cpp:2892
+#: umldoc.cpp:2899
 #, kde-format
 msgid "Loading diagrams..."
 msgstr "Diagramok betöltése..."
 
-#: umldoc.cpp:3400
+#: umldoc.cpp:3409
 #, kde-format
 msgid "/autosave%1"
 msgstr "/autosave%1"
 
-#: umllistview.cpp:536 umllistview.cpp:540
+#: umllistview.cpp:537 umllistview.cpp:541
 #, kde-format
 msgid "Externalize Folder"
 msgstr "Könyvtár külsővé tétele"
 
-#: umllistview.cpp:574
+#: umllistview.cpp:575
 #, kde-format
 msgid "Folder %1 must be relative to the main model directory, %2."
 msgstr "A(z) %1 mappának relatívnak kell lennie a fő modellkönyvtárhoz, %2."
 
-#: umllistview.cpp:575
+#: umllistview.cpp:576
 #, kde-format
 msgid "Path Error"
 msgstr "Elérési út hiba"
 
-#: umllistview.cpp:583
+#: umllistview.cpp:584
 #, kde-format
 msgid ""
 "File %1 already exists!\n"
@@ -8324,67 +8324,67 @@ msgstr ""
 "A(z) %1 fájl már létezik!\n"
 "A létező fájl felül lesz írva."
 
-#: umllistview.cpp:584
+#: umllistview.cpp:585
 #, kde-format
 msgid "File Exist"
 msgstr "A fájl már létezik"
 
-#: umllistview.cpp:624
+#: umllistview.cpp:625
 #, kde-format
 msgid "Enter Model Name"
 msgstr "Adja meg a modell nevét"
 
-#: umllistview.cpp:625
+#: umllistview.cpp:626
 #, kde-format
 msgid "Enter the new name of the model:"
 msgstr "A modell új neve:"
 
-#: umllistview.cpp:1422
+#: umllistview.cpp:1430
 #, kde-format
 msgid "Views"
 msgstr "Nézetek"
 
-#: umllistview.cpp:1441
+#: umllistview.cpp:1449
 #, fuzzy, kde-format
 #| msgid "&Settings"
 msgid "Settings"
 msgstr "&Beállítások"
 
-#: umllistview.cpp:2413
+#: umllistview.cpp:2421
 #, kde-format
 msgid "Loading listview..."
 msgstr "Listanézet betöltése..."
 
-#: umllistview.cpp:2764
+#: umllistview.cpp:2772
 #, fuzzy, kde-format
 #| msgid "The folder must be emptied before it can be deleted."
 msgid "The class must be emptied before it can be deleted."
 msgstr "Csak üres könyvtárat lehet törölni."
 
-#: umllistview.cpp:2765
+#: umllistview.cpp:2773
 #, fuzzy, kde-format
 #| msgid "Folder Not Empty"
 msgid "Class Not Empty"
 msgstr "A könyvtár nem üres"
 
-#: umllistview.cpp:2769
+#: umllistview.cpp:2777
 #, fuzzy, kde-format
 #| msgid "The folder must be emptied before it can be deleted."
 msgid "The package must be emptied before it can be deleted."
 msgstr "Csak üres könyvtárat lehet törölni."
 
-#: umllistview.cpp:2770
+#: umllistview.cpp:2778
 #, fuzzy, kde-format
 #| msgid "Folder Not Empty"
 msgid "Package Not Empty"
 msgstr "A könyvtár nem üres"
 
-#: umllistview.cpp:2774
+#: umllistview.cpp:2782
 #, kde-format
 msgid "The folder must be emptied before it can be deleted."
 msgstr "Csak üres könyvtárat lehet törölni."
 
-#: umllistview.cpp:2775
+#: umllistview.cpp:2783
 #, kde-format
 msgid "Folder Not Empty"
 msgstr "A könyvtár nem üres"
diff -pruN 4:20.08.3-1/po/it/umbrello.po 4:20.12.0-0ubuntu1/po/it/umbrello.po
--- 4:20.08.3-1/po/it/umbrello.po	2020-11-03 00:42:16.000000000 +0000
+++ 4:20.12.0-0ubuntu1/po/it/umbrello.po	2020-12-04 00:21:30.000000000 +0000
@@ -10,7 +10,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: umbrello\n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
-"POT-Creation-Date: 2020-08-14 08:09+0200\n"
+"POT-Creation-Date: 2020-11-06 02:36+0100\n"
 "PO-Revision-Date: 2020-10-28 23:17+0100\n"
 "Last-Translator: Luigi Toscano <luigi.toscano@tiscali.it>\n"
 "Language-Team: Italian <kde-i18n-it@kde.org>\n"
@@ -212,7 +212,7 @@ msgstr ""
 "elemento con lo stesso nome esiste già. Ogni altro elemento è stato "
 "incollato."
 
-#: clipboard/umlclipboard.cpp:753 uml.cpp:1689
+#: clipboard/umlclipboard.cpp:753 uml.cpp:1698
 #, kde-format
 msgid "Paste Error"
 msgstr "Errore di incollamento"
@@ -438,7 +438,7 @@ msgstr "<p align=\"center\">Generazione
 #. i18n: ectx: attribute (title), widget (QWidget, ui_tabGeneral)
 #: codegenerators/cpp/cppcodegenerationformbase.ui:51
 #: codegenwizard/codegenoptionspage.ui:39 dialogs/objectnodedialog.cpp:135
-#: umllistview.cpp:1451
+#: umllistview.cpp:1459
 #, kde-format
 msgid "General"
 msgstr "Generale"
@@ -1320,7 +1320,7 @@ msgstr "Stato"
 #. i18n: ectx: property (text), widget (QRadioButton, ui_categoryClass)
 #. i18n: ectx: property (text), widget (QTableWidget, ui_tableWidgetStatus)
 #: codegenwizard/codegenstatuspage.ui:40 codeimpwizard/codeimpstatuspage.ui:54
-#: dialogs/finddialog.ui:89 umllistview.cpp:1446 umlwidgets/widgetbase.cpp:1255
+#: dialogs/finddialog.ui:89 umllistview.cpp:1454 umlwidgets/widgetbase.cpp:1255
 #, kde-format
 msgid "Class"
 msgstr "Classe"
@@ -1975,17 +1975,17 @@ msgstr "Abilita i messaggi relativi all'
 msgid "Enable 'delete diagram' related messages"
 msgstr "Abilita i messaggi relativi all'eliminazione di diagrammi"
 
-#: dialogs/dialog_utils.cpp:117
+#: dialogs/dialog_utils.cpp:118
 #, kde-format
 msgid "You are about to delete an association. Do you really want to continue?"
 msgstr "Stai per eliminare un'associazione. Vuoi davvero continuare?"
 
-#: dialogs/dialog_utils.cpp:118
+#: dialogs/dialog_utils.cpp:119
 #, kde-format
 msgid "Delete Association"
 msgstr "Elimina associazione"
 
-#: dialogs/dialog_utils.cpp:132
+#: dialogs/dialog_utils.cpp:133
 #, kde-format
 msgid ""
 "You are about to delete the entire diagram.\n"
@@ -1994,17 +1994,17 @@ msgstr ""
 "Stai per eliminare l'intero diagramma.\n"
 "Sei sicuro?"
 
-#: dialogs/dialog_utils.cpp:133
+#: dialogs/dialog_utils.cpp:134
 #, kde-format
 msgid "Are you sure you want to delete diagram %1?"
 msgstr "Sei sicuro di voler eliminare il diagramma %1?"
 
-#: dialogs/dialog_utils.cpp:138
+#: dialogs/dialog_utils.cpp:139
 #, kde-format
 msgid "Delete Diagram?"
 msgstr "Elimina il diagramma?"
 
-#: dialogs/dialog_utils.cpp:139 dialogs/pages/classifierlistpage.cpp:215
+#: dialogs/dialog_utils.cpp:140 dialogs/pages/classifierlistpage.cpp:215
 #: dialogs/pages/classifierlistpage.cpp:223
 #: dialogs/umlforeignkeyconstraintdialog.cpp:325
 #: dialogs/umlforeignkeyconstraintdialog.cpp:331
@@ -2168,7 +2168,7 @@ msgstr "Generale"
 #. i18n: ectx: label, entry (uiFont), group (UI Options)
 #. i18n: ectx: label, entry (codeViewerFont), group (Code Viewer Options)
 #: dialogs/multipagedialogbase.cpp:405 umbrello.kcfg:177 umbrello.kcfg:292
-#: umllistview.cpp:1450
+#: umllistview.cpp:1458
 #, kde-format
 msgid "Font"
 msgstr "Carattere"
@@ -2600,7 +2600,7 @@ msgstr "Nuovo attributo d&ell'istanza...
 
 #: dialogs/pages/classifierlistpage.cpp:217
 #: dialogs/pages/classifierlistpage.cpp:225 dialogs/umloperationdialog.cpp:167
-#: dialogs/umloperationdialog.cpp:175 uml.cpp:554
+#: dialogs/umloperationdialog.cpp:175 uml.cpp:563
 #, kde-format
 msgid "&Properties"
 msgstr "&Proprietà"
@@ -2618,7 +2618,7 @@ msgid "Source Code"
 msgstr "Codice sorgente"
 
 #: dialogs/pages/classoptionspage.cpp:157
-#: dialogs/pages/classoptionspage.cpp:251 uml.cpp:509
+#: dialogs/pages/classoptionspage.cpp:251 uml.cpp:518
 #, kde-format
 msgid "&Documentation"
 msgstr "&Documentazione"
@@ -2807,8 +2807,8 @@ msgstr "Il nome inserito non è valido."
 #: uml1model/classifier.cpp:410 uml1model/classifier.cpp:781
 #: uml1model/entity.cpp:125 uml1model/entity.cpp:178 uml1model/entity.cpp:228
 #: uml1model/entity.cpp:277 uml1model/enum.cpp:107 uml1model/instance.cpp:124
-#: uml1model/package.cpp:172 umldoc.cpp:1627 umldoc.cpp:1692 umldoc.cpp:1721
-#: umldoc.cpp:1755
+#: uml1model/package.cpp:178 umldoc.cpp:1629 umldoc.cpp:1694 umldoc.cpp:1723
+#: umldoc.cpp:1757
 #, kde-format
 msgid "Invalid Name"
 msgstr "Nome non valido"
@@ -2818,7 +2818,7 @@ msgstr "Nome non valido"
 msgid "The name you have entered is not unique."
 msgstr "Il nome inserito non è univoco."
 
-#: dialogs/pages/diagrampropertiespage.cpp:86 umldoc.cpp:1759
+#: dialogs/pages/diagrampropertiespage.cpp:86 umldoc.cpp:1761
 #, kde-format
 msgid "Name Not Unique"
 msgstr "Nome non univoco"
@@ -3289,7 +3289,7 @@ msgstr "Diagramma"
 msgid "Umbrello Setup"
 msgstr "Configurazione di Umbrello"
 
-#: dialogs/settingsdialog.cpp:114 umllistview.cpp:1452
+#: dialogs/settingsdialog.cpp:114 umllistview.cpp:1460
 #, kde-format
 msgid "User Interface"
 msgstr "Interfaccia utente"
@@ -3316,7 +3316,7 @@ msgstr "Classe"
 msgid "Class Settings"
 msgstr "Impostazioni della classe"
 
-#: dialogs/settingsdialog.cpp:137 umllistview.cpp:1447
+#: dialogs/settingsdialog.cpp:137 umllistview.cpp:1455
 #, kde-format
 msgid "Code Importer"
 msgstr "Importatore di codice"
@@ -3326,7 +3326,7 @@ msgstr "Importatore di codice"
 msgid "Code Import Settings"
 msgstr "Impostazioni di importazione del codice"
 
-#: dialogs/settingsdialog.cpp:146 umllistview.cpp:1448
+#: dialogs/settingsdialog.cpp:146 umllistview.cpp:1456
 #, kde-format
 msgid "Code Generation"
 msgstr "Generazione del codice"
@@ -3336,7 +3336,7 @@ msgstr "Generazione del codice"
 msgid "Code Generation Settings"
 msgstr "Impostazioni per la generazione del codice"
 
-#: dialogs/settingsdialog.cpp:154 umllistview.cpp:1449
+#: dialogs/settingsdialog.cpp:154 umllistview.cpp:1457
 #, kde-format
 msgid "Code Viewer"
 msgstr "Visore del codice"
@@ -3346,7 +3346,7 @@ msgstr "Visore del codice"
 msgid "Code Viewer Settings"
 msgstr "Impostazioni per la visualizzazione del codice"
 
-#: dialogs/settingsdialog.cpp:161 umllistview.cpp:1445
+#: dialogs/settingsdialog.cpp:161 umllistview.cpp:1453
 #, kde-format
 msgid "Auto Layout"
 msgstr "Disposizione automatica"
@@ -3978,7 +3978,7 @@ msgstr "&Tipo:"
 msgid "Package path:"
 msgstr "Percorso del pacchetto:"
 
-#: dialogs/widgets/umlstereotypewidget.cpp:29 uml1model/umlobject.cpp:1179
+#: dialogs/widgets/umlstereotypewidget.cpp:29 uml1model/umlobject.cpp:1180
 #, kde-format
 msgid "Stereotype &name:"
 msgstr "&Nome dello stereotipo:"
@@ -4124,7 +4124,7 @@ msgstr ""
 msgid "Gael de Chalendar (aka Kleag)"
 msgstr "Gael de Chalendar (aka Kleag)"
 
-#: docgenerators/main.cpp:56 main.cpp:131
+#: docgenerators/main.cpp:56 main.cpp:133
 #, kde-format
 msgid "Umbrello UML Modeller Authors"
 msgstr "Autori del modellatore UML Umbrello"
@@ -4189,12 +4189,12 @@ msgstr ""
 msgid "Apply layout"
 msgstr "Applica disposizione"
 
-#: main.cpp:121
+#: main.cpp:123
 #, kde-format
 msgid "Umbrello UML Modeller"
 msgstr "Modellatore UML Umbrello"
 
-#: main.cpp:123
+#: main.cpp:125
 #, kde-format
 msgid ""
 "Umbrello – Visual development environment for software, based on the "
@@ -4205,7 +4205,7 @@ msgstr ""
 "industriale UML.<br/>Vedi anche <a href=\"http://www.omg.org/spec/\">http://"
 "www.omg.org/spec/</a>."
 
-#: main.cpp:127
+#: main.cpp:129
 #, kde-format
 msgid ""
 "Copyright © 2001 Paul Hensgen,\n"
@@ -4214,98 +4214,98 @@ msgstr ""
 "Copyright © 2001 di Paul Hensgen,\n"
 "Copyright © 2002-2020 degli autori del modellatore UML Umbrello"
 
-#: main.cpp:130
+#: main.cpp:132
 #, kde-format
 msgid "Paul Hensgen"
 msgstr "Paul Hensgen"
 
-#: main.cpp:130
+#: main.cpp:132
 #, kde-format
 msgid "Author of initial version."
 msgstr "Autore della versione iniziale."
 
-#: main.cpp:134
+#: main.cpp:136
 #, kde-format
 msgid "Oliver Kellogg"
 msgstr "Oliver Kellogg"
 
-#: main.cpp:135 main.cpp:138
+#: main.cpp:137 main.cpp:140
 #, kde-format
 msgid "Bug fixing, porting work, code cleanup, new features."
 msgstr "Correzioni, trasferimento, pulizia e nuove funzioni."
 
-#: main.cpp:137
+#: main.cpp:139
 #, kde-format
 msgid "Ralf Habacker"
 msgstr "Ralf Habacker"
 
-#: main.cpp:140
+#: main.cpp:142
 #, kde-format
 msgid "Andi Fischer"
 msgstr "Andi Fischer"
 
-#: main.cpp:141
+#: main.cpp:143
 #, kde-format
 msgid "Porting work, code cleanup, new features."
 msgstr "Trasferimento, pulizia e nuove funzioni."
 
-#: main.cpp:143
+#: main.cpp:145
 #, kde-format
 msgid "Jonathan Riddell"
 msgstr "Jonathan Riddell"
 
-#: main.cpp:144
+#: main.cpp:146
 #, kde-format
 msgid "Current maintainer."
 msgstr "Responsabile attuale."
 
-#: main.cpp:146
+#: main.cpp:148
 #, kde-format
 msgid "Brian Thomas"
 msgstr "Brian Thomas"
 
-#: main.cpp:147
+#: main.cpp:149
 #, kde-format
 msgid "A lot of work for C++ and Java code generation. Codeeditor."
 msgstr ""
 "Molto lavoro per la generazione di codice C++ e Java, editor del codice."
 
-#: main.cpp:152
+#: main.cpp:154
 #, kde-format
 msgid "File to open"
 msgstr "File da aprire"
 
-#: main.cpp:153
+#: main.cpp:155
 #, kde-format
 msgid "export diagrams to extension and exit"
 msgstr "esporta i diagrammi all'estensione ed esci"
 
-#: main.cpp:154
+#: main.cpp:156
 #, kde-format
 msgid "list available export extensions"
 msgstr "elenca le estensioni di esportazione disponibili"
 
-#: main.cpp:155
+#: main.cpp:157
 #, kde-format
 msgid "the local directory to save the exported diagrams in"
 msgstr "la cartella locale in cui salvare i diagrammi esportati"
 
-#: main.cpp:155
+#: main.cpp:157
 #, kde-format
 msgid "the directory of the file"
 msgstr "la cartella del file"
 
-#: main.cpp:156
+#: main.cpp:158
 #, kde-format
 msgid "import files"
 msgstr "importa file"
 
-#: main.cpp:157
+#: main.cpp:159
 #, kde-format
 msgid "list supported languages"
 msgstr "elenco di linguaggi supportati"
 
-#: main.cpp:158
+#: main.cpp:160
 #, kde-format
 msgid ""
 "keep the tree structure used to store the views in the document in the "
@@ -4314,12 +4314,12 @@ msgstr ""
 "mantieni la struttura ad albero usata per salvare le viste del documento "
 "nella cartella di destinazione"
 
-#: main.cpp:159
+#: main.cpp:161
 #, kde-format
 msgid "import files from directory <dir>"
 msgstr "importa file dalla cartella <dir>"
 
-#: main.cpp:163
+#: main.cpp:165
 #, kde-format
 msgid "set active language"
 msgstr "imposta il linguaggio attivo"
@@ -4583,7 +4583,7 @@ msgstr "Nascondi riquadro di distruzione
 msgid "Import File(s)..."
 msgstr "Importa file..."
 
-#: menus/listpopupmenu.cpp:201 uml.cpp:356
+#: menus/listpopupmenu.cpp:201 uml.cpp:365
 #, kde-format
 msgid "Import from Directory..."
 msgstr "Importa da cartella..."
@@ -5083,42 +5083,42 @@ msgctxt "align menu"
 msgid "Align"
 msgstr "Allinea"
 
-#: menus/widgetbasepopupmenu.cpp:598 uml.cpp:573
+#: menus/widgetbasepopupmenu.cpp:598 uml.cpp:582
 #, kde-format
 msgid "Align Right"
 msgstr "Allinea a destra"
 
-#: menus/widgetbasepopupmenu.cpp:599 uml.cpp:578
+#: menus/widgetbasepopupmenu.cpp:599 uml.cpp:587
 #, kde-format
 msgid "Align Left"
 msgstr "Allinea a sinistra"
 
-#: menus/widgetbasepopupmenu.cpp:600 uml.cpp:583
+#: menus/widgetbasepopupmenu.cpp:600 uml.cpp:592
 #, kde-format
 msgid "Align Top"
 msgstr "Allinea in alto"
 
-#: menus/widgetbasepopupmenu.cpp:601 uml.cpp:588
+#: menus/widgetbasepopupmenu.cpp:601 uml.cpp:597
 #, kde-format
 msgid "Align Bottom"
 msgstr "Allinea in basso"
 
-#: menus/widgetbasepopupmenu.cpp:603 uml.cpp:593
+#: menus/widgetbasepopupmenu.cpp:603 uml.cpp:602
 #, kde-format
 msgid "Align Vertical Middle"
 msgstr "Allinea verticalmente al centro"
 
-#: menus/widgetbasepopupmenu.cpp:604 uml.cpp:598
+#: menus/widgetbasepopupmenu.cpp:604 uml.cpp:607
 #, kde-format
 msgid "Align Horizontal Middle"
 msgstr "Allinea orizzontalmente al centro"
 
-#: menus/widgetbasepopupmenu.cpp:605 uml.cpp:603
+#: menus/widgetbasepopupmenu.cpp:605 uml.cpp:612
 #, kde-format
 msgid "Align Vertical Distribute"
 msgstr "Allinea verticalmente distribuito"
 
-#: menus/widgetbasepopupmenu.cpp:606 uml.cpp:608
+#: menus/widgetbasepopupmenu.cpp:606 uml.cpp:617
 #, kde-format
 msgid "Align Horizontal Distribute"
 msgstr "Allinea orizzontalmente distribuito"
@@ -5923,8 +5923,8 @@ msgstr "Uso"
 #: object_factory.cpp:251 uml1model/classifier.cpp:410
 #: uml1model/classifier.cpp:781 uml1model/entity.cpp:125
 #: uml1model/entity.cpp:178 uml1model/entity.cpp:228 uml1model/entity.cpp:277
-#: uml1model/enum.cpp:107 uml1model/instance.cpp:124 uml1model/package.cpp:171
-#: umldoc.cpp:1721 umldoc.cpp:1755
+#: uml1model/enum.cpp:107 uml1model/instance.cpp:124 uml1model/package.cpp:177
+#: umldoc.cpp:1723 umldoc.cpp:1757
 #, kde-format
 msgid "That is an invalid name."
 msgstr "Questo è un nome non valido."
@@ -5945,7 +5945,7 @@ msgstr "Parola chiave riservata"
 #: object_factory.cpp:264 uml1model/classifier.cpp:413
 #: uml1model/classifier.cpp:783 uml1model/entity.cpp:127
 #: uml1model/entity.cpp:180 uml1model/entity.cpp:230 uml1model/entity.cpp:279
-#: uml1model/instance.cpp:126 umldoc.cpp:1727 umldoc.cpp:1764
+#: uml1model/instance.cpp:126 umldoc.cpp:1729 umldoc.cpp:1766
 #, kde-format
 msgid "That name is already being used."
 msgstr "Questo nome è già in uso."
@@ -5953,8 +5953,8 @@ msgstr "Questo nome è già in uso."
 #: object_factory.cpp:265 uml1model/classifier.cpp:413
 #: uml1model/classifier.cpp:783 uml1model/entity.cpp:127
 #: uml1model/entity.cpp:180 uml1model/entity.cpp:230 uml1model/entity.cpp:279
-#: uml1model/instance.cpp:126 umldoc.cpp:1629 umldoc.cpp:1699 umldoc.cpp:1727
-#: umldoc.cpp:1764
+#: uml1model/instance.cpp:126 umldoc.cpp:1631 umldoc.cpp:1701 umldoc.cpp:1729
+#: umldoc.cpp:1766
 #, kde-format
 msgid "Not a Unique Name"
 msgstr "Non è un nome univoco"
@@ -6015,12 +6015,12 @@ msgstr "Esiste già un attributo con que
 msgid "Choose a different name."
 msgstr "Scegli un altro nome."
 
-#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:266
+#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:273
 #, kde-format
 msgid "Incorrect use of associations."
 msgstr "Uso errato delle associazioni."
 
-#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:266
+#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:273
 #, kde-format
 msgid "Association Error"
 msgstr "Errore di associazione"
@@ -7202,188 +7202,188 @@ msgstr "&Linguaggio attivo"
 msgid "&Settings"
 msgstr "Imp&ostazioni"
 
-#: uml.cpp:332
+#: uml.cpp:341
 #, kde-format
 msgid "&Export model to DocBook"
 msgstr "&Esporta il modello come docbook"
 
-#: uml.cpp:336
+#: uml.cpp:345
 #, kde-format
 msgid "&Export model to XHTML"
 msgstr "&Esporta il modello come XHTML"
 
-#: uml.cpp:340
+#: uml.cpp:349
 #, kde-format
 msgid "&New Class Wizard..."
 msgstr "Assistente per &nuova classe..."
 
-#: uml.cpp:344
+#: uml.cpp:353
 #, kde-format
 msgid "&Add Default Datatypes for Active Language"
 msgstr "&Aggiungi i tipi di dati predefiniti per il linguaggio attivo"
 
-#: uml.cpp:351
+#: uml.cpp:360
 #, kde-format
 msgid "Code &Importing Wizard..."
 msgstr "Assistente di &importazione del codice..."
 
-#: uml.cpp:361
+#: uml.cpp:370
 #, kde-format
 msgid "&Code Generation Wizard..."
 msgstr "Assistente per la generazione del &codice..."
 
-#: uml.cpp:366
+#: uml.cpp:375
 #, kde-format
 msgid "&Generate All Code"
 msgstr "&Genera tutto il codice"
 
-#: uml.cpp:411
+#: uml.cpp:420
 #, kde-format
 msgid "Creates a new document"
 msgstr "Crea un nuovo documento"
 
-#: uml.cpp:412
+#: uml.cpp:421
 #, kde-format
 msgid "Opens an existing document"
 msgstr "Apre un documento esistente"
 
-#: uml.cpp:413
+#: uml.cpp:422
 #, kde-format
 msgid "Opens a recently used file"
 msgstr "Apre un file usato recentemente"
 
-#: uml.cpp:414
+#: uml.cpp:423
 #, kde-format
 msgid "Saves the document"
 msgstr "Salva il documento"
 
-#: uml.cpp:415
+#: uml.cpp:424
 #, kde-format
 msgid "Saves the document as..."
 msgstr "Salva il documento come..."
 
-#: uml.cpp:416
+#: uml.cpp:425
 #, kde-format
 msgid "Closes the document"
 msgstr "Chiude il documento"
 
-#: uml.cpp:417
+#: uml.cpp:426
 #, kde-format
 msgid "Prints out the document"
 msgstr "Stampa il documento"
 
-#: uml.cpp:418
+#: uml.cpp:427
 #, kde-format
 msgid "Print Preview of the document"
 msgstr "Anteprima di stampa del documento"
 
-#: uml.cpp:419
+#: uml.cpp:428
 #, kde-format
 msgid "Quits the application"
 msgstr "Termina l'applicazione"
 
-#: uml.cpp:420
+#: uml.cpp:429
 #, kde-format
 msgid "Exports the model to the docbook format"
 msgstr "Esporta il modello nel formato docbook"
 
-#: uml.cpp:421
+#: uml.cpp:430
 #, kde-format
 msgid "Exports the model to the XHTML format"
 msgstr "Esporta il modello nel formato XHTML"
 
-#: uml.cpp:422
+#: uml.cpp:431
 #, kde-format
 msgid "Cuts the selected section and puts it to the clipboard"
 msgstr "Taglia la sezione selezionata e la mette negli appunti"
 
-#: uml.cpp:423
+#: uml.cpp:432
 #, kde-format
 msgid "Copies the selected section to the clipboard"
 msgstr "Copia la sezione selezionata negli appunti"
 
-#: uml.cpp:424
+#: uml.cpp:433
 #, kde-format
 msgid "Pastes the contents of the clipboard"
 msgstr "Incolla il contenuto degli appunti"
 
-#: uml.cpp:425
+#: uml.cpp:434
 #, kde-format
 msgid "Set the default program preferences"
 msgstr "Imposta le preferenze predefinite per il programma"
 
-#: uml.cpp:429
+#: uml.cpp:438
 #, kde-format
 msgctxt "delete selected widget"
 msgid "Delete &Selected"
 msgstr "Elimina &selezionati"
 
-#: uml.cpp:440
+#: uml.cpp:449
 #, kde-format
 msgid "&Class Diagram..."
 msgstr "Diagramma delle &classi..."
 
-#: uml.cpp:447
+#: uml.cpp:456
 #, kde-format
 msgid "&Object Diagram..."
 msgstr "Diagramma degli &oggetti..."
 
-#: uml.cpp:454
+#: uml.cpp:463
 #, kde-format
 msgid "&Sequence Diagram..."
 msgstr "Diagramma di &sequenza..."
 
-#: uml.cpp:460
+#: uml.cpp:469
 #, kde-format
 msgid "C&ommunication Diagram..."
 msgstr "Diagramma di c&omunicazione..."
 
-#: uml.cpp:466
+#: uml.cpp:475
 #, kde-format
 msgid "&Use Case Diagram..."
 msgstr "Diagramma dei casi d'&uso..."
 
-#: uml.cpp:472
+#: uml.cpp:481
 #, kde-format
 msgid "S&tate Diagram..."
 msgstr "Diagramma di s&tato..."
 
-#: uml.cpp:478
+#: uml.cpp:487
 #, kde-format
 msgid "&Activity Diagram..."
 msgstr "Di&agramma di attività..."
 
-#: uml.cpp:484
+#: uml.cpp:493
 #, kde-format
 msgid "Co&mponent Diagram..."
 msgstr "Diagramma dei co&mponenti..."
 
-#: uml.cpp:490
+#: uml.cpp:499
 #, kde-format
 msgid "&Deployment Diagram..."
 msgstr "Diagramma di &dispiegamento..."
 
-#: uml.cpp:496
+#: uml.cpp:505
 #, kde-format
 msgid "&Entity Relationship Diagram..."
 msgstr "Diagramma di relazioni tra &entità..."
 
-#: uml.cpp:501 uml.cpp:954
+#: uml.cpp:510 uml.cpp:963
 #, kde-format
 msgid "&Tree View"
 msgstr "&Vista ad albero"
 
-#: uml.cpp:505
+#: uml.cpp:514
 #, kde-format
 msgid "&Debugging"
 msgstr "&Debug"
 
-#: uml.cpp:513
+#: uml.cpp:522
 #, kde-format
 msgid "&Logging"
 msgstr "&Registrazione"
 
-#: uml.cpp:517
+#: uml.cpp:526
 #, kde-format
 msgid "&Command history"
 msgstr "Cronologia dei co&mandi"
@@ -7392,135 +7392,135 @@ msgstr "Cronologia dei co&mandi"
 #. m_propertyDock->setObjectName(QLatin1String("PropertyDock"));
 #. addDockWidget(Qt::LeftDockWidgetArea, m_propertyDock);  //:TODO:
 #. create the bird's eye view
-#: uml.cpp:521 uml.cpp:1011
+#: uml.cpp:530 uml.cpp:1020
 #, kde-format
 msgid "&Bird's eye view"
 msgstr "&Vista a volo d'aquila"
 
-#: uml.cpp:526
+#: uml.cpp:535
 #, kde-format
 msgid "&Clear Diagram"
 msgstr "&Pulisci diagramma"
 
-#: uml.cpp:530
+#: uml.cpp:539
 #, kde-format
 msgid "&Snap to Grid"
 msgstr "Aggancia alla &griglia"
 
-#: uml.cpp:534
+#: uml.cpp:543
 #, kde-format
 msgid "S&how Grid"
 msgstr "Mos&tra griglia"
 
-#: uml.cpp:539
+#: uml.cpp:548
 #, kde-format
 msgid "&Delete Diagram"
 msgstr "Elimina &diagramma"
 
-#: uml.cpp:544
+#: uml.cpp:553
 #, kde-format
 msgid "&Export as Picture..."
 msgstr "&Esporta come immagine..."
 
-#: uml.cpp:549
+#: uml.cpp:558
 #, kde-format
 msgid "Export &Diagrams as Pictures..."
 msgstr "Esporta i &diagrammi come immagini..."
 
-#: uml.cpp:569
+#: uml.cpp:578
 #, kde-format
 msgid "Z&oom to 100%"
 msgstr "Ingrandiment&o al 100%"
 
-#: uml.cpp:612
+#: uml.cpp:621
 #, kde-format
 msgid "&Move Tab Left"
 msgstr "Sposta la scheda a &sinistra"
 
-#: uml.cpp:613
+#: uml.cpp:622
 #, kde-format
 msgid "&Move Tab Right"
 msgstr "Sposta la scheda a &destra"
 
-#: uml.cpp:636
+#: uml.cpp:645
 #, kde-format
 msgid "Select Diagram on Left"
 msgstr "Seleziona diagramma sulla sinistra"
 
-#: uml.cpp:637
+#: uml.cpp:646
 #, kde-format
 msgid "Select Diagram on Right"
 msgstr "Seleziona diagramma sulla destra"
 
-#: uml.cpp:776
+#: uml.cpp:785
 #, kde-format
 msgctxt "%1 percent value from 20 to 500"
 msgid " &%1%"
 msgstr " &%1%"
 
-#: uml.cpp:826
+#: uml.cpp:835
 #, kde-format
 msgctxt "init status bar"
 msgid "Ready"
 msgstr "Pronto"
 
-#: uml.cpp:835 uml.cpp:848
+#: uml.cpp:844 uml.cpp:857
 #, kde-format
 msgid "100%"
 msgstr "100%"
 
-#: uml.cpp:840
+#: uml.cpp:849
 #, kde-format
 msgid "Fit"
 msgstr "Adatta"
 
-#: uml.cpp:899
+#: uml.cpp:908
 #, kde-format
 msgid "Diagram Toolbar"
 msgstr "Barra degli strumenti dei diagrammi"
 
-#: uml.cpp:965
+#: uml.cpp:974
 #, kde-format
 msgid "Doc&umentation"
 msgstr "Doc&umentazione"
 
-#: uml.cpp:976
+#: uml.cpp:985
 #, kde-format
 msgid "Co&mmand history"
 msgstr "Cronologia dei co&mandi"
 
-#: uml.cpp:992
+#: uml.cpp:1001
 #, kde-format
 msgid "&Debug"
 msgstr "&Debug"
 
-#: uml.cpp:999
+#: uml.cpp:1008
 #, kde-format
 msgid "&Log"
 msgstr "&Registro"
 
-#: uml.cpp:1041 uml.cpp:1258 uml.cpp:1307
+#: uml.cpp:1050 uml.cpp:1267 uml.cpp:1316
 #, kde-format
 msgid "Opening file..."
 msgstr "Apertura del file..."
 
-#: uml.cpp:1092 uml.cpp:1157 uml.cpp:1342 umldoc.cpp:342 umldoc.cpp:344
-#: umldoc.cpp:368 umldoc.cpp:3396
+#: uml.cpp:1101 uml.cpp:1166 uml.cpp:1351 umldoc.cpp:343 umldoc.cpp:345
+#: umldoc.cpp:369 umldoc.cpp:3405
 #, kde-format
 msgid "Untitled"
 msgstr "Senza titolo"
 
-#: uml.cpp:1240
+#: uml.cpp:1249
 #, kde-format
 msgid "Creating new document..."
 msgstr "Creazione nuovo documento..."
 
-#: uml.cpp:1266 uml.cpp:1281
+#: uml.cpp:1275 uml.cpp:1290
 #, kde-format
 msgid "Open File"
 msgstr "Apri file"
 
-#: uml.cpp:1270
+#: uml.cpp:1279
 #, kde-format
 msgid ""
 "*.xmi *.xmi.tgz *.xmi.tar.bz2 *.mdl *.zargo|All Supported Files (*.xmi, *."
@@ -7539,22 +7539,22 @@ msgstr ""
 "*.mdl|File modello Rose (*.mdl)\n"
 "*.zargo|File argo compressi (*.zargo)\n"
 
-#: uml.cpp:1341
+#: uml.cpp:1350
 #, kde-format
 msgid "Saving file..."
 msgstr "Salvataggio file..."
 
-#: uml.cpp:1358
+#: uml.cpp:1367
 #, kde-format
 msgid "Saving file with a new filename..."
 msgstr "Salvataggio del file con un nuovo nome file..."
 
-#: uml.cpp:1368 uml.cpp:1374 umlviewimageexporter.cpp:199
+#: uml.cpp:1377 uml.cpp:1383 umlviewimageexporter.cpp:199
 #, kde-format
 msgid "Save As"
 msgstr "Salva come"
 
-#: uml.cpp:1369
+#: uml.cpp:1378
 #, kde-format
 msgid ""
 "*.xmi | XMI File (*.xmi);;*.xmi.tgz | Gzip Compressed XMI File (*.xmi.tgz);;"
@@ -7564,7 +7564,7 @@ msgstr ""
 "tgz);;*.xmi.tar.bz2 | File XMI compresso con bzip2 (*.xmi.tar.bz2);;* | "
 "Tutti i file (*)"
 
-#: uml.cpp:1374
+#: uml.cpp:1383
 #, kde-format
 msgid ""
 "*.xmi|XMI File\n"
@@ -7577,7 +7577,7 @@ msgstr ""
 "*.xmi.tar.bz2|File XMI compresso con bzip2\n"
 "*|Tutti i file"
 
-#: uml.cpp:1387
+#: uml.cpp:1396
 #, kde-format
 msgid ""
 "The file %1 exists.\n"
@@ -7586,67 +7586,67 @@ msgstr ""
 "Il file %1 esiste.\n"
 "Vuoi sovrascriverlo?"
 
-#: uml.cpp:1388
+#: uml.cpp:1397
 #, kde-format
 msgid "Warning"
 msgstr "Attenzione"
 
-#: uml.cpp:1388
+#: uml.cpp:1397
 #, kde-format
 msgid "Overwrite"
 msgstr "Sovrascrivi"
 
-#: uml.cpp:1422
+#: uml.cpp:1431
 #, kde-format
 msgid "Closing file..."
 msgstr "Chiusura del file..."
 
-#: uml.cpp:1432
+#: uml.cpp:1441
 #, kde-format
 msgid "No search term entered"
 msgstr "Nessun termine di ricerca inserito"
 
-#: uml.cpp:1438
+#: uml.cpp:1447
 #, kde-format
 msgid "'%1': %2 found"
 msgstr "«%1»: trovati %2"
 
-#: uml.cpp:1502
+#: uml.cpp:1511
 #, kde-format
 msgid "Print Preview..."
 msgstr "Anteprima di stampa..."
 
-#: uml.cpp:1529
+#: uml.cpp:1538
 #, kde-format
 msgid "Printing..."
 msgstr "Stampa..."
 
-#: uml.cpp:1536 uml.cpp:1540
+#: uml.cpp:1545 uml.cpp:1549
 #, kde-format
 msgid "Print %1"
 msgstr "Stampa %1"
 
-#: uml.cpp:1560
+#: uml.cpp:1569
 #, kde-format
 msgid "Exiting..."
 msgstr "Uscita..."
 
-#: uml.cpp:1647
+#: uml.cpp:1656
 #, kde-format
 msgid "Cutting selection..."
 msgstr "Taglio della selezione..."
 
-#: uml.cpp:1670
+#: uml.cpp:1679
 #, kde-format
 msgid "Copying selection to clipboard..."
 msgstr "Copia della selezione negli appunti..."
 
-#: uml.cpp:1682
+#: uml.cpp:1691
 #, kde-format
 msgid "Inserting clipboard contents..."
 msgstr "Inserimento del contenuto degli appunti..."
 
-#: uml.cpp:1687
+#: uml.cpp:1696
 #, kde-format
 msgid ""
 "Umbrello could not paste the clipboard contents.  The objects in the "
@@ -7655,38 +7655,38 @@ msgstr ""
 "Umbrello non ha potuto incollare il contenuto degli appunti. Gli oggetti "
 "negli appunti potrebbero essere del tipo sbagliato da incollare qui."
 
-#: uml.cpp:1713 umlviewimageexporter.cpp:92 umlviewimageexporterall.cpp:123
+#: uml.cpp:1722 umlviewimageexporter.cpp:92 umlviewimageexporterall.cpp:123
 #, kde-format
 msgctxt "reset status bar"
 msgid "Ready."
 msgstr "Pronto."
 
-#: uml.cpp:2246
+#: uml.cpp:2255
 #, kde-format
 msgid "Cannot view code until you generate some first."
 msgstr "Impossibile visualizzare il codice finché prima non se ne genera."
 
-#: uml.cpp:2246 uml.cpp:2249
+#: uml.cpp:2255 uml.cpp:2258
 #, kde-format
 msgid "Cannot View Code"
 msgstr "Impossibile visualizzare il codice"
 
-#: uml.cpp:2249
+#: uml.cpp:2258
 #, kde-format
 msgid "Cannot view code from simple code writer."
 msgstr "Impossibile visualizzare il codice da un semplice editor di codice."
 
-#: uml.cpp:2714 uml.cpp:2716
+#: uml.cpp:2728 uml.cpp:2730
 #, kde-format
 msgid "Select file(s) to import:"
 msgstr "Seleziona file da importare:"
 
-#: uml.cpp:2747 uml.cpp:2749
+#: uml.cpp:2761 uml.cpp:2763
 #, kde-format
 msgid "Select directory to import:"
 msgstr "Seleziona la cartella da importare:"
 
-#: uml.cpp:3313
+#: uml.cpp:3335
 #, kde-format
 msgid "XHTML Generation failed ."
 msgstr "Generazione di XHTML non riuscita."
@@ -7700,20 +7700,20 @@ msgstr ""
 "Un'operazione con gli stessi nome e firma esiste già. Non puoi aggiungerla "
 "di nuovo."
 
-#: uml1model/folder.cpp:435
+#: uml1model/folder.cpp:436
 #, kde-format
 msgid "The folderfile %1 does not exist."
 msgstr "Il file %1 non esiste."
 
-#: uml1model/folder.cpp:435 uml1model/folder.cpp:439 umldoc.cpp:529
-#: umldoc.cpp:541 umldoc.cpp:568 umldoc.cpp:570 umldoc.cpp:620 umldoc.cpp:623
-#: umldoc.cpp:638 umldoc.cpp:641 umldoc.cpp:665 umldoc.cpp:668 umldoc.cpp:684
-#: umldoc.cpp:687 umldoc.cpp:702 umldoc.cpp:705 umldoc.cpp:750
+#: uml1model/folder.cpp:436 uml1model/folder.cpp:440 umldoc.cpp:530
+#: umldoc.cpp:542 umldoc.cpp:569 umldoc.cpp:571 umldoc.cpp:621 umldoc.cpp:624
+#: umldoc.cpp:639 umldoc.cpp:642 umldoc.cpp:666 umldoc.cpp:669 umldoc.cpp:685
+#: umldoc.cpp:688 umldoc.cpp:703 umldoc.cpp:706 umldoc.cpp:751
 #, kde-format
 msgid "Load Error"
 msgstr "Errore di caricamento"
 
-#: uml1model/folder.cpp:439
+#: uml1model/folder.cpp:440
 #, kde-format
 msgid "The folderfile %1 cannot be opened."
 msgstr "Il file %1 non può essere aperto."
@@ -7723,13 +7723,13 @@ msgstr "Il file %1 non può essere apert
 msgid "new_parameter"
 msgstr "nuovo_parametro"
 
-#: uml1model/package.cpp:163
+#: uml1model/package.cpp:169
 #, kde-format
 msgctxt "object name"
 msgid "Name"
 msgstr "Nome"
 
-#: uml1model/package.cpp:164
+#: uml1model/package.cpp:170
 #, kde-format
 msgid ""
 "An object with the name %1\n"
@@ -7755,77 +7755,77 @@ msgstr "nuovo_campo"
 msgid "new_fkey_constraint"
 msgstr "nuovo_vincolo_di_chiave_esterna"
 
-#: uml1model/umlobject.cpp:1140
+#: uml1model/umlobject.cpp:1141
 #, kde-format
 msgid "Actor &name:"
 msgstr "&Nome dell'attore:"
 
-#: uml1model/umlobject.cpp:1143
+#: uml1model/umlobject.cpp:1144
 #, kde-format
 msgid "Artifact &name:"
 msgstr "&Nome del manufatto:"
 
-#: uml1model/umlobject.cpp:1146
+#: uml1model/umlobject.cpp:1147
 #, kde-format
 msgid "Association &name:"
 msgstr "&Nome dell'associazione:"
 
-#: uml1model/umlobject.cpp:1149
+#: uml1model/umlobject.cpp:1150
 #, kde-format
 msgid "Class &name:"
 msgstr "&Nome della classe:"
 
-#: uml1model/umlobject.cpp:1152
+#: uml1model/umlobject.cpp:1153
 #, kde-format
 msgid "Component &name:"
 msgstr "&Nome del componente:"
 
-#: uml1model/umlobject.cpp:1155
+#: uml1model/umlobject.cpp:1156
 #, kde-format
 msgid "Datatype &name:"
 msgstr "&Nome del tipo di dato:"
 
-#: uml1model/umlobject.cpp:1158
+#: uml1model/umlobject.cpp:1159
 #, kde-format
 msgid "Entity &name:"
 msgstr "&Nome dell'entità:"
 
-#: uml1model/umlobject.cpp:1161
+#: uml1model/umlobject.cpp:1162
 #, kde-format
 msgid "Enum &name:"
 msgstr "&Nome dell'enumerazione:"
 
-#: uml1model/umlobject.cpp:1164
+#: uml1model/umlobject.cpp:1165
 #, kde-format
 msgid "Folder &name:"
 msgstr "&Nome della cartella:"
 
-#: uml1model/umlobject.cpp:1167
+#: uml1model/umlobject.cpp:1168
 #, kde-format
 msgid "Interface &name:"
 msgstr "&Nome dell'interfaccia:"
 
-#: uml1model/umlobject.cpp:1170
+#: uml1model/umlobject.cpp:1171
 #, kde-format
 msgid "Node &name:"
 msgstr "&Nome del nodo:"
 
-#: uml1model/umlobject.cpp:1173
+#: uml1model/umlobject.cpp:1174
 #, kde-format
 msgid "Package &name:"
 msgstr "&Nome del pacchetto:"
 
-#: uml1model/umlobject.cpp:1176
+#: uml1model/umlobject.cpp:1177
 #, kde-format
 msgid "Port &name:"
 msgstr "&Nome della porta:"
 
-#: uml1model/umlobject.cpp:1182
+#: uml1model/umlobject.cpp:1183
 #, kde-format
 msgid "Use case &name:"
 msgstr "&Nome dei casi d'uso:"
 
-#: uml1model/umlobject.cpp:1185
+#: uml1model/umlobject.cpp:1186
 #, kde-format
 msgid "Instance name:"
 msgstr "Nome istanza:"
@@ -7845,42 +7845,42 @@ msgstr "&Stereotipi"
 msgid "Welcome"
 msgstr "Benvenuti"
 
-#: umldoc.cpp:112 umldoc.cpp:2400 umldoc.cpp:2428
+#: umldoc.cpp:113 umldoc.cpp:2405 umldoc.cpp:2433
 #, kde-format
 msgid "UML Model"
 msgstr "Modello UML"
 
-#: umldoc.cpp:154
+#: umldoc.cpp:155
 #, kde-format
 msgid "Logical View"
 msgstr "Vista logica"
 
-#: umldoc.cpp:155
+#: umldoc.cpp:156
 #, kde-format
 msgid "Use Case View"
 msgstr "Vista dei casi d'uso"
 
-#: umldoc.cpp:156
+#: umldoc.cpp:157
 #, kde-format
 msgid "Component View"
 msgstr "Vista dei componenti"
 
-#: umldoc.cpp:157
+#: umldoc.cpp:158
 #, kde-format
 msgid "Deployment View"
 msgstr "Vista di dispiegamento"
 
-#: umldoc.cpp:158
+#: umldoc.cpp:159
 #, kde-format
 msgid "Entity Relationship Model"
 msgstr "Modello di relazioni tra entità"
 
-#: umldoc.cpp:184
+#: umldoc.cpp:185
 #, kde-format
 msgid "Datatypes"
 msgstr "Tipi di dati"
 
-#: umldoc.cpp:363
+#: umldoc.cpp:364
 #, kde-format
 msgid ""
 "The current file has been modified.\n"
@@ -7889,166 +7889,166 @@ msgstr ""
 "Il file corrente è stato modificato.\n"
 "Vuoi salvarlo?"
 
-#: umldoc.cpp:364
+#: umldoc.cpp:365
 #, kde-format
 msgctxt "warning message"
 msgid "Warning"
 msgstr "Attenzione"
 
-#: umldoc.cpp:529
+#: umldoc.cpp:530
 #, kde-format
 msgid "The file <%1> does not exist."
 msgstr "Il file <%1> non esiste."
 
-#: umldoc.cpp:541
+#: umldoc.cpp:542
 #, kde-format
 msgid "The file %1 does not exist."
 msgstr "Il file %1 non esiste."
 
-#: umldoc.cpp:568 umldoc.cpp:570
+#: umldoc.cpp:569 umldoc.cpp:571
 #, kde-format
 msgid "The file %1 seems to be corrupted."
 msgstr "Il file %1 sembra essere difettoso."
 
-#: umldoc.cpp:619 umldoc.cpp:622 umldoc.cpp:637 umldoc.cpp:640 umldoc.cpp:683
-#: umldoc.cpp:686
+#: umldoc.cpp:620 umldoc.cpp:623 umldoc.cpp:638 umldoc.cpp:641 umldoc.cpp:684
+#: umldoc.cpp:687
 #, kde-format
 msgid "There was no XMI file found in the compressed file %1."
 msgstr "Non è stato trovato nessun file XMI nel file compresso %1."
 
-#: umldoc.cpp:664 umldoc.cpp:667
+#: umldoc.cpp:665 umldoc.cpp:668
 #, kde-format
 msgid "There was a problem loading the extracted file: %1"
 msgstr "C'è stato un problema caricando il file estratto: %1"
 
-#: umldoc.cpp:701 umldoc.cpp:704 umldoc.cpp:744 umldoc.cpp:746
+#: umldoc.cpp:702 umldoc.cpp:705 umldoc.cpp:745 umldoc.cpp:747
 #, kde-format
 msgid "There was a problem loading file: %1"
 msgstr "C'è stato un problema caricando il file: %1"
 
-#: umldoc.cpp:749
+#: umldoc.cpp:750
 #, kde-format
 msgid "Reason: %1"
 msgstr "Motivo: %1"
 
-#: umldoc.cpp:832 umldoc.cpp:834 umldoc.cpp:851 umldoc.cpp:853 umldoc.cpp:873
-#: umldoc.cpp:875 umldoc.cpp:924 umldoc.cpp:926 umldoc.cpp:966 umldoc.cpp:969
-#: umldoc.cpp:978 umldoc.cpp:980 umllistview.cpp:593
+#: umldoc.cpp:833 umldoc.cpp:835 umldoc.cpp:852 umldoc.cpp:854 umldoc.cpp:874
+#: umldoc.cpp:876 umldoc.cpp:925 umldoc.cpp:927 umldoc.cpp:968 umldoc.cpp:971
+#: umldoc.cpp:980 umldoc.cpp:982 umllistview.cpp:594
 #, kde-format
 msgid "Save Error"
 msgstr "Errore di salvataggio"
 
-#: umldoc.cpp:832 umldoc.cpp:851 umldoc.cpp:873 umldoc.cpp:924 umldoc.cpp:966
+#: umldoc.cpp:833 umldoc.cpp:852 umldoc.cpp:874 umldoc.cpp:925 umldoc.cpp:968
 #, kde-format
 msgid "There was a problem saving: %1"
 msgstr "C'è stato un problema nel salvataggio di: %1"
 
-#: umldoc.cpp:834 umldoc.cpp:853 umldoc.cpp:875 umldoc.cpp:926 umldoc.cpp:969
-#: umllistview.cpp:592 umlviewimageexportermodel.cpp:303
+#: umldoc.cpp:835 umldoc.cpp:854 umldoc.cpp:876 umldoc.cpp:927 umldoc.cpp:971
+#: umllistview.cpp:593 umlviewimageexportermodel.cpp:303
 #, kde-format
 msgid "There was a problem saving file: %1"
 msgstr "C'è stato un problema salvando il file: %1"
 
-#: umldoc.cpp:978
+#: umldoc.cpp:980
 #, kde-format
 msgid "There was a problem uploading: %1"
 msgstr "C'è stato un problema nell'invio di: %1"
 
-#: umldoc.cpp:980
+#: umldoc.cpp:982
 #, kde-format
 msgid "There was a problem uploading file: %1"
 msgstr "C'è stato un problema durante l'invio del file: %1"
 
-#: umldoc.cpp:1526
+#: umldoc.cpp:1528
 #, kde-format
 msgid "use case diagram"
 msgstr "diagramma dei casi d'uso"
 
-#: umldoc.cpp:1529
+#: umldoc.cpp:1531
 #, kde-format
 msgid "class diagram"
 msgstr "diagramma delle classi"
 
-#: umldoc.cpp:1532
+#: umldoc.cpp:1534
 #, kde-format
 msgid "sequence diagram"
 msgstr "diagramma di sequenza"
 
-#: umldoc.cpp:1535
+#: umldoc.cpp:1537
 #, kde-format
 msgid "communication diagram"
 msgstr "diagramma di comunicazione"
 
-#: umldoc.cpp:1538
+#: umldoc.cpp:1540
 #, kde-format
 msgid "object diagram"
 msgstr "diagramma degli oggetti"
 
-#: umldoc.cpp:1541
+#: umldoc.cpp:1543
 #, kde-format
 msgid "state diagram"
 msgstr "diagramma di stato"
 
-#: umldoc.cpp:1544
+#: umldoc.cpp:1546
 #, kde-format
 msgid "activity diagram"
 msgstr "diagramma di attività"
 
-#: umldoc.cpp:1547
+#: umldoc.cpp:1549
 #, kde-format
 msgid "component diagram"
 msgstr "diagramma dei componenti"
 
-#: umldoc.cpp:1550
+#: umldoc.cpp:1552
 #, kde-format
 msgid "deployment diagram"
 msgstr "diagramma di dispiegamento"
 
-#: umldoc.cpp:1553
+#: umldoc.cpp:1555
 #, kde-format
 msgid "entity relationship diagram"
 msgstr "diagramma di relazioni tra entità"
 
-#: umldoc.cpp:1623
+#: umldoc.cpp:1625
 #, kde-format
 msgctxt "diagram name"
 msgid "Name"
 msgstr "Nome"
 
-#: umldoc.cpp:1623 umldoc.cpp:1686 umldoc.cpp:1715 umldoc.cpp:1749
+#: umldoc.cpp:1625 umldoc.cpp:1688 umldoc.cpp:1717 umldoc.cpp:1751
 #, kde-format
 msgid "Enter name:"
 msgstr "Inserisci nome:"
 
-#: umldoc.cpp:1627 umldoc.cpp:1692
+#: umldoc.cpp:1629 umldoc.cpp:1694
 #, kde-format
 msgid "That is an invalid name for a diagram."
 msgstr "Questo è un nome non valido per un diagramma."
 
-#: umldoc.cpp:1629 umldoc.cpp:1699
+#: umldoc.cpp:1631 umldoc.cpp:1701
 #, kde-format
 msgid "A diagram is already using that name."
 msgstr "Un diagramma sta già usando questo nome."
 
-#: umldoc.cpp:1685
+#: umldoc.cpp:1687
 #, kde-format
 msgctxt "renaming diagram"
 msgid "Name"
 msgstr "Nome"
 
-#: umldoc.cpp:1714
+#: umldoc.cpp:1716
 #, kde-format
 msgctxt "renaming uml object"
 msgid "Name"
 msgstr "Nome"
 
-#: umldoc.cpp:1748
+#: umldoc.cpp:1750
 #, kde-format
 msgctxt "renaming child uml object"
 msgid "Name"
 msgstr "Nome"
 
-#: umldoc.cpp:1758
+#: umldoc.cpp:1760
 #, kde-format
 msgid ""
 "The name you entered was not unique.\n"
@@ -8057,63 +8057,63 @@ msgstr ""
 "Il nome inserito non era univoco.\n"
 "È quello che volevi?"
 
-#: umldoc.cpp:1759
+#: umldoc.cpp:1761
 #, kde-format
 msgid "Use Name"
 msgstr "Usa nome"
 
-#: umldoc.cpp:1759
+#: umldoc.cpp:1761
 #, kde-format
 msgid "Enter New Name"
 msgstr "Inserisci il nuovo nome"
 
-#: umldoc.cpp:2361
+#: umldoc.cpp:2366
 #, kde-format
 msgid "Unsupported xmi file version: %1"
 msgstr "Versione del file xmi non supportata: %1"
 
-#: umldoc.cpp:2511
+#: umldoc.cpp:2516
 #, kde-format
 msgid "Setting up the document..."
 msgstr "Impostazione del documento..."
 
-#: umldoc.cpp:2540
+#: umldoc.cpp:2545
 #, kde-format
 msgid "Resolving object references..."
 msgstr "Risoluzione delle referenze degli oggetti..."
 
-#: umldoc.cpp:2648
+#: umldoc.cpp:2653
 #, kde-format
 msgid "Loading UML elements..."
 msgstr "Caricamento elementi UML..."
 
-#: umldoc.cpp:2892
+#: umldoc.cpp:2899
 #, kde-format
 msgid "Loading diagrams..."
 msgstr "Caricamento diagrammi..."
 
-#: umldoc.cpp:3400
+#: umldoc.cpp:3409
 #, kde-format
 msgid "/autosave%1"
 msgstr "/autosave%1"
 
-#: umllistview.cpp:536 umllistview.cpp:540
+#: umllistview.cpp:537 umllistview.cpp:541
 #, kde-format
 msgid "Externalize Folder"
 msgstr "Esternalizza cartella"
 
-#: umllistview.cpp:574
+#: umllistview.cpp:575
 #, kde-format
 msgid "Folder %1 must be relative to the main model directory, %2."
 msgstr ""
 "La cartella %1 deve essere relativa alla cartella dei modelli principale, %2."
 
-#: umllistview.cpp:575
+#: umllistview.cpp:576
 #, kde-format
 msgid "Path Error"
 msgstr "Errore di percorso"
 
-#: umllistview.cpp:583
+#: umllistview.cpp:584
 #, kde-format
 msgid ""
 "File %1 already exists!\n"
@@ -8122,62 +8122,62 @@ msgstr ""
 "Il file %1 esiste già.\n"
 "Il file esistente sarà sovrascritto."
 
-#: umllistview.cpp:584
+#: umllistview.cpp:585
 #, kde-format
 msgid "File Exist"
 msgstr "Il file esiste"
 
-#: umllistview.cpp:624
+#: umllistview.cpp:625
 #, kde-format
 msgid "Enter Model Name"
 msgstr "Inserisci il nome del modello"
 
-#: umllistview.cpp:625
+#: umllistview.cpp:626
 #, kde-format
 msgid "Enter the new name of the model:"
 msgstr "Inserisci il nuovo nome del modello:"
 
-#: umllistview.cpp:1422
+#: umllistview.cpp:1430
 #, kde-format
 msgid "Views"
 msgstr "Viste"
 
-#: umllistview.cpp:1441
+#: umllistview.cpp:1449
 #, kde-format
 msgid "Settings"
 msgstr "Impostazioni"
 
-#: umllistview.cpp:2413
+#: umllistview.cpp:2421
 #, kde-format
 msgid "Loading listview..."
 msgstr "Caricamento vista a elenco..."
 
-#: umllistview.cpp:2764
+#: umllistview.cpp:2772
 #, kde-format
 msgid "The class must be emptied before it can be deleted."
 msgstr "La classe deve essere svuotata prima di essere eliminata."
 
-#: umllistview.cpp:2765
+#: umllistview.cpp:2773
 #, kde-format
 msgid "Class Not Empty"
 msgstr "Classe non vuota"
 
-#: umllistview.cpp:2769
+#: umllistview.cpp:2777
 #, kde-format
 msgid "The package must be emptied before it can be deleted."
 msgstr "Il pacchetto deve essere svuotato prima di essere eliminato."
 
-#: umllistview.cpp:2770
+#: umllistview.cpp:2778
 #, kde-format
 msgid "Package Not Empty"
 msgstr "Pacchetto non vuoto"
 
-#: umllistview.cpp:2774
+#: umllistview.cpp:2782
 #, kde-format
 msgid "The folder must be emptied before it can be deleted."
 msgstr "La cartella deve essere svuotata prima di essere eliminata."
 
-#: umllistview.cpp:2775
+#: umllistview.cpp:2783
 #, kde-format
 msgid "Folder Not Empty"
 msgstr "Cartella non vuota"
diff -pruN 4:20.08.3-1/po/ja/umbrello.po 4:20.12.0-0ubuntu1/po/ja/umbrello.po
--- 4:20.08.3-1/po/ja/umbrello.po	2020-11-03 00:42:16.000000000 +0000
+++ 4:20.12.0-0ubuntu1/po/ja/umbrello.po	2020-12-04 00:21:30.000000000 +0000
@@ -13,7 +13,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: umbrello\n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
-"POT-Creation-Date: 2020-08-14 08:09+0200\n"
+"POT-Creation-Date: 2020-11-06 02:36+0100\n"
 "PO-Revision-Date: 2008-11-05 23:34+0900\n"
 "Last-Translator: Yukiko Bando <ybando@k6.dion.ne.jp>\n"
 "Language-Team: Japanese <kde-jp@kde.org>\n"
@@ -221,7 +221,7 @@ msgstr ""
 "つを貼り付けることができませんでした。他のアイテムは既に貼り付けられていま"
 "す。"
 
-#: clipboard/umlclipboard.cpp:753 uml.cpp:1689
+#: clipboard/umlclipboard.cpp:753 uml.cpp:1698
 #, kde-format
 msgid "Paste Error"
 msgstr "貼り付けエラー"
@@ -468,7 +468,7 @@ msgstr "<p align=\"center\">C++ コー
 #. i18n: ectx: attribute (title), widget (QWidget, ui_tabGeneral)
 #: codegenerators/cpp/cppcodegenerationformbase.ui:51
 #: codegenwizard/codegenoptionspage.ui:39 dialogs/objectnodedialog.cpp:135
-#: umllistview.cpp:1451
+#: umllistview.cpp:1459
 #, kde-format
 msgid "General"
 msgstr "一般"
@@ -1345,7 +1345,7 @@ msgstr "状態"
 #. i18n: ectx: property (text), widget (QRadioButton, ui_categoryClass)
 #. i18n: ectx: property (text), widget (QTableWidget, ui_tableWidgetStatus)
 #: codegenwizard/codegenstatuspage.ui:40 codeimpwizard/codeimpstatuspage.ui:54
-#: dialogs/finddialog.ui:89 umllistview.cpp:1446 umlwidgets/widgetbase.cpp:1255
+#: dialogs/finddialog.ui:89 umllistview.cpp:1454 umlwidgets/widgetbase.cpp:1255
 #, kde-format
 msgid "Class"
 msgstr "クラス"
@@ -2033,18 +2033,18 @@ msgstr ""
 msgid "Enable 'delete diagram' related messages"
 msgstr ""
 
-#: dialogs/dialog_utils.cpp:117
+#: dialogs/dialog_utils.cpp:118
 #, kde-format
 msgid "You are about to delete an association. Do you really want to continue?"
 msgstr ""
 
-#: dialogs/dialog_utils.cpp:118
+#: dialogs/dialog_utils.cpp:119
 #, fuzzy, kde-format
 #| msgid "Self Association"
 msgid "Delete Association"
 msgstr "自己関連"
 
-#: dialogs/dialog_utils.cpp:132
+#: dialogs/dialog_utils.cpp:133
 #, kde-format
 msgid ""
 "You are about to delete the entire diagram.\n"
@@ -2053,17 +2053,17 @@ msgstr ""
 "図全体を削除しようとしています。\n"
 "よろしいですか？"
 
-#: dialogs/dialog_utils.cpp:133
+#: dialogs/dialog_utils.cpp:134
 #, kde-format
 msgid "Are you sure you want to delete diagram %1?"
 msgstr "本当に図 “%1” を削除しますか？"
 
-#: dialogs/dialog_utils.cpp:138
+#: dialogs/dialog_utils.cpp:139
 #, kde-format
 msgid "Delete Diagram?"
 msgstr "図を削除しますか？"
 
-#: dialogs/dialog_utils.cpp:139 dialogs/pages/classifierlistpage.cpp:215
+#: dialogs/dialog_utils.cpp:140 dialogs/pages/classifierlistpage.cpp:215
 #: dialogs/pages/classifierlistpage.cpp:223
 #: dialogs/umlforeignkeyconstraintdialog.cpp:325
 #: dialogs/umlforeignkeyconstraintdialog.cpp:331
@@ -2230,7 +2230,7 @@ msgstr "一般"
 #. i18n: ectx: label, entry (uiFont), group (UI Options)
 #. i18n: ectx: label, entry (codeViewerFont), group (Code Viewer Options)
 #: dialogs/multipagedialogbase.cpp:405 umbrello.kcfg:177 umbrello.kcfg:292
-#: umllistview.cpp:1450
+#: umllistview.cpp:1458
 #, kde-format
 msgid "Font"
 msgstr "フォント"
@@ -2666,7 +2666,7 @@ msgstr "新規エンティティ属性(&
 
 #: dialogs/pages/classifierlistpage.cpp:217
 #: dialogs/pages/classifierlistpage.cpp:225 dialogs/umloperationdialog.cpp:167
-#: dialogs/umloperationdialog.cpp:175 uml.cpp:554
+#: dialogs/umloperationdialog.cpp:175 uml.cpp:563
 #, kde-format
 msgid "&Properties"
 msgstr "プロパティ(&P)"
@@ -2684,7 +2684,7 @@ msgid "Source Code"
 msgstr "ソースコード"
 
 #: dialogs/pages/classoptionspage.cpp:157
-#: dialogs/pages/classoptionspage.cpp:251 uml.cpp:509
+#: dialogs/pages/classoptionspage.cpp:251 uml.cpp:518
 #, fuzzy, kde-format
 #| msgid "Documentation"
 msgid "&Documentation"
@@ -2877,8 +2877,8 @@ msgstr "入力された名前は無効
 #: uml1model/classifier.cpp:410 uml1model/classifier.cpp:781
 #: uml1model/entity.cpp:125 uml1model/entity.cpp:178 uml1model/entity.cpp:228
 #: uml1model/entity.cpp:277 uml1model/enum.cpp:107 uml1model/instance.cpp:124
-#: uml1model/package.cpp:172 umldoc.cpp:1627 umldoc.cpp:1692 umldoc.cpp:1721
-#: umldoc.cpp:1755
+#: uml1model/package.cpp:178 umldoc.cpp:1629 umldoc.cpp:1694 umldoc.cpp:1723
+#: umldoc.cpp:1757
 #, kde-format
 msgid "Invalid Name"
 msgstr "無効な名前"
@@ -2888,7 +2888,7 @@ msgstr "無効な名前"
 msgid "The name you have entered is not unique."
 msgstr "入力された名前は重複しています。"
 
-#: dialogs/pages/diagrampropertiespage.cpp:86 umldoc.cpp:1759
+#: dialogs/pages/diagrampropertiespage.cpp:86 umldoc.cpp:1761
 #, kde-format
 msgid "Name Not Unique"
 msgstr "名前の重複"
@@ -3382,7 +3382,7 @@ msgstr "図(&D)"
 msgid "Umbrello Setup"
 msgstr "Umbrello の設定"
 
-#: dialogs/settingsdialog.cpp:114 umllistview.cpp:1452
+#: dialogs/settingsdialog.cpp:114 umllistview.cpp:1460
 #, kde-format
 msgid "User Interface"
 msgstr "ユーザインターフェース"
@@ -3409,7 +3409,7 @@ msgstr "クラス"
 msgid "Class Settings"
 msgstr "クラスの設定"
 
-#: dialogs/settingsdialog.cpp:137 umllistview.cpp:1447
+#: dialogs/settingsdialog.cpp:137 umllistview.cpp:1455
 #, fuzzy, kde-format
 #| msgid "Not Generated"
 msgid "Code Importer"
@@ -3421,7 +3421,7 @@ msgstr "生成されていません"
 msgid "Code Import Settings"
 msgstr "コードビューアの設定"
 
-#: dialogs/settingsdialog.cpp:146 umllistview.cpp:1448
+#: dialogs/settingsdialog.cpp:146 umllistview.cpp:1456
 #, kde-format
 msgid "Code Generation"
 msgstr "コード生成"
@@ -3431,7 +3431,7 @@ msgstr "コード生成"
 msgid "Code Generation Settings"
 msgstr "コード生成の設定"
 
-#: dialogs/settingsdialog.cpp:154 umllistview.cpp:1449
+#: dialogs/settingsdialog.cpp:154 umllistview.cpp:1457
 #, kde-format
 msgid "Code Viewer"
 msgstr "コードビューア"
@@ -3441,7 +3441,7 @@ msgstr "コードビューア"
 msgid "Code Viewer Settings"
 msgstr "コードビューアの設定"
 
-#: dialogs/settingsdialog.cpp:161 umllistview.cpp:1445
+#: dialogs/settingsdialog.cpp:161 umllistview.cpp:1453
 #, fuzzy, kde-format
 #| msgid "Auto Save"
 msgid "Auto Layout"
@@ -4098,7 +4098,7 @@ msgstr "タイプ(&T):"
 msgid "Package path:"
 msgstr "パッケージ名:"
 
-#: dialogs/widgets/umlstereotypewidget.cpp:29 uml1model/umlobject.cpp:1179
+#: dialogs/widgets/umlstereotypewidget.cpp:29 uml1model/umlobject.cpp:1180
 #, fuzzy, kde-format
 #| msgid "Stereotype name:"
 msgid "Stereotype &name:"
@@ -4245,7 +4245,7 @@ msgstr ""
 msgid "Gael de Chalendar (aka Kleag)"
 msgstr "Gael de Chalendar (別名 Kleag)"
 
-#: docgenerators/main.cpp:56 main.cpp:131
+#: docgenerators/main.cpp:56 main.cpp:133
 #, kde-format
 msgid "Umbrello UML Modeller Authors"
 msgstr "Umbrello UML モデラーの作者"
@@ -4309,12 +4309,12 @@ msgstr ""
 msgid "Apply layout"
 msgstr "自動保存"
 
-#: main.cpp:121
+#: main.cpp:123
 #, kde-format
 msgid "Umbrello UML Modeller"
 msgstr "Umbrello UML モデラー"
 
-#: main.cpp:123
+#: main.cpp:125
 #, kde-format
 msgid ""
 "Umbrello – Visual development environment for software, based on the "
@@ -4322,7 +4322,7 @@ msgid ""
 "\"http://www.omg.org/spec/\">http://www.omg.org/spec/</a>."
 msgstr ""
 
-#: main.cpp:127
+#: main.cpp:129
 #, fuzzy, kde-format
 #| msgid "(c) 2001 Paul Hensgen, (c) 2002-2006 Umbrello UML Modeller Authors"
 msgid ""
@@ -4330,112 +4330,112 @@ msgid ""
 "Copyright © 2002-2020 Umbrello UML Modeller Authors"
 msgstr "(c) 2001 Paul Hensgen, (c) 2002-2006 Umbrello UML モデラーの作者"
 
-#: main.cpp:130
+#: main.cpp:132
 #, kde-format
 msgid "Paul Hensgen"
 msgstr "Paul Hensgen"
 
-#: main.cpp:130
+#: main.cpp:132
 #, kde-format
 msgid "Author of initial version."
 msgstr ""
 
-#: main.cpp:134
+#: main.cpp:136
 #, kde-format
 msgid "Oliver Kellogg"
 msgstr ""
 
-#: main.cpp:135 main.cpp:138
+#: main.cpp:137 main.cpp:140
 #, kde-format
 msgid "Bug fixing, porting work, code cleanup, new features."
 msgstr ""
 
-#: main.cpp:137
+#: main.cpp:139
 #, kde-format
 msgid "Ralf Habacker"
 msgstr ""
 
-#: main.cpp:140
+#: main.cpp:142
 #, kde-format
 msgid "Andi Fischer"
 msgstr ""
 
-#: main.cpp:141
+#: main.cpp:143
 #, kde-format
 msgid "Porting work, code cleanup, new features."
 msgstr ""
 
-#: main.cpp:143
+#: main.cpp:145
 #, kde-format
 msgid "Jonathan Riddell"
 msgstr ""
 
-#: main.cpp:144
+#: main.cpp:146
 #, fuzzy, kde-format
 #| msgid "&Current diagram"
 msgid "Current maintainer."
 msgstr "現在の図(&C)"
 
-#: main.cpp:146
+#: main.cpp:148
 #, kde-format
 msgid "Brian Thomas"
 msgstr ""
 
-#: main.cpp:147
+#: main.cpp:149
 #, kde-format
 msgid "A lot of work for C++ and Java code generation. Codeeditor."
 msgstr ""
 
-#: main.cpp:152
+#: main.cpp:154
 #, kde-format
 msgid "File to open"
 msgstr "開くファイル"
 
-#: main.cpp:153
+#: main.cpp:155
 #, kde-format
 msgid "export diagrams to extension and exit"
 msgstr "図をエクスポートし、終了する"
 
-#: main.cpp:154
+#: main.cpp:156
 #, kde-format
 msgid "list available export extensions"
 msgstr ""
 
-#: main.cpp:155
+#: main.cpp:157
 #, kde-format
 msgid "the local directory to save the exported diagrams in"
 msgstr "エクスポートする図を保存するローカルフォルダ"
 
-#: main.cpp:155
+#: main.cpp:157
 #, kde-format
 msgid "the directory of the file"
 msgstr "ファイルのフォルダ"
 
-#: main.cpp:156
+#: main.cpp:158
 #, fuzzy, kde-format
 #| msgid "Exporting view..."
 msgid "import files"
 msgstr "ビューをエクスポート..."
 
-#: main.cpp:157
+#: main.cpp:159
 #, kde-format
 msgid "list supported languages"
 msgstr ""
 
-#: main.cpp:158
+#: main.cpp:160
 #, kde-format
 msgid ""
 "keep the tree structure used to store the views in the document in the "
 "target directory"
 msgstr "ビューを格納するため文書内で使われた木構造を対象フォルダに保持"
 
-#: main.cpp:159
+#: main.cpp:161
 #, fuzzy, kde-format
 #| msgid "Import Project..."
 msgid "import files from directory <dir>"
 msgstr "プロジェクトをインポート..."
 
-#: main.cpp:163
+#: main.cpp:165
 #, kde-format
 msgid "set active language"
 msgstr ""
@@ -4711,7 +4711,7 @@ msgstr "デストラクタを表示"
 msgid "Import File(s)..."
 msgstr "プロジェクトをインポート..."
 
-#: menus/listpopupmenu.cpp:201 uml.cpp:356
+#: menus/listpopupmenu.cpp:201 uml.cpp:365
 #, fuzzy, kde-format
 #| msgid "Import Project..."
 msgid "Import from Directory..."
@@ -5242,42 +5242,42 @@ msgctxt "align menu"
 msgid "Align"
 msgstr "整列(&A)"
 
-#: menus/widgetbasepopupmenu.cpp:598 uml.cpp:573
+#: menus/widgetbasepopupmenu.cpp:598 uml.cpp:582
 #, kde-format
 msgid "Align Right"
 msgstr "右揃え"
 
-#: menus/widgetbasepopupmenu.cpp:599 uml.cpp:578
+#: menus/widgetbasepopupmenu.cpp:599 uml.cpp:587
 #, kde-format
 msgid "Align Left"
 msgstr "左揃え"
 
-#: menus/widgetbasepopupmenu.cpp:600 uml.cpp:583
+#: menus/widgetbasepopupmenu.cpp:600 uml.cpp:592
 #, kde-format
 msgid "Align Top"
 msgstr "上揃え"
 
-#: menus/widgetbasepopupmenu.cpp:601 uml.cpp:588
+#: menus/widgetbasepopupmenu.cpp:601 uml.cpp:597
 #, kde-format
 msgid "Align Bottom"
 msgstr "下揃え"
 
-#: menus/widgetbasepopupmenu.cpp:603 uml.cpp:593
+#: menus/widgetbasepopupmenu.cpp:603 uml.cpp:602
 #, kde-format
 msgid "Align Vertical Middle"
 msgstr "垂直方向中央揃え"
 
-#: menus/widgetbasepopupmenu.cpp:604 uml.cpp:598
+#: menus/widgetbasepopupmenu.cpp:604 uml.cpp:607
 #, kde-format
 msgid "Align Horizontal Middle"
 msgstr "水平方向中央揃え"
 
-#: menus/widgetbasepopupmenu.cpp:605 uml.cpp:603
+#: menus/widgetbasepopupmenu.cpp:605 uml.cpp:612
 #, kde-format
 msgid "Align Vertical Distribute"
 msgstr "垂直方向均等配置"
 
-#: menus/widgetbasepopupmenu.cpp:606 uml.cpp:608
+#: menus/widgetbasepopupmenu.cpp:606 uml.cpp:617
 #, kde-format
 msgid "Align Horizontal Distribute"
 msgstr "水平方向均等配置"
@@ -6215,8 +6215,8 @@ msgstr "メッセージ"
 #: object_factory.cpp:251 uml1model/classifier.cpp:410
 #: uml1model/classifier.cpp:781 uml1model/entity.cpp:125
 #: uml1model/entity.cpp:178 uml1model/entity.cpp:228 uml1model/entity.cpp:277
-#: uml1model/enum.cpp:107 uml1model/instance.cpp:124 uml1model/package.cpp:171
-#: umldoc.cpp:1721 umldoc.cpp:1755
+#: uml1model/enum.cpp:107 uml1model/instance.cpp:124 uml1model/package.cpp:177
+#: umldoc.cpp:1723 umldoc.cpp:1757
 #, kde-format
 msgid "That is an invalid name."
 msgstr "無効な名前です。"
@@ -6235,7 +6235,7 @@ msgstr "予約語"
 #: object_factory.cpp:264 uml1model/classifier.cpp:413
 #: uml1model/classifier.cpp:783 uml1model/entity.cpp:127
 #: uml1model/entity.cpp:180 uml1model/entity.cpp:230 uml1model/entity.cpp:279
-#: uml1model/instance.cpp:126 umldoc.cpp:1727 umldoc.cpp:1764
+#: uml1model/instance.cpp:126 umldoc.cpp:1729 umldoc.cpp:1766
 #, kde-format
 msgid "That name is already being used."
 msgstr "その名前は既に使われています。"
@@ -6243,8 +6243,8 @@ msgstr "その名前は既に使われ
 #: object_factory.cpp:265 uml1model/classifier.cpp:413
 #: uml1model/classifier.cpp:783 uml1model/entity.cpp:127
 #: uml1model/entity.cpp:180 uml1model/entity.cpp:230 uml1model/entity.cpp:279
-#: uml1model/instance.cpp:126 umldoc.cpp:1629 umldoc.cpp:1699 umldoc.cpp:1727
-#: umldoc.cpp:1764
+#: uml1model/instance.cpp:126 umldoc.cpp:1631 umldoc.cpp:1701 umldoc.cpp:1729
+#: umldoc.cpp:1766
 #, kde-format
 msgid "Not a Unique Name"
 msgstr "名前が重複"
@@ -6307,12 +6307,12 @@ msgstr "そのシグニチャをもつ
 msgid "Choose a different name."
 msgstr "他の名前を使う(&U)"
 
-#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:266
+#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:273
 #, kde-format
 msgid "Incorrect use of associations."
 msgstr "関連が間違った使われ方をしています。"
 
-#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:266
+#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:273
 #, kde-format
 msgid "Association Error"
 msgstr "関連エラー"
@@ -7552,209 +7552,209 @@ msgid "&Settings"
 msgstr "ロールの設定"
 
 # ACCELERATOR changed by translator
-#: uml.cpp:332
+#: uml.cpp:341
 #, kde-format
 msgid "&Export model to DocBook"
 msgstr "モデルを DocBook でエクスポート(&D)"
 
 # ACCELERATOR changed by translator
-#: uml.cpp:336
+#: uml.cpp:345
 #, kde-format
 msgid "&Export model to XHTML"
 msgstr "モデルを XHTML でエクスポート(&X)"
 
-#: uml.cpp:340
+#: uml.cpp:349
 #, kde-format
 msgid "&New Class Wizard..."
 msgstr "新規クラスウィザード(&N)..."
 
-#: uml.cpp:344
+#: uml.cpp:353
 #, kde-format
 msgid "&Add Default Datatypes for Active Language"
 msgstr "有効な言語に対して標準のデータタイプを設定(&A)"
 
-#: uml.cpp:351
+#: uml.cpp:360
 #, fuzzy, kde-format
 #| msgid "&Code Generation Wizard..."
 msgid "Code &Importing Wizard..."
 msgstr "コード生成ウィザード(&W)..."
 
-#: uml.cpp:361
+#: uml.cpp:370
 #, kde-format
 msgid "&Code Generation Wizard..."
 msgstr "コード生成ウィザード(&W)..."
 
-#: uml.cpp:366
+#: uml.cpp:375
 #, kde-format
 msgid "&Generate All Code"
 msgstr "すべてのコードを生成(&G)"
 
 # @info:tooltip
-#: uml.cpp:411
+#: uml.cpp:420
 #, kde-format
 msgid "Creates a new document"
 msgstr "新しい文書を作成します"
 
 # @info:tooltip
-#: uml.cpp:412
+#: uml.cpp:421
 #, kde-format
 msgid "Opens an existing document"
 msgstr "既存の文書を開きます"
 
 # @info:tooltip
-#: uml.cpp:413
+#: uml.cpp:422
 #, kde-format
 msgid "Opens a recently used file"
 msgstr "最近使ったファイルを開きます"
 
 # @info:tooltip
-#: uml.cpp:414
+#: uml.cpp:423
 #, kde-format
 msgid "Saves the document"
 msgstr "文書を保存します"
 
 # skip-rule: dots2
 # @info:tooltip
-#: uml.cpp:415
+#: uml.cpp:424
 #, kde-format
 msgid "Saves the document as..."
 msgstr "文書に名前を付けて保存します"
 
 # @info:tooltip
-#: uml.cpp:416
+#: uml.cpp:425
 #, kde-format
 msgid "Closes the document"
 msgstr "文書を閉じます"
 
 # @info:tooltip
-#: uml.cpp:417
+#: uml.cpp:426
 #, kde-format
 msgid "Prints out the document"
 msgstr "文書を印刷します"
 
 # @info:tooltip
-#: uml.cpp:418
+#: uml.cpp:427
 #, fuzzy, kde-format
 #| msgid "Prints out the document"
 msgid "Print Preview of the document"
 msgstr "文書を印刷します"
 
 # @info:tooltip
-#: uml.cpp:419
+#: uml.cpp:428
 #, kde-format
 msgid "Quits the application"
 msgstr "アプリケーションを終了します"
 
 # @info:tooltip
-#: uml.cpp:420
+#: uml.cpp:429
 #, kde-format
 msgid "Exports the model to the docbook format"
 msgstr "モデルを docbook フォーマットでエクスポートします"
 
 # @info:tooltip
-#: uml.cpp:421
+#: uml.cpp:430
 #, kde-format
 msgid "Exports the model to the XHTML format"
 msgstr "モデルを XHTML フォーマットでエクスポートします"
 
 # @info:tooltip
-#: uml.cpp:422
+#: uml.cpp:431
 #, kde-format
 msgid "Cuts the selected section and puts it to the clipboard"
 msgstr "選択した部分を切り取りクリップボードにコピーします"
 
 # @info:tooltip
-#: uml.cpp:423
+#: uml.cpp:432
 #, kde-format
 msgid "Copies the selected section to the clipboard"
 msgstr "選択した部分をクリップボードにコピーします"
 
 # @info:tooltip
-#: uml.cpp:424
+#: uml.cpp:433
 #, kde-format
 msgid "Pastes the contents of the clipboard"
 msgstr "クリップボードの内容を貼り付けます"
 
 # @info:tooltip
-#: uml.cpp:425
+#: uml.cpp:434
 #, kde-format
 msgid "Set the default program preferences"
 msgstr "プログラムのデフォルトの動作を設定します"
 
-#: uml.cpp:429
+#: uml.cpp:438
 #, kde-format
 msgctxt "delete selected widget"
 msgid "Delete &Selected"
 msgstr "選択したウィジェットを削除(&S)"
 
-#: uml.cpp:440
+#: uml.cpp:449
 #, kde-format
 msgid "&Class Diagram..."
 msgstr "クラス図(&C)..."
 
-#: uml.cpp:447
+#: uml.cpp:456
 #, fuzzy, kde-format
 #| msgid "S&tate Diagram..."
 msgid "&Object Diagram..."
 msgstr "状態図(&S)..."
 
-#: uml.cpp:454
+#: uml.cpp:463
 #, kde-format
 msgid "&Sequence Diagram..."
 msgstr "シーケンス図(&S)..."
 
-#: uml.cpp:460
+#: uml.cpp:469
 #, fuzzy, kde-format
 #| msgid "C&ollaboration Diagram..."
 msgid "C&ommunication Diagram..."
 msgstr "コラボレーション図(&C)..."
 
-#: uml.cpp:466
+#: uml.cpp:475
 #, kde-format
 msgid "&Use Case Diagram..."
 msgstr "ユースケース図(&U)..."
 
-#: uml.cpp:472
+#: uml.cpp:481
 #, kde-format
 msgid "S&tate Diagram..."
 msgstr "状態図(&S)..."
 
-#: uml.cpp:478
+#: uml.cpp:487
 #, kde-format
 msgid "&Activity Diagram..."
 msgstr "アクティビティ図(&A)..."
 
-#: uml.cpp:484
+#: uml.cpp:493
 #, kde-format
 msgid "Co&mponent Diagram..."
 msgstr "コンポーネント図(&M)..."
 
-#: uml.cpp:490
+#: uml.cpp:499
 #, kde-format
 msgid "&Deployment Diagram..."
 msgstr "配置図(&D)..."
 
-#: uml.cpp:496
+#: uml.cpp:505
 #, kde-format
 msgid "&Entity Relationship Diagram..."
 msgstr "エンティティ関係図(&E)..."
 
-#: uml.cpp:501 uml.cpp:954
+#: uml.cpp:510 uml.cpp:963
 #, kde-format
 msgid "&Tree View"
 msgstr "ツリー表示(&T)"
 
-#: uml.cpp:505
+#: uml.cpp:514
 #, kde-format
 msgid "&Debugging"
 msgstr ""
 
-#: uml.cpp:513
+#: uml.cpp:522
 #, kde-format
 msgid "&Logging"
 msgstr ""
 
-#: uml.cpp:517
+#: uml.cpp:526
 #, fuzzy, kde-format
 #| msgid "Co&mmand history"
 msgid "&Command history"
@@ -7764,138 +7764,138 @@ msgstr "コマンド履歴(&M)"
 #. m_propertyDock->setObjectName(QLatin1String("PropertyDock"));
 #. addDockWidget(Qt::LeftDockWidgetArea, m_propertyDock);  //:TODO:
 #. create the bird's eye view
-#: uml.cpp:521 uml.cpp:1011
+#: uml.cpp:530 uml.cpp:1020
 #, kde-format
 msgid "&Bird's eye view"
 msgstr ""
 
-#: uml.cpp:526
+#: uml.cpp:535
 #, kde-format
 msgid "&Clear Diagram"
 msgstr "図をクリア(&C)"
 
-#: uml.cpp:530
+#: uml.cpp:539
 #, kde-format
 msgid "&Snap to Grid"
 msgstr "グリッドに合わせる(&S)"
 
-#: uml.cpp:534
+#: uml.cpp:543
 #, kde-format
 msgid "S&how Grid"
 msgstr "グリッドを表示(&H)"
 
-#: uml.cpp:539
+#: uml.cpp:548
 #, fuzzy, kde-format
 #| msgid "Delete Diagram"
 msgid "&Delete Diagram"
 msgstr "図を削除"
 
-#: uml.cpp:544
+#: uml.cpp:553
 #, kde-format
 msgid "&Export as Picture..."
 msgstr "画像としてエクスポート(&E)..."
 
-#: uml.cpp:549
+#: uml.cpp:558
 #, fuzzy, kde-format
 #| msgid "Export &All Diagrams as Pictures..."
 msgid "Export &Diagrams as Pictures..."
 msgstr "すべての図を画像としてエクスポート(&A)..."
 
-#: uml.cpp:569
+#: uml.cpp:578
 #, kde-format
 msgid "Z&oom to 100%"
 msgstr "100% にズーム(&O)"
 
-#: uml.cpp:612
+#: uml.cpp:621
 #, kde-format
 msgid "&Move Tab Left"
 msgstr "タブを左に移動(&M)"
 
-#: uml.cpp:613
+#: uml.cpp:622
 #, kde-format
 msgid "&Move Tab Right"
 msgstr "タブを右に移動(&M)"
 
-#: uml.cpp:636
+#: uml.cpp:645
 #, kde-format
 msgid "Select Diagram on Left"
 msgstr "左の図を選択"
 
-#: uml.cpp:637
+#: uml.cpp:646
 #, kde-format
 msgid "Select Diagram on Right"
 msgstr "右の図を選択"
 
-#: uml.cpp:776
+#: uml.cpp:785
 #, kde-format
 msgctxt "%1 percent value from 20 to 500"
 msgid " &%1%"
 msgstr ""
 
-#: uml.cpp:826
+#: uml.cpp:835
 #, kde-format
 msgctxt "init status bar"
 msgid "Ready"
 msgstr "準備完了"
 
-#: uml.cpp:835 uml.cpp:848
+#: uml.cpp:844 uml.cpp:857
 #, kde-format
 msgid "100%"
 msgstr ""
 
-#: uml.cpp:840
+#: uml.cpp:849
 #, fuzzy, kde-format
 #| msgid "Filter"
 msgid "Fit"
 msgstr "フィルタ"
 
-#: uml.cpp:899
+#: uml.cpp:908
 #, kde-format
 msgid "Diagram Toolbar"
 msgstr "図に関するツールバー"
 
-#: uml.cpp:965
+#: uml.cpp:974
 #, kde-format
 msgid "Doc&umentation"
 msgstr "ドキュメンテーション(&U)"
 
-#: uml.cpp:976
+#: uml.cpp:985
 #, kde-format
 msgid "Co&mmand history"
 msgstr "コマンド履歴(&M)"
 
-#: uml.cpp:992
+#: uml.cpp:1001
 #, kde-format
 msgid "&Debug"
 msgstr ""
 
-#: uml.cpp:999
+#: uml.cpp:1008
 #, kde-format
 msgid "&Log"
 msgstr ""
 
-#: uml.cpp:1041 uml.cpp:1258 uml.cpp:1307
+#: uml.cpp:1050 uml.cpp:1267 uml.cpp:1316
 #, kde-format
 msgid "Opening file..."
 msgstr "ファイルを開いています..."
 
-#: uml.cpp:1092 uml.cpp:1157 uml.cpp:1342 umldoc.cpp:342 umldoc.cpp:344
-#: umldoc.cpp:368 umldoc.cpp:3396
+#: uml.cpp:1101 uml.cpp:1166 uml.cpp:1351 umldoc.cpp:343 umldoc.cpp:345
+#: umldoc.cpp:369 umldoc.cpp:3405
 #, kde-format
 msgid "Untitled"
 msgstr "名前なし"
 
-#: uml.cpp:1240
+#: uml.cpp:1249
 #, kde-format
 msgid "Creating new document..."
 msgstr "新しい文書を作成しています..."
 
-#: uml.cpp:1266 uml.cpp:1281
+#: uml.cpp:1275 uml.cpp:1290
 #, kde-format
 msgid "Open File"
 msgstr "ファイルを開く"
 
-#: uml.cpp:1270
+#: uml.cpp:1279
 #, fuzzy, kde-format
 #| msgid ""
 #| "*.xmi *.xmi.tgz *.xmi.tar.bz2 *.mdl|All Supported Files (*.xmi, *.xmi."
@@ -7920,23 +7920,23 @@ msgstr ""
 "*.xmi.tar.bz2|Bzip2 圧縮 XMI ファイル (*.xmi.tar.bz2)\n"
 "*.mdl|Rose モデルファイル"
 
-#: uml.cpp:1341
+#: uml.cpp:1350
 #, kde-format
 msgid "Saving file..."
 msgstr "ファイルを保存しています..."
 
 # skip-rule: filename
-#: uml.cpp:1358
+#: uml.cpp:1367
 #, kde-format
 msgid "Saving file with a new filename..."
 msgstr "新しい名前でファイルを保存しています..."
 
-#: uml.cpp:1368 uml.cpp:1374 umlviewimageexporter.cpp:199
+#: uml.cpp:1377 uml.cpp:1383 umlviewimageexporter.cpp:199
 #, kde-format
 msgid "Save As"
 msgstr "名前を付けて保存"
 
-#: uml.cpp:1369
+#: uml.cpp:1378
 #, fuzzy, kde-format
 #| msgid ""
 #| "*.xmi|XMI File\n"
@@ -7952,7 +7952,7 @@ msgstr ""
 "*.xmi.tar.bz2|Bzip2 圧縮された XMI ファイル\n"
 "*|すべてのファイル"
 
-#: uml.cpp:1374
+#: uml.cpp:1383
 #, kde-format
 msgid ""
 "*.xmi|XMI File\n"
@@ -7965,7 +7965,7 @@ msgstr ""
 "*.xmi.tar.bz2|Bzip2 圧縮された XMI ファイル\n"
 "*|すべてのファイル"
 
-#: uml.cpp:1387
+#: uml.cpp:1396
 #, kde-format
 msgid ""
 "The file %1 exists.\n"
@@ -7974,68 +7974,68 @@ msgstr ""
 "ファイル ‘%1’ は存在します。\n"
 "上書きしますか？"
 
-#: uml.cpp:1388
+#: uml.cpp:1397
 #, kde-format
 msgid "Warning"
 msgstr "警告"
 
-#: uml.cpp:1388
+#: uml.cpp:1397
 #, kde-format
 msgid "Overwrite"
 msgstr "上書き"
 
-#: uml.cpp:1422
+#: uml.cpp:1431
 #, kde-format
 msgid "Closing file..."
 msgstr "ファイルを閉じています..."
 
-#: uml.cpp:1432
+#: uml.cpp:1441
 #, kde-format
 msgid "No search term entered"
 msgstr ""
 
-#: uml.cpp:1438
+#: uml.cpp:1447
 #, kde-format
 msgid "'%1': %2 found"
 msgstr ""
 
-#: uml.cpp:1502
+#: uml.cpp:1511
 #, fuzzy, kde-format
 #| msgid "Exporting view..."
 msgid "Print Preview..."
 msgstr "ビューをエクスポート..."
 
-#: uml.cpp:1529
+#: uml.cpp:1538
 #, kde-format
 msgid "Printing..."
 msgstr "印刷中..."
 
-#: uml.cpp:1536 uml.cpp:1540
+#: uml.cpp:1545 uml.cpp:1549
 #, kde-format
 msgid "Print %1"
 msgstr "“%1” を印刷"
 
-#: uml.cpp:1560
+#: uml.cpp:1569
 #, kde-format
 msgid "Exiting..."
 msgstr "終了中..."
 
-#: uml.cpp:1647
+#: uml.cpp:1656
 #, kde-format
 msgid "Cutting selection..."
 msgstr "選択範囲を切り取り中..."
 
-#: uml.cpp:1670
+#: uml.cpp:1679
 #, kde-format
 msgid "Copying selection to clipboard..."
 msgstr "選択内容をクリップボードにコピー中..."
 
-#: uml.cpp:1682
+#: uml.cpp:1691
 #, kde-format
 msgid "Inserting clipboard contents..."
 msgstr "クリップボードの内容を挿入中..."
 
-#: uml.cpp:1687
+#: uml.cpp:1696
 #, kde-format
 msgid ""
 "Umbrello could not paste the clipboard contents.  The objects in the "
@@ -8044,39 +8044,39 @@ msgstr ""
 "Umbrello はクリップボードの内容を貼り付けることができませんでした。クリップ"
 "ボードの内容はおそらくここに貼り付けるタイプではないのでしょう。"
 
-#: uml.cpp:1713 umlviewimageexporter.cpp:92 umlviewimageexporterall.cpp:123
+#: uml.cpp:1722 umlviewimageexporter.cpp:92 umlviewimageexporterall.cpp:123
 #, kde-format
 msgctxt "reset status bar"
 msgid "Ready."
 msgstr "準備完了。"
 
-#: uml.cpp:2246
+#: uml.cpp:2255
 #, kde-format
 msgid "Cannot view code until you generate some first."
 msgstr "いくつかコードを生成した後にのみ、コードを見ることができます。"
 
-#: uml.cpp:2246 uml.cpp:2249
+#: uml.cpp:2255 uml.cpp:2258
 #, kde-format
 msgid "Cannot View Code"
 msgstr "コードを表示できません"
 
-#: uml.cpp:2249
+#: uml.cpp:2258
 #, kde-format
 msgid "Cannot view code from simple code writer."
 msgstr "シンプルコードライターでコードを表示できません"
 
-#: uml.cpp:2714 uml.cpp:2716
+#: uml.cpp:2728 uml.cpp:2730
 #, fuzzy, kde-format
 #| msgid "Select the object node type"
 msgid "Select file(s) to import:"
 msgstr "オブジェクトノードのタイプを選択"
 
-#: uml.cpp:2747 uml.cpp:2749
+#: uml.cpp:2761 uml.cpp:2763
 #, kde-format
 msgid "Select directory to import:"
 msgstr ""
 
-#: uml.cpp:3313
+#: uml.cpp:3335
 #, kde-format
 msgid "XHTML Generation failed ."
 msgstr "XHTML の生成に失敗しました。"
@@ -8093,20 +8093,20 @@ msgstr ""
 "同じ名前とシグニチャをもつ操作が既に存在します。二回追加することはできませ"
 "ん。"
 
-#: uml1model/folder.cpp:435
+#: uml1model/folder.cpp:436
 #, kde-format
 msgid "The folderfile %1 does not exist."
 msgstr "ファイル ‘%1’ は存在しません。"
 
-#: uml1model/folder.cpp:435 uml1model/folder.cpp:439 umldoc.cpp:529
-#: umldoc.cpp:541 umldoc.cpp:568 umldoc.cpp:570 umldoc.cpp:620 umldoc.cpp:623
-#: umldoc.cpp:638 umldoc.cpp:641 umldoc.cpp:665 umldoc.cpp:668 umldoc.cpp:684
-#: umldoc.cpp:687 umldoc.cpp:702 umldoc.cpp:705 umldoc.cpp:750
+#: uml1model/folder.cpp:436 uml1model/folder.cpp:440 umldoc.cpp:530
+#: umldoc.cpp:542 umldoc.cpp:569 umldoc.cpp:571 umldoc.cpp:621 umldoc.cpp:624
+#: umldoc.cpp:639 umldoc.cpp:642 umldoc.cpp:666 umldoc.cpp:669 umldoc.cpp:685
+#: umldoc.cpp:688 umldoc.cpp:703 umldoc.cpp:706 umldoc.cpp:751
 #, kde-format
 msgid "Load Error"
 msgstr "ロードエラー"
 
-#: uml1model/folder.cpp:439
+#: uml1model/folder.cpp:440
 #, kde-format
 msgid "The folderfile %1 cannot be opened."
 msgstr "ファイル ‘%1’ を開けません。"
@@ -8116,13 +8116,13 @@ msgstr "ファイル ‘%1’ を開け
 msgid "new_parameter"
 msgstr "新規パラメータ"
 
-#: uml1model/package.cpp:163
+#: uml1model/package.cpp:169
 #, kde-format
 msgctxt "object name"
 msgid "Name"
 msgstr "名前"
 
-#: uml1model/package.cpp:164
+#: uml1model/package.cpp:170
 #, kde-format
 msgid ""
 "An object with the name %1\n"
@@ -8148,80 +8148,80 @@ msgstr "新規フィールド"
 msgid "new_fkey_constraint"
 msgstr "新規外部キー制約"
 
-#: uml1model/umlobject.cpp:1140
+#: uml1model/umlobject.cpp:1141
 #, kde-format
 msgid "Actor &name:"
 msgstr "アクター名(&N):"
 
-#: uml1model/umlobject.cpp:1143
+#: uml1model/umlobject.cpp:1144
 #, kde-format
 msgid "Artifact &name:"
 msgstr "成果物名(&N):"
 
-#: uml1model/umlobject.cpp:1146
+#: uml1model/umlobject.cpp:1147
 #, fuzzy, kde-format
 #| msgid "Association Name"
 msgid "Association &name:"
 msgstr "関連名"
 
-#: uml1model/umlobject.cpp:1149
+#: uml1model/umlobject.cpp:1150
 #, kde-format
 msgid "Class &name:"
 msgstr "クラス名(&N):"
 
-#: uml1model/umlobject.cpp:1152
+#: uml1model/umlobject.cpp:1153
 #, kde-format
 msgid "Component &name:"
 msgstr "コンポーネント名(&N):"
 
-#: uml1model/umlobject.cpp:1155
+#: uml1model/umlobject.cpp:1156
 #, kde-format
 msgid "Datatype &name:"
 msgstr "データタイプ名(&N):"
 
-#: uml1model/umlobject.cpp:1158
+#: uml1model/umlobject.cpp:1159
 #, kde-format
 msgid "Entity &name:"
 msgstr "エンティティ名(&N):"
 
-#: uml1model/umlobject.cpp:1161
+#: uml1model/umlobject.cpp:1162
 #, kde-format
 msgid "Enum &name:"
 msgstr "列挙名(&N):"
 
-#: uml1model/umlobject.cpp:1164
+#: uml1model/umlobject.cpp:1165
 #, fuzzy, kde-format
 #| msgid "Node &name:"
 msgid "Folder &name:"
 msgstr "ノード名(&N):"
 
-#: uml1model/umlobject.cpp:1167
+#: uml1model/umlobject.cpp:1168
 #, kde-format
 msgid "Interface &name:"
 msgstr "インターフェース名(&N):"
 
-#: uml1model/umlobject.cpp:1170
+#: uml1model/umlobject.cpp:1171
 #, kde-format
 msgid "Node &name:"
 msgstr "ノード名(&N):"
 
-#: uml1model/umlobject.cpp:1173
+#: uml1model/umlobject.cpp:1174
 #, kde-format
 msgid "Package &name:"
 msgstr "パッケージ名(&N):"
 
-#: uml1model/umlobject.cpp:1176
+#: uml1model/umlobject.cpp:1177
 #, fuzzy, kde-format
 #| msgid "Actor &name:"
 msgid "Port &name:"
 msgstr "アクター名(&N):"
 
-#: uml1model/umlobject.cpp:1182
+#: uml1model/umlobject.cpp:1183
 #, kde-format
 msgid "Use case &name:"
 msgstr "ユースケース名(&N):"
 
-#: uml1model/umlobject.cpp:1185
+#: uml1model/umlobject.cpp:1186
 #, kde-format
 msgid "Instance name:"
 msgstr "インスタンス名:"
@@ -8243,42 +8243,42 @@ msgstr "ステレオタイプ"
 msgid "Welcome"
 msgstr ""
 
-#: umldoc.cpp:112 umldoc.cpp:2400 umldoc.cpp:2428
+#: umldoc.cpp:113 umldoc.cpp:2405 umldoc.cpp:2433
 #, kde-format
 msgid "UML Model"
 msgstr "UML モデル"
 
-#: umldoc.cpp:154
+#: umldoc.cpp:155
 #, kde-format
 msgid "Logical View"
 msgstr "論理ビュー"
 
-#: umldoc.cpp:155
+#: umldoc.cpp:156
 #, kde-format
 msgid "Use Case View"
 msgstr "ユースケースビュー"
 
-#: umldoc.cpp:156
+#: umldoc.cpp:157
 #, kde-format
 msgid "Component View"
 msgstr "コンポーネントビュー"
 
-#: umldoc.cpp:157
+#: umldoc.cpp:158
 #, kde-format
 msgid "Deployment View"
 msgstr "配置ビュー"
 
-#: umldoc.cpp:158
+#: umldoc.cpp:159
 #, kde-format
 msgid "Entity Relationship Model"
 msgstr "エンティティ関係モデル"
 
-#: umldoc.cpp:184
+#: umldoc.cpp:185
 #, kde-format
 msgid "Datatypes"
 msgstr "データタイプ"
 
-#: umldoc.cpp:363
+#: umldoc.cpp:364
 #, kde-format
 msgid ""
 "The current file has been modified.\n"
@@ -8287,171 +8287,171 @@ msgstr ""
 "現在のファイルは変更されています。\n"
 "保存しますか？"
 
-#: umldoc.cpp:364
+#: umldoc.cpp:365
 #, kde-format
 msgctxt "warning message"
 msgid "Warning"
 msgstr "警告"
 
-#: umldoc.cpp:529
+#: umldoc.cpp:530
 #, fuzzy, kde-format
 #| msgid "The file %1 does not exist."
 msgid "The file <%1> does not exist."
 msgstr "ファイル <filename>%1</filename> は存在しません。"
 
-#: umldoc.cpp:541
+#: umldoc.cpp:542
 #, kde-format
 msgid "The file %1 does not exist."
 msgstr "ファイル ‘%1’ は存在しません。"
 
-#: umldoc.cpp:568 umldoc.cpp:570
+#: umldoc.cpp:569 umldoc.cpp:571
 #, kde-format
 msgid "The file %1 seems to be corrupted."
 msgstr "ファイル ‘%1’ は壊れているようです。"
 
-#: umldoc.cpp:619 umldoc.cpp:622 umldoc.cpp:637 umldoc.cpp:640 umldoc.cpp:683
-#: umldoc.cpp:686
+#: umldoc.cpp:620 umldoc.cpp:623 umldoc.cpp:638 umldoc.cpp:641 umldoc.cpp:684
+#: umldoc.cpp:687
 #, kde-format
 msgid "There was no XMI file found in the compressed file %1."
 msgstr "圧縮ファイル ‘%1’ 内に XMI ファイルが見つかりませんでした。"
 
-#: umldoc.cpp:664 umldoc.cpp:667
+#: umldoc.cpp:665 umldoc.cpp:668
 #, kde-format
 msgid "There was a problem loading the extracted file: %1"
 msgstr "抽出ファイル ‘%1’ のロードで問題がありました。"
 
-#: umldoc.cpp:701 umldoc.cpp:704 umldoc.cpp:744 umldoc.cpp:746
+#: umldoc.cpp:702 umldoc.cpp:705 umldoc.cpp:745 umldoc.cpp:747
 #, kde-format
 msgid "There was a problem loading file: %1"
 msgstr "ファイル ‘%1’ のロードで問題がありました。"
 
-#: umldoc.cpp:749
+#: umldoc.cpp:750
 #, kde-format
 msgid "Reason: %1"
 msgstr ""
 
-#: umldoc.cpp:832 umldoc.cpp:834 umldoc.cpp:851 umldoc.cpp:853 umldoc.cpp:873
-#: umldoc.cpp:875 umldoc.cpp:924 umldoc.cpp:926 umldoc.cpp:966 umldoc.cpp:969
-#: umldoc.cpp:978 umldoc.cpp:980 umllistview.cpp:593
+#: umldoc.cpp:833 umldoc.cpp:835 umldoc.cpp:852 umldoc.cpp:854 umldoc.cpp:874
+#: umldoc.cpp:876 umldoc.cpp:925 umldoc.cpp:927 umldoc.cpp:968 umldoc.cpp:971
+#: umldoc.cpp:980 umldoc.cpp:982 umllistview.cpp:594
 #, kde-format
 msgid "Save Error"
 msgstr "保存エラー"
 
-#: umldoc.cpp:832 umldoc.cpp:851 umldoc.cpp:873 umldoc.cpp:924 umldoc.cpp:966
+#: umldoc.cpp:833 umldoc.cpp:852 umldoc.cpp:874 umldoc.cpp:925 umldoc.cpp:968
 #, fuzzy, kde-format
 #| msgid "There was a problem saving file: %1"
 msgid "There was a problem saving: %1"
 msgstr "ファイル <filename>%1</filename> の保存で問題がありました。"
 
-#: umldoc.cpp:834 umldoc.cpp:853 umldoc.cpp:875 umldoc.cpp:926 umldoc.cpp:969
-#: umllistview.cpp:592 umlviewimageexportermodel.cpp:303
+#: umldoc.cpp:835 umldoc.cpp:854 umldoc.cpp:876 umldoc.cpp:927 umldoc.cpp:971
+#: umllistview.cpp:593 umlviewimageexportermodel.cpp:303
 #, kde-format
 msgid "There was a problem saving file: %1"
 msgstr "ファイル ‘%1’ の保存で問題がありました。"
 
-#: umldoc.cpp:978
+#: umldoc.cpp:980
 #, fuzzy, kde-format
 #| msgid "There was a problem uploading file: %1"
 msgid "There was a problem uploading: %1"
 msgstr "ファイル <filename>%1</filename> のアップロードで問題がありました。"
 
-#: umldoc.cpp:980
+#: umldoc.cpp:982
 #, kde-format
 msgid "There was a problem uploading file: %1"
 msgstr "ファイル ‘%1’ のアップロードで問題がありました。"
 
-#: umldoc.cpp:1526
+#: umldoc.cpp:1528
 #, kde-format
 msgid "use case diagram"
 msgstr "ユースケース図"
 
-#: umldoc.cpp:1529
+#: umldoc.cpp:1531
 #, kde-format
 msgid "class diagram"
 msgstr "クラス図"
 
-#: umldoc.cpp:1532
+#: umldoc.cpp:1534
 #, kde-format
 msgid "sequence diagram"
 msgstr "シーケンス図"
 
-#: umldoc.cpp:1535
+#: umldoc.cpp:1537
 #, fuzzy, kde-format
 #| msgid "collaboration diagram"
 msgid "communication diagram"
 msgstr "コラボレーション図"
 
-#: umldoc.cpp:1538
+#: umldoc.cpp:1540
 #, fuzzy, kde-format
 #| msgid "&Select diagrams"
 msgid "object diagram"
 msgstr "図を選択(&S)"
 
-#: umldoc.cpp:1541
+#: umldoc.cpp:1543
 #, kde-format
 msgid "state diagram"
 msgstr "状態図"
 
-#: umldoc.cpp:1544
+#: umldoc.cpp:1546
 #, kde-format
 msgid "activity diagram"
 msgstr "アクティビティ図"
 
-#: umldoc.cpp:1547
+#: umldoc.cpp:1549
 #, kde-format
 msgid "component diagram"
 msgstr "コンポーネント図"
 
-#: umldoc.cpp:1550
+#: umldoc.cpp:1552
 #, kde-format
 msgid "deployment diagram"
 msgstr "配置図"
 
-#: umldoc.cpp:1553
+#: umldoc.cpp:1555
 #, kde-format
 msgid "entity relationship diagram"
 msgstr "エンティティ関係図"
 
-#: umldoc.cpp:1623
+#: umldoc.cpp:1625
 #, kde-format
 msgctxt "diagram name"
 msgid "Name"
 msgstr "名前"
 
-#: umldoc.cpp:1623 umldoc.cpp:1686 umldoc.cpp:1715 umldoc.cpp:1749
+#: umldoc.cpp:1625 umldoc.cpp:1688 umldoc.cpp:1717 umldoc.cpp:1751
 #, kde-format
 msgid "Enter name:"
 msgstr "名前を入力:"
 
-#: umldoc.cpp:1627 umldoc.cpp:1692
+#: umldoc.cpp:1629 umldoc.cpp:1694
 #, kde-format
 msgid "That is an invalid name for a diagram."
 msgstr "無効な図の名前です。"
 
-#: umldoc.cpp:1629 umldoc.cpp:1699
+#: umldoc.cpp:1631 umldoc.cpp:1701
 #, kde-format
 msgid "A diagram is already using that name."
 msgstr "その名前は既に図で使われています。"
 
-#: umldoc.cpp:1685
+#: umldoc.cpp:1687
 #, kde-format
 msgctxt "renaming diagram"
 msgid "Name"
 msgstr "名前"
 
-#: umldoc.cpp:1714
+#: umldoc.cpp:1716
 #, kde-format
 msgctxt "renaming uml object"
 msgid "Name"
 msgstr "名前"
 
-#: umldoc.cpp:1748
+#: umldoc.cpp:1750
 #, kde-format
 msgctxt "renaming child uml object"
 msgid "Name"
 msgstr "名前"
 
-#: umldoc.cpp:1758
+#: umldoc.cpp:1760
 #, kde-format
 msgid ""
 "The name you entered was not unique.\n"
@@ -8460,131 +8460,131 @@ msgstr ""
 "入力された名前は重複しています。\n"
 "本当にこれでよろしいですか？"
 
-#: umldoc.cpp:1759
+#: umldoc.cpp:1761
 #, kde-format
 msgid "Use Name"
 msgstr "名前を使う"
 
-#: umldoc.cpp:1759
+#: umldoc.cpp:1761
 #, kde-format
 msgid "Enter New Name"
 msgstr "新しい名前を入力"
 
-#: umldoc.cpp:2361
+#: umldoc.cpp:2366
 #, kde-format
 msgid "Unsupported xmi file version: %1"
 msgstr ""
 
-#: umldoc.cpp:2511
+#: umldoc.cpp:2516
 #, kde-format
 msgid "Setting up the document..."
 msgstr "文書を設定..."
 
-#: umldoc.cpp:2540
+#: umldoc.cpp:2545
 #, kde-format
 msgid "Resolving object references..."
 msgstr "オブジェクト間参照を解決しています..."
 
-#: umldoc.cpp:2648
+#: umldoc.cpp:2653
 #, kde-format
 msgid "Loading UML elements..."
 msgstr "UML 要素をロード..."
 
-#: umldoc.cpp:2892
+#: umldoc.cpp:2899
 #, kde-format
 msgid "Loading diagrams..."
 msgstr "図をロード..."
 
-#: umldoc.cpp:3400
+#: umldoc.cpp:3409
 #, kde-format
 msgid "/autosave%1"
 msgstr "/autosave%1"
 
-#: umllistview.cpp:536 umllistview.cpp:540
+#: umllistview.cpp:537 umllistview.cpp:541
 #, kde-format
 msgid "Externalize Folder"
 msgstr "フォルダを外部化"
 
-#: umllistview.cpp:574
+#: umllistview.cpp:575
 #, kde-format
 msgid "Folder %1 must be relative to the main model directory, %2."
 msgstr ""
 
-#: umllistview.cpp:575
+#: umllistview.cpp:576
 #, fuzzy, kde-format
 #| msgid "Paste Error"
 msgid "Path Error"
 msgstr "貼り付けエラー"
 
-#: umllistview.cpp:583
+#: umllistview.cpp:584
 #, kde-format
 msgid ""
 "File %1 already exists!\n"
 "The existing file will be overwritten."
 msgstr ""
 
-#: umllistview.cpp:584
+#: umllistview.cpp:585
 #, fuzzy, kde-format
 #| msgid "File Already Exists"
 msgid "File Exist"
 msgstr "ファイルは既に存在します"
 
-#: umllistview.cpp:624
+#: umllistview.cpp:625
 #, kde-format
 msgid "Enter Model Name"
 msgstr "モデル名を入力"
 
-#: umllistview.cpp:625
+#: umllistview.cpp:626
 #, kde-format
 msgid "Enter the new name of the model:"
 msgstr "モデルの新しい名前を入力:"
 
-#: umllistview.cpp:1422
+#: umllistview.cpp:1430
 #, kde-format
 msgid "Views"
 msgstr "表示"
 
-#: umllistview.cpp:1441
+#: umllistview.cpp:1449
 #, fuzzy, kde-format
 #| msgid "Role Settings"
 msgid "Settings"
 msgstr "ロールの設定"
 
-#: umllistview.cpp:2413
+#: umllistview.cpp:2421
 #, kde-format
 msgid "Loading listview..."
 msgstr "リストビューをロードしています..."
 
-#: umllistview.cpp:2764
+#: umllistview.cpp:2772
 #, fuzzy, kde-format
 #| msgid "The folder must be emptied before it can be deleted."
 msgid "The class must be emptied before it can be deleted."
 msgstr "フォルダは削除する前に空にする必要があります。"
 
-#: umllistview.cpp:2765
+#: umllistview.cpp:2773
 #, fuzzy, kde-format
 #| msgid "Folder Not Empty"
 msgid "Class Not Empty"
 msgstr "フォルダが空ではありません"
 
-#: umllistview.cpp:2769
+#: umllistview.cpp:2777
 #, fuzzy, kde-format
 #| msgid "The folder must be emptied before it can be deleted."
 msgid "The package must be emptied before it can be deleted."
 msgstr "フォルダは削除する前に空にする必要があります。"
 
-#: umllistview.cpp:2770
+#: umllistview.cpp:2778
 #, fuzzy, kde-format
 #| msgid "Folder Not Empty"
 msgid "Package Not Empty"
 msgstr "フォルダが空ではありません"
 
-#: umllistview.cpp:2774
+#: umllistview.cpp:2782
 #, kde-format
 msgid "The folder must be emptied before it can be deleted."
 msgstr "フォルダは削除する前に空にする必要があります。"
 
-#: umllistview.cpp:2775
+#: umllistview.cpp:2783
 #, kde-format
 msgid "Folder Not Empty"
 msgstr "フォルダが空ではありません"
diff -pruN 4:20.08.3-1/po/kk/umbrello.po 4:20.12.0-0ubuntu1/po/kk/umbrello.po
--- 4:20.08.3-1/po/kk/umbrello.po	2020-11-03 00:42:16.000000000 +0000
+++ 4:20.12.0-0ubuntu1/po/kk/umbrello.po	2020-12-04 00:21:30.000000000 +0000
@@ -6,7 +6,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: \n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
-"POT-Creation-Date: 2020-08-14 08:09+0200\n"
+"POT-Creation-Date: 2020-11-06 02:36+0100\n"
 "PO-Revision-Date: 2013-11-08 01:50+0600\n"
 "Last-Translator: Sairan Kikkarin <sairan@computer.org>\n"
 "Language-Team: Kazakh <kde-i18n-doc@kde.org>\n"
@@ -210,7 +210,7 @@ msgstr ""
 "Алмасу буферінен кемінде бір аталым орналастырылмады, өйткені көздеген "
 "жерде, оның атауындай аталған нысан бар екен. Басқалары орналастырылды."
 
-#: clipboard/umlclipboard.cpp:753 uml.cpp:1689
+#: clipboard/umlclipboard.cpp:753 uml.cpp:1698
 #, kde-format
 msgid "Paste Error"
 msgstr "Орналастыру қатесі"
@@ -444,7 +444,7 @@ msgstr "<p align=\"center\">C++ коды
 #. i18n: ectx: attribute (title), widget (QWidget, ui_tabGeneral)
 #: codegenerators/cpp/cppcodegenerationformbase.ui:51
 #: codegenwizard/codegenoptionspage.ui:39 dialogs/objectnodedialog.cpp:135
-#: umllistview.cpp:1451
+#: umllistview.cpp:1459
 #, kde-format
 msgid "General"
 msgstr "Жалпы"
@@ -1317,7 +1317,7 @@ msgstr "Күй-жайы"
 #. i18n: ectx: property (text), widget (QRadioButton, ui_categoryClass)
 #. i18n: ectx: property (text), widget (QTableWidget, ui_tableWidgetStatus)
 #: codegenwizard/codegenstatuspage.ui:40 codeimpwizard/codeimpstatuspage.ui:54
-#: dialogs/finddialog.ui:89 umllistview.cpp:1446 umlwidgets/widgetbase.cpp:1255
+#: dialogs/finddialog.ui:89 umllistview.cpp:1454 umlwidgets/widgetbase.cpp:1255
 #, kde-format
 msgid "Class"
 msgstr "Класс"
@@ -1972,18 +1972,18 @@ msgstr ""
 msgid "Enable 'delete diagram' related messages"
 msgstr ""
 
-#: dialogs/dialog_utils.cpp:117
+#: dialogs/dialog_utils.cpp:118
 #, kde-format
 msgid "You are about to delete an association. Do you really want to continue?"
 msgstr ""
 
-#: dialogs/dialog_utils.cpp:118
+#: dialogs/dialog_utils.cpp:119
 #, fuzzy, kde-format
 #| msgid "Self Association"
 msgid "Delete Association"
 msgstr "Өз-өзімен байланысуы"
 
-#: dialogs/dialog_utils.cpp:132
+#: dialogs/dialog_utils.cpp:133
 #, kde-format
 msgid ""
 "You are about to delete the entire diagram.\n"
@@ -1992,17 +1992,17 @@ msgstr ""
 "Тұтас диаграмманы өшірмексіз.\n"
 "Шын ба?"
 
-#: dialogs/dialog_utils.cpp:133
+#: dialogs/dialog_utils.cpp:134
 #, kde-format
 msgid "Are you sure you want to delete diagram %1?"
 msgstr "%1 диаграммасын шын өшірмексіз бе?"
 
-#: dialogs/dialog_utils.cpp:138
+#: dialogs/dialog_utils.cpp:139
 #, kde-format
 msgid "Delete Diagram?"
 msgstr "Диаграмма өшірілсін бе?"
 
-#: dialogs/dialog_utils.cpp:139 dialogs/pages/classifierlistpage.cpp:215
+#: dialogs/dialog_utils.cpp:140 dialogs/pages/classifierlistpage.cpp:215
 #: dialogs/pages/classifierlistpage.cpp:223
 #: dialogs/umlforeignkeyconstraintdialog.cpp:325
 #: dialogs/umlforeignkeyconstraintdialog.cpp:331
@@ -2169,7 +2169,7 @@ msgstr "Жалпы"
 #. i18n: ectx: label, entry (uiFont), group (UI Options)
 #. i18n: ectx: label, entry (codeViewerFont), group (Code Viewer Options)
 #: dialogs/multipagedialogbase.cpp:405 umbrello.kcfg:177 umbrello.kcfg:292
-#: umllistview.cpp:1450
+#: umllistview.cpp:1458
 #, kde-format
 msgid "Font"
 msgstr "Қаріпі"
@@ -2607,7 +2607,7 @@ msgstr "Ж&аңа нысан атриб
 
 #: dialogs/pages/classifierlistpage.cpp:217
 #: dialogs/pages/classifierlistpage.cpp:225 dialogs/umloperationdialog.cpp:167
-#: dialogs/umloperationdialog.cpp:175 uml.cpp:554
+#: dialogs/umloperationdialog.cpp:175 uml.cpp:563
 #, kde-format
 msgid "&Properties"
 msgstr "Қ&асиеттер"
@@ -2625,7 +2625,7 @@ msgid "Source Code"
 msgstr "Бастапқы коды"
 
 #: dialogs/pages/classoptionspage.cpp:157
-#: dialogs/pages/classoptionspage.cpp:251 uml.cpp:509
+#: dialogs/pages/classoptionspage.cpp:251 uml.cpp:518
 #, kde-format
 msgid "&Documentation"
 msgstr "Құ&жатама"
@@ -2814,8 +2814,8 @@ msgstr "Келтірілген атау
 #: uml1model/classifier.cpp:410 uml1model/classifier.cpp:781
 #: uml1model/entity.cpp:125 uml1model/entity.cpp:178 uml1model/entity.cpp:228
 #: uml1model/entity.cpp:277 uml1model/enum.cpp:107 uml1model/instance.cpp:124
-#: uml1model/package.cpp:172 umldoc.cpp:1627 umldoc.cpp:1692 umldoc.cpp:1721
-#: umldoc.cpp:1755
+#: uml1model/package.cpp:178 umldoc.cpp:1629 umldoc.cpp:1694 umldoc.cpp:1723
+#: umldoc.cpp:1757
 #, kde-format
 msgid "Invalid Name"
 msgstr "Дұрыс емес атау"
@@ -2825,7 +2825,7 @@ msgstr "Дұрыс емес атау"
 msgid "The name you have entered is not unique."
 msgstr "Келтірілген атау қайталанған."
 
-#: dialogs/pages/diagrampropertiespage.cpp:86 umldoc.cpp:1759
+#: dialogs/pages/diagrampropertiespage.cpp:86 umldoc.cpp:1761
 #, kde-format
 msgid "Name Not Unique"
 msgstr "Қайталанған атауы"
@@ -3307,7 +3307,7 @@ msgstr "&Диаграмма"
 msgid "Umbrello Setup"
 msgstr "Umbrello баптауы"
 
-#: dialogs/settingsdialog.cpp:114 umllistview.cpp:1452
+#: dialogs/settingsdialog.cpp:114 umllistview.cpp:1460
 #, kde-format
 msgid "User Interface"
 msgstr "Пайдаланушы интерфейсі"
@@ -3334,7 +3334,7 @@ msgstr "Класы"
 msgid "Class Settings"
 msgstr "Кластың параметрлері"
 
-#: dialogs/settingsdialog.cpp:137 umllistview.cpp:1447
+#: dialogs/settingsdialog.cpp:137 umllistview.cpp:1455
 #, kde-format
 msgid "Code Importer"
 msgstr "Код импорттағышы"
@@ -3344,7 +3344,7 @@ msgstr "Код импорттағышы"
 msgid "Code Import Settings"
 msgstr "Код импортын баптау"
 
-#: dialogs/settingsdialog.cpp:146 umllistview.cpp:1448
+#: dialogs/settingsdialog.cpp:146 umllistview.cpp:1456
 #, kde-format
 msgid "Code Generation"
 msgstr "Кодты шығару"
@@ -3354,7 +3354,7 @@ msgstr "Кодты шығару"
 msgid "Code Generation Settings"
 msgstr "Жасап шығаратын код параметрлері"
 
-#: dialogs/settingsdialog.cpp:154 umllistview.cpp:1449
+#: dialogs/settingsdialog.cpp:154 umllistview.cpp:1457
 #, kde-format
 msgid "Code Viewer"
 msgstr "Кодты қарау құралы"
@@ -3364,7 +3364,7 @@ msgstr "Кодты қарау құрал
 msgid "Code Viewer Settings"
 msgstr "Кодты қарау құралының параметрлері"
 
-#: dialogs/settingsdialog.cpp:161 umllistview.cpp:1445
+#: dialogs/settingsdialog.cpp:161 umllistview.cpp:1453
 #, kde-format
 msgid "Auto Layout"
 msgstr "Автоорналастыру"
@@ -4015,7 +4015,7 @@ msgstr "&Түрі:"
 msgid "Package path:"
 msgstr "Дестенің жолы:"
 
-#: dialogs/widgets/umlstereotypewidget.cpp:29 uml1model/umlobject.cpp:1179
+#: dialogs/widgets/umlstereotypewidget.cpp:29 uml1model/umlobject.cpp:1180
 #, fuzzy, kde-format
 #| msgid "Stereotype name:"
 msgid "Stereotype &name:"
@@ -4162,7 +4162,7 @@ msgstr ""
 msgid "Gael de Chalendar (aka Kleag)"
 msgstr "Gael de Chalendar (aka Kleag)"
 
-#: docgenerators/main.cpp:56 main.cpp:131
+#: docgenerators/main.cpp:56 main.cpp:133
 #, kde-format
 msgid "Umbrello UML Modeller Authors"
 msgstr "Umbrello UML Modeller авторлары"
@@ -4226,12 +4226,12 @@ msgstr ""
 msgid "Apply layout"
 msgstr "Автоорналастыру"
 
-#: main.cpp:121
+#: main.cpp:123
 #, kde-format
 msgid "Umbrello UML Modeller"
 msgstr "Umbrello"
 
-#: main.cpp:123
+#: main.cpp:125
 #, kde-format
 msgid ""
 "Umbrello – Visual development environment for software, based on the "
@@ -4239,7 +4239,7 @@ msgid ""
 "\"http://www.omg.org/spec/\">http://www.omg.org/spec/</a>."
 msgstr ""
 
-#: main.cpp:127
+#: main.cpp:129
 #, fuzzy, kde-format
 #| msgid "(c) 2001 Paul Hensgen, (c) 2002-2013 Umbrello UML Modeller Authors"
 msgid ""
@@ -4247,113 +4247,113 @@ msgid ""
 "Copyright © 2002-2020 Umbrello UML Modeller Authors"
 msgstr "(c) 2001 Paul Hensgen, (c) 2002-2013 Umbrello UML Modeller авторлары"
 
-#: main.cpp:130
+#: main.cpp:132
 #, kde-format
 msgid "Paul Hensgen"
 msgstr "Paul Hensgen"
 
-#: main.cpp:130
+#: main.cpp:132
 #, kde-format
 msgid "Author of initial version."
 msgstr ""
 
-#: main.cpp:134
+#: main.cpp:136
 #, kde-format
 msgid "Oliver Kellogg"
 msgstr ""
 
-#: main.cpp:135 main.cpp:138
+#: main.cpp:137 main.cpp:140
 #, kde-format
 msgid "Bug fixing, porting work, code cleanup, new features."
 msgstr ""
 
-#: main.cpp:137
+#: main.cpp:139
 #, kde-format
 msgid "Ralf Habacker"
 msgstr ""
 
-#: main.cpp:140
+#: main.cpp:142
 #, kde-format
 msgid "Andi Fischer"
 msgstr ""
 
-#: main.cpp:141
+#: main.cpp:143
 #, kde-format
 msgid "Porting work, code cleanup, new features."
 msgstr ""
 
-#: main.cpp:143
+#: main.cpp:145
 #, kde-format
 msgid "Jonathan Riddell"
 msgstr ""
 
-#: main.cpp:144
+#: main.cpp:146
 #, fuzzy, kde-format
 #| msgid "&Current diagram"
 msgid "Current maintainer."
 msgstr "Н&азардағы диаграмма"
 
-#: main.cpp:146
+#: main.cpp:148
 #, kde-format
 msgid "Brian Thomas"
 msgstr ""
 
-#: main.cpp:147
+#: main.cpp:149
 #, kde-format
 msgid "A lot of work for C++ and Java code generation. Codeeditor."
 msgstr ""
 
-#: main.cpp:152
+#: main.cpp:154
 #, kde-format
 msgid "File to open"
 msgstr "Ашатын файл"
 
-#: main.cpp:153
+#: main.cpp:155
 #, kde-format
 msgid "export diagrams to extension and exit"
 msgstr "диаграммаларын экспорттап шығу"
 
-#: main.cpp:154
+#: main.cpp:156
 #, kde-format
 msgid "list available export extensions"
 msgstr "экспорттауға дайын қосымшалары"
 
-#: main.cpp:155
+#: main.cpp:157
 #, kde-format
 msgid "the local directory to save the exported diagrams in"
 msgstr "экспортайтын диаграммаларын сақтайтын каталогы"
 
-#: main.cpp:155
+#: main.cpp:157
 #, kde-format
 msgid "the directory of the file"
 msgstr "келесі файлдың каталогы"
 
-#: main.cpp:156
+#: main.cpp:158
 #, fuzzy, kde-format
 #| msgid "importing file ..."
 msgid "import files"
 msgstr "импорттап жатыр ..."
 
-#: main.cpp:157
+#: main.cpp:159
 #, fuzzy, kde-format
 #| msgid "All Supported Files"
 msgid "list supported languages"
 msgstr "Бүкіл танитын файлдар"
 
-#: main.cpp:158
+#: main.cpp:160
 #, kde-format
 msgid ""
 "keep the tree structure used to store the views in the document in the "
 "target directory"
 msgstr "көздеген каталогта құжаттың қапшық құрылымы сақталсын"
 
-#: main.cpp:159
+#: main.cpp:161
 #, fuzzy, kde-format
 #| msgid "Import Project..."
 msgid "import files from directory <dir>"
 msgstr "Жобаны импорттау..."
 
-#: main.cpp:163
+#: main.cpp:165
 #, fuzzy, kde-format
 #| msgid "Active &Language"
 msgid "set active language"
@@ -4625,7 +4625,7 @@ msgstr "Деструкциясы көр
 msgid "Import File(s)..."
 msgstr "Кластарды импорттау..."
 
-#: menus/listpopupmenu.cpp:201 uml.cpp:356
+#: menus/listpopupmenu.cpp:201 uml.cpp:365
 #, fuzzy, kde-format
 #| msgid "Import Project..."
 msgid "Import from Directory..."
@@ -5153,42 +5153,42 @@ msgctxt "align menu"
 msgid "Align"
 msgstr "&Туралау"
 
-#: menus/widgetbasepopupmenu.cpp:598 uml.cpp:573
+#: menus/widgetbasepopupmenu.cpp:598 uml.cpp:582
 #, kde-format
 msgid "Align Right"
 msgstr "Оңға туралау"
 
-#: menus/widgetbasepopupmenu.cpp:599 uml.cpp:578
+#: menus/widgetbasepopupmenu.cpp:599 uml.cpp:587
 #, kde-format
 msgid "Align Left"
 msgstr "Солға туралау"
 
-#: menus/widgetbasepopupmenu.cpp:600 uml.cpp:583
+#: menus/widgetbasepopupmenu.cpp:600 uml.cpp:592
 #, kde-format
 msgid "Align Top"
 msgstr "Жоғарға туралау"
 
-#: menus/widgetbasepopupmenu.cpp:601 uml.cpp:588
+#: menus/widgetbasepopupmenu.cpp:601 uml.cpp:597
 #, kde-format
 msgid "Align Bottom"
 msgstr "Төменге туралау"
 
-#: menus/widgetbasepopupmenu.cpp:603 uml.cpp:593
+#: menus/widgetbasepopupmenu.cpp:603 uml.cpp:602
 #, kde-format
 msgid "Align Vertical Middle"
 msgstr "Тігінен ортаға туралау"
 
-#: menus/widgetbasepopupmenu.cpp:604 uml.cpp:598
+#: menus/widgetbasepopupmenu.cpp:604 uml.cpp:607
 #, kde-format
 msgid "Align Horizontal Middle"
 msgstr "Колденеңінен ортаға туралау"
 
-#: menus/widgetbasepopupmenu.cpp:605 uml.cpp:603
+#: menus/widgetbasepopupmenu.cpp:605 uml.cpp:612
 #, kde-format
 msgid "Align Vertical Distribute"
 msgstr "Тігінен үлестіріп туралау"
 
-#: menus/widgetbasepopupmenu.cpp:606 uml.cpp:608
+#: menus/widgetbasepopupmenu.cpp:606 uml.cpp:617
 #, kde-format
 msgid "Align Horizontal Distribute"
 msgstr "Колденеңінен үлестіріп туралау"
@@ -6124,8 +6124,8 @@ msgstr "Хабарлама"
 #: object_factory.cpp:251 uml1model/classifier.cpp:410
 #: uml1model/classifier.cpp:781 uml1model/entity.cpp:125
 #: uml1model/entity.cpp:178 uml1model/entity.cpp:228 uml1model/entity.cpp:277
-#: uml1model/enum.cpp:107 uml1model/instance.cpp:124 uml1model/package.cpp:171
-#: umldoc.cpp:1721 umldoc.cpp:1755
+#: uml1model/enum.cpp:107 uml1model/instance.cpp:124 uml1model/package.cpp:177
+#: umldoc.cpp:1723 umldoc.cpp:1757
 #, kde-format
 msgid "That is an invalid name."
 msgstr "Атауы жарамсыз."
@@ -6144,7 +6144,7 @@ msgstr "Арнаулы сөзі"
 #: object_factory.cpp:264 uml1model/classifier.cpp:413
 #: uml1model/classifier.cpp:783 uml1model/entity.cpp:127
 #: uml1model/entity.cpp:180 uml1model/entity.cpp:230 uml1model/entity.cpp:279
-#: uml1model/instance.cpp:126 umldoc.cpp:1727 umldoc.cpp:1764
+#: uml1model/instance.cpp:126 umldoc.cpp:1729 umldoc.cpp:1766
 #, kde-format
 msgid "That name is already being used."
 msgstr "Бұндай атау қолданыста бар екен"
@@ -6152,8 +6152,8 @@ msgstr "Бұндай атау қолда
 #: object_factory.cpp:265 uml1model/classifier.cpp:413
 #: uml1model/classifier.cpp:783 uml1model/entity.cpp:127
 #: uml1model/entity.cpp:180 uml1model/entity.cpp:230 uml1model/entity.cpp:279
-#: uml1model/instance.cpp:126 umldoc.cpp:1629 umldoc.cpp:1699 umldoc.cpp:1727
-#: umldoc.cpp:1764
+#: uml1model/instance.cpp:126 umldoc.cpp:1631 umldoc.cpp:1701 umldoc.cpp:1729
+#: umldoc.cpp:1766
 #, kde-format
 msgid "Not a Unique Name"
 msgstr "Қайталанған атауы"
@@ -6214,12 +6214,12 @@ msgstr "Осылай аталған ат
 msgid "Choose a different name."
 msgstr "Басқаша атаңыз."
 
-#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:266
+#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:273
 #, kde-format
 msgid "Incorrect use of associations."
 msgstr "Байланысты қолдануы дұрыс емес."
 
-#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:266
+#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:273
 #, kde-format
 msgid "Association Error"
 msgstr "Қате байланыс"
@@ -7387,190 +7387,190 @@ msgstr "Қолданатын &тіл"
 msgid "&Settings"
 msgstr "&Баптау"
 
-#: uml.cpp:332
+#: uml.cpp:341
 #, kde-format
 msgid "&Export model to DocBook"
 msgstr "Үлгіні DocBook-қа &экспорттау"
 
-#: uml.cpp:336
+#: uml.cpp:345
 #, kde-format
 msgid "&Export model to XHTML"
 msgstr "Үлгіні XHTML-ге &экспорттау"
 
-#: uml.cpp:340
+#: uml.cpp:349
 #, kde-format
 msgid "&New Class Wizard..."
 msgstr "&Жаңа класс құру Шебері..."
 
-#: uml.cpp:344
+#: uml.cpp:353
 #, kde-format
 msgid "&Add Default Datatypes for Active Language"
 msgstr "Белсенді тіліне әдетті дерек түрін қ&осу"
 
-#: uml.cpp:351
+#: uml.cpp:360
 #, kde-format
 msgid "Code &Importing Wizard..."
 msgstr "Кодты &импорттау Шебері..."
 
-#: uml.cpp:361
+#: uml.cpp:370
 #, kde-format
 msgid "&Code Generation Wizard..."
 msgstr "&Кодты құру Шебері..."
 
-#: uml.cpp:366
+#: uml.cpp:375
 #, kde-format
 msgid "&Generate All Code"
 msgstr "Бүкіл кодын құ&ру"
 
-#: uml.cpp:411
+#: uml.cpp:420
 #, kde-format
 msgid "Creates a new document"
 msgstr "Жаңа құжатты құрып беру"
 
-#: uml.cpp:412
+#: uml.cpp:421
 #, kde-format
 msgid "Opens an existing document"
 msgstr "Бар құжатты ашып беру"
 
-#: uml.cpp:413
+#: uml.cpp:422
 #, kde-format
 msgid "Opens a recently used file"
 msgstr "Жуырда қолданған файлды ашады"
 
-#: uml.cpp:414
+#: uml.cpp:423
 #, kde-format
 msgid "Saves the document"
 msgstr "Құжатты сақтау"
 
-#: uml.cpp:415
+#: uml.cpp:424
 #, kde-format
 msgid "Saves the document as..."
 msgstr "Құжатты қайда. қалай сақтау..."
 
-#: uml.cpp:416
+#: uml.cpp:425
 #, kde-format
 msgid "Closes the document"
 msgstr "Құжатты жабу"
 
-#: uml.cpp:417
+#: uml.cpp:426
 #, kde-format
 msgid "Prints out the document"
 msgstr "Құжатты басып шығару"
 
-#: uml.cpp:418
+#: uml.cpp:427
 #, kde-format
 msgid "Print Preview of the document"
 msgstr "Құжаттың көрінісін  басып шығару"
 
-#: uml.cpp:419
+#: uml.cpp:428
 #, kde-format
 msgid "Quits the application"
 msgstr "Қолданбадан шығу"
 
-#: uml.cpp:420
+#: uml.cpp:429
 #, kde-format
 msgid "Exports the model to the docbook format"
 msgstr "Үлгіні docbook пішіміне экспортайды"
 
-#: uml.cpp:421
+#: uml.cpp:430
 #, kde-format
 msgid "Exports the model to the XHTML format"
 msgstr "Үлгіні XHTML пішіміне экспорттау"
 
-#: uml.cpp:422
+#: uml.cpp:431
 #, kde-format
 msgid "Cuts the selected section and puts it to the clipboard"
 msgstr "Таңдалғанын қиып алып, оны алмасу буферіне орналастыру"
 
-#: uml.cpp:423
+#: uml.cpp:432
 #, kde-format
 msgid "Copies the selected section to the clipboard"
 msgstr "Таңдалғанын алмасу буферіне көшірмелеу"
 
-#: uml.cpp:424
+#: uml.cpp:433
 #, kde-format
 msgid "Pastes the contents of the clipboard"
 msgstr "Алмасу буферіндегіні орналастыру"
 
-#: uml.cpp:425
+#: uml.cpp:434
 #, kde-format
 msgid "Set the default program preferences"
 msgstr "Бағдарлама параметрлерін әдетті қылу"
 
-#: uml.cpp:429
+#: uml.cpp:438
 #, kde-format
 msgctxt "delete selected widget"
 msgid "Delete &Selected"
 msgstr "Таңдалғанды өшіру."
 
-#: uml.cpp:440
+#: uml.cpp:449
 #, kde-format
 msgid "&Class Diagram..."
 msgstr "&Класс диаграммасы..."
 
-#: uml.cpp:447
+#: uml.cpp:456
 #, fuzzy, kde-format
 #| msgid "S&tate Diagram..."
 msgid "&Object Diagram..."
 msgstr "Кү&й-жайлар диаграммасы..."
 
-#: uml.cpp:454
+#: uml.cpp:463
 #, kde-format
 msgid "&Sequence Diagram..."
 msgstr "&Іс кезегінің диаграммасы..."
 
-#: uml.cpp:460
+#: uml.cpp:469
 #, fuzzy, kde-format
 #| msgid "C&ollaboration Diagram..."
 msgid "C&ommunication Diagram..."
 msgstr "Бі&рлескен іс диаграммасы..."
 
-#: uml.cpp:466
+#: uml.cpp:475
 #, kde-format
 msgid "&Use Case Diagram..."
 msgstr "&Қолдану оқиғалар диаграммасы..."
 
-#: uml.cpp:472
+#: uml.cpp:481
 #, kde-format
 msgid "S&tate Diagram..."
 msgstr "Кү&й-жайлар диаграммасы..."
 
-#: uml.cpp:478
+#: uml.cpp:487
 #, kde-format
 msgid "&Activity Diagram..."
 msgstr "І&с диаграммасы..."
 
-#: uml.cpp:484
+#: uml.cpp:493
 #, kde-format
 msgid "Co&mponent Diagram..."
 msgstr "Ко&мпоненттер диаграмммасы..."
 
-#: uml.cpp:490
+#: uml.cpp:499
 #, kde-format
 msgid "&Deployment Diagram..."
 msgstr "&Өрістеу диаграммасы..."
 
-#: uml.cpp:496
+#: uml.cpp:505
 #, kde-format
 msgid "&Entity Relationship Diagram..."
 msgstr "&Нысан қатынастар диаграммасы..."
 
-#: uml.cpp:501 uml.cpp:954
+#: uml.cpp:510 uml.cpp:963
 #, kde-format
 msgid "&Tree View"
 msgstr "&Бұтақты көрініс"
 
-#: uml.cpp:505
+#: uml.cpp:514
 #, kde-format
 msgid "&Debugging"
 msgstr ""
 
-#: uml.cpp:513
+#: uml.cpp:522
 #, kde-format
 msgid "&Logging"
 msgstr ""
 
-#: uml.cpp:517
+#: uml.cpp:526
 #, kde-format
 msgid "&Command history"
 msgstr "К&омандалар тарихы"
@@ -7579,138 +7579,138 @@ msgstr "К&омандалар тарих
 #. m_propertyDock->setObjectName(QLatin1String("PropertyDock"));
 #. addDockWidget(Qt::LeftDockWidgetArea, m_propertyDock);  //:TODO:
 #. create the bird's eye view
-#: uml.cpp:521 uml.cpp:1011
+#: uml.cpp:530 uml.cpp:1020
 #, kde-format
 msgid "&Bird's eye view"
 msgstr ""
 
-#: uml.cpp:526
+#: uml.cpp:535
 #, kde-format
 msgid "&Clear Diagram"
 msgstr "&Диаграмманы тазалау"
 
-#: uml.cpp:530
+#: uml.cpp:539
 #, kde-format
 msgid "&Snap to Grid"
 msgstr "&Торға келтіру"
 
-#: uml.cpp:534
+#: uml.cpp:543
 #, kde-format
 msgid "S&how Grid"
 msgstr "&Тор көрсетілсін"
 
-#: uml.cpp:539
+#: uml.cpp:548
 #, fuzzy, kde-format
 #| msgid "Delete Diagram"
 msgid "&Delete Diagram"
 msgstr "Диаграмманы өшіру"
 
-#: uml.cpp:544
+#: uml.cpp:553
 #, kde-format
 msgid "&Export as Picture..."
 msgstr "Сурет қылып &экспорттау..."
 
-#: uml.cpp:549
+#: uml.cpp:558
 #, fuzzy, kde-format
 #| msgid "Export &All Diagrams as Pictures..."
 msgid "Export &Diagrams as Pictures..."
 msgstr "&Бүкілін суреттерге экспорттау..."
 
-#: uml.cpp:569
+#: uml.cpp:578
 #, kde-format
 msgid "Z&oom to 100%"
 msgstr "100%"
 
-#: uml.cpp:612
+#: uml.cpp:621
 #, kde-format
 msgid "&Move Tab Left"
 msgstr "Қойындыны солға &жылжыту"
 
-#: uml.cpp:613
+#: uml.cpp:622
 #, kde-format
 msgid "&Move Tab Right"
 msgstr "Қойындыны оңға &жылжыту"
 
-#: uml.cpp:636
+#: uml.cpp:645
 #, kde-format
 msgid "Select Diagram on Left"
 msgstr "Сол жақ диаграмманы таңдау"
 
-#: uml.cpp:637
+#: uml.cpp:646
 #, kde-format
 msgid "Select Diagram on Right"
 msgstr "Оң жақ диаграмманы таңдау"
 
-#: uml.cpp:776
+#: uml.cpp:785
 #, kde-format
 msgctxt "%1 percent value from 20 to 500"
 msgid " &%1%"
 msgstr ""
 
-#: uml.cpp:826
+#: uml.cpp:835
 #, kde-format
 msgctxt "init status bar"
 msgid "Ready"
 msgstr "Дайын"
 
-#: uml.cpp:835 uml.cpp:848
+#: uml.cpp:844 uml.cpp:857
 #, kde-format
 msgid "100%"
 msgstr ""
 
-#: uml.cpp:840
+#: uml.cpp:849
 #, fuzzy, kde-format
 #| msgid "Filter"
 msgid "Fit"
 msgstr "Сүзгі"
 
-#: uml.cpp:899
+#: uml.cpp:908
 #, kde-format
 msgid "Diagram Toolbar"
 msgstr "Диаграммалар панелі"
 
-#: uml.cpp:965
+#: uml.cpp:974
 #, kde-format
 msgid "Doc&umentation"
 msgstr "Құжа&тама"
 
-#: uml.cpp:976
+#: uml.cpp:985
 #, kde-format
 msgid "Co&mmand history"
 msgstr "Командалар тарихы"
 
-#: uml.cpp:992
+#: uml.cpp:1001
 #, kde-format
 msgid "&Debug"
 msgstr ""
 
-#: uml.cpp:999
+#: uml.cpp:1008
 #, kde-format
 msgid "&Log"
 msgstr ""
 
-#: uml.cpp:1041 uml.cpp:1258 uml.cpp:1307
+#: uml.cpp:1050 uml.cpp:1267 uml.cpp:1316
 #, kde-format
 msgid "Opening file..."
 msgstr "Файлы ашу..."
 
-#: uml.cpp:1092 uml.cpp:1157 uml.cpp:1342 umldoc.cpp:342 umldoc.cpp:344
-#: umldoc.cpp:368 umldoc.cpp:3396
+#: uml.cpp:1101 uml.cpp:1166 uml.cpp:1351 umldoc.cpp:343 umldoc.cpp:345
+#: umldoc.cpp:369 umldoc.cpp:3405
 #, kde-format
 msgid "Untitled"
 msgstr "Аталмаған"
 
-#: uml.cpp:1240
+#: uml.cpp:1249
 #, kde-format
 msgid "Creating new document..."
 msgstr "Жаңа құжатты құру..."
 
-#: uml.cpp:1266 uml.cpp:1281
+#: uml.cpp:1275 uml.cpp:1290
 #, kde-format
 msgid "Open File"
 msgstr "Файлды ашу"
 
-#: uml.cpp:1270
+#: uml.cpp:1279
 #, fuzzy, kde-format
 #| msgid ""
 #| "*.xmi *.xmi.tgz *.xmi.tar.bz2 *.mdl|All Supported Files (*.xmi, *.xmi."
@@ -7735,22 +7735,22 @@ msgstr ""
 "*.xmi.tar.bz2|Bzip2-мен сығылған XMI файлдар (*.xmi.tar.bz2)\n"
 "*.mdl|Rose үлгі файлдары"
 
-#: uml.cpp:1341
+#: uml.cpp:1350
 #, kde-format
 msgid "Saving file..."
 msgstr "Файлды сақтау..."
 
-#: uml.cpp:1358
+#: uml.cpp:1367
 #, kde-format
 msgid "Saving file with a new filename..."
 msgstr "Файлды жаңа атауымен сақтау..."
 
-#: uml.cpp:1368 uml.cpp:1374 umlviewimageexporter.cpp:199
+#: uml.cpp:1377 uml.cpp:1383 umlviewimageexporter.cpp:199
 #, kde-format
 msgid "Save As"
 msgstr "Былай сақтау"
 
-#: uml.cpp:1369
+#: uml.cpp:1378
 #, fuzzy, kde-format
 #| msgid ""
 #| "*.xmi|XMI File\n"
@@ -7766,7 +7766,7 @@ msgstr ""
 "*.xmi.tar.bz2|Bzip2-мен сығылған XMI файл\n"
 "*|Бүкіл файлдар"
 
-#: uml.cpp:1374
+#: uml.cpp:1383
 #, fuzzy, kde-format
 #| msgid ""
 #| "*.xmi|XMI File\n"
@@ -7784,7 +7784,7 @@ msgstr ""
 "*.xmi.tar.bz2|Bzip2-мен сығылған XMI файл\n"
 "*|Бүкіл файлдар"
 
-#: uml.cpp:1387
+#: uml.cpp:1396
 #, kde-format
 msgid ""
 "The file %1 exists.\n"
@@ -7793,67 +7793,67 @@ msgstr ""
 "%1 деген файл бар екен \n"
 "Үстінен жаза берейік пе?"
 
-#: uml.cpp:1388
+#: uml.cpp:1397
 #, kde-format
 msgid "Warning"
 msgstr "Ескерту"
 
-#: uml.cpp:1388
+#: uml.cpp:1397
 #, kde-format
 msgid "Overwrite"
 msgstr "Үстінен жазу"
 
-#: uml.cpp:1422
+#: uml.cpp:1431
 #, kde-format
 msgid "Closing file..."
 msgstr "Файлды жабу"
 
-#: uml.cpp:1432
+#: uml.cpp:1441
 #, kde-format
 msgid "No search term entered"
 msgstr ""
 
-#: uml.cpp:1438
+#: uml.cpp:1447
 #, kde-format
 msgid "'%1': %2 found"
 msgstr ""
 
-#: uml.cpp:1502
+#: uml.cpp:1511
 #, kde-format
 msgid "Print Preview..."
 msgstr "Басатынды қарау..."
 
-#: uml.cpp:1529
+#: uml.cpp:1538
 #, kde-format
 msgid "Printing..."
 msgstr "Басу..."
 
-#: uml.cpp:1536 uml.cpp:1540
+#: uml.cpp:1545 uml.cpp:1549
 #, kde-format
 msgid "Print %1"
 msgstr "%1 басып шығару"
 
-#: uml.cpp:1560
+#: uml.cpp:1569
 #, kde-format
 msgid "Exiting..."
 msgstr "Шығу..."
 
-#: uml.cpp:1647
+#: uml.cpp:1656
 #, kde-format
 msgid "Cutting selection..."
 msgstr "Таңдағанды қиып алу..."
 
-#: uml.cpp:1670
+#: uml.cpp:1679
 #, kde-format
 msgid "Copying selection to clipboard..."
 msgstr "Таңдағанды алмасу буферіне көшірмелеу..."
 
-#: uml.cpp:1682
+#: uml.cpp:1691
 #, kde-format
 msgid "Inserting clipboard contents..."
 msgstr "Алмасу буферінің мазмұнын орналастыру..."
 
-#: uml.cpp:1687
+#: uml.cpp:1696
 #, kde-format
 msgid ""
 "Umbrello could not paste the clipboard contents.  The objects in the "
@@ -7862,40 +7862,40 @@ msgstr ""
 "Umbrello алмасу буферінің мазмұнын орналастыра алмайды. Буфердегі "
 "объекттерінің түрлері бұнда жарамайды."
 
-#: uml.cpp:1713 umlviewimageexporter.cpp:92 umlviewimageexporterall.cpp:123
+#: uml.cpp:1722 umlviewimageexporter.cpp:92 umlviewimageexporterall.cpp:123
 #, kde-format
 msgctxt "reset status bar"
 msgid "Ready."
 msgstr "Дайын."
 
-#: uml.cpp:2246
+#: uml.cpp:2255
 #, kde-format
 msgid "Cannot view code until you generate some first."
 msgstr "Кодты көру үшін алдымен оны құру керек."
 
-#: uml.cpp:2246 uml.cpp:2249
+#: uml.cpp:2255 uml.cpp:2258
 #, kde-format
 msgid "Cannot View Code"
 msgstr "Код көрсетілмейді"
 
-#: uml.cpp:2249
+#: uml.cpp:2258
 #, kde-format
 msgid "Cannot view code from simple code writer."
 msgstr "Қарапайым код жазу құралдағы коды көрсетілмейді."
 
-#: uml.cpp:2714 uml.cpp:2716
+#: uml.cpp:2728 uml.cpp:2730
 #, fuzzy, kde-format
 #| msgid "Select Code to Import"
 msgid "Select file(s) to import:"
 msgstr "Импорттауға кодты таңдау"
 
-#: uml.cpp:2747 uml.cpp:2749
+#: uml.cpp:2761 uml.cpp:2763
 #, fuzzy, kde-format
 #| msgid "Select Code to Import"
 msgid "Select directory to import:"
 msgstr "Импорттауға кодты таңдау"
 
-#: uml.cpp:3313
+#: uml.cpp:3335
 #, kde-format
 msgid "XHTML Generation failed ."
 msgstr "XHTML құру жаңылысы"
@@ -7909,20 +7909,20 @@ msgstr ""
 "Осылай аталған, бұндай сигнатурамен операция бар екен. Жаңадан қосуға "
 "болмайды."
 
-#: uml1model/folder.cpp:435
+#: uml1model/folder.cpp:436
 #, kde-format
 msgid "The folderfile %1 does not exist."
 msgstr "%1 қапшық файлы жоқ"
 
-#: uml1model/folder.cpp:435 uml1model/folder.cpp:439 umldoc.cpp:529
-#: umldoc.cpp:541 umldoc.cpp:568 umldoc.cpp:570 umldoc.cpp:620 umldoc.cpp:623
-#: umldoc.cpp:638 umldoc.cpp:641 umldoc.cpp:665 umldoc.cpp:668 umldoc.cpp:684
-#: umldoc.cpp:687 umldoc.cpp:702 umldoc.cpp:705 umldoc.cpp:750
+#: uml1model/folder.cpp:436 uml1model/folder.cpp:440 umldoc.cpp:530
+#: umldoc.cpp:542 umldoc.cpp:569 umldoc.cpp:571 umldoc.cpp:621 umldoc.cpp:624
+#: umldoc.cpp:639 umldoc.cpp:642 umldoc.cpp:666 umldoc.cpp:669 umldoc.cpp:685
+#: umldoc.cpp:688 umldoc.cpp:703 umldoc.cpp:706 umldoc.cpp:751
 #, kde-format
 msgid "Load Error"
 msgstr "Жүктеу қатесі"
 
-#: uml1model/folder.cpp:439
+#: uml1model/folder.cpp:440
 #, kde-format
 msgid "The folderfile %1 cannot be opened."
 msgstr "%1 қапшық файлы ашылмайды"
@@ -7932,13 +7932,13 @@ msgstr "%1 қапшық файлы аш
 msgid "new_parameter"
 msgstr "new_parameter"
 
-#: uml1model/package.cpp:163
+#: uml1model/package.cpp:169
 #, kde-format
 msgctxt "object name"
 msgid "Name"
 msgstr "Атауы"
 
-#: uml1model/package.cpp:164
+#: uml1model/package.cpp:170
 #, kde-format
 msgid ""
 "An object with the name %1\n"
@@ -7964,80 +7964,80 @@ msgstr "new_field"
 msgid "new_fkey_constraint"
 msgstr "new_fkey_constraint"
 
-#: uml1model/umlobject.cpp:1140
+#: uml1model/umlobject.cpp:1141
 #, kde-format
 msgid "Actor &name:"
 msgstr "Істейтін тұлғаның аты:"
 
-#: uml1model/umlobject.cpp:1143
+#: uml1model/umlobject.cpp:1144
 #, kde-format
 msgid "Artifact &name:"
 msgstr "Артефакттың &атауы:"
 
-#: uml1model/umlobject.cpp:1146
+#: uml1model/umlobject.cpp:1147
 #, fuzzy, kde-format
 #| msgid "Association Name"
 msgid "Association &name:"
 msgstr "Байланыстың атауы"
 
-#: uml1model/umlobject.cpp:1149
+#: uml1model/umlobject.cpp:1150
 #, kde-format
 msgid "Class &name:"
 msgstr "Кластың &атауы:"
 
-#: uml1model/umlobject.cpp:1152
+#: uml1model/umlobject.cpp:1153
 #, kde-format
 msgid "Component &name:"
 msgstr "Бөлшегінің &атауы:"
 
-#: uml1model/umlobject.cpp:1155
+#: uml1model/umlobject.cpp:1156
 #, kde-format
 msgid "Datatype &name:"
 msgstr "Дерек түрінің &атауы:"
 
-#: uml1model/umlobject.cpp:1158
+#: uml1model/umlobject.cpp:1159
 #, kde-format
 msgid "Entity &name:"
 msgstr "Нысанның &атауы:"
 
-#: uml1model/umlobject.cpp:1161
+#: uml1model/umlobject.cpp:1162
 #, kde-format
 msgid "Enum &name:"
 msgstr "Enum-дың &атауы"
 
-#: uml1model/umlobject.cpp:1164
+#: uml1model/umlobject.cpp:1165
 #, fuzzy, kde-format
 #| msgid "Node &name:"
 msgid "Folder &name:"
 msgstr "Торабының &атауы:"
 
-#: uml1model/umlobject.cpp:1167
+#: uml1model/umlobject.cpp:1168
 #, kde-format
 msgid "Interface &name:"
 msgstr "Интерфейстің &атауы:"
 
-#: uml1model/umlobject.cpp:1170
+#: uml1model/umlobject.cpp:1171
 #, kde-format
 msgid "Node &name:"
 msgstr "Торабының &атауы:"
 
-#: uml1model/umlobject.cpp:1173
+#: uml1model/umlobject.cpp:1174
 #, kde-format
 msgid "Package &name:"
 msgstr "Дестенің &атауы:"
 
-#: uml1model/umlobject.cpp:1176
+#: uml1model/umlobject.cpp:1177
 #, fuzzy, kde-format
 #| msgid "Actor &name:"
 msgid "Port &name:"
 msgstr "Істейтін тұлғаның аты:"
 
-#: uml1model/umlobject.cpp:1182
+#: uml1model/umlobject.cpp:1183
 #, kde-format
 msgid "Use case &name:"
 msgstr "Қолдану оқиғасының &атауы:"
 
-#: uml1model/umlobject.cpp:1185
+#: uml1model/umlobject.cpp:1186
 #, kde-format
 msgid "Instance name:"
 msgstr "Данасының атауы:"
@@ -8059,42 +8059,42 @@ msgstr "Стереотип"
 msgid "Welcome"
 msgstr ""
 
-#: umldoc.cpp:112 umldoc.cpp:2400 umldoc.cpp:2428
+#: umldoc.cpp:113 umldoc.cpp:2405 umldoc.cpp:2433
 #, kde-format
 msgid "UML Model"
 msgstr "UML үлгісі"
 
-#: umldoc.cpp:154
+#: umldoc.cpp:155
 #, kde-format
 msgid "Logical View"
 msgstr "Логикалық көрініс"
 
-#: umldoc.cpp:155
+#: umldoc.cpp:156
 #, kde-format
 msgid "Use Case View"
 msgstr "Қолдану оқиғас көрінісі"
 
-#: umldoc.cpp:156
+#: umldoc.cpp:157
 #, kde-format
 msgid "Component View"
 msgstr "Бөлшекті көрініс"
 
-#: umldoc.cpp:157
+#: umldoc.cpp:158
 #, kde-format
 msgid "Deployment View"
 msgstr "Өрістеу көрініс"
 
-#: umldoc.cpp:158
+#: umldoc.cpp:159
 #, kde-format
 msgid "Entity Relationship Model"
 msgstr "Нысан қатынас үлгісі"
 
-#: umldoc.cpp:184
+#: umldoc.cpp:185
 #, kde-format
 msgid "Datatypes"
 msgstr "Дерек түрі"
 
-#: umldoc.cpp:363
+#: umldoc.cpp:364
 #, kde-format
 msgid ""
 "The current file has been modified.\n"
@@ -8103,171 +8103,171 @@ msgstr ""
 "Назардағы файл өзгертілген.\n"
 "Сақтайсыз ба?"
 
-#: umldoc.cpp:364
+#: umldoc.cpp:365
 #, kde-format
 msgctxt "warning message"
 msgid "Warning"
 msgstr "Ескерту"
 
-#: umldoc.cpp:529
+#: umldoc.cpp:530
 #, fuzzy, kde-format
 #| msgid "The file %1 does not exist."
 msgid "The file <%1> does not exist."
 msgstr "%1 деген файл жоқ."
 
-#: umldoc.cpp:541
+#: umldoc.cpp:542
 #, kde-format
 msgid "The file %1 does not exist."
 msgstr "%1 деген файл жоқ."
 
-#: umldoc.cpp:568 umldoc.cpp:570
+#: umldoc.cpp:569 umldoc.cpp:571
 #, kde-format
 msgid "The file %1 seems to be corrupted."
 msgstr "%1 файлы бүлінген сияқты."
 
-#: umldoc.cpp:619 umldoc.cpp:622 umldoc.cpp:637 umldoc.cpp:640 umldoc.cpp:683
-#: umldoc.cpp:686
+#: umldoc.cpp:620 umldoc.cpp:623 umldoc.cpp:638 umldoc.cpp:641 umldoc.cpp:684
+#: umldoc.cpp:687
 #, kde-format
 msgid "There was no XMI file found in the compressed file %1."
 msgstr "%1 деген сығылғын файлда XML файл жоқ."
 
-#: umldoc.cpp:664 umldoc.cpp:667
+#: umldoc.cpp:665 umldoc.cpp:668
 #, kde-format
 msgid "There was a problem loading the extracted file: %1"
 msgstr "Мына тарқатылған файлды жүктегенде бір мәселе туды: %1"
 
-#: umldoc.cpp:701 umldoc.cpp:704 umldoc.cpp:744 umldoc.cpp:746
+#: umldoc.cpp:702 umldoc.cpp:705 umldoc.cpp:745 umldoc.cpp:747
 #, kde-format
 msgid "There was a problem loading file: %1"
 msgstr "Мына файлды жүктегенде бір мәселе туды: %1"
 
-#: umldoc.cpp:749
+#: umldoc.cpp:750
 #, kde-format
 msgid "Reason: %1"
 msgstr ""
 
-#: umldoc.cpp:832 umldoc.cpp:834 umldoc.cpp:851 umldoc.cpp:853 umldoc.cpp:873
-#: umldoc.cpp:875 umldoc.cpp:924 umldoc.cpp:926 umldoc.cpp:966 umldoc.cpp:969
-#: umldoc.cpp:978 umldoc.cpp:980 umllistview.cpp:593
+#: umldoc.cpp:833 umldoc.cpp:835 umldoc.cpp:852 umldoc.cpp:854 umldoc.cpp:874
+#: umldoc.cpp:876 umldoc.cpp:925 umldoc.cpp:927 umldoc.cpp:968 umldoc.cpp:971
+#: umldoc.cpp:980 umldoc.cpp:982 umllistview.cpp:594
 #, kde-format
 msgid "Save Error"
 msgstr "Сақтау қатесі"
 
-#: umldoc.cpp:832 umldoc.cpp:851 umldoc.cpp:873 umldoc.cpp:924 umldoc.cpp:966
+#: umldoc.cpp:833 umldoc.cpp:852 umldoc.cpp:874 umldoc.cpp:925 umldoc.cpp:968
 #, fuzzy, kde-format
 #| msgid "There was a problem saving file: %1"
 msgid "There was a problem saving: %1"
 msgstr "Файлды сақтағанда мәселе орын алды: %1"
 
-#: umldoc.cpp:834 umldoc.cpp:853 umldoc.cpp:875 umldoc.cpp:926 umldoc.cpp:969
-#: umllistview.cpp:592 umlviewimageexportermodel.cpp:303
+#: umldoc.cpp:835 umldoc.cpp:854 umldoc.cpp:876 umldoc.cpp:927 umldoc.cpp:971
+#: umllistview.cpp:593 umlviewimageexportermodel.cpp:303
 #, kde-format
 msgid "There was a problem saving file: %1"
 msgstr "Файлды сақтағанда мәселе орын алды: %1"
 
-#: umldoc.cpp:978
+#: umldoc.cpp:980
 #, fuzzy, kde-format
 #| msgid "There was a problem uploading file: %1"
 msgid "There was a problem uploading: %1"
 msgstr "Мына файлды жүктеп бергенде бір мәселе туды: %1"
 
-#: umldoc.cpp:980
+#: umldoc.cpp:982
 #, kde-format
 msgid "There was a problem uploading file: %1"
 msgstr "Мына файлды жүктеп бергенде бір мәселе туды: %1"
 
-#: umldoc.cpp:1526
+#: umldoc.cpp:1528
 #, kde-format
 msgid "use case diagram"
 msgstr "қолдану оқиғалар диаграммасы"
 
-#: umldoc.cpp:1529
+#: umldoc.cpp:1531
 #, kde-format
 msgid "class diagram"
 msgstr "класс диаграммасы"
 
-#: umldoc.cpp:1532
+#: umldoc.cpp:1534
 #, kde-format
 msgid "sequence diagram"
 msgstr "іс кезегінің диаграммасы"
 
-#: umldoc.cpp:1535
+#: umldoc.cpp:1537
 #, fuzzy, kde-format
 #| msgid "collaboration diagram"
 msgid "communication diagram"
 msgstr "бірлескен іс диаграммасы"
 
-#: umldoc.cpp:1538
+#: umldoc.cpp:1540
 #, fuzzy, kde-format
 #| msgid "&Select diagrams"
 msgid "object diagram"
 msgstr "Диаграммаларды &таңдау"
 
-#: umldoc.cpp:1541
+#: umldoc.cpp:1543
 #, kde-format
 msgid "state diagram"
 msgstr "күй-жайлар диаграммасы"
 
-#: umldoc.cpp:1544
+#: umldoc.cpp:1546
 #, kde-format
 msgid "activity diagram"
 msgstr "іс диаграммасы"
 
-#: umldoc.cpp:1547
+#: umldoc.cpp:1549
 #, kde-format
 msgid "component diagram"
 msgstr "компоненттер диаграмммасы"
 
-#: umldoc.cpp:1550
+#: umldoc.cpp:1552
 #, kde-format
 msgid "deployment diagram"
 msgstr "өрістеу диаграммасы"
 
-#: umldoc.cpp:1553
+#: umldoc.cpp:1555
 #, kde-format
 msgid "entity relationship diagram"
 msgstr "нысан қатынастар диаграммасы"
 
-#: umldoc.cpp:1623
+#: umldoc.cpp:1625
 #, kde-format
 msgctxt "diagram name"
 msgid "Name"
 msgstr "Атауы"
 
-#: umldoc.cpp:1623 umldoc.cpp:1686 umldoc.cpp:1715 umldoc.cpp:1749
+#: umldoc.cpp:1625 umldoc.cpp:1688 umldoc.cpp:1717 umldoc.cpp:1751
 #, kde-format
 msgid "Enter name:"
 msgstr "Атауы:"
 
-#: umldoc.cpp:1627 umldoc.cpp:1692
+#: umldoc.cpp:1629 umldoc.cpp:1694
 #, kde-format
 msgid "That is an invalid name for a diagram."
 msgstr "Бұл атау диаграммаға жарамайды."
 
-#: umldoc.cpp:1629 umldoc.cpp:1699
+#: umldoc.cpp:1631 umldoc.cpp:1701
 #, kde-format
 msgid "A diagram is already using that name."
 msgstr "Былай аталған диаграмма бар екен."
 
-#: umldoc.cpp:1685
+#: umldoc.cpp:1687
 #, kde-format
 msgctxt "renaming diagram"
 msgid "Name"
 msgstr "Атауы"
 
-#: umldoc.cpp:1714
+#: umldoc.cpp:1716
 #, kde-format
 msgctxt "renaming uml object"
 msgid "Name"
 msgstr "Атауы"
 
-#: umldoc.cpp:1748
+#: umldoc.cpp:1750
 #, kde-format
 msgctxt "renaming child uml object"
 msgid "Name"
 msgstr "Атауы"
 
-#: umldoc.cpp:1758
+#: umldoc.cpp:1760
 #, kde-format
 msgid ""
 "The name you entered was not unique.\n"
@@ -8276,62 +8276,62 @@ msgstr ""
 "Келтірілген атауыңыз қайталанған.\n"
 "Әдейі мә?"
 
-#: umldoc.cpp:1759
+#: umldoc.cpp:1761
 #, kde-format
 msgid "Use Name"
 msgstr "Қолданатын атауы"
 
-#: umldoc.cpp:1759
+#: umldoc.cpp:1761
 #, kde-format
 msgid "Enter New Name"
 msgstr "Жаңа атау беріңіз"
 
-#: umldoc.cpp:2361
+#: umldoc.cpp:2366
 #, kde-format
 msgid "Unsupported xmi file version: %1"
 msgstr ""
 
-#: umldoc.cpp:2511
+#: umldoc.cpp:2516
 #, kde-format
 msgid "Setting up the document..."
 msgstr "Құжатты баптау..."
 
-#: umldoc.cpp:2540
+#: umldoc.cpp:2545
 #, kde-format
 msgid "Resolving object references..."
 msgstr "Объектерге сілтеулерін талдау..."
 
-#: umldoc.cpp:2648
+#: umldoc.cpp:2653
 #, kde-format
 msgid "Loading UML elements..."
 msgstr "UML элементтерін жүктеу..."
 
-#: umldoc.cpp:2892
+#: umldoc.cpp:2899
 #, kde-format
 msgid "Loading diagrams..."
 msgstr "Диаграммаларды жүктеу..."
 
-#: umldoc.cpp:3400
+#: umldoc.cpp:3409
 #, kde-format
 msgid "/autosave%1"
 msgstr "/autosave%1"
 
-#: umllistview.cpp:536 umllistview.cpp:540
+#: umllistview.cpp:537 umllistview.cpp:541
 #, kde-format
 msgid "Externalize Folder"
 msgstr "Қапшықты сыртқы қылу"
 
-#: umllistview.cpp:574
+#: umllistview.cpp:575
 #, kde-format
 msgid "Folder %1 must be relative to the main model directory, %2."
 msgstr "%1 қапшығы үлгінің негізгі қапшығынан өрбітіп келтіру керек, %2"
 
-#: umllistview.cpp:575
+#: umllistview.cpp:576
 #, kde-format
 msgid "Path Error"
 msgstr "Жол қатесі"
 
-#: umllistview.cpp:583
+#: umllistview.cpp:584
 #, kde-format
 msgid ""
 "File %1 already exists!\n"
@@ -8340,67 +8340,67 @@ msgstr ""
 "'%1' деген файл бар екен!\n"
 "Файл жаңадан жазылады."
 
-#: umllistview.cpp:584
+#: umllistview.cpp:585
 #, kde-format
 msgid "File Exist"
 msgstr "Файл бар екен"
 
-#: umllistview.cpp:624
+#: umllistview.cpp:625
 #, kde-format
 msgid "Enter Model Name"
 msgstr "Үлгінің атауын келтіріңіз"
 
-#: umllistview.cpp:625
+#: umllistview.cpp:626
 #, kde-format
 msgid "Enter the new name of the model:"
 msgstr "Жаңа үлгінің атауы:"
 
-#: umllistview.cpp:1422
+#: umllistview.cpp:1430
 #, kde-format
 msgid "Views"
 msgstr "Көріністер"
 
-#: umllistview.cpp:1441
+#: umllistview.cpp:1449
 #, fuzzy, kde-format
 #| msgid "&Settings"
 msgid "Settings"
 msgstr "&Баптау"
 
-#: umllistview.cpp:2413
+#: umllistview.cpp:2421
 #, kde-format
 msgid "Loading listview..."
 msgstr "Тізімді жүктеу"
 
-#: umllistview.cpp:2764
+#: umllistview.cpp:2772
 #, fuzzy, kde-format
 #| msgid "The folder must be emptied before it can be deleted."
 msgid "The class must be emptied before it can be deleted."
 msgstr "Өшірілетін қапшық бос болу керек."
 
-#: umllistview.cpp:2765
+#: umllistview.cpp:2773
 #, fuzzy, kde-format
 #| msgid "Folder Not Empty"
 msgid "Class Not Empty"
 msgstr "Қашық бос емес"
 
-#: umllistview.cpp:2769
+#: umllistview.cpp:2777
 #, fuzzy, kde-format
 #| msgid "The folder must be emptied before it can be deleted."
 msgid "The package must be emptied before it can be deleted."
 msgstr "Өшірілетін қапшық бос болу керек."
 
-#: umllistview.cpp:2770
+#: umllistview.cpp:2778
 #, fuzzy, kde-format
 #| msgid "Folder Not Empty"
 msgid "Package Not Empty"
 msgstr "Қашық бос емес"
 
-#: umllistview.cpp:2774
+#: umllistview.cpp:2782
 #, kde-format
 msgid "The folder must be emptied before it can be deleted."
 msgstr "Өшірілетін қапшық бос болу керек."
 
-#: umllistview.cpp:2775
+#: umllistview.cpp:2783
 #, kde-format
 msgid "Folder Not Empty"
 msgstr "Қашық бос емес"
diff -pruN 4:20.08.3-1/po/km/umbrello.po 4:20.12.0-0ubuntu1/po/km/umbrello.po
--- 4:20.08.3-1/po/km/umbrello.po	2020-11-03 00:42:16.000000000 +0000
+++ 4:20.12.0-0ubuntu1/po/km/umbrello.po	2020-12-04 00:21:30.000000000 +0000
@@ -8,7 +8,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: umbrello\n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
-"POT-Creation-Date: 2020-08-14 08:09+0200\n"
+"POT-Creation-Date: 2020-11-06 02:36+0100\n"
 "PO-Revision-Date: 2008-12-19 10:23+0700\n"
 "Last-Translator: Khoem Sokhem <khoemsokhem@khmeros.info>\n"
 "Language-Team: Khmer <support@khmeros.info>\n"
@@ -208,7 +208,7 @@ msgid ""
 "item of the same name already exists.  Any other items have been pasted."
 msgstr ""
 
-#: clipboard/umlclipboard.cpp:753 uml.cpp:1689
+#: clipboard/umlclipboard.cpp:753 uml.cpp:1698
 #, kde-format
 msgid "Paste Error"
 msgstr ""
@@ -430,7 +430,7 @@ msgstr ""
 #. i18n: ectx: attribute (title), widget (QWidget, ui_tabGeneral)
 #: codegenerators/cpp/cppcodegenerationformbase.ui:51
 #: codegenwizard/codegenoptionspage.ui:39 dialogs/objectnodedialog.cpp:135
-#: umllistview.cpp:1451
+#: umllistview.cpp:1459
 #, fuzzy, kde-format
 msgid "General"
 msgstr "ទូទៅ"
@@ -1289,7 +1289,7 @@ msgstr "ចាប់ផ្ដើម"
 #. i18n: ectx: property (text), widget (QRadioButton, ui_categoryClass)
 #. i18n: ectx: property (text), widget (QTableWidget, ui_tableWidgetStatus)
 #: codegenwizard/codegenstatuspage.ui:40 codeimpwizard/codeimpstatuspage.ui:54
-#: dialogs/finddialog.ui:89 umllistview.cpp:1446 umlwidgets/widgetbase.cpp:1255
+#: dialogs/finddialog.ui:89 umllistview.cpp:1454 umlwidgets/widgetbase.cpp:1255
 #, fuzzy, kde-format
 msgid "Class"
 msgstr "ថ្នាក់"
@@ -1940,34 +1940,34 @@ msgstr ""
 msgid "Enable 'delete diagram' related messages"
 msgstr ""
 
-#: dialogs/dialog_utils.cpp:117
+#: dialogs/dialog_utils.cpp:118
 #, kde-format
 msgid "You are about to delete an association. Do you really want to continue?"
 msgstr ""
 
-#: dialogs/dialog_utils.cpp:118
+#: dialogs/dialog_utils.cpp:119
 #, fuzzy, kde-format
 msgid "Delete Association"
 msgstr "លុប"
 
-#: dialogs/dialog_utils.cpp:132
+#: dialogs/dialog_utils.cpp:133
 #, kde-format
 msgid ""
 "You are about to delete the entire diagram.\n"
 "Are you sure?"
 msgstr ""
 
-#: dialogs/dialog_utils.cpp:133
+#: dialogs/dialog_utils.cpp:134
 #, kde-format
 msgid "Are you sure you want to delete diagram %1?"
 msgstr ""
 
-#: dialogs/dialog_utils.cpp:138
+#: dialogs/dialog_utils.cpp:139
 #, kde-format
 msgid "Delete Diagram?"
 msgstr ""
 
-#: dialogs/dialog_utils.cpp:139 dialogs/pages/classifierlistpage.cpp:215
+#: dialogs/dialog_utils.cpp:140 dialogs/pages/classifierlistpage.cpp:215
 #: dialogs/pages/classifierlistpage.cpp:223
 #: dialogs/umlforeignkeyconstraintdialog.cpp:325
 #: dialogs/umlforeignkeyconstraintdialog.cpp:331
@@ -2124,7 +2124,7 @@ msgstr "ទូទៅ"
 #. i18n: ectx: label, entry (uiFont), group (UI Options)
 #. i18n: ectx: label, entry (codeViewerFont), group (Code Viewer Options)
 #: dialogs/multipagedialogbase.cpp:405 umbrello.kcfg:177 umbrello.kcfg:292
-#: umllistview.cpp:1450
+#: umllistview.cpp:1458
 #, fuzzy, kde-format
 msgid "Font"
 msgstr "ពុម្ព​អក្សរ"
@@ -2540,7 +2540,7 @@ msgstr ""
 
 #: dialogs/pages/classifierlistpage.cpp:217
 #: dialogs/pages/classifierlistpage.cpp:225 dialogs/umloperationdialog.cpp:167
-#: dialogs/umloperationdialog.cpp:175 uml.cpp:554
+#: dialogs/umloperationdialog.cpp:175 uml.cpp:563
 #, fuzzy, kde-format
 msgid "&Properties"
 msgstr "លក្ខណៈ​សម្បត្តិ"
@@ -2558,7 +2558,7 @@ msgid "Source Code"
 msgstr ""
 
 #: dialogs/pages/classoptionspage.cpp:157
-#: dialogs/pages/classoptionspage.cpp:251 uml.cpp:509
+#: dialogs/pages/classoptionspage.cpp:251 uml.cpp:518
 #, fuzzy, kde-format
 msgid "&Documentation"
 msgstr "ឯកសារ"
@@ -2745,8 +2745,8 @@ msgstr ""
 #: uml1model/classifier.cpp:410 uml1model/classifier.cpp:781
 #: uml1model/entity.cpp:125 uml1model/entity.cpp:178 uml1model/entity.cpp:228
 #: uml1model/entity.cpp:277 uml1model/enum.cpp:107 uml1model/instance.cpp:124
-#: uml1model/package.cpp:172 umldoc.cpp:1627 umldoc.cpp:1692 umldoc.cpp:1721
-#: umldoc.cpp:1755
+#: uml1model/package.cpp:178 umldoc.cpp:1629 umldoc.cpp:1694 umldoc.cpp:1723
+#: umldoc.cpp:1757
 #, fuzzy, kde-format
 msgid "Invalid Name"
 msgstr "ឈ្មោះ​​មិន​​ត្រឹម​​ត្រូវ​​"
@@ -2756,7 +2756,7 @@ msgstr "ឈ្មោះ​​មិន
 msgid "The name you have entered is not unique."
 msgstr ""
 
-#: dialogs/pages/diagrampropertiespage.cpp:86 umldoc.cpp:1759
+#: dialogs/pages/diagrampropertiespage.cpp:86 umldoc.cpp:1761
 #, kde-format
 msgid "Name Not Unique"
 msgstr ""
@@ -3215,7 +3215,7 @@ msgstr "លុប"
 msgid "Umbrello Setup"
 msgstr ""
 
-#: dialogs/settingsdialog.cpp:114 umllistview.cpp:1452
+#: dialogs/settingsdialog.cpp:114 umllistview.cpp:1460
 #, fuzzy, kde-format
 msgid "User Interface"
 msgstr "ចំណុច​ប្រទាក់​អ្នក​ប្រើ"
@@ -3242,7 +3242,7 @@ msgstr "ថ្នាក់"
 msgid "Class Settings"
 msgstr ""
 
-#: dialogs/settingsdialog.cpp:137 umllistview.cpp:1447
+#: dialogs/settingsdialog.cpp:137 umllistview.cpp:1455
 #, kde-format
 msgid "Code Importer"
 msgstr ""
@@ -3252,7 +3252,7 @@ msgstr ""
 msgid "Code Import Settings"
 msgstr "ការ​កំណត់​ពុម្ពអក្សរ"
 
-#: dialogs/settingsdialog.cpp:146 umllistview.cpp:1448
+#: dialogs/settingsdialog.cpp:146 umllistview.cpp:1456
 #, kde-format
 msgid "Code Generation"
 msgstr ""
@@ -3262,7 +3262,7 @@ msgstr ""
 msgid "Code Generation Settings"
 msgstr ""
 
-#: dialogs/settingsdialog.cpp:154 umllistview.cpp:1449
+#: dialogs/settingsdialog.cpp:154 umllistview.cpp:1457
 #, kde-format
 msgid "Code Viewer"
 msgstr ""
@@ -3272,7 +3272,7 @@ msgstr ""
 msgid "Code Viewer Settings"
 msgstr ""
 
-#: dialogs/settingsdialog.cpp:161 umllistview.cpp:1445
+#: dialogs/settingsdialog.cpp:161 umllistview.cpp:1453
 #, fuzzy, kde-format
 msgid "Auto Layout"
 msgstr "រក្សា​ទុក​ដោយ​ស្វ័យ​ប្រវត្តិ"
@@ -3895,7 +3895,7 @@ msgstr "ប្រភេទ ៖"
 msgid "Package path:"
 msgstr "កញ្ចប់"
 
-#: dialogs/widgets/umlstereotypewidget.cpp:29 uml1model/umlobject.cpp:1179
+#: dialogs/widgets/umlstereotypewidget.cpp:29 uml1model/umlobject.cpp:1180
 #, fuzzy, kde-format
 msgid "Stereotype &name:"
 msgstr "ឈ្មោះ​ថ្នាំង ៖"
@@ -4039,7 +4039,7 @@ msgstr ""
 msgid "Gael de Chalendar (aka Kleag)"
 msgstr ""
 
-#: docgenerators/main.cpp:56 main.cpp:131
+#: docgenerators/main.cpp:56 main.cpp:133
 #, kde-format
 msgid "Umbrello UML Modeller Authors"
 msgstr ""
@@ -4101,12 +4101,12 @@ msgstr ""
 msgid "Apply layout"
 msgstr "រក្សា​ទុក​ដោយ​ស្វ័យ​ប្រវត្តិ"
 
-#: main.cpp:121
+#: main.cpp:123
 #, kde-format
 msgid "Umbrello UML Modeller"
 msgstr ""
 
-#: main.cpp:123
+#: main.cpp:125
 #, kde-format
 msgid ""
 "Umbrello – Visual development environment for software, based on the "
@@ -4114,116 +4114,116 @@ msgid ""
 "\"http://www.omg.org/spec/\">http://www.omg.org/spec/</a>."
 msgstr ""
 
-#: main.cpp:127
+#: main.cpp:129
 #, kde-format
 msgid ""
 "Copyright © 2001 Paul Hensgen,\n"
 "Copyright © 2002-2020 Umbrello UML Modeller Authors"
 msgstr ""
 
-#: main.cpp:130
+#: main.cpp:132
 #, kde-format
 msgid "Paul Hensgen"
 msgstr ""
 
-#: main.cpp:130
+#: main.cpp:132
 #, kde-format
 msgid "Author of initial version."
 msgstr ""
 
-#: main.cpp:134
+#: main.cpp:136
 #, kde-format
 msgid "Oliver Kellogg"
 msgstr ""
 
-#: main.cpp:135 main.cpp:138
+#: main.cpp:137 main.cpp:140
 #, kde-format
 msgid "Bug fixing, porting work, code cleanup, new features."
 msgstr ""
 
-#: main.cpp:137
+#: main.cpp:139
 #, kde-format
 msgid "Ralf Habacker"
 msgstr ""
 
-#: main.cpp:140
+#: main.cpp:142
 #, kde-format
 msgid "Andi Fischer"
 msgstr ""
 
-#: main.cpp:141
+#: main.cpp:143
 #, kde-format
 msgid "Porting work, code cleanup, new features."
 msgstr ""
 
-#: main.cpp:143
+#: main.cpp:145
 #, kde-format
 msgid "Jonathan Riddell"
 msgstr ""
 
-#: main.cpp:144
+#: main.cpp:146
 #, kde-format
 msgid "Current maintainer."
 msgstr ""
 
-#: main.cpp:146
+#: main.cpp:148
 #, kde-format
 msgid "Brian Thomas"
 msgstr ""
 
-#: main.cpp:147
+#: main.cpp:149
 #, kde-format
 msgid "A lot of work for C++ and Java code generation. Codeeditor."
 msgstr ""
 
-#: main.cpp:152
+#: main.cpp:154
 #, fuzzy, kde-format
 msgid "File to open"
 msgstr "ឯកសារ​ដែល​ត្រូវ​បើក"
 
-#: main.cpp:153
+#: main.cpp:155
 #, kde-format
 msgid "export diagrams to extension and exit"
 msgstr ""
 
-#: main.cpp:154
+#: main.cpp:156
 #, kde-format
 msgid "list available export extensions"
 msgstr ""
 
-#: main.cpp:155
+#: main.cpp:157
 #, kde-format
 msgid "the local directory to save the exported diagrams in"
 msgstr ""
 
-#: main.cpp:155
+#: main.cpp:157
 #, fuzzy, kde-format
 msgid "the directory of the file"
 msgstr "ប្តូរ​ពណ៌​បំពេញ"
 
-#: main.cpp:156
+#: main.cpp:158
 #, fuzzy, kde-format
 msgid "import files"
 msgstr "កំពុង​បើក​ឯកសារ..."
 
-#: main.cpp:157
+#: main.cpp:159
 #, fuzzy, kde-format
 msgid "list supported languages"
 msgstr "ឯកសារ​ទាំង​អស់"
 
-#: main.cpp:158
+#: main.cpp:160
 #, kde-format
 msgid ""
 "keep the tree structure used to store the views in the document in the "
 "target directory"
 msgstr ""
 
-#: main.cpp:159
+#: main.cpp:161
 #, kde-format
 msgid "import files from directory <dir>"
 msgstr ""
 
-#: main.cpp:163
+#: main.cpp:165
 #, fuzzy, kde-format
 msgid "set active language"
 msgstr "ឯកសារ​ទាំង​អស់"
@@ -4487,7 +4487,7 @@ msgstr ""
 msgid "Import File(s)..."
 msgstr "ចាប់ផ្ដើម"
 
-#: menus/listpopupmenu.cpp:201 uml.cpp:356
+#: menus/listpopupmenu.cpp:201 uml.cpp:365
 #, kde-format
 msgid "Import from Directory..."
 msgstr ""
@@ -4987,42 +4987,42 @@ msgctxt "align menu"
 msgid "Align"
 msgstr "តម្រឹម"
 
-#: menus/widgetbasepopupmenu.cpp:598 uml.cpp:573
+#: menus/widgetbasepopupmenu.cpp:598 uml.cpp:582
 #, fuzzy, kde-format
 msgid "Align Right"
 msgstr "តម្រឹម​ស្តាំ"
 
-#: menus/widgetbasepopupmenu.cpp:599 uml.cpp:578
+#: menus/widgetbasepopupmenu.cpp:599 uml.cpp:587
 #, fuzzy, kde-format
 msgid "Align Left"
 msgstr "តម្រឹម​ឆ្វេង"
 
-#: menus/widgetbasepopupmenu.cpp:600 uml.cpp:583
+#: menus/widgetbasepopupmenu.cpp:600 uml.cpp:592
 #, fuzzy, kde-format
 msgid "Align Top"
 msgstr "តម្រឹម​កំពូល"
 
-#: menus/widgetbasepopupmenu.cpp:601 uml.cpp:588
+#: menus/widgetbasepopupmenu.cpp:601 uml.cpp:597
 #, fuzzy, kde-format
 msgid "Align Bottom"
 msgstr "តម្រឹម​បាត"
 
-#: menus/widgetbasepopupmenu.cpp:603 uml.cpp:593
+#: menus/widgetbasepopupmenu.cpp:603 uml.cpp:602
 #, kde-format
 msgid "Align Vertical Middle"
 msgstr ""
 
-#: menus/widgetbasepopupmenu.cpp:604 uml.cpp:598
+#: menus/widgetbasepopupmenu.cpp:604 uml.cpp:607
 #, kde-format
 msgid "Align Horizontal Middle"
 msgstr ""
 
-#: menus/widgetbasepopupmenu.cpp:605 uml.cpp:603
+#: menus/widgetbasepopupmenu.cpp:605 uml.cpp:612
 #, kde-format
 msgid "Align Vertical Distribute"
 msgstr ""
 
-#: menus/widgetbasepopupmenu.cpp:606 uml.cpp:608
+#: menus/widgetbasepopupmenu.cpp:606 uml.cpp:617
 #, kde-format
 msgid "Align Horizontal Distribute"
 msgstr ""
@@ -5827,8 +5827,8 @@ msgstr "សារ"
 #: object_factory.cpp:251 uml1model/classifier.cpp:410
 #: uml1model/classifier.cpp:781 uml1model/entity.cpp:125
 #: uml1model/entity.cpp:178 uml1model/entity.cpp:228 uml1model/entity.cpp:277
-#: uml1model/enum.cpp:107 uml1model/instance.cpp:124 uml1model/package.cpp:171
-#: umldoc.cpp:1721 umldoc.cpp:1755
+#: uml1model/enum.cpp:107 uml1model/instance.cpp:124 uml1model/package.cpp:177
+#: umldoc.cpp:1723 umldoc.cpp:1757
 #, kde-format
 msgid "That is an invalid name."
 msgstr ""
@@ -5847,7 +5847,7 @@ msgstr ""
 #: object_factory.cpp:264 uml1model/classifier.cpp:413
 #: uml1model/classifier.cpp:783 uml1model/entity.cpp:127
 #: uml1model/entity.cpp:180 uml1model/entity.cpp:230 uml1model/entity.cpp:279
-#: uml1model/instance.cpp:126 umldoc.cpp:1727 umldoc.cpp:1764
+#: uml1model/instance.cpp:126 umldoc.cpp:1729 umldoc.cpp:1766
 #, kde-format
 msgid "That name is already being used."
 msgstr ""
@@ -5855,8 +5855,8 @@ msgstr ""
 #: object_factory.cpp:265 uml1model/classifier.cpp:413
 #: uml1model/classifier.cpp:783 uml1model/entity.cpp:127
 #: uml1model/entity.cpp:180 uml1model/entity.cpp:230 uml1model/entity.cpp:279
-#: uml1model/instance.cpp:126 umldoc.cpp:1629 umldoc.cpp:1699 umldoc.cpp:1727
-#: umldoc.cpp:1764
+#: uml1model/instance.cpp:126 umldoc.cpp:1631 umldoc.cpp:1701 umldoc.cpp:1729
+#: umldoc.cpp:1766
 #, kde-format
 msgid "Not a Unique Name"
 msgstr ""
@@ -5917,12 +5917,12 @@ msgstr ""
 msgid "Choose a different name."
 msgstr ""
 
-#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:266
+#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:273
 #, kde-format
 msgid "Incorrect use of associations."
 msgstr ""
 
-#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:266
+#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:273
 #, kde-format
 msgid "Association Error"
 msgstr ""
@@ -7084,188 +7084,188 @@ msgstr "ឯកសារ​ទាំង
 msgid "&Settings"
 msgstr "ការ​កំណត់​ពុម្ពអក្សរ"
 
-#: uml.cpp:332
+#: uml.cpp:341
 #, kde-format
 msgid "&Export model to DocBook"
 msgstr ""
 
-#: uml.cpp:336
+#: uml.cpp:345
 #, kde-format
 msgid "&Export model to XHTML"
 msgstr ""
 
-#: uml.cpp:340
+#: uml.cpp:349
 #, kde-format
 msgid "&New Class Wizard..."
 msgstr ""
 
-#: uml.cpp:344
+#: uml.cpp:353
 #, kde-format
 msgid "&Add Default Datatypes for Active Language"
 msgstr ""
 
-#: uml.cpp:351
+#: uml.cpp:360
 #, fuzzy, kde-format
 msgid "Code &Importing Wizard..."
 msgstr "កំពុង​បើក​ឯកសារ..."
 
-#: uml.cpp:361
+#: uml.cpp:370
 #, kde-format
 msgid "&Code Generation Wizard..."
 msgstr ""
 
-#: uml.cpp:366
+#: uml.cpp:375
 #, kde-format
 msgid "&Generate All Code"
 msgstr ""
 
-#: uml.cpp:411
+#: uml.cpp:420
 #, fuzzy, kde-format
 msgid "Creates a new document"
 msgstr "បង្តើតឯកសារថ្មី"
 
-#: uml.cpp:412
+#: uml.cpp:421
 #, fuzzy, kde-format
 msgid "Opens an existing document"
 msgstr "បើក​ឯកសារ​មាន​ស្រាប់ "
 
-#: uml.cpp:413
+#: uml.cpp:422
 #, fuzzy, kde-format
 msgid "Opens a recently used file"
 msgstr "បើក​ឯកសារ​ដែល​បាន​ប្រើ​ថ្មីៗ"
 
-#: uml.cpp:414
+#: uml.cpp:423
 #, kde-format
 msgid "Saves the document"
 msgstr ""
 
-#: uml.cpp:415
+#: uml.cpp:424
 #, kde-format
 msgid "Saves the document as..."
 msgstr ""
 
-#: uml.cpp:416
+#: uml.cpp:425
 #, kde-format
 msgid "Closes the document"
 msgstr ""
 
-#: uml.cpp:417
+#: uml.cpp:426
 #, kde-format
 msgid "Prints out the document"
 msgstr ""
 
-#: uml.cpp:418
+#: uml.cpp:427
 #, kde-format
 msgid "Print Preview of the document"
 msgstr ""
 
-#: uml.cpp:419
+#: uml.cpp:428
 #, fuzzy, kde-format
 msgid "Quits the application"
 msgstr "បិទ​កម្មវិធី"
 
-#: uml.cpp:420
+#: uml.cpp:429
 #, kde-format
 msgid "Exports the model to the docbook format"
 msgstr ""
 
-#: uml.cpp:421
+#: uml.cpp:430
 #, kde-format
 msgid "Exports the model to the XHTML format"
 msgstr ""
 
-#: uml.cpp:422
+#: uml.cpp:431
 #, fuzzy, kde-format
 msgid "Cuts the selected section and puts it to the clipboard"
 msgstr "​កាត់​ផ្នែក​​ដែលបាន​ជ្រើស​ ហើយ​ដាក់វានៅក្នុង​ក្ដារ​តម្បៀត​ខ្ទាស់"
 
-#: uml.cpp:423
+#: uml.cpp:432
 #, fuzzy, kde-format
 msgid "Copies the selected section to the clipboard"
 msgstr "​ចម្លង​ផ្នែក​ដែលបានរើស​ទៅកាន់​ក្ដារ​តម្បៀត​ខ្ទាស់"
 
-#: uml.cpp:424
+#: uml.cpp:433
 #, kde-format
 msgid "Pastes the contents of the clipboard"
 msgstr ""
 
-#: uml.cpp:425
+#: uml.cpp:434
 #, kde-format
 msgid "Set the default program preferences"
 msgstr ""
 
-#: uml.cpp:429
+#: uml.cpp:438
 #, kde-format
 msgctxt "delete selected widget"
 msgid "Delete &Selected"
 msgstr ""
 
-#: uml.cpp:440
+#: uml.cpp:449
 #, kde-format
 msgid "&Class Diagram..."
 msgstr ""
 
-#: uml.cpp:447
+#: uml.cpp:456
 #, fuzzy, kde-format
 msgid "&Object Diagram..."
 msgstr "លុប"
 
-#: uml.cpp:454
+#: uml.cpp:463
 #, kde-format
 msgid "&Sequence Diagram..."
 msgstr ""
 
-#: uml.cpp:460
+#: uml.cpp:469
 #, kde-format
 msgid "C&ommunication Diagram..."
 msgstr ""
 
-#: uml.cpp:466
+#: uml.cpp:475
 #, kde-format
 msgid "&Use Case Diagram..."
 msgstr ""
 
-#: uml.cpp:472
+#: uml.cpp:481
 #, kde-format
 msgid "S&tate Diagram..."
 msgstr ""
 
-#: uml.cpp:478
+#: uml.cpp:487
 #, kde-format
 msgid "&Activity Diagram..."
 msgstr ""
 
-#: uml.cpp:484
+#: uml.cpp:493
 #, kde-format
 msgid "Co&mponent Diagram..."
 msgstr ""
 
-#: uml.cpp:490
+#: uml.cpp:499
 #, kde-format
 msgid "&Deployment Diagram..."
 msgstr ""
 
-#: uml.cpp:496
+#: uml.cpp:505
 #, kde-format
 msgid "&Entity Relationship Diagram..."
 msgstr ""
 
-#: uml.cpp:501 uml.cpp:954
+#: uml.cpp:510 uml.cpp:963
 #, fuzzy, kde-format
 msgid "&Tree View"
 msgstr "ទិដ្ឋភាព​មែក​ធាង"
 
-#: uml.cpp:505
+#: uml.cpp:514
 #, kde-format
 msgid "&Debugging"
 msgstr ""
 
-#: uml.cpp:513
+#: uml.cpp:522
 #, kde-format
 msgid "&Logging"
 msgstr ""
 
-#: uml.cpp:517
+#: uml.cpp:526
 #, kde-format
 msgid "&Command history"
 msgstr ""
@@ -7274,135 +7274,135 @@ msgstr ""
 #. m_propertyDock->setObjectName(QLatin1String("PropertyDock"));
 #. addDockWidget(Qt::LeftDockWidgetArea, m_propertyDock);  //:TODO:
 #. create the bird's eye view
-#: uml.cpp:521 uml.cpp:1011
+#: uml.cpp:530 uml.cpp:1020
 #, kde-format
 msgid "&Bird's eye view"
 msgstr ""
 
-#: uml.cpp:526
+#: uml.cpp:535
 #, kde-format
 msgid "&Clear Diagram"
 msgstr ""
 
-#: uml.cpp:530
+#: uml.cpp:539
 #, kde-format
 msgid "&Snap to Grid"
 msgstr ""
 
-#: uml.cpp:534
+#: uml.cpp:543
 #, kde-format
 msgid "S&how Grid"
 msgstr ""
 
-#: uml.cpp:539
+#: uml.cpp:548
 #, fuzzy, kde-format
 msgid "&Delete Diagram"
 msgstr "លុប"
 
-#: uml.cpp:544
+#: uml.cpp:553
 #, kde-format
 msgid "&Export as Picture..."
 msgstr ""
 
-#: uml.cpp:549
+#: uml.cpp:558
 #, kde-format
 msgid "Export &Diagrams as Pictures..."
 msgstr ""
 
-#: uml.cpp:569
+#: uml.cpp:578
 #, kde-format
 msgid "Z&oom to 100%"
 msgstr ""
 
-#: uml.cpp:612
+#: uml.cpp:621
 #, kde-format
 msgid "&Move Tab Left"
 msgstr ""
 
-#: uml.cpp:613
+#: uml.cpp:622
 #, kde-format
 msgid "&Move Tab Right"
 msgstr ""
 
-#: uml.cpp:636
+#: uml.cpp:645
 #, kde-format
 msgid "Select Diagram on Left"
 msgstr ""
 
-#: uml.cpp:637
+#: uml.cpp:646
 #, kde-format
 msgid "Select Diagram on Right"
 msgstr ""
 
-#: uml.cpp:776
+#: uml.cpp:785
 #, kde-format
 msgctxt "%1 percent value from 20 to 500"
 msgid " &%1%"
 msgstr ""
 
-#: uml.cpp:826
+#: uml.cpp:835
 #, fuzzy, kde-format
 msgctxt "init status bar"
 msgid "Ready"
 msgstr "រួចរាល់"
 
-#: uml.cpp:835 uml.cpp:848
+#: uml.cpp:844 uml.cpp:857
 #, kde-format
 msgid "100%"
 msgstr ""
 
-#: uml.cpp:840
+#: uml.cpp:849
 #, fuzzy, kde-format
 msgid "Fit"
 msgstr "តម្រង"
 
-#: uml.cpp:899
+#: uml.cpp:908
 #, kde-format
 msgid "Diagram Toolbar"
 msgstr ""
 
-#: uml.cpp:965
+#: uml.cpp:974
 #, kde-format
 msgid "Doc&umentation"
 msgstr ""
 
-#: uml.cpp:976
+#: uml.cpp:985
 #, kde-format
 msgid "Co&mmand history"
 msgstr ""
 
-#: uml.cpp:992
+#: uml.cpp:1001
 #, kde-format
 msgid "&Debug"
 msgstr ""
 
-#: uml.cpp:999
+#: uml.cpp:1008
 #, kde-format
 msgid "&Log"
 msgstr ""
 
-#: uml.cpp:1041 uml.cpp:1258 uml.cpp:1307
+#: uml.cpp:1050 uml.cpp:1267 uml.cpp:1316
 #, fuzzy, kde-format
 msgid "Opening file..."
 msgstr "កំពុង​បើក​ឯកសារ..."
 
-#: uml.cpp:1092 uml.cpp:1157 uml.cpp:1342 umldoc.cpp:342 umldoc.cpp:344
-#: umldoc.cpp:368 umldoc.cpp:3396
+#: uml.cpp:1101 uml.cpp:1166 uml.cpp:1351 umldoc.cpp:343 umldoc.cpp:345
+#: umldoc.cpp:369 umldoc.cpp:3405
 #, fuzzy, kde-format
 msgid "Untitled"
 msgstr "គ្មាន​ចំណងជើង "
 
-#: uml.cpp:1240
+#: uml.cpp:1249
 #, fuzzy, kde-format
 msgid "Creating new document..."
 msgstr "កំពុងបើកឯកសារថ្មីមួយ..."
 
-#: uml.cpp:1266 uml.cpp:1281
+#: uml.cpp:1275 uml.cpp:1290
 #, fuzzy, kde-format
 msgid "Open File"
 msgstr "បើក​ឯកសារ"
 
-#: uml.cpp:1270
+#: uml.cpp:1279
 #, kde-format
 msgid ""
 "*.xmi *.xmi.tgz *.xmi.tar.bz2 *.mdl *.zargo|All Supported Files (*.xmi, *."
@@ -7414,29 +7414,29 @@ msgid ""
 "*.zargo|Compressed argo Files(*.zargo)\n"
 msgstr ""
 
-#: uml.cpp:1341
+#: uml.cpp:1350
 #, fuzzy, kde-format
 msgid "Saving file..."
 msgstr "កំពុង​រក្សាទុក​ឯកសារ..."
 
-#: uml.cpp:1358
+#: uml.cpp:1367
 #, fuzzy, kde-format
 msgid "Saving file with a new filename..."
 msgstr "កំពុង​រក្សាទុក​ឯកសារ​ជាមួយ​ឈ្មោះ​ឯកសារ​ថ្មី..."
 
-#: uml.cpp:1368 uml.cpp:1374 umlviewimageexporter.cpp:199
+#: uml.cpp:1377 uml.cpp:1383 umlviewimageexporter.cpp:199
 #, fuzzy, kde-format
 msgid "Save As"
 msgstr "រក្សា​ទុក​​ជា"
 
-#: uml.cpp:1369
+#: uml.cpp:1378
 #, kde-format
 msgid ""
 "*.xmi | XMI File (*.xmi);;*.xmi.tgz | Gzip Compressed XMI File (*.xmi.tgz);;"
 "*.xmi.tar.bz2 | Bzip2 Compressed XMI File (*.xmi.tar.bz2);;* | All Files (*)"
 msgstr ""
 
-#: uml.cpp:1374
+#: uml.cpp:1383
 #, kde-format
 msgid ""
 "*.xmi|XMI File\n"
@@ -7445,112 +7445,112 @@ msgid ""
 "*|All Files"
 msgstr ""
 
-#: uml.cpp:1387
+#: uml.cpp:1396
 #, kde-format
 msgid ""
 "The file %1 exists.\n"
 "Do you wish to overwrite it?"
 msgstr ""
 
-#: uml.cpp:1388
+#: uml.cpp:1397
 #, fuzzy, kde-format
 msgid "Warning"
 msgstr "ព្រមាន"
 
-#: uml.cpp:1388
+#: uml.cpp:1397
 #, fuzzy, kde-format
 msgid "Overwrite"
 msgstr "សរសេរ​ជាន់​លើ"
 
-#: uml.cpp:1422
+#: uml.cpp:1431
 #, fuzzy, kde-format
 msgid "Closing file..."
 msgstr "កំពុង​បិទ​ឯកសារ..."
 
-#: uml.cpp:1432
+#: uml.cpp:1441
 #, kde-format
 msgid "No search term entered"
 msgstr ""
 
-#: uml.cpp:1438
+#: uml.cpp:1447
 #, kde-format
 msgid "'%1': %2 found"
 msgstr ""
 
-#: uml.cpp:1502
+#: uml.cpp:1511
 #, fuzzy, kde-format
 msgid "Print Preview..."
 msgstr "កំពុង​បោះពុម្ព..."
 
-#: uml.cpp:1529
+#: uml.cpp:1538
 #, fuzzy, kde-format
 msgid "Printing..."
 msgstr "កំពុង​បោះពុម្ព..."
 
-#: uml.cpp:1536 uml.cpp:1540
+#: uml.cpp:1545 uml.cpp:1549
 #, fuzzy, kde-format
 msgid "Print %1"
 msgstr "បោះពុម្ព %1"
 
-#: uml.cpp:1560
+#: uml.cpp:1569
 #, fuzzy, kde-format
 msgid "Exiting..."
 msgstr "កំពុង​ចេញ..."
 
-#: uml.cpp:1647
+#: uml.cpp:1656
 #, fuzzy, kde-format
 msgid "Cutting selection..."
 msgstr "កំពុង​កាត់​ជម្រើស..."
 
-#: uml.cpp:1670
+#: uml.cpp:1679
 #, fuzzy, kde-format
 msgid "Copying selection to clipboard..."
 msgstr "កំពុង​ចម្លង​ជម្រើស ទៅកាន់​ក្ដារ​តម្បៀត​ខ្ទាស់..."
 
-#: uml.cpp:1682
+#: uml.cpp:1691
 #, fuzzy, kde-format
 msgid "Inserting clipboard contents..."
 msgstr "កំពុង​បញ្ចូល​មាតិកា​ក្ដារ​តម្បៀត​ខ្ទាស់..."
 
-#: uml.cpp:1687
+#: uml.cpp:1696
 #, kde-format
 msgid ""
 "Umbrello could not paste the clipboard contents.  The objects in the "
 "clipboard may be of the wrong type to be pasted here."
 msgstr ""
 
-#: uml.cpp:1713 umlviewimageexporter.cpp:92 umlviewimageexporterall.cpp:123
+#: uml.cpp:1722 umlviewimageexporter.cpp:92 umlviewimageexporterall.cpp:123
 #, fuzzy, kde-format
 msgctxt "reset status bar"
 msgid "Ready."
 msgstr "រួចរាល់ ។"
 
-#: uml.cpp:2246
+#: uml.cpp:2255
 #, kde-format
 msgid "Cannot view code until you generate some first."
 msgstr ""
 
-#: uml.cpp:2246 uml.cpp:2249
+#: uml.cpp:2255 uml.cpp:2258
 #, kde-format
 msgid "Cannot View Code"
 msgstr ""
 
-#: uml.cpp:2249
+#: uml.cpp:2258
 #, kde-format
 msgid "Cannot view code from simple code writer."
 msgstr ""
 
-#: uml.cpp:2714 uml.cpp:2716
+#: uml.cpp:2728 uml.cpp:2730
 #, kde-format
 msgid "Select file(s) to import:"
 msgstr ""
 
-#: uml.cpp:2747 uml.cpp:2749
+#: uml.cpp:2761 uml.cpp:2763
 #, kde-format
 msgid "Select directory to import:"
 msgstr ""
 
-#: uml.cpp:3313
+#: uml.cpp:3335
 #, kde-format
 msgid "XHTML Generation failed ."
 msgstr ""
@@ -7562,20 +7562,20 @@ msgid ""
 "it again."
 msgstr ""
 
-#: uml1model/folder.cpp:435
+#: uml1model/folder.cpp:436
 #, kde-format
 msgid "The folderfile %1 does not exist."
 msgstr ""
 
-#: uml1model/folder.cpp:435 uml1model/folder.cpp:439 umldoc.cpp:529
-#: umldoc.cpp:541 umldoc.cpp:568 umldoc.cpp:570 umldoc.cpp:620 umldoc.cpp:623
-#: umldoc.cpp:638 umldoc.cpp:641 umldoc.cpp:665 umldoc.cpp:668 umldoc.cpp:684
-#: umldoc.cpp:687 umldoc.cpp:702 umldoc.cpp:705 umldoc.cpp:750
+#: uml1model/folder.cpp:436 uml1model/folder.cpp:440 umldoc.cpp:530
+#: umldoc.cpp:542 umldoc.cpp:569 umldoc.cpp:571 umldoc.cpp:621 umldoc.cpp:624
+#: umldoc.cpp:639 umldoc.cpp:642 umldoc.cpp:666 umldoc.cpp:669 umldoc.cpp:685
+#: umldoc.cpp:688 umldoc.cpp:703 umldoc.cpp:706 umldoc.cpp:751
 #, fuzzy, kde-format
 msgid "Load Error"
 msgstr "ផ្ទុក​កំហុស"
 
-#: uml1model/folder.cpp:439
+#: uml1model/folder.cpp:440
 #, kde-format
 msgid "The folderfile %1 cannot be opened."
 msgstr ""
@@ -7585,13 +7585,13 @@ msgstr ""
 msgid "new_parameter"
 msgstr ""
 
-#: uml1model/package.cpp:163
+#: uml1model/package.cpp:169
 #, fuzzy, kde-format
 msgctxt "object name"
 msgid "Name"
 msgstr "ឈ្មោះ"
 
-#: uml1model/package.cpp:164
+#: uml1model/package.cpp:170
 #, kde-format
 msgid ""
 "An object with the name %1\n"
@@ -7614,77 +7614,77 @@ msgstr ""
 msgid "new_fkey_constraint"
 msgstr ""
 
-#: uml1model/umlobject.cpp:1140
+#: uml1model/umlobject.cpp:1141
 #, kde-format
 msgid "Actor &name:"
 msgstr ""
 
-#: uml1model/umlobject.cpp:1143
+#: uml1model/umlobject.cpp:1144
 #, kde-format
 msgid "Artifact &name:"
 msgstr ""
 
-#: uml1model/umlobject.cpp:1146
+#: uml1model/umlobject.cpp:1147
 #, fuzzy, kde-format
 msgid "Association &name:"
 msgstr "ឈ្មោះ​ថ្នាំង ៖"
 
-#: uml1model/umlobject.cpp:1149
+#: uml1model/umlobject.cpp:1150
 #, kde-format
 msgid "Class &name:"
 msgstr ""
 
-#: uml1model/umlobject.cpp:1152
+#: uml1model/umlobject.cpp:1153
 #, kde-format
 msgid "Component &name:"
 msgstr ""
 
-#: uml1model/umlobject.cpp:1155
+#: uml1model/umlobject.cpp:1156
 #, kde-format
 msgid "Datatype &name:"
 msgstr ""
 
-#: uml1model/umlobject.cpp:1158
+#: uml1model/umlobject.cpp:1159
 #, kde-format
 msgid "Entity &name:"
 msgstr ""
 
-#: uml1model/umlobject.cpp:1161
+#: uml1model/umlobject.cpp:1162
 #, kde-format
 msgid "Enum &name:"
 msgstr ""
 
-#: uml1model/umlobject.cpp:1164
+#: uml1model/umlobject.cpp:1165
 #, fuzzy, kde-format
 msgid "Folder &name:"
 msgstr "ឈ្មោះ​ថ្នាំង ៖"
 
-#: uml1model/umlobject.cpp:1167
+#: uml1model/umlobject.cpp:1168
 #, kde-format
 msgid "Interface &name:"
 msgstr ""
 
-#: uml1model/umlobject.cpp:1170
+#: uml1model/umlobject.cpp:1171
 #, fuzzy, kde-format
 msgid "Node &name:"
 msgstr "ឈ្មោះ​ថ្នាំង ៖"
 
-#: uml1model/umlobject.cpp:1173
+#: uml1model/umlobject.cpp:1174
 #, kde-format
 msgid "Package &name:"
 msgstr ""
 
-#: uml1model/umlobject.cpp:1176
+#: uml1model/umlobject.cpp:1177
 #, fuzzy, kde-format
 msgid "Port &name:"
 msgstr "ឈ្មោះ​ថ្នាំង ៖"
 
-#: uml1model/umlobject.cpp:1182
+#: uml1model/umlobject.cpp:1183
 #, kde-format
 msgid "Use case &name:"
 msgstr ""
 
-#: uml1model/umlobject.cpp:1185
+#: uml1model/umlobject.cpp:1186
 #, kde-format
 msgid "Instance name:"
 msgstr ""
@@ -7704,42 +7704,42 @@ msgstr "ឈ្មោះ​ថ្នា
 msgid "Welcome"
 msgstr ""
 
-#: umldoc.cpp:112 umldoc.cpp:2400 umldoc.cpp:2428
+#: umldoc.cpp:113 umldoc.cpp:2405 umldoc.cpp:2433
 #, kde-format
 msgid "UML Model"
 msgstr ""
 
-#: umldoc.cpp:154
+#: umldoc.cpp:155
 #, kde-format
 msgid "Logical View"
 msgstr ""
 
-#: umldoc.cpp:155
+#: umldoc.cpp:156
 #, kde-format
 msgid "Use Case View"
 msgstr ""
 
-#: umldoc.cpp:156
+#: umldoc.cpp:157
 #, kde-format
 msgid "Component View"
 msgstr ""
 
-#: umldoc.cpp:157
+#: umldoc.cpp:158
 #, kde-format
 msgid "Deployment View"
 msgstr ""
 
-#: umldoc.cpp:158
+#: umldoc.cpp:159
 #, kde-format
 msgid "Entity Relationship Model"
 msgstr ""
 
-#: umldoc.cpp:184
+#: umldoc.cpp:185
 #, kde-format
 msgid "Datatypes"
 msgstr ""
 
-#: umldoc.cpp:363
+#: umldoc.cpp:364
 #, fuzzy, kde-format
 msgid ""
 "The current file has been modified.\n"
@@ -7748,290 +7748,290 @@ msgstr ""
 "ឯកសារ​បច្ចុប្បន្ន​ត្រូវបាន​កែប្រែ ។\n"
 "តើ​អ្នក​ចង់​រក្សា​វា​ទុក​ទេ ?"
 
-#: umldoc.cpp:364
+#: umldoc.cpp:365
 #, fuzzy, kde-format
 msgctxt "warning message"
 msgid "Warning"
 msgstr "ព្រមាន"
 
-#: umldoc.cpp:529
+#: umldoc.cpp:530
 #, kde-format
 msgid "The file <%1> does not exist."
 msgstr ""
 
-#: umldoc.cpp:541
+#: umldoc.cpp:542
 #, kde-format
 msgid "The file %1 does not exist."
 msgstr ""
 
-#: umldoc.cpp:568 umldoc.cpp:570
+#: umldoc.cpp:569 umldoc.cpp:571
 #, kde-format
 msgid "The file %1 seems to be corrupted."
 msgstr ""
 
-#: umldoc.cpp:619 umldoc.cpp:622 umldoc.cpp:637 umldoc.cpp:640 umldoc.cpp:683
-#: umldoc.cpp:686
+#: umldoc.cpp:620 umldoc.cpp:623 umldoc.cpp:638 umldoc.cpp:641 umldoc.cpp:684
+#: umldoc.cpp:687
 #, kde-format
 msgid "There was no XMI file found in the compressed file %1."
 msgstr ""
 
-#: umldoc.cpp:664 umldoc.cpp:667
+#: umldoc.cpp:665 umldoc.cpp:668
 #, kde-format
 msgid "There was a problem loading the extracted file: %1"
 msgstr ""
 
-#: umldoc.cpp:701 umldoc.cpp:704 umldoc.cpp:744 umldoc.cpp:746
+#: umldoc.cpp:702 umldoc.cpp:705 umldoc.cpp:745 umldoc.cpp:747
 #, kde-format
 msgid "There was a problem loading file: %1"
 msgstr ""
 
-#: umldoc.cpp:749
+#: umldoc.cpp:750
 #, kde-format
 msgid "Reason: %1"
 msgstr ""
 
-#: umldoc.cpp:832 umldoc.cpp:834 umldoc.cpp:851 umldoc.cpp:853 umldoc.cpp:873
-#: umldoc.cpp:875 umldoc.cpp:924 umldoc.cpp:926 umldoc.cpp:966 umldoc.cpp:969
-#: umldoc.cpp:978 umldoc.cpp:980 umllistview.cpp:593
+#: umldoc.cpp:833 umldoc.cpp:835 umldoc.cpp:852 umldoc.cpp:854 umldoc.cpp:874
+#: umldoc.cpp:876 umldoc.cpp:925 umldoc.cpp:927 umldoc.cpp:968 umldoc.cpp:971
+#: umldoc.cpp:980 umldoc.cpp:982 umllistview.cpp:594
 #, fuzzy, kde-format
 msgid "Save Error"
 msgstr "កំហុស​ការ​រក្សាទុក"
 
-#: umldoc.cpp:832 umldoc.cpp:851 umldoc.cpp:873 umldoc.cpp:924 umldoc.cpp:966
+#: umldoc.cpp:833 umldoc.cpp:852 umldoc.cpp:874 umldoc.cpp:925 umldoc.cpp:968
 #, kde-format
 msgid "There was a problem saving: %1"
 msgstr ""
 
-#: umldoc.cpp:834 umldoc.cpp:853 umldoc.cpp:875 umldoc.cpp:926 umldoc.cpp:969
-#: umllistview.cpp:592 umlviewimageexportermodel.cpp:303
+#: umldoc.cpp:835 umldoc.cpp:854 umldoc.cpp:876 umldoc.cpp:927 umldoc.cpp:971
+#: umllistview.cpp:593 umlviewimageexportermodel.cpp:303
 #, kde-format
 msgid "There was a problem saving file: %1"
 msgstr ""
 
-#: umldoc.cpp:978
+#: umldoc.cpp:980
 #, kde-format
 msgid "There was a problem uploading: %1"
 msgstr ""
 
-#: umldoc.cpp:980
+#: umldoc.cpp:982
 #, kde-format
 msgid "There was a problem uploading file: %1"
 msgstr ""
 
-#: umldoc.cpp:1526
+#: umldoc.cpp:1528
 #, kde-format
 msgid "use case diagram"
 msgstr ""
 
-#: umldoc.cpp:1529
+#: umldoc.cpp:1531
 #, kde-format
 msgid "class diagram"
 msgstr ""
 
-#: umldoc.cpp:1532
+#: umldoc.cpp:1534
 #, kde-format
 msgid "sequence diagram"
 msgstr ""
 
-#: umldoc.cpp:1535
+#: umldoc.cpp:1537
 #, kde-format
 msgid "communication diagram"
 msgstr ""
 
-#: umldoc.cpp:1538
+#: umldoc.cpp:1540
 #, fuzzy, kde-format
 msgid "object diagram"
 msgstr "លុប"
 
-#: umldoc.cpp:1541
+#: umldoc.cpp:1543
 #, kde-format
 msgid "state diagram"
 msgstr ""
 
-#: umldoc.cpp:1544
+#: umldoc.cpp:1546
 #, kde-format
 msgid "activity diagram"
 msgstr ""
 
-#: umldoc.cpp:1547
+#: umldoc.cpp:1549
 #, kde-format
 msgid "component diagram"
 msgstr ""
 
-#: umldoc.cpp:1550
+#: umldoc.cpp:1552
 #, kde-format
 msgid "deployment diagram"
 msgstr ""
 
-#: umldoc.cpp:1553
+#: umldoc.cpp:1555
 #, kde-format
 msgid "entity relationship diagram"
 msgstr ""
 
-#: umldoc.cpp:1623
+#: umldoc.cpp:1625
 #, fuzzy, kde-format
 msgctxt "diagram name"
 msgid "Name"
 msgstr "ឈ្មោះ"
 
-#: umldoc.cpp:1623 umldoc.cpp:1686 umldoc.cpp:1715 umldoc.cpp:1749
+#: umldoc.cpp:1625 umldoc.cpp:1688 umldoc.cpp:1717 umldoc.cpp:1751
 #, fuzzy, kde-format
 msgid "Enter name:"
 msgstr "បញ្ចូល​ឈ្មោះ ៖"
 
-#: umldoc.cpp:1627 umldoc.cpp:1692
+#: umldoc.cpp:1629 umldoc.cpp:1694
 #, kde-format
 msgid "That is an invalid name for a diagram."
 msgstr ""
 
-#: umldoc.cpp:1629 umldoc.cpp:1699
+#: umldoc.cpp:1631 umldoc.cpp:1701
 #, kde-format
 msgid "A diagram is already using that name."
 msgstr ""
 
-#: umldoc.cpp:1685
+#: umldoc.cpp:1687
 #, fuzzy, kde-format
 msgctxt "renaming diagram"
 msgid "Name"
 msgstr "ឈ្មោះ"
 
-#: umldoc.cpp:1714
+#: umldoc.cpp:1716
 #, fuzzy, kde-format
 msgctxt "renaming uml object"
 msgid "Name"
 msgstr "ឈ្មោះ"
 
-#: umldoc.cpp:1748
+#: umldoc.cpp:1750
 #, fuzzy, kde-format
 msgctxt "renaming child uml object"
 msgid "Name"
 msgstr "ឈ្មោះ"
 
-#: umldoc.cpp:1758
+#: umldoc.cpp:1760
 #, kde-format
 msgid ""
 "The name you entered was not unique.\n"
 "Is this what you wanted?"
 msgstr ""
 
-#: umldoc.cpp:1759
+#: umldoc.cpp:1761
 #, kde-format
 msgid "Use Name"
 msgstr ""
 
-#: umldoc.cpp:1759
+#: umldoc.cpp:1761
 #, kde-format
 msgid "Enter New Name"
 msgstr ""
 
-#: umldoc.cpp:2361
+#: umldoc.cpp:2366
 #, kde-format
 msgid "Unsupported xmi file version: %1"
 msgstr ""
 
-#: umldoc.cpp:2511
+#: umldoc.cpp:2516
 #, kde-format
 msgid "Setting up the document..."
 msgstr ""
 
-#: umldoc.cpp:2540
+#: umldoc.cpp:2545
 #, kde-format
 msgid "Resolving object references..."
 msgstr ""
 
-#: umldoc.cpp:2648
+#: umldoc.cpp:2653
 #, kde-format
 msgid "Loading UML elements..."
 msgstr ""
 
-#: umldoc.cpp:2892
+#: umldoc.cpp:2899
 #, kde-format
 msgid "Loading diagrams..."
 msgstr ""
 
-#: umldoc.cpp:3400
+#: umldoc.cpp:3409
 #, kde-format
 msgid "/autosave%1"
 msgstr ""
 
-#: umllistview.cpp:536 umllistview.cpp:540
+#: umllistview.cpp:537 umllistview.cpp:541
 #, kde-format
 msgid "Externalize Folder"
 msgstr ""
 
-#: umllistview.cpp:574
+#: umllistview.cpp:575
 #, kde-format
 msgid "Folder %1 must be relative to the main model directory, %2."
 msgstr ""
 
-#: umllistview.cpp:575
+#: umllistview.cpp:576
 #, fuzzy, kde-format
 msgid "Path Error"
 msgstr "ផ្ទុក​កំហុស"
 
-#: umllistview.cpp:583
+#: umllistview.cpp:584
 #, kde-format
 msgid ""
 "File %1 already exists!\n"
 "The existing file will be overwritten."
 msgstr ""
 
-#: umllistview.cpp:584
+#: umllistview.cpp:585
 #, fuzzy, kde-format
 msgid "File Exist"
 msgstr "មាន​ឯកសារ​រួច​ហើយ"
 
-#: umllistview.cpp:624
+#: umllistview.cpp:625
 #, kde-format
 msgid "Enter Model Name"
 msgstr ""
 
-#: umllistview.cpp:625
+#: umllistview.cpp:626
 #, kde-format
 msgid "Enter the new name of the model:"
 msgstr ""
 
-#: umllistview.cpp:1422
+#: umllistview.cpp:1430
 #, fuzzy, kde-format
 msgid "Views"
 msgstr "ទិដ្ឋភាព"
 
-#: umllistview.cpp:1441
+#: umllistview.cpp:1449
 #, fuzzy, kde-format
 msgid "Settings"
 msgstr "ការ​កំណត់​ពុម្ពអក្សរ"
 
-#: umllistview.cpp:2413
+#: umllistview.cpp:2421
 #, kde-format
 msgid "Loading listview..."
 msgstr ""
 
-#: umllistview.cpp:2764
+#: umllistview.cpp:2772
 #, kde-format
 msgid "The class must be emptied before it can be deleted."
 msgstr ""
 
-#: umllistview.cpp:2765
+#: umllistview.cpp:2773
 #, fuzzy, kde-format
 msgid "Class Not Empty"
 msgstr "ថ្នាក់"
 
-#: umllistview.cpp:2769
+#: umllistview.cpp:2777
 #, kde-format
 msgid "The package must be emptied before it can be deleted."
 msgstr ""
 
-#: umllistview.cpp:2770
+#: umllistview.cpp:2778
 #, fuzzy, kde-format
 msgid "Package Not Empty"
 msgstr "កញ្ចប់"
 
-#: umllistview.cpp:2774
+#: umllistview.cpp:2782
 #, kde-format
 msgid "The folder must be emptied before it can be deleted."
 msgstr ""
 
-#: umllistview.cpp:2775
+#: umllistview.cpp:2783
 #, kde-format
 msgid "Folder Not Empty"
 msgstr ""
diff -pruN 4:20.08.3-1/po/ko/umbrello_kdevphp5.po 4:20.12.0-0ubuntu1/po/ko/umbrello_kdevphp5.po
--- 4:20.08.3-1/po/ko/umbrello_kdevphp5.po	2020-11-03 00:42:16.000000000 +0000
+++ 4:20.12.0-0ubuntu1/po/ko/umbrello_kdevphp5.po	2020-12-04 00:21:30.000000000 +0000
@@ -1,21 +1,18 @@
-# Copyright (C) YEAR This file is copyright:
-# This file is distributed under the same license as the umbrello package.
-# Shinjo Park <kde@peremen.name>, 2020.
-#
+# Shinjo Park <kde@peremen.name>, 2014, 2015, 2019, 2020.
 msgid ""
 msgstr ""
-"Project-Id-Version: umbrello\n"
+"Project-Id-Version: kdevelop\n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
 "POT-Creation-Date: 2019-11-25 03:12+0100\n"
-"PO-Revision-Date: 2020-04-22 17:53+0200\n"
+"PO-Revision-Date: 2020-04-05 12:26+0200\n"
 "Last-Translator: Shinjo Park <kde@peremen.name>\n"
 "Language-Team: Korean <kde-kr@kde.org>\n"
 "Language: ko\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
-"Plural-Forms: nplurals=1; plural=0;\n"
 "X-Generator: Lokalize 19.04.3\n"
+"Plural-Forms: nplurals=1; plural=0;\n"
 
 #, kde-format
 msgctxt "NAME OF TRANSLATORS"
@@ -79,7 +76,7 @@ msgstr ""
 "\"http://php.net\"><span style=\" text-decoration: underline; color:#0000ff;"
 "\">PHP 문서</span></a>를 원격으로 사용합니다. 또한 지정한 언어로 번역된 로컬 "
 "복사본을 사용할 수도 있습니다. <span style=\" font-style:italic;\">\"여러 "
-"HTML 파일\"</span> 패키지를 다운로드했는지 확인하십시오.</p></body></html>"
+"HTML 파일\"</span> 패키지를 다운로드했는지 확인하십시오..</p></body></html>"
 
 #. i18n: ectx: property (text), widget (QLabel, PhpDocLocationLabel)
 #: docs/phpdocsconfig.ui:57
diff -pruN 4:20.08.3-1/po/ko/umbrello.po 4:20.12.0-0ubuntu1/po/ko/umbrello.po
--- 4:20.08.3-1/po/ko/umbrello.po	2020-11-03 00:42:16.000000000 +0000
+++ 4:20.12.0-0ubuntu1/po/ko/umbrello.po	2020-12-04 00:21:30.000000000 +0000
@@ -3,7 +3,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: umbrello\n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
-"POT-Creation-Date: 2020-08-14 08:09+0200\n"
+"POT-Creation-Date: 2020-11-06 02:36+0100\n"
 "PO-Revision-Date: 2020-04-21 00:36+0200\n"
 "Last-Translator: Shinjo Park <kde@peremen.name>\n"
 "Language-Team: Korean <kde-kr@kde.org>\n"
@@ -207,7 +207,7 @@ msgstr ""
 "같은 이름으로 된 항목이 있기 때문에 클립보드에 있는 항목 중 일부를 붙여넣을 "
 "수 없습니다. 이름이 다른 항목은 붙여넣었습니다."
 
-#: clipboard/umlclipboard.cpp:753 uml.cpp:1689
+#: clipboard/umlclipboard.cpp:753 uml.cpp:1698
 #, kde-format
 msgid "Paste Error"
 msgstr "오류 붙이기"
@@ -433,7 +433,7 @@ msgstr "<p align=\"center\">C++ 코드 
 #. i18n: ectx: attribute (title), widget (QWidget, ui_tabGeneral)
 #: codegenerators/cpp/cppcodegenerationformbase.ui:51
 #: codegenwizard/codegenoptionspage.ui:39 dialogs/objectnodedialog.cpp:135
-#: umllistview.cpp:1451
+#: umllistview.cpp:1459
 #, kde-format
 msgid "General"
 msgstr "일반"
@@ -1300,7 +1300,7 @@ msgstr ""
 #. i18n: ectx: property (text), widget (QRadioButton, ui_categoryClass)
 #. i18n: ectx: property (text), widget (QTableWidget, ui_tableWidgetStatus)
 #: codegenwizard/codegenstatuspage.ui:40 codeimpwizard/codeimpstatuspage.ui:54
-#: dialogs/finddialog.ui:89 umllistview.cpp:1446 umlwidgets/widgetbase.cpp:1255
+#: dialogs/finddialog.ui:89 umllistview.cpp:1454 umlwidgets/widgetbase.cpp:1255
 #, kde-format
 msgid "Class"
 msgstr "클래스"
@@ -1952,18 +1952,18 @@ msgstr ""
 msgid "Enable 'delete diagram' related messages"
 msgstr ""
 
-#: dialogs/dialog_utils.cpp:117
+#: dialogs/dialog_utils.cpp:118
 #, kde-format
 msgid "You are about to delete an association. Do you really want to continue?"
 msgstr ""
 
-#: dialogs/dialog_utils.cpp:118
+#: dialogs/dialog_utils.cpp:119
 #, fuzzy, kde-format
 #| msgid "Self Association"
 msgid "Delete Association"
 msgstr "자가 연결"
 
-#: dialogs/dialog_utils.cpp:132
+#: dialogs/dialog_utils.cpp:133
 #, kde-format
 msgid ""
 "You are about to delete the entire diagram.\n"
@@ -1972,17 +1972,17 @@ msgstr ""
 "전체 다이어그램을 삭제를 중지했습니다.\n"
 "확인하셨습니까?"
 
-#: dialogs/dialog_utils.cpp:133
+#: dialogs/dialog_utils.cpp:134
 #, kde-format
 msgid "Are you sure you want to delete diagram %1?"
 msgstr "%1 다이어그램을 삭제하시겠습니까?"
 
-#: dialogs/dialog_utils.cpp:138
+#: dialogs/dialog_utils.cpp:139
 #, kde-format
 msgid "Delete Diagram?"
 msgstr "다이어그램을 삭제하시겠습니까?"
 
-#: dialogs/dialog_utils.cpp:139 dialogs/pages/classifierlistpage.cpp:215
+#: dialogs/dialog_utils.cpp:140 dialogs/pages/classifierlistpage.cpp:215
 #: dialogs/pages/classifierlistpage.cpp:223
 #: dialogs/umlforeignkeyconstraintdialog.cpp:325
 #: dialogs/umlforeignkeyconstraintdialog.cpp:331
@@ -2141,7 +2141,7 @@ msgstr ""
 #. i18n: ectx: label, entry (uiFont), group (UI Options)
 #. i18n: ectx: label, entry (codeViewerFont), group (Code Viewer Options)
 #: dialogs/multipagedialogbase.cpp:405 umbrello.kcfg:177 umbrello.kcfg:292
-#: umllistview.cpp:1450
+#: umllistview.cpp:1458
 #, kde-format
 msgid "Font"
 msgstr "글꼴"
@@ -2567,7 +2567,7 @@ msgstr "새 속성(&E)..."
 
 #: dialogs/pages/classifierlistpage.cpp:217
 #: dialogs/pages/classifierlistpage.cpp:225 dialogs/umloperationdialog.cpp:167
-#: dialogs/umloperationdialog.cpp:175 uml.cpp:554
+#: dialogs/umloperationdialog.cpp:175 uml.cpp:563
 #, kde-format
 msgid "&Properties"
 msgstr "속성(&P)"
@@ -2585,7 +2585,7 @@ msgid "Source Code"
 msgstr ""
 
 #: dialogs/pages/classoptionspage.cpp:157
-#: dialogs/pages/classoptionspage.cpp:251 uml.cpp:509
+#: dialogs/pages/classoptionspage.cpp:251 uml.cpp:518
 #, kde-format
 msgid "&Documentation"
 msgstr "문서(&D)"
@@ -2773,8 +2773,8 @@ msgstr "입력한 이름이 유효하지
 #: uml1model/classifier.cpp:410 uml1model/classifier.cpp:781
 #: uml1model/entity.cpp:125 uml1model/entity.cpp:178 uml1model/entity.cpp:228
 #: uml1model/entity.cpp:277 uml1model/enum.cpp:107 uml1model/instance.cpp:124
-#: uml1model/package.cpp:172 umldoc.cpp:1627 umldoc.cpp:1692 umldoc.cpp:1721
-#: umldoc.cpp:1755
+#: uml1model/package.cpp:178 umldoc.cpp:1629 umldoc.cpp:1694 umldoc.cpp:1723
+#: umldoc.cpp:1757
 #, kde-format
 msgid "Invalid Name"
 msgstr "유효하지 않은 이름"
@@ -2784,7 +2784,7 @@ msgstr "유효하지 않은 이름"
 msgid "The name you have entered is not unique."
 msgstr "입력한 이름이 고유한 이름이 아닙니다."
 
-#: dialogs/pages/diagrampropertiespage.cpp:86 umldoc.cpp:1759
+#: dialogs/pages/diagrampropertiespage.cpp:86 umldoc.cpp:1761
 #, kde-format
 msgid "Name Not Unique"
 msgstr "이름이 고유하지 않습니다"
@@ -3254,7 +3254,7 @@ msgstr "다이어그램(&D)"
 msgid "Umbrello Setup"
 msgstr "Umbrello 설정"
 
-#: dialogs/settingsdialog.cpp:114 umllistview.cpp:1452
+#: dialogs/settingsdialog.cpp:114 umllistview.cpp:1460
 #, kde-format
 msgid "User Interface"
 msgstr "사용자 인터페이스"
@@ -3281,7 +3281,7 @@ msgstr ""
 msgid "Class Settings"
 msgstr "클래스 설정"
 
-#: dialogs/settingsdialog.cpp:137 umllistview.cpp:1447
+#: dialogs/settingsdialog.cpp:137 umllistview.cpp:1455
 #, kde-format
 msgid "Code Importer"
 msgstr ""
@@ -3291,7 +3291,7 @@ msgstr ""
 msgid "Code Import Settings"
 msgstr ""
 
-#: dialogs/settingsdialog.cpp:146 umllistview.cpp:1448
+#: dialogs/settingsdialog.cpp:146 umllistview.cpp:1456
 #, kde-format
 msgid "Code Generation"
 msgstr "코드 생성"
@@ -3301,7 +3301,7 @@ msgstr "코드 생성"
 msgid "Code Generation Settings"
 msgstr "코드 생성 설정"
 
-#: dialogs/settingsdialog.cpp:154 umllistview.cpp:1449
+#: dialogs/settingsdialog.cpp:154 umllistview.cpp:1457
 #, kde-format
 msgid "Code Viewer"
 msgstr "코드 뷰어"
@@ -3311,7 +3311,7 @@ msgstr "코드 뷰어"
 msgid "Code Viewer Settings"
 msgstr "코드 뷰어 설정"
 
-#: dialogs/settingsdialog.cpp:161 umllistview.cpp:1445
+#: dialogs/settingsdialog.cpp:161 umllistview.cpp:1453
 #, kde-format
 msgid "Auto Layout"
 msgstr ""
@@ -3955,7 +3955,7 @@ msgstr "형식(&T):"
 msgid "Package path:"
 msgstr ""
 
-#: dialogs/widgets/umlstereotypewidget.cpp:29 uml1model/umlobject.cpp:1179
+#: dialogs/widgets/umlstereotypewidget.cpp:29 uml1model/umlobject.cpp:1180
 #, fuzzy, kde-format
 #| msgid "Stereotype name:"
 msgid "Stereotype &name:"
@@ -4100,7 +4100,7 @@ msgstr ""
 msgid "Gael de Chalendar (aka Kleag)"
 msgstr ""
 
-#: docgenerators/main.cpp:56 main.cpp:131
+#: docgenerators/main.cpp:56 main.cpp:133
 #, kde-format
 msgid "Umbrello UML Modeller Authors"
 msgstr "Umbrello UML 모델러 제작자"
@@ -4162,12 +4162,12 @@ msgstr ""
 msgid "Apply layout"
 msgstr ""
 
-#: main.cpp:121
+#: main.cpp:123
 #, kde-format
 msgid "Umbrello UML Modeller"
 msgstr "Umbrello UML 모델러"
 
-#: main.cpp:123
+#: main.cpp:125
 #, kde-format
 msgid ""
 "Umbrello – Visual development environment for software, based on the "
@@ -4175,7 +4175,7 @@ msgid ""
 "\"http://www.omg.org/spec/\">http://www.omg.org/spec/</a>."
 msgstr ""
 
-#: main.cpp:127
+#: main.cpp:129
 #, fuzzy, kde-format
 #| msgid "Umbrello UML Modeller Authors"
 msgid ""
@@ -4183,111 +4183,111 @@ msgid ""
 "Copyright © 2002-2020 Umbrello UML Modeller Authors"
 msgstr "Umbrello UML 모델러 제작자"
 
-#: main.cpp:130
+#: main.cpp:132
 #, kde-format
 msgid "Paul Hensgen"
 msgstr ""
 
-#: main.cpp:130
+#: main.cpp:132
 #, kde-format
 msgid "Author of initial version."
 msgstr ""
 
-#: main.cpp:134
+#: main.cpp:136
 #, kde-format
 msgid "Oliver Kellogg"
 msgstr ""
 
-#: main.cpp:135 main.cpp:138
+#: main.cpp:137 main.cpp:140
 #, kde-format
 msgid "Bug fixing, porting work, code cleanup, new features."
 msgstr ""
 
-#: main.cpp:137
+#: main.cpp:139
 #, kde-format
 msgid "Ralf Habacker"
 msgstr ""
 
-#: main.cpp:140
+#: main.cpp:142
 #, kde-format
 msgid "Andi Fischer"
 msgstr ""
 
-#: main.cpp:141
+#: main.cpp:143
 #, kde-format
 msgid "Porting work, code cleanup, new features."
 msgstr ""
 
-#: main.cpp:143
+#: main.cpp:145
 #, kde-format
 msgid "Jonathan Riddell"
 msgstr ""
 
-#: main.cpp:144
+#: main.cpp:146
 #, fuzzy, kde-format
 #| msgid "&Current diagram"
 msgid "Current maintainer."
 msgstr "현재 다이어그램(&C)"
 
-#: main.cpp:146
+#: main.cpp:148
 #, kde-format
 msgid "Brian Thomas"
 msgstr ""
 
-#: main.cpp:147
+#: main.cpp:149
 #, kde-format
 msgid "A lot of work for C++ and Java code generation. Codeeditor."
 msgstr ""
 
-#: main.cpp:152
+#: main.cpp:154
 #, kde-format
 msgid "File to open"
 msgstr "열 파일"
 
-#: main.cpp:153
+#: main.cpp:155
 #, kde-format
 msgid "export diagrams to extension and exit"
 msgstr ""
 
-#: main.cpp:154
+#: main.cpp:156
 #, kde-format
 msgid "list available export extensions"
 msgstr ""
 
-#: main.cpp:155
+#: main.cpp:157
 #, kde-format
 msgid "the local directory to save the exported diagrams in"
 msgstr ""
 
-#: main.cpp:155
+#: main.cpp:157
 #, kde-format
 msgid "the directory of the file"
 msgstr ""
 
-#: main.cpp:156
+#: main.cpp:158
 #, fuzzy, kde-format
 #| msgid "Import Status"
 msgid "import files"
 msgstr "가져오기 상태"
 
-#: main.cpp:157
+#: main.cpp:159
 #, kde-format
 msgid "list supported languages"
 msgstr ""
 
-#: main.cpp:158
+#: main.cpp:160
 #, kde-format
 msgid ""
 "keep the tree structure used to store the views in the document in the "
 "target directory"
 msgstr ""
 
-#: main.cpp:159
+#: main.cpp:161
 #, kde-format
 msgid "import files from directory <dir>"
 msgstr ""
 
-#: main.cpp:163
+#: main.cpp:165
 #, fuzzy, kde-format
 #| msgid "Active &Language"
 msgid "set active language"
@@ -4556,7 +4556,7 @@ msgstr "파괴자 보기"
 msgid "Import File(s)..."
 msgstr ""
 
-#: menus/listpopupmenu.cpp:201 uml.cpp:356
+#: menus/listpopupmenu.cpp:201 uml.cpp:365
 #, kde-format
 msgid "Import from Directory..."
 msgstr ""
@@ -5073,42 +5073,42 @@ msgctxt "align menu"
 msgid "Align"
 msgstr ""
 
-#: menus/widgetbasepopupmenu.cpp:598 uml.cpp:573
+#: menus/widgetbasepopupmenu.cpp:598 uml.cpp:582
 #, kde-format
 msgid "Align Right"
 msgstr "오른쪽으로 정렬"
 
-#: menus/widgetbasepopupmenu.cpp:599 uml.cpp:578
+#: menus/widgetbasepopupmenu.cpp:599 uml.cpp:587
 #, kde-format
 msgid "Align Left"
 msgstr "왼쪽으로 정렬"
 
-#: menus/widgetbasepopupmenu.cpp:600 uml.cpp:583
+#: menus/widgetbasepopupmenu.cpp:600 uml.cpp:592
 #, kde-format
 msgid "Align Top"
 msgstr "위로 정렬"
 
-#: menus/widgetbasepopupmenu.cpp:601 uml.cpp:588
+#: menus/widgetbasepopupmenu.cpp:601 uml.cpp:597
 #, kde-format
 msgid "Align Bottom"
 msgstr "아래로 정렬"
 
-#: menus/widgetbasepopupmenu.cpp:603 uml.cpp:593
+#: menus/widgetbasepopupmenu.cpp:603 uml.cpp:602
 #, kde-format
 msgid "Align Vertical Middle"
 msgstr "수직 중앙에 정렬"
 
-#: menus/widgetbasepopupmenu.cpp:604 uml.cpp:598
+#: menus/widgetbasepopupmenu.cpp:604 uml.cpp:607
 #, kde-format
 msgid "Align Horizontal Middle"
 msgstr "수평 중앙에 정렬"
 
-#: menus/widgetbasepopupmenu.cpp:605 uml.cpp:603
+#: menus/widgetbasepopupmenu.cpp:605 uml.cpp:612
 #, kde-format
 msgid "Align Vertical Distribute"
 msgstr ""
 
-#: menus/widgetbasepopupmenu.cpp:606 uml.cpp:608
+#: menus/widgetbasepopupmenu.cpp:606 uml.cpp:617
 #, kde-format
 msgid "Align Horizontal Distribute"
 msgstr ""
@@ -6033,8 +6033,8 @@ msgstr "메시지"
 #: object_factory.cpp:251 uml1model/classifier.cpp:410
 #: uml1model/classifier.cpp:781 uml1model/entity.cpp:125
 #: uml1model/entity.cpp:178 uml1model/entity.cpp:228 uml1model/entity.cpp:277
-#: uml1model/enum.cpp:107 uml1model/instance.cpp:124 uml1model/package.cpp:171
-#: umldoc.cpp:1721 umldoc.cpp:1755
+#: uml1model/enum.cpp:107 uml1model/instance.cpp:124 uml1model/package.cpp:177
+#: umldoc.cpp:1723 umldoc.cpp:1757
 #, kde-format
 msgid "That is an invalid name."
 msgstr "유효하지 않은 이름입니다."
@@ -6053,7 +6053,7 @@ msgstr "예약된 키워드"
 #: object_factory.cpp:264 uml1model/classifier.cpp:413
 #: uml1model/classifier.cpp:783 uml1model/entity.cpp:127
 #: uml1model/entity.cpp:180 uml1model/entity.cpp:230 uml1model/entity.cpp:279
-#: uml1model/instance.cpp:126 umldoc.cpp:1727 umldoc.cpp:1764
+#: uml1model/instance.cpp:126 umldoc.cpp:1729 umldoc.cpp:1766
 #, kde-format
 msgid "That name is already being used."
 msgstr "그 이름은 이미 사용중입니다."
@@ -6061,8 +6061,8 @@ msgstr "그 이름은 이미 사용중
 #: object_factory.cpp:265 uml1model/classifier.cpp:413
 #: uml1model/classifier.cpp:783 uml1model/entity.cpp:127
 #: uml1model/entity.cpp:180 uml1model/entity.cpp:230 uml1model/entity.cpp:279
-#: uml1model/instance.cpp:126 umldoc.cpp:1629 umldoc.cpp:1699 umldoc.cpp:1727
-#: umldoc.cpp:1764
+#: uml1model/instance.cpp:126 umldoc.cpp:1631 umldoc.cpp:1701 umldoc.cpp:1729
+#: umldoc.cpp:1766
 #, kde-format
 msgid "Not a Unique Name"
 msgstr "고유하지 않은 이름입니다"
@@ -6123,12 +6123,12 @@ msgstr ""
 msgid "Choose a different name."
 msgstr ""
 
-#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:266
+#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:273
 #, kde-format
 msgid "Incorrect use of associations."
 msgstr "연결의 올바르지 않은 사용."
 
-#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:266
+#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:273
 #, kde-format
 msgid "Association Error"
 msgstr "연결 오류"
@@ -7294,190 +7294,190 @@ msgstr "활성 언어(&L)"
 msgid "&Settings"
 msgstr "폰트 설정"
 
-#: uml.cpp:332
+#: uml.cpp:341
 #, kde-format
 msgid "&Export model to DocBook"
 msgstr ""
 
-#: uml.cpp:336
+#: uml.cpp:345
 #, kde-format
 msgid "&Export model to XHTML"
 msgstr ""
 
-#: uml.cpp:340
+#: uml.cpp:349
 #, kde-format
 msgid "&New Class Wizard..."
 msgstr "새 클래스 마법사(&N)..."
 
-#: uml.cpp:344
+#: uml.cpp:353
 #, kde-format
 msgid "&Add Default Datatypes for Active Language"
 msgstr "작동 언어에 대해 기본 데이타 형식을 추가(&A)"
 
-#: uml.cpp:351
+#: uml.cpp:360
 #, kde-format
 msgid "Code &Importing Wizard..."
 msgstr ""
 
-#: uml.cpp:361
+#: uml.cpp:370
 #, kde-format
 msgid "&Code Generation Wizard..."
 msgstr "코드 생성 마법사(&C)..."
 
-#: uml.cpp:366
+#: uml.cpp:375
 #, kde-format
 msgid "&Generate All Code"
 msgstr "모든 코드 생성(&G)"
 
-#: uml.cpp:411
+#: uml.cpp:420
 #, kde-format
 msgid "Creates a new document"
 msgstr "새 문서 생성"
 
-#: uml.cpp:412
+#: uml.cpp:421
 #, kde-format
 msgid "Opens an existing document"
 msgstr "존재하는 문서를 열기"
 
-#: uml.cpp:413
+#: uml.cpp:422
 #, kde-format
 msgid "Opens a recently used file"
 msgstr "최근 사용했던 파일 열기"
 
-#: uml.cpp:414
+#: uml.cpp:423
 #, kde-format
 msgid "Saves the document"
 msgstr ""
 
-#: uml.cpp:415
+#: uml.cpp:424
 #, kde-format
 msgid "Saves the document as..."
 msgstr ""
 
-#: uml.cpp:416
+#: uml.cpp:425
 #, kde-format
 msgid "Closes the document"
 msgstr ""
 
-#: uml.cpp:417
+#: uml.cpp:426
 #, kde-format
 msgid "Prints out the document"
 msgstr ""
 
-#: uml.cpp:418
+#: uml.cpp:427
 #, kde-format
 msgid "Print Preview of the document"
 msgstr ""
 
-#: uml.cpp:419
+#: uml.cpp:428
 #, kde-format
 msgid "Quits the application"
 msgstr "응용프로그램 종료"
 
-#: uml.cpp:420
+#: uml.cpp:429
 #, kde-format
 msgid "Exports the model to the docbook format"
 msgstr ""
 
-#: uml.cpp:421
+#: uml.cpp:430
 #, kde-format
 msgid "Exports the model to the XHTML format"
 msgstr ""
 
-#: uml.cpp:422
+#: uml.cpp:431
 #, kde-format
 msgid "Cuts the selected section and puts it to the clipboard"
 msgstr "선택한 부분을 잘라내고 클립보드에 저장"
 
-#: uml.cpp:423
+#: uml.cpp:432
 #, kde-format
 msgid "Copies the selected section to the clipboard"
 msgstr "선택한 부분을 클립보드에 복사"
 
-#: uml.cpp:424
+#: uml.cpp:433
 #, kde-format
 msgid "Pastes the contents of the clipboard"
 msgstr ""
 
-#: uml.cpp:425
+#: uml.cpp:434
 #, kde-format
 msgid "Set the default program preferences"
 msgstr "기본 프로그램 환경설정 설정"
 
-#: uml.cpp:429
+#: uml.cpp:438
 #, kde-format
 msgctxt "delete selected widget"
 msgid "Delete &Selected"
 msgstr ""
 
-#: uml.cpp:440
+#: uml.cpp:449
 #, kde-format
 msgid "&Class Diagram..."
 msgstr "클래스 다이어그램(&C)..."
 
-#: uml.cpp:447
+#: uml.cpp:456
 #, fuzzy, kde-format
 #| msgid "S&tate Diagram..."
 msgid "&Object Diagram..."
 msgstr "상태 다이어그램(&T)..."
 
-#: uml.cpp:454
+#: uml.cpp:463
 #, kde-format
 msgid "&Sequence Diagram..."
 msgstr "순서 다이어그램(&S)..."
 
-#: uml.cpp:460
+#: uml.cpp:469
 #, fuzzy, kde-format
 #| msgid "C&ollaboration Diagram..."
 msgid "C&ommunication Diagram..."
 msgstr "협동 다이어그램(&O)..."
 
-#: uml.cpp:466
+#: uml.cpp:475
 #, kde-format
 msgid "&Use Case Diagram..."
 msgstr "조건 다이어그램 사용(&U)..."
 
-#: uml.cpp:472
+#: uml.cpp:481
 #, kde-format
 msgid "S&tate Diagram..."
 msgstr "상태 다이어그램(&T)..."
 
-#: uml.cpp:478
+#: uml.cpp:487
 #, kde-format
 msgid "&Activity Diagram..."
 msgstr "작업 다이어그램(&A)..."
 
-#: uml.cpp:484
+#: uml.cpp:493
 #, kde-format
 msgid "Co&mponent Diagram..."
 msgstr "요소 다이어그램(&M)..."
 
-#: uml.cpp:490
+#: uml.cpp:499
 #, kde-format
 msgid "&Deployment Diagram..."
 msgstr "전개 다이어그램(&D)..."
 
-#: uml.cpp:496
+#: uml.cpp:505
 #, kde-format
 msgid "&Entity Relationship Diagram..."
 msgstr ""
 
-#: uml.cpp:501 uml.cpp:954
+#: uml.cpp:510 uml.cpp:963
 #, kde-format
 msgid "&Tree View"
 msgstr "트리 보기(&T)"
 
-#: uml.cpp:505
+#: uml.cpp:514
 #, kde-format
 msgid "&Debugging"
 msgstr ""
 
-#: uml.cpp:513
+#: uml.cpp:522
 #, kde-format
 msgid "&Logging"
 msgstr ""
 
-#: uml.cpp:517
+#: uml.cpp:526
 #, kde-format
 msgid "&Command history"
 msgstr ""
@@ -7486,137 +7486,137 @@ msgstr ""
 #. m_propertyDock->setObjectName(QLatin1String("PropertyDock"));
 #. addDockWidget(Qt::LeftDockWidgetArea, m_propertyDock);  //:TODO:
 #. create the bird's eye view
-#: uml.cpp:521 uml.cpp:1011
+#: uml.cpp:530 uml.cpp:1020
 #, kde-format
 msgid "&Bird's eye view"
 msgstr ""
 
-#: uml.cpp:526
+#: uml.cpp:535
 #, kde-format
 msgid "&Clear Diagram"
 msgstr "초기화 다이어그램(&C)"
 
-#: uml.cpp:530
+#: uml.cpp:539
 #, kde-format
 msgid "&Snap to Grid"
 msgstr "격자에 맞추기(&S)"
 
-#: uml.cpp:534
+#: uml.cpp:543
 #, kde-format
 msgid "S&how Grid"
 msgstr "격자 표시(&H)"
 
-#: uml.cpp:539
+#: uml.cpp:548
 #, kde-format
 msgid "&Delete Diagram"
 msgstr "다이어그램 삭제(&D)"
 
-#: uml.cpp:544
+#: uml.cpp:553
 #, kde-format
 msgid "&Export as Picture..."
 msgstr "그림으로 내보내기(&E)..."
 
-#: uml.cpp:549
+#: uml.cpp:558
 #, fuzzy, kde-format
 #| msgid "Export as Picture..."
 msgid "Export &Diagrams as Pictures..."
 msgstr "그림으로 내보내기..."
 
-#: uml.cpp:569
+#: uml.cpp:578
 #, kde-format
 msgid "Z&oom to 100%"
 msgstr "100%로 확대(&O)"
 
-#: uml.cpp:612
+#: uml.cpp:621
 #, kde-format
 msgid "&Move Tab Left"
 msgstr "탭 왼쪽으로 이동(&M)"
 
-#: uml.cpp:613
+#: uml.cpp:622
 #, kde-format
 msgid "&Move Tab Right"
 msgstr "탭 오른쪽으로 이동(&M)"
 
-#: uml.cpp:636
+#: uml.cpp:645
 #, kde-format
 msgid "Select Diagram on Left"
 msgstr ""
 
-#: uml.cpp:637
+#: uml.cpp:646
 #, kde-format
 msgid "Select Diagram on Right"
 msgstr ""
 
-#: uml.cpp:776
+#: uml.cpp:785
 #, kde-format
 msgctxt "%1 percent value from 20 to 500"
 msgid " &%1%"
 msgstr ""
 
-#: uml.cpp:826
+#: uml.cpp:835
 #, kde-format
 msgctxt "init status bar"
 msgid "Ready"
 msgstr "준비"
 
-#: uml.cpp:835 uml.cpp:848
+#: uml.cpp:844 uml.cpp:857
 #, kde-format
 msgid "100%"
 msgstr ""
 
-#: uml.cpp:840
+#: uml.cpp:849
 #, fuzzy, kde-format
 #| msgid "Filter"
 msgid "Fit"
 msgstr "필터"
 
-#: uml.cpp:899
+#: uml.cpp:908
 #, kde-format
 msgid "Diagram Toolbar"
 msgstr "다이어그램 도구모음"
 
-#: uml.cpp:965
+#: uml.cpp:974
 #, kde-format
 msgid "Doc&umentation"
 msgstr ""
 
-#: uml.cpp:976
+#: uml.cpp:985
 #, kde-format
 msgid "Co&mmand history"
 msgstr ""
 
-#: uml.cpp:992
+#: uml.cpp:1001
 #, kde-format
 msgid "&Debug"
 msgstr ""
 
-#: uml.cpp:999
+#: uml.cpp:1008
 #, kde-format
 msgid "&Log"
 msgstr ""
 
-#: uml.cpp:1041 uml.cpp:1258 uml.cpp:1307
+#: uml.cpp:1050 uml.cpp:1267 uml.cpp:1316
 #, kde-format
 msgid "Opening file..."
 msgstr "파일 여는 중..."
 
-#: uml.cpp:1092 uml.cpp:1157 uml.cpp:1342 umldoc.cpp:342 umldoc.cpp:344
-#: umldoc.cpp:368 umldoc.cpp:3396
+#: uml.cpp:1101 uml.cpp:1166 uml.cpp:1351 umldoc.cpp:343 umldoc.cpp:345
+#: umldoc.cpp:369 umldoc.cpp:3405
 #, kde-format
 msgid "Untitled"
 msgstr ""
 
-#: uml.cpp:1240
+#: uml.cpp:1249
 #, kde-format
 msgid "Creating new document..."
 msgstr "새 문서 만드는 중..."
 
-#: uml.cpp:1266 uml.cpp:1281
+#: uml.cpp:1275 uml.cpp:1290
 #, kde-format
 msgid "Open File"
 msgstr "파일 열기"
 
-#: uml.cpp:1270
+#: uml.cpp:1279
 #, kde-format
 msgid ""
 "*.xmi *.xmi.tgz *.xmi.tar.bz2 *.mdl *.zargo|All Supported Files (*.xmi, *."
@@ -7628,22 +7628,22 @@ msgid ""
 "*.zargo|Compressed argo Files(*.zargo)\n"
 msgstr ""
 
-#: uml.cpp:1341
+#: uml.cpp:1350
 #, kde-format
 msgid "Saving file..."
 msgstr "파일 저장하는 중..."
 
-#: uml.cpp:1358
+#: uml.cpp:1367
 #, kde-format
 msgid "Saving file with a new filename..."
 msgstr "새 파일이름으로 파일 저장하는 중..."
 
-#: uml.cpp:1368 uml.cpp:1374 umlviewimageexporter.cpp:199
+#: uml.cpp:1377 uml.cpp:1383 umlviewimageexporter.cpp:199
 #, kde-format
 msgid "Save As"
 msgstr ""
 
-#: uml.cpp:1369
+#: uml.cpp:1378
 #, fuzzy, kde-format
 #| msgid ""
 #| "*.xmi|XMI File\n"
@@ -7659,7 +7659,7 @@ msgstr ""
 "*.xmi.tar.bz2|Bzip2 압축 XMI 파일\n"
 "*|모든 파일"
 
-#: uml.cpp:1374
+#: uml.cpp:1383
 #, kde-format
 msgid ""
 "*.xmi|XMI File\n"
@@ -7672,7 +7672,7 @@ msgstr ""
 "*.xmi.tar.bz2|Bzip2 압축 XMI 파일\n"
 "*|모든 파일"
 
-#: uml.cpp:1387
+#: uml.cpp:1396
 #, kde-format
 msgid ""
 "The file %1 exists.\n"
@@ -7681,105 +7681,105 @@ msgstr ""
 "%1 파일이 존재합니다.\n"
 "덮어쓰시겠습니까?"
 
-#: uml.cpp:1388
+#: uml.cpp:1397
 #, kde-format
 msgid "Warning"
 msgstr ""
 
-#: uml.cpp:1388
+#: uml.cpp:1397
 #, kde-format
 msgid "Overwrite"
 msgstr "덮어쓰기"
 
-#: uml.cpp:1422
+#: uml.cpp:1431
 #, kde-format
 msgid "Closing file..."
 msgstr "파일 닫는 중..."
 
-#: uml.cpp:1432
+#: uml.cpp:1441
 #, kde-format
 msgid "No search term entered"
 msgstr ""
 
-#: uml.cpp:1438
+#: uml.cpp:1447
 #, kde-format
 msgid "'%1': %2 found"
 msgstr ""
 
-#: uml.cpp:1502
+#: uml.cpp:1511
 #, kde-format
 msgid "Print Preview..."
 msgstr ""
 
-#: uml.cpp:1529
+#: uml.cpp:1538
 #, kde-format
 msgid "Printing..."
 msgstr "인쇄 중..."
 
-#: uml.cpp:1536 uml.cpp:1540
+#: uml.cpp:1545 uml.cpp:1549
 #, kde-format
 msgid "Print %1"
 msgstr "인쇄 %1"
 
-#: uml.cpp:1560
+#: uml.cpp:1569
 #, kde-format
 msgid "Exiting..."
 msgstr "종료 중..."
 
-#: uml.cpp:1647
+#: uml.cpp:1656
 #, kde-format
 msgid "Cutting selection..."
 msgstr "선택 자르는 중..."
 
-#: uml.cpp:1670
+#: uml.cpp:1679
 #, kde-format
 msgid "Copying selection to clipboard..."
 msgstr "선택된 곳 클립보드에 복사하는 중..."
 
-#: uml.cpp:1682
+#: uml.cpp:1691
 #, kde-format
 msgid "Inserting clipboard contents..."
 msgstr "클립보드 내용 삽입 중..."
 
-#: uml.cpp:1687
+#: uml.cpp:1696
 #, kde-format
 msgid ""
 "Umbrello could not paste the clipboard contents.  The objects in the "
 "clipboard may be of the wrong type to be pasted here."
 msgstr ""
 
-#: uml.cpp:1713 umlviewimageexporter.cpp:92 umlviewimageexporterall.cpp:123
+#: uml.cpp:1722 umlviewimageexporter.cpp:92 umlviewimageexporterall.cpp:123
 #, kde-format
 msgctxt "reset status bar"
 msgid "Ready."
 msgstr ""
 
-#: uml.cpp:2246
+#: uml.cpp:2255
 #, kde-format
 msgid "Cannot view code until you generate some first."
 msgstr ""
 
-#: uml.cpp:2246 uml.cpp:2249
+#: uml.cpp:2255 uml.cpp:2258
 #, kde-format
 msgid "Cannot View Code"
 msgstr "코드를 볼 수 없습니다"
 
-#: uml.cpp:2249
+#: uml.cpp:2258
 #, kde-format
 msgid "Cannot view code from simple code writer."
 msgstr ""
 
-#: uml.cpp:2714 uml.cpp:2716
+#: uml.cpp:2728 uml.cpp:2730
 #, kde-format
 msgid "Select file(s) to import:"
 msgstr ""
 
-#: uml.cpp:2747 uml.cpp:2749
+#: uml.cpp:2761 uml.cpp:2763
 #, kde-format
 msgid "Select directory to import:"
 msgstr ""
 
-#: uml.cpp:3313
+#: uml.cpp:3335
 #, kde-format
 msgid "XHTML Generation failed ."
 msgstr ""
@@ -7791,20 +7791,20 @@ msgid ""
 "it again."
 msgstr ""
 
-#: uml1model/folder.cpp:435
+#: uml1model/folder.cpp:436
 #, kde-format
 msgid "The folderfile %1 does not exist."
 msgstr "폴더파일 %1이(가) 없습니다."
 
-#: uml1model/folder.cpp:435 uml1model/folder.cpp:439 umldoc.cpp:529
-#: umldoc.cpp:541 umldoc.cpp:568 umldoc.cpp:570 umldoc.cpp:620 umldoc.cpp:623
-#: umldoc.cpp:638 umldoc.cpp:641 umldoc.cpp:665 umldoc.cpp:668 umldoc.cpp:684
-#: umldoc.cpp:687 umldoc.cpp:702 umldoc.cpp:705 umldoc.cpp:750
+#: uml1model/folder.cpp:436 uml1model/folder.cpp:440 umldoc.cpp:530
+#: umldoc.cpp:542 umldoc.cpp:569 umldoc.cpp:571 umldoc.cpp:621 umldoc.cpp:624
+#: umldoc.cpp:639 umldoc.cpp:642 umldoc.cpp:666 umldoc.cpp:669 umldoc.cpp:685
+#: umldoc.cpp:688 umldoc.cpp:703 umldoc.cpp:706 umldoc.cpp:751
 #, kde-format
 msgid "Load Error"
 msgstr "불러오기 오류"
 
-#: uml1model/folder.cpp:439
+#: uml1model/folder.cpp:440
 #, kde-format
 msgid "The folderfile %1 cannot be opened."
 msgstr ""
@@ -7814,13 +7814,13 @@ msgstr ""
 msgid "new_parameter"
 msgstr "new_parameter"
 
-#: uml1model/package.cpp:163
+#: uml1model/package.cpp:169
 #, kde-format
 msgctxt "object name"
 msgid "Name"
 msgstr ""
 
-#: uml1model/package.cpp:164
+#: uml1model/package.cpp:170
 #, kde-format
 msgid ""
 "An object with the name %1\n"
@@ -7843,80 +7843,80 @@ msgstr ""
 msgid "new_fkey_constraint"
 msgstr ""
 
-#: uml1model/umlobject.cpp:1140
+#: uml1model/umlobject.cpp:1141
 #, kde-format
 msgid "Actor &name:"
 msgstr "실행자 이름(&N):"
 
-#: uml1model/umlobject.cpp:1143
+#: uml1model/umlobject.cpp:1144
 #, kde-format
 msgid "Artifact &name:"
 msgstr "인공물 이름(&N):"
 
-#: uml1model/umlobject.cpp:1146
+#: uml1model/umlobject.cpp:1147
 #, fuzzy, kde-format
 #| msgid "Association Name"
 msgid "Association &name:"
 msgstr "연결 이름"
 
-#: uml1model/umlobject.cpp:1149
+#: uml1model/umlobject.cpp:1150
 #, kde-format
 msgid "Class &name:"
 msgstr "클래스 이름(&N):"
 
-#: uml1model/umlobject.cpp:1152
+#: uml1model/umlobject.cpp:1153
 #, kde-format
 msgid "Component &name:"
 msgstr "요소 이름(&N):"
 
-#: uml1model/umlobject.cpp:1155
+#: uml1model/umlobject.cpp:1156
 #, kde-format
 msgid "Datatype &name:"
 msgstr "데이타형 이름(&N):"
 
-#: uml1model/umlobject.cpp:1158
+#: uml1model/umlobject.cpp:1159
 #, kde-format
 msgid "Entity &name:"
 msgstr ""
 
-#: uml1model/umlobject.cpp:1161
+#: uml1model/umlobject.cpp:1162
 #, kde-format
 msgid "Enum &name:"
 msgstr "Enum 이름(&N):"
 
-#: uml1model/umlobject.cpp:1164
+#: uml1model/umlobject.cpp:1165
 #, fuzzy, kde-format
 #| msgid "Node name:"
 msgid "Folder &name:"
 msgstr "노드 이름:"
 
-#: uml1model/umlobject.cpp:1167
+#: uml1model/umlobject.cpp:1168
 #, kde-format
 msgid "Interface &name:"
 msgstr "인터페이스 이름(&N):"
 
-#: uml1model/umlobject.cpp:1170
+#: uml1model/umlobject.cpp:1171
 #, kde-format
 msgid "Node &name:"
 msgstr ""
 
-#: uml1model/umlobject.cpp:1173
+#: uml1model/umlobject.cpp:1174
 #, kde-format
 msgid "Package &name:"
 msgstr "패키지 이름(&N):"
 
-#: uml1model/umlobject.cpp:1176
+#: uml1model/umlobject.cpp:1177
 #, fuzzy, kde-format
 #| msgid "Actor &name:"
 msgid "Port &name:"
 msgstr "실행자 이름(&N):"
 
-#: uml1model/umlobject.cpp:1182
+#: uml1model/umlobject.cpp:1183
 #, kde-format
 msgid "Use case &name:"
 msgstr "조건 이름 사용(&N):"
 
-#: uml1model/umlobject.cpp:1185
+#: uml1model/umlobject.cpp:1186
 #, kde-format
 msgid "Instance name:"
 msgstr "인스턴스 이름:"
@@ -7938,42 +7938,42 @@ msgstr "스테레오형"
 msgid "Welcome"
 msgstr ""
 
-#: umldoc.cpp:112 umldoc.cpp:2400 umldoc.cpp:2428
+#: umldoc.cpp:113 umldoc.cpp:2405 umldoc.cpp:2433
 #, kde-format
 msgid "UML Model"
 msgstr ""
 
-#: umldoc.cpp:154
+#: umldoc.cpp:155
 #, kde-format
 msgid "Logical View"
 msgstr "논리적 뷰"
 
-#: umldoc.cpp:155
+#: umldoc.cpp:156
 #, kde-format
 msgid "Use Case View"
 msgstr "조건 뷰 사용"
 
-#: umldoc.cpp:156
+#: umldoc.cpp:157
 #, kde-format
 msgid "Component View"
 msgstr "요소 뷰"
 
-#: umldoc.cpp:157
+#: umldoc.cpp:158
 #, kde-format
 msgid "Deployment View"
 msgstr "전개 뷰"
 
-#: umldoc.cpp:158
+#: umldoc.cpp:159
 #, kde-format
 msgid "Entity Relationship Model"
 msgstr "관계 모델 항목"
 
-#: umldoc.cpp:184
+#: umldoc.cpp:185
 #, kde-format
 msgid "Datatypes"
 msgstr "데이타형"
 
-#: umldoc.cpp:363
+#: umldoc.cpp:364
 #, kde-format
 msgid ""
 "The current file has been modified.\n"
@@ -7982,299 +7982,299 @@ msgstr ""
 "현재 파일이 변경되었습니다.\n"
 "저장을 원하십니까?"
 
-#: umldoc.cpp:364
+#: umldoc.cpp:365
 #, kde-format
 msgctxt "warning message"
 msgid "Warning"
 msgstr ""
 
-#: umldoc.cpp:529
+#: umldoc.cpp:530
 #, kde-format
 msgid "The file <%1> does not exist."
 msgstr "파일 <%1>이(가) 없습니다."
 
-#: umldoc.cpp:541
+#: umldoc.cpp:542
 #, kde-format
 msgid "The file %1 does not exist."
 msgstr "파일 %1이(가) 없습니다."
 
-#: umldoc.cpp:568 umldoc.cpp:570
+#: umldoc.cpp:569 umldoc.cpp:571
 #, kde-format
 msgid "The file %1 seems to be corrupted."
 msgstr "파일 %1이(가) 잘못된 것 같습니다."
 
-#: umldoc.cpp:619 umldoc.cpp:622 umldoc.cpp:637 umldoc.cpp:640 umldoc.cpp:683
-#: umldoc.cpp:686
+#: umldoc.cpp:620 umldoc.cpp:623 umldoc.cpp:638 umldoc.cpp:641 umldoc.cpp:684
+#: umldoc.cpp:687
 #, kde-format
 msgid "There was no XMI file found in the compressed file %1."
 msgstr ""
 
-#: umldoc.cpp:664 umldoc.cpp:667
+#: umldoc.cpp:665 umldoc.cpp:668
 #, kde-format
 msgid "There was a problem loading the extracted file: %1"
 msgstr ""
 
-#: umldoc.cpp:701 umldoc.cpp:704 umldoc.cpp:744 umldoc.cpp:746
+#: umldoc.cpp:702 umldoc.cpp:705 umldoc.cpp:745 umldoc.cpp:747
 #, kde-format
 msgid "There was a problem loading file: %1"
 msgstr "파일을 불러오는 도중 문제가 있었습니다: %1"
 
-#: umldoc.cpp:749
+#: umldoc.cpp:750
 #, kde-format
 msgid "Reason: %1"
 msgstr ""
 
-#: umldoc.cpp:832 umldoc.cpp:834 umldoc.cpp:851 umldoc.cpp:853 umldoc.cpp:873
-#: umldoc.cpp:875 umldoc.cpp:924 umldoc.cpp:926 umldoc.cpp:966 umldoc.cpp:969
-#: umldoc.cpp:978 umldoc.cpp:980 umllistview.cpp:593
+#: umldoc.cpp:833 umldoc.cpp:835 umldoc.cpp:852 umldoc.cpp:854 umldoc.cpp:874
+#: umldoc.cpp:876 umldoc.cpp:925 umldoc.cpp:927 umldoc.cpp:968 umldoc.cpp:971
+#: umldoc.cpp:980 umldoc.cpp:982 umllistview.cpp:594
 #, kde-format
 msgid "Save Error"
 msgstr "저장 오류"
 
-#: umldoc.cpp:832 umldoc.cpp:851 umldoc.cpp:873 umldoc.cpp:924 umldoc.cpp:966
+#: umldoc.cpp:833 umldoc.cpp:852 umldoc.cpp:874 umldoc.cpp:925 umldoc.cpp:968
 #, fuzzy, kde-format
 #| msgid "There was a problem saving file: %1"
 msgid "There was a problem saving: %1"
 msgstr "파일을 저장하던 중 문제가 있었습니다: %1"
 
-#: umldoc.cpp:834 umldoc.cpp:853 umldoc.cpp:875 umldoc.cpp:926 umldoc.cpp:969
-#: umllistview.cpp:592 umlviewimageexportermodel.cpp:303
+#: umldoc.cpp:835 umldoc.cpp:854 umldoc.cpp:876 umldoc.cpp:927 umldoc.cpp:971
+#: umllistview.cpp:593 umlviewimageexportermodel.cpp:303
 #, kde-format
 msgid "There was a problem saving file: %1"
 msgstr "파일을 저장하던 중 문제가 있었습니다: %1"
 
-#: umldoc.cpp:978
+#: umldoc.cpp:980
 #, fuzzy, kde-format
 #| msgid "There was a problem uploading file: %1"
 msgid "There was a problem uploading: %1"
 msgstr "파일을 업로드 하던 중 문제가 있었습니다: %1"
 
-#: umldoc.cpp:980
+#: umldoc.cpp:982
 #, kde-format
 msgid "There was a problem uploading file: %1"
 msgstr "파일을 업로드 하던 중 문제가 있었습니다: %1"
 
-#: umldoc.cpp:1526
+#: umldoc.cpp:1528
 #, kde-format
 msgid "use case diagram"
 msgstr "조건 다이어그램 사용"
 
-#: umldoc.cpp:1529
+#: umldoc.cpp:1531
 #, kde-format
 msgid "class diagram"
 msgstr "클래스 다이어그램"
 
-#: umldoc.cpp:1532
+#: umldoc.cpp:1534
 #, kde-format
 msgid "sequence diagram"
 msgstr "순서 다이어그램"
 
-#: umldoc.cpp:1535
+#: umldoc.cpp:1537
 #, fuzzy, kde-format
 #| msgid "collaboration diagram"
 msgid "communication diagram"
 msgstr "협동 다이어그램"
 
-#: umldoc.cpp:1538
+#: umldoc.cpp:1540
 #, fuzzy, kde-format
 #| msgid "&Select diagrams"
 msgid "object diagram"
 msgstr "다이어그램 선택(&S)"
 
-#: umldoc.cpp:1541
+#: umldoc.cpp:1543
 #, kde-format
 msgid "state diagram"
 msgstr "상태 다이어그램"
 
-#: umldoc.cpp:1544
+#: umldoc.cpp:1546
 #, kde-format
 msgid "activity diagram"
 msgstr "작업 다이어그램"
 
-#: umldoc.cpp:1547
+#: umldoc.cpp:1549
 #, kde-format
 msgid "component diagram"
 msgstr "요소 다이어그램"
 
-#: umldoc.cpp:1550
+#: umldoc.cpp:1552
 #, kde-format
 msgid "deployment diagram"
 msgstr "전개 다이어그램"
 
-#: umldoc.cpp:1553
+#: umldoc.cpp:1555
 #, kde-format
 msgid "entity relationship diagram"
 msgstr "항목 관계 다이어그램"
 
-#: umldoc.cpp:1623
+#: umldoc.cpp:1625
 #, kde-format
 msgctxt "diagram name"
 msgid "Name"
 msgstr ""
 
-#: umldoc.cpp:1623 umldoc.cpp:1686 umldoc.cpp:1715 umldoc.cpp:1749
+#: umldoc.cpp:1625 umldoc.cpp:1688 umldoc.cpp:1717 umldoc.cpp:1751
 #, kde-format
 msgid "Enter name:"
 msgstr "이름 입력:"
 
-#: umldoc.cpp:1627 umldoc.cpp:1692
+#: umldoc.cpp:1629 umldoc.cpp:1694
 #, kde-format
 msgid "That is an invalid name for a diagram."
 msgstr "이것은 다이어그램에 유효하지 않은 이름입니다."
 
-#: umldoc.cpp:1629 umldoc.cpp:1699
+#: umldoc.cpp:1631 umldoc.cpp:1701
 #, kde-format
 msgid "A diagram is already using that name."
 msgstr "다이어그램이 그 이름을 이미 사용중입니다."
 
-#: umldoc.cpp:1685
+#: umldoc.cpp:1687
 #, kde-format
 msgctxt "renaming diagram"
 msgid "Name"
 msgstr ""
 
-#: umldoc.cpp:1714
+#: umldoc.cpp:1716
 #, kde-format
 msgctxt "renaming uml object"
 msgid "Name"
 msgstr ""
 
-#: umldoc.cpp:1748
+#: umldoc.cpp:1750
 #, kde-format
 msgctxt "renaming child uml object"
 msgid "Name"
 msgstr ""
 
-#: umldoc.cpp:1758
+#: umldoc.cpp:1760
 #, kde-format
 msgid ""
 "The name you entered was not unique.\n"
 "Is this what you wanted?"
 msgstr ""
 
-#: umldoc.cpp:1759
+#: umldoc.cpp:1761
 #, kde-format
 msgid "Use Name"
 msgstr ""
 
-#: umldoc.cpp:1759
+#: umldoc.cpp:1761
 #, kde-format
 msgid "Enter New Name"
 msgstr ""
 
-#: umldoc.cpp:2361
+#: umldoc.cpp:2366
 #, kde-format
 msgid "Unsupported xmi file version: %1"
 msgstr ""
 
-#: umldoc.cpp:2511
+#: umldoc.cpp:2516
 #, kde-format
 msgid "Setting up the document..."
 msgstr "문서 설정..."
 
-#: umldoc.cpp:2540
+#: umldoc.cpp:2545
 #, kde-format
 msgid "Resolving object references..."
 msgstr "객체 관계 분석중 ..."
 
-#: umldoc.cpp:2648
+#: umldoc.cpp:2653
 #, kde-format
 msgid "Loading UML elements..."
 msgstr "UML 요소 불러오는 중..."
 
-#: umldoc.cpp:2892
+#: umldoc.cpp:2899
 #, kde-format
 msgid "Loading diagrams..."
 msgstr "다이어그램 불러오는 중..."
 
-#: umldoc.cpp:3400
+#: umldoc.cpp:3409
 #, kde-format
 msgid "/autosave%1"
 msgstr "/자동저장%1"
 
-#: umllistview.cpp:536 umllistview.cpp:540
+#: umllistview.cpp:537 umllistview.cpp:541
 #, kde-format
 msgid "Externalize Folder"
 msgstr "Externalise Folder"
 
-#: umllistview.cpp:574
+#: umllistview.cpp:575
 #, kde-format
 msgid "Folder %1 must be relative to the main model directory, %2."
 msgstr ""
 
-#: umllistview.cpp:575
+#: umllistview.cpp:576
 #, kde-format
 msgid "Path Error"
 msgstr ""
 
-#: umllistview.cpp:583
+#: umllistview.cpp:584
 #, kde-format
 msgid ""
 "File %1 already exists!\n"
 "The existing file will be overwritten."
 msgstr ""
 
-#: umllistview.cpp:584
+#: umllistview.cpp:585
 #, kde-format
 msgid "File Exist"
 msgstr ""
 
-#: umllistview.cpp:624
+#: umllistview.cpp:625
 #, kde-format
 msgid "Enter Model Name"
 msgstr ""
 
-#: umllistview.cpp:625
+#: umllistview.cpp:626
 #, kde-format
 msgid "Enter the new name of the model:"
 msgstr ""
 
-#: umllistview.cpp:1422
+#: umllistview.cpp:1430
 #, kde-format
 msgid "Views"
 msgstr "뷰"
 
-#: umllistview.cpp:1441
+#: umllistview.cpp:1449
 #, fuzzy, kde-format
 #| msgid "Font Settings"
 msgid "Settings"
 msgstr "폰트 설정"
 
-#: umllistview.cpp:2413
+#: umllistview.cpp:2421
 #, kde-format
 msgid "Loading listview..."
 msgstr ""
 
-#: umllistview.cpp:2764
+#: umllistview.cpp:2772
 #, fuzzy, kde-format
 #| msgid "The folder must be emptied before it can be deleted."
 msgid "The class must be emptied before it can be deleted."
 msgstr "디렉터리를 지우기 위해선 먼저 비어있어야 합니다."
 
-#: umllistview.cpp:2765
+#: umllistview.cpp:2773
 #, fuzzy, kde-format
 #| msgid "Folder Not Empty"
 msgid "Class Not Empty"
 msgstr "디렉터리가 비어있지 않습니다"
 
-#: umllistview.cpp:2769
+#: umllistview.cpp:2777
 #, fuzzy, kde-format
 #| msgid "The folder must be emptied before it can be deleted."
 msgid "The package must be emptied before it can be deleted."
 msgstr "디렉터리를 지우기 위해선 먼저 비어있어야 합니다."
 
-#: umllistview.cpp:2770
+#: umllistview.cpp:2778
 #, fuzzy, kde-format
 #| msgid "Folder Not Empty"
 msgid "Package Not Empty"
 msgstr "디렉터리가 비어있지 않습니다"
 
-#: umllistview.cpp:2774
+#: umllistview.cpp:2782
 #, kde-format
 msgid "The folder must be emptied before it can be deleted."
 msgstr "디렉터리를 지우기 위해선 먼저 비어있어야 합니다."
 
-#: umllistview.cpp:2775
+#: umllistview.cpp:2783
 #, kde-format
 msgid "Folder Not Empty"
 msgstr "디렉터리가 비어있지 않습니다"
diff -pruN 4:20.08.3-1/po/lt/umbrello.po 4:20.12.0-0ubuntu1/po/lt/umbrello.po
--- 4:20.08.3-1/po/lt/umbrello.po	2020-11-03 00:42:16.000000000 +0000
+++ 4:20.12.0-0ubuntu1/po/lt/umbrello.po	2020-12-04 00:21:30.000000000 +0000
@@ -8,7 +8,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: umbrello\n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
-"POT-Creation-Date: 2020-08-14 08:09+0200\n"
+"POT-Creation-Date: 2020-11-06 02:36+0100\n"
 "PO-Revision-Date: 2015-12-29 16:00+0200\n"
 "Last-Translator: Mindaugas Baranauskas <opensuse.lietuviu.kalba@gmail.com>\n"
 "Language-Team: lt <kde-i18n-lt@kde.org>\n"
@@ -213,7 +213,7 @@ msgid ""
 "item of the same name already exists.  Any other items have been pasted."
 msgstr ""
 
-#: clipboard/umlclipboard.cpp:753 uml.cpp:1689
+#: clipboard/umlclipboard.cpp:753 uml.cpp:1698
 #, kde-format
 msgid "Paste Error"
 msgstr "Įterpimo klaida"
@@ -444,7 +444,7 @@ msgstr "<p align=\"center\">Žalia</p>"
 #. i18n: ectx: attribute (title), widget (QWidget, ui_tabGeneral)
 #: codegenerators/cpp/cppcodegenerationformbase.ui:51
 #: codegenwizard/codegenoptionspage.ui:39 dialogs/objectnodedialog.cpp:135
-#: umllistview.cpp:1451
+#: umllistview.cpp:1459
 #, kde-format
 msgid "General"
 msgstr "Bendri"
@@ -1311,7 +1311,7 @@ msgstr "Būsena"
 #. i18n: ectx: property (text), widget (QRadioButton, ui_categoryClass)
 #. i18n: ectx: property (text), widget (QTableWidget, ui_tableWidgetStatus)
 #: codegenwizard/codegenstatuspage.ui:40 codeimpwizard/codeimpstatuspage.ui:54
-#: dialogs/finddialog.ui:89 umllistview.cpp:1446 umlwidgets/widgetbase.cpp:1255
+#: dialogs/finddialog.ui:89 umllistview.cpp:1454 umlwidgets/widgetbase.cpp:1255
 #, kde-format
 msgid "Class"
 msgstr "Klasė"
@@ -1966,35 +1966,35 @@ msgstr ""
 msgid "Enable 'delete diagram' related messages"
 msgstr ""
 
-#: dialogs/dialog_utils.cpp:117
+#: dialogs/dialog_utils.cpp:118
 #, kde-format
 msgid "You are about to delete an association. Do you really want to continue?"
 msgstr ""
 
-#: dialogs/dialog_utils.cpp:118
+#: dialogs/dialog_utils.cpp:119
 #, fuzzy, kde-format
 #| msgid "&Attribute associations"
 msgid "Delete Association"
 msgstr "Atributų asociacijos"
 
-#: dialogs/dialog_utils.cpp:132
+#: dialogs/dialog_utils.cpp:133
 #, kde-format
 msgid ""
 "You are about to delete the entire diagram.\n"
 "Are you sure?"
 msgstr ""
 
-#: dialogs/dialog_utils.cpp:133
+#: dialogs/dialog_utils.cpp:134
 #, kde-format
 msgid "Are you sure you want to delete diagram %1?"
 msgstr ""
 
-#: dialogs/dialog_utils.cpp:138
+#: dialogs/dialog_utils.cpp:139
 #, kde-format
 msgid "Delete Diagram?"
 msgstr ""
 
-#: dialogs/dialog_utils.cpp:139 dialogs/pages/classifierlistpage.cpp:215
+#: dialogs/dialog_utils.cpp:140 dialogs/pages/classifierlistpage.cpp:215
 #: dialogs/pages/classifierlistpage.cpp:223
 #: dialogs/umlforeignkeyconstraintdialog.cpp:325
 #: dialogs/umlforeignkeyconstraintdialog.cpp:331
@@ -2155,7 +2155,7 @@ msgstr "Bendri"
 #. i18n: ectx: label, entry (uiFont), group (UI Options)
 #. i18n: ectx: label, entry (codeViewerFont), group (Code Viewer Options)
 #: dialogs/multipagedialogbase.cpp:405 umbrello.kcfg:177 umbrello.kcfg:292
-#: umllistview.cpp:1450
+#: umllistview.cpp:1458
 #, kde-format
 msgid "Font"
 msgstr "Šriftas"
@@ -2576,7 +2576,7 @@ msgstr "Naujas atributas..."
 
 #: dialogs/pages/classifierlistpage.cpp:217
 #: dialogs/pages/classifierlistpage.cpp:225 dialogs/umloperationdialog.cpp:167
-#: dialogs/umloperationdialog.cpp:175 uml.cpp:554
+#: dialogs/umloperationdialog.cpp:175 uml.cpp:563
 #, kde-format
 msgid "&Properties"
 msgstr "&Savybės"
@@ -2594,7 +2594,7 @@ msgid "Source Code"
 msgstr "Išeities kodas"
 
 #: dialogs/pages/classoptionspage.cpp:157
-#: dialogs/pages/classoptionspage.cpp:251 uml.cpp:509
+#: dialogs/pages/classoptionspage.cpp:251 uml.cpp:518
 #, kde-format
 msgid "&Documentation"
 msgstr "&Dokumentacija"
@@ -2782,8 +2782,8 @@ msgstr ""
 #: uml1model/classifier.cpp:410 uml1model/classifier.cpp:781
 #: uml1model/entity.cpp:125 uml1model/entity.cpp:178 uml1model/entity.cpp:228
 #: uml1model/entity.cpp:277 uml1model/enum.cpp:107 uml1model/instance.cpp:124
-#: uml1model/package.cpp:172 umldoc.cpp:1627 umldoc.cpp:1692 umldoc.cpp:1721
-#: umldoc.cpp:1755
+#: uml1model/package.cpp:178 umldoc.cpp:1629 umldoc.cpp:1694 umldoc.cpp:1723
+#: umldoc.cpp:1757
 #, kde-format
 msgid "Invalid Name"
 msgstr ""
@@ -2793,7 +2793,7 @@ msgstr ""
 msgid "The name you have entered is not unique."
 msgstr ""
 
-#: dialogs/pages/diagrampropertiespage.cpp:86 umldoc.cpp:1759
+#: dialogs/pages/diagrampropertiespage.cpp:86 umldoc.cpp:1761
 #, kde-format
 msgid "Name Not Unique"
 msgstr ""
@@ -3265,7 +3265,7 @@ msgstr "&Grafikas"
 msgid "Umbrello Setup"
 msgstr ""
 
-#: dialogs/settingsdialog.cpp:114 umllistview.cpp:1452
+#: dialogs/settingsdialog.cpp:114 umllistview.cpp:1460
 #, kde-format
 msgid "User Interface"
 msgstr "Naudotojo sąsaja"
@@ -3292,7 +3292,7 @@ msgstr "Klasė"
 msgid "Class Settings"
 msgstr "Klasės nuostatos"
 
-#: dialogs/settingsdialog.cpp:137 umllistview.cpp:1447
+#: dialogs/settingsdialog.cpp:137 umllistview.cpp:1455
 #, kde-format
 msgid "Code Importer"
 msgstr "Kodo importavimo programa"
@@ -3302,7 +3302,7 @@ msgstr "Kodo importavimo programa"
 msgid "Code Import Settings"
 msgstr "Kodo importavimo nuostatos"
 
-#: dialogs/settingsdialog.cpp:146 umllistview.cpp:1448
+#: dialogs/settingsdialog.cpp:146 umllistview.cpp:1456
 #, kde-format
 msgid "Code Generation"
 msgstr ""
@@ -3312,7 +3312,7 @@ msgstr ""
 msgid "Code Generation Settings"
 msgstr ""
 
-#: dialogs/settingsdialog.cpp:154 umllistview.cpp:1449
+#: dialogs/settingsdialog.cpp:154 umllistview.cpp:1457
 #, kde-format
 msgid "Code Viewer"
 msgstr ""
@@ -3322,7 +3322,7 @@ msgstr ""
 msgid "Code Viewer Settings"
 msgstr ""
 
-#: dialogs/settingsdialog.cpp:161 umllistview.cpp:1445
+#: dialogs/settingsdialog.cpp:161 umllistview.cpp:1453
 #, kde-format
 msgid "Auto Layout"
 msgstr ""
@@ -3961,7 +3961,7 @@ msgstr "&Tipas:"
 msgid "Package path:"
 msgstr "Paketo kelias:"
 
-#: dialogs/widgets/umlstereotypewidget.cpp:29 uml1model/umlobject.cpp:1179
+#: dialogs/widgets/umlstereotypewidget.cpp:29 uml1model/umlobject.cpp:1180
 #, fuzzy, kde-format
 #| msgid "Stereotypes"
 msgid "Stereotype &name:"
@@ -4106,7 +4106,7 @@ msgstr ""
 msgid "Gael de Chalendar (aka Kleag)"
 msgstr "Gael de Chalendar aka Kleag"
 
-#: docgenerators/main.cpp:56 main.cpp:131
+#: docgenerators/main.cpp:56 main.cpp:133
 #, kde-format
 msgid "Umbrello UML Modeller Authors"
 msgstr ""
@@ -4168,12 +4168,12 @@ msgstr ""
 msgid "Apply layout"
 msgstr ""
 
-#: main.cpp:121
+#: main.cpp:123
 #, kde-format
 msgid "Umbrello UML Modeller"
 msgstr ""
 
-#: main.cpp:123
+#: main.cpp:125
 #, kde-format
 msgid ""
 "Umbrello – Visual development environment for software, based on the "
@@ -4181,117 +4181,117 @@ msgid ""
 "\"http://www.omg.org/spec/\">http://www.omg.org/spec/</a>."
 msgstr ""
 
-#: main.cpp:127
+#: main.cpp:129
 #, kde-format
 msgid ""
 "Copyright © 2001 Paul Hensgen,\n"
 "Copyright © 2002-2020 Umbrello UML Modeller Authors"
 msgstr ""
 
-#: main.cpp:130
+#: main.cpp:132
 #, kde-format
 msgid "Paul Hensgen"
 msgstr ""
 
-#: main.cpp:130
+#: main.cpp:132
 #, kde-format
 msgid "Author of initial version."
 msgstr ""
 
-#: main.cpp:134
+#: main.cpp:136
 #, kde-format
 msgid "Oliver Kellogg"
 msgstr ""
 
-#: main.cpp:135 main.cpp:138
+#: main.cpp:137 main.cpp:140
 #, kde-format
 msgid "Bug fixing, porting work, code cleanup, new features."
 msgstr ""
 
-#: main.cpp:137
+#: main.cpp:139
 #, kde-format
 msgid "Ralf Habacker"
 msgstr ""
 
-#: main.cpp:140
+#: main.cpp:142
 #, kde-format
 msgid "Andi Fischer"
 msgstr ""
 
-#: main.cpp:141
+#: main.cpp:143
 #, kde-format
 msgid "Porting work, code cleanup, new features."
 msgstr ""
 
-#: main.cpp:143
+#: main.cpp:145
 #, kde-format
 msgid "Jonathan Riddell"
 msgstr ""
 
-#: main.cpp:144
+#: main.cpp:146
 #, kde-format
 msgid "Current maintainer."
 msgstr ""
 
-#: main.cpp:146
+#: main.cpp:148
 #, kde-format
 msgid "Brian Thomas"
 msgstr ""
 
-#: main.cpp:147
+#: main.cpp:149
 #, kde-format
 msgid "A lot of work for C++ and Java code generation. Codeeditor."
 msgstr ""
 
-#: main.cpp:152
+#: main.cpp:154
 #, kde-format
 msgid "File to open"
 msgstr "Atidaryti failą"
 
-#: main.cpp:153
+#: main.cpp:155
 #, kde-format
 msgid "export diagrams to extension and exit"
 msgstr ""
 
-#: main.cpp:154
+#: main.cpp:156
 #, kde-format
 msgid "list available export extensions"
 msgstr ""
 
-#: main.cpp:155
+#: main.cpp:157
 #, kde-format
 msgid "the local directory to save the exported diagrams in"
 msgstr ""
 
-#: main.cpp:155
+#: main.cpp:157
 #, fuzzy, kde-format
 msgid "the directory of the file"
 msgstr "Pakeisti &slapyvardį..."
 
-#: main.cpp:156
+#: main.cpp:158
 #, fuzzy, kde-format
 msgid "import files"
 msgstr "Išeinama..."
 
-#: main.cpp:157
+#: main.cpp:159
 #, fuzzy, kde-format
 #| msgid "All Supported Files"
 msgid "list supported languages"
 msgstr "Visi palaikomi failai"
 
-#: main.cpp:158
+#: main.cpp:160
 #, kde-format
 msgid ""
 "keep the tree structure used to store the views in the document in the "
 "target directory"
 msgstr ""
 
-#: main.cpp:159
+#: main.cpp:161
 #, fuzzy, kde-format
 msgid "import files from directory <dir>"
 msgstr "h3>Importuoti egzistuojantį projektą...</h"
 
-#: main.cpp:163
+#: main.cpp:165
 #, fuzzy, kde-format
 #| msgid "All Supported Files"
 msgid "set active language"
@@ -4562,7 +4562,7 @@ msgstr ""
 msgid "Import File(s)..."
 msgstr "Importuoti failą)..."
 
-#: menus/listpopupmenu.cpp:201 uml.cpp:356
+#: menus/listpopupmenu.cpp:201 uml.cpp:365
 #, fuzzy, kde-format
 msgid "Import from Directory..."
 msgstr "h3>Importuoti egzistuojantį projektą...</h"
@@ -5080,42 +5080,42 @@ msgctxt "align menu"
 msgid "Align"
 msgstr "Lygiuotė"
 
-#: menus/widgetbasepopupmenu.cpp:598 uml.cpp:573
+#: menus/widgetbasepopupmenu.cpp:598 uml.cpp:582
 #, kde-format
 msgid "Align Right"
 msgstr "Lygiuoti dešinėje"
 
-#: menus/widgetbasepopupmenu.cpp:599 uml.cpp:578
+#: menus/widgetbasepopupmenu.cpp:599 uml.cpp:587
 #, kde-format
 msgid "Align Left"
 msgstr "Lygiuoti kairėje"
 
-#: menus/widgetbasepopupmenu.cpp:600 uml.cpp:583
+#: menus/widgetbasepopupmenu.cpp:600 uml.cpp:592
 #, kde-format
 msgid "Align Top"
 msgstr "Lygiuoti į viršų"
 
-#: menus/widgetbasepopupmenu.cpp:601 uml.cpp:588
+#: menus/widgetbasepopupmenu.cpp:601 uml.cpp:597
 #, kde-format
 msgid "Align Bottom"
 msgstr "Lygiuoti į apačią"
 
-#: menus/widgetbasepopupmenu.cpp:603 uml.cpp:593
+#: menus/widgetbasepopupmenu.cpp:603 uml.cpp:602
 #, kde-format
 msgid "Align Vertical Middle"
 msgstr ""
 
-#: menus/widgetbasepopupmenu.cpp:604 uml.cpp:598
+#: menus/widgetbasepopupmenu.cpp:604 uml.cpp:607
 #, kde-format
 msgid "Align Horizontal Middle"
 msgstr ""
 
-#: menus/widgetbasepopupmenu.cpp:605 uml.cpp:603
+#: menus/widgetbasepopupmenu.cpp:605 uml.cpp:612
 #, kde-format
 msgid "Align Vertical Distribute"
 msgstr ""
 
-#: menus/widgetbasepopupmenu.cpp:606 uml.cpp:608
+#: menus/widgetbasepopupmenu.cpp:606 uml.cpp:617
 #, fuzzy, kde-format
 msgid "Align Horizontal Distribute"
 msgstr "Apsukti horizontaliai"
@@ -5990,8 +5990,8 @@ msgstr "Pranešimas"
 #: object_factory.cpp:251 uml1model/classifier.cpp:410
 #: uml1model/classifier.cpp:781 uml1model/entity.cpp:125
 #: uml1model/entity.cpp:178 uml1model/entity.cpp:228 uml1model/entity.cpp:277
-#: uml1model/enum.cpp:107 uml1model/instance.cpp:124 uml1model/package.cpp:171
-#: umldoc.cpp:1721 umldoc.cpp:1755
+#: uml1model/enum.cpp:107 uml1model/instance.cpp:124 uml1model/package.cpp:177
+#: umldoc.cpp:1723 umldoc.cpp:1757
 #, kde-format
 msgid "That is an invalid name."
 msgstr ""
@@ -6010,7 +6010,7 @@ msgstr ""
 #: object_factory.cpp:264 uml1model/classifier.cpp:413
 #: uml1model/classifier.cpp:783 uml1model/entity.cpp:127
 #: uml1model/entity.cpp:180 uml1model/entity.cpp:230 uml1model/entity.cpp:279
-#: uml1model/instance.cpp:126 umldoc.cpp:1727 umldoc.cpp:1764
+#: uml1model/instance.cpp:126 umldoc.cpp:1729 umldoc.cpp:1766
 #, kde-format
 msgid "That name is already being used."
 msgstr ""
@@ -6018,8 +6018,8 @@ msgstr ""
 #: object_factory.cpp:265 uml1model/classifier.cpp:413
 #: uml1model/classifier.cpp:783 uml1model/entity.cpp:127
 #: uml1model/entity.cpp:180 uml1model/entity.cpp:230 uml1model/entity.cpp:279
-#: uml1model/instance.cpp:126 umldoc.cpp:1629 umldoc.cpp:1699 umldoc.cpp:1727
-#: umldoc.cpp:1764
+#: uml1model/instance.cpp:126 umldoc.cpp:1631 umldoc.cpp:1701 umldoc.cpp:1729
+#: umldoc.cpp:1766
 #, kde-format
 msgid "Not a Unique Name"
 msgstr ""
@@ -6080,12 +6080,12 @@ msgstr ""
 msgid "Choose a different name."
 msgstr "Pasirinkite kitą vardą."
 
-#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:266
+#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:273
 #, kde-format
 msgid "Incorrect use of associations."
 msgstr ""
 
-#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:266
+#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:273
 #, kde-format
 msgid "Association Error"
 msgstr ""
@@ -7271,139 +7271,139 @@ msgstr "Visi palaikomi failai"
 msgid "&Settings"
 msgstr "&Nuostatos"
 
-#: uml.cpp:332
+#: uml.cpp:341
 #, kde-format
 msgid "&Export model to DocBook"
 msgstr ""
 
-#: uml.cpp:336
+#: uml.cpp:345
 #, kde-format
 msgid "&Export model to XHTML"
 msgstr ""
 
-#: uml.cpp:340
+#: uml.cpp:349
 #, kde-format
 msgid "&New Class Wizard..."
 msgstr ""
 
-#: uml.cpp:344
+#: uml.cpp:353
 #, kde-format
 msgid "&Add Default Datatypes for Active Language"
 msgstr ""
 
-#: uml.cpp:351
+#: uml.cpp:360
 #, fuzzy, kde-format
 msgid "Code &Importing Wizard..."
 msgstr "Importuojama ..."
 
-#: uml.cpp:361
+#: uml.cpp:370
 #, kde-format
 msgid "&Code Generation Wizard..."
 msgstr ""
 
-#: uml.cpp:366
+#: uml.cpp:375
 #, kde-format
 msgid "&Generate All Code"
 msgstr ""
 
-#: uml.cpp:411
+#: uml.cpp:420
 #, kde-format
 msgid "Creates a new document"
 msgstr "Sukurs naują dokumentą"
 
-#: uml.cpp:412
+#: uml.cpp:421
 #, kde-format
 msgid "Opens an existing document"
 msgstr "Atvers esantį dokumentą"
 
-#: uml.cpp:413
+#: uml.cpp:422
 #, kde-format
 msgid "Opens a recently used file"
 msgstr "Atvers paskutinį naudotą dokumentą"
 
-#: uml.cpp:414
+#: uml.cpp:423
 #, kde-format
 msgid "Saves the document"
 msgstr ""
 
-#: uml.cpp:415
+#: uml.cpp:424
 #, kde-format
 msgid "Saves the document as..."
 msgstr ""
 
-#: uml.cpp:416
+#: uml.cpp:425
 #, kde-format
 msgid "Closes the document"
 msgstr ""
 
-#: uml.cpp:417
+#: uml.cpp:426
 #, kde-format
 msgid "Prints out the document"
 msgstr ""
 
-#: uml.cpp:418
+#: uml.cpp:427
 #, kde-format
 msgid "Print Preview of the document"
 msgstr ""
 
-#: uml.cpp:419
+#: uml.cpp:428
 #, kde-format
 msgid "Quits the application"
 msgstr "Baigs programos darbą"
 
-#: uml.cpp:420
+#: uml.cpp:429
 #, kde-format
 msgid "Exports the model to the docbook format"
 msgstr ""
 
-#: uml.cpp:421
+#: uml.cpp:430
 #, kde-format
 msgid "Exports the model to the XHTML format"
 msgstr ""
 
-#: uml.cpp:422
+#: uml.cpp:431
 #, kde-format
 msgid "Cuts the selected section and puts it to the clipboard"
 msgstr "Iškirps pažymėtą sritį ir padės į talpyklą"
 
-#: uml.cpp:423
+#: uml.cpp:432
 #, kde-format
 msgid "Copies the selected section to the clipboard"
 msgstr "Nukopijuos pažymėtą sritį į talpyklą"
 
-#: uml.cpp:424
+#: uml.cpp:433
 #, kde-format
 msgid "Pastes the contents of the clipboard"
 msgstr ""
 
-#: uml.cpp:425
+#: uml.cpp:434
 #, kde-format
 msgid "Set the default program preferences"
 msgstr ""
 
-#: uml.cpp:429
+#: uml.cpp:438
 #, kde-format
 msgctxt "delete selected widget"
 msgid "Delete &Selected"
 msgstr "Trinti pažymėtus"
 
-#: uml.cpp:440
+#: uml.cpp:449
 #, kde-format
 msgid "&Class Diagram..."
 msgstr ""
 
-#: uml.cpp:447
+#: uml.cpp:456
 #, fuzzy, kde-format
 #| msgid "&Delete Diagram"
 msgid "&Object Diagram..."
 msgstr "&Ištrinti grafiką"
 
-#: uml.cpp:454
+#: uml.cpp:463
 #, kde-format
 msgid "&Sequence Diagram..."
 msgstr ""
 
-#: uml.cpp:460
+#: uml.cpp:469
 #, fuzzy, kde-format
 msgid "C&ommunication Diagram..."
 msgstr ""
@@ -7413,52 +7413,52 @@ msgstr ""
 "#-#-#-#-#  kbugbuster.po (kbugbuster)  #-#-#-#-#\n"
 "#-#-#-#-#  kres_bugzilla.po (kres_bugzilla)  #-#-#-#-#\n"
 
-#: uml.cpp:466
+#: uml.cpp:475
 #, kde-format
 msgid "&Use Case Diagram..."
 msgstr ""
 
-#: uml.cpp:472
+#: uml.cpp:481
 #, kde-format
 msgid "S&tate Diagram..."
 msgstr ""
 
-#: uml.cpp:478
+#: uml.cpp:487
 #, kde-format
 msgid "&Activity Diagram..."
 msgstr ""
 
-#: uml.cpp:484
+#: uml.cpp:493
 #, kde-format
 msgid "Co&mponent Diagram..."
 msgstr ""
 
-#: uml.cpp:490
+#: uml.cpp:499
 #, kde-format
 msgid "&Deployment Diagram..."
 msgstr ""
 
-#: uml.cpp:496
+#: uml.cpp:505
 #, kde-format
 msgid "&Entity Relationship Diagram..."
 msgstr ""
 
-#: uml.cpp:501 uml.cpp:954
+#: uml.cpp:510 uml.cpp:963
 #, kde-format
 msgid "&Tree View"
 msgstr "Rody&ti medį"
 
-#: uml.cpp:505
+#: uml.cpp:514
 #, kde-format
 msgid "&Debugging"
 msgstr "&Derinimas"
 
-#: uml.cpp:513
+#: uml.cpp:522
 #, kde-format
 msgid "&Logging"
 msgstr "&Žurnalai"
 
-#: uml.cpp:517
+#: uml.cpp:526
 #, kde-format
 msgid "&Command history"
 msgstr ""
@@ -7467,136 +7467,136 @@ msgstr ""
 #. m_propertyDock->setObjectName(QLatin1String("PropertyDock"));
 #. addDockWidget(Qt::LeftDockWidgetArea, m_propertyDock);  //:TODO:
 #. create the bird's eye view
-#: uml.cpp:521 uml.cpp:1011
+#: uml.cpp:530 uml.cpp:1020
 #, kde-format
 msgid "&Bird's eye view"
 msgstr ""
 
-#: uml.cpp:526
+#: uml.cpp:535
 #, kde-format
 msgid "&Clear Diagram"
 msgstr ""
 
-#: uml.cpp:530
+#: uml.cpp:539
 #, kde-format
 msgid "&Snap to Grid"
 msgstr "&Pritraukti prie tinklelio"
 
-#: uml.cpp:534
+#: uml.cpp:543
 #, kde-format
 msgid "S&how Grid"
 msgstr "Rodyti tinklelį"
 
-#: uml.cpp:539
+#: uml.cpp:548
 #, kde-format
 msgid "&Delete Diagram"
 msgstr "&Ištrinti grafiką"
 
-#: uml.cpp:544
+#: uml.cpp:553
 #, kde-format
 msgid "&Export as Picture..."
 msgstr ""
 
-#: uml.cpp:549
+#: uml.cpp:558
 #, fuzzy, kde-format
 msgid "Export &Diagrams as Pictures..."
 msgstr "Eksportuoti kalendorių kaip žiniatinklio puslapį"
 
-#: uml.cpp:569
+#: uml.cpp:578
 #, fuzzy, kde-format
 msgid "Z&oom to 100%"
 msgstr "Mastelis 100%"
 
-#: uml.cpp:612
+#: uml.cpp:621
 #, kde-format
 msgid "&Move Tab Left"
 msgstr "&Perkelti kortelę į kairę"
 
-#: uml.cpp:613
+#: uml.cpp:622
 #, kde-format
 msgid "&Move Tab Right"
 msgstr "&Perkelti kortelę į dešinę"
 
-#: uml.cpp:636
+#: uml.cpp:645
 #, kde-format
 msgid "Select Diagram on Left"
 msgstr ""
 
-#: uml.cpp:637
+#: uml.cpp:646
 #, kde-format
 msgid "Select Diagram on Right"
 msgstr ""
 
-#: uml.cpp:776
+#: uml.cpp:785
 #, kde-format
 msgctxt "%1 percent value from 20 to 500"
 msgid " &%1%"
 msgstr ""
 
-#: uml.cpp:826
+#: uml.cpp:835
 #, kde-format
 msgctxt "init status bar"
 msgid "Ready"
 msgstr "Pasiruošęs"
 
-#: uml.cpp:835 uml.cpp:848
+#: uml.cpp:844 uml.cpp:857
 #, kde-format
 msgid "100%"
 msgstr ""
 
-#: uml.cpp:840
+#: uml.cpp:849
 #, fuzzy, kde-format
 #| msgid "Filter"
 msgid "Fit"
 msgstr "Filtras"
 
-#: uml.cpp:899
+#: uml.cpp:908
 #, kde-format
 msgid "Diagram Toolbar"
 msgstr ""
 
-#: uml.cpp:965
+#: uml.cpp:974
 #, kde-format
 msgid "Doc&umentation"
 msgstr "Dokumentacija"
 
-#: uml.cpp:976
+#: uml.cpp:985
 #, kde-format
 msgid "Co&mmand history"
 msgstr ""
 
-#: uml.cpp:992
+#: uml.cpp:1001
 #, kde-format
 msgid "&Debug"
 msgstr "&Derinti"
 
-#: uml.cpp:999
+#: uml.cpp:1008
 #, kde-format
 msgid "&Log"
 msgstr "Žur&nalai"
 
-#: uml.cpp:1041 uml.cpp:1258 uml.cpp:1307
+#: uml.cpp:1050 uml.cpp:1267 uml.cpp:1316
 #, kde-format
 msgid "Opening file..."
 msgstr "Atidaromas failas..."
 
-#: uml.cpp:1092 uml.cpp:1157 uml.cpp:1342 umldoc.cpp:342 umldoc.cpp:344
-#: umldoc.cpp:368 umldoc.cpp:3396
+#: uml.cpp:1101 uml.cpp:1166 uml.cpp:1351 umldoc.cpp:343 umldoc.cpp:345
+#: umldoc.cpp:369 umldoc.cpp:3405
 #, kde-format
 msgid "Untitled"
 msgstr "Be pavadinimo"
 
-#: uml.cpp:1240
+#: uml.cpp:1249
 #, kde-format
 msgid "Creating new document..."
 msgstr "Sukuriamas naujas dokumentas..."
 
-#: uml.cpp:1266 uml.cpp:1281
+#: uml.cpp:1275 uml.cpp:1290
 #, kde-format
 msgid "Open File"
 msgstr "Atverti failą"
 
-#: uml.cpp:1270
+#: uml.cpp:1279
 #, kde-format
 msgid ""
 "*.xmi *.xmi.tgz *.xmi.tar.bz2 *.mdl *.zargo|All Supported Files (*.xmi, *."
@@ -7608,29 +7608,29 @@ msgid ""
 "*.zargo|Compressed argo Files(*.zargo)\n"
 msgstr ""
 
-#: uml.cpp:1341
+#: uml.cpp:1350
 #, kde-format
 msgid "Saving file..."
 msgstr "Išsaugojamas failas..."
 
-#: uml.cpp:1358
+#: uml.cpp:1367
 #, kde-format
 msgid "Saving file with a new filename..."
 msgstr "Išsaugojamas failas nauju vardu..."
 
-#: uml.cpp:1368 uml.cpp:1374 umlviewimageexporter.cpp:199
+#: uml.cpp:1377 uml.cpp:1383 umlviewimageexporter.cpp:199
 #, kde-format
 msgid "Save As"
 msgstr "Įrašyti kaip"
 
-#: uml.cpp:1369
+#: uml.cpp:1378
 #, kde-format
 msgid ""
 "*.xmi | XMI File (*.xmi);;*.xmi.tgz | Gzip Compressed XMI File (*.xmi.tgz);;"
 "*.xmi.tar.bz2 | Bzip2 Compressed XMI File (*.xmi.tar.bz2);;* | All Files (*)"
 msgstr ""
 
-#: uml.cpp:1374
+#: uml.cpp:1383
 #, kde-format
 msgid ""
 "*.xmi|XMI File\n"
@@ -7639,112 +7639,112 @@ msgid ""
 "*|All Files"
 msgstr ""
 
-#: uml.cpp:1387
+#: uml.cpp:1396
 #, kde-format
 msgid ""
 "The file %1 exists.\n"
 "Do you wish to overwrite it?"
 msgstr ""
 
-#: uml.cpp:1388
+#: uml.cpp:1397
 #, kde-format
 msgid "Warning"
 msgstr "Dėmesio"
 
-#: uml.cpp:1388
+#: uml.cpp:1397
 #, kde-format
 msgid "Overwrite"
 msgstr "Perrašyti"
 
-#: uml.cpp:1422
+#: uml.cpp:1431
 #, kde-format
 msgid "Closing file..."
 msgstr "Failas uždaromas..."
 
-#: uml.cpp:1432
+#: uml.cpp:1441
 #, kde-format
 msgid "No search term entered"
 msgstr ""
 
-#: uml.cpp:1438
+#: uml.cpp:1447
 #, kde-format
 msgid "'%1': %2 found"
 msgstr ""
 
-#: uml.cpp:1502
+#: uml.cpp:1511
 #, kde-format
 msgid "Print Preview..."
 msgstr "Spausdinimo peržiūra..."
 
-#: uml.cpp:1529
+#: uml.cpp:1538
 #, kde-format
 msgid "Printing..."
 msgstr "Spausdinama..."
 
-#: uml.cpp:1536 uml.cpp:1540
+#: uml.cpp:1545 uml.cpp:1549
 #, kde-format
 msgid "Print %1"
 msgstr "Spausdinti %1"
 
-#: uml.cpp:1560
+#: uml.cpp:1569
 #, kde-format
 msgid "Exiting..."
 msgstr "Išeinama..."
 
-#: uml.cpp:1647
+#: uml.cpp:1656
 #, kde-format
 msgid "Cutting selection..."
 msgstr "Iškerpamas žymėjimas..."
 
-#: uml.cpp:1670
+#: uml.cpp:1679
 #, kde-format
 msgid "Copying selection to clipboard..."
 msgstr "Kopijuojama pažymėtą vietą į talpyklę..."
 
-#: uml.cpp:1682
+#: uml.cpp:1691
 #, kde-format
 msgid "Inserting clipboard contents..."
 msgstr "Įterpiamas talpyklės turinys..."
 
-#: uml.cpp:1687
+#: uml.cpp:1696
 #, kde-format
 msgid ""
 "Umbrello could not paste the clipboard contents.  The objects in the "
 "clipboard may be of the wrong type to be pasted here."
 msgstr ""
 
-#: uml.cpp:1713 umlviewimageexporter.cpp:92 umlviewimageexporterall.cpp:123
+#: uml.cpp:1722 umlviewimageexporter.cpp:92 umlviewimageexporterall.cpp:123
 #, kde-format
 msgctxt "reset status bar"
 msgid "Ready."
 msgstr "Pasirengęs."
 
-#: uml.cpp:2246
+#: uml.cpp:2255
 #, kde-format
 msgid "Cannot view code until you generate some first."
 msgstr ""
 
-#: uml.cpp:2246 uml.cpp:2249
+#: uml.cpp:2255 uml.cpp:2258
 #, kde-format
 msgid "Cannot View Code"
 msgstr ""
 
-#: uml.cpp:2249
+#: uml.cpp:2258
 #, kde-format
 msgid "Cannot view code from simple code writer."
 msgstr ""
 
-#: uml.cpp:2714 uml.cpp:2716
+#: uml.cpp:2728 uml.cpp:2730
 #, kde-format
 msgid "Select file(s) to import:"
 msgstr ""
 
-#: uml.cpp:2747 uml.cpp:2749
+#: uml.cpp:2761 uml.cpp:2763
 #, kde-format
 msgid "Select directory to import:"
 msgstr ""
 
-#: uml.cpp:3313
+#: uml.cpp:3335
 #, kde-format
 msgid "XHTML Generation failed ."
 msgstr ""
@@ -7756,20 +7756,20 @@ msgid ""
 "it again."
 msgstr ""
 
-#: uml1model/folder.cpp:435
+#: uml1model/folder.cpp:436
 #, fuzzy, kde-format
 msgid "The folderfile %1 does not exist."
 msgstr "Failo %1 nėra"
 
-#: uml1model/folder.cpp:435 uml1model/folder.cpp:439 umldoc.cpp:529
-#: umldoc.cpp:541 umldoc.cpp:568 umldoc.cpp:570 umldoc.cpp:620 umldoc.cpp:623
-#: umldoc.cpp:638 umldoc.cpp:641 umldoc.cpp:665 umldoc.cpp:668 umldoc.cpp:684
-#: umldoc.cpp:687 umldoc.cpp:702 umldoc.cpp:705 umldoc.cpp:750
+#: uml1model/folder.cpp:436 uml1model/folder.cpp:440 umldoc.cpp:530
+#: umldoc.cpp:542 umldoc.cpp:569 umldoc.cpp:571 umldoc.cpp:621 umldoc.cpp:624
+#: umldoc.cpp:639 umldoc.cpp:642 umldoc.cpp:666 umldoc.cpp:669 umldoc.cpp:685
+#: umldoc.cpp:688 umldoc.cpp:703 umldoc.cpp:706 umldoc.cpp:751
 #, kde-format
 msgid "Load Error"
 msgstr "Įkėlimo klaida"
 
-#: uml1model/folder.cpp:439
+#: uml1model/folder.cpp:440
 #, fuzzy, kde-format
 msgid "The folderfile %1 cannot be opened."
 msgstr "Šis failas negali būti atidaryta."
@@ -7779,13 +7779,13 @@ msgstr "Šis failas negali būti atidary
 msgid "new_parameter"
 msgstr ""
 
-#: uml1model/package.cpp:163
+#: uml1model/package.cpp:169
 #, kde-format
 msgctxt "object name"
 msgid "Name"
 msgstr "Pavadinimas"
 
-#: uml1model/package.cpp:164
+#: uml1model/package.cpp:170
 #, kde-format
 msgid ""
 "An object with the name %1\n"
@@ -7808,80 +7808,80 @@ msgstr ""
 msgid "new_fkey_constraint"
 msgstr ""
 
-#: uml1model/umlobject.cpp:1140
+#: uml1model/umlobject.cpp:1141
 #, kde-format
 msgid "Actor &name:"
 msgstr "Aktoriaus vardas:"
 
-#: uml1model/umlobject.cpp:1143
+#: uml1model/umlobject.cpp:1144
 #, kde-format
 msgid "Artifact &name:"
 msgstr ""
 
-#: uml1model/umlobject.cpp:1146
+#: uml1model/umlobject.cpp:1147
 #, fuzzy, kde-format
 #| msgid "Actor &name:"
 msgid "Association &name:"
 msgstr "Aktoriaus vardas:"
 
-#: uml1model/umlobject.cpp:1149
+#: uml1model/umlobject.cpp:1150
 #, kde-format
 msgid "Class &name:"
 msgstr "Klasės vardas:"
 
-#: uml1model/umlobject.cpp:1152
+#: uml1model/umlobject.cpp:1153
 #, kde-format
 msgid "Component &name:"
 msgstr "Komponento pavadinimas:"
 
-#: uml1model/umlobject.cpp:1155
+#: uml1model/umlobject.cpp:1156
 #, kde-format
 msgid "Datatype &name:"
 msgstr ""
 
-#: uml1model/umlobject.cpp:1158
+#: uml1model/umlobject.cpp:1159
 #, kde-format
 msgid "Entity &name:"
 msgstr ""
 
-#: uml1model/umlobject.cpp:1161
+#: uml1model/umlobject.cpp:1162
 #, kde-format
 msgid "Enum &name:"
 msgstr ""
 
-#: uml1model/umlobject.cpp:1164
+#: uml1model/umlobject.cpp:1165
 #, fuzzy, kde-format
 #| msgid "Node &name:"
 msgid "Folder &name:"
 msgstr "Elemento &pavadinimas:"
 
-#: uml1model/umlobject.cpp:1167
+#: uml1model/umlobject.cpp:1168
 #, kde-format
 msgid "Interface &name:"
 msgstr "Sąsajos pavadinimas:"
 
-#: uml1model/umlobject.cpp:1170
+#: uml1model/umlobject.cpp:1171
 #, kde-format
 msgid "Node &name:"
 msgstr "Elemento &pavadinimas:"
 
-#: uml1model/umlobject.cpp:1173
+#: uml1model/umlobject.cpp:1174
 #, kde-format
 msgid "Package &name:"
 msgstr "Paketo pavadinimas:"
 
-#: uml1model/umlobject.cpp:1176
+#: uml1model/umlobject.cpp:1177
 #, fuzzy, kde-format
 #| msgid "Actor &name:"
 msgid "Port &name:"
 msgstr "Aktoriaus vardas:"
 
-#: uml1model/umlobject.cpp:1182
+#: uml1model/umlobject.cpp:1183
 #, kde-format
 msgid "Use case &name:"
 msgstr "Panaudojimo diagramos pavadinimas:"
 
-#: uml1model/umlobject.cpp:1185
+#: uml1model/umlobject.cpp:1186
 #, kde-format
 msgid "Instance name:"
 msgstr "Atvejo vardas:"
@@ -7902,42 +7902,42 @@ msgstr "Stereotipai"
 msgid "Welcome"
 msgstr ""
 
-#: umldoc.cpp:112 umldoc.cpp:2400 umldoc.cpp:2428
+#: umldoc.cpp:113 umldoc.cpp:2405 umldoc.cpp:2433
 #, kde-format
 msgid "UML Model"
 msgstr ""
 
-#: umldoc.cpp:154
+#: umldoc.cpp:155
 #, kde-format
 msgid "Logical View"
 msgstr ""
 
-#: umldoc.cpp:155
+#: umldoc.cpp:156
 #, kde-format
 msgid "Use Case View"
 msgstr ""
 
-#: umldoc.cpp:156
+#: umldoc.cpp:157
 #, kde-format
 msgid "Component View"
 msgstr ""
 
-#: umldoc.cpp:157
+#: umldoc.cpp:158
 #, kde-format
 msgid "Deployment View"
 msgstr ""
 
-#: umldoc.cpp:158
+#: umldoc.cpp:159
 #, kde-format
 msgid "Entity Relationship Model"
 msgstr ""
 
-#: umldoc.cpp:184
+#: umldoc.cpp:185
 #, kde-format
 msgid "Datatypes"
 msgstr ""
 
-#: umldoc.cpp:363
+#: umldoc.cpp:364
 #, kde-format
 msgid ""
 "The current file has been modified.\n"
@@ -7946,238 +7946,238 @@ msgstr ""
 "Dabartinis failas buvo pakeistas.\n"
 "Ar norite jį įrašyti?"
 
-#: umldoc.cpp:364
+#: umldoc.cpp:365
 #, kde-format
 msgctxt "warning message"
 msgid "Warning"
 msgstr "Dėmesio"
 
-#: umldoc.cpp:529
+#: umldoc.cpp:530
 #, fuzzy, kde-format
 #| msgid "The file %1 does not exist."
 msgid "The file <%1> does not exist."
 msgstr "Failas %1 neegzistuoja."
 
-#: umldoc.cpp:541
+#: umldoc.cpp:542
 #, kde-format
 msgid "The file %1 does not exist."
 msgstr "Failas %1 neegzistuoja."
 
-#: umldoc.cpp:568 umldoc.cpp:570
+#: umldoc.cpp:569 umldoc.cpp:571
 #, kde-format
 msgid "The file %1 seems to be corrupted."
 msgstr ""
 
-#: umldoc.cpp:619 umldoc.cpp:622 umldoc.cpp:637 umldoc.cpp:640 umldoc.cpp:683
-#: umldoc.cpp:686
+#: umldoc.cpp:620 umldoc.cpp:623 umldoc.cpp:638 umldoc.cpp:641 umldoc.cpp:684
+#: umldoc.cpp:687
 #, kde-format
 msgid "There was no XMI file found in the compressed file %1."
 msgstr ""
 
-#: umldoc.cpp:664 umldoc.cpp:667
+#: umldoc.cpp:665 umldoc.cpp:668
 #, kde-format
 msgid "There was a problem loading the extracted file: %1"
 msgstr ""
 
-#: umldoc.cpp:701 umldoc.cpp:704 umldoc.cpp:744 umldoc.cpp:746
+#: umldoc.cpp:702 umldoc.cpp:705 umldoc.cpp:745 umldoc.cpp:747
 #, kde-format
 msgid "There was a problem loading file: %1"
 msgstr ""
 
-#: umldoc.cpp:749
+#: umldoc.cpp:750
 #, kde-format
 msgid "Reason: %1"
 msgstr ""
 
-#: umldoc.cpp:832 umldoc.cpp:834 umldoc.cpp:851 umldoc.cpp:853 umldoc.cpp:873
-#: umldoc.cpp:875 umldoc.cpp:924 umldoc.cpp:926 umldoc.cpp:966 umldoc.cpp:969
-#: umldoc.cpp:978 umldoc.cpp:980 umllistview.cpp:593
+#: umldoc.cpp:833 umldoc.cpp:835 umldoc.cpp:852 umldoc.cpp:854 umldoc.cpp:874
+#: umldoc.cpp:876 umldoc.cpp:925 umldoc.cpp:927 umldoc.cpp:968 umldoc.cpp:971
+#: umldoc.cpp:980 umldoc.cpp:982 umllistview.cpp:594
 #, kde-format
 msgid "Save Error"
 msgstr "Įrašymo klaida"
 
-#: umldoc.cpp:832 umldoc.cpp:851 umldoc.cpp:873 umldoc.cpp:924 umldoc.cpp:966
+#: umldoc.cpp:833 umldoc.cpp:852 umldoc.cpp:874 umldoc.cpp:925 umldoc.cpp:968
 #, kde-format
 msgid "There was a problem saving: %1"
 msgstr ""
 
-#: umldoc.cpp:834 umldoc.cpp:853 umldoc.cpp:875 umldoc.cpp:926 umldoc.cpp:969
-#: umllistview.cpp:592 umlviewimageexportermodel.cpp:303
+#: umldoc.cpp:835 umldoc.cpp:854 umldoc.cpp:876 umldoc.cpp:927 umldoc.cpp:971
+#: umllistview.cpp:593 umlviewimageexportermodel.cpp:303
 #, kde-format
 msgid "There was a problem saving file: %1"
 msgstr ""
 
-#: umldoc.cpp:978
+#: umldoc.cpp:980
 #, kde-format
 msgid "There was a problem uploading: %1"
 msgstr ""
 
-#: umldoc.cpp:980
+#: umldoc.cpp:982
 #, kde-format
 msgid "There was a problem uploading file: %1"
 msgstr ""
 
-#: umldoc.cpp:1526
+#: umldoc.cpp:1528
 #, kde-format
 msgid "use case diagram"
 msgstr ""
 
-#: umldoc.cpp:1529
+#: umldoc.cpp:1531
 #, kde-format
 msgid "class diagram"
 msgstr ""
 
-#: umldoc.cpp:1532
+#: umldoc.cpp:1534
 #, kde-format
 msgid "sequence diagram"
 msgstr ""
 
-#: umldoc.cpp:1535
+#: umldoc.cpp:1537
 #, kde-format
 msgid "communication diagram"
 msgstr ""
 
-#: umldoc.cpp:1538
+#: umldoc.cpp:1540
 #, fuzzy, kde-format
 #| msgid "Create class diagram : %1"
 msgid "object diagram"
 msgstr "Sukurti klasių diagramą: %1"
 
-#: umldoc.cpp:1541
+#: umldoc.cpp:1543
 #, kde-format
 msgid "state diagram"
 msgstr ""
 
-#: umldoc.cpp:1544
+#: umldoc.cpp:1546
 #, kde-format
 msgid "activity diagram"
 msgstr ""
 
-#: umldoc.cpp:1547
+#: umldoc.cpp:1549
 #, kde-format
 msgid "component diagram"
 msgstr ""
 
-#: umldoc.cpp:1550
+#: umldoc.cpp:1552
 #, kde-format
 msgid "deployment diagram"
 msgstr ""
 
-#: umldoc.cpp:1553
+#: umldoc.cpp:1555
 #, kde-format
 msgid "entity relationship diagram"
 msgstr ""
 
-#: umldoc.cpp:1623
+#: umldoc.cpp:1625
 #, kde-format
 msgctxt "diagram name"
 msgid "Name"
 msgstr "Pavadinimas"
 
-#: umldoc.cpp:1623 umldoc.cpp:1686 umldoc.cpp:1715 umldoc.cpp:1749
+#: umldoc.cpp:1625 umldoc.cpp:1688 umldoc.cpp:1717 umldoc.cpp:1751
 #, kde-format
 msgid "Enter name:"
 msgstr "Įveskite pavadinimą:"
 
-#: umldoc.cpp:1627 umldoc.cpp:1692
+#: umldoc.cpp:1629 umldoc.cpp:1694
 #, kde-format
 msgid "That is an invalid name for a diagram."
 msgstr ""
 
-#: umldoc.cpp:1629 umldoc.cpp:1699
+#: umldoc.cpp:1631 umldoc.cpp:1701
 #, kde-format
 msgid "A diagram is already using that name."
 msgstr ""
 
-#: umldoc.cpp:1685
+#: umldoc.cpp:1687
 #, kde-format
 msgctxt "renaming diagram"
 msgid "Name"
 msgstr "Pavadinimas"
 
-#: umldoc.cpp:1714
+#: umldoc.cpp:1716
 #, kde-format
 msgctxt "renaming uml object"
 msgid "Name"
 msgstr "Pavadinimas"
 
-#: umldoc.cpp:1748
+#: umldoc.cpp:1750
 #, kde-format
 msgctxt "renaming child uml object"
 msgid "Name"
 msgstr "Pavadinimas"
 
-#: umldoc.cpp:1758
+#: umldoc.cpp:1760
 #, kde-format
 msgid ""
 "The name you entered was not unique.\n"
 "Is this what you wanted?"
 msgstr ""
 
-#: umldoc.cpp:1759
+#: umldoc.cpp:1761
 #, kde-format
 msgid "Use Name"
 msgstr "Naudoti pavadinimą"
 
-#: umldoc.cpp:1759
+#: umldoc.cpp:1761
 #, kde-format
 msgid "Enter New Name"
 msgstr "Įveskite naują pavadinimą"
 
-#: umldoc.cpp:2361
+#: umldoc.cpp:2366
 #, kde-format
 msgid "Unsupported xmi file version: %1"
 msgstr ""
 
-#: umldoc.cpp:2511
+#: umldoc.cpp:2516
 #, kde-format
 msgid "Setting up the document..."
 msgstr ""
 
-#: umldoc.cpp:2540
+#: umldoc.cpp:2545
 #, kde-format
 msgid "Resolving object references..."
 msgstr ""
 
-#: umldoc.cpp:2648
+#: umldoc.cpp:2653
 #, kde-format
 msgid "Loading UML elements..."
 msgstr ""
 
-#: umldoc.cpp:2892
+#: umldoc.cpp:2899
 #, kde-format
 msgid "Loading diagrams..."
 msgstr ""
 
-#: umldoc.cpp:3400
+#: umldoc.cpp:3409
 #, fuzzy, kde-format
 msgid "/autosave%1"
 msgstr "Autoišsaugojimas"
 
-#: umllistview.cpp:536 umllistview.cpp:540
+#: umllistview.cpp:537 umllistview.cpp:541
 #, fuzzy, kde-format
 msgid "Externalize Folder"
 msgstr "Išorinė valdyklė"
 
-#: umllistview.cpp:574
+#: umllistview.cpp:575
 #, kde-format
 msgid "Folder %1 must be relative to the main model directory, %2."
 msgstr ""
 
-#: umllistview.cpp:575
+#: umllistview.cpp:576
 #, fuzzy, kde-format
 #| msgid "Paste Error"
 msgid "Path Error"
 msgstr "Įterpimo klaida"
 
-#: umllistview.cpp:583
+#: umllistview.cpp:584
 #, kde-format
 msgid ""
 "File %1 already exists!\n"
 "The existing file will be overwritten."
 msgstr ""
 
-#: umllistview.cpp:584
+#: umllistview.cpp:585
 #, fuzzy, kde-format
 msgid "File Exist"
 msgstr ""
@@ -8188,59 +8188,59 @@ msgstr ""
 "#-#-#-#-#  kio4.po (kio4)  #-#-#-#-#\n"
 "Failas jau yra"
 
-#: umllistview.cpp:624
+#: umllistview.cpp:625
 #, fuzzy, kde-format
 msgid "Enter Model Name"
 msgstr "Įveskite aplanko vardą:"
 
-#: umllistview.cpp:625
+#: umllistview.cpp:626
 #, fuzzy, kde-format
 msgid "Enter the new name of the model:"
 msgstr "Įveskite naujo stiliaus pavadinimą:"
 
-#: umllistview.cpp:1422
+#: umllistview.cpp:1430
 #, kde-format
 msgid "Views"
 msgstr "Vaizdai"
 
-#: umllistview.cpp:1441
+#: umllistview.cpp:1449
 #, kde-format
 msgid "Settings"
 msgstr "Nuostatos"
 
-#: umllistview.cpp:2413
+#: umllistview.cpp:2421
 #, kde-format
 msgid "Loading listview..."
 msgstr ""
 
-#: umllistview.cpp:2764
+#: umllistview.cpp:2772
 #, kde-format
 msgid "The class must be emptied before it can be deleted."
 msgstr ""
 
-#: umllistview.cpp:2765
+#: umllistview.cpp:2773
 #, fuzzy, kde-format
 #| msgid "Class Name"
 msgid "Class Not Empty"
 msgstr "Klasės vardas"
 
-#: umllistview.cpp:2769
+#: umllistview.cpp:2777
 #, kde-format
 msgid "The package must be emptied before it can be deleted."
 msgstr ""
 
-#: umllistview.cpp:2770
+#: umllistview.cpp:2778
 #, fuzzy, kde-format
 #| msgid "Package path:"
 msgid "Package Not Empty"
 msgstr "Paketo kelias:"
 
-#: umllistview.cpp:2774
+#: umllistview.cpp:2782
 #, kde-format
 msgid "The folder must be emptied before it can be deleted."
 msgstr ""
 
-#: umllistview.cpp:2775
+#: umllistview.cpp:2783
 #, kde-format
 msgid "Folder Not Empty"
 msgstr ""
diff -pruN 4:20.08.3-1/po/mr/umbrello.po 4:20.12.0-0ubuntu1/po/mr/umbrello.po
--- 4:20.08.3-1/po/mr/umbrello.po	2020-11-03 00:42:16.000000000 +0000
+++ 4:20.12.0-0ubuntu1/po/mr/umbrello.po	2020-12-04 00:21:30.000000000 +0000
@@ -6,7 +6,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: \n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
-"POT-Creation-Date: 2020-08-14 08:09+0200\n"
+"POT-Creation-Date: 2020-11-06 02:36+0100\n"
 "PO-Revision-Date: 2013-03-06 17:45+0530\n"
 "Last-Translator: Chetan Khona <chetan@kompkin.com>\n"
 "Language-Team: Marathi <kde-i18n-doc@kde.org>\n"
@@ -205,7 +205,7 @@ msgid ""
 "item of the same name already exists.  Any other items have been pasted."
 msgstr ""
 
-#: clipboard/umlclipboard.cpp:753 uml.cpp:1689
+#: clipboard/umlclipboard.cpp:753 uml.cpp:1698
 #, kde-format
 msgid "Paste Error"
 msgstr ""
@@ -427,7 +427,7 @@ msgstr ""
 #. i18n: ectx: attribute (title), widget (QWidget, ui_tabGeneral)
 #: codegenerators/cpp/cppcodegenerationformbase.ui:51
 #: codegenwizard/codegenoptionspage.ui:39 dialogs/objectnodedialog.cpp:135
-#: umllistview.cpp:1451
+#: umllistview.cpp:1459
 #, fuzzy, kde-format
 msgid "General"
 msgstr "सामान्य"
@@ -1286,7 +1286,7 @@ msgstr "स्थिती"
 #. i18n: ectx: property (text), widget (QRadioButton, ui_categoryClass)
 #. i18n: ectx: property (text), widget (QTableWidget, ui_tableWidgetStatus)
 #: codegenwizard/codegenstatuspage.ui:40 codeimpwizard/codeimpstatuspage.ui:54
-#: dialogs/finddialog.ui:89 umllistview.cpp:1446 umlwidgets/widgetbase.cpp:1255
+#: dialogs/finddialog.ui:89 umllistview.cpp:1454 umlwidgets/widgetbase.cpp:1255
 #, kde-format
 msgid "Class"
 msgstr "वर्ग"
@@ -1938,34 +1938,34 @@ msgstr ""
 msgid "Enable 'delete diagram' related messages"
 msgstr ""
 
-#: dialogs/dialog_utils.cpp:117
+#: dialogs/dialog_utils.cpp:118
 #, kde-format
 msgid "You are about to delete an association. Do you really want to continue?"
 msgstr ""
 
-#: dialogs/dialog_utils.cpp:118
+#: dialogs/dialog_utils.cpp:119
 #, fuzzy, kde-format
 msgid "Delete Association"
 msgstr "काढून टाका"
 
-#: dialogs/dialog_utils.cpp:132
+#: dialogs/dialog_utils.cpp:133
 #, kde-format
 msgid ""
 "You are about to delete the entire diagram.\n"
 "Are you sure?"
 msgstr ""
 
-#: dialogs/dialog_utils.cpp:133
+#: dialogs/dialog_utils.cpp:134
 #, kde-format
 msgid "Are you sure you want to delete diagram %1?"
 msgstr ""
 
-#: dialogs/dialog_utils.cpp:138
+#: dialogs/dialog_utils.cpp:139
 #, kde-format
 msgid "Delete Diagram?"
 msgstr ""
 
-#: dialogs/dialog_utils.cpp:139 dialogs/pages/classifierlistpage.cpp:215
+#: dialogs/dialog_utils.cpp:140 dialogs/pages/classifierlistpage.cpp:215
 #: dialogs/pages/classifierlistpage.cpp:223
 #: dialogs/umlforeignkeyconstraintdialog.cpp:325
 #: dialogs/umlforeignkeyconstraintdialog.cpp:331
@@ -2123,7 +2123,7 @@ msgstr "सर्वसाधारण"
 #. i18n: ectx: label, entry (uiFont), group (UI Options)
 #. i18n: ectx: label, entry (codeViewerFont), group (Code Viewer Options)
 #: dialogs/multipagedialogbase.cpp:405 umbrello.kcfg:177 umbrello.kcfg:292
-#: umllistview.cpp:1450
+#: umllistview.cpp:1458
 #, kde-format
 msgid "Font"
 msgstr "फॉन्ट"
@@ -2540,7 +2540,7 @@ msgstr ""
 
 #: dialogs/pages/classifierlistpage.cpp:217
 #: dialogs/pages/classifierlistpage.cpp:225 dialogs/umloperationdialog.cpp:167
-#: dialogs/umloperationdialog.cpp:175 uml.cpp:554
+#: dialogs/umloperationdialog.cpp:175 uml.cpp:563
 #, kde-format
 msgid "&Properties"
 msgstr "गुणधर्म (&P)"
@@ -2558,7 +2558,7 @@ msgid "Source Code"
 msgstr ""
 
 #: dialogs/pages/classoptionspage.cpp:157
-#: dialogs/pages/classoptionspage.cpp:251 uml.cpp:509
+#: dialogs/pages/classoptionspage.cpp:251 uml.cpp:518
 #, fuzzy, kde-format
 #| msgid "Documentation"
 msgid "&Documentation"
@@ -2746,8 +2746,8 @@ msgstr ""
 #: uml1model/classifier.cpp:410 uml1model/classifier.cpp:781
 #: uml1model/entity.cpp:125 uml1model/entity.cpp:178 uml1model/entity.cpp:228
 #: uml1model/entity.cpp:277 uml1model/enum.cpp:107 uml1model/instance.cpp:124
-#: uml1model/package.cpp:172 umldoc.cpp:1627 umldoc.cpp:1692 umldoc.cpp:1721
-#: umldoc.cpp:1755
+#: uml1model/package.cpp:178 umldoc.cpp:1629 umldoc.cpp:1694 umldoc.cpp:1723
+#: umldoc.cpp:1757
 #, kde-format
 msgid "Invalid Name"
 msgstr ""
@@ -2757,7 +2757,7 @@ msgstr ""
 msgid "The name you have entered is not unique."
 msgstr ""
 
-#: dialogs/pages/diagrampropertiespage.cpp:86 umldoc.cpp:1759
+#: dialogs/pages/diagrampropertiespage.cpp:86 umldoc.cpp:1761
 #, kde-format
 msgid "Name Not Unique"
 msgstr ""
@@ -3218,7 +3218,7 @@ msgstr "काढून टाका (&D
 msgid "Umbrello Setup"
 msgstr ""
 
-#: dialogs/settingsdialog.cpp:114 umllistview.cpp:1452
+#: dialogs/settingsdialog.cpp:114 umllistview.cpp:1460
 #, kde-format
 msgid "User Interface"
 msgstr "वापरकर्ता संवाद"
@@ -3245,7 +3245,7 @@ msgstr "वर्ग"
 msgid "Class Settings"
 msgstr ""
 
-#: dialogs/settingsdialog.cpp:137 umllistview.cpp:1447
+#: dialogs/settingsdialog.cpp:137 umllistview.cpp:1455
 #, kde-format
 msgid "Code Importer"
 msgstr ""
@@ -3255,7 +3255,7 @@ msgstr ""
 msgid "Code Import Settings"
 msgstr ""
 
-#: dialogs/settingsdialog.cpp:146 umllistview.cpp:1448
+#: dialogs/settingsdialog.cpp:146 umllistview.cpp:1456
 #, kde-format
 msgid "Code Generation"
 msgstr ""
@@ -3265,7 +3265,7 @@ msgstr ""
 msgid "Code Generation Settings"
 msgstr ""
 
-#: dialogs/settingsdialog.cpp:154 umllistview.cpp:1449
+#: dialogs/settingsdialog.cpp:154 umllistview.cpp:1457
 #, kde-format
 msgid "Code Viewer"
 msgstr ""
@@ -3275,7 +3275,7 @@ msgstr ""
 msgid "Code Viewer Settings"
 msgstr ""
 
-#: dialogs/settingsdialog.cpp:161 umllistview.cpp:1445
+#: dialogs/settingsdialog.cpp:161 umllistview.cpp:1453
 #, kde-format
 msgid "Auto Layout"
 msgstr ""
@@ -3906,7 +3906,7 @@ msgstr "प्रकार (&T):"
 msgid "Package path:"
 msgstr ""
 
-#: dialogs/widgets/umlstereotypewidget.cpp:29 uml1model/umlobject.cpp:1179
+#: dialogs/widgets/umlstereotypewidget.cpp:29 uml1model/umlobject.cpp:1180
 #, fuzzy, kde-format
 #| msgctxt "NAME OF TRANSLATORS"
 #| msgid "Your names"
@@ -4052,7 +4052,7 @@ msgstr ""
 msgid "Gael de Chalendar (aka Kleag)"
 msgstr ""
 
-#: docgenerators/main.cpp:56 main.cpp:131
+#: docgenerators/main.cpp:56 main.cpp:133
 #, kde-format
 msgid "Umbrello UML Modeller Authors"
 msgstr ""
@@ -4115,12 +4115,12 @@ msgstr ""
 msgid "Apply layout"
 msgstr ""
 
-#: main.cpp:121
+#: main.cpp:123
 #, kde-format
 msgid "Umbrello UML Modeller"
 msgstr ""
 
-#: main.cpp:123
+#: main.cpp:125
 #, kde-format
 msgid ""
 "Umbrello – Visual development environment for software, based on the "
@@ -4128,117 +4128,117 @@ msgid ""
 "\"http://www.omg.org/spec/\">http://www.omg.org/spec/</a>."
 msgstr ""
 
-#: main.cpp:127
+#: main.cpp:129
 #, kde-format
 msgid ""
 "Copyright © 2001 Paul Hensgen,\n"
 "Copyright © 2002-2020 Umbrello UML Modeller Authors"
 msgstr ""
 
-#: main.cpp:130
+#: main.cpp:132
 #, kde-format
 msgid "Paul Hensgen"
 msgstr ""
 
-#: main.cpp:130
+#: main.cpp:132
 #, kde-format
 msgid "Author of initial version."
 msgstr ""
 
-#: main.cpp:134
+#: main.cpp:136
 #, kde-format
 msgid "Oliver Kellogg"
 msgstr ""
 
-#: main.cpp:135 main.cpp:138
+#: main.cpp:137 main.cpp:140
 #, kde-format
 msgid "Bug fixing, porting work, code cleanup, new features."
 msgstr ""
 
-#: main.cpp:137
+#: main.cpp:139
 #, kde-format
 msgid "Ralf Habacker"
 msgstr ""
 
-#: main.cpp:140
+#: main.cpp:142
 #, kde-format
 msgid "Andi Fischer"
 msgstr ""
 
-#: main.cpp:141
+#: main.cpp:143
 #, kde-format
 msgid "Porting work, code cleanup, new features."
 msgstr ""
 
-#: main.cpp:143
+#: main.cpp:145
 #, kde-format
 msgid "Jonathan Riddell"
 msgstr ""
 
-#: main.cpp:144
+#: main.cpp:146
 #, kde-format
 msgid "Current maintainer."
 msgstr ""
 
-#: main.cpp:146
+#: main.cpp:148
 #, kde-format
 msgid "Brian Thomas"
 msgstr ""
 
-#: main.cpp:147
+#: main.cpp:149
 #, kde-format
 msgid "A lot of work for C++ and Java code generation. Codeeditor."
 msgstr ""
 
-#: main.cpp:152
+#: main.cpp:154
 #, kde-format
 msgid "File to open"
 msgstr "उघडावयाची फाईल"
 
-#: main.cpp:153
+#: main.cpp:155
 #, kde-format
 msgid "export diagrams to extension and exit"
 msgstr ""
 
-#: main.cpp:154
+#: main.cpp:156
 #, kde-format
 msgid "list available export extensions"
 msgstr ""
 
-#: main.cpp:155
+#: main.cpp:157
 #, kde-format
 msgid "the local directory to save the exported diagrams in"
 msgstr ""
 
-#: main.cpp:155
+#: main.cpp:157
 #, kde-format
 msgid "the directory of the file"
 msgstr ""
 
-#: main.cpp:156
+#: main.cpp:158
 #, kde-format
 msgid "import files"
 msgstr ""
 
-#: main.cpp:157
+#: main.cpp:159
 #, fuzzy, kde-format
 #| msgid "All Supported Files"
 msgid "list supported languages"
 msgstr "सर्व समर्थीत फाईल्स"
 
-#: main.cpp:158
+#: main.cpp:160
 #, kde-format
 msgid ""
 "keep the tree structure used to store the views in the document in the "
 "target directory"
 msgstr ""
 
-#: main.cpp:159
+#: main.cpp:161
 #, kde-format
 msgid "import files from directory <dir>"
 msgstr ""
 
-#: main.cpp:163
+#: main.cpp:165
 #, fuzzy, kde-format
 #| msgid "All Supported Files"
 msgid "set active language"
@@ -4503,7 +4503,7 @@ msgstr ""
 msgid "Import File(s)..."
 msgstr ""
 
-#: menus/listpopupmenu.cpp:201 uml.cpp:356
+#: menus/listpopupmenu.cpp:201 uml.cpp:365
 #, kde-format
 msgid "Import from Directory..."
 msgstr ""
@@ -5014,42 +5014,42 @@ msgctxt "align menu"
 msgid "Align"
 msgstr "जुळवा (&A)"
 
-#: menus/widgetbasepopupmenu.cpp:598 uml.cpp:573
+#: menus/widgetbasepopupmenu.cpp:598 uml.cpp:582
 #, kde-format
 msgid "Align Right"
 msgstr "उजवीकडे स्थीत करा"
 
-#: menus/widgetbasepopupmenu.cpp:599 uml.cpp:578
+#: menus/widgetbasepopupmenu.cpp:599 uml.cpp:587
 #, kde-format
 msgid "Align Left"
 msgstr "डावीकडे स्थीत करा"
 
-#: menus/widgetbasepopupmenu.cpp:600 uml.cpp:583
+#: menus/widgetbasepopupmenu.cpp:600 uml.cpp:592
 #, kde-format
 msgid "Align Top"
 msgstr ""
 
-#: menus/widgetbasepopupmenu.cpp:601 uml.cpp:588
+#: menus/widgetbasepopupmenu.cpp:601 uml.cpp:597
 #, kde-format
 msgid "Align Bottom"
 msgstr ""
 
-#: menus/widgetbasepopupmenu.cpp:603 uml.cpp:593
+#: menus/widgetbasepopupmenu.cpp:603 uml.cpp:602
 #, kde-format
 msgid "Align Vertical Middle"
 msgstr ""
 
-#: menus/widgetbasepopupmenu.cpp:604 uml.cpp:598
+#: menus/widgetbasepopupmenu.cpp:604 uml.cpp:607
 #, kde-format
 msgid "Align Horizontal Middle"
 msgstr ""
 
-#: menus/widgetbasepopupmenu.cpp:605 uml.cpp:603
+#: menus/widgetbasepopupmenu.cpp:605 uml.cpp:612
 #, kde-format
 msgid "Align Vertical Distribute"
 msgstr ""
 
-#: menus/widgetbasepopupmenu.cpp:606 uml.cpp:608
+#: menus/widgetbasepopupmenu.cpp:606 uml.cpp:617
 #, kde-format
 msgid "Align Horizontal Distribute"
 msgstr ""
@@ -5947,8 +5947,8 @@ msgstr "संदेश"
 #: object_factory.cpp:251 uml1model/classifier.cpp:410
 #: uml1model/classifier.cpp:781 uml1model/entity.cpp:125
 #: uml1model/entity.cpp:178 uml1model/entity.cpp:228 uml1model/entity.cpp:277
-#: uml1model/enum.cpp:107 uml1model/instance.cpp:124 uml1model/package.cpp:171
-#: umldoc.cpp:1721 umldoc.cpp:1755
+#: uml1model/enum.cpp:107 uml1model/instance.cpp:124 uml1model/package.cpp:177
+#: umldoc.cpp:1723 umldoc.cpp:1757
 #, kde-format
 msgid "That is an invalid name."
 msgstr ""
@@ -5967,7 +5967,7 @@ msgstr ""
 #: object_factory.cpp:264 uml1model/classifier.cpp:413
 #: uml1model/classifier.cpp:783 uml1model/entity.cpp:127
 #: uml1model/entity.cpp:180 uml1model/entity.cpp:230 uml1model/entity.cpp:279
-#: uml1model/instance.cpp:126 umldoc.cpp:1727 umldoc.cpp:1764
+#: uml1model/instance.cpp:126 umldoc.cpp:1729 umldoc.cpp:1766
 #, kde-format
 msgid "That name is already being used."
 msgstr ""
@@ -5975,8 +5975,8 @@ msgstr ""
 #: object_factory.cpp:265 uml1model/classifier.cpp:413
 #: uml1model/classifier.cpp:783 uml1model/entity.cpp:127
 #: uml1model/entity.cpp:180 uml1model/entity.cpp:230 uml1model/entity.cpp:279
-#: uml1model/instance.cpp:126 umldoc.cpp:1629 umldoc.cpp:1699 umldoc.cpp:1727
-#: umldoc.cpp:1764
+#: uml1model/instance.cpp:126 umldoc.cpp:1631 umldoc.cpp:1701 umldoc.cpp:1729
+#: umldoc.cpp:1766
 #, kde-format
 msgid "Not a Unique Name"
 msgstr ""
@@ -6037,12 +6037,12 @@ msgstr ""
 msgid "Choose a different name."
 msgstr ""
 
-#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:266
+#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:273
 #, kde-format
 msgid "Incorrect use of associations."
 msgstr ""
 
-#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:266
+#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:273
 #, kde-format
 msgid "Association Error"
 msgstr ""
@@ -7206,188 +7206,188 @@ msgstr "सर्व समर्थी
 msgid "&Settings"
 msgstr "फॉन्ट संयोजना"
 
-#: uml.cpp:332
+#: uml.cpp:341
 #, kde-format
 msgid "&Export model to DocBook"
 msgstr ""
 
-#: uml.cpp:336
+#: uml.cpp:345
 #, kde-format
 msgid "&Export model to XHTML"
 msgstr ""
 
-#: uml.cpp:340
+#: uml.cpp:349
 #, kde-format
 msgid "&New Class Wizard..."
 msgstr ""
 
-#: uml.cpp:344
+#: uml.cpp:353
 #, kde-format
 msgid "&Add Default Datatypes for Active Language"
 msgstr ""
 
-#: uml.cpp:351
+#: uml.cpp:360
 #, kde-format
 msgid "Code &Importing Wizard..."
 msgstr ""
 
-#: uml.cpp:361
+#: uml.cpp:370
 #, kde-format
 msgid "&Code Generation Wizard..."
 msgstr ""
 
-#: uml.cpp:366
+#: uml.cpp:375
 #, kde-format
 msgid "&Generate All Code"
 msgstr ""
 
-#: uml.cpp:411
+#: uml.cpp:420
 #, kde-format
 msgid "Creates a new document"
 msgstr ""
 
-#: uml.cpp:412
+#: uml.cpp:421
 #, kde-format
 msgid "Opens an existing document"
 msgstr ""
 
-#: uml.cpp:413
+#: uml.cpp:422
 #, kde-format
 msgid "Opens a recently used file"
 msgstr ""
 
-#: uml.cpp:414
+#: uml.cpp:423
 #, kde-format
 msgid "Saves the document"
 msgstr ""
 
-#: uml.cpp:415
+#: uml.cpp:424
 #, kde-format
 msgid "Saves the document as..."
 msgstr ""
 
-#: uml.cpp:416
+#: uml.cpp:425
 #, kde-format
 msgid "Closes the document"
 msgstr ""
 
-#: uml.cpp:417
+#: uml.cpp:426
 #, kde-format
 msgid "Prints out the document"
 msgstr ""
 
-#: uml.cpp:418
+#: uml.cpp:427
 #, kde-format
 msgid "Print Preview of the document"
 msgstr ""
 
-#: uml.cpp:419
+#: uml.cpp:428
 #, kde-format
 msgid "Quits the application"
 msgstr ""
 
-#: uml.cpp:420
+#: uml.cpp:429
 #, kde-format
 msgid "Exports the model to the docbook format"
 msgstr ""
 
-#: uml.cpp:421
+#: uml.cpp:430
 #, kde-format
 msgid "Exports the model to the XHTML format"
 msgstr ""
 
-#: uml.cpp:422
+#: uml.cpp:431
 #, kde-format
 msgid "Cuts the selected section and puts it to the clipboard"
 msgstr ""
 
-#: uml.cpp:423
+#: uml.cpp:432
 #, kde-format
 msgid "Copies the selected section to the clipboard"
 msgstr ""
 
-#: uml.cpp:424
+#: uml.cpp:433
 #, kde-format
 msgid "Pastes the contents of the clipboard"
 msgstr ""
 
-#: uml.cpp:425
+#: uml.cpp:434
 #, kde-format
 msgid "Set the default program preferences"
 msgstr ""
 
-#: uml.cpp:429
+#: uml.cpp:438
 #, kde-format
 msgctxt "delete selected widget"
 msgid "Delete &Selected"
 msgstr ""
 
-#: uml.cpp:440
+#: uml.cpp:449
 #, kde-format
 msgid "&Class Diagram..."
 msgstr ""
 
-#: uml.cpp:447
+#: uml.cpp:456
 #, fuzzy, kde-format
 msgid "&Object Diagram..."
 msgstr "काढून टाका (&D)"
 
-#: uml.cpp:454
+#: uml.cpp:463
 #, kde-format
 msgid "&Sequence Diagram..."
 msgstr ""
 
-#: uml.cpp:460
+#: uml.cpp:469
 #, kde-format
 msgid "C&ommunication Diagram..."
 msgstr ""
 
-#: uml.cpp:466
+#: uml.cpp:475
 #, kde-format
 msgid "&Use Case Diagram..."
 msgstr ""
 
-#: uml.cpp:472
+#: uml.cpp:481
 #, kde-format
 msgid "S&tate Diagram..."
 msgstr ""
 
-#: uml.cpp:478
+#: uml.cpp:487
 #, kde-format
 msgid "&Activity Diagram..."
 msgstr ""
 
-#: uml.cpp:484
+#: uml.cpp:493
 #, kde-format
 msgid "Co&mponent Diagram..."
 msgstr ""
 
-#: uml.cpp:490
+#: uml.cpp:499
 #, kde-format
 msgid "&Deployment Diagram..."
 msgstr ""
 
-#: uml.cpp:496
+#: uml.cpp:505
 #, kde-format
 msgid "&Entity Relationship Diagram..."
 msgstr ""
 
-#: uml.cpp:501 uml.cpp:954
+#: uml.cpp:510 uml.cpp:963
 #, fuzzy, kde-format
 msgid "&Tree View"
 msgstr "ट्री दृश्य"
 
-#: uml.cpp:505
+#: uml.cpp:514
 #, kde-format
 msgid "&Debugging"
 msgstr ""
 
-#: uml.cpp:513
+#: uml.cpp:522
 #, kde-format
 msgid "&Logging"
 msgstr ""
 
-#: uml.cpp:517
+#: uml.cpp:526
 #, kde-format
 msgid "&Command history"
 msgstr ""
@@ -7396,136 +7396,136 @@ msgstr ""
 #. m_propertyDock->setObjectName(QLatin1String("PropertyDock"));
 #. addDockWidget(Qt::LeftDockWidgetArea, m_propertyDock);  //:TODO:
 #. create the bird's eye view
-#: uml.cpp:521 uml.cpp:1011
+#: uml.cpp:530 uml.cpp:1020
 #, kde-format
 msgid "&Bird's eye view"
 msgstr ""
 
-#: uml.cpp:526
+#: uml.cpp:535
 #, kde-format
 msgid "&Clear Diagram"
 msgstr ""
 
-#: uml.cpp:530
+#: uml.cpp:539
 #, fuzzy, kde-format
 msgid "&Snap to Grid"
 msgstr "जाळ्याकडे खेचा"
 
-#: uml.cpp:534
+#: uml.cpp:543
 #, fuzzy, kde-format
 msgid "S&how Grid"
 msgstr "जाळे दर्शवा (&G)"
 
-#: uml.cpp:539
+#: uml.cpp:548
 #, fuzzy, kde-format
 msgid "&Delete Diagram"
 msgstr "काढून टाका (&D)"
 
-#: uml.cpp:544
+#: uml.cpp:553
 #, kde-format
 msgid "&Export as Picture..."
 msgstr ""
 
-#: uml.cpp:549
+#: uml.cpp:558
 #, kde-format
 msgid "Export &Diagrams as Pictures..."
 msgstr ""
 
-#: uml.cpp:569
+#: uml.cpp:578
 #, fuzzy, kde-format
 msgid "Z&oom to 100%"
 msgstr "झूम करा %1%%"
 
-#: uml.cpp:612
+#: uml.cpp:621
 #, fuzzy, kde-format
 msgid "&Move Tab Left"
 msgstr "टॅब डावीकडे हलवा"
 
-#: uml.cpp:613
+#: uml.cpp:622
 #, fuzzy, kde-format
 msgid "&Move Tab Right"
 msgstr "टॅब उजवीकडे हलवा"
 
-#: uml.cpp:636
+#: uml.cpp:645
 #, kde-format
 msgid "Select Diagram on Left"
 msgstr ""
 
-#: uml.cpp:637
+#: uml.cpp:646
 #, kde-format
 msgid "Select Diagram on Right"
 msgstr ""
 
-#: uml.cpp:776
+#: uml.cpp:785
 #, kde-format
 msgctxt "%1 percent value from 20 to 500"
 msgid " &%1%"
 msgstr ""
 
-#: uml.cpp:826
+#: uml.cpp:835
 #, fuzzy, kde-format
 msgctxt "init status bar"
 msgid "Ready"
 msgstr "तयार"
 
-#: uml.cpp:835 uml.cpp:848
+#: uml.cpp:844 uml.cpp:857
 #, kde-format
 msgid "100%"
 msgstr ""
 
-#: uml.cpp:840
+#: uml.cpp:849
 #, fuzzy, kde-format
 #| msgid "Filter"
 msgid "Fit"
 msgstr "गाळणी"
 
-#: uml.cpp:899
+#: uml.cpp:908
 #, kde-format
 msgid "Diagram Toolbar"
 msgstr ""
 
-#: uml.cpp:965
+#: uml.cpp:974
 #, fuzzy, kde-format
 msgid "Doc&umentation"
 msgstr "दस्तऐवजीकरण"
 
-#: uml.cpp:976
+#: uml.cpp:985
 #, kde-format
 msgid "Co&mmand history"
 msgstr ""
 
-#: uml.cpp:992
+#: uml.cpp:1001
 #, kde-format
 msgid "&Debug"
 msgstr ""
 
-#: uml.cpp:999
+#: uml.cpp:1008
 #, kde-format
 msgid "&Log"
 msgstr ""
 
-#: uml.cpp:1041 uml.cpp:1258 uml.cpp:1307
+#: uml.cpp:1050 uml.cpp:1267 uml.cpp:1316
 #, kde-format
 msgid "Opening file..."
 msgstr ""
 
-#: uml.cpp:1092 uml.cpp:1157 uml.cpp:1342 umldoc.cpp:342 umldoc.cpp:344
-#: umldoc.cpp:368 umldoc.cpp:3396
+#: uml.cpp:1101 uml.cpp:1166 uml.cpp:1351 umldoc.cpp:343 umldoc.cpp:345
+#: umldoc.cpp:369 umldoc.cpp:3405
 #, kde-format
 msgid "Untitled"
 msgstr "शिर्षकहीन"
 
-#: uml.cpp:1240
+#: uml.cpp:1249
 #, kde-format
 msgid "Creating new document..."
 msgstr ""
 
-#: uml.cpp:1266 uml.cpp:1281
+#: uml.cpp:1275 uml.cpp:1290
 #, kde-format
 msgid "Open File"
 msgstr "फाईल उघडा"
 
-#: uml.cpp:1270
+#: uml.cpp:1279
 #, kde-format
 msgid ""
 "*.xmi *.xmi.tgz *.xmi.tar.bz2 *.mdl *.zargo|All Supported Files (*.xmi, *."
@@ -7537,29 +7537,29 @@ msgid ""
 "*.zargo|Compressed argo Files(*.zargo)\n"
 msgstr ""
 
-#: uml.cpp:1341
+#: uml.cpp:1350
 #, kde-format
 msgid "Saving file..."
 msgstr ""
 
-#: uml.cpp:1358
+#: uml.cpp:1367
 #, kde-format
 msgid "Saving file with a new filename..."
 msgstr ""
 
-#: uml.cpp:1368 uml.cpp:1374 umlviewimageexporter.cpp:199
+#: uml.cpp:1377 uml.cpp:1383 umlviewimageexporter.cpp:199
 #, kde-format
 msgid "Save As"
 msgstr "असे साठवा"
 
-#: uml.cpp:1369
+#: uml.cpp:1378
 #, kde-format
 msgid ""
 "*.xmi | XMI File (*.xmi);;*.xmi.tgz | Gzip Compressed XMI File (*.xmi.tgz);;"
 "*.xmi.tar.bz2 | Bzip2 Compressed XMI File (*.xmi.tar.bz2);;* | All Files (*)"
 msgstr ""
 
-#: uml.cpp:1374
+#: uml.cpp:1383
 #, kde-format
 msgid ""
 "*.xmi|XMI File\n"
@@ -7568,112 +7568,112 @@ msgid ""
 "*|All Files"
 msgstr ""
 
-#: uml.cpp:1387
+#: uml.cpp:1396
 #, kde-format
 msgid ""
 "The file %1 exists.\n"
 "Do you wish to overwrite it?"
 msgstr ""
 
-#: uml.cpp:1388
+#: uml.cpp:1397
 #, fuzzy, kde-format
 msgid "Warning"
 msgstr "इशारा"
 
-#: uml.cpp:1388
+#: uml.cpp:1397
 #, fuzzy, kde-format
 msgid "Overwrite"
 msgstr "खोडून लिहा"
 
-#: uml.cpp:1422
+#: uml.cpp:1431
 #, kde-format
 msgid "Closing file..."
 msgstr ""
 
-#: uml.cpp:1432
+#: uml.cpp:1441
 #, kde-format
 msgid "No search term entered"
 msgstr ""
 
-#: uml.cpp:1438
+#: uml.cpp:1447
 #, kde-format
 msgid "'%1': %2 found"
 msgstr ""
 
-#: uml.cpp:1502
+#: uml.cpp:1511
 #, kde-format
 msgid "Print Preview..."
 msgstr "छपाई पूर्वावलोकन..."
 
-#: uml.cpp:1529
+#: uml.cpp:1538
 #, kde-format
 msgid "Printing..."
 msgstr "छपाई..."
 
-#: uml.cpp:1536 uml.cpp:1540
+#: uml.cpp:1545 uml.cpp:1549
 #, kde-format
 msgid "Print %1"
 msgstr "छापा %1"
 
-#: uml.cpp:1560
+#: uml.cpp:1569
 #, kde-format
 msgid "Exiting..."
 msgstr ""
 
-#: uml.cpp:1647
+#: uml.cpp:1656
 #, kde-format
 msgid "Cutting selection..."
 msgstr ""
 
-#: uml.cpp:1670
+#: uml.cpp:1679
 #, kde-format
 msgid "Copying selection to clipboard..."
 msgstr ""
 
-#: uml.cpp:1682
+#: uml.cpp:1691
 #, kde-format
 msgid "Inserting clipboard contents..."
 msgstr ""
 
-#: uml.cpp:1687
+#: uml.cpp:1696
 #, kde-format
 msgid ""
 "Umbrello could not paste the clipboard contents.  The objects in the "
 "clipboard may be of the wrong type to be pasted here."
 msgstr ""
 
-#: uml.cpp:1713 umlviewimageexporter.cpp:92 umlviewimageexporterall.cpp:123
+#: uml.cpp:1722 umlviewimageexporter.cpp:92 umlviewimageexporterall.cpp:123
 #, kde-format
 msgctxt "reset status bar"
 msgid "Ready."
 msgstr "तयार."
 
-#: uml.cpp:2246
+#: uml.cpp:2255
 #, kde-format
 msgid "Cannot view code until you generate some first."
 msgstr ""
 
-#: uml.cpp:2246 uml.cpp:2249
+#: uml.cpp:2255 uml.cpp:2258
 #, kde-format
 msgid "Cannot View Code"
 msgstr ""
 
-#: uml.cpp:2249
+#: uml.cpp:2258
 #, kde-format
 msgid "Cannot view code from simple code writer."
 msgstr ""
 
-#: uml.cpp:2714 uml.cpp:2716
+#: uml.cpp:2728 uml.cpp:2730
 #, kde-format
 msgid "Select file(s) to import:"
 msgstr ""
 
-#: uml.cpp:2747 uml.cpp:2749
+#: uml.cpp:2761 uml.cpp:2763
 #, kde-format
 msgid "Select directory to import:"
 msgstr ""
 
-#: uml.cpp:3313
+#: uml.cpp:3335
 #, kde-format
 msgid "XHTML Generation failed ."
 msgstr ""
@@ -7685,20 +7685,20 @@ msgid ""
 "it again."
 msgstr ""
 
-#: uml1model/folder.cpp:435
+#: uml1model/folder.cpp:436
 #, kde-format
 msgid "The folderfile %1 does not exist."
 msgstr ""
 
-#: uml1model/folder.cpp:435 uml1model/folder.cpp:439 umldoc.cpp:529
-#: umldoc.cpp:541 umldoc.cpp:568 umldoc.cpp:570 umldoc.cpp:620 umldoc.cpp:623
-#: umldoc.cpp:638 umldoc.cpp:641 umldoc.cpp:665 umldoc.cpp:668 umldoc.cpp:684
-#: umldoc.cpp:687 umldoc.cpp:702 umldoc.cpp:705 umldoc.cpp:750
+#: uml1model/folder.cpp:436 uml1model/folder.cpp:440 umldoc.cpp:530
+#: umldoc.cpp:542 umldoc.cpp:569 umldoc.cpp:571 umldoc.cpp:621 umldoc.cpp:624
+#: umldoc.cpp:639 umldoc.cpp:642 umldoc.cpp:666 umldoc.cpp:669 umldoc.cpp:685
+#: umldoc.cpp:688 umldoc.cpp:703 umldoc.cpp:706 umldoc.cpp:751
 #, kde-format
 msgid "Load Error"
 msgstr ""
 
-#: uml1model/folder.cpp:439
+#: uml1model/folder.cpp:440
 #, kde-format
 msgid "The folderfile %1 cannot be opened."
 msgstr ""
@@ -7708,13 +7708,13 @@ msgstr ""
 msgid "new_parameter"
 msgstr ""
 
-#: uml1model/package.cpp:163
+#: uml1model/package.cpp:169
 #, kde-format
 msgctxt "object name"
 msgid "Name"
 msgstr "नाव"
 
-#: uml1model/package.cpp:164
+#: uml1model/package.cpp:170
 #, kde-format
 msgid ""
 "An object with the name %1\n"
@@ -7737,83 +7737,83 @@ msgstr ""
 msgid "new_fkey_constraint"
 msgstr ""
 
-#: uml1model/umlobject.cpp:1140
+#: uml1model/umlobject.cpp:1141
 #, kde-format
 msgid "Actor &name:"
 msgstr ""
 
-#: uml1model/umlobject.cpp:1143
+#: uml1model/umlobject.cpp:1144
 #, kde-format
 msgid "Artifact &name:"
 msgstr ""
 
-#: uml1model/umlobject.cpp:1146
+#: uml1model/umlobject.cpp:1147
 #, fuzzy, kde-format
 #| msgctxt "NAME OF TRANSLATORS"
 #| msgid "Your names"
 msgid "Association &name:"
 msgstr "चेतन खोना"
 
-#: uml1model/umlobject.cpp:1149
+#: uml1model/umlobject.cpp:1150
 #, kde-format
 msgid "Class &name:"
 msgstr ""
 
-#: uml1model/umlobject.cpp:1152
+#: uml1model/umlobject.cpp:1153
 #, kde-format
 msgid "Component &name:"
 msgstr ""
 
-#: uml1model/umlobject.cpp:1155
+#: uml1model/umlobject.cpp:1156
 #, kde-format
 msgid "Datatype &name:"
 msgstr ""
 
-#: uml1model/umlobject.cpp:1158
+#: uml1model/umlobject.cpp:1159
 #, kde-format
 msgid "Entity &name:"
 msgstr ""
 
-#: uml1model/umlobject.cpp:1161
+#: uml1model/umlobject.cpp:1162
 #, kde-format
 msgid "Enum &name:"
 msgstr ""
 
-#: uml1model/umlobject.cpp:1164
+#: uml1model/umlobject.cpp:1165
 #, fuzzy, kde-format
 #| msgctxt "NAME OF TRANSLATORS"
 #| msgid "Your names"
 msgid "Folder &name:"
 msgstr "चेतन खोना"
 
-#: uml1model/umlobject.cpp:1167
+#: uml1model/umlobject.cpp:1168
 #, kde-format
 msgid "Interface &name:"
 msgstr ""
 
-#: uml1model/umlobject.cpp:1170
+#: uml1model/umlobject.cpp:1171
 #, kde-format
 msgid "Node &name:"
 msgstr ""
 
-#: uml1model/umlobject.cpp:1173
+#: uml1model/umlobject.cpp:1174
 #, kde-format
 msgid "Package &name:"
 msgstr ""
 
-#: uml1model/umlobject.cpp:1176
+#: uml1model/umlobject.cpp:1177
 #, fuzzy, kde-format
 #| msgctxt "NAME OF TRANSLATORS"
 #| msgid "Your names"
 msgid "Port &name:"
 msgstr "चेतन खोना"
 
-#: uml1model/umlobject.cpp:1182
+#: uml1model/umlobject.cpp:1183
 #, kde-format
 msgid "Use case &name:"
 msgstr ""
 
-#: uml1model/umlobject.cpp:1185
+#: uml1model/umlobject.cpp:1186
 #, kde-format
 msgid "Instance name:"
 msgstr ""
@@ -7836,332 +7836,332 @@ msgstr "चेतन खोना"
 msgid "Welcome"
 msgstr ""
 
-#: umldoc.cpp:112 umldoc.cpp:2400 umldoc.cpp:2428
+#: umldoc.cpp:113 umldoc.cpp:2405 umldoc.cpp:2433
 #, kde-format
 msgid "UML Model"
 msgstr ""
 
-#: umldoc.cpp:154
+#: umldoc.cpp:155
 #, kde-format
 msgid "Logical View"
 msgstr ""
 
-#: umldoc.cpp:155
+#: umldoc.cpp:156
 #, kde-format
 msgid "Use Case View"
 msgstr ""
 
-#: umldoc.cpp:156
+#: umldoc.cpp:157
 #, kde-format
 msgid "Component View"
 msgstr ""
 
-#: umldoc.cpp:157
+#: umldoc.cpp:158
 #, kde-format
 msgid "Deployment View"
 msgstr ""
 
-#: umldoc.cpp:158
+#: umldoc.cpp:159
 #, kde-format
 msgid "Entity Relationship Model"
 msgstr ""
 
-#: umldoc.cpp:184
+#: umldoc.cpp:185
 #, kde-format
 msgid "Datatypes"
 msgstr ""
 
-#: umldoc.cpp:363
+#: umldoc.cpp:364
 #, kde-format
 msgid ""
 "The current file has been modified.\n"
 "Do you want to save it?"
 msgstr ""
 
-#: umldoc.cpp:364
+#: umldoc.cpp:365
 #, fuzzy, kde-format
 msgctxt "warning message"
 msgid "Warning"
 msgstr "इशारा"
 
-#: umldoc.cpp:529
+#: umldoc.cpp:530
 #, kde-format
 msgid "The file <%1> does not exist."
 msgstr ""
 
-#: umldoc.cpp:541
+#: umldoc.cpp:542
 #, kde-format
 msgid "The file %1 does not exist."
 msgstr ""
 
-#: umldoc.cpp:568 umldoc.cpp:570
+#: umldoc.cpp:569 umldoc.cpp:571
 #, kde-format
 msgid "The file %1 seems to be corrupted."
 msgstr ""
 
-#: umldoc.cpp:619 umldoc.cpp:622 umldoc.cpp:637 umldoc.cpp:640 umldoc.cpp:683
-#: umldoc.cpp:686
+#: umldoc.cpp:620 umldoc.cpp:623 umldoc.cpp:638 umldoc.cpp:641 umldoc.cpp:684
+#: umldoc.cpp:687
 #, kde-format
 msgid "There was no XMI file found in the compressed file %1."
 msgstr ""
 
-#: umldoc.cpp:664 umldoc.cpp:667
+#: umldoc.cpp:665 umldoc.cpp:668
 #, kde-format
 msgid "There was a problem loading the extracted file: %1"
 msgstr ""
 
-#: umldoc.cpp:701 umldoc.cpp:704 umldoc.cpp:744 umldoc.cpp:746
+#: umldoc.cpp:702 umldoc.cpp:705 umldoc.cpp:745 umldoc.cpp:747
 #, kde-format
 msgid "There was a problem loading file: %1"
 msgstr ""
 
-#: umldoc.cpp:749
+#: umldoc.cpp:750
 #, kde-format
 msgid "Reason: %1"
 msgstr ""
 
-#: umldoc.cpp:832 umldoc.cpp:834 umldoc.cpp:851 umldoc.cpp:853 umldoc.cpp:873
-#: umldoc.cpp:875 umldoc.cpp:924 umldoc.cpp:926 umldoc.cpp:966 umldoc.cpp:969
-#: umldoc.cpp:978 umldoc.cpp:980 umllistview.cpp:593
+#: umldoc.cpp:833 umldoc.cpp:835 umldoc.cpp:852 umldoc.cpp:854 umldoc.cpp:874
+#: umldoc.cpp:876 umldoc.cpp:925 umldoc.cpp:927 umldoc.cpp:968 umldoc.cpp:971
+#: umldoc.cpp:980 umldoc.cpp:982 umllistview.cpp:594
 #, kde-format
 msgid "Save Error"
 msgstr ""
 
-#: umldoc.cpp:832 umldoc.cpp:851 umldoc.cpp:873 umldoc.cpp:924 umldoc.cpp:966
+#: umldoc.cpp:833 umldoc.cpp:852 umldoc.cpp:874 umldoc.cpp:925 umldoc.cpp:968
 #, kde-format
 msgid "There was a problem saving: %1"
 msgstr ""
 
-#: umldoc.cpp:834 umldoc.cpp:853 umldoc.cpp:875 umldoc.cpp:926 umldoc.cpp:969
-#: umllistview.cpp:592 umlviewimageexportermodel.cpp:303
+#: umldoc.cpp:835 umldoc.cpp:854 umldoc.cpp:876 umldoc.cpp:927 umldoc.cpp:971
+#: umllistview.cpp:593 umlviewimageexportermodel.cpp:303
 #, kde-format
 msgid "There was a problem saving file: %1"
 msgstr ""
 
-#: umldoc.cpp:978
+#: umldoc.cpp:980
 #, kde-format
 msgid "There was a problem uploading: %1"
 msgstr ""
 
-#: umldoc.cpp:980
+#: umldoc.cpp:982
 #, kde-format
 msgid "There was a problem uploading file: %1"
 msgstr ""
 
-#: umldoc.cpp:1526
+#: umldoc.cpp:1528
 #, kde-format
 msgid "use case diagram"
 msgstr ""
 
-#: umldoc.cpp:1529
+#: umldoc.cpp:1531
 #, kde-format
 msgid "class diagram"
 msgstr ""
 
-#: umldoc.cpp:1532
+#: umldoc.cpp:1534
 #, kde-format
 msgid "sequence diagram"
 msgstr ""
 
-#: umldoc.cpp:1535
+#: umldoc.cpp:1537
 #, kde-format
 msgid "communication diagram"
 msgstr ""
 
-#: umldoc.cpp:1538
+#: umldoc.cpp:1540
 #, fuzzy, kde-format
 msgid "object diagram"
 msgstr "काढून टाका (&D)"
 
-#: umldoc.cpp:1541
+#: umldoc.cpp:1543
 #, kde-format
 msgid "state diagram"
 msgstr ""
 
-#: umldoc.cpp:1544
+#: umldoc.cpp:1546
 #, kde-format
 msgid "activity diagram"
 msgstr ""
 
-#: umldoc.cpp:1547
+#: umldoc.cpp:1549
 #, kde-format
 msgid "component diagram"
 msgstr ""
 
-#: umldoc.cpp:1550
+#: umldoc.cpp:1552
 #, kde-format
 msgid "deployment diagram"
 msgstr ""
 
-#: umldoc.cpp:1553
+#: umldoc.cpp:1555
 #, kde-format
 msgid "entity relationship diagram"
 msgstr ""
 
-#: umldoc.cpp:1623
+#: umldoc.cpp:1625
 #, kde-format
 msgctxt "diagram name"
 msgid "Name"
 msgstr "नाव"
 
-#: umldoc.cpp:1623 umldoc.cpp:1686 umldoc.cpp:1715 umldoc.cpp:1749
+#: umldoc.cpp:1625 umldoc.cpp:1688 umldoc.cpp:1717 umldoc.cpp:1751
 #, kde-format
 msgid "Enter name:"
 msgstr ""
 
-#: umldoc.cpp:1627 umldoc.cpp:1692
+#: umldoc.cpp:1629 umldoc.cpp:1694
 #, kde-format
 msgid "That is an invalid name for a diagram."
 msgstr ""
 
-#: umldoc.cpp:1629 umldoc.cpp:1699
+#: umldoc.cpp:1631 umldoc.cpp:1701
 #, kde-format
 msgid "A diagram is already using that name."
 msgstr ""
 
-#: umldoc.cpp:1685
+#: umldoc.cpp:1687
 #, kde-format
 msgctxt "renaming diagram"
 msgid "Name"
 msgstr "नाव"
 
-#: umldoc.cpp:1714
+#: umldoc.cpp:1716
 #, kde-format
 msgctxt "renaming uml object"
 msgid "Name"
 msgstr "नाव"
 
-#: umldoc.cpp:1748
+#: umldoc.cpp:1750
 #, kde-format
 msgctxt "renaming child uml object"
 msgid "Name"
 msgstr "नाव"
 
-#: umldoc.cpp:1758
+#: umldoc.cpp:1760
 #, kde-format
 msgid ""
 "The name you entered was not unique.\n"
 "Is this what you wanted?"
 msgstr ""
 
-#: umldoc.cpp:1759
+#: umldoc.cpp:1761
 #, kde-format
 msgid "Use Name"
 msgstr ""
 
-#: umldoc.cpp:1759
+#: umldoc.cpp:1761
 #, kde-format
 msgid "Enter New Name"
 msgstr ""
 
-#: umldoc.cpp:2361
+#: umldoc.cpp:2366
 #, kde-format
 msgid "Unsupported xmi file version: %1"
 msgstr ""
 
-#: umldoc.cpp:2511
+#: umldoc.cpp:2516
 #, kde-format
 msgid "Setting up the document..."
 msgstr ""
 
-#: umldoc.cpp:2540
+#: umldoc.cpp:2545
 #, kde-format
 msgid "Resolving object references..."
 msgstr ""
 
-#: umldoc.cpp:2648
+#: umldoc.cpp:2653
 #, kde-format
 msgid "Loading UML elements..."
 msgstr ""
 
-#: umldoc.cpp:2892
+#: umldoc.cpp:2899
 #, kde-format
 msgid "Loading diagrams..."
 msgstr ""
 
-#: umldoc.cpp:3400
+#: umldoc.cpp:3409
 #, kde-format
 msgid "/autosave%1"
 msgstr ""
 
-#: umllistview.cpp:536 umllistview.cpp:540
+#: umllistview.cpp:537 umllistview.cpp:541
 #, kde-format
 msgid "Externalize Folder"
 msgstr ""
 
-#: umllistview.cpp:574
+#: umllistview.cpp:575
 #, kde-format
 msgid "Folder %1 must be relative to the main model directory, %2."
 msgstr ""
 
-#: umllistview.cpp:575
+#: umllistview.cpp:576
 #, kde-format
 msgid "Path Error"
 msgstr ""
 
-#: umllistview.cpp:583
+#: umllistview.cpp:584
 #, kde-format
 msgid ""
 "File %1 already exists!\n"
 "The existing file will be overwritten."
 msgstr ""
 
-#: umllistview.cpp:584
+#: umllistview.cpp:585
 #, kde-format
 msgid "File Exist"
 msgstr ""
 
-#: umllistview.cpp:624
+#: umllistview.cpp:625
 #, kde-format
 msgid "Enter Model Name"
 msgstr ""
 
-#: umllistview.cpp:625
+#: umllistview.cpp:626
 #, kde-format
 msgid "Enter the new name of the model:"
 msgstr ""
 
-#: umllistview.cpp:1422
+#: umllistview.cpp:1430
 #, kde-format
 msgid "Views"
 msgstr "दृश्य"
 
-#: umllistview.cpp:1441
+#: umllistview.cpp:1449
 #, fuzzy, kde-format
 msgid "Settings"
 msgstr "फॉन्ट संयोजना"
 
-#: umllistview.cpp:2413
+#: umllistview.cpp:2421
 #, kde-format
 msgid "Loading listview..."
 msgstr ""
 
-#: umllistview.cpp:2764
+#: umllistview.cpp:2772
 #, kde-format
 msgid "The class must be emptied before it can be deleted."
 msgstr ""
 
-#: umllistview.cpp:2765
+#: umllistview.cpp:2773
 #, kde-format
 msgid "Class Not Empty"
 msgstr ""
 
-#: umllistview.cpp:2769
+#: umllistview.cpp:2777
 #, kde-format
 msgid "The package must be emptied before it can be deleted."
 msgstr ""
 
-#: umllistview.cpp:2770
+#: umllistview.cpp:2778
 #, kde-format
 msgid "Package Not Empty"
 msgstr ""
 
-#: umllistview.cpp:2774
+#: umllistview.cpp:2782
 #, kde-format
 msgid "The folder must be emptied before it can be deleted."
 msgstr ""
 
-#: umllistview.cpp:2775
+#: umllistview.cpp:2783
 #, kde-format
 msgid "Folder Not Empty"
 msgstr ""
diff -pruN 4:20.08.3-1/po/nb/umbrello.po 4:20.12.0-0ubuntu1/po/nb/umbrello.po
--- 4:20.08.3-1/po/nb/umbrello.po	2020-11-03 00:42:16.000000000 +0000
+++ 4:20.12.0-0ubuntu1/po/nb/umbrello.po	2020-12-04 00:21:30.000000000 +0000
@@ -9,7 +9,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: umbrello\n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
-"POT-Creation-Date: 2020-08-14 08:09+0200\n"
+"POT-Creation-Date: 2020-11-06 02:36+0100\n"
 "PO-Revision-Date: 2014-04-28 19:43+0200\n"
 "Last-Translator: Bjørn Steensrud <bjornst@skogkatt.homelinux.org>\n"
 "Language-Team: Norwegian Bokmål <l10n-no@lister.huftis.org>\n"
@@ -213,7 +213,7 @@ msgstr ""
 "Minst ett av objektene på utklippstavla kunne ikke limes inn fordi det alt "
 "finnes en fil med det navnet. Alle andre objekter er blitt limt inn."
 
-#: clipboard/umlclipboard.cpp:753 uml.cpp:1689
+#: clipboard/umlclipboard.cpp:753 uml.cpp:1698
 #, kde-format
 msgid "Paste Error"
 msgstr "Feil ved innliming"
@@ -439,7 +439,7 @@ msgstr "<p align=\"center\">Kodegenereri
 #. i18n: ectx: attribute (title), widget (QWidget, ui_tabGeneral)
 #: codegenerators/cpp/cppcodegenerationformbase.ui:51
 #: codegenwizard/codegenoptionspage.ui:39 dialogs/objectnodedialog.cpp:135
-#: umllistview.cpp:1451
+#: umllistview.cpp:1459
 #, kde-format
 msgid "General"
 msgstr "Generelt"
@@ -1317,7 +1317,7 @@ msgstr "Tilstand"
 #. i18n: ectx: property (text), widget (QRadioButton, ui_categoryClass)
 #. i18n: ectx: property (text), widget (QTableWidget, ui_tableWidgetStatus)
 #: codegenwizard/codegenstatuspage.ui:40 codeimpwizard/codeimpstatuspage.ui:54
-#: dialogs/finddialog.ui:89 umllistview.cpp:1446 umlwidgets/widgetbase.cpp:1255
+#: dialogs/finddialog.ui:89 umllistview.cpp:1454 umlwidgets/widgetbase.cpp:1255
 #, kde-format
 msgid "Class"
 msgstr "Klasse"
@@ -1975,17 +1975,17 @@ msgstr ""
 msgid "Enable 'delete diagram' related messages"
 msgstr ""
 
-#: dialogs/dialog_utils.cpp:117
+#: dialogs/dialog_utils.cpp:118
 #, kde-format
 msgid "You are about to delete an association. Do you really want to continue?"
 msgstr ""
 
-#: dialogs/dialog_utils.cpp:118
+#: dialogs/dialog_utils.cpp:119
 #, kde-format
 msgid "Delete Association"
 msgstr ""
 
-#: dialogs/dialog_utils.cpp:132
+#: dialogs/dialog_utils.cpp:133
 #, kde-format
 msgid ""
 "You are about to delete the entire diagram.\n"
@@ -1994,17 +1994,17 @@ msgstr ""
 "Du er i ferd med å slette hele diagrammet.\n"
 "Er du sikker?"
 
-#: dialogs/dialog_utils.cpp:133
+#: dialogs/dialog_utils.cpp:134
 #, kde-format
 msgid "Are you sure you want to delete diagram %1?"
 msgstr "Er du sikker på at du vil slette diagrammet %1?"
 
-#: dialogs/dialog_utils.cpp:138
+#: dialogs/dialog_utils.cpp:139
 #, kde-format
 msgid "Delete Diagram?"
 msgstr "Slett diagram?"
 
-#: dialogs/dialog_utils.cpp:139 dialogs/pages/classifierlistpage.cpp:215
+#: dialogs/dialog_utils.cpp:140 dialogs/pages/classifierlistpage.cpp:215
 #: dialogs/pages/classifierlistpage.cpp:223
 #: dialogs/umlforeignkeyconstraintdialog.cpp:325
 #: dialogs/umlforeignkeyconstraintdialog.cpp:331
@@ -2169,7 +2169,7 @@ msgstr "Generelt"
 #. i18n: ectx: label, entry (uiFont), group (UI Options)
 #. i18n: ectx: label, entry (codeViewerFont), group (Code Viewer Options)
 #: dialogs/multipagedialogbase.cpp:405 umbrello.kcfg:177 umbrello.kcfg:292
-#: umllistview.cpp:1450
+#: umllistview.cpp:1458
 #, kde-format
 msgid "Font"
 msgstr "Skrift"
@@ -2610,7 +2610,7 @@ msgstr ""
 
 #: dialogs/pages/classifierlistpage.cpp:217
 #: dialogs/pages/classifierlistpage.cpp:225 dialogs/umloperationdialog.cpp:167
-#: dialogs/umloperationdialog.cpp:175 uml.cpp:554
+#: dialogs/umloperationdialog.cpp:175 uml.cpp:563
 #, kde-format
 msgid "&Properties"
 msgstr "&Egenskaper"
@@ -2628,7 +2628,7 @@ msgid "Source Code"
 msgstr "Kildekode"
 
 #: dialogs/pages/classoptionspage.cpp:157
-#: dialogs/pages/classoptionspage.cpp:251 uml.cpp:509
+#: dialogs/pages/classoptionspage.cpp:251 uml.cpp:518
 #, kde-format
 msgid "&Documentation"
 msgstr "&Dokumentasjon"
@@ -2815,8 +2815,8 @@ msgstr "Navnet du har oppgitt er ugyldig
 #: uml1model/classifier.cpp:410 uml1model/classifier.cpp:781
 #: uml1model/entity.cpp:125 uml1model/entity.cpp:178 uml1model/entity.cpp:228
 #: uml1model/entity.cpp:277 uml1model/enum.cpp:107 uml1model/instance.cpp:124
-#: uml1model/package.cpp:172 umldoc.cpp:1627 umldoc.cpp:1692 umldoc.cpp:1721
-#: umldoc.cpp:1755
+#: uml1model/package.cpp:178 umldoc.cpp:1629 umldoc.cpp:1694 umldoc.cpp:1723
+#: umldoc.cpp:1757
 #, kde-format
 msgid "Invalid Name"
 msgstr "Ugyldig navn"
@@ -2826,7 +2826,7 @@ msgstr "Ugyldig navn"
 msgid "The name you have entered is not unique."
 msgstr "Navnet du skrev inn var ikke unikt."
 
-#: dialogs/pages/diagrampropertiespage.cpp:86 umldoc.cpp:1759
+#: dialogs/pages/diagrampropertiespage.cpp:86 umldoc.cpp:1761
 #, kde-format
 msgid "Name Not Unique"
 msgstr "Navnet er ikke unikt"
@@ -3298,7 +3298,7 @@ msgstr ""
 msgid "Umbrello Setup"
 msgstr "Oppsett av Umbrello"
 
-#: dialogs/settingsdialog.cpp:114 umllistview.cpp:1452
+#: dialogs/settingsdialog.cpp:114 umllistview.cpp:1460
 #, kde-format
 msgid "User Interface"
 msgstr "Brukerflate"
@@ -3327,7 +3327,7 @@ msgstr "Klasse"
 msgid "Class Settings"
 msgstr "Innstillinger for klasser"
 
-#: dialogs/settingsdialog.cpp:137 umllistview.cpp:1447
+#: dialogs/settingsdialog.cpp:137 umllistview.cpp:1455
 #, kde-format
 msgid "Code Importer"
 msgstr "Kodeimporterer"
@@ -3337,7 +3337,7 @@ msgstr "Kodeimporterer"
 msgid "Code Import Settings"
 msgstr "Innstillinger for kodeimport"
 
-#: dialogs/settingsdialog.cpp:146 umllistview.cpp:1448
+#: dialogs/settingsdialog.cpp:146 umllistview.cpp:1456
 #, kde-format
 msgid "Code Generation"
 msgstr "Kodegenerering"
@@ -3347,7 +3347,7 @@ msgstr "Kodegenerering"
 msgid "Code Generation Settings"
 msgstr "Innstillinger for kodegenerering"
 
-#: dialogs/settingsdialog.cpp:154 umllistview.cpp:1449
+#: dialogs/settingsdialog.cpp:154 umllistview.cpp:1457
 #, kde-format
 msgid "Code Viewer"
 msgstr "Kodevisning"
@@ -3357,7 +3357,7 @@ msgstr "Kodevisning"
 msgid "Code Viewer Settings"
 msgstr "Innstillinger for kodevisning"
 
-#: dialogs/settingsdialog.cpp:161 umllistview.cpp:1445
+#: dialogs/settingsdialog.cpp:161 umllistview.cpp:1453
 #, kde-format
 msgid "Auto Layout"
 msgstr "Auto-utforming"
@@ -3993,7 +3993,7 @@ msgstr "&Type:"
 msgid "Package path:"
 msgstr "Pakkesti:"
 
-#: dialogs/widgets/umlstereotypewidget.cpp:29 uml1model/umlobject.cpp:1179
+#: dialogs/widgets/umlstereotypewidget.cpp:29 uml1model/umlobject.cpp:1180
 #, kde-format
 msgid "Stereotype &name:"
 msgstr ""
@@ -4147,7 +4147,7 @@ msgstr ""
 msgid "Gael de Chalendar (aka Kleag)"
 msgstr "Gael de Chalendar (aka Kleag)"
 
-#: docgenerators/main.cpp:56 main.cpp:131
+#: docgenerators/main.cpp:56 main.cpp:133
 #, kde-format
 msgid "Umbrello UML Modeller Authors"
 msgstr "Umbrello UML-modelleringsforfattere"
@@ -4209,12 +4209,12 @@ msgstr ""
 msgid "Apply layout"
 msgstr ""
 
-#: main.cpp:121
+#: main.cpp:123
 #, kde-format
 msgid "Umbrello UML Modeller"
 msgstr "Umbrello UML-modellerer"
 
-#: main.cpp:123
+#: main.cpp:125
 #, kde-format
 msgid ""
 "Umbrello – Visual development environment for software, based on the "
@@ -4222,104 +4222,104 @@ msgid ""
 "\"http://www.omg.org/spec/\">http://www.omg.org/spec/</a>."
 msgstr ""
 
-#: main.cpp:127
+#: main.cpp:129
 #, kde-format
 msgid ""
 "Copyright © 2001 Paul Hensgen,\n"
 "Copyright © 2002-2020 Umbrello UML Modeller Authors"
 msgstr ""
 
-#: main.cpp:130
+#: main.cpp:132
 #, kde-format
 msgid "Paul Hensgen"
 msgstr "Paul Hensgen"
 
-#: main.cpp:130
+#: main.cpp:132
 #, kde-format
 msgid "Author of initial version."
 msgstr ""
 
-#: main.cpp:134
+#: main.cpp:136
 #, kde-format
 msgid "Oliver Kellogg"
 msgstr ""
 
-#: main.cpp:135 main.cpp:138
+#: main.cpp:137 main.cpp:140
 #, kde-format
 msgid "Bug fixing, porting work, code cleanup, new features."
 msgstr ""
 
-#: main.cpp:137
+#: main.cpp:139
 #, kde-format
 msgid "Ralf Habacker"
 msgstr "Ralf Habacker"
 
-#: main.cpp:140
+#: main.cpp:142
 #, kde-format
 msgid "Andi Fischer"
 msgstr ""
 
-#: main.cpp:141
+#: main.cpp:143
 #, kde-format
 msgid "Porting work, code cleanup, new features."
 msgstr ""
 
-#: main.cpp:143
+#: main.cpp:145
 #, kde-format
 msgid "Jonathan Riddell"
 msgstr ""
 
-#: main.cpp:144
+#: main.cpp:146
 #, kde-format
 msgid "Current maintainer."
 msgstr ""
 
-#: main.cpp:146
+#: main.cpp:148
 #, kde-format
 msgid "Brian Thomas"
 msgstr ""
 
-#: main.cpp:147
+#: main.cpp:149
 #, kde-format
 msgid "A lot of work for C++ and Java code generation. Codeeditor."
 msgstr ""
 
-#: main.cpp:152
+#: main.cpp:154
 #, kde-format
 msgid "File to open"
 msgstr "Fil som skal åpnes"
 
-#: main.cpp:153
+#: main.cpp:155
 #, kde-format
 msgid "export diagrams to extension and exit"
 msgstr "eksporter diagrammer med filendelse og avslutt"
 
-#: main.cpp:154
+#: main.cpp:156
 #, kde-format
 msgid "list available export extensions"
 msgstr "list opp tilgjengelige eksport-endelser"
 
-#: main.cpp:155
+#: main.cpp:157
 #, kde-format
 msgid "the local directory to save the exported diagrams in"
 msgstr "den lokale mappa der eksporterte diagrammer skal lagres"
 
-#: main.cpp:155
+#: main.cpp:157
 #, kde-format
 msgid "the directory of the file"
 msgstr "mappe for fila"
 
-#: main.cpp:156
+#: main.cpp:158
 #, kde-format
 msgid "import files"
 msgstr "importerer filer"
 
-#: main.cpp:157
+#: main.cpp:159
 #, kde-format
 msgid "list supported languages"
 msgstr ""
 
-#: main.cpp:158
+#: main.cpp:160
 #, kde-format
 msgid ""
 "keep the tree structure used to store the views in the document in the "
@@ -4328,12 +4328,12 @@ msgstr ""
 "behold i målmappa den trestrukturen som er brukt i dokumentet for å lagre "
 "visningene"
 
-#: main.cpp:159
+#: main.cpp:161
 #, kde-format
 msgid "import files from directory <dir>"
 msgstr ""
 
-#: main.cpp:163
+#: main.cpp:165
 #, kde-format
 msgid "set active language"
 msgstr ""
@@ -4597,7 +4597,7 @@ msgstr ""
 msgid "Import File(s)..."
 msgstr "Importer fil(er) …"
 
-#: menus/listpopupmenu.cpp:201 uml.cpp:356
+#: menus/listpopupmenu.cpp:201 uml.cpp:365
 #, kde-format
 msgid "Import from Directory..."
 msgstr ""
@@ -5098,42 +5098,42 @@ msgctxt "align menu"
 msgid "Align"
 msgstr "Rett inn"
 
-#: menus/widgetbasepopupmenu.cpp:598 uml.cpp:573
+#: menus/widgetbasepopupmenu.cpp:598 uml.cpp:582
 #, kde-format
 msgid "Align Right"
 msgstr "Høyrejuster"
 
-#: menus/widgetbasepopupmenu.cpp:599 uml.cpp:578
+#: menus/widgetbasepopupmenu.cpp:599 uml.cpp:587
 #, kde-format
 msgid "Align Left"
 msgstr "Venstrejuster"
 
-#: menus/widgetbasepopupmenu.cpp:600 uml.cpp:583
+#: menus/widgetbasepopupmenu.cpp:600 uml.cpp:592
 #, kde-format
 msgid "Align Top"
 msgstr "Toppjuster"
 
-#: menus/widgetbasepopupmenu.cpp:601 uml.cpp:588
+#: menus/widgetbasepopupmenu.cpp:601 uml.cpp:597
 #, kde-format
 msgid "Align Bottom"
 msgstr "Bunnjuster"
 
-#: menus/widgetbasepopupmenu.cpp:603 uml.cpp:593
+#: menus/widgetbasepopupmenu.cpp:603 uml.cpp:602
 #, kde-format
 msgid "Align Vertical Middle"
 msgstr "Midtstill loddrett"
 
-#: menus/widgetbasepopupmenu.cpp:604 uml.cpp:598
+#: menus/widgetbasepopupmenu.cpp:604 uml.cpp:607
 #, kde-format
 msgid "Align Horizontal Middle"
 msgstr "Midtstill vannrett"
 
-#: menus/widgetbasepopupmenu.cpp:605 uml.cpp:603
+#: menus/widgetbasepopupmenu.cpp:605 uml.cpp:612
 #, kde-format
 msgid "Align Vertical Distribute"
 msgstr "Rett inn fordelt loddrett"
 
-#: menus/widgetbasepopupmenu.cpp:606 uml.cpp:608
+#: menus/widgetbasepopupmenu.cpp:606 uml.cpp:617
 #, kde-format
 msgid "Align Horizontal Distribute"
 msgstr "Rett inn fordelt vannrett"
@@ -5939,8 +5939,8 @@ msgstr "Bruk"
 #: object_factory.cpp:251 uml1model/classifier.cpp:410
 #: uml1model/classifier.cpp:781 uml1model/entity.cpp:125
 #: uml1model/entity.cpp:178 uml1model/entity.cpp:228 uml1model/entity.cpp:277
-#: uml1model/enum.cpp:107 uml1model/instance.cpp:124 uml1model/package.cpp:171
-#: umldoc.cpp:1721 umldoc.cpp:1755
+#: uml1model/enum.cpp:107 uml1model/instance.cpp:124 uml1model/package.cpp:177
+#: umldoc.cpp:1723 umldoc.cpp:1757
 #, kde-format
 msgid "That is an invalid name."
 msgstr "Det er et ugyldig navn:"
@@ -5961,7 +5961,7 @@ msgstr "Reservert nøkkelord"
 #: object_factory.cpp:264 uml1model/classifier.cpp:413
 #: uml1model/classifier.cpp:783 uml1model/entity.cpp:127
 #: uml1model/entity.cpp:180 uml1model/entity.cpp:230 uml1model/entity.cpp:279
-#: uml1model/instance.cpp:126 umldoc.cpp:1727 umldoc.cpp:1764
+#: uml1model/instance.cpp:126 umldoc.cpp:1729 umldoc.cpp:1766
 #, kde-format
 msgid "That name is already being used."
 msgstr "Navnet er allerede i bruk."
@@ -5969,8 +5969,8 @@ msgstr "Navnet er allerede i bruk."
 #: object_factory.cpp:265 uml1model/classifier.cpp:413
 #: uml1model/classifier.cpp:783 uml1model/entity.cpp:127
 #: uml1model/entity.cpp:180 uml1model/entity.cpp:230 uml1model/entity.cpp:279
-#: uml1model/instance.cpp:126 umldoc.cpp:1629 umldoc.cpp:1699 umldoc.cpp:1727
-#: umldoc.cpp:1764
+#: uml1model/instance.cpp:126 umldoc.cpp:1631 umldoc.cpp:1701 umldoc.cpp:1729
+#: umldoc.cpp:1766
 #, kde-format
 msgid "Not a Unique Name"
 msgstr "Navnet er ikke unikt"
@@ -6031,12 +6031,12 @@ msgstr "Et attributt med det navnet finn
 msgid "Choose a different name."
 msgstr "Velg et annet navn."
 
-#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:266
+#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:273
 #, kde-format
 msgid "Incorrect use of associations."
 msgstr "Feil bruk av assosiasjoner."
 
-#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:266
+#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:273
 #, kde-format
 msgid "Association Error"
 msgstr "Assosiasjonsfeil"
@@ -7204,189 +7204,189 @@ msgstr ""
 msgid "&Settings"
 msgstr ""
 
-#: uml.cpp:332
+#: uml.cpp:341
 #, kde-format
 msgid "&Export model to DocBook"
 msgstr "&Eksporter modell til DocBook"
 
-#: uml.cpp:336
+#: uml.cpp:345
 #, kde-format
 msgid "&Export model to XHTML"
 msgstr "&Eksporter modell til XHTML"
 
-#: uml.cpp:340
+#: uml.cpp:349
 #, kde-format
 msgid "&New Class Wizard..."
 msgstr "&Ny klasseveiviser …"
 
-#: uml.cpp:344
+#: uml.cpp:353
 #, kde-format
 msgid "&Add Default Datatypes for Active Language"
 msgstr "&Legg til standard datatyper for det aktive språket"
 
-#: uml.cpp:351
+#: uml.cpp:360
 #, kde-format
 msgid "Code &Importing Wizard..."
 msgstr "Veiviser for kode&importering …"
 
-#: uml.cpp:361
+#: uml.cpp:370
 #, kde-format
 msgid "&Code Generation Wizard..."
 msgstr "&Veiviser for kodegenerering …"
 
-#: uml.cpp:366
+#: uml.cpp:375
 #, kde-format
 msgid "&Generate All Code"
 msgstr "&Generer all kode"
 
-#: uml.cpp:411
+#: uml.cpp:420
 #, kde-format
 msgid "Creates a new document"
 msgstr "Lager et nytt dokument"
 
-#: uml.cpp:412
+#: uml.cpp:421
 #, kde-format
 msgid "Opens an existing document"
 msgstr "Åpner et eksisterende dokument"
 
-#: uml.cpp:413
+#: uml.cpp:422
 #, kde-format
 msgid "Opens a recently used file"
 msgstr "Åpner en nylig brukt fil"
 
-#: uml.cpp:414
+#: uml.cpp:423
 #, kde-format
 msgid "Saves the document"
 msgstr "Lagrer dokumentet"
 
-#: uml.cpp:415
+#: uml.cpp:424
 #, kde-format
 msgid "Saves the document as..."
 msgstr "Lagrer dokumentet som …"
 
-#: uml.cpp:416
+#: uml.cpp:425
 #, kde-format
 msgid "Closes the document"
 msgstr "Lukker dokumentet"
 
-#: uml.cpp:417
+#: uml.cpp:426
 #, kde-format
 msgid "Prints out the document"
 msgstr "Skriver ut dokumentet"
 
-#: uml.cpp:418
+#: uml.cpp:427
 #, kde-format
 msgid "Print Preview of the document"
 msgstr "Skriv ut forhåndsvisning av dokumentet"
 
-#: uml.cpp:419
+#: uml.cpp:428
 #, kde-format
 msgid "Quits the application"
 msgstr "Avslutter programmet"
 
-#: uml.cpp:420
+#: uml.cpp:429
 #, kde-format
 msgid "Exports the model to the docbook format"
 msgstr "Eksporterer modellen til docbook-formatet"
 
-#: uml.cpp:421
+#: uml.cpp:430
 #, kde-format
 msgid "Exports the model to the XHTML format"
 msgstr "Eksporterer modellen til  XHTML-format"
 
-#: uml.cpp:422
+#: uml.cpp:431
 #, kde-format
 msgid "Cuts the selected section and puts it to the clipboard"
 msgstr "Klipper ut utvalget og legger det på utklippstavla"
 
-#: uml.cpp:423
+#: uml.cpp:432
 #, kde-format
 msgid "Copies the selected section to the clipboard"
 msgstr "Kopierer det valgte utvalgte til utklippstavla"
 
-#: uml.cpp:424
+#: uml.cpp:433
 #, kde-format
 msgid "Pastes the contents of the clipboard"
 msgstr "Limer inn innholdet fra utklippstavla"
 
-#: uml.cpp:425
+#: uml.cpp:434
 #, kde-format
 msgid "Set the default program preferences"
 msgstr "Angi standardinnstillinger for programmet"
 
 # unreviewed-context
-#: uml.cpp:429
+#: uml.cpp:438
 #, kde-format
 msgctxt "delete selected widget"
 msgid "Delete &Selected"
 msgstr "Slett &valgte"
 
-#: uml.cpp:440
+#: uml.cpp:449
 #, kde-format
 msgid "&Class Diagram..."
 msgstr "&Klassediagram …"
 
-#: uml.cpp:447
+#: uml.cpp:456
 #, kde-format
 msgid "&Object Diagram..."
 msgstr ""
 
-#: uml.cpp:454
+#: uml.cpp:463
 #, kde-format
 msgid "&Sequence Diagram..."
 msgstr "&Sekvensdiagram …"
 
-#: uml.cpp:460
+#: uml.cpp:469
 #, kde-format
 msgid "C&ommunication Diagram..."
 msgstr ""
 
-#: uml.cpp:466
+#: uml.cpp:475
 #, kde-format
 msgid "&Use Case Diagram..."
 msgstr "Br&ukstilfelle-diagram …"
 
-#: uml.cpp:472
+#: uml.cpp:481
 #, kde-format
 msgid "S&tate Diagram..."
 msgstr "&Tilstandsdiagram …"
 
-#: uml.cpp:478
+#: uml.cpp:487
 #, kde-format
 msgid "&Activity Diagram..."
 msgstr "&Aktivitetsdiagram …"
 
-#: uml.cpp:484
+#: uml.cpp:493
 #, kde-format
 msgid "Co&mponent Diagram..."
 msgstr "&Komponentdiagram …"
 
-#: uml.cpp:490
+#: uml.cpp:499
 #, kde-format
 msgid "&Deployment Diagram..."
 msgstr "Utplasserings&diagram …"
 
-#: uml.cpp:496
+#: uml.cpp:505
 #, kde-format
 msgid "&Entity Relationship Diagram..."
 msgstr "&Entitetrelasjonsdiagram …"
 
-#: uml.cpp:501 uml.cpp:954
+#: uml.cpp:510 uml.cpp:963
 #, kde-format
 msgid "&Tree View"
 msgstr "&Trevisning"
 
-#: uml.cpp:505
+#: uml.cpp:514
 #, kde-format
 msgid "&Debugging"
 msgstr "&Feilsøking"
 
-#: uml.cpp:513
+#: uml.cpp:522
 #, kde-format
 msgid "&Logging"
 msgstr "&Logging"
 
-#: uml.cpp:517
+#: uml.cpp:526
 #, kde-format
 msgid "&Command history"
 msgstr "Historie over ko&mmandoer"
@@ -7395,135 +7395,135 @@ msgstr "Historie over ko&mmandoer"
 #. m_propertyDock->setObjectName(QLatin1String("PropertyDock"));
 #. addDockWidget(Qt::LeftDockWidgetArea, m_propertyDock);  //:TODO:
 #. create the bird's eye view
-#: uml.cpp:521 uml.cpp:1011
+#: uml.cpp:530 uml.cpp:1020
 #, kde-format
 msgid "&Bird's eye view"
 msgstr ""
 
-#: uml.cpp:526
+#: uml.cpp:535
 #, kde-format
 msgid "&Clear Diagram"
 msgstr "&Rensk diagram …"
 
-#: uml.cpp:530
+#: uml.cpp:539
 #, kde-format
 msgid "&Snap to Grid"
 msgstr "&Fest til rutenett"
 
-#: uml.cpp:534
+#: uml.cpp:543
 #, kde-format
 msgid "S&how Grid"
 msgstr "&Vis rutenett"
 
-#: uml.cpp:539
+#: uml.cpp:548
 #, kde-format
 msgid "&Delete Diagram"
 msgstr "Slett &diagram"
 
-#: uml.cpp:544
+#: uml.cpp:553
 #, kde-format
 msgid "&Export as Picture..."
 msgstr "&Eksporter som bilde …"
 
-#: uml.cpp:549
+#: uml.cpp:558
 #, kde-format
 msgid "Export &Diagrams as Pictures..."
 msgstr ""
 
-#: uml.cpp:569
+#: uml.cpp:578
 #, kde-format
 msgid "Z&oom to 100%"
 msgstr "S&kaler til 100 %"
 
-#: uml.cpp:612
+#: uml.cpp:621
 #, kde-format
 msgid "&Move Tab Left"
 msgstr "&Flytt fane til venstre"
 
-#: uml.cpp:613
+#: uml.cpp:622
 #, kde-format
 msgid "&Move Tab Right"
 msgstr "&Flytt fane til høyre"
 
-#: uml.cpp:636
+#: uml.cpp:645
 #, kde-format
 msgid "Select Diagram on Left"
 msgstr "Velg diagrammet til venstre"
 
-#: uml.cpp:637
+#: uml.cpp:646
 #, kde-format
 msgid "Select Diagram on Right"
 msgstr "Velg diagrammet til høyre"
 
-#: uml.cpp:776
+#: uml.cpp:785
 #, kde-format
 msgctxt "%1 percent value from 20 to 500"
 msgid " &%1%"
 msgstr ""
 
-#: uml.cpp:826
+#: uml.cpp:835
 #, kde-format
 msgctxt "init status bar"
 msgid "Ready"
 msgstr "Klar"
 
-#: uml.cpp:835 uml.cpp:848
+#: uml.cpp:844 uml.cpp:857
 #, kde-format
 msgid "100%"
 msgstr "100%"
 
-#: uml.cpp:840
+#: uml.cpp:849
 #, kde-format
 msgid "Fit"
 msgstr "Tilpass"
 
-#: uml.cpp:899
+#: uml.cpp:908
 #, kde-format
 msgid "Diagram Toolbar"
 msgstr "Verktøylinje for diagrammer"
 
-#: uml.cpp:965
+#: uml.cpp:974
 #, kde-format
 msgid "Doc&umentation"
 msgstr "Dok&umentasjon"
 
-#: uml.cpp:976
+#: uml.cpp:985
 #, kde-format
 msgid "Co&mmand history"
 msgstr "Historie over ko&mmandoer"
 
-#: uml.cpp:992
+#: uml.cpp:1001
 #, kde-format
 msgid "&Debug"
 msgstr "&Feilsøk"
 
-#: uml.cpp:999
+#: uml.cpp:1008
 #, kde-format
 msgid "&Log"
 msgstr "&Logg"
 
-#: uml.cpp:1041 uml.cpp:1258 uml.cpp:1307
+#: uml.cpp:1050 uml.cpp:1267 uml.cpp:1316
 #, kde-format
 msgid "Opening file..."
 msgstr "Åpner fil …"
 
-#: uml.cpp:1092 uml.cpp:1157 uml.cpp:1342 umldoc.cpp:342 umldoc.cpp:344
-#: umldoc.cpp:368 umldoc.cpp:3396
+#: uml.cpp:1101 uml.cpp:1166 uml.cpp:1351 umldoc.cpp:343 umldoc.cpp:345
+#: umldoc.cpp:369 umldoc.cpp:3405
 #, kde-format
 msgid "Untitled"
 msgstr "Uten tittel"
 
-#: uml.cpp:1240
+#: uml.cpp:1249
 #, kde-format
 msgid "Creating new document..."
 msgstr "Oppretter nytt dokument …"
 
-#: uml.cpp:1266 uml.cpp:1281
+#: uml.cpp:1275 uml.cpp:1290
 #, kde-format
 msgid "Open File"
 msgstr "Åpne fil"
 
-#: uml.cpp:1270
+#: uml.cpp:1279
 #, kde-format
 msgid ""
 "*.xmi *.xmi.tgz *.xmi.tar.bz2 *.mdl *.zargo|All Supported Files (*.xmi, *."
@@ -7535,29 +7535,29 @@ msgid ""
 "*.zargo|Compressed argo Files(*.zargo)\n"
 msgstr ""
 
-#: uml.cpp:1341
+#: uml.cpp:1350
 #, kde-format
 msgid "Saving file..."
 msgstr "Lagrer fil …"
 
-#: uml.cpp:1358
+#: uml.cpp:1367
 #, kde-format
 msgid "Saving file with a new filename..."
 msgstr "Lagrer fil med nytt filnavn …"
 
-#: uml.cpp:1368 uml.cpp:1374 umlviewimageexporter.cpp:199
+#: uml.cpp:1377 uml.cpp:1383 umlviewimageexporter.cpp:199
 #, kde-format
 msgid "Save As"
 msgstr "Lagre som"
 
-#: uml.cpp:1369
+#: uml.cpp:1378
 #, kde-format
 msgid ""
 "*.xmi | XMI File (*.xmi);;*.xmi.tgz | Gzip Compressed XMI File (*.xmi.tgz);;"
 "*.xmi.tar.bz2 | Bzip2 Compressed XMI File (*.xmi.tar.bz2);;* | All Files (*)"
 msgstr ""
 
-#: uml.cpp:1374
+#: uml.cpp:1383
 #, kde-format
 msgid ""
 "*.xmi|XMI File\n"
@@ -7570,7 +7570,7 @@ msgstr ""
 "*.xmi.tar.bz2|Bzip2-komprimert XMI-fil\n"
 "*|Alle filer"
 
-#: uml.cpp:1387
+#: uml.cpp:1396
 #, kde-format
 msgid ""
 "The file %1 exists.\n"
@@ -7579,67 +7579,67 @@ msgstr ""
 "Fila %1 finnes.\n"
 "Vil du overskrive den?"
 
-#: uml.cpp:1388
+#: uml.cpp:1397
 #, kde-format
 msgid "Warning"
 msgstr "Advarsel"
 
-#: uml.cpp:1388
+#: uml.cpp:1397
 #, kde-format
 msgid "Overwrite"
 msgstr "Overskriv"
 
-#: uml.cpp:1422
+#: uml.cpp:1431
 #, kde-format
 msgid "Closing file..."
 msgstr "Lukker fil …"
 
-#: uml.cpp:1432
+#: uml.cpp:1441
 #, kde-format
 msgid "No search term entered"
 msgstr "Ikke oppgitt noe søkebegrep"
 
-#: uml.cpp:1438
+#: uml.cpp:1447
 #, fuzzy, kde-format
 msgid "'%1': %2 found"
 msgstr "«%1» : %2 funn"
 
-#: uml.cpp:1502
+#: uml.cpp:1511
 #, kde-format
 msgid "Print Preview..."
 msgstr "Skriv ut forhåndsvisning …"
 
-#: uml.cpp:1529
+#: uml.cpp:1538
 #, kde-format
 msgid "Printing..."
 msgstr "Skriver ut …"
 
-#: uml.cpp:1536 uml.cpp:1540
+#: uml.cpp:1545 uml.cpp:1549
 #, kde-format
 msgid "Print %1"
 msgstr "Skriv ut %1"
 
-#: uml.cpp:1560
+#: uml.cpp:1569
 #, kde-format
 msgid "Exiting..."
 msgstr "Avslutter …"
 
-#: uml.cpp:1647
+#: uml.cpp:1656
 #, kde-format
 msgid "Cutting selection..."
 msgstr "Klipper ut utvalg …"
 
-#: uml.cpp:1670
+#: uml.cpp:1679
 #, kde-format
 msgid "Copying selection to clipboard..."
 msgstr "Kopier utvalg til utklippstavle …"
 
-#: uml.cpp:1682
+#: uml.cpp:1691
 #, kde-format
 msgid "Inserting clipboard contents..."
 msgstr "Sett inn innhold fra utklippstavla …"
 
-#: uml.cpp:1687
+#: uml.cpp:1696
 #, kde-format
 msgid ""
 "Umbrello could not paste the clipboard contents.  The objects in the "
@@ -7649,38 +7649,38 @@ msgstr ""
 "utklippstavla kan være av en annen type enn den som kan limes inn her."
 
 # unreviewed-context
-#: uml.cpp:1713 umlviewimageexporter.cpp:92 umlviewimageexporterall.cpp:123
+#: uml.cpp:1722 umlviewimageexporter.cpp:92 umlviewimageexporterall.cpp:123
 #, kde-format
 msgctxt "reset status bar"
 msgid "Ready."
 msgstr "Klar."
 
-#: uml.cpp:2246
+#: uml.cpp:2255
 #, kde-format
 msgid "Cannot view code until you generate some first."
 msgstr "Kan ikke vise kode før du har laget noe først."
 
-#: uml.cpp:2246 uml.cpp:2249
+#: uml.cpp:2255 uml.cpp:2258
 #, kde-format
 msgid "Cannot View Code"
 msgstr "Kan ikke vise kode"
 
-#: uml.cpp:2249
+#: uml.cpp:2258
 #, kde-format
 msgid "Cannot view code from simple code writer."
 msgstr "Kan ikke vise kode fra enkel kodeskriver."
 
-#: uml.cpp:2714 uml.cpp:2716
+#: uml.cpp:2728 uml.cpp:2730
 #, kde-format
 msgid "Select file(s) to import:"
 msgstr "Velg fil(er) som skal importeres:"
 
-#: uml.cpp:2747 uml.cpp:2749
+#: uml.cpp:2761 uml.cpp:2763
 #, kde-format
 msgid "Select directory to import:"
 msgstr "Velg mappe som skal importeres:"
 
-#: uml.cpp:3313
+#: uml.cpp:3335
 #, kde-format
 msgid "XHTML Generation failed ."
 msgstr "XHTML-generering mislyktes."
@@ -7694,20 +7694,20 @@ msgstr ""
 "Det finnes allerede en operasjon med dette navnet og signaturen. Du kan ikke "
 "legge den til igjen."
 
-#: uml1model/folder.cpp:435
+#: uml1model/folder.cpp:436
 #, kde-format
 msgid "The folderfile %1 does not exist."
 msgstr "Mappefila %1 finnes ikke."
 
-#: uml1model/folder.cpp:435 uml1model/folder.cpp:439 umldoc.cpp:529
-#: umldoc.cpp:541 umldoc.cpp:568 umldoc.cpp:570 umldoc.cpp:620 umldoc.cpp:623
-#: umldoc.cpp:638 umldoc.cpp:641 umldoc.cpp:665 umldoc.cpp:668 umldoc.cpp:684
-#: umldoc.cpp:687 umldoc.cpp:702 umldoc.cpp:705 umldoc.cpp:750
+#: uml1model/folder.cpp:436 uml1model/folder.cpp:440 umldoc.cpp:530
+#: umldoc.cpp:542 umldoc.cpp:569 umldoc.cpp:571 umldoc.cpp:621 umldoc.cpp:624
+#: umldoc.cpp:639 umldoc.cpp:642 umldoc.cpp:666 umldoc.cpp:669 umldoc.cpp:685
+#: umldoc.cpp:688 umldoc.cpp:703 umldoc.cpp:706 umldoc.cpp:751
 #, kde-format
 msgid "Load Error"
 msgstr "Innlastingsfeil"
 
-#: uml1model/folder.cpp:439
+#: uml1model/folder.cpp:440
 #, kde-format
 msgid "The folderfile %1 cannot be opened."
 msgstr "Mappefila %1 kan ikke åpnes."
@@ -7718,13 +7718,13 @@ msgid "new_parameter"
 msgstr "ny_parameter"
 
 # unreviewed-context
-#: uml1model/package.cpp:163
+#: uml1model/package.cpp:169
 #, kde-format
 msgctxt "object name"
 msgid "Name"
 msgstr "Navn"
 
-#: uml1model/package.cpp:164
+#: uml1model/package.cpp:170
 #, kde-format
 msgid ""
 "An object with the name %1\n"
@@ -7750,77 +7750,77 @@ msgstr "nytt_felt"
 msgid "new_fkey_constraint"
 msgstr "ny_fkey_skranke"
 
-#: uml1model/umlobject.cpp:1140
+#: uml1model/umlobject.cpp:1141
 #, kde-format
 msgid "Actor &name:"
 msgstr "Aktør&navn:"
 
-#: uml1model/umlobject.cpp:1143
+#: uml1model/umlobject.cpp:1144
 #, kde-format
 msgid "Artifact &name:"
 msgstr "Artifakt-&navn:"
 
-#: uml1model/umlobject.cpp:1146
+#: uml1model/umlobject.cpp:1147
 #, kde-format
 msgid "Association &name:"
 msgstr ""
 
-#: uml1model/umlobject.cpp:1149
+#: uml1model/umlobject.cpp:1150
 #, kde-format
 msgid "Class &name:"
 msgstr "Klasse&navn:"
 
-#: uml1model/umlobject.cpp:1152
+#: uml1model/umlobject.cpp:1153
 #, kde-format
 msgid "Component &name:"
 msgstr "Komponent&navn:"
 
-#: uml1model/umlobject.cpp:1155
+#: uml1model/umlobject.cpp:1156
 #, kde-format
 msgid "Datatype &name:"
 msgstr "Datatype-&navn:"
 
-#: uml1model/umlobject.cpp:1158
+#: uml1model/umlobject.cpp:1159
 #, kde-format
 msgid "Entity &name:"
 msgstr "Entitets&navn:"
 
-#: uml1model/umlobject.cpp:1161
+#: uml1model/umlobject.cpp:1162
 #, kde-format
 msgid "Enum &name:"
 msgstr "Enum-&navn:"
 
-#: uml1model/umlobject.cpp:1164
+#: uml1model/umlobject.cpp:1165
 #, kde-format
 msgid "Folder &name:"
 msgstr ""
 
-#: uml1model/umlobject.cpp:1167
+#: uml1model/umlobject.cpp:1168
 #, kde-format
 msgid "Interface &name:"
 msgstr "Grensesnitt-&navn:"
 
-#: uml1model/umlobject.cpp:1170
+#: uml1model/umlobject.cpp:1171
 #, kde-format
 msgid "Node &name:"
 msgstr "Node&navn:"
 
-#: uml1model/umlobject.cpp:1173
+#: uml1model/umlobject.cpp:1174
 #, kde-format
 msgid "Package &name:"
 msgstr "Pakke&navn:"
 
-#: uml1model/umlobject.cpp:1176
+#: uml1model/umlobject.cpp:1177
 #, kde-format
 msgid "Port &name:"
 msgstr ""
 
-#: uml1model/umlobject.cpp:1182
+#: uml1model/umlobject.cpp:1183
 #, kde-format
 msgid "Use case &name:"
 msgstr "Bruksmønster-&navn:"
 
-#: uml1model/umlobject.cpp:1185
+#: uml1model/umlobject.cpp:1186
 #, kde-format
 msgid "Instance name:"
 msgstr "Instansnavn:"
@@ -7840,42 +7840,42 @@ msgstr ""
 msgid "Welcome"
 msgstr "Velkommen"
 
-#: umldoc.cpp:112 umldoc.cpp:2400 umldoc.cpp:2428
+#: umldoc.cpp:113 umldoc.cpp:2405 umldoc.cpp:2433
 #, kde-format
 msgid "UML Model"
 msgstr "UML-modell"
 
-#: umldoc.cpp:154
+#: umldoc.cpp:155
 #, kde-format
 msgid "Logical View"
 msgstr "Logisk visning"
 
-#: umldoc.cpp:155
+#: umldoc.cpp:156
 #, kde-format
 msgid "Use Case View"
 msgstr "Brukstilfelle-visning"
 
-#: umldoc.cpp:156
+#: umldoc.cpp:157
 #, kde-format
 msgid "Component View"
 msgstr "Komponentvisning"
 
-#: umldoc.cpp:157
+#: umldoc.cpp:158
 #, kde-format
 msgid "Deployment View"
 msgstr "Utplasseringsvisning"
 
-#: umldoc.cpp:158
+#: umldoc.cpp:159
 #, kde-format
 msgid "Entity Relationship Model"
 msgstr "Entitetsrelasjonmodell"
 
-#: umldoc.cpp:184
+#: umldoc.cpp:185
 #, kde-format
 msgid "Datatypes"
 msgstr "Datatyper"
 
-#: umldoc.cpp:363
+#: umldoc.cpp:364
 #, kde-format
 msgid ""
 "The current file has been modified.\n"
@@ -7884,170 +7884,170 @@ msgstr ""
 "Den gjeldende fila er endret.\n"
 "Vil du lagre den?"
 
-#: umldoc.cpp:364
+#: umldoc.cpp:365
 #, kde-format
 msgctxt "warning message"
 msgid "Warning"
 msgstr "Advarsel"
 
-#: umldoc.cpp:529
+#: umldoc.cpp:530
 #, kde-format
 msgid "The file <%1> does not exist."
 msgstr ""
 
-#: umldoc.cpp:541
+#: umldoc.cpp:542
 #, kde-format
 msgid "The file %1 does not exist."
 msgstr "Fila %1 finnes ikke."
 
-#: umldoc.cpp:568 umldoc.cpp:570
+#: umldoc.cpp:569 umldoc.cpp:571
 #, kde-format
 msgid "The file %1 seems to be corrupted."
 msgstr "Fila %1 ser ut til å være ødelagt."
 
-#: umldoc.cpp:619 umldoc.cpp:622 umldoc.cpp:637 umldoc.cpp:640 umldoc.cpp:683
-#: umldoc.cpp:686
+#: umldoc.cpp:620 umldoc.cpp:623 umldoc.cpp:638 umldoc.cpp:641 umldoc.cpp:684
+#: umldoc.cpp:687
 #, kde-format
 msgid "There was no XMI file found in the compressed file %1."
 msgstr "Det ble ikke funnet en XMI-fil i den komprimerte fila %1."
 
-#: umldoc.cpp:664 umldoc.cpp:667
+#: umldoc.cpp:665 umldoc.cpp:668
 #, kde-format
 msgid "There was a problem loading the extracted file: %1"
 msgstr "Det oppsto en feil ved lasting av den utpakkede fila: %1"
 
-#: umldoc.cpp:701 umldoc.cpp:704 umldoc.cpp:744 umldoc.cpp:746
+#: umldoc.cpp:702 umldoc.cpp:705 umldoc.cpp:745 umldoc.cpp:747
 #, kde-format
 msgid "There was a problem loading file: %1"
 msgstr "Det oppsto en feil ved lasting av fila: %1"
 
-#: umldoc.cpp:749
+#: umldoc.cpp:750
 #, kde-format
 msgid "Reason: %1"
 msgstr ""
 
-#: umldoc.cpp:832 umldoc.cpp:834 umldoc.cpp:851 umldoc.cpp:853 umldoc.cpp:873
-#: umldoc.cpp:875 umldoc.cpp:924 umldoc.cpp:926 umldoc.cpp:966 umldoc.cpp:969
-#: umldoc.cpp:978 umldoc.cpp:980 umllistview.cpp:593
+#: umldoc.cpp:833 umldoc.cpp:835 umldoc.cpp:852 umldoc.cpp:854 umldoc.cpp:874
+#: umldoc.cpp:876 umldoc.cpp:925 umldoc.cpp:927 umldoc.cpp:968 umldoc.cpp:971
+#: umldoc.cpp:980 umldoc.cpp:982 umllistview.cpp:594
 #, kde-format
 msgid "Save Error"
 msgstr "Lagringsfeil"
 
-#: umldoc.cpp:832 umldoc.cpp:851 umldoc.cpp:873 umldoc.cpp:924 umldoc.cpp:966
+#: umldoc.cpp:833 umldoc.cpp:852 umldoc.cpp:874 umldoc.cpp:925 umldoc.cpp:968
 #, kde-format
 msgid "There was a problem saving: %1"
 msgstr ""
 
-#: umldoc.cpp:834 umldoc.cpp:853 umldoc.cpp:875 umldoc.cpp:926 umldoc.cpp:969
-#: umllistview.cpp:592 umlviewimageexportermodel.cpp:303
+#: umldoc.cpp:835 umldoc.cpp:854 umldoc.cpp:876 umldoc.cpp:927 umldoc.cpp:971
+#: umllistview.cpp:593 umlviewimageexportermodel.cpp:303
 #, kde-format
 msgid "There was a problem saving file: %1"
 msgstr "Det oppsto en feil ved lagring av fila: %1"
 
-#: umldoc.cpp:978
+#: umldoc.cpp:980
 #, kde-format
 msgid "There was a problem uploading: %1"
 msgstr ""
 
-#: umldoc.cpp:980
+#: umldoc.cpp:982
 #, kde-format
 msgid "There was a problem uploading file: %1"
 msgstr "Det oppsto en feil ved opplasting av fila: %1"
 
-#: umldoc.cpp:1526
+#: umldoc.cpp:1528
 #, kde-format
 msgid "use case diagram"
 msgstr "brukstilfelle-diagram"
 
-#: umldoc.cpp:1529
+#: umldoc.cpp:1531
 #, kde-format
 msgid "class diagram"
 msgstr "klassediagram"
 
-#: umldoc.cpp:1532
+#: umldoc.cpp:1534
 #, kde-format
 msgid "sequence diagram"
 msgstr "sekvensdiagram"
 
-#: umldoc.cpp:1535
+#: umldoc.cpp:1537
 #, kde-format
 msgid "communication diagram"
 msgstr ""
 
-#: umldoc.cpp:1538
+#: umldoc.cpp:1540
 #, kde-format
 msgid "object diagram"
 msgstr ""
 
-#: umldoc.cpp:1541
+#: umldoc.cpp:1543
 #, kde-format
 msgid "state diagram"
 msgstr "tilstandsdiagram"
 
-#: umldoc.cpp:1544
+#: umldoc.cpp:1546
 #, kde-format
 msgid "activity diagram"
 msgstr "aktivitetsdiagram"
 
-#: umldoc.cpp:1547
+#: umldoc.cpp:1549
 #, kde-format
 msgid "component diagram"
 msgstr "komponentdiagram"
 
-#: umldoc.cpp:1550
+#: umldoc.cpp:1552
 #, kde-format
 msgid "deployment diagram"
 msgstr "utplasseringsdiagram"
 
-#: umldoc.cpp:1553
+#: umldoc.cpp:1555
 #, kde-format
 msgid "entity relationship diagram"
 msgstr "entitetsrelasjonsdiagram"
 
 # unreviewed-context
-#: umldoc.cpp:1623
+#: umldoc.cpp:1625
 #, kde-format
 msgctxt "diagram name"
 msgid "Name"
 msgstr "Navn"
 
-#: umldoc.cpp:1623 umldoc.cpp:1686 umldoc.cpp:1715 umldoc.cpp:1749
+#: umldoc.cpp:1625 umldoc.cpp:1688 umldoc.cpp:1717 umldoc.cpp:1751
 #, kde-format
 msgid "Enter name:"
 msgstr "Oppgi navn:"
 
-#: umldoc.cpp:1627 umldoc.cpp:1692
+#: umldoc.cpp:1629 umldoc.cpp:1694
 #, kde-format
 msgid "That is an invalid name for a diagram."
 msgstr "Dette er et ugyldig navn for et diagram."
 
-#: umldoc.cpp:1629 umldoc.cpp:1699
+#: umldoc.cpp:1631 umldoc.cpp:1701
 #, kde-format
 msgid "A diagram is already using that name."
 msgstr "En annet diagram bruker dette navnet."
 
 # unreviewed-context
-#: umldoc.cpp:1685
+#: umldoc.cpp:1687
 #, kde-format
 msgctxt "renaming diagram"
 msgid "Name"
 msgstr "Navn"
 
 # unreviewed-context
-#: umldoc.cpp:1714
+#: umldoc.cpp:1716
 #, kde-format
 msgctxt "renaming uml object"
 msgid "Name"
 msgstr "Navn"
 
 # unreviewed-context
-#: umldoc.cpp:1748
+#: umldoc.cpp:1750
 #, kde-format
 msgctxt "renaming child uml object"
 msgid "Name"
 msgstr "Navn"
 
-#: umldoc.cpp:1758
+#: umldoc.cpp:1760
 #, kde-format
 msgid ""
 "The name you entered was not unique.\n"
@@ -8056,62 +8056,62 @@ msgstr ""
 "Navnet du skrev inn var ikke unikt.\n"
 "Er dette det du ønsker?"
 
-#: umldoc.cpp:1759
+#: umldoc.cpp:1761
 #, kde-format
 msgid "Use Name"
 msgstr "Bruk navn"
 
-#: umldoc.cpp:1759
+#: umldoc.cpp:1761
 #, kde-format
 msgid "Enter New Name"
 msgstr "Skriv inn nytt navn"
 
-#: umldoc.cpp:2361
+#: umldoc.cpp:2366
 #, kde-format
 msgid "Unsupported xmi file version: %1"
 msgstr ""
 
-#: umldoc.cpp:2511
+#: umldoc.cpp:2516
 #, kde-format
 msgid "Setting up the document..."
 msgstr "Setter opp dokumentet …"
 
-#: umldoc.cpp:2540
+#: umldoc.cpp:2545
 #, kde-format
 msgid "Resolving object references..."
 msgstr "Løser opp objektreferanser …"
 
-#: umldoc.cpp:2648
+#: umldoc.cpp:2653
 #, kde-format
 msgid "Loading UML elements..."
 msgstr "Laster UML-elementer …"
 
-#: umldoc.cpp:2892
+#: umldoc.cpp:2899
 #, kde-format
 msgid "Loading diagrams..."
 msgstr "Laster diagrammer …"
 
-#: umldoc.cpp:3400
+#: umldoc.cpp:3409
 #, kde-format
 msgid "/autosave%1"
 msgstr "/autosave%1"
 
-#: umllistview.cpp:536 umllistview.cpp:540
+#: umllistview.cpp:537 umllistview.cpp:541
 #, kde-format
 msgid "Externalize Folder"
 msgstr "Gjør mappe ekstern"
 
-#: umllistview.cpp:574
+#: umllistview.cpp:575
 #, kde-format
 msgid "Folder %1 must be relative to the main model directory, %2."
 msgstr "Mappe %1 må være relativ til modellens hovedmappe. %2."
 
-#: umllistview.cpp:575
+#: umllistview.cpp:576
 #, kde-format
 msgid "Path Error"
 msgstr "Feil med sti"
 
-#: umllistview.cpp:583
+#: umllistview.cpp:584
 #, kde-format
 msgid ""
 "File %1 already exists!\n"
@@ -8120,62 +8120,62 @@ msgstr ""
 "Fila %1 finnes fra før.\n"
 "Den eksisterende fila blir overskrevet."
 
-#: umllistview.cpp:584
+#: umllistview.cpp:585
 #, kde-format
 msgid "File Exist"
 msgstr "Fila finnes"
 
-#: umllistview.cpp:624
+#: umllistview.cpp:625
 #, kde-format
 msgid "Enter Model Name"
 msgstr "Angi modellnavn:"
 
-#: umllistview.cpp:625
+#: umllistview.cpp:626
 #, kde-format
 msgid "Enter the new name of the model:"
 msgstr "Skriv inn et nytt navn på modellen:"
 
-#: umllistview.cpp:1422
+#: umllistview.cpp:1430
 #, kde-format
 msgid "Views"
 msgstr "Visninger"
 
-#: umllistview.cpp:1441
+#: umllistview.cpp:1449
 #, kde-format
 msgid "Settings"
 msgstr "Innstillinger"
 
-#: umllistview.cpp:2413
+#: umllistview.cpp:2421
 #, kde-format
 msgid "Loading listview..."
 msgstr "Laster listevisning …"
 
-#: umllistview.cpp:2764
+#: umllistview.cpp:2772
 #, kde-format
 msgid "The class must be emptied before it can be deleted."
 msgstr ""
 
-#: umllistview.cpp:2765
+#: umllistview.cpp:2773
 #, kde-format
 msgid "Class Not Empty"
 msgstr ""
 
-#: umllistview.cpp:2769
+#: umllistview.cpp:2777
 #, kde-format
 msgid "The package must be emptied before it can be deleted."
 msgstr ""
 
-#: umllistview.cpp:2770
+#: umllistview.cpp:2778
 #, kde-format
 msgid "Package Not Empty"
 msgstr ""
 
-#: umllistview.cpp:2774
+#: umllistview.cpp:2782
 #, kde-format
 msgid "The folder must be emptied before it can be deleted."
 msgstr "Mappa må være tom før den kan slettes."
 
-#: umllistview.cpp:2775
+#: umllistview.cpp:2783
 #, kde-format
 msgid "Folder Not Empty"
 msgstr "Mappa er ikke tom"
diff -pruN 4:20.08.3-1/po/nds/umbrello.po 4:20.12.0-0ubuntu1/po/nds/umbrello.po
--- 4:20.08.3-1/po/nds/umbrello.po	2020-11-03 00:42:16.000000000 +0000
+++ 4:20.12.0-0ubuntu1/po/nds/umbrello.po	2020-12-04 00:21:30.000000000 +0000
@@ -7,7 +7,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: umbrello\n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
-"POT-Creation-Date: 2020-08-14 08:09+0200\n"
+"POT-Creation-Date: 2020-11-06 02:36+0100\n"
 "PO-Revision-Date: 2011-12-15 07:28+0100\n"
 "Last-Translator: Manfred Wiese <m.j.wiese@web.de>\n"
 "Language-Team: Low Saxon <kde-i18n-nds@kde.org>\n"
@@ -211,7 +211,7 @@ msgstr ""
 "Tominnst een Element in de Twischenaflaag lett sik nich infögen, wiel dat al "
 "en Element mit den sülven Naam gifft. All anner Elementen wöörn inföögt."
 
-#: clipboard/umlclipboard.cpp:753 uml.cpp:1689
+#: clipboard/umlclipboard.cpp:753 uml.cpp:1698
 #, kde-format
 msgid "Paste Error"
 msgstr "Inföög-Fehler"
@@ -448,7 +448,7 @@ msgstr "<p align=\"center\">\"C++\"-Kode
 #. i18n: ectx: attribute (title), widget (QWidget, ui_tabGeneral)
 #: codegenerators/cpp/cppcodegenerationformbase.ui:51
 #: codegenwizard/codegenoptionspage.ui:39 dialogs/objectnodedialog.cpp:135
-#: umllistview.cpp:1451
+#: umllistview.cpp:1459
 #, kde-format
 msgid "General"
 msgstr "Allgemeen"
@@ -1329,7 +1329,7 @@ msgstr "Status"
 #. i18n: ectx: property (text), widget (QRadioButton, ui_categoryClass)
 #. i18n: ectx: property (text), widget (QTableWidget, ui_tableWidgetStatus)
 #: codegenwizard/codegenstatuspage.ui:40 codeimpwizard/codeimpstatuspage.ui:54
-#: dialogs/finddialog.ui:89 umllistview.cpp:1446 umlwidgets/widgetbase.cpp:1255
+#: dialogs/finddialog.ui:89 umllistview.cpp:1454 umlwidgets/widgetbase.cpp:1255
 #, kde-format
 msgid "Class"
 msgstr "Klass"
@@ -1998,18 +1998,18 @@ msgstr ""
 msgid "Enable 'delete diagram' related messages"
 msgstr ""
 
-#: dialogs/dialog_utils.cpp:117
+#: dialogs/dialog_utils.cpp:118
 #, kde-format
 msgid "You are about to delete an association. Do you really want to continue?"
 msgstr ""
 
-#: dialogs/dialog_utils.cpp:118
+#: dialogs/dialog_utils.cpp:119
 #, fuzzy, kde-format
 #| msgid "Self Association"
 msgid "Delete Association"
 msgstr "Sülvst-Towiesen"
 
-#: dialogs/dialog_utils.cpp:132
+#: dialogs/dialog_utils.cpp:133
 #, kde-format
 msgid ""
 "You are about to delete the entire diagram.\n"
@@ -2018,17 +2018,17 @@ msgstr ""
 "Du wullt dat hele Diagramm wegdoon.\n"
 "Büst Du seker?"
 
-#: dialogs/dialog_utils.cpp:133
+#: dialogs/dialog_utils.cpp:134
 #, kde-format
 msgid "Are you sure you want to delete diagram %1?"
 msgstr "Wullt Du Diagramm \"%1\" redig wegdoon?"
 
-#: dialogs/dialog_utils.cpp:138
+#: dialogs/dialog_utils.cpp:139
 #, kde-format
 msgid "Delete Diagram?"
 msgstr "Diagramm wegdoon?"
 
-#: dialogs/dialog_utils.cpp:139 dialogs/pages/classifierlistpage.cpp:215
+#: dialogs/dialog_utils.cpp:140 dialogs/pages/classifierlistpage.cpp:215
 #: dialogs/pages/classifierlistpage.cpp:223
 #: dialogs/umlforeignkeyconstraintdialog.cpp:325
 #: dialogs/umlforeignkeyconstraintdialog.cpp:331
@@ -2196,7 +2196,7 @@ msgstr "Allgemeen"
 #. i18n: ectx: label, entry (uiFont), group (UI Options)
 #. i18n: ectx: label, entry (codeViewerFont), group (Code Viewer Options)
 #: dialogs/multipagedialogbase.cpp:405 umbrello.kcfg:177 umbrello.kcfg:292
-#: umllistview.cpp:1450
+#: umllistview.cpp:1458
 #, kde-format
 msgid "Font"
 msgstr "Schriftoort"
@@ -2631,7 +2631,7 @@ msgstr "&Nieg Eenheiten-Attribut..."
 
 #: dialogs/pages/classifierlistpage.cpp:217
 #: dialogs/pages/classifierlistpage.cpp:225 dialogs/umloperationdialog.cpp:167
-#: dialogs/umloperationdialog.cpp:175 uml.cpp:554
+#: dialogs/umloperationdialog.cpp:175 uml.cpp:563
 #, kde-format
 msgid "&Properties"
 msgstr "&Egenschappen"
@@ -2649,7 +2649,7 @@ msgid "Source Code"
 msgstr "Bornkode"
 
 #: dialogs/pages/classoptionspage.cpp:157
-#: dialogs/pages/classoptionspage.cpp:251 uml.cpp:509
+#: dialogs/pages/classoptionspage.cpp:251 uml.cpp:518
 #, fuzzy, kde-format
 #| msgid "Documentation"
 msgid "&Documentation"
@@ -2841,8 +2841,8 @@ msgstr "Du hest en leeg Naam ingeven."
 #: uml1model/classifier.cpp:410 uml1model/classifier.cpp:781
 #: uml1model/entity.cpp:125 uml1model/entity.cpp:178 uml1model/entity.cpp:228
 #: uml1model/entity.cpp:277 uml1model/enum.cpp:107 uml1model/instance.cpp:124
-#: uml1model/package.cpp:172 umldoc.cpp:1627 umldoc.cpp:1692 umldoc.cpp:1721
-#: umldoc.cpp:1755
+#: uml1model/package.cpp:178 umldoc.cpp:1629 umldoc.cpp:1694 umldoc.cpp:1723
+#: umldoc.cpp:1757
 #, kde-format
 msgid "Invalid Name"
 msgstr "Leeg Naam"
@@ -2852,7 +2852,7 @@ msgstr "Leeg Naam"
 msgid "The name you have entered is not unique."
 msgstr "Du hest en nich eensoortet Naam ingeven."
 
-#: dialogs/pages/diagrampropertiespage.cpp:86 umldoc.cpp:1759
+#: dialogs/pages/diagrampropertiespage.cpp:86 umldoc.cpp:1761
 #, kde-format
 msgid "Name Not Unique"
 msgstr "Nich eensoortet Naam"
@@ -3343,7 +3343,7 @@ msgstr "&Diagramm"
 msgid "Umbrello Setup"
 msgstr "Umbrello-Instellen"
 
-#: dialogs/settingsdialog.cpp:114 umllistview.cpp:1452
+#: dialogs/settingsdialog.cpp:114 umllistview.cpp:1460
 #, kde-format
 msgid "User Interface"
 msgstr "Böversiet"
@@ -3370,7 +3370,7 @@ msgstr "Klass"
 msgid "Class Settings"
 msgstr "Klass-Instellen"
 
-#: dialogs/settingsdialog.cpp:137 umllistview.cpp:1447
+#: dialogs/settingsdialog.cpp:137 umllistview.cpp:1455
 #, fuzzy, kde-format
 #| msgid "Not Imported"
 msgid "Code Importer"
@@ -3382,7 +3382,7 @@ msgstr "Nich importeert"
 msgid "Code Import Settings"
 msgstr "Kodekieker-Instellen"
 
-#: dialogs/settingsdialog.cpp:146 umllistview.cpp:1448
+#: dialogs/settingsdialog.cpp:146 umllistview.cpp:1456
 #, kde-format
 msgid "Code Generation"
 msgstr "Kodeopstellen"
@@ -3392,7 +3392,7 @@ msgstr "Kodeopstellen"
 msgid "Code Generation Settings"
 msgstr "Kodeopstell-Instellen"
 
-#: dialogs/settingsdialog.cpp:154 umllistview.cpp:1449
+#: dialogs/settingsdialog.cpp:154 umllistview.cpp:1457
 #, kde-format
 msgid "Code Viewer"
 msgstr "Kodekieker"
@@ -3402,7 +3402,7 @@ msgstr "Kodekieker"
 msgid "Code Viewer Settings"
 msgstr "Kodekieker-Instellen"
 
-#: dialogs/settingsdialog.cpp:161 umllistview.cpp:1445
+#: dialogs/settingsdialog.cpp:161 umllistview.cpp:1453
 #, fuzzy, kde-format
 #| msgid "Auto Save"
 msgid "Auto Layout"
@@ -4072,7 +4072,7 @@ msgstr "&Typ:"
 msgid "Package path:"
 msgstr "Paketnaam:"
 
-#: dialogs/widgets/umlstereotypewidget.cpp:29 uml1model/umlobject.cpp:1179
+#: dialogs/widgets/umlstereotypewidget.cpp:29 uml1model/umlobject.cpp:1180
 #, fuzzy, kde-format
 #| msgid "Stereotype name:"
 msgid "Stereotype &name:"
@@ -4219,7 +4219,7 @@ msgstr ""
 msgid "Gael de Chalendar (aka Kleag)"
 msgstr "Gael de Chalendar (aka Kleag)"
 
-#: docgenerators/main.cpp:56 main.cpp:131
+#: docgenerators/main.cpp:56 main.cpp:133
 #, kde-format
 msgid "Umbrello UML Modeller Authors"
 msgstr "Schrievers vun den UML-Modellmaker Umbrello"
@@ -4283,12 +4283,12 @@ msgstr ""
 msgid "Apply layout"
 msgstr "Automaatsch sekern"
 
-#: main.cpp:121
+#: main.cpp:123
 #, kde-format
 msgid "Umbrello UML Modeller"
 msgstr "Umbrello"
 
-#: main.cpp:123
+#: main.cpp:125
 #, kde-format
 msgid ""
 "Umbrello – Visual development environment for software, based on the "
@@ -4296,7 +4296,7 @@ msgid ""
 "\"http://www.omg.org/spec/\">http://www.omg.org/spec/</a>."
 msgstr ""
 
-#: main.cpp:127
+#: main.cpp:129
 #, fuzzy, kde-format
 #| msgid "(c) 2001 Paul Hensgen, (c) 2002-2006 Umbrello UML Modeller Authors"
 msgid ""
@@ -4306,100 +4306,100 @@ msgstr ""
 "(c) 2001 Paul Hensgen, (c) 2002-2006 Schrievers vun den UML-Modellmaker "
 "Umbrello"
 
-#: main.cpp:130
+#: main.cpp:132
 #, kde-format
 msgid "Paul Hensgen"
 msgstr "Paul Hensgen"
 
-#: main.cpp:130
+#: main.cpp:132
 #, kde-format
 msgid "Author of initial version."
 msgstr ""
 
-#: main.cpp:134
+#: main.cpp:136
 #, kde-format
 msgid "Oliver Kellogg"
 msgstr ""
 
-#: main.cpp:135 main.cpp:138
+#: main.cpp:137 main.cpp:140
 #, kde-format
 msgid "Bug fixing, porting work, code cleanup, new features."
 msgstr ""
 
-#: main.cpp:137
+#: main.cpp:139
 #, kde-format
 msgid "Ralf Habacker"
 msgstr ""
 
-#: main.cpp:140
+#: main.cpp:142
 #, kde-format
 msgid "Andi Fischer"
 msgstr ""
 
-#: main.cpp:141
+#: main.cpp:143
 #, kde-format
 msgid "Porting work, code cleanup, new features."
 msgstr ""
 
-#: main.cpp:143
+#: main.cpp:145
 #, kde-format
 msgid "Jonathan Riddell"
 msgstr ""
 
-#: main.cpp:144
+#: main.cpp:146
 #, fuzzy, kde-format
 #| msgid "&Current diagram"
 msgid "Current maintainer."
 msgstr "&Aktuell Diagramm"
 
-#: main.cpp:146
+#: main.cpp:148
 #, kde-format
 msgid "Brian Thomas"
 msgstr ""
 
-#: main.cpp:147
+#: main.cpp:149
 #, kde-format
 msgid "A lot of work for C++ and Java code generation. Codeeditor."
 msgstr ""
 
-#: main.cpp:152
+#: main.cpp:154
 #, kde-format
 msgid "File to open"
 msgstr "Datei, de opmaakt warrn schall"
 
-#: main.cpp:153
+#: main.cpp:155
 #, kde-format
 msgid "export diagrams to extension and exit"
 msgstr "Diagrammen na Verwiedern exporteren un denn beennen"
 
-#: main.cpp:154
+#: main.cpp:156
 #, kde-format
 msgid "list available export extensions"
 msgstr "Verföögbor Export-Verwiedern oplisten"
 
-#: main.cpp:155
+#: main.cpp:157
 #, kde-format
 msgid "the local directory to save the exported diagrams in"
 msgstr "De lokaal Orner, na den de exporteert Diagrammen sekert warrn schöölt"
 
-#: main.cpp:155
+#: main.cpp:157
 #, kde-format
 msgid "the directory of the file"
 msgstr "De Datei ehr Orner"
 
-#: main.cpp:156
+#: main.cpp:158
 #, fuzzy, kde-format
 #| msgid "importing file ..."
 msgid "import files"
 msgstr "Datei warrt importeert..."
 
-#: main.cpp:157
+#: main.cpp:159
 #, fuzzy, kde-format
 #| msgid "All Files"
 msgid "list supported languages"
 msgstr "All Dateien"
 
-#: main.cpp:158
+#: main.cpp:160
 #, kde-format
 msgid ""
 "keep the tree structure used to store the views in the document in the "
@@ -4408,13 +4408,13 @@ msgstr ""
 "Binnen den Teelorner de sülve Boomstruktuur bruken, as för't Sekern vun de "
 "Ansichten in't Dokment"
 
-#: main.cpp:159
+#: main.cpp:161
 #, fuzzy, kde-format
 #| msgid "Import Project..."
 msgid "import files from directory <dir>"
 msgstr "Projekt importeren..."
 
-#: main.cpp:163
+#: main.cpp:165
 #, fuzzy, kde-format
 #| msgid "Active &Language"
 msgid "set active language"
@@ -4689,7 +4689,7 @@ msgstr "Destrukschoon wiesen"
 msgid "Import File(s)..."
 msgstr "Klassen importeren..."
 
-#: menus/listpopupmenu.cpp:201 uml.cpp:356
+#: menus/listpopupmenu.cpp:201 uml.cpp:365
 #, fuzzy, kde-format
 #| msgid "Import Project..."
 msgid "Import from Directory..."
@@ -5218,42 +5218,42 @@ msgctxt "align menu"
 msgid "Align"
 msgstr "&Utrichten"
 
-#: menus/widgetbasepopupmenu.cpp:598 uml.cpp:573
+#: menus/widgetbasepopupmenu.cpp:598 uml.cpp:582
 #, kde-format
 msgid "Align Right"
 msgstr "Rechts utrichten"
 
-#: menus/widgetbasepopupmenu.cpp:599 uml.cpp:578
+#: menus/widgetbasepopupmenu.cpp:599 uml.cpp:587
 #, kde-format
 msgid "Align Left"
 msgstr "Links utrichten"
 
-#: menus/widgetbasepopupmenu.cpp:600 uml.cpp:583
+#: menus/widgetbasepopupmenu.cpp:600 uml.cpp:592
 #, kde-format
 msgid "Align Top"
 msgstr "Baven utrichten"
 
-#: menus/widgetbasepopupmenu.cpp:601 uml.cpp:588
+#: menus/widgetbasepopupmenu.cpp:601 uml.cpp:597
 #, kde-format
 msgid "Align Bottom"
 msgstr "Nerrn utrichten"
 
-#: menus/widgetbasepopupmenu.cpp:603 uml.cpp:593
+#: menus/widgetbasepopupmenu.cpp:603 uml.cpp:602
 #, kde-format
 msgid "Align Vertical Middle"
 msgstr "Pielrecht in de Merrn utrichten"
 
-#: menus/widgetbasepopupmenu.cpp:604 uml.cpp:598
+#: menus/widgetbasepopupmenu.cpp:604 uml.cpp:607
 #, kde-format
 msgid "Align Horizontal Middle"
 msgstr "Kimmrecht in de Merrn utrichten"
 
-#: menus/widgetbasepopupmenu.cpp:605 uml.cpp:603
+#: menus/widgetbasepopupmenu.cpp:605 uml.cpp:612
 #, kde-format
 msgid "Align Vertical Distribute"
 msgstr "Pielrecht opdeelt utrichten"
 
-#: menus/widgetbasepopupmenu.cpp:606 uml.cpp:608
+#: menus/widgetbasepopupmenu.cpp:606 uml.cpp:617
 #, kde-format
 msgid "Align Horizontal Distribute"
 msgstr "Kimmrecht opdeelt utrichten"
@@ -6189,8 +6189,8 @@ msgstr "Naricht"
 #: object_factory.cpp:251 uml1model/classifier.cpp:410
 #: uml1model/classifier.cpp:781 uml1model/entity.cpp:125
 #: uml1model/entity.cpp:178 uml1model/entity.cpp:228 uml1model/entity.cpp:277
-#: uml1model/enum.cpp:107 uml1model/instance.cpp:124 uml1model/package.cpp:171
-#: umldoc.cpp:1721 umldoc.cpp:1755
+#: uml1model/enum.cpp:107 uml1model/instance.cpp:124 uml1model/package.cpp:177
+#: umldoc.cpp:1723 umldoc.cpp:1757
 #, kde-format
 msgid "That is an invalid name."
 msgstr "Dat is en leeg Naam."
@@ -6209,7 +6209,7 @@ msgstr "Schuult Slötelwoort"
 #: object_factory.cpp:264 uml1model/classifier.cpp:413
 #: uml1model/classifier.cpp:783 uml1model/entity.cpp:127
 #: uml1model/entity.cpp:180 uml1model/entity.cpp:230 uml1model/entity.cpp:279
-#: uml1model/instance.cpp:126 umldoc.cpp:1727 umldoc.cpp:1764
+#: uml1model/instance.cpp:126 umldoc.cpp:1729 umldoc.cpp:1766
 #, kde-format
 msgid "That name is already being used."
 msgstr "De Naam warrt al bruukt."
@@ -6217,8 +6217,8 @@ msgstr "De Naam warrt al bruukt."
 #: object_factory.cpp:265 uml1model/classifier.cpp:413
 #: uml1model/classifier.cpp:783 uml1model/entity.cpp:127
 #: uml1model/entity.cpp:180 uml1model/entity.cpp:230 uml1model/entity.cpp:279
-#: uml1model/instance.cpp:126 umldoc.cpp:1629 umldoc.cpp:1699 umldoc.cpp:1727
-#: umldoc.cpp:1764
+#: uml1model/instance.cpp:126 umldoc.cpp:1631 umldoc.cpp:1701 umldoc.cpp:1729
+#: umldoc.cpp:1766
 #, kde-format
 msgid "Not a Unique Name"
 msgstr "Keen eensoortet Naam"
@@ -6279,12 +6279,12 @@ msgstr "Dat gifft al en Attribut mit dis
 msgid "Choose a different name."
 msgstr "Söök en anner Naam ut."
 
-#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:266
+#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:273
 #, kde-format
 msgid "Incorrect use of associations."
 msgstr "Leeg Bruuk vun Towiesen."
 
-#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:266
+#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:273
 #, kde-format
 msgid "Association Error"
 msgstr "Towiesenfehler"
@@ -7461,191 +7461,191 @@ msgstr "&Aktiv Spraak"
 msgid "&Settings"
 msgstr "Rull-Instellen"
 
-#: uml.cpp:332
+#: uml.cpp:341
 #, kde-format
 msgid "&Export model to DocBook"
 msgstr "Modell na DocBook &exporteren"
 
-#: uml.cpp:336
+#: uml.cpp:345
 #, kde-format
 msgid "&Export model to XHTML"
 msgstr "Modell na XHTML &exporteren"
 
-#: uml.cpp:340
+#: uml.cpp:349
 #, kde-format
 msgid "&New Class Wizard..."
 msgstr "\"&Nieg Klass\"-Hölper..."
 
-#: uml.cpp:344
+#: uml.cpp:353
 #, kde-format
 msgid "&Add Default Datatypes for Active Language"
 msgstr "Standarddatentypen för aktive Spraak &tofögen"
 
-#: uml.cpp:351
+#: uml.cpp:360
 #, fuzzy, kde-format
 #| msgid "&Code Generation Wizard..."
 msgid "Code &Importing Wizard..."
 msgstr "&Kodeopstell-Hölper..."
 
-#: uml.cpp:361
+#: uml.cpp:370
 #, kde-format
 msgid "&Code Generation Wizard..."
 msgstr "&Kodeopstell-Hölper..."
 
-#: uml.cpp:366
+#: uml.cpp:375
 #, kde-format
 msgid "&Generate All Code"
 msgstr "Heel Kode &opstellen"
 
-#: uml.cpp:411
+#: uml.cpp:420
 #, kde-format
 msgid "Creates a new document"
 msgstr "Stellt en nieg Dokment op"
 
-#: uml.cpp:412
+#: uml.cpp:421
 #, kde-format
 msgid "Opens an existing document"
 msgstr "Maakt en vörhannen Dokment op"
 
-#: uml.cpp:413
+#: uml.cpp:422
 #, kde-format
 msgid "Opens a recently used file"
 msgstr "Maakt en annerlest bruukte Datei op"
 
-#: uml.cpp:414
+#: uml.cpp:423
 #, kde-format
 msgid "Saves the document"
 msgstr "Sekert dat Dokment"
 
-#: uml.cpp:415
+#: uml.cpp:424
 #, kde-format
 msgid "Saves the document as..."
 msgstr "Sekert dat Dokment as..."
 
-#: uml.cpp:416
+#: uml.cpp:425
 #, kde-format
 msgid "Closes the document"
 msgstr "Maakt dat Dokment to"
 
-#: uml.cpp:417
+#: uml.cpp:426
 #, kde-format
 msgid "Prints out the document"
 msgstr "Druckt dat Dokment"
 
-#: uml.cpp:418
+#: uml.cpp:427
 #, kde-format
 msgid "Print Preview of the document"
 msgstr "Druckvöransicht vun't Dokment"
 
-#: uml.cpp:419
+#: uml.cpp:428
 #, kde-format
 msgid "Quits the application"
 msgstr "Beendt dat Programm"
 
-#: uml.cpp:420
+#: uml.cpp:429
 #, kde-format
 msgid "Exports the model to the docbook format"
 msgstr "Exporteert dat Modell na't DocBook-Formaat"
 
-#: uml.cpp:421
+#: uml.cpp:430
 #, kde-format
 msgid "Exports the model to the XHTML format"
 msgstr "Exporteert dat Modell na't XHTML-Formaat"
 
-#: uml.cpp:422
+#: uml.cpp:431
 #, kde-format
 msgid "Cuts the selected section and puts it to the clipboard"
 msgstr "Verschufft dat utsöchte Rebeet na de Twischenaflaag"
 
-#: uml.cpp:423
+#: uml.cpp:432
 #, kde-format
 msgid "Copies the selected section to the clipboard"
 msgstr "Kopeert dat utsöcht Rebeet na de Twischenaflaag"
 
-#: uml.cpp:424
+#: uml.cpp:433
 #, kde-format
 msgid "Pastes the contents of the clipboard"
 msgstr "Föögt den Inholt vun de Twischenaflaag in"
 
-#: uml.cpp:425
+#: uml.cpp:434
 #, kde-format
 msgid "Set the default program preferences"
 msgstr "Programmvörinstellen fastleggen"
 
-#: uml.cpp:429
+#: uml.cpp:438
 #, kde-format
 msgctxt "delete selected widget"
 msgid "Delete &Selected"
 msgstr "Utsöchte weg&doon"
 
-#: uml.cpp:440
+#: uml.cpp:449
 #, kde-format
 msgid "&Class Diagram..."
 msgstr "&Klass-Diagramm..."
 
-#: uml.cpp:447
+#: uml.cpp:456
 #, fuzzy, kde-format
 #| msgid "S&tate Diagram..."
 msgid "&Object Diagram..."
 msgstr "&Tostand-Diagramm..."
 
-#: uml.cpp:454
+#: uml.cpp:463
 #, kde-format
 msgid "&Sequence Diagram..."
 msgstr "&Reeg-Diagramm..."
 
-#: uml.cpp:460
+#: uml.cpp:469
 #, fuzzy, kde-format
 #| msgid "C&ollaboration Diagram..."
 msgid "C&ommunication Diagram..."
 msgstr "T&osamenarbeit-Diagramm..."
 
-#: uml.cpp:466
+#: uml.cpp:475
 #, kde-format
 msgid "&Use Case Diagram..."
 msgstr "&Bruukbispeel-Diagramm..."
 
-#: uml.cpp:472
+#: uml.cpp:481
 #, kde-format
 msgid "S&tate Diagram..."
 msgstr "&Tostand-Diagramm..."
 
-#: uml.cpp:478
+#: uml.cpp:487
 #, kde-format
 msgid "&Activity Diagram..."
 msgstr "&Aktiviteet-Diagramm..."
 
-#: uml.cpp:484
+#: uml.cpp:493
 #, kde-format
 msgid "Co&mponent Diagram..."
 msgstr "Ko&mponenten-Diagramm..."
 
-#: uml.cpp:490
+#: uml.cpp:499
 #, kde-format
 msgid "&Deployment Diagram..."
 msgstr "&Insetten-Diagramm..."
 
-#: uml.cpp:496
+#: uml.cpp:505
 #, kde-format
 msgid "&Entity Relationship Diagram..."
 msgstr "&Eenheitenbetog-Diagramm..."
 
-#: uml.cpp:501 uml.cpp:954
+#: uml.cpp:510 uml.cpp:963
 #, kde-format
 msgid "&Tree View"
 msgstr "&Boomansicht"
 
-#: uml.cpp:505
+#: uml.cpp:514
 #, kde-format
 msgid "&Debugging"
 msgstr ""
 
-#: uml.cpp:513
+#: uml.cpp:522
 #, kde-format
 msgid "&Logging"
 msgstr ""
 
-#: uml.cpp:517
+#: uml.cpp:526
 #, fuzzy, kde-format
 #| msgid "Co&mmand history"
 msgid "&Command history"
@@ -7655,138 +7655,138 @@ msgstr "Befehlen-&Vörgeschicht"
 #. m_propertyDock->setObjectName(QLatin1String("PropertyDock"));
 #. addDockWidget(Qt::LeftDockWidgetArea, m_propertyDock);  //:TODO:
 #. create the bird's eye view
-#: uml.cpp:521 uml.cpp:1011
+#: uml.cpp:530 uml.cpp:1020
 #, kde-format
 msgid "&Bird's eye view"
 msgstr ""
 
-#: uml.cpp:526
+#: uml.cpp:535
 #, kde-format
 msgid "&Clear Diagram"
 msgstr "Diagramm &leddig maken"
 
-#: uml.cpp:530
+#: uml.cpp:539
 #, kde-format
 msgid "&Snap to Grid"
 msgstr "&Backig Gadder"
 
-#: uml.cpp:534
+#: uml.cpp:543
 #, kde-format
 msgid "S&how Grid"
 msgstr "Gadder &wiesen"
 
-#: uml.cpp:539
+#: uml.cpp:548
 #, fuzzy, kde-format
 #| msgid "Delete Diagram"
 msgid "&Delete Diagram"
 msgstr "Diagramm wegdoon"
 
-#: uml.cpp:544
+#: uml.cpp:553
 #, kde-format
 msgid "&Export as Picture..."
 msgstr "As Bild &exporteren..."
 
-#: uml.cpp:549
+#: uml.cpp:558
 #, fuzzy, kde-format
 #| msgid "Export &All Diagrams as Pictures..."
 msgid "Export &Diagrams as Pictures..."
 msgstr "&All Diagrammen as Biller exporteren..."
 
-#: uml.cpp:569
+#: uml.cpp:578
 #, kde-format
 msgid "Z&oom to 100%"
 msgstr "Ansicht&grött op 100%"
 
-#: uml.cpp:612
+#: uml.cpp:621
 #, kde-format
 msgid "&Move Tab Left"
 msgstr "&Koort na links verschuven"
 
-#: uml.cpp:613
+#: uml.cpp:622
 #, kde-format
 msgid "&Move Tab Right"
 msgstr "&Koort na rechts verschuven"
 
-#: uml.cpp:636
+#: uml.cpp:645
 #, kde-format
 msgid "Select Diagram on Left"
 msgstr "Diagramm linkerhand utsöken"
 
-#: uml.cpp:637
+#: uml.cpp:646
 #, kde-format
 msgid "Select Diagram on Right"
 msgstr "Diagramm rechterhand utsöken"
 
-#: uml.cpp:776
+#: uml.cpp:785
 #, kde-format
 msgctxt "%1 percent value from 20 to 500"
 msgid " &%1%"
 msgstr ""
 
-#: uml.cpp:826
+#: uml.cpp:835
 #, kde-format
 msgctxt "init status bar"
 msgid "Ready"
 msgstr "Praat"
 
-#: uml.cpp:835 uml.cpp:848
+#: uml.cpp:844 uml.cpp:857
 #, kde-format
 msgid "100%"
 msgstr ""
 
-#: uml.cpp:840
+#: uml.cpp:849
 #, fuzzy, kde-format
 #| msgid "Filter"
 msgid "Fit"
 msgstr "Filter"
 
-#: uml.cpp:899
+#: uml.cpp:908
 #, kde-format
 msgid "Diagram Toolbar"
 msgstr "Diagramm-Warktüüchbalken"
 
-#: uml.cpp:965
+#: uml.cpp:974
 #, kde-format
 msgid "Doc&umentation"
 msgstr "Do&kmentatschoon"
 
-#: uml.cpp:976
+#: uml.cpp:985
 #, kde-format
 msgid "Co&mmand history"
 msgstr "Befehlen-&Vörgeschicht"
 
-#: uml.cpp:992
+#: uml.cpp:1001
 #, kde-format
 msgid "&Debug"
 msgstr ""
 
-#: uml.cpp:999
+#: uml.cpp:1008
 #, kde-format
 msgid "&Log"
 msgstr ""
 
-#: uml.cpp:1041 uml.cpp:1258 uml.cpp:1307
+#: uml.cpp:1050 uml.cpp:1267 uml.cpp:1316
 #, kde-format
 msgid "Opening file..."
 msgstr "Datei warrt opmaakt..."
 
-#: uml.cpp:1092 uml.cpp:1157 uml.cpp:1342 umldoc.cpp:342 umldoc.cpp:344
-#: umldoc.cpp:368 umldoc.cpp:3396
+#: uml.cpp:1101 uml.cpp:1166 uml.cpp:1351 umldoc.cpp:343 umldoc.cpp:345
+#: umldoc.cpp:369 umldoc.cpp:3405
 #, kde-format
 msgid "Untitled"
 msgstr "ahn Naam"
 
-#: uml.cpp:1240
+#: uml.cpp:1249
 #, kde-format
 msgid "Creating new document..."
 msgstr "Nieg Dokment warrt opstellt..."
 
-#: uml.cpp:1266 uml.cpp:1281
+#: uml.cpp:1275 uml.cpp:1290
 #, kde-format
 msgid "Open File"
 msgstr "Datei opmaken"
 
-#: uml.cpp:1270
+#: uml.cpp:1279
 #, fuzzy, kde-format
 #| msgid ""
 #| "*.xmi *.xmi.tgz *.xmi.tar.bz2 *.mdl|All Supported Files (*.xmi, *.xmi."
@@ -7811,22 +7811,22 @@ msgstr ""
 "*.xmi.tar.bz2|mit \"bzip2\" komprimeert XMI-Dateien (*.xmi.tar.bz2)\n"
 "*.mdl|\"Rose model\"-Dateien"
 
-#: uml.cpp:1341
+#: uml.cpp:1350
 #, kde-format
 msgid "Saving file..."
 msgstr "Datei warrt sekert..."
 
-#: uml.cpp:1358
+#: uml.cpp:1367
 #, kde-format
 msgid "Saving file with a new filename..."
 msgstr "Datei warrt mit nieg Dateinaam sekert..."
 
-#: uml.cpp:1368 uml.cpp:1374 umlviewimageexporter.cpp:199
+#: uml.cpp:1377 uml.cpp:1383 umlviewimageexporter.cpp:199
 #, kde-format
 msgid "Save As"
 msgstr "Sekern as"
 
-#: uml.cpp:1369
+#: uml.cpp:1378
 #, fuzzy, kde-format
 #| msgid ""
 #| "*.xmi|XMI File\n"
@@ -7842,7 +7842,7 @@ msgstr ""
 "*.xmi.tar.bz2|Mit \"bzip2\" komprimeert XMI-Datei\n"
 "*|All Dateien"
 
-#: uml.cpp:1374
+#: uml.cpp:1383
 #, fuzzy, kde-format
 #| msgid ""
 #| "*.xmi|XMI File\n"
@@ -7860,7 +7860,7 @@ msgstr ""
 "*.xmi.tar.bz2|Mit \"bzip2\" komprimeert XMI-Datei\n"
 "*|All Dateien"
 
-#: uml.cpp:1387
+#: uml.cpp:1396
 #, kde-format
 msgid ""
 "The file %1 exists.\n"
@@ -7869,67 +7869,67 @@ msgstr ""
 "De Datei \"%1\" gifft dat al.\n"
 "Wullt Du ehr överschrieven?"
 
-#: uml.cpp:1388
+#: uml.cpp:1397
 #, kde-format
 msgid "Warning"
 msgstr "Wohrschoen"
 
-#: uml.cpp:1388
+#: uml.cpp:1397
 #, kde-format
 msgid "Overwrite"
 msgstr "Överschrieven"
 
-#: uml.cpp:1422
+#: uml.cpp:1431
 #, kde-format
 msgid "Closing file..."
 msgstr "Datei warrt tomaakt..."
 
-#: uml.cpp:1432
+#: uml.cpp:1441
 #, kde-format
 msgid "No search term entered"
 msgstr ""
 
-#: uml.cpp:1438
+#: uml.cpp:1447
 #, kde-format
 msgid "'%1': %2 found"
 msgstr ""
 
-#: uml.cpp:1502
+#: uml.cpp:1511
 #, kde-format
 msgid "Print Preview..."
 msgstr "Druckvöransicht..."
 
-#: uml.cpp:1529
+#: uml.cpp:1538
 #, kde-format
 msgid "Printing..."
 msgstr "An't Drucken..."
 
-#: uml.cpp:1536 uml.cpp:1540
+#: uml.cpp:1545 uml.cpp:1549
 #, kde-format
 msgid "Print %1"
 msgstr "\"%1\" drucken"
 
-#: uml.cpp:1560
+#: uml.cpp:1569
 #, kde-format
 msgid "Exiting..."
 msgstr "An't Beennen..."
 
-#: uml.cpp:1647
+#: uml.cpp:1656
 #, kde-format
 msgid "Cutting selection..."
 msgstr "Köör warrt knippt..."
 
-#: uml.cpp:1670
+#: uml.cpp:1679
 #, kde-format
 msgid "Copying selection to clipboard..."
 msgstr "Köör warrt na de Twischenaflaag kopeert..."
 
-#: uml.cpp:1682
+#: uml.cpp:1691
 #, kde-format
 msgid "Inserting clipboard contents..."
 msgstr "Twischenaflaag-Inholt warrt inföögt..."
 
-#: uml.cpp:1687
+#: uml.cpp:1696
 #, kde-format
 msgid ""
 "Umbrello could not paste the clipboard contents.  The objects in the "
@@ -7939,40 +7939,40 @@ msgstr ""
 "de Twischenaflaag hebbt villicht den falschen Typ för't Infögen an disse "
 "Steed."
 
-#: uml.cpp:1713 umlviewimageexporter.cpp:92 umlviewimageexporterall.cpp:123
+#: uml.cpp:1722 umlviewimageexporter.cpp:92 umlviewimageexporterall.cpp:123
 #, kde-format
 msgctxt "reset status bar"
 msgid "Ready."
 msgstr "Fardig."
 
-#: uml.cpp:2246
+#: uml.cpp:2255
 #, kde-format
 msgid "Cannot view code until you generate some first."
 msgstr "Kode lett sik nich ankieken, ehr Du em nich opstellt hest."
 
-#: uml.cpp:2246 uml.cpp:2249
+#: uml.cpp:2255 uml.cpp:2258
 #, kde-format
 msgid "Cannot View Code"
 msgstr "Kode lett sik nich wiesen"
 
-#: uml.cpp:2249
+#: uml.cpp:2258
 #, kde-format
 msgid "Cannot view code from simple code writer."
 msgstr "Kode vun eenfach Kodeopsteller lett sik nich ankieken."
 
-#: uml.cpp:2714 uml.cpp:2716
+#: uml.cpp:2728 uml.cpp:2730
 #, fuzzy, kde-format
 #| msgid "Select Code to Import"
 msgid "Select file(s) to import:"
 msgstr "Kode för't Importeren utsöken"
 
-#: uml.cpp:2747 uml.cpp:2749
+#: uml.cpp:2761 uml.cpp:2763
 #, fuzzy, kde-format
 #| msgid "Select Code to Import"
 msgid "Select directory to import:"
 msgstr "Kode för't Importeren utsöken"
 
-#: uml.cpp:3313
+#: uml.cpp:3335
 #, kde-format
 msgid "XHTML Generation failed ."
 msgstr "XHTML-Opstellen is fehlslaan."
@@ -7989,20 +7989,20 @@ msgstr ""
 "Dat gifft al en Akschoon mit den sülven Naam un de sülve Signatuur. Du "
 "kannst ehr nich nochmaal tofögen."
 
-#: uml1model/folder.cpp:435
+#: uml1model/folder.cpp:436
 #, kde-format
 msgid "The folderfile %1 does not exist."
 msgstr "De Ornerdatei \"%1\" gifft dat nich."
 
-#: uml1model/folder.cpp:435 uml1model/folder.cpp:439 umldoc.cpp:529
-#: umldoc.cpp:541 umldoc.cpp:568 umldoc.cpp:570 umldoc.cpp:620 umldoc.cpp:623
-#: umldoc.cpp:638 umldoc.cpp:641 umldoc.cpp:665 umldoc.cpp:668 umldoc.cpp:684
-#: umldoc.cpp:687 umldoc.cpp:702 umldoc.cpp:705 umldoc.cpp:750
+#: uml1model/folder.cpp:436 uml1model/folder.cpp:440 umldoc.cpp:530
+#: umldoc.cpp:542 umldoc.cpp:569 umldoc.cpp:571 umldoc.cpp:621 umldoc.cpp:624
+#: umldoc.cpp:639 umldoc.cpp:642 umldoc.cpp:666 umldoc.cpp:669 umldoc.cpp:685
+#: umldoc.cpp:688 umldoc.cpp:703 umldoc.cpp:706 umldoc.cpp:751
 #, kde-format
 msgid "Load Error"
 msgstr "Fehler bi't Laden"
 
-#: uml1model/folder.cpp:439
+#: uml1model/folder.cpp:440
 #, kde-format
 msgid "The folderfile %1 cannot be opened."
 msgstr "De Ornerdatei \"%1\" lett sik nich opmaken."
@@ -8012,13 +8012,13 @@ msgstr "De Ornerdatei \"%1\" lett sik ni
 msgid "new_parameter"
 msgstr "nieg_parameter"
 
-#: uml1model/package.cpp:163
+#: uml1model/package.cpp:169
 #, kde-format
 msgctxt "object name"
 msgid "Name"
 msgstr "Naam"
 
-#: uml1model/package.cpp:164
+#: uml1model/package.cpp:170
 #, kde-format
 msgid ""
 "An object with the name %1\n"
@@ -8044,80 +8044,80 @@ msgstr "nieg_feld"
 msgid "new_fkey_constraint"
 msgstr "nieg_fsloetel_beding"
 
-#: uml1model/umlobject.cpp:1140
+#: uml1model/umlobject.cpp:1141
 #, kde-format
 msgid "Actor &name:"
 msgstr "Aktöör&naam:"
 
-#: uml1model/umlobject.cpp:1143
+#: uml1model/umlobject.cpp:1144
 #, kde-format
 msgid "Artifact &name:"
 msgstr "Artefakt&naam:"
 
-#: uml1model/umlobject.cpp:1146
+#: uml1model/umlobject.cpp:1147
 #, fuzzy, kde-format
 #| msgid "Association Name"
 msgid "Association &name:"
 msgstr "Towiesen-Naam"
 
-#: uml1model/umlobject.cpp:1149
+#: uml1model/umlobject.cpp:1150
 #, kde-format
 msgid "Class &name:"
 msgstr "Klass&naam:"
 
-#: uml1model/umlobject.cpp:1152
+#: uml1model/umlobject.cpp:1153
 #, kde-format
 msgid "Component &name:"
 msgstr "Komponent&naam:"
 
-#: uml1model/umlobject.cpp:1155
+#: uml1model/umlobject.cpp:1156
 #, kde-format
 msgid "Datatype &name:"
 msgstr "Datentyp&naaam:"
 
-#: uml1model/umlobject.cpp:1158
+#: uml1model/umlobject.cpp:1159
 #, kde-format
 msgid "Entity &name:"
 msgstr "Eenheit&naam:"
 
-#: uml1model/umlobject.cpp:1161
+#: uml1model/umlobject.cpp:1162
 #, kde-format
 msgid "Enum &name:"
 msgstr "Optell&naam:"
 
-#: uml1model/umlobject.cpp:1164
+#: uml1model/umlobject.cpp:1165
 #, fuzzy, kde-format
 #| msgid "Node &name:"
 msgid "Folder &name:"
 msgstr "&Knüttnaam:"
 
-#: uml1model/umlobject.cpp:1167
+#: uml1model/umlobject.cpp:1168
 #, kde-format
 msgid "Interface &name:"
 msgstr "Koppelsteed&naam:"
 
-#: uml1model/umlobject.cpp:1170
+#: uml1model/umlobject.cpp:1171
 #, kde-format
 msgid "Node &name:"
 msgstr "&Knüttnaam:"
 
-#: uml1model/umlobject.cpp:1173
+#: uml1model/umlobject.cpp:1174
 #, kde-format
 msgid "Package &name:"
 msgstr "Paket&naam:"
 
-#: uml1model/umlobject.cpp:1176
+#: uml1model/umlobject.cpp:1177
 #, fuzzy, kde-format
 #| msgid "Actor &name:"
 msgid "Port &name:"
 msgstr "Aktöör&naam:"
 
-#: uml1model/umlobject.cpp:1182
+#: uml1model/umlobject.cpp:1183
 #, kde-format
 msgid "Use case &name:"
 msgstr "Bruukbispill&naam:"
 
-#: uml1model/umlobject.cpp:1185
+#: uml1model/umlobject.cpp:1186
 #, kde-format
 msgid "Instance name:"
 msgstr "Utgaavnaam:"
@@ -8139,42 +8139,42 @@ msgstr "Stereotyp"
 msgid "Welcome"
 msgstr ""
 
-#: umldoc.cpp:112 umldoc.cpp:2400 umldoc.cpp:2428
+#: umldoc.cpp:113 umldoc.cpp:2405 umldoc.cpp:2433
 #, kde-format
 msgid "UML Model"
 msgstr "UML-Modell"
 
-#: umldoc.cpp:154
+#: umldoc.cpp:155
 #, kde-format
 msgid "Logical View"
 msgstr "Logisch Ansicht"
 
-#: umldoc.cpp:155
+#: umldoc.cpp:156
 #, kde-format
 msgid "Use Case View"
 msgstr "Bruukbispeel-Ansicht"
 
-#: umldoc.cpp:156
+#: umldoc.cpp:157
 #, kde-format
 msgid "Component View"
 msgstr "Komponenten-Ansicht"
 
-#: umldoc.cpp:157
+#: umldoc.cpp:158
 #, kde-format
 msgid "Deployment View"
 msgstr "Insetten-Ansicht"
 
-#: umldoc.cpp:158
+#: umldoc.cpp:159
 #, kde-format
 msgid "Entity Relationship Model"
 msgstr "Eenheitenbetog-Modell"
 
-#: umldoc.cpp:184
+#: umldoc.cpp:185
 #, kde-format
 msgid "Datatypes"
 msgstr "Datentypen"
 
-#: umldoc.cpp:363
+#: umldoc.cpp:364
 #, kde-format
 msgid ""
 "The current file has been modified.\n"
@@ -8183,171 +8183,171 @@ msgstr ""
 "De aktuelle Datei wöör ännert.\n"
 "Wullt Du ehr sekern?"
 
-#: umldoc.cpp:364
+#: umldoc.cpp:365
 #, kde-format
 msgctxt "warning message"
 msgid "Warning"
 msgstr "Wohrschoen"
 
-#: umldoc.cpp:529
+#: umldoc.cpp:530
 #, fuzzy, kde-format
 #| msgid "The file %1 does not exist."
 msgid "The file <%1> does not exist."
 msgstr "De Datei \"%1\" gifft dat nich."
 
-#: umldoc.cpp:541
+#: umldoc.cpp:542
 #, kde-format
 msgid "The file %1 does not exist."
 msgstr "De Datei \"%1\" gifft dat nich."
 
-#: umldoc.cpp:568 umldoc.cpp:570
+#: umldoc.cpp:569 umldoc.cpp:571
 #, kde-format
 msgid "The file %1 seems to be corrupted."
 msgstr "As dat lett is de Datei \"%1\" schaadhaftig."
 
-#: umldoc.cpp:619 umldoc.cpp:622 umldoc.cpp:637 umldoc.cpp:640 umldoc.cpp:683
-#: umldoc.cpp:686
+#: umldoc.cpp:620 umldoc.cpp:623 umldoc.cpp:638 umldoc.cpp:641 umldoc.cpp:684
+#: umldoc.cpp:687
 #, kde-format
 msgid "There was no XMI file found in the compressed file %1."
 msgstr "Binnen de komprimeerte Datei \"%1\" lett sik keen XMI-Datei finnen."
 
-#: umldoc.cpp:664 umldoc.cpp:667
+#: umldoc.cpp:665 umldoc.cpp:668
 #, kde-format
 msgid "There was a problem loading the extracted file: %1"
 msgstr "Dat geev en Problem bi't Laden vun de ruttrocken Datei \"%1\""
 
-#: umldoc.cpp:701 umldoc.cpp:704 umldoc.cpp:744 umldoc.cpp:746
+#: umldoc.cpp:702 umldoc.cpp:705 umldoc.cpp:745 umldoc.cpp:747
 #, kde-format
 msgid "There was a problem loading file: %1"
 msgstr "Dat geev en Problem bi't Laden vun Datei \"%1\""
 
-#: umldoc.cpp:749
+#: umldoc.cpp:750
 #, kde-format
 msgid "Reason: %1"
 msgstr ""
 
-#: umldoc.cpp:832 umldoc.cpp:834 umldoc.cpp:851 umldoc.cpp:853 umldoc.cpp:873
-#: umldoc.cpp:875 umldoc.cpp:924 umldoc.cpp:926 umldoc.cpp:966 umldoc.cpp:969
-#: umldoc.cpp:978 umldoc.cpp:980 umllistview.cpp:593
+#: umldoc.cpp:833 umldoc.cpp:835 umldoc.cpp:852 umldoc.cpp:854 umldoc.cpp:874
+#: umldoc.cpp:876 umldoc.cpp:925 umldoc.cpp:927 umldoc.cpp:968 umldoc.cpp:971
+#: umldoc.cpp:980 umldoc.cpp:982 umllistview.cpp:594
 #, kde-format
 msgid "Save Error"
 msgstr "Fehler bi't Sekern"
 
-#: umldoc.cpp:832 umldoc.cpp:851 umldoc.cpp:873 umldoc.cpp:924 umldoc.cpp:966
+#: umldoc.cpp:833 umldoc.cpp:852 umldoc.cpp:874 umldoc.cpp:925 umldoc.cpp:968
 #, fuzzy, kde-format
 #| msgid "There was a problem saving file: %1"
 msgid "There was a problem saving: %1"
 msgstr "Dat geev en Problem bi't Sekern vun Datei \"%1\""
 
-#: umldoc.cpp:834 umldoc.cpp:853 umldoc.cpp:875 umldoc.cpp:926 umldoc.cpp:969
-#: umllistview.cpp:592 umlviewimageexportermodel.cpp:303
+#: umldoc.cpp:835 umldoc.cpp:854 umldoc.cpp:876 umldoc.cpp:927 umldoc.cpp:971
+#: umllistview.cpp:593 umlviewimageexportermodel.cpp:303
 #, kde-format
 msgid "There was a problem saving file: %1"
 msgstr "Dat geev en Problem bi't Sekern vun Datei \"%1\""
 
-#: umldoc.cpp:978
+#: umldoc.cpp:980
 #, fuzzy, kde-format
 #| msgid "There was a problem uploading file: %1"
 msgid "There was a problem uploading: %1"
 msgstr "Dat geev en Problem bi't Hoochladen vun Datei \"%1\""
 
-#: umldoc.cpp:980
+#: umldoc.cpp:982
 #, kde-format
 msgid "There was a problem uploading file: %1"
 msgstr "Dat geev en Problem bi't Hoochladen vun Datei \"%1\""
 
-#: umldoc.cpp:1526
+#: umldoc.cpp:1528
 #, kde-format
 msgid "use case diagram"
 msgstr "Bruukbispeel-Diagramm"
 
-#: umldoc.cpp:1529
+#: umldoc.cpp:1531
 #, kde-format
 msgid "class diagram"
 msgstr "Klass-Diagramm"
 
-#: umldoc.cpp:1532
+#: umldoc.cpp:1534
 #, kde-format
 msgid "sequence diagram"
 msgstr "Reeg-Diagramm"
 
-#: umldoc.cpp:1535
+#: umldoc.cpp:1537
 #, fuzzy, kde-format
 #| msgid "collaboration diagram"
 msgid "communication diagram"
 msgstr "Tosamenarbeit-Diagramm"
 
-#: umldoc.cpp:1538
+#: umldoc.cpp:1540
 #, fuzzy, kde-format
 #| msgid "&Select diagrams"
 msgid "object diagram"
 msgstr "Diagrammen &utsöken"
 
-#: umldoc.cpp:1541
+#: umldoc.cpp:1543
 #, kde-format
 msgid "state diagram"
 msgstr "Tostand-Diagramm"
 
-#: umldoc.cpp:1544
+#: umldoc.cpp:1546
 #, kde-format
 msgid "activity diagram"
 msgstr "Aktiviteet-Diagramm"
 
-#: umldoc.cpp:1547
+#: umldoc.cpp:1549
 #, kde-format
 msgid "component diagram"
 msgstr "Komponenten-Diagramm"
 
-#: umldoc.cpp:1550
+#: umldoc.cpp:1552
 #, kde-format
 msgid "deployment diagram"
 msgstr "Instten-Diagramm"
 
-#: umldoc.cpp:1553
+#: umldoc.cpp:1555
 #, kde-format
 msgid "entity relationship diagram"
 msgstr "Eenheitenbetog-Diagramm"
 
-#: umldoc.cpp:1623
+#: umldoc.cpp:1625
 #, kde-format
 msgctxt "diagram name"
 msgid "Name"
 msgstr "Naam"
 
-#: umldoc.cpp:1623 umldoc.cpp:1686 umldoc.cpp:1715 umldoc.cpp:1749
+#: umldoc.cpp:1625 umldoc.cpp:1688 umldoc.cpp:1717 umldoc.cpp:1751
 #, kde-format
 msgid "Enter name:"
 msgstr "Naam ingeven:"
 
-#: umldoc.cpp:1627 umldoc.cpp:1692
+#: umldoc.cpp:1629 umldoc.cpp:1694
 #, kde-format
 msgid "That is an invalid name for a diagram."
 msgstr "Dat is en leeg Naam för en Diagramm."
 
-#: umldoc.cpp:1629 umldoc.cpp:1699
+#: umldoc.cpp:1631 umldoc.cpp:1701
 #, kde-format
 msgid "A diagram is already using that name."
 msgstr "En Diagramm bruukt den Naam al."
 
-#: umldoc.cpp:1685
+#: umldoc.cpp:1687
 #, kde-format
 msgctxt "renaming diagram"
 msgid "Name"
 msgstr "Naam"
 
-#: umldoc.cpp:1714
+#: umldoc.cpp:1716
 #, kde-format
 msgctxt "renaming uml object"
 msgid "Name"
 msgstr "Naam"
 
-#: umldoc.cpp:1748
+#: umldoc.cpp:1750
 #, kde-format
 msgctxt "renaming child uml object"
 msgid "Name"
 msgstr "Naam"
 
-#: umldoc.cpp:1758
+#: umldoc.cpp:1760
 #, kde-format
 msgid ""
 "The name you entered was not unique.\n"
@@ -8356,131 +8356,131 @@ msgstr ""
 "Du hest en nich eensoortet Naam ingeven.\n"
 "Wullt Du dat redig so?"
 
-#: umldoc.cpp:1759
+#: umldoc.cpp:1761
 #, kde-format
 msgid "Use Name"
 msgstr "Naam bruken"
 
-#: umldoc.cpp:1759
+#: umldoc.cpp:1761
 #, kde-format
 msgid "Enter New Name"
 msgstr "Nieg Naam ingeven"
 
-#: umldoc.cpp:2361
+#: umldoc.cpp:2366
 #, kde-format
 msgid "Unsupported xmi file version: %1"
 msgstr ""
 
-#: umldoc.cpp:2511
+#: umldoc.cpp:2516
 #, kde-format
 msgid "Setting up the document..."
 msgstr "Dokment waart torechtmaakt..."
 
-#: umldoc.cpp:2540
+#: umldoc.cpp:2545
 #, kde-format
 msgid "Resolving object references..."
 msgstr "Objektbetöög warrt oplööst..."
 
-#: umldoc.cpp:2648
+#: umldoc.cpp:2653
 #, kde-format
 msgid "Loading UML elements..."
 msgstr "UML-Elementen warrt laadt..."
 
-#: umldoc.cpp:2892
+#: umldoc.cpp:2899
 #, kde-format
 msgid "Loading diagrams..."
 msgstr "Diagrammen warrt laadt..."
 
-#: umldoc.cpp:3400
+#: umldoc.cpp:3409
 #, kde-format
 msgid "/autosave%1"
 msgstr "/autosave%1"
 
-#: umllistview.cpp:536 umllistview.cpp:540
+#: umllistview.cpp:537 umllistview.cpp:541
 #, kde-format
 msgid "Externalize Folder"
 msgstr "Orner utlagern"
 
-#: umllistview.cpp:574
+#: umllistview.cpp:575
 #, kde-format
 msgid "Folder %1 must be relative to the main model directory, %2."
 msgstr ""
 
-#: umllistview.cpp:575
+#: umllistview.cpp:576
 #, fuzzy, kde-format
 #| msgid "Paste Error"
 msgid "Path Error"
 msgstr "Inföög-Fehler"
 
-#: umllistview.cpp:583
+#: umllistview.cpp:584
 #, kde-format
 msgid ""
 "File %1 already exists!\n"
 "The existing file will be overwritten."
 msgstr ""
 
-#: umllistview.cpp:584
+#: umllistview.cpp:585
 #, fuzzy, kde-format
 #| msgid "File Already Exists"
 msgid "File Exist"
 msgstr "Gifft Datei al"
 
-#: umllistview.cpp:624
+#: umllistview.cpp:625
 #, kde-format
 msgid "Enter Model Name"
 msgstr "Modellnaaam ingeven"
 
-#: umllistview.cpp:625
+#: umllistview.cpp:626
 #, kde-format
 msgid "Enter the new name of the model:"
 msgstr "Giff den niegen Naam för dat Modell in:"
 
-#: umllistview.cpp:1422
+#: umllistview.cpp:1430
 #, kde-format
 msgid "Views"
 msgstr "Ansichten"
 
-#: umllistview.cpp:1441
+#: umllistview.cpp:1449
 #, fuzzy, kde-format
 #| msgid "Role Settings"
 msgid "Settings"
 msgstr "Rull-Instellen"
 
-#: umllistview.cpp:2413
+#: umllistview.cpp:2421
 #, kde-format
 msgid "Loading listview..."
 msgstr "Listansicht warrt laadt..."
 
-#: umllistview.cpp:2764
+#: umllistview.cpp:2772
 #, fuzzy, kde-format
 #| msgid "The folder must be emptied before it can be deleted."
 msgid "The class must be emptied before it can be deleted."
 msgstr "De Orner mutt ehr't Wegdoon leddig maakt warrn."
 
-#: umllistview.cpp:2765
+#: umllistview.cpp:2773
 #, fuzzy, kde-format
 #| msgid "Folder Not Empty"
 msgid "Class Not Empty"
 msgstr "Orner nich leddig"
 
-#: umllistview.cpp:2769
+#: umllistview.cpp:2777
 #, fuzzy, kde-format
 #| msgid "The folder must be emptied before it can be deleted."
 msgid "The package must be emptied before it can be deleted."
 msgstr "De Orner mutt ehr't Wegdoon leddig maakt warrn."
 
-#: umllistview.cpp:2770
+#: umllistview.cpp:2778
 #, fuzzy, kde-format
 #| msgid "Folder Not Empty"
 msgid "Package Not Empty"
 msgstr "Orner nich leddig"
 
-#: umllistview.cpp:2774
+#: umllistview.cpp:2782
 #, kde-format
 msgid "The folder must be emptied before it can be deleted."
 msgstr "De Orner mutt ehr't Wegdoon leddig maakt warrn."
 
-#: umllistview.cpp:2775
+#: umllistview.cpp:2783
 #, kde-format
 msgid "Folder Not Empty"
 msgstr "Orner nich leddig"
diff -pruN 4:20.08.3-1/po/nl/umbrello.po 4:20.12.0-0ubuntu1/po/nl/umbrello.po
--- 4:20.08.3-1/po/nl/umbrello.po	2020-11-03 00:42:16.000000000 +0000
+++ 4:20.12.0-0ubuntu1/po/nl/umbrello.po	2020-12-04 00:21:30.000000000 +0000
@@ -20,15 +20,15 @@ msgid ""
 msgstr ""
 "Project-Id-Version: umbrello\n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
-"POT-Creation-Date: 2020-08-14 08:09+0200\n"
-"PO-Revision-Date: 2020-08-24 12:07+0200\n"
+"POT-Creation-Date: 2020-11-06 02:36+0100\n"
+"PO-Revision-Date: 2020-11-27 11:09+0100\n"
 "Last-Translator: Freek de Kruijf <freekdekruijf@kde.nl>\n"
 "Language-Team: Dutch <kde-i18n-nl@kde.org>\n"
 "Language: nl\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
-"X-Generator: Lokalize 20.08.0\n"
+"X-Generator: Lokalize 20.08.3\n"
 "Plural-Forms: nplurals=2; plural=n != 1;\n"
 
 #, kde-format
@@ -221,7 +221,7 @@ msgstr ""
 "Minstens een van de objecten op het klembord kon niet geplakt worden: een "
 "object met dezelfde naam bestaat reeds.  Alle andere objecten zijn geplakt."
 
-#: clipboard/umlclipboard.cpp:753 uml.cpp:1689
+#: clipboard/umlclipboard.cpp:753 uml.cpp:1698
 #, kde-format
 msgid "Paste Error"
 msgstr "Fout bij plakken"
@@ -447,7 +447,7 @@ msgstr "<p align=\"center\">C++ codegene
 #. i18n: ectx: attribute (title), widget (QWidget, ui_tabGeneral)
 #: codegenerators/cpp/cppcodegenerationformbase.ui:51
 #: codegenwizard/codegenoptionspage.ui:39 dialogs/objectnodedialog.cpp:135
-#: umllistview.cpp:1451
+#: umllistview.cpp:1459
 #, kde-format
 msgid "General"
 msgstr "Algemeen"
@@ -1329,7 +1329,7 @@ msgstr "Toestand"
 #. i18n: ectx: property (text), widget (QRadioButton, ui_categoryClass)
 #. i18n: ectx: property (text), widget (QTableWidget, ui_tableWidgetStatus)
 #: codegenwizard/codegenstatuspage.ui:40 codeimpwizard/codeimpstatuspage.ui:54
-#: dialogs/finddialog.ui:89 umllistview.cpp:1446 umlwidgets/widgetbase.cpp:1255
+#: dialogs/finddialog.ui:89 umllistview.cpp:1454 umlwidgets/widgetbase.cpp:1255
 #, kde-format
 msgid "Class"
 msgstr "Klasse"
@@ -1984,17 +1984,17 @@ msgstr "Meldingen gerelateerd aan 'assoc
 msgid "Enable 'delete diagram' related messages"
 msgstr "Aan 'diagram verwijderen' gerelateerde meldingen inschakelen"
 
-#: dialogs/dialog_utils.cpp:117
+#: dialogs/dialog_utils.cpp:118
 #, kde-format
 msgid "You are about to delete an association. Do you really want to continue?"
 msgstr "U staat op het punt deze associatie te verwijderen. Wilt u doorgaan?"
 
-#: dialogs/dialog_utils.cpp:118
+#: dialogs/dialog_utils.cpp:119
 #, kde-format
 msgid "Delete Association"
 msgstr "Associatie verwijderen"
 
-#: dialogs/dialog_utils.cpp:132
+#: dialogs/dialog_utils.cpp:133
 #, kde-format
 msgid ""
 "You are about to delete the entire diagram.\n"
@@ -2003,17 +2003,17 @@ msgstr ""
 "U gaat het hele diagram verwijderen.\n"
 "Wilt u doorgaan?"
 
-#: dialogs/dialog_utils.cpp:133
+#: dialogs/dialog_utils.cpp:134
 #, kde-format
 msgid "Are you sure you want to delete diagram %1?"
 msgstr "Wilt u diagram %1 verwijderen?"
 
-#: dialogs/dialog_utils.cpp:138
+#: dialogs/dialog_utils.cpp:139
 #, kde-format
 msgid "Delete Diagram?"
 msgstr "Diagram verwijderen?"
 
-#: dialogs/dialog_utils.cpp:139 dialogs/pages/classifierlistpage.cpp:215
+#: dialogs/dialog_utils.cpp:140 dialogs/pages/classifierlistpage.cpp:215
 #: dialogs/pages/classifierlistpage.cpp:223
 #: dialogs/umlforeignkeyconstraintdialog.cpp:325
 #: dialogs/umlforeignkeyconstraintdialog.cpp:331
@@ -2178,7 +2178,7 @@ msgstr "Algemeen"
 #. i18n: ectx: label, entry (uiFont), group (UI Options)
 #. i18n: ectx: label, entry (codeViewerFont), group (Code Viewer Options)
 #: dialogs/multipagedialogbase.cpp:405 umbrello.kcfg:177 umbrello.kcfg:292
-#: umllistview.cpp:1450
+#: umllistview.cpp:1458
 #, kde-format
 msgid "Font"
 msgstr "Lettertype"
@@ -2533,7 +2533,7 @@ msgstr "Uitvo&erbaar"
 #: dialogs/pages/classgeneralpage.cpp:217
 #, kde-format
 msgid "Draw as actor"
-msgstr "Tekenen als actor"
+msgstr "Tekenen als acteur"
 
 #: dialogs/pages/classgeneralpage.cpp:222
 #, kde-format
@@ -2612,7 +2612,7 @@ msgstr "Ni&euw attribuut van exemplaar..
 
 #: dialogs/pages/classifierlistpage.cpp:217
 #: dialogs/pages/classifierlistpage.cpp:225 dialogs/umloperationdialog.cpp:167
-#: dialogs/umloperationdialog.cpp:175 uml.cpp:554
+#: dialogs/umloperationdialog.cpp:175 uml.cpp:563
 #, kde-format
 msgid "&Properties"
 msgstr "Eigenscha&ppen"
@@ -2630,7 +2630,7 @@ msgid "Source Code"
 msgstr "Broncode"
 
 #: dialogs/pages/classoptionspage.cpp:157
-#: dialogs/pages/classoptionspage.cpp:251 uml.cpp:509
+#: dialogs/pages/classoptionspage.cpp:251 uml.cpp:518
 #, kde-format
 msgid "&Documentation"
 msgstr "&Documentatie"
@@ -2820,8 +2820,8 @@ msgstr "De naam die u opgegeven hebt is
 #: uml1model/classifier.cpp:410 uml1model/classifier.cpp:781
 #: uml1model/entity.cpp:125 uml1model/entity.cpp:178 uml1model/entity.cpp:228
 #: uml1model/entity.cpp:277 uml1model/enum.cpp:107 uml1model/instance.cpp:124
-#: uml1model/package.cpp:172 umldoc.cpp:1627 umldoc.cpp:1692 umldoc.cpp:1721
-#: umldoc.cpp:1755
+#: uml1model/package.cpp:178 umldoc.cpp:1629 umldoc.cpp:1694 umldoc.cpp:1723
+#: umldoc.cpp:1757
 #, kde-format
 msgid "Invalid Name"
 msgstr "Ongeldige naam"
@@ -2831,7 +2831,7 @@ msgstr "Ongeldige naam"
 msgid "The name you have entered is not unique."
 msgstr "De door u opgegeven naam is niet uniek."
 
-#: dialogs/pages/diagrampropertiespage.cpp:86 umldoc.cpp:1759
+#: dialogs/pages/diagrampropertiespage.cpp:86 umldoc.cpp:1761
 #, kde-format
 msgid "Name Not Unique"
 msgstr "Naam is niet uniek"
@@ -3305,7 +3305,7 @@ msgstr "Diagram"
 msgid "Umbrello Setup"
 msgstr "Umbrello-instellingen"
 
-#: dialogs/settingsdialog.cpp:114 umllistview.cpp:1452
+#: dialogs/settingsdialog.cpp:114 umllistview.cpp:1460
 #, kde-format
 msgid "User Interface"
 msgstr "Gebruikersinterface"
@@ -3332,7 +3332,7 @@ msgstr "Klasse"
 msgid "Class Settings"
 msgstr "Klasse-instellingen"
 
-#: dialogs/settingsdialog.cpp:137 umllistview.cpp:1447
+#: dialogs/settingsdialog.cpp:137 umllistview.cpp:1455
 #, kde-format
 msgid "Code Importer"
 msgstr "Importeur van code"
@@ -3342,7 +3342,7 @@ msgstr "Importeur van code"
 msgid "Code Import Settings"
 msgstr "Instellingen voor code importeren"
 
-#: dialogs/settingsdialog.cpp:146 umllistview.cpp:1448
+#: dialogs/settingsdialog.cpp:146 umllistview.cpp:1456
 #, kde-format
 msgid "Code Generation"
 msgstr "Codegeneratie"
@@ -3352,7 +3352,7 @@ msgstr "Codegeneratie"
 msgid "Code Generation Settings"
 msgstr "Instellingen voor de codegeneratie"
 
-#: dialogs/settingsdialog.cpp:154 umllistview.cpp:1449
+#: dialogs/settingsdialog.cpp:154 umllistview.cpp:1457
 #, kde-format
 msgid "Code Viewer"
 msgstr "Codeweergave"
@@ -3362,7 +3362,7 @@ msgstr "Codeweergave"
 msgid "Code Viewer Settings"
 msgstr "Instellingen voor de codeviewer"
 
-#: dialogs/settingsdialog.cpp:161 umllistview.cpp:1445
+#: dialogs/settingsdialog.cpp:161 umllistview.cpp:1453
 #, kde-format
 msgid "Auto Layout"
 msgstr "Automatische opmaak"
@@ -3996,7 +3996,7 @@ msgstr "&Type:"
 msgid "Package path:"
 msgstr "Pad van pakket:"
 
-#: dialogs/widgets/umlstereotypewidget.cpp:29 uml1model/umlobject.cpp:1179
+#: dialogs/widgets/umlstereotypewidget.cpp:29 uml1model/umlobject.cpp:1180
 #, kde-format
 msgid "Stereotype &name:"
 msgstr "Stereotype&naam:"
@@ -4142,7 +4142,7 @@ msgstr ""
 msgid "Gael de Chalendar (aka Kleag)"
 msgstr "Gael de Chalendar (aka Kleag)"
 
-#: docgenerators/main.cpp:56 main.cpp:131
+#: docgenerators/main.cpp:56 main.cpp:133
 #, kde-format
 msgid "Umbrello UML Modeller Authors"
 msgstr "De auteurs van Umbrello UML Modeller"
@@ -4206,12 +4206,12 @@ msgstr "Documentatie bewerken activeren
 msgid "Apply layout"
 msgstr "Opmaak toepassen"
 
-#: main.cpp:121
+#: main.cpp:123
 #, kde-format
 msgid "Umbrello UML Modeller"
 msgstr "Umbrello UML Modeller"
 
-#: main.cpp:123
+#: main.cpp:125
 #, kde-format
 msgid ""
 "Umbrello – Visual development environment for software, based on the "
@@ -4222,7 +4222,7 @@ msgstr ""
 "industriestandaard Unified Modelling Language (UML).<br/>Zie ook <a href="
 "\"http://www.omg.org/spec/\">http://www.omg.org/spec/</a>."
 
-#: main.cpp:127
+#: main.cpp:129
 #, kde-format
 msgid ""
 "Copyright © 2001 Paul Hensgen,\n"
@@ -4231,98 +4231,98 @@ msgstr ""
 "Copyright © 2001 Paul Hensgen,\n"
 "Copyright © 2002-2020 Auteurs van Umbrello UML Modeller"
 
-#: main.cpp:130
+#: main.cpp:132
 #, kde-format
 msgid "Paul Hensgen"
 msgstr "Paul Hensgen"
 
-#: main.cpp:130
+#: main.cpp:132
 #, kde-format
 msgid "Author of initial version."
 msgstr "Auteur van de oorspronkelijke versie."
 
-#: main.cpp:134
+#: main.cpp:136
 #, kde-format
 msgid "Oliver Kellogg"
 msgstr "Oliver Kellogg"
 
-#: main.cpp:135 main.cpp:138
+#: main.cpp:137 main.cpp:140
 #, kde-format
 msgid "Bug fixing, porting work, code cleanup, new features."
 msgstr ""
 "Bug repareren, werken aan overzetten, opschonen van code, nieuwe functies."
 
-#: main.cpp:137
+#: main.cpp:139
 #, kde-format
 msgid "Ralf Habacker"
 msgstr "Ralf Habacker"
 
-#: main.cpp:140
+#: main.cpp:142
 #, kde-format
 msgid "Andi Fischer"
 msgstr "Andi Fischer"
 
-#: main.cpp:141
+#: main.cpp:143
 #, kde-format
 msgid "Porting work, code cleanup, new features."
 msgstr "Werken aan overzetten, opschonen van code, nieuwe functies."
 
-#: main.cpp:143
+#: main.cpp:145
 #, kde-format
 msgid "Jonathan Riddell"
 msgstr "Jonathan Riddell"
 
-#: main.cpp:144
+#: main.cpp:146
 #, kde-format
 msgid "Current maintainer."
 msgstr "Huidige onderhouder"
 
-#: main.cpp:146
+#: main.cpp:148
 #, kde-format
 msgid "Brian Thomas"
 msgstr "Brian Thomas"
 
-#: main.cpp:147
+#: main.cpp:149
 #, kde-format
 msgid "A lot of work for C++ and Java code generation. Codeeditor."
 msgstr "Veel werk voor C++ en generatie van Java code. Bewerker van code."
 
-#: main.cpp:152
+#: main.cpp:154
 #, kde-format
 msgid "File to open"
 msgstr "Te openen bestand"
 
-#: main.cpp:153
+#: main.cpp:155
 #, kde-format
 msgid "export diagrams to extension and exit"
 msgstr "Diagrammen naar extensie exporteren en afsluiten"
 
-#: main.cpp:154
+#: main.cpp:156
 #, kde-format
 msgid "list available export extensions"
 msgstr "lijst met beschikbare exportextensies"
 
-#: main.cpp:155
+#: main.cpp:157
 #, kde-format
 msgid "the local directory to save the exported diagrams in"
 msgstr "de lokale map waarin de geëxporteerde diagrammen bewaard moeten worden"
 
-#: main.cpp:155
+#: main.cpp:157
 #, kde-format
 msgid "the directory of the file"
 msgstr "de map van het bestand"
 
-#: main.cpp:156
+#: main.cpp:158
 #, kde-format
 msgid "import files"
 msgstr "bestanden importeren"
 
-#: main.cpp:157
+#: main.cpp:159
 #, kde-format
 msgid "list supported languages"
 msgstr "ondersteunde talen tonen"
 
-#: main.cpp:158
+#: main.cpp:160
 #, kde-format
 msgid ""
 "keep the tree structure used to store the views in the document in the "
@@ -4331,12 +4331,12 @@ msgstr ""
 "boomstructuur om de weergaven van het document op te slaan bewaren in de "
 "doelmap"
 
-#: main.cpp:159
+#: main.cpp:161
 #, kde-format
 msgid "import files from directory <dir>"
 msgstr "bestanden uit map <dir> importeren"
 
-#: main.cpp:163
+#: main.cpp:165
 #, kde-format
 msgid "set active language"
 msgstr "actieve taal instellen"
@@ -4600,7 +4600,7 @@ msgstr "Destructievak verbergen"
 msgid "Import File(s)..."
 msgstr "Bestand(en) importeren..."
 
-#: menus/listpopupmenu.cpp:201 uml.cpp:356
+#: menus/listpopupmenu.cpp:201 uml.cpp:365
 #, kde-format
 msgid "Import from Directory..."
 msgstr "Uit map importeren..."
@@ -5100,42 +5100,42 @@ msgctxt "align menu"
 msgid "Align"
 msgstr "Uitlijnen"
 
-#: menus/widgetbasepopupmenu.cpp:598 uml.cpp:573
+#: menus/widgetbasepopupmenu.cpp:598 uml.cpp:582
 #, kde-format
 msgid "Align Right"
 msgstr "Rechts uitlijnen"
 
-#: menus/widgetbasepopupmenu.cpp:599 uml.cpp:578
+#: menus/widgetbasepopupmenu.cpp:599 uml.cpp:587
 #, kde-format
 msgid "Align Left"
 msgstr "Links uitlijnen"
 
-#: menus/widgetbasepopupmenu.cpp:600 uml.cpp:583
+#: menus/widgetbasepopupmenu.cpp:600 uml.cpp:592
 #, kde-format
 msgid "Align Top"
 msgstr "Boven uitlijnen"
 
-#: menus/widgetbasepopupmenu.cpp:601 uml.cpp:588
+#: menus/widgetbasepopupmenu.cpp:601 uml.cpp:597
 #, kde-format
 msgid "Align Bottom"
 msgstr "Onder uitlijnen"
 
-#: menus/widgetbasepopupmenu.cpp:603 uml.cpp:593
+#: menus/widgetbasepopupmenu.cpp:603 uml.cpp:602
 #, kde-format
 msgid "Align Vertical Middle"
 msgstr "Verticaal centreren"
 
-#: menus/widgetbasepopupmenu.cpp:604 uml.cpp:598
+#: menus/widgetbasepopupmenu.cpp:604 uml.cpp:607
 #, kde-format
 msgid "Align Horizontal Middle"
 msgstr "Horizontaal centreren"
 
-#: menus/widgetbasepopupmenu.cpp:605 uml.cpp:603
+#: menus/widgetbasepopupmenu.cpp:605 uml.cpp:612
 #, kde-format
 msgid "Align Vertical Distribute"
 msgstr "Verticaal verdeeld centreren"
 
-#: menus/widgetbasepopupmenu.cpp:606 uml.cpp:608
+#: menus/widgetbasepopupmenu.cpp:606 uml.cpp:617
 #, kde-format
 msgid "Align Horizontal Distribute"
 msgstr "Horizontaal verdeeld centreren"
@@ -5573,7 +5573,7 @@ msgstr "De naam invoeren van het nieuwe
 #: model_utils.cpp:666 umlwidgets/widget_utils.cpp:977
 #, kde-format
 msgid "Rename actor"
-msgstr "Actor hernoemen"
+msgstr "Acteur hernoemen"
 
 #: model_utils.cpp:667 umlwidgets/widget_utils.cpp:978
 #, kde-format
@@ -5940,8 +5940,8 @@ msgstr "Gebruik"
 #: object_factory.cpp:251 uml1model/classifier.cpp:410
 #: uml1model/classifier.cpp:781 uml1model/entity.cpp:125
 #: uml1model/entity.cpp:178 uml1model/entity.cpp:228 uml1model/entity.cpp:277
-#: uml1model/enum.cpp:107 uml1model/instance.cpp:124 uml1model/package.cpp:171
-#: umldoc.cpp:1721 umldoc.cpp:1755
+#: uml1model/enum.cpp:107 uml1model/instance.cpp:124 uml1model/package.cpp:177
+#: umldoc.cpp:1723 umldoc.cpp:1757
 #, kde-format
 msgid "That is an invalid name."
 msgstr "Dat is een ongeldige naam."
@@ -5962,7 +5962,7 @@ msgstr "Gereserveerd trefwoord"
 #: object_factory.cpp:264 uml1model/classifier.cpp:413
 #: uml1model/classifier.cpp:783 uml1model/entity.cpp:127
 #: uml1model/entity.cpp:180 uml1model/entity.cpp:230 uml1model/entity.cpp:279
-#: uml1model/instance.cpp:126 umldoc.cpp:1727 umldoc.cpp:1764
+#: uml1model/instance.cpp:126 umldoc.cpp:1729 umldoc.cpp:1766
 #, kde-format
 msgid "That name is already being used."
 msgstr "De naam is reeds in gebruik."
@@ -5970,8 +5970,8 @@ msgstr "De naam is reeds in gebruik."
 #: object_factory.cpp:265 uml1model/classifier.cpp:413
 #: uml1model/classifier.cpp:783 uml1model/entity.cpp:127
 #: uml1model/entity.cpp:180 uml1model/entity.cpp:230 uml1model/entity.cpp:279
-#: uml1model/instance.cpp:126 umldoc.cpp:1629 umldoc.cpp:1699 umldoc.cpp:1727
-#: umldoc.cpp:1764
+#: uml1model/instance.cpp:126 umldoc.cpp:1631 umldoc.cpp:1701 umldoc.cpp:1729
+#: umldoc.cpp:1766
 #, kde-format
 msgid "Not a Unique Name"
 msgstr "Geen unieke naam"
@@ -6032,12 +6032,12 @@ msgstr "Een attribuut met die naam besta
 msgid "Choose a different name."
 msgstr "Een andere naam gebruiken."
 
-#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:266
+#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:273
 #, kde-format
 msgid "Incorrect use of associations."
 msgstr "Onjuist gebruik van associaties."
 
-#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:266
+#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:273
 #, kde-format
 msgid "Association Error"
 msgstr "Associatiefout"
@@ -7208,188 +7208,188 @@ msgstr "Actieve taa&l"
 msgid "&Settings"
 msgstr "&Instellingen"
 
-#: uml.cpp:332
+#: uml.cpp:341
 #, kde-format
 msgid "&Export model to DocBook"
 msgstr "Model naar DocBook &exporteren"
 
-#: uml.cpp:336
+#: uml.cpp:345
 #, kde-format
 msgid "&Export model to XHTML"
 msgstr "Model naar XHTML e&xporteren"
 
-#: uml.cpp:340
+#: uml.cpp:349
 #, kde-format
 msgid "&New Class Wizard..."
 msgstr "&Nieuwe Klassen-assistent..."
 
-#: uml.cpp:344
+#: uml.cpp:353
 #, kde-format
 msgid "&Add Default Datatypes for Active Language"
 msgstr "St&andaardgegevenstypes voor actieve taal toevoegen"
 
-#: uml.cpp:351
+#: uml.cpp:360
 #, kde-format
 msgid "Code &Importing Wizard..."
 msgstr "Assistent voor code &importeren..."
 
-#: uml.cpp:361
+#: uml.cpp:370
 #, kde-format
 msgid "&Code Generation Wizard..."
 msgstr "&Codegeneratie-assistent..."
 
-#: uml.cpp:366
+#: uml.cpp:375
 #, kde-format
 msgid "&Generate All Code"
 msgstr "Alle code &genereren"
 
-#: uml.cpp:411
+#: uml.cpp:420
 #, kde-format
 msgid "Creates a new document"
 msgstr "Maakt een nieuw document aan"
 
-#: uml.cpp:412
+#: uml.cpp:421
 #, kde-format
 msgid "Opens an existing document"
 msgstr "Opent een bestaand document"
 
-#: uml.cpp:413
+#: uml.cpp:422
 #, kde-format
 msgid "Opens a recently used file"
 msgstr "Opent een recent gebruikt bestand"
 
-#: uml.cpp:414
+#: uml.cpp:423
 #, kde-format
 msgid "Saves the document"
 msgstr "Slaat het document op"
 
-#: uml.cpp:415
+#: uml.cpp:424
 #, kde-format
 msgid "Saves the document as..."
 msgstr "Slaat het document op als..."
 
-#: uml.cpp:416
+#: uml.cpp:425
 #, kde-format
 msgid "Closes the document"
 msgstr "Sluit het document af"
 
-#: uml.cpp:417
+#: uml.cpp:426
 #, kde-format
 msgid "Prints out the document"
 msgstr "Drukt het document af"
 
-#: uml.cpp:418
+#: uml.cpp:427
 #, kde-format
 msgid "Print Preview of the document"
 msgstr "Drukt het voorbeeld van het document af"
 
-#: uml.cpp:419
+#: uml.cpp:428
 #, kde-format
 msgid "Quits the application"
 msgstr "Sluit de toepassing af"
 
-#: uml.cpp:420
+#: uml.cpp:429
 #, kde-format
 msgid "Exports the model to the docbook format"
 msgstr "Exporteert het model naar het DocBook-formaat"
 
-#: uml.cpp:421
+#: uml.cpp:430
 #, kde-format
 msgid "Exports the model to the XHTML format"
 msgstr "Exporteert het model naar het XHTML-formaat"
 
-#: uml.cpp:422
+#: uml.cpp:431
 #, kde-format
 msgid "Cuts the selected section and puts it to the clipboard"
 msgstr "Knipt de geselecteerde sectie uit en plaatst deze op het klembord"
 
-#: uml.cpp:423
+#: uml.cpp:432
 #, kde-format
 msgid "Copies the selected section to the clipboard"
 msgstr "Kopieert de geselecteerde sectie naar het klembord"
 
-#: uml.cpp:424
+#: uml.cpp:433
 #, kde-format
 msgid "Pastes the contents of the clipboard"
 msgstr "Plakt de inhoud van het klembord"
 
-#: uml.cpp:425
+#: uml.cpp:434
 #, kde-format
 msgid "Set the default program preferences"
 msgstr "Stelt de standaard programmainstellingen in"
 
-#: uml.cpp:429
+#: uml.cpp:438
 #, kde-format
 msgctxt "delete selected widget"
 msgid "Delete &Selected"
 msgstr "&Selectie verwijderen"
 
-#: uml.cpp:440
+#: uml.cpp:449
 #, kde-format
 msgid "&Class Diagram..."
 msgstr "&Klassendiagram..."
 
-#: uml.cpp:447
+#: uml.cpp:456
 #, kde-format
 msgid "&Object Diagram..."
 msgstr "&Object-diagram..."
 
-#: uml.cpp:454
+#: uml.cpp:463
 #, kde-format
 msgid "&Sequence Diagram..."
 msgstr "&Sequentiediagram..."
 
-#: uml.cpp:460
+#: uml.cpp:469
 #, kde-format
 msgid "C&ommunication Diagram..."
 msgstr "C&ommunicatiediagram..."
 
-#: uml.cpp:466
+#: uml.cpp:475
 #, kde-format
 msgid "&Use Case Diagram..."
 msgstr "&Use Case-diagram..."
 
-#: uml.cpp:472
+#: uml.cpp:481
 #, kde-format
 msgid "S&tate Diagram..."
 msgstr "&Toestandsdiagram..."
 
-#: uml.cpp:478
+#: uml.cpp:487
 #, kde-format
 msgid "&Activity Diagram..."
 msgstr "&Activiteitendiagram..."
 
-#: uml.cpp:484
+#: uml.cpp:493
 #, kde-format
 msgid "Co&mponent Diagram..."
 msgstr "Co&mponentendiagram..."
 
-#: uml.cpp:490
+#: uml.cpp:499
 #, kde-format
 msgid "&Deployment Diagram..."
 msgstr "Inzet&diagram..."
 
-#: uml.cpp:496
+#: uml.cpp:505
 #, kde-format
 msgid "&Entity Relationship Diagram..."
 msgstr "&Entiteitrelatiediagram..."
 
-#: uml.cpp:501 uml.cpp:954
+#: uml.cpp:510 uml.cpp:963
 #, kde-format
 msgid "&Tree View"
 msgstr "Booms&tructuurweergave"
 
-#: uml.cpp:505
+#: uml.cpp:514
 #, kde-format
 msgid "&Debugging"
 msgstr "&Debuggen"
 
-#: uml.cpp:513
+#: uml.cpp:522
 #, kde-format
 msgid "&Logging"
 msgstr "&Loggen"
 
-#: uml.cpp:517
+#: uml.cpp:526
 #, kde-format
 msgid "&Command history"
 msgstr "O&pdrachtengeschiedenis"
@@ -7398,135 +7398,135 @@ msgstr "O&pdrachtengeschiedenis"
 #. m_propertyDock->setObjectName(QLatin1String("PropertyDock"));
 #. addDockWidget(Qt::LeftDockWidgetArea, m_propertyDock);  //:TODO:
 #. create the bird's eye view
-#: uml.cpp:521 uml.cpp:1011
+#: uml.cpp:530 uml.cpp:1020
 #, kde-format
 msgid "&Bird's eye view"
 msgstr "&Vogelvlucht-overzicht"
 
-#: uml.cpp:526
+#: uml.cpp:535
 #, kde-format
 msgid "&Clear Diagram"
 msgstr "Dia&gram leegmaken"
 
-#: uml.cpp:530
+#: uml.cpp:539
 #, kde-format
 msgid "&Snap to Grid"
 msgstr "Magneti&sch raster"
 
-#: uml.cpp:534
+#: uml.cpp:543
 #, kde-format
 msgid "S&how Grid"
 msgstr "Ra&ster tonen"
 
-#: uml.cpp:539
+#: uml.cpp:548
 #, kde-format
 msgid "&Delete Diagram"
 msgstr "Diagram ver&wijderen"
 
-#: uml.cpp:544
+#: uml.cpp:553
 #, kde-format
 msgid "&Export as Picture..."
 msgstr "&Exporteren als afbeelding..."
 
-#: uml.cpp:549
+#: uml.cpp:558
 #, kde-format
 msgid "Export &Diagrams as Pictures..."
 msgstr "&Diagrammen als afbeeldingen exporteren..."
 
-#: uml.cpp:569
+#: uml.cpp:578
 #, kde-format
 msgid "Z&oom to 100%"
 msgstr "Tot 100% z&oomen"
 
-#: uml.cpp:612
+#: uml.cpp:621
 #, kde-format
 msgid "&Move Tab Left"
 msgstr "&Tab naar links verplaatsen"
 
-#: uml.cpp:613
+#: uml.cpp:622
 #, kde-format
 msgid "&Move Tab Right"
 msgstr "T&ab naar rechts verplaatsen"
 
-#: uml.cpp:636
+#: uml.cpp:645
 #, kde-format
 msgid "Select Diagram on Left"
 msgstr "Linker diagram selecteren"
 
-#: uml.cpp:637
+#: uml.cpp:646
 #, kde-format
 msgid "Select Diagram on Right"
 msgstr "Rechter diagram selecteren"
 
-#: uml.cpp:776
+#: uml.cpp:785
 #, kde-format
 msgctxt "%1 percent value from 20 to 500"
 msgid " &%1%"
 msgstr " &%1%"
 
-#: uml.cpp:826
+#: uml.cpp:835
 #, kde-format
 msgctxt "init status bar"
 msgid "Ready"
 msgstr "Gereed"
 
-#: uml.cpp:835 uml.cpp:848
+#: uml.cpp:844 uml.cpp:857
 #, kde-format
 msgid "100%"
 msgstr "100%"
 
-#: uml.cpp:840
+#: uml.cpp:849
 #, kde-format
 msgid "Fit"
 msgstr "Passend"
 
-#: uml.cpp:899
+#: uml.cpp:908
 #, kde-format
 msgid "Diagram Toolbar"
 msgstr "Diagramwerkbalk"
 
-#: uml.cpp:965
+#: uml.cpp:974
 #, kde-format
 msgid "Doc&umentation"
 msgstr "Doc&umentatie"
 
-#: uml.cpp:976
+#: uml.cpp:985
 #, kde-format
 msgid "Co&mmand history"
 msgstr "O&pdrachtengeschiedenis"
 
-#: uml.cpp:992
+#: uml.cpp:1001
 #, kde-format
 msgid "&Debug"
 msgstr "&Debuggen"
 
-#: uml.cpp:999
+#: uml.cpp:1008
 #, kde-format
 msgid "&Log"
 msgstr "U&Log"
 
-#: uml.cpp:1041 uml.cpp:1258 uml.cpp:1307
+#: uml.cpp:1050 uml.cpp:1267 uml.cpp:1316
 #, kde-format
 msgid "Opening file..."
 msgstr "Bezig met het openen van het bestand..."
 
-#: uml.cpp:1092 uml.cpp:1157 uml.cpp:1342 umldoc.cpp:342 umldoc.cpp:344
-#: umldoc.cpp:368 umldoc.cpp:3396
+#: uml.cpp:1101 uml.cpp:1166 uml.cpp:1351 umldoc.cpp:343 umldoc.cpp:345
+#: umldoc.cpp:369 umldoc.cpp:3405
 #, kde-format
 msgid "Untitled"
 msgstr "Naamloos"
 
-#: uml.cpp:1240
+#: uml.cpp:1249
 #, kde-format
 msgid "Creating new document..."
 msgstr "Bezig met het aanmaken van een nieuw document..."
 
-#: uml.cpp:1266 uml.cpp:1281
+#: uml.cpp:1275 uml.cpp:1290
 #, kde-format
 msgid "Open File"
 msgstr "Bestand openen"
 
-#: uml.cpp:1270
+#: uml.cpp:1279
 #, kde-format
 msgid ""
 "*.xmi *.xmi.tgz *.xmi.tar.bz2 *.mdl *.zargo|All Supported Files (*.xmi, *."
@@ -7545,22 +7545,22 @@ msgstr ""
 "*.mdl|Rose-modelbestanden (*.mdl)\n"
 "*.zargo|Gecomprimeerde argo-bestanden(*.zargo)\n"
 
-#: uml.cpp:1341
+#: uml.cpp:1350
 #, kde-format
 msgid "Saving file..."
 msgstr "Bestand wordt opgeslagen..."
 
-#: uml.cpp:1358
+#: uml.cpp:1367
 #, kde-format
 msgid "Saving file with a new filename..."
 msgstr "Bestand wordt opgeslagen met een nieuwe naam..."
 
-#: uml.cpp:1368 uml.cpp:1374 umlviewimageexporter.cpp:199
+#: uml.cpp:1377 uml.cpp:1383 umlviewimageexporter.cpp:199
 #, kde-format
 msgid "Save As"
 msgstr "Opslaan als"
 
-#: uml.cpp:1369
+#: uml.cpp:1378
 #, kde-format
 msgid ""
 "*.xmi | XMI File (*.xmi);;*.xmi.tgz | Gzip Compressed XMI File (*.xmi.tgz);;"
@@ -7570,7 +7570,7 @@ msgstr ""
 "xmi.tgz);;*.xmi.tar.bz2 | Bzip2 gecomprimeerd XMI-bestand (*.xmi.tar.bz2);;* "
 "| Alle bestanden (*)"
 
-#: uml.cpp:1374
+#: uml.cpp:1383
 #, kde-format
 msgid ""
 "*.xmi|XMI File\n"
@@ -7583,7 +7583,7 @@ msgstr ""
 "*.xmi.tar.bz2|Bzip2-gecomprimeerd XMI-bestand\n"
 "*|Alle bestanden"
 
-#: uml.cpp:1387
+#: uml.cpp:1396
 #, kde-format
 msgid ""
 "The file %1 exists.\n"
@@ -7592,67 +7592,67 @@ msgstr ""
 "Het bestand %1 bestaat reeds.\n"
 "Wilt u het overschrijven?"
 
-#: uml.cpp:1388
+#: uml.cpp:1397
 #, kde-format
 msgid "Warning"
 msgstr "Waarschuwing"
 
-#: uml.cpp:1388
+#: uml.cpp:1397
 #, kde-format
 msgid "Overwrite"
 msgstr "Overschrijven"
 
-#: uml.cpp:1422
+#: uml.cpp:1431
 #, kde-format
 msgid "Closing file..."
 msgstr "Het bestand wordt afgesloten..."
 
-#: uml.cpp:1432
+#: uml.cpp:1441
 #, kde-format
 msgid "No search term entered"
 msgstr "Geen zoekterm ingevoerd"
 
-#: uml.cpp:1438
+#: uml.cpp:1447
 #, kde-format
 msgid "'%1': %2 found"
 msgstr "'%1': %2 gevonden"
 
-#: uml.cpp:1502
+#: uml.cpp:1511
 #, kde-format
 msgid "Print Preview..."
 msgstr "Voorbeeld afdrukken..."
 
-#: uml.cpp:1529
+#: uml.cpp:1538
 #, kde-format
 msgid "Printing..."
 msgstr "Bezig met afdrukken..."
 
-#: uml.cpp:1536 uml.cpp:1540
+#: uml.cpp:1545 uml.cpp:1549
 #, kde-format
 msgid "Print %1"
 msgstr "%1 afdrukken"
 
-#: uml.cpp:1560
+#: uml.cpp:1569
 #, kde-format
 msgid "Exiting..."
 msgstr "Bezig met beëindigen..."
 
-#: uml.cpp:1647
+#: uml.cpp:1656
 #, kde-format
 msgid "Cutting selection..."
 msgstr "Bezig met het knippen van de selectie..."
 
-#: uml.cpp:1670
+#: uml.cpp:1679
 #, kde-format
 msgid "Copying selection to clipboard..."
 msgstr "De selectie wordt naar het klembord gekopiëerd..."
 
-#: uml.cpp:1682
+#: uml.cpp:1691
 #, kde-format
 msgid "Inserting clipboard contents..."
 msgstr "De inhoud van het klembord wordt ingevoegd..."
 
-#: uml.cpp:1687
+#: uml.cpp:1696
 #, kde-format
 msgid ""
 "Umbrello could not paste the clipboard contents.  The objects in the "
@@ -7662,38 +7662,38 @@ msgstr ""
 "klembord zijn mogelijk niet van het juiste type om hier geplakt te kunnen "
 "worden."
 
-#: uml.cpp:1713 umlviewimageexporter.cpp:92 umlviewimageexporterall.cpp:123
+#: uml.cpp:1722 umlviewimageexporter.cpp:92 umlviewimageexporterall.cpp:123
 #, kde-format
 msgctxt "reset status bar"
 msgid "Ready."
 msgstr "Gereed."
 
-#: uml.cpp:2246
+#: uml.cpp:2255
 #, kde-format
 msgid "Cannot view code until you generate some first."
 msgstr "Code kan niet bekeken worden voordat u code genereert."
 
-#: uml.cpp:2246 uml.cpp:2249
+#: uml.cpp:2255 uml.cpp:2258
 #, kde-format
 msgid "Cannot View Code"
 msgstr "Er kan geen code worden getoond"
 
-#: uml.cpp:2249
+#: uml.cpp:2258
 #, kde-format
 msgid "Cannot view code from simple code writer."
 msgstr "Er kan geen code worden getoond uit de eenvoudige codeschrijver."
 
-#: uml.cpp:2714 uml.cpp:2716
+#: uml.cpp:2728 uml.cpp:2730
 #, kde-format
 msgid "Select file(s) to import:"
 msgstr "Te importeren bestand(en) selecteren:"
 
-#: uml.cpp:2747 uml.cpp:2749
+#: uml.cpp:2761 uml.cpp:2763
 #, kde-format
 msgid "Select directory to import:"
 msgstr "Te importeren map selecteren:"
 
-#: uml.cpp:3313
+#: uml.cpp:3335
 #, kde-format
 msgid "XHTML Generation failed ."
 msgstr "Genereren van XHTML is mislukt ."
@@ -7707,20 +7707,20 @@ msgstr ""
 "Een bewerking met deze naam en signatuur bestaat reeds. U kunt die niet "
 "nogmaals toevoegen."
 
-#: uml1model/folder.cpp:435
+#: uml1model/folder.cpp:436
 #, kde-format
 msgid "The folderfile %1 does not exist."
 msgstr "Het mapbestand %1 bestaat niet."
 
-#: uml1model/folder.cpp:435 uml1model/folder.cpp:439 umldoc.cpp:529
-#: umldoc.cpp:541 umldoc.cpp:568 umldoc.cpp:570 umldoc.cpp:620 umldoc.cpp:623
-#: umldoc.cpp:638 umldoc.cpp:641 umldoc.cpp:665 umldoc.cpp:668 umldoc.cpp:684
-#: umldoc.cpp:687 umldoc.cpp:702 umldoc.cpp:705 umldoc.cpp:750
+#: uml1model/folder.cpp:436 uml1model/folder.cpp:440 umldoc.cpp:530
+#: umldoc.cpp:542 umldoc.cpp:569 umldoc.cpp:571 umldoc.cpp:621 umldoc.cpp:624
+#: umldoc.cpp:639 umldoc.cpp:642 umldoc.cpp:666 umldoc.cpp:669 umldoc.cpp:685
+#: umldoc.cpp:688 umldoc.cpp:703 umldoc.cpp:706 umldoc.cpp:751
 #, kde-format
 msgid "Load Error"
 msgstr "Inleesfout"
 
-#: uml1model/folder.cpp:439
+#: uml1model/folder.cpp:440
 #, kde-format
 msgid "The folderfile %1 cannot be opened."
 msgstr "Het mapbestand %1 kan niet geopend worden."
@@ -7730,13 +7730,13 @@ msgstr "Het mapbestand %1 kan niet geope
 msgid "new_parameter"
 msgstr "nieuwe_parameter"
 
-#: uml1model/package.cpp:163
+#: uml1model/package.cpp:169
 #, kde-format
 msgctxt "object name"
 msgid "Name"
 msgstr "Naam"
 
-#: uml1model/package.cpp:164
+#: uml1model/package.cpp:170
 #, kde-format
 msgid ""
 "An object with the name %1\n"
@@ -7762,80 +7762,80 @@ msgstr "nieuw_veld"
 msgid "new_fkey_constraint"
 msgstr "nieuwe_fkey_constraint"
 
-#: uml1model/umlobject.cpp:1140
+#: uml1model/umlobject.cpp:1141
 #, kde-format
 msgid "Actor &name:"
 msgstr "&Naam acteur:"
 
-#: uml1model/umlobject.cpp:1143
+#: uml1model/umlobject.cpp:1144
 #, kde-format
 msgid "Artifact &name:"
 msgstr "Artefact&naam:"
 
-#: uml1model/umlobject.cpp:1146
+#: uml1model/umlobject.cpp:1147
 #, kde-format
 msgid "Association &name:"
 msgstr "Associatie&naam"
 
-#: uml1model/umlobject.cpp:1149
+#: uml1model/umlobject.cpp:1150
 #, kde-format
 msgid "Class &name:"
 msgstr "Klasse&naam:"
 
-#: uml1model/umlobject.cpp:1152
+#: uml1model/umlobject.cpp:1153
 #, kde-format
 msgid "Component &name:"
 msgstr "Component&naam:"
 
-#: uml1model/umlobject.cpp:1155
+#: uml1model/umlobject.cpp:1156
 #, kde-format
 msgid "Datatype &name:"
 msgstr "Gegevenstype&naam:"
 
-#: uml1model/umlobject.cpp:1158
+#: uml1model/umlobject.cpp:1159
 #, kde-format
 msgid "Entity &name:"
 msgstr "Entiteit&naam:"
 
-#: uml1model/umlobject.cpp:1161
+#: uml1model/umlobject.cpp:1162
 #, kde-format
 msgid "Enum &name:"
 msgstr "&Naam van enumeratie:"
 
-#: uml1model/umlobject.cpp:1164
+#: uml1model/umlobject.cpp:1165
 #, kde-format
 msgid "Folder &name:"
 msgstr "Map&naam:"
 
-#: uml1model/umlobject.cpp:1167
+#: uml1model/umlobject.cpp:1168
 #, kde-format
 msgid "Interface &name:"
 msgstr "Interface&naam:"
 
-#: uml1model/umlobject.cpp:1170
+#: uml1model/umlobject.cpp:1171
 #, kde-format
 msgid "Node &name:"
 msgstr "Node&naam:"
 
-#: uml1model/umlobject.cpp:1173
+#: uml1model/umlobject.cpp:1174
 #, kde-format
 msgid "Package &name:"
 msgstr "Pakket&naam:"
 
-#: uml1model/umlobject.cpp:1176
+#: uml1model/umlobject.cpp:1177
 #, kde-format
 msgid "Port &name:"
 msgstr "Poort&naam:"
 
-#: uml1model/umlobject.cpp:1182
+#: uml1model/umlobject.cpp:1183
 #, kde-format
 msgid "Use case &name:"
 msgstr "&Naam Use Case:"
 
-#: uml1model/umlobject.cpp:1185
+#: uml1model/umlobject.cpp:1186
 #, kde-format
 msgid "Instance name:"
-msgstr "Instantienaam:"
+msgstr "Naam van exemplaar:"
 
 #: umlappprivate.h:135
 #, kde-format
@@ -7852,42 +7852,42 @@ msgstr "&Stereotypen"
 msgid "Welcome"
 msgstr "Welkom"
 
-#: umldoc.cpp:112 umldoc.cpp:2400 umldoc.cpp:2428
+#: umldoc.cpp:113 umldoc.cpp:2405 umldoc.cpp:2433
 #, kde-format
 msgid "UML Model"
 msgstr "UML-model"
 
-#: umldoc.cpp:154
+#: umldoc.cpp:155
 #, kde-format
 msgid "Logical View"
 msgstr "Logische weergave"
 
-#: umldoc.cpp:155
+#: umldoc.cpp:156
 #, kde-format
 msgid "Use Case View"
 msgstr "Use Case-weergave"
 
-#: umldoc.cpp:156
+#: umldoc.cpp:157
 #, kde-format
 msgid "Component View"
 msgstr "Componentweergave"
 
-#: umldoc.cpp:157
+#: umldoc.cpp:158
 #, kde-format
 msgid "Deployment View"
 msgstr "Inzetweergave"
 
-#: umldoc.cpp:158
+#: umldoc.cpp:159
 #, kde-format
 msgid "Entity Relationship Model"
 msgstr "Entiteitrelatiemodel"
 
-#: umldoc.cpp:184
+#: umldoc.cpp:185
 #, kde-format
 msgid "Datatypes"
 msgstr "Gegevenstypes"
 
-#: umldoc.cpp:363
+#: umldoc.cpp:364
 #, kde-format
 msgid ""
 "The current file has been modified.\n"
@@ -7896,167 +7896,167 @@ msgstr ""
 "Het huidige bestand is gewijzigd.\n"
 "Wilt u het opslaan?"
 
-#: umldoc.cpp:364
+#: umldoc.cpp:365
 #, kde-format
 msgctxt "warning message"
 msgid "Warning"
 msgstr "Waarschuwing"
 
-#: umldoc.cpp:529
+#: umldoc.cpp:530
 #, kde-format
 msgid "The file <%1> does not exist."
 msgstr "Het bestand <%1> bestaat niet."
 
-#: umldoc.cpp:541
+#: umldoc.cpp:542
 #, kde-format
 msgid "The file %1 does not exist."
 msgstr "Het bestand %1 bestaat niet."
 
-#: umldoc.cpp:568 umldoc.cpp:570
+#: umldoc.cpp:569 umldoc.cpp:571
 #, kde-format
 msgid "The file %1 seems to be corrupted."
 msgstr "Het bestand %1 lijkt corrupt."
 
-#: umldoc.cpp:619 umldoc.cpp:622 umldoc.cpp:637 umldoc.cpp:640 umldoc.cpp:683
-#: umldoc.cpp:686
+#: umldoc.cpp:620 umldoc.cpp:623 umldoc.cpp:638 umldoc.cpp:641 umldoc.cpp:684
+#: umldoc.cpp:687
 #, kde-format
 msgid "There was no XMI file found in the compressed file %1."
 msgstr "Geen XMI-bestand gevonden in het gecomprimeerde bestand %1."
 
-#: umldoc.cpp:664 umldoc.cpp:667
+#: umldoc.cpp:665 umldoc.cpp:668
 #, kde-format
 msgid "There was a problem loading the extracted file: %1"
 msgstr ""
 "Er deed zich een fout voor tijdens het laden van het uitgepakte bestand: %1"
 
-#: umldoc.cpp:701 umldoc.cpp:704 umldoc.cpp:744 umldoc.cpp:746
+#: umldoc.cpp:702 umldoc.cpp:705 umldoc.cpp:745 umldoc.cpp:747
 #, kde-format
 msgid "There was a problem loading file: %1"
 msgstr "Er deed zich een fout voor tijdens het laden van bestand: %1"
 
-#: umldoc.cpp:749
+#: umldoc.cpp:750
 #, kde-format
 msgid "Reason: %1"
 msgstr "Reden: %1"
 
-#: umldoc.cpp:832 umldoc.cpp:834 umldoc.cpp:851 umldoc.cpp:853 umldoc.cpp:873
-#: umldoc.cpp:875 umldoc.cpp:924 umldoc.cpp:926 umldoc.cpp:966 umldoc.cpp:969
-#: umldoc.cpp:978 umldoc.cpp:980 umllistview.cpp:593
+#: umldoc.cpp:833 umldoc.cpp:835 umldoc.cpp:852 umldoc.cpp:854 umldoc.cpp:874
+#: umldoc.cpp:876 umldoc.cpp:925 umldoc.cpp:927 umldoc.cpp:968 umldoc.cpp:971
+#: umldoc.cpp:980 umldoc.cpp:982 umllistview.cpp:594
 #, kde-format
 msgid "Save Error"
 msgstr "Opslagfout"
 
-#: umldoc.cpp:832 umldoc.cpp:851 umldoc.cpp:873 umldoc.cpp:924 umldoc.cpp:966
+#: umldoc.cpp:833 umldoc.cpp:852 umldoc.cpp:874 umldoc.cpp:925 umldoc.cpp:968
 #, kde-format
 msgid "There was a problem saving: %1"
 msgstr "Er deed zich een fout voor bij het opslaan van: %1"
 
-#: umldoc.cpp:834 umldoc.cpp:853 umldoc.cpp:875 umldoc.cpp:926 umldoc.cpp:969
-#: umllistview.cpp:592 umlviewimageexportermodel.cpp:303
+#: umldoc.cpp:835 umldoc.cpp:854 umldoc.cpp:876 umldoc.cpp:927 umldoc.cpp:971
+#: umllistview.cpp:593 umlviewimageexportermodel.cpp:303
 #, kde-format
 msgid "There was a problem saving file: %1"
 msgstr "Er deed zich een fout voor tijdens het opslaan van bestand: %1"
 
-#: umldoc.cpp:978
+#: umldoc.cpp:980
 #, kde-format
 msgid "There was a problem uploading: %1"
 msgstr "Er deed zich een fout voor bij het uploaden van: %1"
 
-#: umldoc.cpp:980
+#: umldoc.cpp:982
 #, kde-format
 msgid "There was a problem uploading file: %1"
 msgstr "Er deed zich een fout voor tijdens het uploaden van bestand: %1"
 
-#: umldoc.cpp:1526
+#: umldoc.cpp:1528
 #, kde-format
 msgid "use case diagram"
 msgstr "use case-diagram"
 
-#: umldoc.cpp:1529
+#: umldoc.cpp:1531
 #, kde-format
 msgid "class diagram"
 msgstr "klassendiagram"
 
-#: umldoc.cpp:1532
+#: umldoc.cpp:1534
 #, kde-format
 msgid "sequence diagram"
 msgstr "sequentiediagram"
 
-#: umldoc.cpp:1535
+#: umldoc.cpp:1537
 #, kde-format
 msgid "communication diagram"
 msgstr "communicatiediagram"
 
-#: umldoc.cpp:1538
+#: umldoc.cpp:1540
 #, kde-format
 msgid "object diagram"
 msgstr "Object-diagram"
 
-#: umldoc.cpp:1541
+#: umldoc.cpp:1543
 #, kde-format
 msgid "state diagram"
 msgstr "toestandsdiagram"
 
-#: umldoc.cpp:1544
+#: umldoc.cpp:1546
 #, kde-format
 msgid "activity diagram"
 msgstr "activiteitendiagram"
 
-#: umldoc.cpp:1547
+#: umldoc.cpp:1549
 #, kde-format
 msgid "component diagram"
 msgstr "componentendiagram"
 
-#: umldoc.cpp:1550
+#: umldoc.cpp:1552
 #, kde-format
 msgid "deployment diagram"
 msgstr "inzetdiagram"
 
-#: umldoc.cpp:1553
+#: umldoc.cpp:1555
 #, kde-format
 msgid "entity relationship diagram"
 msgstr "Entiteitrelatiediagram"
 
-#: umldoc.cpp:1623
+#: umldoc.cpp:1625
 #, kde-format
 msgctxt "diagram name"
 msgid "Name"
 msgstr "Naam"
 
-#: umldoc.cpp:1623 umldoc.cpp:1686 umldoc.cpp:1715 umldoc.cpp:1749
+#: umldoc.cpp:1625 umldoc.cpp:1688 umldoc.cpp:1717 umldoc.cpp:1751
 #, kde-format
 msgid "Enter name:"
 msgstr "Naam invoeren:"
 
-#: umldoc.cpp:1627 umldoc.cpp:1692
+#: umldoc.cpp:1629 umldoc.cpp:1694
 #, kde-format
 msgid "That is an invalid name for a diagram."
 msgstr "Dat is een ongeldige naam voor een diagram."
 
-#: umldoc.cpp:1629 umldoc.cpp:1699
+#: umldoc.cpp:1631 umldoc.cpp:1701
 #, kde-format
 msgid "A diagram is already using that name."
 msgstr "Er is al een ander diagram met deze naam."
 
-#: umldoc.cpp:1685
+#: umldoc.cpp:1687
 #, kde-format
 msgctxt "renaming diagram"
 msgid "Name"
 msgstr "Naam"
 
-#: umldoc.cpp:1714
+#: umldoc.cpp:1716
 #, kde-format
 msgctxt "renaming uml object"
 msgid "Name"
 msgstr "Naam"
 
-#: umldoc.cpp:1748
+#: umldoc.cpp:1750
 #, kde-format
 msgctxt "renaming child uml object"
 msgid "Name"
 msgstr "Naam"
 
-#: umldoc.cpp:1758
+#: umldoc.cpp:1760
 #, kde-format
 msgid ""
 "The name you entered was not unique.\n"
@@ -8065,62 +8065,62 @@ msgstr ""
 "De door u gegeven naam is niet uniek.\n"
 "Wilt u dat?"
 
-#: umldoc.cpp:1759
+#: umldoc.cpp:1761
 #, kde-format
 msgid "Use Name"
 msgstr "Naam gebruiken"
 
-#: umldoc.cpp:1759
+#: umldoc.cpp:1761
 #, kde-format
 msgid "Enter New Name"
 msgstr "Nieuwe naam invoeren"
 
-#: umldoc.cpp:2361
+#: umldoc.cpp:2366
 #, kde-format
 msgid "Unsupported xmi file version: %1"
 msgstr "Niet ondersteunde xmi-bestandsversie: %1"
 
-#: umldoc.cpp:2511
+#: umldoc.cpp:2516
 #, kde-format
 msgid "Setting up the document..."
 msgstr "Document aan het instellen..."
 
-#: umldoc.cpp:2540
+#: umldoc.cpp:2545
 #, kde-format
 msgid "Resolving object references..."
 msgstr "Herleiden objectreferenties..."
 
-#: umldoc.cpp:2648
+#: umldoc.cpp:2653
 #, kde-format
 msgid "Loading UML elements..."
 msgstr "UML-elementen worden geladen..."
 
-#: umldoc.cpp:2892
+#: umldoc.cpp:2899
 #, kde-format
 msgid "Loading diagrams..."
 msgstr "Diagrammen worden ingelezen..."
 
-#: umldoc.cpp:3400
+#: umldoc.cpp:3409
 #, kde-format
 msgid "/autosave%1"
 msgstr "/auto-opslag%1"
 
-#: umllistview.cpp:536 umllistview.cpp:540
+#: umllistview.cpp:537 umllistview.cpp:541
 #, kde-format
 msgid "Externalize Folder"
 msgstr "Map extern maken"
 
-#: umllistview.cpp:574
+#: umllistview.cpp:575
 #, kde-format
 msgid "Folder %1 must be relative to the main model directory, %2."
 msgstr "Map %1 moet relatief zijn tot de hoofdmap van het model, %2."
 
-#: umllistview.cpp:575
+#: umllistview.cpp:576
 #, kde-format
 msgid "Path Error"
 msgstr "Fout in pad"
 
-#: umllistview.cpp:583
+#: umllistview.cpp:584
 #, kde-format
 msgid ""
 "File %1 already exists!\n"
@@ -8129,62 +8129,62 @@ msgstr ""
 "Bestand %1 bestaat al!\n"
 "Het bestaande bestand zal worden overschreven."
 
-#: umllistview.cpp:584
+#: umllistview.cpp:585
 #, kde-format
 msgid "File Exist"
 msgstr "Bestand bestaat"
 
-#: umllistview.cpp:624
+#: umllistview.cpp:625
 #, kde-format
 msgid "Enter Model Name"
 msgstr "Modelnaam invoeren"
 
-#: umllistview.cpp:625
+#: umllistview.cpp:626
 #, kde-format
 msgid "Enter the new name of the model:"
 msgstr "Geef de nieuwe naam van het model:"
 
-#: umllistview.cpp:1422
+#: umllistview.cpp:1430
 #, kde-format
 msgid "Views"
 msgstr "Weergaven"
 
-#: umllistview.cpp:1441
+#: umllistview.cpp:1449
 #, kde-format
 msgid "Settings"
 msgstr "Instellingen"
 
-#: umllistview.cpp:2413
+#: umllistview.cpp:2421
 #, kde-format
 msgid "Loading listview..."
 msgstr "Lijstweergave wordt ingelezen..."
 
-#: umllistview.cpp:2764
+#: umllistview.cpp:2772
 #, kde-format
 msgid "The class must be emptied before it can be deleted."
 msgstr "De klasse moet leeg zijn voordat u deze verwijderd."
 
-#: umllistview.cpp:2765
+#: umllistview.cpp:2773
 #, kde-format
 msgid "Class Not Empty"
 msgstr "Klasse is niet leeg"
 
-#: umllistview.cpp:2769
+#: umllistview.cpp:2777
 #, kde-format
 msgid "The package must be emptied before it can be deleted."
 msgstr "Het pakket moet leeg zijn voordat u deze verwijderd."
 
-#: umllistview.cpp:2770
+#: umllistview.cpp:2778
 #, kde-format
 msgid "Package Not Empty"
 msgstr "Pakket is niet leeg"
 
-#: umllistview.cpp:2774
+#: umllistview.cpp:2782
 #, kde-format
 msgid "The folder must be emptied before it can be deleted."
 msgstr "Maak eerst de map leeg voordat u deze verwijderd."
 
-#: umllistview.cpp:2775
+#: umllistview.cpp:2783
 #, kde-format
 msgid "Folder Not Empty"
 msgstr "Map is niet leeg"
diff -pruN 4:20.08.3-1/po/nn/umbrello_kdevphp.po 4:20.12.0-0ubuntu1/po/nn/umbrello_kdevphp.po
--- 4:20.08.3-1/po/nn/umbrello_kdevphp.po	1970-01-01 00:00:00.000000000 +0000
+++ 4:20.12.0-0ubuntu1/po/nn/umbrello_kdevphp.po	2020-12-04 00:21:30.000000000 +0000
@@ -0,0 +1,316 @@
+# Translation of kdevphp to Norwegian Nynorsk
+#
+# Karl Ove Hufthammer <karl@huftis.org>, 2020.
+msgid ""
+msgstr ""
+"Project-Id-Version: kdev-php\n"
+"Report-Msgid-Bugs-To: https://bugs.kde.org\n"
+"POT-Creation-Date: 2019-05-20 03:12+0200\n"
+"PO-Revision-Date: 2020-11-14 14:40+0100\n"
+"Last-Translator: Karl Ove Hufthammer <karl@huftis.org>\n"
+"Language-Team: Norwegian Nynorsk <l10n-no@lister.huftis.org>\n"
+"Language: nn\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=2; plural=n != 1;\n"
+"X-Generator: Lokalize 20.08.3\n"
+"X-Environment: kde\n"
+"X-Accelerator-Marker: &\n"
+"X-Text-Markup: kde4\n"
+
+#, kde-format
+msgctxt "NAME OF TRANSLATORS"
+msgid "Your names"
+msgstr "Karl Ove Hufthammer"
+
+#, kde-format
+msgctxt "EMAIL OF TRANSLATORS"
+msgid "Your emails"
+msgstr "karl@huftis.org"
+
+#: completion/implementationitem.cpp:71
+#, kde-format
+msgid "Override"
+msgstr "Overstyr"
+
+#: completion/implementationitem.cpp:74
+#, kde-format
+msgid "Implement"
+msgstr "Implementer"
+
+#: completion/implementationitem.cpp:86
+#, kde-format
+msgid "From %1"
+msgstr "Frå %1"
+
+#: duchain/builders/contextbuilder.cpp:408
+#, kde-format
+msgid "Circular inheritance of %1 and %2"
+msgstr ""
+
+#: duchain/builders/declarationbuilder.cpp:327
+#, kde-format
+msgid "Access type for interface method %1 must be omitted."
+msgstr ""
+
+#: duchain/builders/declarationbuilder.cpp:331
+#, kde-format
+msgid "Interface function %1 cannot contain body."
+msgstr ""
+
+#: duchain/builders/declarationbuilder.cpp:343
+#, kde-format
+msgid ""
+"Class %1 contains abstract method %2 and must therefore be declared abstract "
+"or implement the method."
+msgstr ""
+
+#: duchain/builders/declarationbuilder.cpp:349
+#, kde-format
+msgid "Abstract function %1 cannot contain body."
+msgstr ""
+
+#: duchain/builders/declarationbuilder.cpp:352
+#, kde-format
+msgid "Cannot use the final modifier on an abstract class member."
+msgstr ""
+
+#: duchain/builders/declarationbuilder.cpp:362
+#, kde-format
+msgid "Non-abstract method %1 must contain body."
+msgstr ""
+
+#: duchain/builders/declarationbuilder.cpp:380
+#, kde-format
+msgid "Properties cannot be declared final."
+msgstr ""
+
+#: duchain/builders/declarationbuilder.cpp:383
+#, kde-format
+msgid "Properties cannot be declared abstract."
+msgstr ""
+
+#: duchain/builders/declarationbuilder.cpp:429
+#, kde-format
+msgid ""
+"Trait method %1 has not been applied, because there are collisions with "
+"other trait methods on %2"
+msgstr ""
+
+#: duchain/builders/declarationbuilder.cpp:583
+#, kde-format
+msgid "Cannot redeclare private property %1 from this context."
+msgstr ""
+
+#: duchain/builders/declarationbuilder.cpp:589
+#, kde-format
+msgid "Cannot redeclare protected property %1 from this context."
+msgstr ""
+
+#: duchain/builders/declarationbuilder.cpp:622
+#, kde-format
+msgid "Traits cannot have constants."
+msgstr ""
+
+#: duchain/builders/declarationbuilder.cpp:663
+#, kde-format
+msgid ""
+"Only booleans, ints, floats and strings are allowed for class constants."
+msgstr ""
+
+#: duchain/builders/declarationbuilder.cpp:715
+#, kde-format
+msgid "Cannot use 'final' as method modifier"
+msgstr ""
+
+#: duchain/builders/declarationbuilder.cpp:718
+#, kde-format
+msgid "Cannot use 'static' as method modifier"
+msgstr ""
+
+#: duchain/builders/declarationbuilder.cpp:766
+#, kde-format
+msgid "Default value for parameters with a class type hint can only be NULL."
+msgstr ""
+
+#: duchain/builders/declarationbuilder.cpp:769
+#, kde-format
+msgid "Following parameters must have a default value assigned."
+msgstr ""
+
+#: duchain/builders/declarationbuilder.cpp:876
+#, kde-format
+msgid "Cannot redeclare PHP internal %1."
+msgstr ""
+
+#: duchain/builders/declarationbuilder.cpp:879
+#, kde-format
+msgid ""
+"%1 and %2 define the same property (%3) in the composition of %1. This might "
+"be incompatible, to improve maintainability consider using accessor methods "
+"in traits instead."
+msgstr ""
+
+#: duchain/builders/declarationbuilder.cpp:887
+#, kde-format
+msgid "Cannot redeclare %1, already declared in %2 on line %3."
+msgstr ""
+
+#: duchain/builders/declarationbuilder.cpp:933
+#, kde-format
+msgid "Cannot re-assign $this."
+msgstr ""
+
+#: duchain/builders/declarationbuilder.cpp:1371
+#, kde-format
+msgid "The use statement with non-compound name '%1' has no effect."
+msgstr ""
+
+#: duchain/builders/declarationbuilder.cpp:1395
+#, kde-format
+msgid "Cannot use '%1' as '%2' because the name is already in use."
+msgstr ""
+
+#: duchain/builders/usebuilder.cpp:202
+#, kde-format
+msgid "Usage of %1 is deprecated."
+msgstr ""
+
+#: duchain/builders/usebuilder.cpp:204
+#, kde-format
+msgid "Declaration not found: %1"
+msgstr ""
+
+#: duchain/declarations/traitmemberaliasdeclaration.cpp:68
+#: duchain/declarations/traitmethodaliasdeclaration.cpp:101
+#, kde-format
+msgid "Lost trait alias %1"
+msgstr ""
+
+#: duchain/navigation/declarationnavigationcontext.cpp:126
+#: duchain/navigation/declarationnavigationcontext.cpp:139
+#, kde-format
+msgid "Use of %1 from %2<br />"
+msgstr ""
+
+#: duchain/navigation/declarationnavigationcontext.cpp:149
+#, kde-format
+msgid "Broken member alias trait."
+msgstr ""
+
+#: duchain/navigation/declarationnavigationcontext.cpp:164
+#, kde-format
+msgid "PHP internal"
+msgstr ""
+
+#: duchain/navigation/declarationnavigationcontext.cpp:174
+#, kde-format
+msgctxt "kind of a php-constant, as shown in the declaration tooltip"
+msgid "Constant"
+msgstr ""
+
+#: duchain/navigation/magicconstantnavigationcontext.cpp:61
+#, kde-format
+msgid "magic constant"
+msgstr ""
+
+#: duchain/navigation/magicconstantnavigationcontext.cpp:76
+#, kde-format
+msgid "empty (not inside a class)"
+msgstr ""
+
+#: duchain/navigation/magicconstantnavigationcontext.cpp:95
+#, kde-format
+msgid "empty (not inside a method)"
+msgstr ""
+
+#: duchain/navigation/magicconstantnavigationcontext.cpp:105
+#, kde-format
+msgid "empty (not inside a function)"
+msgstr ""
+
+#: duchain/navigation/magicconstantnavigationcontext.cpp:114
+#, kde-format
+msgid "empty (not inside a namespace)"
+msgstr ""
+
+#: duchain/navigation/magicconstantnavigationcontext.cpp:118
+#, kde-format
+msgid "current value: %1"
+msgstr ""
+
+#: parser/main.cpp:41
+#, kde-format
+msgid "php-parser"
+msgstr ""
+
+#: parser/main.cpp:42
+#, kde-format
+msgid "KDevelop PHP parser debugging utility"
+msgstr ""
+
+#: parser/main.cpp:43
+#, kde-format
+msgid "(c) 2008 Niko Sams, 2009 Milian Wolff"
+msgstr ""
+
+#: parser/parsesession.cpp:73
+#, kde-format
+msgid "Could not open file '%1'"
+msgstr ""
+
+#: parser/parsesession.cpp:76
+#, kde-format
+msgid "File could not be read from."
+msgstr ""
+
+#: parser/parsesession.cpp:79
+#, kde-format
+msgid "File could not be opened."
+msgstr ""
+
+#: parser/parsesession.cpp:82
+#, kde-format
+msgid "File permissions prevent opening for read."
+msgstr ""
+
+#: phplanguagesupport.cpp:65
+#, kde-format
+msgid "PHP Support"
+msgstr ""
+
+#: phplanguagesupport.cpp:66
+#, kde-format
+msgid "Support for PHP Language"
+msgstr ""
+
+#: phplanguagesupport.cpp:67
+#, kde-format
+msgid "Milian Wolff"
+msgstr ""
+
+#: phplanguagesupport.cpp:67 phplanguagesupport.cpp:68
+#, kde-format
+msgid "Author"
+msgstr ""
+
+#: phplanguagesupport.cpp:68
+#, kde-format
+msgid "Niko Sams"
+msgstr ""
+
+#: testprovider/phpunitprovider.cpp:47
+#, kde-format
+msgid "PHPUnit Integration"
+msgstr ""
+
+#: testprovider/phpunitprovider.cpp:47
+#, kde-format
+msgid "Finds and runs PHPUnit tests"
+msgstr ""
+
+#: testprovider/phpunitrunjob.cpp:83
+#, kde-format
+msgid "PHPUnit"
+msgstr ""
diff -pruN 4:20.08.3-1/po/nn/umbrello.po 4:20.12.0-0ubuntu1/po/nn/umbrello.po
--- 4:20.08.3-1/po/nn/umbrello.po	2020-11-03 00:42:16.000000000 +0000
+++ 4:20.12.0-0ubuntu1/po/nn/umbrello.po	2020-12-04 00:21:30.000000000 +0000
@@ -6,7 +6,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: umbrello\n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
-"POT-Creation-Date: 2020-08-14 08:09+0200\n"
+"POT-Creation-Date: 2020-11-06 02:36+0100\n"
 "PO-Revision-Date: 2020-05-11 20:43+0200\n"
 "Last-Translator: Karl Ove Hufthammer <karl@huftis.org>\n"
 "Language-Team: Norwegian Nynorsk <l10n-no@lister.huftis.org>\n"
@@ -208,7 +208,7 @@ msgid ""
 "item of the same name already exists.  Any other items have been pasted."
 msgstr ""
 
-#: clipboard/umlclipboard.cpp:753 uml.cpp:1689
+#: clipboard/umlclipboard.cpp:753 uml.cpp:1698
 #, kde-format
 msgid "Paste Error"
 msgstr "Feil ved innliming"
@@ -430,7 +430,7 @@ msgstr ""
 #. i18n: ectx: attribute (title), widget (QWidget, ui_tabGeneral)
 #: codegenerators/cpp/cppcodegenerationformbase.ui:51
 #: codegenwizard/codegenoptionspage.ui:39 dialogs/objectnodedialog.cpp:135
-#: umllistview.cpp:1451
+#: umllistview.cpp:1459
 #, kde-format
 msgid "General"
 msgstr ""
@@ -1289,7 +1289,7 @@ msgstr ""
 #. i18n: ectx: property (text), widget (QRadioButton, ui_categoryClass)
 #. i18n: ectx: property (text), widget (QTableWidget, ui_tableWidgetStatus)
 #: codegenwizard/codegenstatuspage.ui:40 codeimpwizard/codeimpstatuspage.ui:54
-#: dialogs/finddialog.ui:89 umllistview.cpp:1446 umlwidgets/widgetbase.cpp:1255
+#: dialogs/finddialog.ui:89 umllistview.cpp:1454 umlwidgets/widgetbase.cpp:1255
 #, kde-format
 msgid "Class"
 msgstr ""
@@ -1941,34 +1941,34 @@ msgstr ""
 msgid "Enable 'delete diagram' related messages"
 msgstr ""
 
-#: dialogs/dialog_utils.cpp:117
+#: dialogs/dialog_utils.cpp:118
 #, kde-format
 msgid "You are about to delete an association. Do you really want to continue?"
 msgstr ""
 
-#: dialogs/dialog_utils.cpp:118
+#: dialogs/dialog_utils.cpp:119
 #, kde-format
 msgid "Delete Association"
 msgstr ""
 
-#: dialogs/dialog_utils.cpp:132
+#: dialogs/dialog_utils.cpp:133
 #, kde-format
 msgid ""
 "You are about to delete the entire diagram.\n"
 "Are you sure?"
 msgstr ""
 
-#: dialogs/dialog_utils.cpp:133
+#: dialogs/dialog_utils.cpp:134
 #, kde-format
 msgid "Are you sure you want to delete diagram %1?"
 msgstr ""
 
-#: dialogs/dialog_utils.cpp:138
+#: dialogs/dialog_utils.cpp:139
 #, kde-format
 msgid "Delete Diagram?"
 msgstr ""
 
-#: dialogs/dialog_utils.cpp:139 dialogs/pages/classifierlistpage.cpp:215
+#: dialogs/dialog_utils.cpp:140 dialogs/pages/classifierlistpage.cpp:215
 #: dialogs/pages/classifierlistpage.cpp:223
 #: dialogs/umlforeignkeyconstraintdialog.cpp:325
 #: dialogs/umlforeignkeyconstraintdialog.cpp:331
@@ -2125,7 +2125,7 @@ msgstr "Generelt"
 #. i18n: ectx: label, entry (uiFont), group (UI Options)
 #. i18n: ectx: label, entry (codeViewerFont), group (Code Viewer Options)
 #: dialogs/multipagedialogbase.cpp:405 umbrello.kcfg:177 umbrello.kcfg:292
-#: umllistview.cpp:1450
+#: umllistview.cpp:1458
 #, kde-format
 msgid "Font"
 msgstr ""
@@ -2541,7 +2541,7 @@ msgstr ""
 
 #: dialogs/pages/classifierlistpage.cpp:217
 #: dialogs/pages/classifierlistpage.cpp:225 dialogs/umloperationdialog.cpp:167
-#: dialogs/umloperationdialog.cpp:175 uml.cpp:554
+#: dialogs/umloperationdialog.cpp:175 uml.cpp:563
 #, kde-format
 msgid "&Properties"
 msgstr "&Eigenskapar"
@@ -2559,7 +2559,7 @@ msgid "Source Code"
 msgstr "Kjeldekode"
 
 #: dialogs/pages/classoptionspage.cpp:157
-#: dialogs/pages/classoptionspage.cpp:251 uml.cpp:509
+#: dialogs/pages/classoptionspage.cpp:251 uml.cpp:518
 #, kde-format
 msgid "&Documentation"
 msgstr ""
@@ -2746,8 +2746,8 @@ msgstr ""
 #: uml1model/classifier.cpp:410 uml1model/classifier.cpp:781
 #: uml1model/entity.cpp:125 uml1model/entity.cpp:178 uml1model/entity.cpp:228
 #: uml1model/entity.cpp:277 uml1model/enum.cpp:107 uml1model/instance.cpp:124
-#: uml1model/package.cpp:172 umldoc.cpp:1627 umldoc.cpp:1692 umldoc.cpp:1721
-#: umldoc.cpp:1755
+#: uml1model/package.cpp:178 umldoc.cpp:1629 umldoc.cpp:1694 umldoc.cpp:1723
+#: umldoc.cpp:1757
 #, kde-format
 msgid "Invalid Name"
 msgstr ""
@@ -2757,7 +2757,7 @@ msgstr ""
 msgid "The name you have entered is not unique."
 msgstr ""
 
-#: dialogs/pages/diagrampropertiespage.cpp:86 umldoc.cpp:1759
+#: dialogs/pages/diagrampropertiespage.cpp:86 umldoc.cpp:1761
 #, kde-format
 msgid "Name Not Unique"
 msgstr ""
@@ -3216,7 +3216,7 @@ msgstr ""
 msgid "Umbrello Setup"
 msgstr ""
 
-#: dialogs/settingsdialog.cpp:114 umllistview.cpp:1452
+#: dialogs/settingsdialog.cpp:114 umllistview.cpp:1460
 #, kde-format
 msgid "User Interface"
 msgstr "Brukargrensesnitt"
@@ -3243,7 +3243,7 @@ msgstr ""
 msgid "Class Settings"
 msgstr ""
 
-#: dialogs/settingsdialog.cpp:137 umllistview.cpp:1447
+#: dialogs/settingsdialog.cpp:137 umllistview.cpp:1455
 #, kde-format
 msgid "Code Importer"
 msgstr ""
@@ -3253,7 +3253,7 @@ msgstr ""
 msgid "Code Import Settings"
 msgstr ""
 
-#: dialogs/settingsdialog.cpp:146 umllistview.cpp:1448
+#: dialogs/settingsdialog.cpp:146 umllistview.cpp:1456
 #, kde-format
 msgid "Code Generation"
 msgstr ""
@@ -3263,7 +3263,7 @@ msgstr ""
 msgid "Code Generation Settings"
 msgstr ""
 
-#: dialogs/settingsdialog.cpp:154 umllistview.cpp:1449
+#: dialogs/settingsdialog.cpp:154 umllistview.cpp:1457
 #, kde-format
 msgid "Code Viewer"
 msgstr ""
@@ -3273,7 +3273,7 @@ msgstr ""
 msgid "Code Viewer Settings"
 msgstr ""
 
-#: dialogs/settingsdialog.cpp:161 umllistview.cpp:1445
+#: dialogs/settingsdialog.cpp:161 umllistview.cpp:1453
 #, kde-format
 msgid "Auto Layout"
 msgstr ""
@@ -3896,7 +3896,7 @@ msgstr "&Type:"
 msgid "Package path:"
 msgstr ""
 
-#: dialogs/widgets/umlstereotypewidget.cpp:29 uml1model/umlobject.cpp:1179
+#: dialogs/widgets/umlstereotypewidget.cpp:29 uml1model/umlobject.cpp:1180
 #, kde-format
 msgid "Stereotype &name:"
 msgstr ""
@@ -4042,7 +4042,7 @@ msgstr ""
 msgid "Gael de Chalendar (aka Kleag)"
 msgstr "Gael «Kleag» de Chalendar"
 
-#: docgenerators/main.cpp:56 main.cpp:131
+#: docgenerators/main.cpp:56 main.cpp:133
 #, kde-format
 msgid "Umbrello UML Modeller Authors"
 msgstr "Umbrello UML Modeller-utviklarane"
@@ -4104,12 +4104,12 @@ msgstr ""
 msgid "Apply layout"
 msgstr ""
 
-#: main.cpp:121
+#: main.cpp:123
 #, kde-format
 msgid "Umbrello UML Modeller"
 msgstr "Umbrello UML Modeller"
 
-#: main.cpp:123
+#: main.cpp:125
 #, kde-format
 msgid ""
 "Umbrello – Visual development environment for software, based on the "
@@ -4117,116 +4117,116 @@ msgid ""
 "\"http://www.omg.org/spec/\">http://www.omg.org/spec/</a>."
 msgstr ""
 
-#: main.cpp:127
+#: main.cpp:129
 #, kde-format
 msgid ""
 "Copyright © 2001 Paul Hensgen,\n"
 "Copyright © 2002-2020 Umbrello UML Modeller Authors"
 msgstr ""
 
-#: main.cpp:130
+#: main.cpp:132
 #, kde-format
 msgid "Paul Hensgen"
 msgstr "Paul Hensgen"
 
-#: main.cpp:130
+#: main.cpp:132
 #, kde-format
 msgid "Author of initial version."
 msgstr ""
 
-#: main.cpp:134
+#: main.cpp:136
 #, kde-format
 msgid "Oliver Kellogg"
 msgstr ""
 
-#: main.cpp:135 main.cpp:138
+#: main.cpp:137 main.cpp:140
 #, kde-format
 msgid "Bug fixing, porting work, code cleanup, new features."
 msgstr ""
 
-#: main.cpp:137
+#: main.cpp:139
 #, kde-format
 msgid "Ralf Habacker"
 msgstr "Ralf Habacker"
 
-#: main.cpp:140
+#: main.cpp:142
 #, kde-format
 msgid "Andi Fischer"
 msgstr ""
 
-#: main.cpp:141
+#: main.cpp:143
 #, kde-format
 msgid "Porting work, code cleanup, new features."
 msgstr ""
 
-#: main.cpp:143
+#: main.cpp:145
 #, kde-format
 msgid "Jonathan Riddell"
 msgstr ""
 
-#: main.cpp:144
+#: main.cpp:146
 #, kde-format
 msgid "Current maintainer."
 msgstr ""
 
-#: main.cpp:146
+#: main.cpp:148
 #, kde-format
 msgid "Brian Thomas"
 msgstr ""
 
-#: main.cpp:147
+#: main.cpp:149
 #, kde-format
 msgid "A lot of work for C++ and Java code generation. Codeeditor."
 msgstr ""
 
-#: main.cpp:152
+#: main.cpp:154
 #, kde-format
 msgid "File to open"
 msgstr "Fil som skal opnast"
 
-#: main.cpp:153
+#: main.cpp:155
 #, kde-format
 msgid "export diagrams to extension and exit"
 msgstr ""
 
-#: main.cpp:154
+#: main.cpp:156
 #, kde-format
 msgid "list available export extensions"
 msgstr ""
 
-#: main.cpp:155
+#: main.cpp:157
 #, kde-format
 msgid "the local directory to save the exported diagrams in"
 msgstr ""
 
-#: main.cpp:155
+#: main.cpp:157
 #, kde-format
 msgid "the directory of the file"
 msgstr ""
 
-#: main.cpp:156
+#: main.cpp:158
 #, kde-format
 msgid "import files"
 msgstr ""
 
-#: main.cpp:157
+#: main.cpp:159
 #, kde-format
 msgid "list supported languages"
 msgstr ""
 
-#: main.cpp:158
+#: main.cpp:160
 #, kde-format
 msgid ""
 "keep the tree structure used to store the views in the document in the "
 "target directory"
 msgstr ""
 
-#: main.cpp:159
+#: main.cpp:161
 #, kde-format
 msgid "import files from directory <dir>"
 msgstr ""
 
-#: main.cpp:163
+#: main.cpp:165
 #, kde-format
 msgid "set active language"
 msgstr ""
@@ -4490,7 +4490,7 @@ msgstr ""
 msgid "Import File(s)..."
 msgstr ""
 
-#: menus/listpopupmenu.cpp:201 uml.cpp:356
+#: menus/listpopupmenu.cpp:201 uml.cpp:365
 #, kde-format
 msgid "Import from Directory..."
 msgstr ""
@@ -4990,42 +4990,42 @@ msgctxt "align menu"
 msgid "Align"
 msgstr ""
 
-#: menus/widgetbasepopupmenu.cpp:598 uml.cpp:573
+#: menus/widgetbasepopupmenu.cpp:598 uml.cpp:582
 #, kde-format
 msgid "Align Right"
 msgstr ""
 
-#: menus/widgetbasepopupmenu.cpp:599 uml.cpp:578
+#: menus/widgetbasepopupmenu.cpp:599 uml.cpp:587
 #, kde-format
 msgid "Align Left"
 msgstr ""
 
-#: menus/widgetbasepopupmenu.cpp:600 uml.cpp:583
+#: menus/widgetbasepopupmenu.cpp:600 uml.cpp:592
 #, kde-format
 msgid "Align Top"
 msgstr ""
 
-#: menus/widgetbasepopupmenu.cpp:601 uml.cpp:588
+#: menus/widgetbasepopupmenu.cpp:601 uml.cpp:597
 #, kde-format
 msgid "Align Bottom"
 msgstr ""
 
-#: menus/widgetbasepopupmenu.cpp:603 uml.cpp:593
+#: menus/widgetbasepopupmenu.cpp:603 uml.cpp:602
 #, kde-format
 msgid "Align Vertical Middle"
 msgstr ""
 
-#: menus/widgetbasepopupmenu.cpp:604 uml.cpp:598
+#: menus/widgetbasepopupmenu.cpp:604 uml.cpp:607
 #, kde-format
 msgid "Align Horizontal Middle"
 msgstr ""
 
-#: menus/widgetbasepopupmenu.cpp:605 uml.cpp:603
+#: menus/widgetbasepopupmenu.cpp:605 uml.cpp:612
 #, kde-format
 msgid "Align Vertical Distribute"
 msgstr ""
 
-#: menus/widgetbasepopupmenu.cpp:606 uml.cpp:608
+#: menus/widgetbasepopupmenu.cpp:606 uml.cpp:617
 #, kde-format
 msgid "Align Horizontal Distribute"
 msgstr ""
@@ -5830,8 +5830,8 @@ msgstr "Bruk"
 #: object_factory.cpp:251 uml1model/classifier.cpp:410
 #: uml1model/classifier.cpp:781 uml1model/entity.cpp:125
 #: uml1model/entity.cpp:178 uml1model/entity.cpp:228 uml1model/entity.cpp:277
-#: uml1model/enum.cpp:107 uml1model/instance.cpp:124 uml1model/package.cpp:171
-#: umldoc.cpp:1721 umldoc.cpp:1755
+#: uml1model/enum.cpp:107 uml1model/instance.cpp:124 uml1model/package.cpp:177
+#: umldoc.cpp:1723 umldoc.cpp:1757
 #, kde-format
 msgid "That is an invalid name."
 msgstr ""
@@ -5850,7 +5850,7 @@ msgstr ""
 #: object_factory.cpp:264 uml1model/classifier.cpp:413
 #: uml1model/classifier.cpp:783 uml1model/entity.cpp:127
 #: uml1model/entity.cpp:180 uml1model/entity.cpp:230 uml1model/entity.cpp:279
-#: uml1model/instance.cpp:126 umldoc.cpp:1727 umldoc.cpp:1764
+#: uml1model/instance.cpp:126 umldoc.cpp:1729 umldoc.cpp:1766
 #, kde-format
 msgid "That name is already being used."
 msgstr ""
@@ -5858,8 +5858,8 @@ msgstr ""
 #: object_factory.cpp:265 uml1model/classifier.cpp:413
 #: uml1model/classifier.cpp:783 uml1model/entity.cpp:127
 #: uml1model/entity.cpp:180 uml1model/entity.cpp:230 uml1model/entity.cpp:279
-#: uml1model/instance.cpp:126 umldoc.cpp:1629 umldoc.cpp:1699 umldoc.cpp:1727
-#: umldoc.cpp:1764
+#: uml1model/instance.cpp:126 umldoc.cpp:1631 umldoc.cpp:1701 umldoc.cpp:1729
+#: umldoc.cpp:1766
 #, kde-format
 msgid "Not a Unique Name"
 msgstr ""
@@ -5920,12 +5920,12 @@ msgstr ""
 msgid "Choose a different name."
 msgstr ""
 
-#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:266
+#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:273
 #, kde-format
 msgid "Incorrect use of associations."
 msgstr ""
 
-#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:266
+#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:273
 #, kde-format
 msgid "Association Error"
 msgstr ""
@@ -7087,188 +7087,188 @@ msgstr ""
 msgid "&Settings"
 msgstr "&Innstillingar"
 
-#: uml.cpp:332
+#: uml.cpp:341
 #, kde-format
 msgid "&Export model to DocBook"
 msgstr ""
 
-#: uml.cpp:336
+#: uml.cpp:345
 #, kde-format
 msgid "&Export model to XHTML"
 msgstr ""
 
-#: uml.cpp:340
+#: uml.cpp:349
 #, kde-format
 msgid "&New Class Wizard..."
 msgstr ""
 
-#: uml.cpp:344
+#: uml.cpp:353
 #, kde-format
 msgid "&Add Default Datatypes for Active Language"
 msgstr ""
 
-#: uml.cpp:351
+#: uml.cpp:360
 #, kde-format
 msgid "Code &Importing Wizard..."
 msgstr ""
 
-#: uml.cpp:361
+#: uml.cpp:370
 #, kde-format
 msgid "&Code Generation Wizard..."
 msgstr ""
 
-#: uml.cpp:366
+#: uml.cpp:375
 #, kde-format
 msgid "&Generate All Code"
 msgstr ""
 
-#: uml.cpp:411
+#: uml.cpp:420
 #, kde-format
 msgid "Creates a new document"
 msgstr ""
 
-#: uml.cpp:412
+#: uml.cpp:421
 #, kde-format
 msgid "Opens an existing document"
 msgstr ""
 
-#: uml.cpp:413
+#: uml.cpp:422
 #, kde-format
 msgid "Opens a recently used file"
 msgstr ""
 
-#: uml.cpp:414
+#: uml.cpp:423
 #, kde-format
 msgid "Saves the document"
 msgstr "Lagrar dokumentet"
 
-#: uml.cpp:415
+#: uml.cpp:424
 #, kde-format
 msgid "Saves the document as..."
 msgstr "Lagrar dokumentet som …"
 
-#: uml.cpp:416
+#: uml.cpp:425
 #, kde-format
 msgid "Closes the document"
 msgstr "Lukkar dokumentet"
 
-#: uml.cpp:417
+#: uml.cpp:426
 #, kde-format
 msgid "Prints out the document"
 msgstr "Skriv ut dokumentet"
 
-#: uml.cpp:418
+#: uml.cpp:427
 #, kde-format
 msgid "Print Preview of the document"
 msgstr ""
 
-#: uml.cpp:419
+#: uml.cpp:428
 #, kde-format
 msgid "Quits the application"
 msgstr "Avsluttar programmet"
 
-#: uml.cpp:420
+#: uml.cpp:429
 #, kde-format
 msgid "Exports the model to the docbook format"
 msgstr ""
 
-#: uml.cpp:421
+#: uml.cpp:430
 #, kde-format
 msgid "Exports the model to the XHTML format"
 msgstr ""
 
-#: uml.cpp:422
+#: uml.cpp:431
 #, kde-format
 msgid "Cuts the selected section and puts it to the clipboard"
 msgstr ""
 
-#: uml.cpp:423
+#: uml.cpp:432
 #, kde-format
 msgid "Copies the selected section to the clipboard"
 msgstr ""
 
-#: uml.cpp:424
+#: uml.cpp:433
 #, kde-format
 msgid "Pastes the contents of the clipboard"
 msgstr ""
 
-#: uml.cpp:425
+#: uml.cpp:434
 #, kde-format
 msgid "Set the default program preferences"
 msgstr ""
 
-#: uml.cpp:429
+#: uml.cpp:438
 #, kde-format
 msgctxt "delete selected widget"
 msgid "Delete &Selected"
 msgstr ""
 
-#: uml.cpp:440
+#: uml.cpp:449
 #, kde-format
 msgid "&Class Diagram..."
 msgstr ""
 
-#: uml.cpp:447
+#: uml.cpp:456
 #, kde-format
 msgid "&Object Diagram..."
 msgstr ""
 
-#: uml.cpp:454
+#: uml.cpp:463
 #, kde-format
 msgid "&Sequence Diagram..."
 msgstr ""
 
-#: uml.cpp:460
+#: uml.cpp:469
 #, kde-format
 msgid "C&ommunication Diagram..."
 msgstr ""
 
-#: uml.cpp:466
+#: uml.cpp:475
 #, kde-format
 msgid "&Use Case Diagram..."
 msgstr ""
 
-#: uml.cpp:472
+#: uml.cpp:481
 #, kde-format
 msgid "S&tate Diagram..."
 msgstr ""
 
-#: uml.cpp:478
+#: uml.cpp:487
 #, kde-format
 msgid "&Activity Diagram..."
 msgstr ""
 
-#: uml.cpp:484
+#: uml.cpp:493
 #, kde-format
 msgid "Co&mponent Diagram..."
 msgstr ""
 
-#: uml.cpp:490
+#: uml.cpp:499
 #, kde-format
 msgid "&Deployment Diagram..."
 msgstr ""
 
-#: uml.cpp:496
+#: uml.cpp:505
 #, kde-format
 msgid "&Entity Relationship Diagram..."
 msgstr ""
 
-#: uml.cpp:501 uml.cpp:954
+#: uml.cpp:510 uml.cpp:963
 #, kde-format
 msgid "&Tree View"
 msgstr ""
 
-#: uml.cpp:505
+#: uml.cpp:514
 #, kde-format
 msgid "&Debugging"
 msgstr ""
 
-#: uml.cpp:513
+#: uml.cpp:522
 #, kde-format
 msgid "&Logging"
 msgstr ""
 
-#: uml.cpp:517
+#: uml.cpp:526
 #, kde-format
 msgid "&Command history"
 msgstr ""
@@ -7277,135 +7277,135 @@ msgstr ""
 #. m_propertyDock->setObjectName(QLatin1String("PropertyDock"));
 #. addDockWidget(Qt::LeftDockWidgetArea, m_propertyDock);  //:TODO:
 #. create the bird's eye view
-#: uml.cpp:521 uml.cpp:1011
+#: uml.cpp:530 uml.cpp:1020
 #, kde-format
 msgid "&Bird's eye view"
 msgstr ""
 
-#: uml.cpp:526
+#: uml.cpp:535
 #, kde-format
 msgid "&Clear Diagram"
 msgstr ""
 
-#: uml.cpp:530
+#: uml.cpp:539
 #, kde-format
 msgid "&Snap to Grid"
 msgstr ""
 
-#: uml.cpp:534
+#: uml.cpp:543
 #, kde-format
 msgid "S&how Grid"
 msgstr ""
 
-#: uml.cpp:539
+#: uml.cpp:548
 #, kde-format
 msgid "&Delete Diagram"
 msgstr ""
 
-#: uml.cpp:544
+#: uml.cpp:553
 #, kde-format
 msgid "&Export as Picture..."
 msgstr ""
 
-#: uml.cpp:549
+#: uml.cpp:558
 #, kde-format
 msgid "Export &Diagrams as Pictures..."
 msgstr ""
 
-#: uml.cpp:569
+#: uml.cpp:578
 #, kde-format
 msgid "Z&oom to 100%"
 msgstr ""
 
-#: uml.cpp:612
+#: uml.cpp:621
 #, kde-format
 msgid "&Move Tab Left"
 msgstr ""
 
-#: uml.cpp:613
+#: uml.cpp:622
 #, kde-format
 msgid "&Move Tab Right"
 msgstr ""
 
-#: uml.cpp:636
+#: uml.cpp:645
 #, kde-format
 msgid "Select Diagram on Left"
 msgstr ""
 
-#: uml.cpp:637
+#: uml.cpp:646
 #, kde-format
 msgid "Select Diagram on Right"
 msgstr ""
 
-#: uml.cpp:776
+#: uml.cpp:785
 #, kde-format
 msgctxt "%1 percent value from 20 to 500"
 msgid " &%1%"
 msgstr ""
 
-#: uml.cpp:826
+#: uml.cpp:835
 #, kde-format
 msgctxt "init status bar"
 msgid "Ready"
 msgstr ""
 
-#: uml.cpp:835 uml.cpp:848
+#: uml.cpp:844 uml.cpp:857
 #, kde-format
 msgid "100%"
 msgstr "100 %"
 
-#: uml.cpp:840
+#: uml.cpp:849
 #, kde-format
 msgid "Fit"
 msgstr ""
 
-#: uml.cpp:899
+#: uml.cpp:908
 #, kde-format
 msgid "Diagram Toolbar"
 msgstr ""
 
-#: uml.cpp:965
+#: uml.cpp:974
 #, kde-format
 msgid "Doc&umentation"
 msgstr ""
 
-#: uml.cpp:976
+#: uml.cpp:985
 #, kde-format
 msgid "Co&mmand history"
 msgstr ""
 
-#: uml.cpp:992
+#: uml.cpp:1001
 #, kde-format
 msgid "&Debug"
 msgstr ""
 
-#: uml.cpp:999
+#: uml.cpp:1008
 #, kde-format
 msgid "&Log"
 msgstr "&Logg"
 
-#: uml.cpp:1041 uml.cpp:1258 uml.cpp:1307
+#: uml.cpp:1050 uml.cpp:1267 uml.cpp:1316
 #, kde-format
 msgid "Opening file..."
 msgstr ""
 
-#: uml.cpp:1092 uml.cpp:1157 uml.cpp:1342 umldoc.cpp:342 umldoc.cpp:344
-#: umldoc.cpp:368 umldoc.cpp:3396
+#: uml.cpp:1101 uml.cpp:1166 uml.cpp:1351 umldoc.cpp:343 umldoc.cpp:345
+#: umldoc.cpp:369 umldoc.cpp:3405
 #, kde-format
 msgid "Untitled"
 msgstr "Namnlaus"
 
-#: uml.cpp:1240
+#: uml.cpp:1249
 #, kde-format
 msgid "Creating new document..."
 msgstr ""
 
-#: uml.cpp:1266 uml.cpp:1281
+#: uml.cpp:1275 uml.cpp:1290
 #, kde-format
 msgid "Open File"
 msgstr ""
 
-#: uml.cpp:1270
+#: uml.cpp:1279
 #, kde-format
 msgid ""
 "*.xmi *.xmi.tgz *.xmi.tar.bz2 *.mdl *.zargo|All Supported Files (*.xmi, *."
@@ -7417,29 +7417,29 @@ msgid ""
 "*.zargo|Compressed argo Files(*.zargo)\n"
 msgstr ""
 
-#: uml.cpp:1341
+#: uml.cpp:1350
 #, kde-format
 msgid "Saving file..."
 msgstr ""
 
-#: uml.cpp:1358
+#: uml.cpp:1367
 #, kde-format
 msgid "Saving file with a new filename..."
 msgstr ""
 
-#: uml.cpp:1368 uml.cpp:1374 umlviewimageexporter.cpp:199
+#: uml.cpp:1377 uml.cpp:1383 umlviewimageexporter.cpp:199
 #, kde-format
 msgid "Save As"
 msgstr ""
 
-#: uml.cpp:1369
+#: uml.cpp:1378
 #, kde-format
 msgid ""
 "*.xmi | XMI File (*.xmi);;*.xmi.tgz | Gzip Compressed XMI File (*.xmi.tgz);;"
 "*.xmi.tar.bz2 | Bzip2 Compressed XMI File (*.xmi.tar.bz2);;* | All Files (*)"
 msgstr ""
 
-#: uml.cpp:1374
+#: uml.cpp:1383
 #, kde-format
 msgid ""
 "*.xmi|XMI File\n"
@@ -7448,112 +7448,112 @@ msgid ""
 "*|All Files"
 msgstr ""
 
-#: uml.cpp:1387
+#: uml.cpp:1396
 #, kde-format
 msgid ""
 "The file %1 exists.\n"
 "Do you wish to overwrite it?"
 msgstr ""
 
-#: uml.cpp:1388
+#: uml.cpp:1397
 #, kde-format
 msgid "Warning"
 msgstr ""
 
-#: uml.cpp:1388
+#: uml.cpp:1397
 #, kde-format
 msgid "Overwrite"
 msgstr ""
 
-#: uml.cpp:1422
+#: uml.cpp:1431
 #, kde-format
 msgid "Closing file..."
 msgstr ""
 
-#: uml.cpp:1432
+#: uml.cpp:1441
 #, kde-format
 msgid "No search term entered"
 msgstr ""
 
-#: uml.cpp:1438
+#: uml.cpp:1447
 #, kde-format
 msgid "'%1': %2 found"
 msgstr ""
 
-#: uml.cpp:1502
+#: uml.cpp:1511
 #, kde-format
 msgid "Print Preview..."
 msgstr ""
 
-#: uml.cpp:1529
+#: uml.cpp:1538
 #, kde-format
 msgid "Printing..."
 msgstr ""
 
-#: uml.cpp:1536 uml.cpp:1540
+#: uml.cpp:1545 uml.cpp:1549
 #, kde-format
 msgid "Print %1"
 msgstr ""
 
-#: uml.cpp:1560
+#: uml.cpp:1569
 #, kde-format
 msgid "Exiting..."
 msgstr ""
 
-#: uml.cpp:1647
+#: uml.cpp:1656
 #, kde-format
 msgid "Cutting selection..."
 msgstr ""
 
-#: uml.cpp:1670
+#: uml.cpp:1679
 #, kde-format
 msgid "Copying selection to clipboard..."
 msgstr ""
 
-#: uml.cpp:1682
+#: uml.cpp:1691
 #, kde-format
 msgid "Inserting clipboard contents..."
 msgstr ""
 
-#: uml.cpp:1687
+#: uml.cpp:1696
 #, kde-format
 msgid ""
 "Umbrello could not paste the clipboard contents.  The objects in the "
 "clipboard may be of the wrong type to be pasted here."
 msgstr ""
 
-#: uml.cpp:1713 umlviewimageexporter.cpp:92 umlviewimageexporterall.cpp:123
+#: uml.cpp:1722 umlviewimageexporter.cpp:92 umlviewimageexporterall.cpp:123
 #, kde-format
 msgctxt "reset status bar"
 msgid "Ready."
 msgstr ""
 
-#: uml.cpp:2246
+#: uml.cpp:2255
 #, kde-format
 msgid "Cannot view code until you generate some first."
 msgstr ""
 
-#: uml.cpp:2246 uml.cpp:2249
+#: uml.cpp:2255 uml.cpp:2258
 #, kde-format
 msgid "Cannot View Code"
 msgstr ""
 
-#: uml.cpp:2249
+#: uml.cpp:2258
 #, kde-format
 msgid "Cannot view code from simple code writer."
 msgstr ""
 
-#: uml.cpp:2714 uml.cpp:2716
+#: uml.cpp:2728 uml.cpp:2730
 #, kde-format
 msgid "Select file(s) to import:"
 msgstr ""
 
-#: uml.cpp:2747 uml.cpp:2749
+#: uml.cpp:2761 uml.cpp:2763
 #, kde-format
 msgid "Select directory to import:"
 msgstr ""
 
-#: uml.cpp:3313
+#: uml.cpp:3335
 #, kde-format
 msgid "XHTML Generation failed ."
 msgstr ""
@@ -7565,20 +7565,20 @@ msgid ""
 "it again."
 msgstr ""
 
-#: uml1model/folder.cpp:435
+#: uml1model/folder.cpp:436
 #, kde-format
 msgid "The folderfile %1 does not exist."
 msgstr ""
 
-#: uml1model/folder.cpp:435 uml1model/folder.cpp:439 umldoc.cpp:529
-#: umldoc.cpp:541 umldoc.cpp:568 umldoc.cpp:570 umldoc.cpp:620 umldoc.cpp:623
-#: umldoc.cpp:638 umldoc.cpp:641 umldoc.cpp:665 umldoc.cpp:668 umldoc.cpp:684
-#: umldoc.cpp:687 umldoc.cpp:702 umldoc.cpp:705 umldoc.cpp:750
+#: uml1model/folder.cpp:436 uml1model/folder.cpp:440 umldoc.cpp:530
+#: umldoc.cpp:542 umldoc.cpp:569 umldoc.cpp:571 umldoc.cpp:621 umldoc.cpp:624
+#: umldoc.cpp:639 umldoc.cpp:642 umldoc.cpp:666 umldoc.cpp:669 umldoc.cpp:685
+#: umldoc.cpp:688 umldoc.cpp:703 umldoc.cpp:706 umldoc.cpp:751
 #, kde-format
 msgid "Load Error"
 msgstr "Innlastingsfeil"
 
-#: uml1model/folder.cpp:439
+#: uml1model/folder.cpp:440
 #, kde-format
 msgid "The folderfile %1 cannot be opened."
 msgstr ""
@@ -7588,13 +7588,13 @@ msgstr ""
 msgid "new_parameter"
 msgstr ""
 
-#: uml1model/package.cpp:163
+#: uml1model/package.cpp:169
 #, kde-format
 msgctxt "object name"
 msgid "Name"
 msgstr "Namn"
 
-#: uml1model/package.cpp:164
+#: uml1model/package.cpp:170
 #, kde-format
 msgid ""
 "An object with the name %1\n"
@@ -7617,77 +7617,77 @@ msgstr ""
 msgid "new_fkey_constraint"
 msgstr ""
 
-#: uml1model/umlobject.cpp:1140
+#: uml1model/umlobject.cpp:1141
 #, kde-format
 msgid "Actor &name:"
 msgstr ""
 
-#: uml1model/umlobject.cpp:1143
+#: uml1model/umlobject.cpp:1144
 #, kde-format
 msgid "Artifact &name:"
 msgstr ""
 
-#: uml1model/umlobject.cpp:1146
+#: uml1model/umlobject.cpp:1147
 #, kde-format
 msgid "Association &name:"
 msgstr ""
 
-#: uml1model/umlobject.cpp:1149
+#: uml1model/umlobject.cpp:1150
 #, kde-format
 msgid "Class &name:"
 msgstr ""
 
-#: uml1model/umlobject.cpp:1152
+#: uml1model/umlobject.cpp:1153
 #, kde-format
 msgid "Component &name:"
 msgstr ""
 
-#: uml1model/umlobject.cpp:1155
+#: uml1model/umlobject.cpp:1156
 #, kde-format
 msgid "Datatype &name:"
 msgstr ""
 
-#: uml1model/umlobject.cpp:1158
+#: uml1model/umlobject.cpp:1159
 #, kde-format
 msgid "Entity &name:"
 msgstr ""
 
-#: uml1model/umlobject.cpp:1161
+#: uml1model/umlobject.cpp:1162
 #, kde-format
 msgid "Enum &name:"
 msgstr ""
 
-#: uml1model/umlobject.cpp:1164
+#: uml1model/umlobject.cpp:1165
 #, kde-format
 msgid "Folder &name:"
 msgstr ""
 
-#: uml1model/umlobject.cpp:1167
+#: uml1model/umlobject.cpp:1168
 #, kde-format
 msgid "Interface &name:"
 msgstr ""
 
-#: uml1model/umlobject.cpp:1170
+#: uml1model/umlobject.cpp:1171
 #, kde-format
 msgid "Node &name:"
 msgstr ""
 
-#: uml1model/umlobject.cpp:1173
+#: uml1model/umlobject.cpp:1174
 #, kde-format
 msgid "Package &name:"
 msgstr ""
 
-#: uml1model/umlobject.cpp:1176
+#: uml1model/umlobject.cpp:1177
 #, kde-format
 msgid "Port &name:"
 msgstr ""
 
-#: uml1model/umlobject.cpp:1182
+#: uml1model/umlobject.cpp:1183
 #, kde-format
 msgid "Use case &name:"
 msgstr ""
 
-#: uml1model/umlobject.cpp:1185
+#: uml1model/umlobject.cpp:1186
 #, kde-format
 msgid "Instance name:"
 msgstr ""
@@ -7707,332 +7707,332 @@ msgstr ""
 msgid "Welcome"
 msgstr "Velkommen"
 
-#: umldoc.cpp:112 umldoc.cpp:2400 umldoc.cpp:2428
+#: umldoc.cpp:113 umldoc.cpp:2405 umldoc.cpp:2433
 #, kde-format
 msgid "UML Model"
 msgstr ""
 
-#: umldoc.cpp:154
+#: umldoc.cpp:155
 #, kde-format
 msgid "Logical View"
 msgstr ""
 
-#: umldoc.cpp:155
+#: umldoc.cpp:156
 #, kde-format
 msgid "Use Case View"
 msgstr ""
 
-#: umldoc.cpp:156
+#: umldoc.cpp:157
 #, kde-format
 msgid "Component View"
 msgstr ""
 
-#: umldoc.cpp:157
+#: umldoc.cpp:158
 #, kde-format
 msgid "Deployment View"
 msgstr ""
 
-#: umldoc.cpp:158
+#: umldoc.cpp:159
 #, kde-format
 msgid "Entity Relationship Model"
 msgstr ""
 
-#: umldoc.cpp:184
+#: umldoc.cpp:185
 #, kde-format
 msgid "Datatypes"
 msgstr ""
 
-#: umldoc.cpp:363
+#: umldoc.cpp:364
 #, kde-format
 msgid ""
 "The current file has been modified.\n"
 "Do you want to save it?"
 msgstr ""
 
-#: umldoc.cpp:364
+#: umldoc.cpp:365
 #, kde-format
 msgctxt "warning message"
 msgid "Warning"
 msgstr ""
 
-#: umldoc.cpp:529
+#: umldoc.cpp:530
 #, kde-format
 msgid "The file <%1> does not exist."
 msgstr ""
 
-#: umldoc.cpp:541
+#: umldoc.cpp:542
 #, kde-format
 msgid "The file %1 does not exist."
 msgstr ""
 
-#: umldoc.cpp:568 umldoc.cpp:570
+#: umldoc.cpp:569 umldoc.cpp:571
 #, kde-format
 msgid "The file %1 seems to be corrupted."
 msgstr ""
 
-#: umldoc.cpp:619 umldoc.cpp:622 umldoc.cpp:637 umldoc.cpp:640 umldoc.cpp:683
-#: umldoc.cpp:686
+#: umldoc.cpp:620 umldoc.cpp:623 umldoc.cpp:638 umldoc.cpp:641 umldoc.cpp:684
+#: umldoc.cpp:687
 #, kde-format
 msgid "There was no XMI file found in the compressed file %1."
 msgstr ""
 
-#: umldoc.cpp:664 umldoc.cpp:667
+#: umldoc.cpp:665 umldoc.cpp:668
 #, kde-format
 msgid "There was a problem loading the extracted file: %1"
 msgstr ""
 
-#: umldoc.cpp:701 umldoc.cpp:704 umldoc.cpp:744 umldoc.cpp:746
+#: umldoc.cpp:702 umldoc.cpp:705 umldoc.cpp:745 umldoc.cpp:747
 #, kde-format
 msgid "There was a problem loading file: %1"
 msgstr ""
 
-#: umldoc.cpp:749
+#: umldoc.cpp:750
 #, kde-format
 msgid "Reason: %1"
 msgstr ""
 
-#: umldoc.cpp:832 umldoc.cpp:834 umldoc.cpp:851 umldoc.cpp:853 umldoc.cpp:873
-#: umldoc.cpp:875 umldoc.cpp:924 umldoc.cpp:926 umldoc.cpp:966 umldoc.cpp:969
-#: umldoc.cpp:978 umldoc.cpp:980 umllistview.cpp:593
+#: umldoc.cpp:833 umldoc.cpp:835 umldoc.cpp:852 umldoc.cpp:854 umldoc.cpp:874
+#: umldoc.cpp:876 umldoc.cpp:925 umldoc.cpp:927 umldoc.cpp:968 umldoc.cpp:971
+#: umldoc.cpp:980 umldoc.cpp:982 umllistview.cpp:594
 #, kde-format
 msgid "Save Error"
 msgstr ""
 
-#: umldoc.cpp:832 umldoc.cpp:851 umldoc.cpp:873 umldoc.cpp:924 umldoc.cpp:966
+#: umldoc.cpp:833 umldoc.cpp:852 umldoc.cpp:874 umldoc.cpp:925 umldoc.cpp:968
 #, kde-format
 msgid "There was a problem saving: %1"
 msgstr ""
 
-#: umldoc.cpp:834 umldoc.cpp:853 umldoc.cpp:875 umldoc.cpp:926 umldoc.cpp:969
-#: umllistview.cpp:592 umlviewimageexportermodel.cpp:303
+#: umldoc.cpp:835 umldoc.cpp:854 umldoc.cpp:876 umldoc.cpp:927 umldoc.cpp:971
+#: umllistview.cpp:593 umlviewimageexportermodel.cpp:303
 #, kde-format
 msgid "There was a problem saving file: %1"
 msgstr ""
 
-#: umldoc.cpp:978
+#: umldoc.cpp:980
 #, kde-format
 msgid "There was a problem uploading: %1"
 msgstr ""
 
-#: umldoc.cpp:980
+#: umldoc.cpp:982
 #, kde-format
 msgid "There was a problem uploading file: %1"
 msgstr ""
 
-#: umldoc.cpp:1526
+#: umldoc.cpp:1528
 #, kde-format
 msgid "use case diagram"
 msgstr ""
 
-#: umldoc.cpp:1529
+#: umldoc.cpp:1531
 #, kde-format
 msgid "class diagram"
 msgstr ""
 
-#: umldoc.cpp:1532
+#: umldoc.cpp:1534
 #, kde-format
 msgid "sequence diagram"
 msgstr ""
 
-#: umldoc.cpp:1535
+#: umldoc.cpp:1537
 #, kde-format
 msgid "communication diagram"
 msgstr ""
 
-#: umldoc.cpp:1538
+#: umldoc.cpp:1540
 #, kde-format
 msgid "object diagram"
 msgstr ""
 
-#: umldoc.cpp:1541
+#: umldoc.cpp:1543
 #, kde-format
 msgid "state diagram"
 msgstr ""
 
-#: umldoc.cpp:1544
+#: umldoc.cpp:1546
 #, kde-format
 msgid "activity diagram"
 msgstr ""
 
-#: umldoc.cpp:1547
+#: umldoc.cpp:1549
 #, kde-format
 msgid "component diagram"
 msgstr ""
 
-#: umldoc.cpp:1550
+#: umldoc.cpp:1552
 #, kde-format
 msgid "deployment diagram"
 msgstr ""
 
-#: umldoc.cpp:1553
+#: umldoc.cpp:1555
 #, kde-format
 msgid "entity relationship diagram"
 msgstr ""
 
-#: umldoc.cpp:1623
+#: umldoc.cpp:1625
 #, kde-format
 msgctxt "diagram name"
 msgid "Name"
 msgstr ""
 
-#: umldoc.cpp:1623 umldoc.cpp:1686 umldoc.cpp:1715 umldoc.cpp:1749
+#: umldoc.cpp:1625 umldoc.cpp:1688 umldoc.cpp:1717 umldoc.cpp:1751
 #, kde-format
 msgid "Enter name:"
 msgstr "Skriv inn namn:"
 
-#: umldoc.cpp:1627 umldoc.cpp:1692
+#: umldoc.cpp:1629 umldoc.cpp:1694
 #, kde-format
 msgid "That is an invalid name for a diagram."
 msgstr ""
 
-#: umldoc.cpp:1629 umldoc.cpp:1699
+#: umldoc.cpp:1631 umldoc.cpp:1701
 #, kde-format
 msgid "A diagram is already using that name."
 msgstr ""
 
-#: umldoc.cpp:1685
+#: umldoc.cpp:1687
 #, kde-format
 msgctxt "renaming diagram"
 msgid "Name"
 msgstr ""
 
-#: umldoc.cpp:1714
+#: umldoc.cpp:1716
 #, kde-format
 msgctxt "renaming uml object"
 msgid "Name"
 msgstr ""
 
-#: umldoc.cpp:1748
+#: umldoc.cpp:1750
 #, kde-format
 msgctxt "renaming child uml object"
 msgid "Name"
 msgstr ""
 
-#: umldoc.cpp:1758
+#: umldoc.cpp:1760
 #, kde-format
 msgid ""
 "The name you entered was not unique.\n"
 "Is this what you wanted?"
 msgstr ""
 
-#: umldoc.cpp:1759
+#: umldoc.cpp:1761
 #, kde-format
 msgid "Use Name"
 msgstr ""
 
-#: umldoc.cpp:1759
+#: umldoc.cpp:1761
 #, kde-format
 msgid "Enter New Name"
 msgstr ""
 
-#: umldoc.cpp:2361
+#: umldoc.cpp:2366
 #, kde-format
 msgid "Unsupported xmi file version: %1"
 msgstr ""
 
-#: umldoc.cpp:2511
+#: umldoc.cpp:2516
 #, kde-format
 msgid "Setting up the document..."
 msgstr ""
 
-#: umldoc.cpp:2540
+#: umldoc.cpp:2545
 #, kde-format
 msgid "Resolving object references..."
 msgstr ""
 
-#: umldoc.cpp:2648
+#: umldoc.cpp:2653
 #, kde-format
 msgid "Loading UML elements..."
 msgstr ""
 
-#: umldoc.cpp:2892
+#: umldoc.cpp:2899
 #, kde-format
 msgid "Loading diagrams..."
 msgstr ""
 
-#: umldoc.cpp:3400
+#: umldoc.cpp:3409
 #, kde-format
 msgid "/autosave%1"
 msgstr ""
 
-#: umllistview.cpp:536 umllistview.cpp:540
+#: umllistview.cpp:537 umllistview.cpp:541
 #, kde-format
 msgid "Externalize Folder"
 msgstr ""
 
-#: umllistview.cpp:574
+#: umllistview.cpp:575
 #, kde-format
 msgid "Folder %1 must be relative to the main model directory, %2."
 msgstr ""
 
-#: umllistview.cpp:575
+#: umllistview.cpp:576
 #, kde-format
 msgid "Path Error"
 msgstr ""
 
-#: umllistview.cpp:583
+#: umllistview.cpp:584
 #, kde-format
 msgid ""
 "File %1 already exists!\n"
 "The existing file will be overwritten."
 msgstr ""
 
-#: umllistview.cpp:584
+#: umllistview.cpp:585
 #, kde-format
 msgid "File Exist"
 msgstr ""
 
-#: umllistview.cpp:624
+#: umllistview.cpp:625
 #, kde-format
 msgid "Enter Model Name"
 msgstr ""
 
-#: umllistview.cpp:625
+#: umllistview.cpp:626
 #, kde-format
 msgid "Enter the new name of the model:"
 msgstr ""
 
-#: umllistview.cpp:1422
+#: umllistview.cpp:1430
 #, kde-format
 msgid "Views"
 msgstr ""
 
-#: umllistview.cpp:1441
+#: umllistview.cpp:1449
 #, kde-format
 msgid "Settings"
 msgstr ""
 
-#: umllistview.cpp:2413
+#: umllistview.cpp:2421
 #, kde-format
 msgid "Loading listview..."
 msgstr ""
 
-#: umllistview.cpp:2764
+#: umllistview.cpp:2772
 #, kde-format
 msgid "The class must be emptied before it can be deleted."
 msgstr ""
 
-#: umllistview.cpp:2765
+#: umllistview.cpp:2773
 #, kde-format
 msgid "Class Not Empty"
 msgstr ""
 
-#: umllistview.cpp:2769
+#: umllistview.cpp:2777
 #, kde-format
 msgid "The package must be emptied before it can be deleted."
 msgstr ""
 
-#: umllistview.cpp:2770
+#: umllistview.cpp:2778
 #, kde-format
 msgid "Package Not Empty"
 msgstr ""
 
-#: umllistview.cpp:2774
+#: umllistview.cpp:2782
 #, kde-format
 msgid "The folder must be emptied before it can be deleted."
 msgstr ""
 
-#: umllistview.cpp:2775
+#: umllistview.cpp:2783
 #, kde-format
 msgid "Folder Not Empty"
 msgstr ""
diff -pruN 4:20.08.3-1/po/pl/umbrello.po 4:20.12.0-0ubuntu1/po/pl/umbrello.po
--- 4:20.08.3-1/po/pl/umbrello.po	2020-11-03 00:42:16.000000000 +0000
+++ 4:20.12.0-0ubuntu1/po/pl/umbrello.po	2020-12-04 00:21:31.000000000 +0000
@@ -12,7 +12,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: umbrello\n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
-"POT-Creation-Date: 2020-08-14 08:09+0200\n"
+"POT-Creation-Date: 2020-11-06 02:36+0100\n"
 "PO-Revision-Date: 2020-05-16 08:53+0200\n"
 "Last-Translator: Łukasz Wojniłowicz <lukasz.wojnilowicz@gmail.com>\n"
 "Language-Team: Polish <kde-i18n-doc@kde.org>\n"
@@ -218,7 +218,7 @@ msgstr ""
 "istnieje już element o tej \n"
 "samej nazwie. Pozostałe elementy będą wklejone."
 
-#: clipboard/umlclipboard.cpp:753 uml.cpp:1689
+#: clipboard/umlclipboard.cpp:753 uml.cpp:1698
 #, kde-format
 msgid "Paste Error"
 msgstr "Błąd wklejania"
@@ -444,7 +444,7 @@ msgstr "<p align=\"center\">Generowanie
 #. i18n: ectx: attribute (title), widget (QWidget, ui_tabGeneral)
 #: codegenerators/cpp/cppcodegenerationformbase.ui:51
 #: codegenwizard/codegenoptionspage.ui:39 dialogs/objectnodedialog.cpp:135
-#: umllistview.cpp:1451
+#: umllistview.cpp:1459
 #, kde-format
 msgid "General"
 msgstr "Ogólne"
@@ -1320,7 +1320,7 @@ msgstr "Stan"
 #. i18n: ectx: property (text), widget (QRadioButton, ui_categoryClass)
 #. i18n: ectx: property (text), widget (QTableWidget, ui_tableWidgetStatus)
 #: codegenwizard/codegenstatuspage.ui:40 codeimpwizard/codeimpstatuspage.ui:54
-#: dialogs/finddialog.ui:89 umllistview.cpp:1446 umlwidgets/widgetbase.cpp:1255
+#: dialogs/finddialog.ui:89 umllistview.cpp:1454 umlwidgets/widgetbase.cpp:1255
 #, kde-format
 msgid "Class"
 msgstr "Klasa"
@@ -1975,17 +1975,17 @@ msgstr "Włącz wiadomości związane z
 msgid "Enable 'delete diagram' related messages"
 msgstr "Włącz wiadomości związane z 'usunięciem diagramu'"
 
-#: dialogs/dialog_utils.cpp:117
+#: dialogs/dialog_utils.cpp:118
 #, kde-format
 msgid "You are about to delete an association. Do you really want to continue?"
 msgstr "Zamierzasz usunąć skojarzenie. Czy chcesz kontynuować?"
 
-#: dialogs/dialog_utils.cpp:118
+#: dialogs/dialog_utils.cpp:119
 #, kde-format
 msgid "Delete Association"
 msgstr "Usuń skojarzenie"
 
-#: dialogs/dialog_utils.cpp:132
+#: dialogs/dialog_utils.cpp:133
 #, kde-format
 msgid ""
 "You are about to delete the entire diagram.\n"
@@ -1994,17 +1994,17 @@ msgstr ""
 "Chcesz usunąć cały diagram.\n"
 "Czy aby na pewno?"
 
-#: dialogs/dialog_utils.cpp:133
+#: dialogs/dialog_utils.cpp:134
 #, kde-format
 msgid "Are you sure you want to delete diagram %1?"
 msgstr "Na pewno chcesz usunąć diagram %1?"
 
-#: dialogs/dialog_utils.cpp:138
+#: dialogs/dialog_utils.cpp:139
 #, kde-format
 msgid "Delete Diagram?"
 msgstr "Usunąć diagram?"
 
-#: dialogs/dialog_utils.cpp:139 dialogs/pages/classifierlistpage.cpp:215
+#: dialogs/dialog_utils.cpp:140 dialogs/pages/classifierlistpage.cpp:215
 #: dialogs/pages/classifierlistpage.cpp:223
 #: dialogs/umlforeignkeyconstraintdialog.cpp:325
 #: dialogs/umlforeignkeyconstraintdialog.cpp:331
@@ -2167,7 +2167,7 @@ msgstr "Ogólne"
 #. i18n: ectx: label, entry (uiFont), group (UI Options)
 #. i18n: ectx: label, entry (codeViewerFont), group (Code Viewer Options)
 #: dialogs/multipagedialogbase.cpp:405 umbrello.kcfg:177 umbrello.kcfg:292
-#: umllistview.cpp:1450
+#: umllistview.cpp:1458
 #, kde-format
 msgid "Font"
 msgstr "Czcionka"
@@ -2599,7 +2599,7 @@ msgstr "&Nowy atrybut wystąpienia..."
 
 #: dialogs/pages/classifierlistpage.cpp:217
 #: dialogs/pages/classifierlistpage.cpp:225 dialogs/umloperationdialog.cpp:167
-#: dialogs/umloperationdialog.cpp:175 uml.cpp:554
+#: dialogs/umloperationdialog.cpp:175 uml.cpp:563
 #, kde-format
 msgid "&Properties"
 msgstr "&Właściwości"
@@ -2617,7 +2617,7 @@ msgid "Source Code"
 msgstr "Kod źródłowy"
 
 #: dialogs/pages/classoptionspage.cpp:157
-#: dialogs/pages/classoptionspage.cpp:251 uml.cpp:509
+#: dialogs/pages/classoptionspage.cpp:251 uml.cpp:518
 #, kde-format
 msgid "&Documentation"
 msgstr "&Dokumentacja"
@@ -2806,8 +2806,8 @@ msgstr "Podano niedozwoloną nazwę."
 #: uml1model/classifier.cpp:410 uml1model/classifier.cpp:781
 #: uml1model/entity.cpp:125 uml1model/entity.cpp:178 uml1model/entity.cpp:228
 #: uml1model/entity.cpp:277 uml1model/enum.cpp:107 uml1model/instance.cpp:124
-#: uml1model/package.cpp:172 umldoc.cpp:1627 umldoc.cpp:1692 umldoc.cpp:1721
-#: umldoc.cpp:1755
+#: uml1model/package.cpp:178 umldoc.cpp:1629 umldoc.cpp:1694 umldoc.cpp:1723
+#: umldoc.cpp:1757
 #, kde-format
 msgid "Invalid Name"
 msgstr "Nieprawidłowa nazwa"
@@ -2817,7 +2817,7 @@ msgstr "Nieprawidłowa nazwa"
 msgid "The name you have entered is not unique."
 msgstr "Podana nazwa nie jest unikalna."
 
-#: dialogs/pages/diagrampropertiespage.cpp:86 umldoc.cpp:1759
+#: dialogs/pages/diagrampropertiespage.cpp:86 umldoc.cpp:1761
 #, kde-format
 msgid "Name Not Unique"
 msgstr "Nazwa nie jest unikalna"
@@ -3291,7 +3291,7 @@ msgstr "&Diagram"
 msgid "Umbrello Setup"
 msgstr "Ustawienia Umbrello"
 
-#: dialogs/settingsdialog.cpp:114 umllistview.cpp:1452
+#: dialogs/settingsdialog.cpp:114 umllistview.cpp:1460
 #, kde-format
 msgid "User Interface"
 msgstr "Interfejs użytkownika"
@@ -3318,7 +3318,7 @@ msgstr "Klasa"
 msgid "Class Settings"
 msgstr "Ustawienia klasy"
 
-#: dialogs/settingsdialog.cpp:137 umllistview.cpp:1447
+#: dialogs/settingsdialog.cpp:137 umllistview.cpp:1455
 #, kde-format
 msgid "Code Importer"
 msgstr "Importer kodu"
@@ -3328,7 +3328,7 @@ msgstr "Importer kodu"
 msgid "Code Import Settings"
 msgstr "Ustawienia importu kodu"
 
-#: dialogs/settingsdialog.cpp:146 umllistview.cpp:1448
+#: dialogs/settingsdialog.cpp:146 umllistview.cpp:1456
 #, kde-format
 msgid "Code Generation"
 msgstr "Generowanie kodu"
@@ -3338,7 +3338,7 @@ msgstr "Generowanie kodu"
 msgid "Code Generation Settings"
 msgstr "Ustawienia generowania kodu"
 
-#: dialogs/settingsdialog.cpp:154 umllistview.cpp:1449
+#: dialogs/settingsdialog.cpp:154 umllistview.cpp:1457
 #, kde-format
 msgid "Code Viewer"
 msgstr "Podgląd kodu"
@@ -3348,7 +3348,7 @@ msgstr "Podgląd kodu"
 msgid "Code Viewer Settings"
 msgstr "Ustawienia podglądu kodu"
 
-#: dialogs/settingsdialog.cpp:161 umllistview.cpp:1445
+#: dialogs/settingsdialog.cpp:161 umllistview.cpp:1453
 #, kde-format
 msgid "Auto Layout"
 msgstr "Samoczynny układ"
@@ -3978,7 +3978,7 @@ msgstr "&Typ:"
 msgid "Package path:"
 msgstr "Ścieżka pakietu:"
 
-#: dialogs/widgets/umlstereotypewidget.cpp:29 uml1model/umlobject.cpp:1179
+#: dialogs/widgets/umlstereotypewidget.cpp:29 uml1model/umlobject.cpp:1180
 #, kde-format
 msgid "Stereotype &name:"
 msgstr "&Nazwa stereotypu:"
@@ -4124,7 +4124,7 @@ msgstr ""
 msgid "Gael de Chalendar (aka Kleag)"
 msgstr "Gael de Chalendar (aka Kleag)"
 
-#: docgenerators/main.cpp:56 main.cpp:131
+#: docgenerators/main.cpp:56 main.cpp:133
 #, kde-format
 msgid "Umbrello UML Modeller Authors"
 msgstr "Autorzy Umbrello UML Modeller"
@@ -4188,12 +4188,12 @@ msgstr "Przełącz na edytowanie dokumen
 msgid "Apply layout"
 msgstr "Zastosuj układ"
 
-#: main.cpp:121
+#: main.cpp:123
 #, kde-format
 msgid "Umbrello UML Modeller"
 msgstr "Umbrello UML Modeller"
 
-#: main.cpp:123
+#: main.cpp:125
 #, kde-format
 msgid ""
 "Umbrello – Visual development environment for software, based on the "
@@ -4204,7 +4204,7 @@ msgstr ""
 "przemysłowym Unified Modelling Language (UML).<br/>Zajrzyj także na <a "
 "href=’http://www.omg.org/spec/’>http://www.omg.org/spec/</a>."
 
-#: main.cpp:127
+#: main.cpp:129
 #, fuzzy, kde-format
 #| msgid ""
 #| "Copyright © 2001 Paul Hensgen,\n"
@@ -4216,97 +4216,97 @@ msgstr ""
 "Copyright © 2001 Paul Hensgen,\n"
 "Copyright © 2002-2018 Autorzy modelera Umbrello UML"
 
-#: main.cpp:130
+#: main.cpp:132
 #, kde-format
 msgid "Paul Hensgen"
 msgstr "Paul Hensgen"
 
-#: main.cpp:130
+#: main.cpp:132
 #, kde-format
 msgid "Author of initial version."
 msgstr "Autor pierwszej wersji."
 
-#: main.cpp:134
+#: main.cpp:136
 #, kde-format
 msgid "Oliver Kellogg"
 msgstr "Oliver Kellogg"
 
-#: main.cpp:135 main.cpp:138
+#: main.cpp:137 main.cpp:140
 #, kde-format
 msgid "Bug fixing, porting work, code cleanup, new features."
 msgstr "Naprawa błędów, przenoszenie, porządki w kodzie, nowe funkcje."
 
-#: main.cpp:137
+#: main.cpp:139
 #, kde-format
 msgid "Ralf Habacker"
 msgstr "Ralf Habacker"
 
-#: main.cpp:140
+#: main.cpp:142
 #, kde-format
 msgid "Andi Fischer"
 msgstr "Andi Fischer"
 
-#: main.cpp:141
+#: main.cpp:143
 #, kde-format
 msgid "Porting work, code cleanup, new features."
 msgstr "Przenoszenie, porządki w kodzie, nowe funkcje."
 
-#: main.cpp:143
+#: main.cpp:145
 #, kde-format
 msgid "Jonathan Riddell"
 msgstr "Jonathan Riddell"
 
-#: main.cpp:144
+#: main.cpp:146
 #, kde-format
 msgid "Current maintainer."
 msgstr "Obecny opiekun."
 
-#: main.cpp:146
+#: main.cpp:148
 #, kde-format
 msgid "Brian Thomas"
 msgstr "Brian Thomas"
 
-#: main.cpp:147
+#: main.cpp:149
 #, kde-format
 msgid "A lot of work for C++ and Java code generation. Codeeditor."
 msgstr "Dużo pracy w generowaniu kodu C++ i Java. Codeeditor."
 
-#: main.cpp:152
+#: main.cpp:154
 #, kde-format
 msgid "File to open"
 msgstr "Plik do otwarcia"
 
-#: main.cpp:153
+#: main.cpp:155
 #, kde-format
 msgid "export diagrams to extension and exit"
 msgstr "eksportuj diagramy do rozszerzenia i wyjdź"
 
-#: main.cpp:154
+#: main.cpp:156
 #, kde-format
 msgid "list available export extensions"
 msgstr "wypisz dostępne rozszerzenia eksportu"
 
-#: main.cpp:155
+#: main.cpp:157
 #, kde-format
 msgid "the local directory to save the exported diagrams in"
 msgstr "katalog lokalny w którym zapisać eksportowane diagramy"
 
-#: main.cpp:155
+#: main.cpp:157
 #, kde-format
 msgid "the directory of the file"
 msgstr "katalog pliku"
 
-#: main.cpp:156
+#: main.cpp:158
 #, kde-format
 msgid "import files"
 msgstr "importuj pliki"
 
-#: main.cpp:157
+#: main.cpp:159
 #, kde-format
 msgid "list supported languages"
 msgstr "wyszczególnij obsługiwane języki"
 
-#: main.cpp:158
+#: main.cpp:160
 #, kde-format
 msgid ""
 "keep the tree structure used to store the views in the document in the "
@@ -4314,12 +4314,12 @@ msgid ""
 msgstr ""
 "odzwierciedl strukturę drzewiastą widoków w dokumencie w katalogu docelowym"
 
-#: main.cpp:159
+#: main.cpp:161
 #, kde-format
 msgid "import files from directory <dir>"
 msgstr "importuj pliki z katalogu <dir>"
 
-#: main.cpp:163
+#: main.cpp:165
 #, kde-format
 msgid "set active language"
 msgstr "wybierz aktywny język"
@@ -4585,7 +4585,7 @@ msgstr "Pokaż rozbicie"
 msgid "Import File(s)..."
 msgstr "Importuj plik(i)..."
 
-#: menus/listpopupmenu.cpp:201 uml.cpp:356
+#: menus/listpopupmenu.cpp:201 uml.cpp:365
 #, kde-format
 msgid "Import from Directory..."
 msgstr "Importuj z katalogu..."
@@ -5091,42 +5091,42 @@ msgctxt "align menu"
 msgid "Align"
 msgstr "Wyrównaj"
 
-#: menus/widgetbasepopupmenu.cpp:598 uml.cpp:573
+#: menus/widgetbasepopupmenu.cpp:598 uml.cpp:582
 #, kde-format
 msgid "Align Right"
 msgstr "Wyrównaj do prawej"
 
-#: menus/widgetbasepopupmenu.cpp:599 uml.cpp:578
+#: menus/widgetbasepopupmenu.cpp:599 uml.cpp:587
 #, kde-format
 msgid "Align Left"
 msgstr "Wyrównaj do lewej"
 
-#: menus/widgetbasepopupmenu.cpp:600 uml.cpp:583
+#: menus/widgetbasepopupmenu.cpp:600 uml.cpp:592
 #, kde-format
 msgid "Align Top"
 msgstr "Wyrównaj do góry"
 
-#: menus/widgetbasepopupmenu.cpp:601 uml.cpp:588
+#: menus/widgetbasepopupmenu.cpp:601 uml.cpp:597
 #, kde-format
 msgid "Align Bottom"
 msgstr "Wyrównaj do dołu"
 
-#: menus/widgetbasepopupmenu.cpp:603 uml.cpp:593
+#: menus/widgetbasepopupmenu.cpp:603 uml.cpp:602
 #, kde-format
 msgid "Align Vertical Middle"
 msgstr "Wyrównaj do środka w pionie"
 
-#: menus/widgetbasepopupmenu.cpp:604 uml.cpp:598
+#: menus/widgetbasepopupmenu.cpp:604 uml.cpp:607
 #, kde-format
 msgid "Align Horizontal Middle"
 msgstr "Wyrównaj do środka w poziomie"
 
-#: menus/widgetbasepopupmenu.cpp:605 uml.cpp:603
+#: menus/widgetbasepopupmenu.cpp:605 uml.cpp:612
 #, kde-format
 msgid "Align Vertical Distribute"
 msgstr "Wyrównaj pionowo z rozprowadzeniem"
 
-#: menus/widgetbasepopupmenu.cpp:606 uml.cpp:608
+#: menus/widgetbasepopupmenu.cpp:606 uml.cpp:617
 #, kde-format
 msgid "Align Horizontal Distribute"
 msgstr "Wyrównaj poziomo z rozprowadzeniem"
@@ -5931,8 +5931,8 @@ msgstr "Sposób użycia"
 #: object_factory.cpp:251 uml1model/classifier.cpp:410
 #: uml1model/classifier.cpp:781 uml1model/entity.cpp:125
 #: uml1model/entity.cpp:178 uml1model/entity.cpp:228 uml1model/entity.cpp:277
-#: uml1model/enum.cpp:107 uml1model/instance.cpp:124 uml1model/package.cpp:171
-#: umldoc.cpp:1721 umldoc.cpp:1755
+#: uml1model/enum.cpp:107 uml1model/instance.cpp:124 uml1model/package.cpp:177
+#: umldoc.cpp:1723 umldoc.cpp:1757
 #, kde-format
 msgid "That is an invalid name."
 msgstr "Niedozwolona nazwa."
@@ -5952,7 +5952,7 @@ msgstr "Zastrzeżone słowo kluczowe"
 #: object_factory.cpp:264 uml1model/classifier.cpp:413
 #: uml1model/classifier.cpp:783 uml1model/entity.cpp:127
 #: uml1model/entity.cpp:180 uml1model/entity.cpp:230 uml1model/entity.cpp:279
-#: uml1model/instance.cpp:126 umldoc.cpp:1727 umldoc.cpp:1764
+#: uml1model/instance.cpp:126 umldoc.cpp:1729 umldoc.cpp:1766
 #, kde-format
 msgid "That name is already being used."
 msgstr "Nazwa jest już wykorzystywana."
@@ -5960,8 +5960,8 @@ msgstr "Nazwa jest już wykorzystywana."
 #: object_factory.cpp:265 uml1model/classifier.cpp:413
 #: uml1model/classifier.cpp:783 uml1model/entity.cpp:127
 #: uml1model/entity.cpp:180 uml1model/entity.cpp:230 uml1model/entity.cpp:279
-#: uml1model/instance.cpp:126 umldoc.cpp:1629 umldoc.cpp:1699 umldoc.cpp:1727
-#: umldoc.cpp:1764
+#: uml1model/instance.cpp:126 umldoc.cpp:1631 umldoc.cpp:1701 umldoc.cpp:1729
+#: umldoc.cpp:1766
 #, kde-format
 msgid "Not a Unique Name"
 msgstr "Nazwa nie jest unikalna"
@@ -6022,12 +6022,12 @@ msgstr "Atrybut o tej nazwie już istnie
 msgid "Choose a different name."
 msgstr "Wybierz inną nazwę."
 
-#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:266
+#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:273
 #, kde-format
 msgid "Incorrect use of associations."
 msgstr "Niewłaściwe użycie powiązania."
 
-#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:266
+#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:273
 #, kde-format
 msgid "Association Error"
 msgstr "Błąd powiązania"
@@ -7191,188 +7191,188 @@ msgstr "Używany &język"
 msgid "&Settings"
 msgstr "U&stawienia"
 
-#: uml.cpp:332
+#: uml.cpp:341
 #, kde-format
 msgid "&Export model to DocBook"
 msgstr "&Eksportuj model do formatu DocBook"
 
-#: uml.cpp:336
+#: uml.cpp:345
 #, kde-format
 msgid "&Export model to XHTML"
 msgstr "&Eksportuj model do formatu XHTML"
 
-#: uml.cpp:340
+#: uml.cpp:349
 #, kde-format
 msgid "&New Class Wizard..."
 msgstr "Asystent &nowej klasy..."
 
-#: uml.cpp:344
+#: uml.cpp:353
 #, kde-format
 msgid "&Add Default Datatypes for Active Language"
 msgstr "Dod&aj domyślne typy danych dla aktywnego języka"
 
-#: uml.cpp:351
+#: uml.cpp:360
 #, kde-format
 msgid "Code &Importing Wizard..."
 msgstr "Asystent &importowania kodu..."
 
-#: uml.cpp:361
+#: uml.cpp:370
 #, kde-format
 msgid "&Code Generation Wizard..."
 msgstr "Pomocnik generowania &kodu..."
 
-#: uml.cpp:366
+#: uml.cpp:375
 #, kde-format
 msgid "&Generate All Code"
 msgstr "&Generuj cały kod"
 
-#: uml.cpp:411
+#: uml.cpp:420
 #, kde-format
 msgid "Creates a new document"
 msgstr "Utworzenie nowego dokumentu"
 
-#: uml.cpp:412
+#: uml.cpp:421
 #, kde-format
 msgid "Opens an existing document"
 msgstr "Otwarcie istniejącego dokumentu"
 
-#: uml.cpp:413
+#: uml.cpp:422
 #, kde-format
 msgid "Opens a recently used file"
 msgstr "Otwarcie poprzedniego dokumentu"
 
-#: uml.cpp:414
+#: uml.cpp:423
 #, kde-format
 msgid "Saves the document"
 msgstr "Zapis dokumentu"
 
-#: uml.cpp:415
+#: uml.cpp:424
 #, kde-format
 msgid "Saves the document as..."
 msgstr "Zapis dokumentu jako..."
 
-#: uml.cpp:416
+#: uml.cpp:425
 #, kde-format
 msgid "Closes the document"
 msgstr "Zamknięcie dokumentu"
 
-#: uml.cpp:417
+#: uml.cpp:426
 #, kde-format
 msgid "Prints out the document"
 msgstr "Wydruk dokumentu"
 
-#: uml.cpp:418
+#: uml.cpp:427
 #, kde-format
 msgid "Print Preview of the document"
 msgstr "Podgląd wydruk dokumentu"
 
-#: uml.cpp:419
+#: uml.cpp:428
 #, kde-format
 msgid "Quits the application"
 msgstr "Zakończenie pracy z programem"
 
-#: uml.cpp:420
+#: uml.cpp:429
 #, kde-format
 msgid "Exports the model to the docbook format"
 msgstr "Eksportuje model do formatu Docbook"
 
-#: uml.cpp:421
+#: uml.cpp:430
 #, kde-format
 msgid "Exports the model to the XHTML format"
 msgstr "Eksportuje model do formatu XHTML"
 
-#: uml.cpp:422
+#: uml.cpp:431
 #, kde-format
 msgid "Cuts the selected section and puts it to the clipboard"
 msgstr "Wycięcie zaznaczonej sekcji i umieszczenie jej w schowku"
 
-#: uml.cpp:423
+#: uml.cpp:432
 #, kde-format
 msgid "Copies the selected section to the clipboard"
 msgstr "Skopiowanie wybranej sekcji do schowka"
 
-#: uml.cpp:424
+#: uml.cpp:433
 #, kde-format
 msgid "Pastes the contents of the clipboard"
 msgstr "Wklejenie zawartości schowka"
 
-#: uml.cpp:425
+#: uml.cpp:434
 #, kde-format
 msgid "Set the default program preferences"
 msgstr "Ustawienie domyślnych parametrów programu"
 
-#: uml.cpp:429
+#: uml.cpp:438
 #, kde-format
 msgctxt "delete selected widget"
 msgid "Delete &Selected"
 msgstr "U&suń zaznaczone"
 
-#: uml.cpp:440
+#: uml.cpp:449
 #, kde-format
 msgid "&Class Diagram..."
 msgstr "Diagram &klasy..."
 
-#: uml.cpp:447
+#: uml.cpp:456
 #, kde-format
 msgid "&Object Diagram..."
 msgstr "Diagram &obiektów..."
 
-#: uml.cpp:454
+#: uml.cpp:463
 #, kde-format
 msgid "&Sequence Diagram..."
 msgstr "Diagram &sekwencji..."
 
-#: uml.cpp:460
+#: uml.cpp:469
 #, kde-format
 msgid "C&ommunication Diagram..."
 msgstr "Diagram k&omunikacji..."
 
-#: uml.cpp:466
+#: uml.cpp:475
 #, kde-format
 msgid "&Use Case Diagram..."
 msgstr "Diagram przypadków &użycia..."
 
-#: uml.cpp:472
+#: uml.cpp:481
 #, kde-format
 msgid "S&tate Diagram..."
 msgstr "Diagram s&tanu..."
 
-#: uml.cpp:478
+#: uml.cpp:487
 #, kde-format
 msgid "&Activity Diagram..."
 msgstr "Di&agram czynności..."
 
-#: uml.cpp:484
+#: uml.cpp:493
 #, kde-format
 msgid "Co&mponent Diagram..."
 msgstr "Diagram sk&ładników..."
 
-#: uml.cpp:490
+#: uml.cpp:499
 #, kde-format
 msgid "&Deployment Diagram..."
 msgstr "Diagram &wdrożenia..."
 
-#: uml.cpp:496
+#: uml.cpp:505
 #, kde-format
 msgid "&Entity Relationship Diagram..."
 msgstr "Diagram &encja-związek"
 
-#: uml.cpp:501 uml.cpp:954
+#: uml.cpp:510 uml.cpp:963
 #, kde-format
 msgid "&Tree View"
 msgstr "Perspektywa &drzewiasta"
 
-#: uml.cpp:505
+#: uml.cpp:514
 #, kde-format
 msgid "&Debugging"
 msgstr "&Debugowanie"
 
-#: uml.cpp:513
+#: uml.cpp:522
 #, kde-format
 msgid "&Logging"
 msgstr "&Rejestracja"
 
-#: uml.cpp:517
+#: uml.cpp:526
 #, kde-format
 msgid "&Command history"
 msgstr "Historia pole&ceń"
@@ -7381,135 +7381,135 @@ msgstr "Historia pole&ceń"
 #. m_propertyDock->setObjectName(QLatin1String("PropertyDock"));
 #. addDockWidget(Qt::LeftDockWidgetArea, m_propertyDock);  //:TODO:
 #. create the bird's eye view
-#: uml.cpp:521 uml.cpp:1011
+#: uml.cpp:530 uml.cpp:1020
 #, kde-format
 msgid "&Bird's eye view"
 msgstr "&Widok z lotu ptaka"
 
-#: uml.cpp:526
+#: uml.cpp:535
 #, kde-format
 msgid "&Clear Diagram"
 msgstr "&Czyść diagram"
 
-#: uml.cpp:530
+#: uml.cpp:539
 #, kde-format
 msgid "&Snap to Grid"
 msgstr "Przyciągaj do &siatki"
 
-#: uml.cpp:534
+#: uml.cpp:543
 #, kde-format
 msgid "S&how Grid"
 msgstr "Po&każ siatkę"
 
-#: uml.cpp:539
+#: uml.cpp:548
 #, kde-format
 msgid "&Delete Diagram"
 msgstr "Usuń &diagram"
 
-#: uml.cpp:544
+#: uml.cpp:553
 #, kde-format
 msgid "&Export as Picture..."
 msgstr "&Eksportuj jako zdjęcie..."
 
-#: uml.cpp:549
+#: uml.cpp:558
 #, kde-format
 msgid "Export &Diagrams as Pictures..."
 msgstr "Eksportuj &diagramy jako zdjęcia..."
 
-#: uml.cpp:569
+#: uml.cpp:578
 #, kde-format
 msgid "Z&oom to 100%"
 msgstr "P&owiększ do 100%"
 
-#: uml.cpp:612
+#: uml.cpp:621
 #, kde-format
 msgid "&Move Tab Left"
 msgstr "&Przesuń zakładkę w lewo"
 
-#: uml.cpp:613
+#: uml.cpp:622
 #, kde-format
 msgid "&Move Tab Right"
 msgstr "&Przesuń zakładkę w prawo"
 
-#: uml.cpp:636
+#: uml.cpp:645
 #, kde-format
 msgid "Select Diagram on Left"
 msgstr "Wybierz diagram po lewej"
 
-#: uml.cpp:637
+#: uml.cpp:646
 #, kde-format
 msgid "Select Diagram on Right"
 msgstr "Wybierz diagram po prawej"
 
-#: uml.cpp:776
+#: uml.cpp:785
 #, kde-format
 msgctxt "%1 percent value from 20 to 500"
 msgid " &%1%"
 msgstr " &%1%"
 
-#: uml.cpp:826
+#: uml.cpp:835
 #, kde-format
 msgctxt "init status bar"
 msgid "Ready"
 msgstr "Gotowe"
 
-#: uml.cpp:835 uml.cpp:848
+#: uml.cpp:844 uml.cpp:857
 #, kde-format
 msgid "100%"
 msgstr "100%"
 
-#: uml.cpp:840
+#: uml.cpp:849
 #, kde-format
 msgid "Fit"
 msgstr "Dopasuj"
 
-#: uml.cpp:899
+#: uml.cpp:908
 #, kde-format
 msgid "Diagram Toolbar"
 msgstr "Pasek narzędzi diagramów"
 
-#: uml.cpp:965
+#: uml.cpp:974
 #, kde-format
 msgid "Doc&umentation"
 msgstr "Dok&umentacja"
 
-#: uml.cpp:976
+#: uml.cpp:985
 #, kde-format
 msgid "Co&mmand history"
 msgstr "&Historia poleceń"
 
-#: uml.cpp:992
+#: uml.cpp:1001
 #, kde-format
 msgid "&Debug"
 msgstr "&Debuguj"
 
-#: uml.cpp:999
+#: uml.cpp:1008
 #, kde-format
 msgid "&Log"
 msgstr "&Dziennik"
 
-#: uml.cpp:1041 uml.cpp:1258 uml.cpp:1307
+#: uml.cpp:1050 uml.cpp:1267 uml.cpp:1316
 #, kde-format
 msgid "Opening file..."
 msgstr "Otwieranie pliku..."
 
-#: uml.cpp:1092 uml.cpp:1157 uml.cpp:1342 umldoc.cpp:342 umldoc.cpp:344
-#: umldoc.cpp:368 umldoc.cpp:3396
+#: uml.cpp:1101 uml.cpp:1166 uml.cpp:1351 umldoc.cpp:343 umldoc.cpp:345
+#: umldoc.cpp:369 umldoc.cpp:3405
 #, kde-format
 msgid "Untitled"
 msgstr "Bez nazwy"
 
-#: uml.cpp:1240
+#: uml.cpp:1249
 #, kde-format
 msgid "Creating new document..."
 msgstr "Tworzenie nowego dokumentu..."
 
-#: uml.cpp:1266 uml.cpp:1281
+#: uml.cpp:1275 uml.cpp:1290
 #, kde-format
 msgid "Open File"
 msgstr "Otwórz plik"
 
-#: uml.cpp:1270
+#: uml.cpp:1279
 #, kde-format
 msgid ""
 "*.xmi *.xmi.tgz *.xmi.tar.bz2 *.mdl *.zargo|All Supported Files (*.xmi, *."
@@ -7527,22 +7527,22 @@ msgstr ""
 "*.xmi.tar.bz2|Pliki XMI skompresowane metodą Bzip2 (*.xmi.tar.bz2)\n"
 "*.mdl|Pliki modeli Rose *.zargo|Spakowane pliki argo (*.zargo)\n"
 
-#: uml.cpp:1341
+#: uml.cpp:1350
 #, kde-format
 msgid "Saving file..."
 msgstr "Zapisywanie pliku..."
 
-#: uml.cpp:1358
+#: uml.cpp:1367
 #, kde-format
 msgid "Saving file with a new filename..."
 msgstr "Zapis pliku pod nową nazwą..."
 
-#: uml.cpp:1368 uml.cpp:1374 umlviewimageexporter.cpp:199
+#: uml.cpp:1377 uml.cpp:1383 umlviewimageexporter.cpp:199
 #, kde-format
 msgid "Save As"
 msgstr "Zapisz jako"
 
-#: uml.cpp:1369
+#: uml.cpp:1378
 #, kde-format
 msgid ""
 "*.xmi | XMI File (*.xmi);;*.xmi.tgz | Gzip Compressed XMI File (*.xmi.tgz);;"
@@ -7552,7 +7552,7 @@ msgstr ""
 "xmi.tar.bz2 | Plik XMI spakowany Bzip2 (*.xmi.tar.bz2);;* | Wszystkie pliki "
 "(*)"
 
-#: uml.cpp:1374
+#: uml.cpp:1383
 #, kde-format
 msgid ""
 "*.xmi|XMI File\n"
@@ -7565,7 +7565,7 @@ msgstr ""
 "*.xmi.tar.bz2|Plik XMI skompresowany metodą Bzip2\n"
 "*|Wszystkie pliki"
 
-#: uml.cpp:1387
+#: uml.cpp:1396
 #, kde-format
 msgid ""
 "The file %1 exists.\n"
@@ -7574,67 +7574,67 @@ msgstr ""
 "Plik %1 już istnieje.\n"
 "Zastąpić go?"
 
-#: uml.cpp:1388
+#: uml.cpp:1397
 #, kde-format
 msgid "Warning"
 msgstr "Ostrzeżenie"
 
-#: uml.cpp:1388
+#: uml.cpp:1397
 #, kde-format
 msgid "Overwrite"
 msgstr "Zastąp"
 
-#: uml.cpp:1422
+#: uml.cpp:1431
 #, kde-format
 msgid "Closing file..."
 msgstr "Zamykanie pliku..."
 
-#: uml.cpp:1432
+#: uml.cpp:1441
 #, kde-format
 msgid "No search term entered"
 msgstr "Nie podano wyrażenia do znalezienia"
 
-#: uml.cpp:1438
+#: uml.cpp:1447
 #, kde-format
 msgid "'%1': %2 found"
 msgstr "'%1': %2 znaleziona"
 
-#: uml.cpp:1502
+#: uml.cpp:1511
 #, kde-format
 msgid "Print Preview..."
 msgstr "Podgląd wydruku..."
 
-#: uml.cpp:1529
+#: uml.cpp:1538
 #, kde-format
 msgid "Printing..."
 msgstr "Drukowanie..."
 
-#: uml.cpp:1536 uml.cpp:1540
+#: uml.cpp:1545 uml.cpp:1549
 #, kde-format
 msgid "Print %1"
 msgstr "Drukuj %1"
 
-#: uml.cpp:1560
+#: uml.cpp:1569
 #, kde-format
 msgid "Exiting..."
 msgstr "Wychodzenie..."
 
-#: uml.cpp:1647
+#: uml.cpp:1656
 #, kde-format
 msgid "Cutting selection..."
 msgstr "Wycinanie zaznaczenia..."
 
-#: uml.cpp:1670
+#: uml.cpp:1679
 #, kde-format
 msgid "Copying selection to clipboard..."
 msgstr "Kopiowanie zaznaczenia do schowka..."
 
-#: uml.cpp:1682
+#: uml.cpp:1691
 #, kde-format
 msgid "Inserting clipboard contents..."
 msgstr "Wklejanie zawartości schowka..."
 
-#: uml.cpp:1687
+#: uml.cpp:1696
 #, kde-format
 msgid ""
 "Umbrello could not paste the clipboard contents.  The objects in the "
@@ -7643,38 +7643,38 @@ msgstr ""
 "Umbrello nie mógł wkleić zawartości schowka. Obiekty w schowku mogą być "
 "nieodpowiedniego typu, żeby wkleić je tutaj."
 
-#: uml.cpp:1713 umlviewimageexporter.cpp:92 umlviewimageexporterall.cpp:123
+#: uml.cpp:1722 umlviewimageexporter.cpp:92 umlviewimageexporterall.cpp:123
 #, kde-format
 msgctxt "reset status bar"
 msgid "Ready."
 msgstr "Gotowe."
 
-#: uml.cpp:2246
+#: uml.cpp:2255
 #, kde-format
 msgid "Cannot view code until you generate some first."
 msgstr "Nie można podejrzeć kodu dopóki go nie wygenerujesz."
 
-#: uml.cpp:2246 uml.cpp:2249
+#: uml.cpp:2255 uml.cpp:2258
 #, kde-format
 msgid "Cannot View Code"
 msgstr "Nie można podejrzeć kodu"
 
-#: uml.cpp:2249
+#: uml.cpp:2258
 #, kde-format
 msgid "Cannot view code from simple code writer."
 msgstr "Nie można podejrzeć kodu w prostym edytorze kodu."
 
-#: uml.cpp:2714 uml.cpp:2716
+#: uml.cpp:2728 uml.cpp:2730
 #, kde-format
 msgid "Select file(s) to import:"
 msgstr "Wybierz plik(i) do zaimportowania:"
 
-#: uml.cpp:2747 uml.cpp:2749
+#: uml.cpp:2761 uml.cpp:2763
 #, kde-format
 msgid "Select directory to import:"
 msgstr "Wybierz katalog do zaimportowania:"
 
-#: uml.cpp:3313
+#: uml.cpp:3335
 #, kde-format
 msgid "XHTML Generation failed ."
 msgstr "Generacja XHTML zakończyła się niepowodzeniem ."
@@ -7688,20 +7688,20 @@ msgstr ""
 "Operacja z tą samą nazwą i sygnaturą już istnieje. Nie możesz jej ponownie "
 "dodać."
 
-#: uml1model/folder.cpp:435
+#: uml1model/folder.cpp:436
 #, kde-format
 msgid "The folderfile %1 does not exist."
 msgstr "Katalog %1 nie istnieje."
 
-#: uml1model/folder.cpp:435 uml1model/folder.cpp:439 umldoc.cpp:529
-#: umldoc.cpp:541 umldoc.cpp:568 umldoc.cpp:570 umldoc.cpp:620 umldoc.cpp:623
-#: umldoc.cpp:638 umldoc.cpp:641 umldoc.cpp:665 umldoc.cpp:668 umldoc.cpp:684
-#: umldoc.cpp:687 umldoc.cpp:702 umldoc.cpp:705 umldoc.cpp:750
+#: uml1model/folder.cpp:436 uml1model/folder.cpp:440 umldoc.cpp:530
+#: umldoc.cpp:542 umldoc.cpp:569 umldoc.cpp:571 umldoc.cpp:621 umldoc.cpp:624
+#: umldoc.cpp:639 umldoc.cpp:642 umldoc.cpp:666 umldoc.cpp:669 umldoc.cpp:685
+#: umldoc.cpp:688 umldoc.cpp:703 umldoc.cpp:706 umldoc.cpp:751
 #, kde-format
 msgid "Load Error"
 msgstr "Błąd wczytywania"
 
-#: uml1model/folder.cpp:439
+#: uml1model/folder.cpp:440
 #, kde-format
 msgid "The folderfile %1 cannot be opened."
 msgstr "Nie można otworzyć katalogu %1."
@@ -7711,13 +7711,13 @@ msgstr "Nie można otworzyć katalogu %1
 msgid "new_parameter"
 msgstr "nowy_parametr"
 
-#: uml1model/package.cpp:163
+#: uml1model/package.cpp:169
 #, kde-format
 msgctxt "object name"
 msgid "Name"
 msgstr "Nazwa"
 
-#: uml1model/package.cpp:164
+#: uml1model/package.cpp:170
 #, kde-format
 msgid ""
 "An object with the name %1\n"
@@ -7743,77 +7743,77 @@ msgstr "nowe_pole"
 msgid "new_fkey_constraint"
 msgstr "nowe_ograniczenie_klucz_obcy"
 
-#: uml1model/umlobject.cpp:1140
+#: uml1model/umlobject.cpp:1141
 #, kde-format
 msgid "Actor &name:"
 msgstr "&Nazwa aktora:"
 
-#: uml1model/umlobject.cpp:1143
+#: uml1model/umlobject.cpp:1144
 #, kde-format
 msgid "Artifact &name:"
 msgstr "&Nazwa artefaktu:"
 
-#: uml1model/umlobject.cpp:1146
+#: uml1model/umlobject.cpp:1147
 #, kde-format
 msgid "Association &name:"
 msgstr "Nazwa powiąza&nia:"
 
-#: uml1model/umlobject.cpp:1149
+#: uml1model/umlobject.cpp:1150
 #, kde-format
 msgid "Class &name:"
 msgstr "&Nazwa klasy:"
 
-#: uml1model/umlobject.cpp:1152
+#: uml1model/umlobject.cpp:1153
 #, kde-format
 msgid "Component &name:"
 msgstr "&Nazwa składnika:"
 
-#: uml1model/umlobject.cpp:1155
+#: uml1model/umlobject.cpp:1156
 #, kde-format
 msgid "Datatype &name:"
 msgstr "&Nazwa typu danych:"
 
-#: uml1model/umlobject.cpp:1158
+#: uml1model/umlobject.cpp:1159
 #, kde-format
 msgid "Entity &name:"
 msgstr "&Nazwa encji:"
 
-#: uml1model/umlobject.cpp:1161
+#: uml1model/umlobject.cpp:1162
 #, kde-format
 msgid "Enum &name:"
 msgstr "&Nazwa wyliczenia:"
 
-#: uml1model/umlobject.cpp:1164
+#: uml1model/umlobject.cpp:1165
 #, kde-format
 msgid "Folder &name:"
 msgstr "&Nazwa katalogu:"
 
-#: uml1model/umlobject.cpp:1167
+#: uml1model/umlobject.cpp:1168
 #, kde-format
 msgid "Interface &name:"
 msgstr "&Nazwa interfejsu:"
 
-#: uml1model/umlobject.cpp:1170
+#: uml1model/umlobject.cpp:1171
 #, kde-format
 msgid "Node &name:"
 msgstr "&Nazwa węzła:"
 
-#: uml1model/umlobject.cpp:1173
+#: uml1model/umlobject.cpp:1174
 #, kde-format
 msgid "Package &name:"
 msgstr "&Nazwa pakietu:"
 
-#: uml1model/umlobject.cpp:1176
+#: uml1model/umlobject.cpp:1177
 #, kde-format
 msgid "Port &name:"
 msgstr "&Nazwa portu:"
 
-#: uml1model/umlobject.cpp:1182
+#: uml1model/umlobject.cpp:1183
 #, kde-format
 msgid "Use case &name:"
 msgstr "&Nazwa przypadku użycia:"
 
-#: uml1model/umlobject.cpp:1185
+#: uml1model/umlobject.cpp:1186
 #, kde-format
 msgid "Instance name:"
 msgstr "Nazwa wystąpienia:"
@@ -7833,42 +7833,42 @@ msgstr "&Stereotypy"
 msgid "Welcome"
 msgstr "Witaj"
 
-#: umldoc.cpp:112 umldoc.cpp:2400 umldoc.cpp:2428
+#: umldoc.cpp:113 umldoc.cpp:2405 umldoc.cpp:2433
 #, kde-format
 msgid "UML Model"
 msgstr "Model UML"
 
-#: umldoc.cpp:154
+#: umldoc.cpp:155
 #, kde-format
 msgid "Logical View"
 msgstr "Perspektywa logiczna"
 
-#: umldoc.cpp:155
+#: umldoc.cpp:156
 #, kde-format
 msgid "Use Case View"
 msgstr "Perspektywa przypadków użycia"
 
-#: umldoc.cpp:156
+#: umldoc.cpp:157
 #, kde-format
 msgid "Component View"
 msgstr "Perspektywa składników"
 
-#: umldoc.cpp:157
+#: umldoc.cpp:158
 #, kde-format
 msgid "Deployment View"
 msgstr "Widok wdrożenia"
 
-#: umldoc.cpp:158
+#: umldoc.cpp:159
 #, kde-format
 msgid "Entity Relationship Model"
 msgstr "Model encja-związek"
 
-#: umldoc.cpp:184
+#: umldoc.cpp:185
 #, kde-format
 msgid "Datatypes"
 msgstr "Typy danych"
 
-#: umldoc.cpp:363
+#: umldoc.cpp:364
 #, kde-format
 msgid ""
 "The current file has been modified.\n"
@@ -7877,166 +7877,166 @@ msgstr ""
 "Bieżący plik uległ zmianie.\n"
 "Czy chcesz go zapisać?"
 
-#: umldoc.cpp:364
+#: umldoc.cpp:365
 #, kde-format
 msgctxt "warning message"
 msgid "Warning"
 msgstr "Ostrzeżenie"
 
-#: umldoc.cpp:529
+#: umldoc.cpp:530
 #, kde-format
 msgid "The file <%1> does not exist."
 msgstr "Plik <%1> nie istnieje."
 
-#: umldoc.cpp:541
+#: umldoc.cpp:542
 #, kde-format
 msgid "The file %1 does not exist."
 msgstr "Plik %1 nie istnieje."
 
-#: umldoc.cpp:568 umldoc.cpp:570
+#: umldoc.cpp:569 umldoc.cpp:571
 #, kde-format
 msgid "The file %1 seems to be corrupted."
 msgstr "Plik %1 zdaje się być uszkodzonym."
 
-#: umldoc.cpp:619 umldoc.cpp:622 umldoc.cpp:637 umldoc.cpp:640 umldoc.cpp:683
-#: umldoc.cpp:686
+#: umldoc.cpp:620 umldoc.cpp:623 umldoc.cpp:638 umldoc.cpp:641 umldoc.cpp:684
+#: umldoc.cpp:687
 #, kde-format
 msgid "There was no XMI file found in the compressed file %1."
 msgstr "Nie znaleziono żadnego pliku XMI w skompresowanym pliku %1."
 
-#: umldoc.cpp:664 umldoc.cpp:667
+#: umldoc.cpp:665 umldoc.cpp:668
 #, kde-format
 msgid "There was a problem loading the extracted file: %1"
 msgstr "Wystąpił problem przy wczytywaniu rozpakowanego pliku: %1."
 
-#: umldoc.cpp:701 umldoc.cpp:704 umldoc.cpp:744 umldoc.cpp:746
+#: umldoc.cpp:702 umldoc.cpp:705 umldoc.cpp:745 umldoc.cpp:747
 #, kde-format
 msgid "There was a problem loading file: %1"
 msgstr "Wystąpiły problemy przy wczytywaniu pliku: %1."
 
-#: umldoc.cpp:749
+#: umldoc.cpp:750
 #, kde-format
 msgid "Reason: %1"
 msgstr ""
 
-#: umldoc.cpp:832 umldoc.cpp:834 umldoc.cpp:851 umldoc.cpp:853 umldoc.cpp:873
-#: umldoc.cpp:875 umldoc.cpp:924 umldoc.cpp:926 umldoc.cpp:966 umldoc.cpp:969
-#: umldoc.cpp:978 umldoc.cpp:980 umllistview.cpp:593
+#: umldoc.cpp:833 umldoc.cpp:835 umldoc.cpp:852 umldoc.cpp:854 umldoc.cpp:874
+#: umldoc.cpp:876 umldoc.cpp:925 umldoc.cpp:927 umldoc.cpp:968 umldoc.cpp:971
+#: umldoc.cpp:980 umldoc.cpp:982 umllistview.cpp:594
 #, kde-format
 msgid "Save Error"
 msgstr "Błąd zapisu"
 
-#: umldoc.cpp:832 umldoc.cpp:851 umldoc.cpp:873 umldoc.cpp:924 umldoc.cpp:966
+#: umldoc.cpp:833 umldoc.cpp:852 umldoc.cpp:874 umldoc.cpp:925 umldoc.cpp:968
 #, kde-format
 msgid "There was a problem saving: %1"
 msgstr "Wystąpiły problemy przy zapisywaniu: %1"
 
-#: umldoc.cpp:834 umldoc.cpp:853 umldoc.cpp:875 umldoc.cpp:926 umldoc.cpp:969
-#: umllistview.cpp:592 umlviewimageexportermodel.cpp:303
+#: umldoc.cpp:835 umldoc.cpp:854 umldoc.cpp:876 umldoc.cpp:927 umldoc.cpp:971
+#: umllistview.cpp:593 umlviewimageexportermodel.cpp:303
 #, kde-format
 msgid "There was a problem saving file: %1"
 msgstr "Wystąpiły problemy przy zapisywaniu pliku: %1."
 
-#: umldoc.cpp:978
+#: umldoc.cpp:980
 #, kde-format
 msgid "There was a problem uploading: %1"
 msgstr "Wystąpiły problemy przy wysyłaniu: %1"
 
-#: umldoc.cpp:980
+#: umldoc.cpp:982
 #, kde-format
 msgid "There was a problem uploading file: %1"
 msgstr "Wystąpiły problemy przy wczytywaniu pliku: %1."
 
-#: umldoc.cpp:1526
+#: umldoc.cpp:1528
 #, kde-format
 msgid "use case diagram"
 msgstr "diagram przypadków użycia"
 
-#: umldoc.cpp:1529
+#: umldoc.cpp:1531
 #, kde-format
 msgid "class diagram"
 msgstr "diagram klasy"
 
-#: umldoc.cpp:1532
+#: umldoc.cpp:1534
 #, kde-format
 msgid "sequence diagram"
 msgstr "diagram sekwencji"
 
-#: umldoc.cpp:1535
+#: umldoc.cpp:1537
 #, kde-format
 msgid "communication diagram"
 msgstr "diagram komunikacji"
 
-#: umldoc.cpp:1538
+#: umldoc.cpp:1540
 #, kde-format
 msgid "object diagram"
 msgstr "diagram obiektów"
 
-#: umldoc.cpp:1541
+#: umldoc.cpp:1543
 #, kde-format
 msgid "state diagram"
 msgstr "diagram stanu"
 
-#: umldoc.cpp:1544
+#: umldoc.cpp:1546
 #, kde-format
 msgid "activity diagram"
 msgstr "diagram czynności"
 
-#: umldoc.cpp:1547
+#: umldoc.cpp:1549
 #, kde-format
 msgid "component diagram"
 msgstr "diagram składników"
 
-#: umldoc.cpp:1550
+#: umldoc.cpp:1552
 #, kde-format
 msgid "deployment diagram"
 msgstr "diagram wdrożenia"
 
-#: umldoc.cpp:1553
+#: umldoc.cpp:1555
 #, kde-format
 msgid "entity relationship diagram"
 msgstr "diagram encja-związek"
 
-#: umldoc.cpp:1623
+#: umldoc.cpp:1625
 #, kde-format
 msgctxt "diagram name"
 msgid "Name"
 msgstr "Nazwa"
 
-#: umldoc.cpp:1623 umldoc.cpp:1686 umldoc.cpp:1715 umldoc.cpp:1749
+#: umldoc.cpp:1625 umldoc.cpp:1688 umldoc.cpp:1717 umldoc.cpp:1751
 #, kde-format
 msgid "Enter name:"
 msgstr "Podaj nazwę:"
 
-#: umldoc.cpp:1627 umldoc.cpp:1692
+#: umldoc.cpp:1629 umldoc.cpp:1694
 #, kde-format
 msgid "That is an invalid name for a diagram."
 msgstr "Niedozwolona nazwa dla diagramu."
 
-#: umldoc.cpp:1629 umldoc.cpp:1699
+#: umldoc.cpp:1631 umldoc.cpp:1701
 #, kde-format
 msgid "A diagram is already using that name."
 msgstr "Istnieje już diagram z tą nazwą."
 
-#: umldoc.cpp:1685
+#: umldoc.cpp:1687
 #, kde-format
 msgctxt "renaming diagram"
 msgid "Name"
 msgstr "Nazwa"
 
-#: umldoc.cpp:1714
+#: umldoc.cpp:1716
 #, kde-format
 msgctxt "renaming uml object"
 msgid "Name"
 msgstr "Nazwa"
 
-#: umldoc.cpp:1748
+#: umldoc.cpp:1750
 #, kde-format
 msgctxt "renaming child uml object"
 msgid "Name"
 msgstr "Nazwa"
 
-#: umldoc.cpp:1758
+#: umldoc.cpp:1760
 #, kde-format
 msgid ""
 "The name you entered was not unique.\n"
@@ -8045,62 +8045,62 @@ msgstr ""
 "Podana nazwa nie jest unikalna.\n"
 "Czy tego chciałeś?"
 
-#: umldoc.cpp:1759
+#: umldoc.cpp:1761
 #, kde-format
 msgid "Use Name"
 msgstr "Użyj nazwy"
 
-#: umldoc.cpp:1759
+#: umldoc.cpp:1761
 #, kde-format
 msgid "Enter New Name"
 msgstr "Podaj nową nazwę"
 
-#: umldoc.cpp:2361
+#: umldoc.cpp:2366
 #, kde-format
 msgid "Unsupported xmi file version: %1"
 msgstr ""
 
-#: umldoc.cpp:2511
+#: umldoc.cpp:2516
 #, kde-format
 msgid "Setting up the document..."
 msgstr "Ustawianie dokumentu..."
 
-#: umldoc.cpp:2540
+#: umldoc.cpp:2545
 #, kde-format
 msgid "Resolving object references..."
 msgstr "Określanie odniesień do obiektu..."
 
-#: umldoc.cpp:2648
+#: umldoc.cpp:2653
 #, kde-format
 msgid "Loading UML elements..."
 msgstr "Wczytywanie elementów UML..."
 
-#: umldoc.cpp:2892
+#: umldoc.cpp:2899
 #, kde-format
 msgid "Loading diagrams..."
 msgstr "Wczytywanie diagramów..."
 
-#: umldoc.cpp:3400
+#: umldoc.cpp:3409
 #, kde-format
 msgid "/autosave%1"
 msgstr "/autosave%1"
 
-#: umllistview.cpp:536 umllistview.cpp:540
+#: umllistview.cpp:537 umllistview.cpp:541
 #, kde-format
 msgid "Externalize Folder"
 msgstr "Do zewnętrznego katalogu"
 
-#: umllistview.cpp:574
+#: umllistview.cpp:575
 #, kde-format
 msgid "Folder %1 must be relative to the main model directory, %2."
 msgstr "Katalog %1 musi być względny do głównego katalogu modelu, %2."
 
-#: umllistview.cpp:575
+#: umllistview.cpp:576
 #, kde-format
 msgid "Path Error"
 msgstr "Błąd ścieżki"
 
-#: umllistview.cpp:583
+#: umllistview.cpp:584
 #, kde-format
 msgid ""
 "File %1 already exists!\n"
@@ -8109,66 +8109,66 @@ msgstr ""
 "Plik %1 już istnieje!\n"
 "Istniejący plik zostanie zastąpiony."
 
-#: umllistview.cpp:584
+#: umllistview.cpp:585
 #, kde-format
 msgid "File Exist"
 msgstr "Plik istnieje"
 
-#: umllistview.cpp:624
+#: umllistview.cpp:625
 #, kde-format
 msgid "Enter Model Name"
 msgstr "Podaj nazwę modelu"
 
-#: umllistview.cpp:625
+#: umllistview.cpp:626
 #, kde-format
 msgid "Enter the new name of the model:"
 msgstr "Podaj nową nazwę modelu:"
 
-#: umllistview.cpp:1422
+#: umllistview.cpp:1430
 #, kde-format
 msgid "Views"
 msgstr "Perspektywy"
 
-#: umllistview.cpp:1441
+#: umllistview.cpp:1449
 #, kde-format
 msgid "Settings"
 msgstr "Ustawienia"
 
-#: umllistview.cpp:2413
+#: umllistview.cpp:2421
 #, kde-format
 msgid "Loading listview..."
 msgstr "Wczytywanie widoku list..."
 
-#: umllistview.cpp:2764
+#: umllistview.cpp:2772
 #, fuzzy, kde-format
 #| msgid "The folder must be emptied before it can be deleted."
 msgid "The class must be emptied before it can be deleted."
 msgstr "Katalog musi być opróżniony przed usunięciem."
 
-#: umllistview.cpp:2765
+#: umllistview.cpp:2773
 #, fuzzy, kde-format
 #| msgid "Folder Not Empty"
 msgid "Class Not Empty"
 msgstr "Katalog nie jest pusty"
 
-#: umllistview.cpp:2769
+#: umllistview.cpp:2777
 #, fuzzy, kde-format
 #| msgid "The folder must be emptied before it can be deleted."
 msgid "The package must be emptied before it can be deleted."
 msgstr "Katalog musi być opróżniony przed usunięciem."
 
-#: umllistview.cpp:2770
+#: umllistview.cpp:2778
 #, fuzzy, kde-format
 #| msgid "Folder Not Empty"
 msgid "Package Not Empty"
 msgstr "Katalog nie jest pusty"
 
-#: umllistview.cpp:2774
+#: umllistview.cpp:2782
 #, kde-format
 msgid "The folder must be emptied before it can be deleted."
 msgstr "Katalog musi być opróżniony przed usunięciem."
 
-#: umllistview.cpp:2775
+#: umllistview.cpp:2783
 #, kde-format
 msgid "Folder Not Empty"
 msgstr "Katalog nie jest pusty"
diff -pruN 4:20.08.3-1/po/pt/umbrello.po 4:20.12.0-0ubuntu1/po/pt/umbrello.po
--- 4:20.08.3-1/po/pt/umbrello.po	2020-11-03 00:42:16.000000000 +0000
+++ 4:20.12.0-0ubuntu1/po/pt/umbrello.po	2020-12-04 00:21:31.000000000 +0000
@@ -2,7 +2,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: umbrello\n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
-"POT-Creation-Date: 2020-08-14 08:09+0200\n"
+"POT-Creation-Date: 2020-11-06 02:36+0100\n"
 "PO-Revision-Date: 2020-03-06 09:58+0000\n"
 "Last-Translator: Pedro Morais <morais@kde.org>\n"
 "Language-Team: pt <kde-i18n-pt@kde.org>\n"
@@ -49,7 +49,6 @@ msgstr ""
 "X-POFile-SpellExtra: novainstancia novoatributoinstancia novoliteralenum\n"
 "X-POFile-SpellExtra: novocasouso novopapel zA get\n"
 "X-POFile-IgnoreConsistency: &Override\n"
-"X-POFile-IgnoreConsistency: X\n"
 
 #, kde-format
 msgctxt "NAME OF TRANSLATORS"
@@ -241,7 +240,7 @@ msgstr ""
 "Pelo menos um dos itens da área de transferência não pôde ser colado porque "
 "já existe um item com o mesmo nome. Todos os outros itens foram colados."
 
-#: clipboard/umlclipboard.cpp:753 uml.cpp:1689
+#: clipboard/umlclipboard.cpp:753 uml.cpp:1698
 #, kde-format
 msgid "Paste Error"
 msgstr "Erro de Colagem"
@@ -467,7 +466,7 @@ msgstr "<p align=\"center\">Geração de
 #. i18n: ectx: attribute (title), widget (QWidget, ui_tabGeneral)
 #: codegenerators/cpp/cppcodegenerationformbase.ui:51
 #: codegenwizard/codegenoptionspage.ui:39 dialogs/objectnodedialog.cpp:135
-#: umllistview.cpp:1451
+#: umllistview.cpp:1459
 #, kde-format
 msgid "General"
 msgstr "Geral"
@@ -1346,7 +1345,7 @@ msgstr "Estado"
 #. i18n: ectx: property (text), widget (QRadioButton, ui_categoryClass)
 #. i18n: ectx: property (text), widget (QTableWidget, ui_tableWidgetStatus)
 #: codegenwizard/codegenstatuspage.ui:40 codeimpwizard/codeimpstatuspage.ui:54
-#: dialogs/finddialog.ui:89 umllistview.cpp:1446 umlwidgets/widgetbase.cpp:1255
+#: dialogs/finddialog.ui:89 umllistview.cpp:1454 umlwidgets/widgetbase.cpp:1255
 #, kde-format
 msgid "Class"
 msgstr "Classe"
@@ -2001,17 +2000,17 @@ msgstr "Activar as mensagens associadas
 msgid "Enable 'delete diagram' related messages"
 msgstr "Activar as mensagens associadas a 'apagar o diagrama'"
 
-#: dialogs/dialog_utils.cpp:117
+#: dialogs/dialog_utils.cpp:118
 #, kde-format
 msgid "You are about to delete an association. Do you really want to continue?"
 msgstr "Está prestes a apagar uma associação. Deseja realmente continuar?"
 
-#: dialogs/dialog_utils.cpp:118
+#: dialogs/dialog_utils.cpp:119
 #, kde-format
 msgid "Delete Association"
 msgstr "Apagar a Associação"
 
-#: dialogs/dialog_utils.cpp:132
+#: dialogs/dialog_utils.cpp:133
 #, kde-format
 msgid ""
 "You are about to delete the entire diagram.\n"
@@ -2020,17 +2019,17 @@ msgstr ""
 "Está prestes a remover o diagrama inteiro.\n"
 "Tem a certeza?"
 
-#: dialogs/dialog_utils.cpp:133
+#: dialogs/dialog_utils.cpp:134
 #, kde-format
 msgid "Are you sure you want to delete diagram %1?"
 msgstr "Tem a certeza que deseja remover o diagrama %1?"
 
-#: dialogs/dialog_utils.cpp:138
+#: dialogs/dialog_utils.cpp:139
 #, kde-format
 msgid "Delete Diagram?"
 msgstr "Remover o Diagrama?"
 
-#: dialogs/dialog_utils.cpp:139 dialogs/pages/classifierlistpage.cpp:215
+#: dialogs/dialog_utils.cpp:140 dialogs/pages/classifierlistpage.cpp:215
 #: dialogs/pages/classifierlistpage.cpp:223
 #: dialogs/umlforeignkeyconstraintdialog.cpp:325
 #: dialogs/umlforeignkeyconstraintdialog.cpp:331
@@ -2194,7 +2193,7 @@ msgstr "Geral"
 #. i18n: ectx: label, entry (uiFont), group (UI Options)
 #. i18n: ectx: label, entry (codeViewerFont), group (Code Viewer Options)
 #: dialogs/multipagedialogbase.cpp:405 umbrello.kcfg:177 umbrello.kcfg:292
-#: umllistview.cpp:1450
+#: umllistview.cpp:1458
 #, kde-format
 msgid "Font"
 msgstr "Tipo de Letra"
@@ -2628,7 +2627,7 @@ msgstr "No&vo Atributo da Instância..."
 
 #: dialogs/pages/classifierlistpage.cpp:217
 #: dialogs/pages/classifierlistpage.cpp:225 dialogs/umloperationdialog.cpp:167
-#: dialogs/umloperationdialog.cpp:175 uml.cpp:554
+#: dialogs/umloperationdialog.cpp:175 uml.cpp:563
 #, kde-format
 msgid "&Properties"
 msgstr "&Propriedades"
@@ -2646,7 +2645,7 @@ msgid "Source Code"
 msgstr "Código-Fonte"
 
 #: dialogs/pages/classoptionspage.cpp:157
-#: dialogs/pages/classoptionspage.cpp:251 uml.cpp:509
+#: dialogs/pages/classoptionspage.cpp:251 uml.cpp:518
 #, kde-format
 msgid "&Documentation"
 msgstr "&Documentação"
@@ -2836,8 +2835,8 @@ msgstr "O nome que inseriu é inválido.
 #: uml1model/classifier.cpp:410 uml1model/classifier.cpp:781
 #: uml1model/entity.cpp:125 uml1model/entity.cpp:178 uml1model/entity.cpp:228
 #: uml1model/entity.cpp:277 uml1model/enum.cpp:107 uml1model/instance.cpp:124
-#: uml1model/package.cpp:172 umldoc.cpp:1627 umldoc.cpp:1692 umldoc.cpp:1721
-#: umldoc.cpp:1755
+#: uml1model/package.cpp:178 umldoc.cpp:1629 umldoc.cpp:1694 umldoc.cpp:1723
+#: umldoc.cpp:1757
 #, kde-format
 msgid "Invalid Name"
 msgstr "Nome Inválido"
@@ -2847,7 +2846,7 @@ msgstr "Nome Inválido"
 msgid "The name you have entered is not unique."
 msgstr "O nome que indicou não é único."
 
-#: dialogs/pages/diagrampropertiespage.cpp:86 umldoc.cpp:1759
+#: dialogs/pages/diagrampropertiespage.cpp:86 umldoc.cpp:1761
 #, kde-format
 msgid "Name Not Unique"
 msgstr "Nome Não Único"
@@ -3318,7 +3317,7 @@ msgstr "Diagrama"
 msgid "Umbrello Setup"
 msgstr "Configuração do Umbrello"
 
-#: dialogs/settingsdialog.cpp:114 umllistview.cpp:1452
+#: dialogs/settingsdialog.cpp:114 umllistview.cpp:1460
 #, kde-format
 msgid "User Interface"
 msgstr "Interface do Utilizador"
@@ -3345,7 +3344,7 @@ msgstr "Classe"
 msgid "Class Settings"
 msgstr "Configuração da Classe"
 
-#: dialogs/settingsdialog.cpp:137 umllistview.cpp:1447
+#: dialogs/settingsdialog.cpp:137 umllistview.cpp:1455
 #, kde-format
 msgid "Code Importer"
 msgstr "Importador de Código"
@@ -3355,7 +3354,7 @@ msgstr "Importador de Código"
 msgid "Code Import Settings"
 msgstr "Configuração da Importação de Código"
 
-#: dialogs/settingsdialog.cpp:146 umllistview.cpp:1448
+#: dialogs/settingsdialog.cpp:146 umllistview.cpp:1456
 #, kde-format
 msgid "Code Generation"
 msgstr "Geração de Código"
@@ -3365,7 +3364,7 @@ msgstr "Geração de Código"
 msgid "Code Generation Settings"
 msgstr "Configuração da Geração de Código"
 
-#: dialogs/settingsdialog.cpp:154 umllistview.cpp:1449
+#: dialogs/settingsdialog.cpp:154 umllistview.cpp:1457
 #, kde-format
 msgid "Code Viewer"
 msgstr "Visualizador de Código"
@@ -3375,7 +3374,7 @@ msgstr "Visualizador de Código"
 msgid "Code Viewer Settings"
 msgstr "Configuração do Visualizador de Código"
 
-#: dialogs/settingsdialog.cpp:161 umllistview.cpp:1445
+#: dialogs/settingsdialog.cpp:161 umllistview.cpp:1453
 #, kde-format
 msgid "Auto Layout"
 msgstr "Disposição Automática"
@@ -4006,7 +4005,7 @@ msgstr "&Tipo:"
 msgid "Package path:"
 msgstr "Localização do pacote:"
 
-#: dialogs/widgets/umlstereotypewidget.cpp:29 uml1model/umlobject.cpp:1179
+#: dialogs/widgets/umlstereotypewidget.cpp:29 uml1model/umlobject.cpp:1180
 #, kde-format
 msgid "Stereotype &name:"
 msgstr "&Nome do estereótipo:"
@@ -4152,7 +4151,7 @@ msgstr ""
 msgid "Gael de Chalendar (aka Kleag)"
 msgstr "Gael de Chalendar (aka Kleag)"
 
-#: docgenerators/main.cpp:56 main.cpp:131
+#: docgenerators/main.cpp:56 main.cpp:133
 #, kde-format
 msgid "Umbrello UML Modeller Authors"
 msgstr "Autores do Modelador de UML Umbrello"
@@ -4216,12 +4215,12 @@ msgstr "Activar a edição da documenta
 msgid "Apply layout"
 msgstr "Aplicar a disposição"
 
-#: main.cpp:121
+#: main.cpp:123
 #, kde-format
 msgid "Umbrello UML Modeller"
 msgstr "Modelador de UML Umbrello"
 
-#: main.cpp:123
+#: main.cpp:125
 #, kde-format
 msgid ""
 "Umbrello – Visual development environment for software, based on the "
@@ -4232,7 +4231,7 @@ msgstr ""
 "norma industrial UML (Unified Modelling Language).<br/>Veja também em <a "
 "href=\"http://www.omg.org/spec/\">http://www.omg.org/spec/</a>."
 
-#: main.cpp:127
+#: main.cpp:129
 #, kde-format
 msgid ""
 "Copyright © 2001 Paul Hensgen,\n"
@@ -4241,100 +4240,100 @@ msgstr ""
 "Copyright © 2001 Paul Hensgen,\n"
 "Copyright © 2002-2020 Autores do Modelador de UML Umbrello"
 
-#: main.cpp:130
+#: main.cpp:132
 #, kde-format
 msgid "Paul Hensgen"
 msgstr "Paul Hensgen"
 
-#: main.cpp:130
+#: main.cpp:132
 #, kde-format
 msgid "Author of initial version."
 msgstr "Autor da versão original."
 
-#: main.cpp:134
+#: main.cpp:136
 #, kde-format
 msgid "Oliver Kellogg"
 msgstr "Oliver Kellogg"
 
-#: main.cpp:135 main.cpp:138
+#: main.cpp:137 main.cpp:140
 #, kde-format
 msgid "Bug fixing, porting work, code cleanup, new features."
 msgstr ""
 "Correcção de erros, trabalhos de migração, limpeza do código e novas "
 "funcionalidades."
 
-#: main.cpp:137
+#: main.cpp:139
 #, kde-format
 msgid "Ralf Habacker"
 msgstr "Ralf Habacker"
 
-#: main.cpp:140
+#: main.cpp:142
 #, kde-format
 msgid "Andi Fischer"
 msgstr "Andi Fischer"
 
-#: main.cpp:141
+#: main.cpp:143
 #, kde-format
 msgid "Porting work, code cleanup, new features."
 msgstr "Trabalho de migração, limpeza do código, novas funcionalidades."
 
-#: main.cpp:143
+#: main.cpp:145
 #, kde-format
 msgid "Jonathan Riddell"
 msgstr "Jonathan Riddell"
 
-#: main.cpp:144
+#: main.cpp:146
 #, kde-format
 msgid "Current maintainer."
 msgstr "Manutenção actual."
 
-#: main.cpp:146
+#: main.cpp:148
 #, kde-format
 msgid "Brian Thomas"
 msgstr "Brian Thomas"
 
-#: main.cpp:147
+#: main.cpp:149
 #, kde-format
 msgid "A lot of work for C++ and Java code generation. Codeeditor."
 msgstr ""
 "Bastante trabalho na geração de código em C++ e Java. Editor de código."
 
-#: main.cpp:152
+#: main.cpp:154
 #, kde-format
 msgid "File to open"
 msgstr "O ficheiro a abrir"
 
-#: main.cpp:153
+#: main.cpp:155
 #, kde-format
 msgid "export diagrams to extension and exit"
 msgstr "exportar os diagramas para a extensão e sair"
 
-#: main.cpp:154
+#: main.cpp:156
 #, kde-format
 msgid "list available export extensions"
 msgstr "listar as extensões de exportação disponíveis"
 
-#: main.cpp:155
+#: main.cpp:157
 #, kde-format
 msgid "the local directory to save the exported diagrams in"
 msgstr "a pasta local onde gravar os diagramas exportados"
 
-#: main.cpp:155
+#: main.cpp:157
 #, kde-format
 msgid "the directory of the file"
 msgstr "a pasta do ficheiro"
 
-#: main.cpp:156
+#: main.cpp:158
 #, kde-format
 msgid "import files"
 msgstr "importar os ficheiros"
 
-#: main.cpp:157
+#: main.cpp:159
 #, kde-format
 msgid "list supported languages"
 msgstr "listar as linguagens suportadas"
 
-#: main.cpp:158
+#: main.cpp:160
 #, kde-format
 msgid ""
 "keep the tree structure used to store the views in the document in the "
@@ -4343,12 +4342,12 @@ msgstr ""
 "manter a estrutura em árvore usada para guardar as vistas do documento na "
 "pasta de destino"
 
-#: main.cpp:159
+#: main.cpp:161
 #, kde-format
 msgid "import files from directory <dir>"
 msgstr "importar os ficheiros da pasta <pasta>"
 
-#: main.cpp:163
+#: main.cpp:165
 #, kde-format
 msgid "set active language"
 msgstr "definir a linguagem activa"
@@ -4612,7 +4611,7 @@ msgstr "Esconder a área de destruição
 msgid "Import File(s)..."
 msgstr "Importar Ficheiros..."
 
-#: menus/listpopupmenu.cpp:201 uml.cpp:356
+#: menus/listpopupmenu.cpp:201 uml.cpp:365
 #, kde-format
 msgid "Import from Directory..."
 msgstr "Importar de uma Pasta..."
@@ -5112,42 +5111,42 @@ msgctxt "align menu"
 msgid "Align"
 msgstr "Alinhar"
 
-#: menus/widgetbasepopupmenu.cpp:598 uml.cpp:573
+#: menus/widgetbasepopupmenu.cpp:598 uml.cpp:582
 #, kde-format
 msgid "Align Right"
 msgstr "Alinhar à Direita"
 
-#: menus/widgetbasepopupmenu.cpp:599 uml.cpp:578
+#: menus/widgetbasepopupmenu.cpp:599 uml.cpp:587
 #, kde-format
 msgid "Align Left"
 msgstr "Alinhar à Esquerda"
 
-#: menus/widgetbasepopupmenu.cpp:600 uml.cpp:583
+#: menus/widgetbasepopupmenu.cpp:600 uml.cpp:592
 #, kde-format
 msgid "Align Top"
 msgstr "Alinhar ao Topo"
 
-#: menus/widgetbasepopupmenu.cpp:601 uml.cpp:588
+#: menus/widgetbasepopupmenu.cpp:601 uml.cpp:597
 #, kde-format
 msgid "Align Bottom"
 msgstr "Alinhar ao Fundo"
 
-#: menus/widgetbasepopupmenu.cpp:603 uml.cpp:593
+#: menus/widgetbasepopupmenu.cpp:603 uml.cpp:602
 #, kde-format
 msgid "Align Vertical Middle"
 msgstr "Alinhar o Centro na Vertical"
 
-#: menus/widgetbasepopupmenu.cpp:604 uml.cpp:598
+#: menus/widgetbasepopupmenu.cpp:604 uml.cpp:607
 #, kde-format
 msgid "Align Horizontal Middle"
 msgstr "Alinhar o Centro na Horizontal"
 
-#: menus/widgetbasepopupmenu.cpp:605 uml.cpp:603
+#: menus/widgetbasepopupmenu.cpp:605 uml.cpp:612
 #, kde-format
 msgid "Align Vertical Distribute"
 msgstr "Distribuição Alinhada na Vertical"
 
-#: menus/widgetbasepopupmenu.cpp:606 uml.cpp:608
+#: menus/widgetbasepopupmenu.cpp:606 uml.cpp:617
 #, kde-format
 msgid "Align Horizontal Distribute"
 msgstr "Distribuição Alinhada na Horizontal"
@@ -5952,8 +5951,8 @@ msgstr "Utilização"
 #: object_factory.cpp:251 uml1model/classifier.cpp:410
 #: uml1model/classifier.cpp:781 uml1model/entity.cpp:125
 #: uml1model/entity.cpp:178 uml1model/entity.cpp:228 uml1model/entity.cpp:277
-#: uml1model/enum.cpp:107 uml1model/instance.cpp:124 uml1model/package.cpp:171
-#: umldoc.cpp:1721 umldoc.cpp:1755
+#: uml1model/enum.cpp:107 uml1model/instance.cpp:124 uml1model/package.cpp:177
+#: umldoc.cpp:1723 umldoc.cpp:1757
 #, kde-format
 msgid "That is an invalid name."
 msgstr "Esse nome é inválido."
@@ -5974,7 +5973,7 @@ msgstr "Palavra-chave Reservada"
 #: object_factory.cpp:264 uml1model/classifier.cpp:413
 #: uml1model/classifier.cpp:783 uml1model/entity.cpp:127
 #: uml1model/entity.cpp:180 uml1model/entity.cpp:230 uml1model/entity.cpp:279
-#: uml1model/instance.cpp:126 umldoc.cpp:1727 umldoc.cpp:1764
+#: uml1model/instance.cpp:126 umldoc.cpp:1729 umldoc.cpp:1766
 #, kde-format
 msgid "That name is already being used."
 msgstr "Esse nome já está a ser usado."
@@ -5982,8 +5981,8 @@ msgstr "Esse nome já está a ser usado.
 #: object_factory.cpp:265 uml1model/classifier.cpp:413
 #: uml1model/classifier.cpp:783 uml1model/entity.cpp:127
 #: uml1model/entity.cpp:180 uml1model/entity.cpp:230 uml1model/entity.cpp:279
-#: uml1model/instance.cpp:126 umldoc.cpp:1629 umldoc.cpp:1699 umldoc.cpp:1727
-#: umldoc.cpp:1764
+#: uml1model/instance.cpp:126 umldoc.cpp:1631 umldoc.cpp:1701 umldoc.cpp:1729
+#: umldoc.cpp:1766
 #, kde-format
 msgid "Not a Unique Name"
 msgstr "Não é um Nome Único"
@@ -6044,12 +6043,12 @@ msgstr "Já existe um atributo com esse
 msgid "Choose a different name."
 msgstr "Escolher um nome diferente."
 
-#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:266
+#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:273
 #, kde-format
 msgid "Incorrect use of associations."
 msgstr "Utilização incorrecta das associações."
 
-#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:266
+#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:273
 #, kde-format
 msgid "Association Error"
 msgstr "Erro de Associação"
@@ -7219,188 +7218,188 @@ msgstr "&Linguagem Activa"
 msgid "&Settings"
 msgstr "&Configuração"
 
-#: uml.cpp:332
+#: uml.cpp:341
 #, kde-format
 msgid "&Export model to DocBook"
 msgstr "&Exportar o modelo para DocBook"
 
-#: uml.cpp:336
+#: uml.cpp:345
 #, kde-format
 msgid "&Export model to XHTML"
 msgstr "&Exportar o modelo para XHTML"
 
-#: uml.cpp:340
+#: uml.cpp:349
 #, kde-format
 msgid "&New Class Wizard..."
 msgstr "&Novo Assistente de Classes..."
 
-#: uml.cpp:344
+#: uml.cpp:353
 #, kde-format
 msgid "&Add Default Datatypes for Active Language"
 msgstr "&Adicionar os Tipos de Dados por Omissão para a Língua Activa"
 
-#: uml.cpp:351
+#: uml.cpp:360
 #, kde-format
 msgid "Code &Importing Wizard..."
 msgstr "Assistente de &Importação de Código..."
 
-#: uml.cpp:361
+#: uml.cpp:370
 #, kde-format
 msgid "&Code Generation Wizard..."
 msgstr "Assistente de Geração de &Código..."
 
-#: uml.cpp:366
+#: uml.cpp:375
 #, kde-format
 msgid "&Generate All Code"
 msgstr "&Gerar Todo o Código"
 
-#: uml.cpp:411
+#: uml.cpp:420
 #, kde-format
 msgid "Creates a new document"
 msgstr "Cria um novo documento"
 
-#: uml.cpp:412
+#: uml.cpp:421
 #, kde-format
 msgid "Opens an existing document"
 msgstr "Abre um documento existente"
 
-#: uml.cpp:413
+#: uml.cpp:422
 #, kde-format
 msgid "Opens a recently used file"
 msgstr "Abre um ficheiro utilizado recentemente"
 
-#: uml.cpp:414
+#: uml.cpp:423
 #, kde-format
 msgid "Saves the document"
 msgstr "Grava o documento"
 
-#: uml.cpp:415
+#: uml.cpp:424
 #, kde-format
 msgid "Saves the document as..."
 msgstr "Grava o documento como..."
 
-#: uml.cpp:416
+#: uml.cpp:425
 #, kde-format
 msgid "Closes the document"
 msgstr "Fecha o documento"
 
-#: uml.cpp:417
+#: uml.cpp:426
 #, kde-format
 msgid "Prints out the document"
 msgstr "Imprime o documento"
 
-#: uml.cpp:418
+#: uml.cpp:427
 #, kde-format
 msgid "Print Preview of the document"
 msgstr "Antevisão da impressão do documento"
 
-#: uml.cpp:419
+#: uml.cpp:428
 #, kde-format
 msgid "Quits the application"
 msgstr "Sai da aplicação"
 
-#: uml.cpp:420
+#: uml.cpp:429
 #, kde-format
 msgid "Exports the model to the docbook format"
 msgstr "Exporta o modelo para o formato DocBook"
 
-#: uml.cpp:421
+#: uml.cpp:430
 #, kde-format
 msgid "Exports the model to the XHTML format"
 msgstr "Exporta o modelo para o formato XHTML"
 
-#: uml.cpp:422
+#: uml.cpp:431
 #, kde-format
 msgid "Cuts the selected section and puts it to the clipboard"
 msgstr "Corta a secção seleccionada e coloca-a na área de transferência"
 
-#: uml.cpp:423
+#: uml.cpp:432
 #, kde-format
 msgid "Copies the selected section to the clipboard"
 msgstr "Copia a secção seleccionada para a área de transferência"
 
-#: uml.cpp:424
+#: uml.cpp:433
 #, kde-format
 msgid "Pastes the contents of the clipboard"
 msgstr "Cola o conteúdo da área de transferência"
 
-#: uml.cpp:425
+#: uml.cpp:434
 #, kde-format
 msgid "Set the default program preferences"
 msgstr "Configura as opções predefinidas do programa"
 
-#: uml.cpp:429
+#: uml.cpp:438
 #, kde-format
 msgctxt "delete selected widget"
 msgid "Delete &Selected"
 msgstr "Apagar os &Seleccionados"
 
-#: uml.cpp:440
+#: uml.cpp:449
 #, kde-format
 msgid "&Class Diagram..."
 msgstr "Diagrama de &Classes..."
 
-#: uml.cpp:447
+#: uml.cpp:456
 #, kde-format
 msgid "&Object Diagram..."
 msgstr "Diagrama de &Objectos..."
 
-#: uml.cpp:454
+#: uml.cpp:463
 #, kde-format
 msgid "&Sequence Diagram..."
 msgstr "Diagrama de &Sequência..."
 
-#: uml.cpp:460
+#: uml.cpp:469
 #, kde-format
 msgid "C&ommunication Diagram..."
 msgstr "Diagrama de C&omunicação..."
 
-#: uml.cpp:466
+#: uml.cpp:475
 #, kde-format
 msgid "&Use Case Diagram..."
 msgstr "Diagrama de Casos de &Utilização..."
 
-#: uml.cpp:472
+#: uml.cpp:481
 #, kde-format
 msgid "S&tate Diagram..."
 msgstr "Diagrama de Es&tados..."
 
-#: uml.cpp:478
+#: uml.cpp:487
 #, kde-format
 msgid "&Activity Diagram..."
 msgstr "Diagrama de &Actividades..."
 
-#: uml.cpp:484
+#: uml.cpp:493
 #, kde-format
 msgid "Co&mponent Diagram..."
 msgstr "Diagrama de Co&mponentes..."
 
-#: uml.cpp:490
+#: uml.cpp:499
 #, kde-format
 msgid "&Deployment Diagram..."
 msgstr "&Diagrama de Entrada em Produção..."
 
-#: uml.cpp:496
+#: uml.cpp:505
 #, kde-format
 msgid "&Entity Relationship Diagram..."
 msgstr "Diagrama de Relação entre &Entidades..."
 
-#: uml.cpp:501 uml.cpp:954
+#: uml.cpp:510 uml.cpp:963
 #, kde-format
 msgid "&Tree View"
 msgstr "Vis&ta em Árvore"
 
-#: uml.cpp:505
+#: uml.cpp:514
 #, kde-format
 msgid "&Debugging"
 msgstr "&Depuração"
 
-#: uml.cpp:513
+#: uml.cpp:522
 #, kde-format
 msgid "&Logging"
 msgstr "&Registo"
 
-#: uml.cpp:517
+#: uml.cpp:526
 #, kde-format
 msgid "&Command history"
 msgstr "Histórico de &comandos"
@@ -7409,135 +7408,135 @@ msgstr "Histórico de &comandos"
 #. m_propertyDock->setObjectName(QLatin1String("PropertyDock"));
 #. addDockWidget(Qt::LeftDockWidgetArea, m_propertyDock);  //:TODO:
 #. create the bird's eye view
-#: uml.cpp:521 uml.cpp:1011
+#: uml.cpp:530 uml.cpp:1020
 #, kde-format
 msgid "&Bird's eye view"
 msgstr "Visão &geral"
 
-#: uml.cpp:526
+#: uml.cpp:535
 #, kde-format
 msgid "&Clear Diagram"
 msgstr "&Limpar o Diagrama"
 
-#: uml.cpp:530
+#: uml.cpp:539
 #, kde-format
 msgid "&Snap to Grid"
 msgstr "A&linhar à Grelha"
 
-#: uml.cpp:534
+#: uml.cpp:543
 #, kde-format
 msgid "S&how Grid"
 msgstr "Mostrar a Grel&ha"
 
-#: uml.cpp:539
+#: uml.cpp:548
 #, kde-format
 msgid "&Delete Diagram"
 msgstr "&Remover o Diagrama"
 
-#: uml.cpp:544
+#: uml.cpp:553
 #, kde-format
 msgid "&Export as Picture..."
 msgstr "&Exportar Como Uma Imagem..."
 
-#: uml.cpp:549
+#: uml.cpp:558
 #, kde-format
 msgid "Export &Diagrams as Pictures..."
 msgstr "Exportar os &Diagramas como Imagens..."
 
-#: uml.cpp:569
+#: uml.cpp:578
 #, kde-format
 msgid "Z&oom to 100%"
 msgstr "&Ampliar a 100%"
 
-#: uml.cpp:612
+#: uml.cpp:621
 #, kde-format
 msgid "&Move Tab Left"
 msgstr "&Mover a Página para a Esquerda"
 
-#: uml.cpp:613
+#: uml.cpp:622
 #, kde-format
 msgid "&Move Tab Right"
 msgstr "&Mover a Página para a Direita"
 
-#: uml.cpp:636
+#: uml.cpp:645
 #, kde-format
 msgid "Select Diagram on Left"
 msgstr "Escolha o Diagrama à Esquerda"
 
-#: uml.cpp:637
+#: uml.cpp:646
 #, kde-format
 msgid "Select Diagram on Right"
 msgstr "Escolha o Diagrama à Direita"
 
-#: uml.cpp:776
+#: uml.cpp:785
 #, kde-format
 msgctxt "%1 percent value from 20 to 500"
 msgid " &%1%"
 msgstr " &%1%"
 
-#: uml.cpp:826
+#: uml.cpp:835
 #, kde-format
 msgctxt "init status bar"
 msgid "Ready"
 msgstr "Pronto"
 
-#: uml.cpp:835 uml.cpp:848
+#: uml.cpp:844 uml.cpp:857
 #, kde-format
 msgid "100%"
 msgstr "100%"
 
-#: uml.cpp:840
+#: uml.cpp:849
 #, kde-format
 msgid "Fit"
 msgstr "Ajustar"
 
-#: uml.cpp:899
+#: uml.cpp:908
 #, kde-format
 msgid "Diagram Toolbar"
 msgstr "Barra de Ferramentas do Diagrama"
 
-#: uml.cpp:965
+#: uml.cpp:974
 #, kde-format
 msgid "Doc&umentation"
 msgstr "Doc&umentação"
 
-#: uml.cpp:976
+#: uml.cpp:985
 #, kde-format
 msgid "Co&mmand history"
 msgstr "Histórico de co&mandos"
 
-#: uml.cpp:992
+#: uml.cpp:1001
 #, kde-format
 msgid "&Debug"
 msgstr "&Depurar"
 
-#: uml.cpp:999
+#: uml.cpp:1008
 #, kde-format
 msgid "&Log"
 msgstr "&Registo"
 
-#: uml.cpp:1041 uml.cpp:1258 uml.cpp:1307
+#: uml.cpp:1050 uml.cpp:1267 uml.cpp:1316
 #, kde-format
 msgid "Opening file..."
 msgstr "A abrir o ficheiro..."
 
-#: uml.cpp:1092 uml.cpp:1157 uml.cpp:1342 umldoc.cpp:342 umldoc.cpp:344
-#: umldoc.cpp:368 umldoc.cpp:3396
+#: uml.cpp:1101 uml.cpp:1166 uml.cpp:1351 umldoc.cpp:343 umldoc.cpp:345
+#: umldoc.cpp:369 umldoc.cpp:3405
 #, kde-format
 msgid "Untitled"
 msgstr "Sem Título"
 
-#: uml.cpp:1240
+#: uml.cpp:1249
 #, kde-format
 msgid "Creating new document..."
 msgstr "A criar um novo documento..."
 
-#: uml.cpp:1266 uml.cpp:1281
+#: uml.cpp:1275 uml.cpp:1290
 #, kde-format
 msgid "Open File"
 msgstr "Abrir um Ficheiro"
 
-#: uml.cpp:1270
+#: uml.cpp:1279
 #, kde-format
 msgid ""
 "*.xmi *.xmi.tgz *.xmi.tar.bz2 *.mdl *.zargo|All Supported Files (*.xmi, *."
@@ -7556,22 +7555,22 @@ msgstr ""
 "*.mdl|Ficheiros de modelos do Rose (*.mdl)\n"
 "*.zargo|Ficheiro do Argo comprimidos (*.zargo)\n"
 
-#: uml.cpp:1341
+#: uml.cpp:1350
 #, kde-format
 msgid "Saving file..."
 msgstr "A gravar o ficheiro..."
 
-#: uml.cpp:1358
+#: uml.cpp:1367
 #, kde-format
 msgid "Saving file with a new filename..."
 msgstr "A gravar o ficheiro com um novo nome..."
 
-#: uml.cpp:1368 uml.cpp:1374 umlviewimageexporter.cpp:199
+#: uml.cpp:1377 uml.cpp:1383 umlviewimageexporter.cpp:199
 #, kde-format
 msgid "Save As"
 msgstr "Gravar Como"
 
-#: uml.cpp:1369
+#: uml.cpp:1378
 #, kde-format
 msgid ""
 "*.xmi | XMI File (*.xmi);;*.xmi.tgz | Gzip Compressed XMI File (*.xmi.tgz);;"
@@ -7581,7 +7580,7 @@ msgstr ""
 "(*.xmi.tgz);;*.xmi.tar.bz2 | Ficheiro XMI Comprimido com Bzip2 (*.xmi.tar."
 "bz2);;* | Todos os Ficheiros (*)"
 
-#: uml.cpp:1374
+#: uml.cpp:1383
 #, kde-format
 msgid ""
 "*.xmi|XMI File\n"
@@ -7594,7 +7593,7 @@ msgstr ""
 "*.xmi.tar.bz2|Ficheiro XMI Comprimido com Bzip2\n"
 "*|Todos os Ficheiros"
 
-#: uml.cpp:1387
+#: uml.cpp:1396
 #, kde-format
 msgid ""
 "The file %1 exists.\n"
@@ -7603,67 +7602,67 @@ msgstr ""
 "O ficheiro %1 já existe!\n"
 "Deseja sobrepô-lo?"
 
-#: uml.cpp:1388
+#: uml.cpp:1397
 #, kde-format
 msgid "Warning"
 msgstr "Aviso"
 
-#: uml.cpp:1388
+#: uml.cpp:1397
 #, kde-format
 msgid "Overwrite"
 msgstr "Sobrepor"
 
-#: uml.cpp:1422
+#: uml.cpp:1431
 #, kde-format
 msgid "Closing file..."
 msgstr "A fechar o ficheiro..."
 
-#: uml.cpp:1432
+#: uml.cpp:1441
 #, kde-format
 msgid "No search term entered"
 msgstr "Não foi indicado nenhum termo de pesquisa"
 
-#: uml.cpp:1438
+#: uml.cpp:1447
 #, kde-format
 msgid "'%1': %2 found"
 msgstr "'%1': %2 ocorrência"
 
-#: uml.cpp:1502
+#: uml.cpp:1511
 #, kde-format
 msgid "Print Preview..."
 msgstr "Antevisão da Impressão..."
 
-#: uml.cpp:1529
+#: uml.cpp:1538
 #, kde-format
 msgid "Printing..."
 msgstr "A imprimir..."
 
-#: uml.cpp:1536 uml.cpp:1540
+#: uml.cpp:1545 uml.cpp:1549
 #, kde-format
 msgid "Print %1"
 msgstr "Imprimir o %1"
 
-#: uml.cpp:1560
+#: uml.cpp:1569
 #, kde-format
 msgid "Exiting..."
 msgstr "A sair..."
 
-#: uml.cpp:1647
+#: uml.cpp:1656
 #, kde-format
 msgid "Cutting selection..."
 msgstr "A cortar a selecção..."
 
-#: uml.cpp:1670
+#: uml.cpp:1679
 #, kde-format
 msgid "Copying selection to clipboard..."
 msgstr "A copiar a selecção para a área de transferência..."
 
-#: uml.cpp:1682
+#: uml.cpp:1691
 #, kde-format
 msgid "Inserting clipboard contents..."
 msgstr "A inserir o conteúdo da área de transferência..."
 
-#: uml.cpp:1687
+#: uml.cpp:1696
 #, kde-format
 msgid ""
 "Umbrello could not paste the clipboard contents.  The objects in the "
@@ -7673,38 +7672,38 @@ msgstr ""
 "objectos na área de transferência poderão ser de um tipo inválido para serem "
 "colados aqui."
 
-#: uml.cpp:1713 umlviewimageexporter.cpp:92 umlviewimageexporterall.cpp:123
+#: uml.cpp:1722 umlviewimageexporter.cpp:92 umlviewimageexporterall.cpp:123
 #, kde-format
 msgctxt "reset status bar"
 msgid "Ready."
 msgstr "Pronto."
 
-#: uml.cpp:2246
+#: uml.cpp:2255
 #, kde-format
 msgid "Cannot view code until you generate some first."
 msgstr "Não é possível ver código antes de este ser gerado."
 
-#: uml.cpp:2246 uml.cpp:2249
+#: uml.cpp:2255 uml.cpp:2258
 #, kde-format
 msgid "Cannot View Code"
 msgstr "Não É Possível Ver o Código"
 
-#: uml.cpp:2249
+#: uml.cpp:2258
 #, kde-format
 msgid "Cannot view code from simple code writer."
 msgstr "Não é possível ver o código do escritor simples de código."
 
-#: uml.cpp:2714 uml.cpp:2716
+#: uml.cpp:2728 uml.cpp:2730
 #, kde-format
 msgid "Select file(s) to import:"
 msgstr "Seleccione os ficheiros a importar:"
 
-#: uml.cpp:2747 uml.cpp:2749
+#: uml.cpp:2761 uml.cpp:2763
 #, kde-format
 msgid "Select directory to import:"
 msgstr "Seleccione a pasta a importar:"
 
-#: uml.cpp:3313
+#: uml.cpp:3335
 #, kde-format
 msgid "XHTML Generation failed ."
 msgstr "A Geração de XHTML falhou."
@@ -7718,20 +7717,20 @@ msgstr ""
 "Já existe uma operação com esse nome e assinatura. Não pode adicioná-la "
 "novamente."
 
-#: uml1model/folder.cpp:435
+#: uml1model/folder.cpp:436
 #, kde-format
 msgid "The folderfile %1 does not exist."
 msgstr "O ficheiro da pasta %1 não existe."
 
-#: uml1model/folder.cpp:435 uml1model/folder.cpp:439 umldoc.cpp:529
-#: umldoc.cpp:541 umldoc.cpp:568 umldoc.cpp:570 umldoc.cpp:620 umldoc.cpp:623
-#: umldoc.cpp:638 umldoc.cpp:641 umldoc.cpp:665 umldoc.cpp:668 umldoc.cpp:684
-#: umldoc.cpp:687 umldoc.cpp:702 umldoc.cpp:705 umldoc.cpp:750
+#: uml1model/folder.cpp:436 uml1model/folder.cpp:440 umldoc.cpp:530
+#: umldoc.cpp:542 umldoc.cpp:569 umldoc.cpp:571 umldoc.cpp:621 umldoc.cpp:624
+#: umldoc.cpp:639 umldoc.cpp:642 umldoc.cpp:666 umldoc.cpp:669 umldoc.cpp:685
+#: umldoc.cpp:688 umldoc.cpp:703 umldoc.cpp:706 umldoc.cpp:751
 #, kde-format
 msgid "Load Error"
 msgstr "Erro de Leitura"
 
-#: uml1model/folder.cpp:439
+#: uml1model/folder.cpp:440
 #, kde-format
 msgid "The folderfile %1 cannot be opened."
 msgstr "O ficheiro da pasta %1 não consegue ser aberto."
@@ -7741,13 +7740,13 @@ msgstr "O ficheiro da pasta %1 não cons
 msgid "new_parameter"
 msgstr "novo_parâmetro"
 
-#: uml1model/package.cpp:163
+#: uml1model/package.cpp:169
 #, kde-format
 msgctxt "object name"
 msgid "Name"
 msgstr "Nome"
 
-#: uml1model/package.cpp:164
+#: uml1model/package.cpp:170
 #, kde-format
 msgid ""
 "An object with the name %1\n"
@@ -7773,77 +7772,77 @@ msgstr "novo_campo"
 msgid "new_fkey_constraint"
 msgstr "nova_restricao_chave_estrangeira"
 
-#: uml1model/umlobject.cpp:1140
+#: uml1model/umlobject.cpp:1141
 #, kde-format
 msgid "Actor &name:"
 msgstr "&Nome do actor:"
 
-#: uml1model/umlobject.cpp:1143
+#: uml1model/umlobject.cpp:1144
 #, kde-format
 msgid "Artifact &name:"
 msgstr "&Nome do artefacto:"
 
-#: uml1model/umlobject.cpp:1146
+#: uml1model/umlobject.cpp:1147
 #, kde-format
 msgid "Association &name:"
 msgstr "&Nome da associação:"
 
-#: uml1model/umlobject.cpp:1149
+#: uml1model/umlobject.cpp:1150
 #, kde-format
 msgid "Class &name:"
 msgstr "&Nome da classe:"
 
-#: uml1model/umlobject.cpp:1152
+#: uml1model/umlobject.cpp:1153
 #, kde-format
 msgid "Component &name:"
 msgstr "&Nome do componente:"
 
-#: uml1model/umlobject.cpp:1155
+#: uml1model/umlobject.cpp:1156
 #, kde-format
 msgid "Datatype &name:"
 msgstr "&Nome do tipo de dados:"
 
-#: uml1model/umlobject.cpp:1158
+#: uml1model/umlobject.cpp:1159
 #, kde-format
 msgid "Entity &name:"
 msgstr "&Nome da entidade:"
 
-#: uml1model/umlobject.cpp:1161
+#: uml1model/umlobject.cpp:1162
 #, kde-format
 msgid "Enum &name:"
 msgstr "&Nome do enumerado:"
 
-#: uml1model/umlobject.cpp:1164
+#: uml1model/umlobject.cpp:1165
 #, kde-format
 msgid "Folder &name:"
 msgstr "&Nome da pasta:"
 
-#: uml1model/umlobject.cpp:1167
+#: uml1model/umlobject.cpp:1168
 #, kde-format
 msgid "Interface &name:"
 msgstr "&Nome da interface:"
 
-#: uml1model/umlobject.cpp:1170
+#: uml1model/umlobject.cpp:1171
 #, kde-format
 msgid "Node &name:"
 msgstr "&Nome do nó:"
 
-#: uml1model/umlobject.cpp:1173
+#: uml1model/umlobject.cpp:1174
 #, kde-format
 msgid "Package &name:"
 msgstr "&Nome do pacote:"
 
-#: uml1model/umlobject.cpp:1176
+#: uml1model/umlobject.cpp:1177
 #, kde-format
 msgid "Port &name:"
 msgstr "&Nome do porto:"
 
-#: uml1model/umlobject.cpp:1182
+#: uml1model/umlobject.cpp:1183
 #, kde-format
 msgid "Use case &name:"
 msgstr "&Nome do caso de utilização:"
 
-#: uml1model/umlobject.cpp:1185
+#: uml1model/umlobject.cpp:1186
 #, kde-format
 msgid "Instance name:"
 msgstr "Nome da instância:"
@@ -7863,42 +7862,42 @@ msgstr "E&stereótipos"
 msgid "Welcome"
 msgstr "Bem-vindo"
 
-#: umldoc.cpp:112 umldoc.cpp:2400 umldoc.cpp:2428
+#: umldoc.cpp:113 umldoc.cpp:2405 umldoc.cpp:2433
 #, kde-format
 msgid "UML Model"
 msgstr "Modelo UML"
 
-#: umldoc.cpp:154
+#: umldoc.cpp:155
 #, kde-format
 msgid "Logical View"
 msgstr "Vista Lógica"
 
-#: umldoc.cpp:155
+#: umldoc.cpp:156
 #, kde-format
 msgid "Use Case View"
 msgstr "Vista dos Casos de Utilização"
 
-#: umldoc.cpp:156
+#: umldoc.cpp:157
 #, kde-format
 msgid "Component View"
 msgstr "Vista de Componentes"
 
-#: umldoc.cpp:157
+#: umldoc.cpp:158
 #, kde-format
 msgid "Deployment View"
 msgstr "Vista de Entrada em Produção"
 
-#: umldoc.cpp:158
+#: umldoc.cpp:159
 #, kde-format
 msgid "Entity Relationship Model"
 msgstr "Model Entidade Relação"
 
-#: umldoc.cpp:184
+#: umldoc.cpp:185
 #, kde-format
 msgid "Datatypes"
 msgstr "Tipos de dados"
 
-#: umldoc.cpp:363
+#: umldoc.cpp:364
 #, kde-format
 msgid ""
 "The current file has been modified.\n"
@@ -7907,166 +7906,166 @@ msgstr ""
 "O ficheiro actual foi modificado.\n"
 "Deseja gravá-lo?"
 
-#: umldoc.cpp:364
+#: umldoc.cpp:365
 #, kde-format
 msgctxt "warning message"
 msgid "Warning"
 msgstr "Aviso"
 
-#: umldoc.cpp:529
+#: umldoc.cpp:530
 #, kde-format
 msgid "The file <%1> does not exist."
 msgstr "O ficheiro <%1> não existe."
 
-#: umldoc.cpp:541
+#: umldoc.cpp:542
 #, kde-format
 msgid "The file %1 does not exist."
 msgstr "O ficheiro %1 não existe."
 
-#: umldoc.cpp:568 umldoc.cpp:570
+#: umldoc.cpp:569 umldoc.cpp:571
 #, kde-format
 msgid "The file %1 seems to be corrupted."
 msgstr "O ficheiro %1 parece estar corrompido."
 
-#: umldoc.cpp:619 umldoc.cpp:622 umldoc.cpp:637 umldoc.cpp:640 umldoc.cpp:683
-#: umldoc.cpp:686
+#: umldoc.cpp:620 umldoc.cpp:623 umldoc.cpp:638 umldoc.cpp:641 umldoc.cpp:684
+#: umldoc.cpp:687
 #, kde-format
 msgid "There was no XMI file found in the compressed file %1."
 msgstr "Não existia nenhum ficheiro XMI no ficheiro comprimido %1."
 
-#: umldoc.cpp:664 umldoc.cpp:667
+#: umldoc.cpp:665 umldoc.cpp:668
 #, kde-format
 msgid "There was a problem loading the extracted file: %1"
 msgstr "Ocorreu um problema ao ler o ficheiro extraído: %1"
 
-#: umldoc.cpp:701 umldoc.cpp:704 umldoc.cpp:744 umldoc.cpp:746
+#: umldoc.cpp:702 umldoc.cpp:705 umldoc.cpp:745 umldoc.cpp:747
 #, kde-format
 msgid "There was a problem loading file: %1"
 msgstr "Ocorreu um problema ao ler o ficheiro: %1"
 
-#: umldoc.cpp:749
+#: umldoc.cpp:750
 #, kde-format
 msgid "Reason: %1"
 msgstr "Razão: %1"
 
-#: umldoc.cpp:832 umldoc.cpp:834 umldoc.cpp:851 umldoc.cpp:853 umldoc.cpp:873
-#: umldoc.cpp:875 umldoc.cpp:924 umldoc.cpp:926 umldoc.cpp:966 umldoc.cpp:969
-#: umldoc.cpp:978 umldoc.cpp:980 umllistview.cpp:593
+#: umldoc.cpp:833 umldoc.cpp:835 umldoc.cpp:852 umldoc.cpp:854 umldoc.cpp:874
+#: umldoc.cpp:876 umldoc.cpp:925 umldoc.cpp:927 umldoc.cpp:968 umldoc.cpp:971
+#: umldoc.cpp:980 umldoc.cpp:982 umllistview.cpp:594
 #, kde-format
 msgid "Save Error"
 msgstr "Erro de Gravação"
 
-#: umldoc.cpp:832 umldoc.cpp:851 umldoc.cpp:873 umldoc.cpp:924 umldoc.cpp:966
+#: umldoc.cpp:833 umldoc.cpp:852 umldoc.cpp:874 umldoc.cpp:925 umldoc.cpp:968
 #, kde-format
 msgid "There was a problem saving: %1"
 msgstr "Ocorreu um problema ao gravar: %1"
 
-#: umldoc.cpp:834 umldoc.cpp:853 umldoc.cpp:875 umldoc.cpp:926 umldoc.cpp:969
-#: umllistview.cpp:592 umlviewimageexportermodel.cpp:303
+#: umldoc.cpp:835 umldoc.cpp:854 umldoc.cpp:876 umldoc.cpp:927 umldoc.cpp:971
+#: umllistview.cpp:593 umlviewimageexportermodel.cpp:303
 #, kde-format
 msgid "There was a problem saving file: %1"
 msgstr "Ocorreu um problema ao gravar o ficheiro: %1"
 
-#: umldoc.cpp:978
+#: umldoc.cpp:980
 #, kde-format
 msgid "There was a problem uploading: %1"
 msgstr "Ocorreu um problema ao enviar: %1"
 
-#: umldoc.cpp:980
+#: umldoc.cpp:982
 #, kde-format
 msgid "There was a problem uploading file: %1"
 msgstr "Ocorreu um problema ao enviar o ficheiro: %1"
 
-#: umldoc.cpp:1526
+#: umldoc.cpp:1528
 #, kde-format
 msgid "use case diagram"
 msgstr "diagrama de casos de utilização"
 
-#: umldoc.cpp:1529
+#: umldoc.cpp:1531
 #, kde-format
 msgid "class diagram"
 msgstr "diagrama de classe"
 
-#: umldoc.cpp:1532
+#: umldoc.cpp:1534
 #, kde-format
 msgid "sequence diagram"
 msgstr "diagrama de sequência"
 
-#: umldoc.cpp:1535
+#: umldoc.cpp:1537
 #, kde-format
 msgid "communication diagram"
 msgstr "diagrama de comunicação"
 
-#: umldoc.cpp:1538
+#: umldoc.cpp:1540
 #, kde-format
 msgid "object diagram"
 msgstr "diagrama de objectos"
 
-#: umldoc.cpp:1541
+#: umldoc.cpp:1543
 #, kde-format
 msgid "state diagram"
 msgstr "diagrama de estado"
 
-#: umldoc.cpp:1544
+#: umldoc.cpp:1546
 #, kde-format
 msgid "activity diagram"
 msgstr "diagrama de actividade"
 
-#: umldoc.cpp:1547
+#: umldoc.cpp:1549
 #, kde-format
 msgid "component diagram"
 msgstr "diagrama de componentes"
 
-#: umldoc.cpp:1550
+#: umldoc.cpp:1552
 #, kde-format
 msgid "deployment diagram"
 msgstr "diagrama de entrada em produção"
 
-#: umldoc.cpp:1553
+#: umldoc.cpp:1555
 #, kde-format
 msgid "entity relationship diagram"
 msgstr "diagrama entidade relação"
 
-#: umldoc.cpp:1623
+#: umldoc.cpp:1625
 #, kde-format
 msgctxt "diagram name"
 msgid "Name"
 msgstr "Nome"
 
-#: umldoc.cpp:1623 umldoc.cpp:1686 umldoc.cpp:1715 umldoc.cpp:1749
+#: umldoc.cpp:1625 umldoc.cpp:1688 umldoc.cpp:1717 umldoc.cpp:1751
 #, kde-format
 msgid "Enter name:"
 msgstr "Indique o nome:"
 
-#: umldoc.cpp:1627 umldoc.cpp:1692
+#: umldoc.cpp:1629 umldoc.cpp:1694
 #, kde-format
 msgid "That is an invalid name for a diagram."
 msgstr "Esse é um nome inválido para um diagrama."
 
-#: umldoc.cpp:1629 umldoc.cpp:1699
+#: umldoc.cpp:1631 umldoc.cpp:1701
 #, kde-format
 msgid "A diagram is already using that name."
 msgstr "Já existe um diagrama com esse nome."
 
-#: umldoc.cpp:1685
+#: umldoc.cpp:1687
 #, kde-format
 msgctxt "renaming diagram"
 msgid "Name"
 msgstr "Nome"
 
-#: umldoc.cpp:1714
+#: umldoc.cpp:1716
 #, kde-format
 msgctxt "renaming uml object"
 msgid "Name"
 msgstr "Nome"
 
-#: umldoc.cpp:1748
+#: umldoc.cpp:1750
 #, kde-format
 msgctxt "renaming child uml object"
 msgid "Name"
 msgstr "Nome"
 
-#: umldoc.cpp:1758
+#: umldoc.cpp:1760
 #, kde-format
 msgid ""
 "The name you entered was not unique.\n"
@@ -8075,62 +8074,62 @@ msgstr ""
 "O nome que indicou não era único.\n"
 "É isto o que deseja?"
 
-#: umldoc.cpp:1759
+#: umldoc.cpp:1761
 #, kde-format
 msgid "Use Name"
 msgstr "Nome da Utilização"
 
-#: umldoc.cpp:1759
+#: umldoc.cpp:1761
 #, kde-format
 msgid "Enter New Name"
 msgstr "Indique o Novo Nome"
 
-#: umldoc.cpp:2361
+#: umldoc.cpp:2366
 #, kde-format
 msgid "Unsupported xmi file version: %1"
 msgstr "A versão do ficheiro XMI não é suportada: %1"
 
-#: umldoc.cpp:2511
+#: umldoc.cpp:2516
 #, kde-format
 msgid "Setting up the document..."
 msgstr "A configurar o documento..."
 
-#: umldoc.cpp:2540
+#: umldoc.cpp:2545
 #, kde-format
 msgid "Resolving object references..."
 msgstr "A resolver as referências a objectos..."
 
-#: umldoc.cpp:2648
+#: umldoc.cpp:2653
 #, kde-format
 msgid "Loading UML elements..."
 msgstr "A carregar os elementos de UML..."
 
-#: umldoc.cpp:2892
+#: umldoc.cpp:2899
 #, kde-format
 msgid "Loading diagrams..."
 msgstr "A carregar os diagramas..."
 
-#: umldoc.cpp:3400
+#: umldoc.cpp:3409
 #, kde-format
 msgid "/autosave%1"
 msgstr "/auto-gravar%1"
 
-#: umllistview.cpp:536 umllistview.cpp:540
+#: umllistview.cpp:537 umllistview.cpp:541
 #, kde-format
 msgid "Externalize Folder"
 msgstr "Exteriorizar a Pasta"
 
-#: umllistview.cpp:574
+#: umllistview.cpp:575
 #, kde-format
 msgid "Folder %1 must be relative to the main model directory, %2."
 msgstr "A pasta %1 deverá ser relativa à pasta principal do modelo, %2."
 
-#: umllistview.cpp:575
+#: umllistview.cpp:576
 #, kde-format
 msgid "Path Error"
 msgstr "Erro da Localização"
 
-#: umllistview.cpp:583
+#: umllistview.cpp:584
 #, kde-format
 msgid ""
 "File %1 already exists!\n"
@@ -8139,62 +8138,62 @@ msgstr ""
 "O ficheiro %1 já existe!\n"
 "O ficheiro existente será substituído."
 
-#: umllistview.cpp:584
+#: umllistview.cpp:585
 #, kde-format
 msgid "File Exist"
 msgstr "O Ficheiro Já Existe"
 
-#: umllistview.cpp:624
+#: umllistview.cpp:625
 #, kde-format
 msgid "Enter Model Name"
 msgstr "Indicar o Nome do Modelo"
 
-#: umllistview.cpp:625
+#: umllistview.cpp:626
 #, kde-format
 msgid "Enter the new name of the model:"
 msgstr "Insira o novo nome do modelo:"
 
-#: umllistview.cpp:1422
+#: umllistview.cpp:1430
 #, kde-format
 msgid "Views"
 msgstr "Vistas"
 
-#: umllistview.cpp:1441
+#: umllistview.cpp:1449
 #, kde-format
 msgid "Settings"
 msgstr "Configuração"
 
-#: umllistview.cpp:2413
+#: umllistview.cpp:2421
 #, kde-format
 msgid "Loading listview..."
 msgstr "A carregar a vista em lista..."
 
-#: umllistview.cpp:2764
+#: umllistview.cpp:2772
 #, kde-format
 msgid "The class must be emptied before it can be deleted."
 msgstr "A classe deve estar vazia antes de poder ser apagada."
 
-#: umllistview.cpp:2765
+#: umllistview.cpp:2773
 #, kde-format
 msgid "Class Not Empty"
 msgstr "Classe Não Vazia"
 
-#: umllistview.cpp:2769
+#: umllistview.cpp:2777
 #, kde-format
 msgid "The package must be emptied before it can be deleted."
 msgstr "O pacote deve estar vazio antes de poder ser apagado."
 
-#: umllistview.cpp:2770
+#: umllistview.cpp:2778
 #, kde-format
 msgid "Package Not Empty"
 msgstr "Pacote Não Vazio"
 
-#: umllistview.cpp:2774
+#: umllistview.cpp:2782
 #, kde-format
 msgid "The folder must be emptied before it can be deleted."
 msgstr "A pasta deve estar vazia antes de poder ser apagada."
 
-#: umllistview.cpp:2775
+#: umllistview.cpp:2783
 #, kde-format
 msgid "Folder Not Empty"
 msgstr "Pasta Não Vazia"
diff -pruN 4:20.08.3-1/po/pt_BR/umbrello.po 4:20.12.0-0ubuntu1/po/pt_BR/umbrello.po
--- 4:20.08.3-1/po/pt_BR/umbrello.po	2020-11-03 00:42:16.000000000 +0000
+++ 4:20.12.0-0ubuntu1/po/pt_BR/umbrello.po	2020-12-04 00:21:31.000000000 +0000
@@ -15,7 +15,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: umbrello\n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
-"POT-Creation-Date: 2020-08-14 08:09+0200\n"
+"POT-Creation-Date: 2020-11-06 02:36+0100\n"
 "PO-Revision-Date: 2020-09-10 17:22-0300\n"
 "Last-Translator: Luiz Fernando Ranghetti <elchevive@opensuse.org>\n"
 "Language-Team: Brazilian Portuguese <kde-i18n-pt_BR@kde.org>\n"
@@ -216,7 +216,7 @@ msgstr ""
 "Pelo menos um dos itens na área de transferência não pode ser colado porque "
 "já existe um item com o mesmo nome. Todos os outros itens foram colados."
 
-#: clipboard/umlclipboard.cpp:753 uml.cpp:1689
+#: clipboard/umlclipboard.cpp:753 uml.cpp:1698
 #, kde-format
 msgid "Paste Error"
 msgstr "Erro ao colar"
@@ -442,7 +442,7 @@ msgstr "<p align=\"center\">Geração de
 #. i18n: ectx: attribute (title), widget (QWidget, ui_tabGeneral)
 #: codegenerators/cpp/cppcodegenerationformbase.ui:51
 #: codegenwizard/codegenoptionspage.ui:39 dialogs/objectnodedialog.cpp:135
-#: umllistview.cpp:1451
+#: umllistview.cpp:1459
 #, kde-format
 msgid "General"
 msgstr "Geral"
@@ -1321,7 +1321,7 @@ msgstr "Status"
 #. i18n: ectx: property (text), widget (QRadioButton, ui_categoryClass)
 #. i18n: ectx: property (text), widget (QTableWidget, ui_tableWidgetStatus)
 #: codegenwizard/codegenstatuspage.ui:40 codeimpwizard/codeimpstatuspage.ui:54
-#: dialogs/finddialog.ui:89 umllistview.cpp:1446 umlwidgets/widgetbase.cpp:1255
+#: dialogs/finddialog.ui:89 umllistview.cpp:1454 umlwidgets/widgetbase.cpp:1255
 #, kde-format
 msgid "Class"
 msgstr "Classe"
@@ -1975,18 +1975,18 @@ msgstr "Habilitar mensagens relacionadas
 msgid "Enable 'delete diagram' related messages"
 msgstr "Habilitar mensagens relacionadas a 'excluir diagrama'"
 
-#: dialogs/dialog_utils.cpp:117
+#: dialogs/dialog_utils.cpp:118
 #, kde-format
 msgid "You are about to delete an association. Do you really want to continue?"
 msgstr ""
 "Você está prestes a excluir uma associação. Deseja realmente continuar?"
 
-#: dialogs/dialog_utils.cpp:118
+#: dialogs/dialog_utils.cpp:119
 #, kde-format
 msgid "Delete Association"
 msgstr "Excluir associação"
 
-#: dialogs/dialog_utils.cpp:132
+#: dialogs/dialog_utils.cpp:133
 #, kde-format
 msgid ""
 "You are about to delete the entire diagram.\n"
@@ -1995,17 +1995,17 @@ msgstr ""
 "Você está prestes a excluir o diagrama todo.\n"
 "Você tem certeza?"
 
-#: dialogs/dialog_utils.cpp:133
+#: dialogs/dialog_utils.cpp:134
 #, kde-format
 msgid "Are you sure you want to delete diagram %1?"
 msgstr "Você tem certeza que deseja excluir o diagrama %1?"
 
-#: dialogs/dialog_utils.cpp:138
+#: dialogs/dialog_utils.cpp:139
 #, kde-format
 msgid "Delete Diagram?"
 msgstr "Excluir diagrama?"
 
-#: dialogs/dialog_utils.cpp:139 dialogs/pages/classifierlistpage.cpp:215
+#: dialogs/dialog_utils.cpp:140 dialogs/pages/classifierlistpage.cpp:215
 #: dialogs/pages/classifierlistpage.cpp:223
 #: dialogs/umlforeignkeyconstraintdialog.cpp:325
 #: dialogs/umlforeignkeyconstraintdialog.cpp:331
@@ -2169,7 +2169,7 @@ msgstr "Geral"
 #. i18n: ectx: label, entry (uiFont), group (UI Options)
 #. i18n: ectx: label, entry (codeViewerFont), group (Code Viewer Options)
 #: dialogs/multipagedialogbase.cpp:405 umbrello.kcfg:177 umbrello.kcfg:292
-#: umllistview.cpp:1450
+#: umllistview.cpp:1458
 #, kde-format
 msgid "Font"
 msgstr "Fonte"
@@ -2603,7 +2603,7 @@ msgstr "N&ovo atributo da instância..."
 
 #: dialogs/pages/classifierlistpage.cpp:217
 #: dialogs/pages/classifierlistpage.cpp:225 dialogs/umloperationdialog.cpp:167
-#: dialogs/umloperationdialog.cpp:175 uml.cpp:554
+#: dialogs/umloperationdialog.cpp:175 uml.cpp:563
 #, kde-format
 msgid "&Properties"
 msgstr "&Propriedades"
@@ -2621,7 +2621,7 @@ msgid "Source Code"
 msgstr "Código-fonte"
 
 #: dialogs/pages/classoptionspage.cpp:157
-#: dialogs/pages/classoptionspage.cpp:251 uml.cpp:509
+#: dialogs/pages/classoptionspage.cpp:251 uml.cpp:518
 #, kde-format
 msgid "&Documentation"
 msgstr "&Documentação"
@@ -2810,8 +2810,8 @@ msgstr "O nome que você inseriu é inv
 #: uml1model/classifier.cpp:410 uml1model/classifier.cpp:781
 #: uml1model/entity.cpp:125 uml1model/entity.cpp:178 uml1model/entity.cpp:228
 #: uml1model/entity.cpp:277 uml1model/enum.cpp:107 uml1model/instance.cpp:124
-#: uml1model/package.cpp:172 umldoc.cpp:1627 umldoc.cpp:1692 umldoc.cpp:1721
-#: umldoc.cpp:1755
+#: uml1model/package.cpp:178 umldoc.cpp:1629 umldoc.cpp:1694 umldoc.cpp:1723
+#: umldoc.cpp:1757
 #, kde-format
 msgid "Invalid Name"
 msgstr "Nome inválido"
@@ -2821,7 +2821,7 @@ msgstr "Nome inválido"
 msgid "The name you have entered is not unique."
 msgstr "O nome que você inseriu não é único."
 
-#: dialogs/pages/diagrampropertiespage.cpp:86 umldoc.cpp:1759
+#: dialogs/pages/diagrampropertiespage.cpp:86 umldoc.cpp:1761
 #, kde-format
 msgid "Name Not Unique"
 msgstr "Nome não único"
@@ -3292,7 +3292,7 @@ msgstr "Diagrama"
 msgid "Umbrello Setup"
 msgstr "Configurar o Umbrello"
 
-#: dialogs/settingsdialog.cpp:114 umllistview.cpp:1452
+#: dialogs/settingsdialog.cpp:114 umllistview.cpp:1460
 #, kde-format
 msgid "User Interface"
 msgstr "Interface do usuário"
@@ -3319,7 +3319,7 @@ msgstr "Classe"
 msgid "Class Settings"
 msgstr "Configurações da classe"
 
-#: dialogs/settingsdialog.cpp:137 umllistview.cpp:1447
+#: dialogs/settingsdialog.cpp:137 umllistview.cpp:1455
 #, kde-format
 msgid "Code Importer"
 msgstr "Importador de código"
@@ -3329,7 +3329,7 @@ msgstr "Importador de código"
 msgid "Code Import Settings"
 msgstr "Configurações do importador de código"
 
-#: dialogs/settingsdialog.cpp:146 umllistview.cpp:1448
+#: dialogs/settingsdialog.cpp:146 umllistview.cpp:1456
 #, kde-format
 msgid "Code Generation"
 msgstr "Geração de código"
@@ -3339,7 +3339,7 @@ msgstr "Geração de código"
 msgid "Code Generation Settings"
 msgstr "Configurações de geração de código"
 
-#: dialogs/settingsdialog.cpp:154 umllistview.cpp:1449
+#: dialogs/settingsdialog.cpp:154 umllistview.cpp:1457
 #, kde-format
 msgid "Code Viewer"
 msgstr "Visualizador de código"
@@ -3349,7 +3349,7 @@ msgstr "Visualizador de código"
 msgid "Code Viewer Settings"
 msgstr "Configurações do visualizador de código"
 
-#: dialogs/settingsdialog.cpp:161 umllistview.cpp:1445
+#: dialogs/settingsdialog.cpp:161 umllistview.cpp:1453
 #, kde-format
 msgid "Auto Layout"
 msgstr "Layout automático"
@@ -3984,7 +3984,7 @@ msgstr "&Tipo:"
 msgid "Package path:"
 msgstr "Localização do pacote:"
 
-#: dialogs/widgets/umlstereotypewidget.cpp:29 uml1model/umlobject.cpp:1179
+#: dialogs/widgets/umlstereotypewidget.cpp:29 uml1model/umlobject.cpp:1180
 #, kde-format
 msgid "Stereotype &name:"
 msgstr "&Nome do estereótipo:"
@@ -4130,7 +4130,7 @@ msgstr ""
 msgid "Gael de Chalendar (aka Kleag)"
 msgstr "Gael de Chalendar (aka Kleag)"
 
-#: docgenerators/main.cpp:56 main.cpp:131
+#: docgenerators/main.cpp:56 main.cpp:133
 #, kde-format
 msgid "Umbrello UML Modeller Authors"
 msgstr "Autores do modelador UML Umbrello"
@@ -4194,12 +4194,12 @@ msgstr "Ativar a edição da documentaç
 msgid "Apply layout"
 msgstr "Aplicar o layout"
 
-#: main.cpp:121
+#: main.cpp:123
 #, kde-format
 msgid "Umbrello UML Modeller"
 msgstr "Modelador UML Umbrello"
 
-#: main.cpp:123
+#: main.cpp:125
 #, kde-format
 msgid ""
 "Umbrello – Visual development environment for software, based on the "
@@ -4210,7 +4210,7 @@ msgstr ""
 "padrão industrial UML (Unified Modelling Language).<br/>Veja também em <a "
 "href=\"http://www.omg.org/spec/\">http://www.omg.org/spec/</a>."
 
-#: main.cpp:127
+#: main.cpp:129
 #, kde-format
 msgid ""
 "Copyright © 2001 Paul Hensgen,\n"
@@ -4219,98 +4219,98 @@ msgstr ""
 "Copyright © 2001 Paul Hensgen,\n"
 "Copyright © 2002-2020 Os autores do modelador de UML Umbrello"
 
-#: main.cpp:130
+#: main.cpp:132
 #, kde-format
 msgid "Paul Hensgen"
 msgstr "Paul Hensgen"
 
-#: main.cpp:130
+#: main.cpp:132
 #, kde-format
 msgid "Author of initial version."
 msgstr "Autor da versão inicial."
 
-#: main.cpp:134
+#: main.cpp:136
 #, kde-format
 msgid "Oliver Kellogg"
 msgstr "Oliver Kellogg"
 
-#: main.cpp:135 main.cpp:138
+#: main.cpp:137 main.cpp:140
 #, kde-format
 msgid "Bug fixing, porting work, code cleanup, new features."
 msgstr "Correção de erros, migração, limpeza do código e novos recursos."
 
-#: main.cpp:137
+#: main.cpp:139
 #, kde-format
 msgid "Ralf Habacker"
 msgstr "Ralf Habacker"
 
-#: main.cpp:140
+#: main.cpp:142
 #, kde-format
 msgid "Andi Fischer"
 msgstr "Andi Fischer"
 
-#: main.cpp:141
+#: main.cpp:143
 #, kde-format
 msgid "Porting work, code cleanup, new features."
 msgstr "Migração, limpeza do código e novos recursos."
 
-#: main.cpp:143
+#: main.cpp:145
 #, kde-format
 msgid "Jonathan Riddell"
 msgstr "Jonathan Riddell"
 
-#: main.cpp:144
+#: main.cpp:146
 #, kde-format
 msgid "Current maintainer."
 msgstr "Mantenedor atual."
 
-#: main.cpp:146
+#: main.cpp:148
 #, kde-format
 msgid "Brian Thomas"
 msgstr "Brian Thomas"
 
-#: main.cpp:147
+#: main.cpp:149
 #, kde-format
 msgid "A lot of work for C++ and Java code generation. Codeeditor."
 msgstr ""
 "Diversos trabalhos na geração de código em C++ e Java. Editor de código."
 
-#: main.cpp:152
+#: main.cpp:154
 #, kde-format
 msgid "File to open"
 msgstr "Arquivo a abrir"
 
-#: main.cpp:153
+#: main.cpp:155
 #, kde-format
 msgid "export diagrams to extension and exit"
 msgstr "exportar os diagramas para a extensão e sair"
 
-#: main.cpp:154
+#: main.cpp:156
 #, kde-format
 msgid "list available export extensions"
 msgstr "listar as extensões de exportação disponíveis"
 
-#: main.cpp:155
+#: main.cpp:157
 #, kde-format
 msgid "the local directory to save the exported diagrams in"
 msgstr "a pasta local onde salvar os diagramas exportados"
 
-#: main.cpp:155
+#: main.cpp:157
 #, kde-format
 msgid "the directory of the file"
 msgstr "a pasta do arquivo"
 
-#: main.cpp:156
+#: main.cpp:158
 #, kde-format
 msgid "import files"
 msgstr "importar arquivos"
 
-#: main.cpp:157
+#: main.cpp:159
 #, kde-format
 msgid "list supported languages"
 msgstr "listar as linguagens suportadas"
 
-#: main.cpp:158
+#: main.cpp:160
 #, kde-format
 msgid ""
 "keep the tree structure used to store the views in the document in the "
@@ -4319,12 +4319,12 @@ msgstr ""
 "manter a estrutura em árvore usada para guardar as visões do documento na "
 "pasta de destino"
 
-#: main.cpp:159
+#: main.cpp:161
 #, kde-format
 msgid "import files from directory <dir>"
 msgstr "importar arquivos da pasta <dir>"
 
-#: main.cpp:163
+#: main.cpp:165
 #, kde-format
 msgid "set active language"
 msgstr "definir linguagem ativa"
@@ -4588,7 +4588,7 @@ msgstr "Ocultar caixa de destruição"
 msgid "Import File(s)..."
 msgstr "Importar arquivo(s)..."
 
-#: menus/listpopupmenu.cpp:201 uml.cpp:356
+#: menus/listpopupmenu.cpp:201 uml.cpp:365
 #, kde-format
 msgid "Import from Directory..."
 msgstr "Importar da pasta..."
@@ -5088,42 +5088,42 @@ msgctxt "align menu"
 msgid "Align"
 msgstr "Alinhar"
 
-#: menus/widgetbasepopupmenu.cpp:598 uml.cpp:573
+#: menus/widgetbasepopupmenu.cpp:598 uml.cpp:582
 #, kde-format
 msgid "Align Right"
 msgstr "Alinhar à direita"
 
-#: menus/widgetbasepopupmenu.cpp:599 uml.cpp:578
+#: menus/widgetbasepopupmenu.cpp:599 uml.cpp:587
 #, kde-format
 msgid "Align Left"
 msgstr "Alinhar à esquerda"
 
-#: menus/widgetbasepopupmenu.cpp:600 uml.cpp:583
+#: menus/widgetbasepopupmenu.cpp:600 uml.cpp:592
 #, kde-format
 msgid "Align Top"
 msgstr "Alinhar no topo"
 
-#: menus/widgetbasepopupmenu.cpp:601 uml.cpp:588
+#: menus/widgetbasepopupmenu.cpp:601 uml.cpp:597
 #, kde-format
 msgid "Align Bottom"
 msgstr "Alinhar abaixo"
 
-#: menus/widgetbasepopupmenu.cpp:603 uml.cpp:593
+#: menus/widgetbasepopupmenu.cpp:603 uml.cpp:602
 #, kde-format
 msgid "Align Vertical Middle"
 msgstr "Alinhar o centro na vertical"
 
-#: menus/widgetbasepopupmenu.cpp:604 uml.cpp:598
+#: menus/widgetbasepopupmenu.cpp:604 uml.cpp:607
 #, kde-format
 msgid "Align Horizontal Middle"
 msgstr "Alinhar o centro na horizontal"
 
-#: menus/widgetbasepopupmenu.cpp:605 uml.cpp:603
+#: menus/widgetbasepopupmenu.cpp:605 uml.cpp:612
 #, kde-format
 msgid "Align Vertical Distribute"
 msgstr "Distribuição alinhada na vertical"
 
-#: menus/widgetbasepopupmenu.cpp:606 uml.cpp:608
+#: menus/widgetbasepopupmenu.cpp:606 uml.cpp:617
 #, kde-format
 msgid "Align Horizontal Distribute"
 msgstr "Distribuição alinhada na horizontal"
@@ -5928,8 +5928,8 @@ msgstr "Uso"
 #: object_factory.cpp:251 uml1model/classifier.cpp:410
 #: uml1model/classifier.cpp:781 uml1model/entity.cpp:125
 #: uml1model/entity.cpp:178 uml1model/entity.cpp:228 uml1model/entity.cpp:277
-#: uml1model/enum.cpp:107 uml1model/instance.cpp:124 uml1model/package.cpp:171
-#: umldoc.cpp:1721 umldoc.cpp:1755
+#: uml1model/enum.cpp:107 uml1model/instance.cpp:124 uml1model/package.cpp:177
+#: umldoc.cpp:1723 umldoc.cpp:1757
 #, kde-format
 msgid "That is an invalid name."
 msgstr "Este é um nome inválido."
@@ -5949,7 +5949,7 @@ msgstr "Chave reservada"
 #: object_factory.cpp:264 uml1model/classifier.cpp:413
 #: uml1model/classifier.cpp:783 uml1model/entity.cpp:127
 #: uml1model/entity.cpp:180 uml1model/entity.cpp:230 uml1model/entity.cpp:279
-#: uml1model/instance.cpp:126 umldoc.cpp:1727 umldoc.cpp:1764
+#: uml1model/instance.cpp:126 umldoc.cpp:1729 umldoc.cpp:1766
 #, kde-format
 msgid "That name is already being used."
 msgstr "Este nome já está sendo usado."
@@ -5957,8 +5957,8 @@ msgstr "Este nome já está sendo usado.
 #: object_factory.cpp:265 uml1model/classifier.cpp:413
 #: uml1model/classifier.cpp:783 uml1model/entity.cpp:127
 #: uml1model/entity.cpp:180 uml1model/entity.cpp:230 uml1model/entity.cpp:279
-#: uml1model/instance.cpp:126 umldoc.cpp:1629 umldoc.cpp:1699 umldoc.cpp:1727
-#: umldoc.cpp:1764
+#: uml1model/instance.cpp:126 umldoc.cpp:1631 umldoc.cpp:1701 umldoc.cpp:1729
+#: umldoc.cpp:1766
 #, kde-format
 msgid "Not a Unique Name"
 msgstr "Não é um nome único"
@@ -6019,12 +6019,12 @@ msgstr "Um atributo com este nome já ex
 msgid "Choose a different name."
 msgstr "Escolha um nome diferente."
 
-#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:266
+#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:273
 #, kde-format
 msgid "Incorrect use of associations."
 msgstr "Uso incorreto de associações."
 
-#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:266
+#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:273
 #, kde-format
 msgid "Association Error"
 msgstr "Erro de associação"
@@ -7194,188 +7194,188 @@ msgstr "&Linguagem ativa"
 msgid "&Settings"
 msgstr "&Configurações"
 
-#: uml.cpp:332
+#: uml.cpp:341
 #, kde-format
 msgid "&Export model to DocBook"
 msgstr "&Exportar modelo para DocBook"
 
-#: uml.cpp:336
+#: uml.cpp:345
 #, kde-format
 msgid "&Export model to XHTML"
 msgstr "&Exportar modelo para XHTML"
 
-#: uml.cpp:340
+#: uml.cpp:349
 #, kde-format
 msgid "&New Class Wizard..."
 msgstr "Assistente de &nova classe..."
 
-#: uml.cpp:344
+#: uml.cpp:353
 #, kde-format
 msgid "&Add Default Datatypes for Active Language"
 msgstr "&Adicionar tipos de dados padrão para linguagem ativa"
 
-#: uml.cpp:351
+#: uml.cpp:360
 #, kde-format
 msgid "Code &Importing Wizard..."
 msgstr "Assistente de &importação de código..."
 
-#: uml.cpp:361
+#: uml.cpp:370
 #, kde-format
 msgid "&Code Generation Wizard..."
 msgstr "Assistente de geração de &código..."
 
-#: uml.cpp:366
+#: uml.cpp:375
 #, kde-format
 msgid "&Generate All Code"
 msgstr "&Gerar todo o código"
 
-#: uml.cpp:411
+#: uml.cpp:420
 #, kde-format
 msgid "Creates a new document"
 msgstr "Criar um novo documento"
 
-#: uml.cpp:412
+#: uml.cpp:421
 #, kde-format
 msgid "Opens an existing document"
 msgstr "Abrir um documento existente"
 
-#: uml.cpp:413
+#: uml.cpp:422
 #, kde-format
 msgid "Opens a recently used file"
 msgstr "Abrir um arquivo recentemente usado"
 
-#: uml.cpp:414
+#: uml.cpp:423
 #, kde-format
 msgid "Saves the document"
 msgstr "Salvar o documento"
 
-#: uml.cpp:415
+#: uml.cpp:424
 #, kde-format
 msgid "Saves the document as..."
 msgstr "Salvar o documento como..."
 
-#: uml.cpp:416
+#: uml.cpp:425
 #, kde-format
 msgid "Closes the document"
 msgstr "Fechar o documento"
 
-#: uml.cpp:417
+#: uml.cpp:426
 #, kde-format
 msgid "Prints out the document"
 msgstr "Imprimir o documento"
 
-#: uml.cpp:418
+#: uml.cpp:427
 #, kde-format
 msgid "Print Preview of the document"
 msgstr "Visualizar a impressão do documento"
 
-#: uml.cpp:419
+#: uml.cpp:428
 #, kde-format
 msgid "Quits the application"
 msgstr "Sai do aplicativo"
 
-#: uml.cpp:420
+#: uml.cpp:429
 #, kde-format
 msgid "Exports the model to the docbook format"
 msgstr "Exporta o modelo para o formato DocBook"
 
-#: uml.cpp:421
+#: uml.cpp:430
 #, kde-format
 msgid "Exports the model to the XHTML format"
 msgstr "Exporta o modelo para o formato XHTML"
 
-#: uml.cpp:422
+#: uml.cpp:431
 #, kde-format
 msgid "Cuts the selected section and puts it to the clipboard"
 msgstr "Corta a seção selecionada e a coloca na área de transferência"
 
-#: uml.cpp:423
+#: uml.cpp:432
 #, kde-format
 msgid "Copies the selected section to the clipboard"
 msgstr "Copia a seção selecionada para a área de transferência"
 
-#: uml.cpp:424
+#: uml.cpp:433
 #, kde-format
 msgid "Pastes the contents of the clipboard"
 msgstr "Cola o conteúdo da área de transferência"
 
-#: uml.cpp:425
+#: uml.cpp:434
 #, kde-format
 msgid "Set the default program preferences"
 msgstr "Configurar as preferências padrão do programa"
 
-#: uml.cpp:429
+#: uml.cpp:438
 #, kde-format
 msgctxt "delete selected widget"
 msgid "Delete &Selected"
 msgstr "Excluir &selecionado"
 
-#: uml.cpp:440
+#: uml.cpp:449
 #, kde-format
 msgid "&Class Diagram..."
 msgstr "Diagrama de &classe..."
 
-#: uml.cpp:447
+#: uml.cpp:456
 #, kde-format
 msgid "&Object Diagram..."
 msgstr "Diagrama do &objeto..."
 
-#: uml.cpp:454
+#: uml.cpp:463
 #, kde-format
 msgid "&Sequence Diagram..."
 msgstr "Diagrama de &sequência..."
 
-#: uml.cpp:460
+#: uml.cpp:469
 #, kde-format
 msgid "C&ommunication Diagram..."
 msgstr "Diagrama de c&omunicação..."
 
-#: uml.cpp:466
+#: uml.cpp:475
 #, kde-format
 msgid "&Use Case Diagram..."
 msgstr "Diagrama de caso de &uso..."
 
-#: uml.cpp:472
+#: uml.cpp:481
 #, kde-format
 msgid "S&tate Diagram..."
 msgstr "Diagrama de es&tado..."
 
-#: uml.cpp:478
+#: uml.cpp:487
 #, kde-format
 msgid "&Activity Diagram..."
 msgstr "Diagrama de &atividade..."
 
-#: uml.cpp:484
+#: uml.cpp:493
 #, kde-format
 msgid "Co&mponent Diagram..."
 msgstr "Diagrama de co&mponente..."
 
-#: uml.cpp:490
+#: uml.cpp:499
 #, kde-format
 msgid "&Deployment Diagram..."
 msgstr "Diagrama de &distribuição..."
 
-#: uml.cpp:496
+#: uml.cpp:505
 #, kde-format
 msgid "&Entity Relationship Diagram..."
 msgstr "Diagrama de relacionamento da &entidade..."
 
-#: uml.cpp:501 uml.cpp:954
+#: uml.cpp:510 uml.cpp:963
 #, kde-format
 msgid "&Tree View"
 msgstr "&Visão em árvore"
 
-#: uml.cpp:505
+#: uml.cpp:514
 #, kde-format
 msgid "&Debugging"
 msgstr "&Depuração"
 
-#: uml.cpp:513
+#: uml.cpp:522
 #, kde-format
 msgid "&Logging"
 msgstr "&Registro"
 
-#: uml.cpp:517
+#: uml.cpp:526
 #, kde-format
 msgid "&Command history"
 msgstr "Histórico de &comandos"
@@ -7384,135 +7384,135 @@ msgstr "Histórico de &comandos"
 #. m_propertyDock->setObjectName(QLatin1String("PropertyDock"));
 #. addDockWidget(Qt::LeftDockWidgetArea, m_propertyDock);  //:TODO:
 #. create the bird's eye view
-#: uml.cpp:521 uml.cpp:1011
+#: uml.cpp:530 uml.cpp:1020
 #, kde-format
 msgid "&Bird's eye view"
 msgstr "&Exibição vista de cima"
 
-#: uml.cpp:526
+#: uml.cpp:535
 #, kde-format
 msgid "&Clear Diagram"
 msgstr "&Limpar diagrama"
 
-#: uml.cpp:530
+#: uml.cpp:539
 #, kde-format
 msgid "&Snap to Grid"
 msgstr "Aju&star à grade"
 
-#: uml.cpp:534
+#: uml.cpp:543
 #, kde-format
 msgid "S&how Grid"
 msgstr "&Mostrar grade"
 
-#: uml.cpp:539
+#: uml.cpp:548
 #, kde-format
 msgid "&Delete Diagram"
 msgstr "Excluir &diagrama"
 
-#: uml.cpp:544
+#: uml.cpp:553
 #, kde-format
 msgid "&Export as Picture..."
 msgstr "&Exportar como imagem..."
 
-#: uml.cpp:549
+#: uml.cpp:558
 #, kde-format
 msgid "Export &Diagrams as Pictures..."
 msgstr "Export&ar diagramas como imagens..."
 
-#: uml.cpp:569
+#: uml.cpp:578
 #, kde-format
 msgid "Z&oom to 100%"
 msgstr "Ampliar para &100%"
 
-#: uml.cpp:612
+#: uml.cpp:621
 #, kde-format
 msgid "&Move Tab Left"
 msgstr "&Mover aba para a esquerda"
 
-#: uml.cpp:613
+#: uml.cpp:622
 #, kde-format
 msgid "&Move Tab Right"
 msgstr "&Mover aba para a direita"
 
-#: uml.cpp:636
+#: uml.cpp:645
 #, kde-format
 msgid "Select Diagram on Left"
 msgstr "Selecionar diagrama à esquerda"
 
-#: uml.cpp:637
+#: uml.cpp:646
 #, kde-format
 msgid "Select Diagram on Right"
 msgstr "Selecionar diagrama à direita"
 
-#: uml.cpp:776
+#: uml.cpp:785
 #, kde-format
 msgctxt "%1 percent value from 20 to 500"
 msgid " &%1%"
 msgstr " &%1%"
 
-#: uml.cpp:826
+#: uml.cpp:835
 #, kde-format
 msgctxt "init status bar"
 msgid "Ready"
 msgstr "Pronto"
 
-#: uml.cpp:835 uml.cpp:848
+#: uml.cpp:844 uml.cpp:857
 #, kde-format
 msgid "100%"
 msgstr "100%"
 
-#: uml.cpp:840
+#: uml.cpp:849
 #, kde-format
 msgid "Fit"
 msgstr "Ajustar"
 
-#: uml.cpp:899
+#: uml.cpp:908
 #, kde-format
 msgid "Diagram Toolbar"
 msgstr "Barra de ferramentas diagrama"
 
-#: uml.cpp:965
+#: uml.cpp:974
 #, kde-format
 msgid "Doc&umentation"
 msgstr "Doc&umentação"
 
-#: uml.cpp:976
+#: uml.cpp:985
 #, kde-format
 msgid "Co&mmand history"
 msgstr "Histórico de co&mandos"
 
-#: uml.cpp:992
+#: uml.cpp:1001
 #, kde-format
 msgid "&Debug"
 msgstr "&Depurar"
 
-#: uml.cpp:999
+#: uml.cpp:1008
 #, kde-format
 msgid "&Log"
 msgstr "&Registro"
 
-#: uml.cpp:1041 uml.cpp:1258 uml.cpp:1307
+#: uml.cpp:1050 uml.cpp:1267 uml.cpp:1316
 #, kde-format
 msgid "Opening file..."
 msgstr "Abrindo arquivo..."
 
-#: uml.cpp:1092 uml.cpp:1157 uml.cpp:1342 umldoc.cpp:342 umldoc.cpp:344
-#: umldoc.cpp:368 umldoc.cpp:3396
+#: uml.cpp:1101 uml.cpp:1166 uml.cpp:1351 umldoc.cpp:343 umldoc.cpp:345
+#: umldoc.cpp:369 umldoc.cpp:3405
 #, kde-format
 msgid "Untitled"
 msgstr "Sem título"
 
-#: uml.cpp:1240
+#: uml.cpp:1249
 #, kde-format
 msgid "Creating new document..."
 msgstr "Criando novo documento..."
 
-#: uml.cpp:1266 uml.cpp:1281
+#: uml.cpp:1275 uml.cpp:1290
 #, kde-format
 msgid "Open File"
 msgstr "Abrir arquivo"
 
-#: uml.cpp:1270
+#: uml.cpp:1279
 #, kde-format
 msgid ""
 "*.xmi *.xmi.tgz *.xmi.tar.bz2 *.mdl *.zargo|All Supported Files (*.xmi, *."
@@ -7531,22 +7531,22 @@ msgstr ""
 "*.mdl|Arquivos de modelo do Rose (*.mdl)\n"
 "*.zargo|Arquivo do Argo comprimidos (*.zargo)\n"
 
-#: uml.cpp:1341
+#: uml.cpp:1350
 #, kde-format
 msgid "Saving file..."
 msgstr "Salvando arquivo..."
 
-#: uml.cpp:1358
+#: uml.cpp:1367
 #, kde-format
 msgid "Saving file with a new filename..."
 msgstr "Salvando o arquivo com um novo nome..."
 
-#: uml.cpp:1368 uml.cpp:1374 umlviewimageexporter.cpp:199
+#: uml.cpp:1377 uml.cpp:1383 umlviewimageexporter.cpp:199
 #, kde-format
 msgid "Save As"
 msgstr "Salvar como"
 
-#: uml.cpp:1369
+#: uml.cpp:1378
 #, kde-format
 msgid ""
 "*.xmi | XMI File (*.xmi);;*.xmi.tgz | Gzip Compressed XMI File (*.xmi.tgz);;"
@@ -7556,7 +7556,7 @@ msgstr ""
 "xmi.tgz);;*.xmi.tar.bz2 | Arquivo XMI compactado com Bzip2 (*.xmi.tar.bz2);;"
 "* | Todos os arquivos (*)"
 
-#: uml.cpp:1374
+#: uml.cpp:1383
 #, kde-format
 msgid ""
 "*.xmi|XMI File\n"
@@ -7569,7 +7569,7 @@ msgstr ""
 "*.xmi.tar.bz2|Arquivo XMI compactado com Bzip2\n"
 "*|Todos os arquivos"
 
-#: uml.cpp:1387
+#: uml.cpp:1396
 #, kde-format
 msgid ""
 "The file %1 exists.\n"
@@ -7578,67 +7578,67 @@ msgstr ""
 "O arquivo %1 já existe.\n"
 "Deseja sobrescrevê-lo?"
 
-#: uml.cpp:1388
+#: uml.cpp:1397
 #, kde-format
 msgid "Warning"
 msgstr "Aviso"
 
-#: uml.cpp:1388
+#: uml.cpp:1397
 #, kde-format
 msgid "Overwrite"
 msgstr "Sobrescrever"
 
-#: uml.cpp:1422
+#: uml.cpp:1431
 #, kde-format
 msgid "Closing file..."
 msgstr "Fechando arquivo..."
 
-#: uml.cpp:1432
+#: uml.cpp:1441
 #, kde-format
 msgid "No search term entered"
 msgstr "Nenhum termo de pesquisa inserido"
 
-#: uml.cpp:1438
+#: uml.cpp:1447
 #, kde-format
 msgid "'%1': %2 found"
 msgstr "'%1': %2 encontrado"
 
-#: uml.cpp:1502
+#: uml.cpp:1511
 #, kde-format
 msgid "Print Preview..."
 msgstr "Visualizar impressão..."
 
-#: uml.cpp:1529
+#: uml.cpp:1538
 #, kde-format
 msgid "Printing..."
 msgstr "Imprimindo..."
 
-#: uml.cpp:1536 uml.cpp:1540
+#: uml.cpp:1545 uml.cpp:1549
 #, kde-format
 msgid "Print %1"
 msgstr "Imprimir %1"
 
-#: uml.cpp:1560
+#: uml.cpp:1569
 #, kde-format
 msgid "Exiting..."
 msgstr "Saindo..."
 
-#: uml.cpp:1647
+#: uml.cpp:1656
 #, kde-format
 msgid "Cutting selection..."
 msgstr "Cortando seleção..."
 
-#: uml.cpp:1670
+#: uml.cpp:1679
 #, kde-format
 msgid "Copying selection to clipboard..."
 msgstr "Copiando a seleção para a área de transferência..."
 
-#: uml.cpp:1682
+#: uml.cpp:1691
 #, kde-format
 msgid "Inserting clipboard contents..."
 msgstr "Inserindo o conteúdo da área de transferência..."
 
-#: uml.cpp:1687
+#: uml.cpp:1696
 #, kde-format
 msgid ""
 "Umbrello could not paste the clipboard contents.  The objects in the "
@@ -7647,38 +7647,38 @@ msgstr ""
 "O Umbrello não conseguiu colar o conteúdo da área de transferência. Os "
 "objetos na área de transferência podem ser do tipo errado para se colar aqui."
 
-#: uml.cpp:1713 umlviewimageexporter.cpp:92 umlviewimageexporterall.cpp:123
+#: uml.cpp:1722 umlviewimageexporter.cpp:92 umlviewimageexporterall.cpp:123
 #, kde-format
 msgctxt "reset status bar"
 msgid "Ready."
 msgstr "Pronto."
 
-#: uml.cpp:2246
+#: uml.cpp:2255
 #, kde-format
 msgid "Cannot view code until you generate some first."
 msgstr "Não é possível ver o código até você gerar alguma coisa primeiro."
 
-#: uml.cpp:2246 uml.cpp:2249
+#: uml.cpp:2255 uml.cpp:2258
 #, kde-format
 msgid "Cannot View Code"
 msgstr "Não foi possível ver o código"
 
-#: uml.cpp:2249
+#: uml.cpp:2258
 #, kde-format
 msgid "Cannot view code from simple code writer."
 msgstr "Não é possível ver o código de um editor simples."
 
-#: uml.cpp:2714 uml.cpp:2716
+#: uml.cpp:2728 uml.cpp:2730
 #, kde-format
 msgid "Select file(s) to import:"
 msgstr "Selecione o(s) arquivo(s) a importar:"
 
-#: uml.cpp:2747 uml.cpp:2749
+#: uml.cpp:2761 uml.cpp:2763
 #, kde-format
 msgid "Select directory to import:"
 msgstr "Selecione a pasta a importar:"
 
-#: uml.cpp:3313
+#: uml.cpp:3335
 #, kde-format
 msgid "XHTML Generation failed ."
 msgstr "A geração de XHTML falhou."
@@ -7692,20 +7692,20 @@ msgstr ""
 "Uma operação com o mesmo nome e assinatura já existem. Você não pode "
 "adicioná-los novamente."
 
-#: uml1model/folder.cpp:435
+#: uml1model/folder.cpp:436
 #, kde-format
 msgid "The folderfile %1 does not exist."
 msgstr "O arquivo da pasta %1 não existe."
 
-#: uml1model/folder.cpp:435 uml1model/folder.cpp:439 umldoc.cpp:529
-#: umldoc.cpp:541 umldoc.cpp:568 umldoc.cpp:570 umldoc.cpp:620 umldoc.cpp:623
-#: umldoc.cpp:638 umldoc.cpp:641 umldoc.cpp:665 umldoc.cpp:668 umldoc.cpp:684
-#: umldoc.cpp:687 umldoc.cpp:702 umldoc.cpp:705 umldoc.cpp:750
+#: uml1model/folder.cpp:436 uml1model/folder.cpp:440 umldoc.cpp:530
+#: umldoc.cpp:542 umldoc.cpp:569 umldoc.cpp:571 umldoc.cpp:621 umldoc.cpp:624
+#: umldoc.cpp:639 umldoc.cpp:642 umldoc.cpp:666 umldoc.cpp:669 umldoc.cpp:685
+#: umldoc.cpp:688 umldoc.cpp:703 umldoc.cpp:706 umldoc.cpp:751
 #, kde-format
 msgid "Load Error"
 msgstr "Erro de carregamento"
 
-#: uml1model/folder.cpp:439
+#: uml1model/folder.cpp:440
 #, kde-format
 msgid "The folderfile %1 cannot be opened."
 msgstr "O arquivo da pasta %1 não consegue ser aberto."
@@ -7715,13 +7715,13 @@ msgstr "O arquivo da pasta %1 não conse
 msgid "new_parameter"
 msgstr "novo_parâmetro"
 
-#: uml1model/package.cpp:163
+#: uml1model/package.cpp:169
 #, kde-format
 msgctxt "object name"
 msgid "Name"
 msgstr "Nome"
 
-#: uml1model/package.cpp:164
+#: uml1model/package.cpp:170
 #, kde-format
 msgid ""
 "An object with the name %1\n"
@@ -7747,77 +7747,77 @@ msgstr "novo_campo"
 msgid "new_fkey_constraint"
 msgstr "nova_restrição_chave_estrangeira"
 
-#: uml1model/umlobject.cpp:1140
+#: uml1model/umlobject.cpp:1141
 #, kde-format
 msgid "Actor &name:"
 msgstr "&Nome do ator:"
 
-#: uml1model/umlobject.cpp:1143
+#: uml1model/umlobject.cpp:1144
 #, kde-format
 msgid "Artifact &name:"
 msgstr "&Nome do artefato:"
 
-#: uml1model/umlobject.cpp:1146
+#: uml1model/umlobject.cpp:1147
 #, kde-format
 msgid "Association &name:"
 msgstr "&Nome da associação:"
 
-#: uml1model/umlobject.cpp:1149
+#: uml1model/umlobject.cpp:1150
 #, kde-format
 msgid "Class &name:"
 msgstr "&Nome da classe:"
 
-#: uml1model/umlobject.cpp:1152
+#: uml1model/umlobject.cpp:1153
 #, kde-format
 msgid "Component &name:"
 msgstr "&Nome do componente:"
 
-#: uml1model/umlobject.cpp:1155
+#: uml1model/umlobject.cpp:1156
 #, kde-format
 msgid "Datatype &name:"
 msgstr "&Nome do tipo de dados:"
 
-#: uml1model/umlobject.cpp:1158
+#: uml1model/umlobject.cpp:1159
 #, kde-format
 msgid "Entity &name:"
 msgstr "&Nome da entidade:"
 
-#: uml1model/umlobject.cpp:1161
+#: uml1model/umlobject.cpp:1162
 #, kde-format
 msgid "Enum &name:"
 msgstr "&Nome da enumeração:"
 
-#: uml1model/umlobject.cpp:1164
+#: uml1model/umlobject.cpp:1165
 #, kde-format
 msgid "Folder &name:"
 msgstr "&Nome da pasta:"
 
-#: uml1model/umlobject.cpp:1167
+#: uml1model/umlobject.cpp:1168
 #, kde-format
 msgid "Interface &name:"
 msgstr "&Nome da interface:"
 
-#: uml1model/umlobject.cpp:1170
+#: uml1model/umlobject.cpp:1171
 #, kde-format
 msgid "Node &name:"
 msgstr "&Nome do nó:"
 
-#: uml1model/umlobject.cpp:1173
+#: uml1model/umlobject.cpp:1174
 #, kde-format
 msgid "Package &name:"
 msgstr "&Nome do pacote:"
 
-#: uml1model/umlobject.cpp:1176
+#: uml1model/umlobject.cpp:1177
 #, kde-format
 msgid "Port &name:"
 msgstr "&Nome da porta:"
 
-#: uml1model/umlobject.cpp:1182
+#: uml1model/umlobject.cpp:1183
 #, kde-format
 msgid "Use case &name:"
 msgstr "&Nome do caso de uso:"
 
-#: uml1model/umlobject.cpp:1185
+#: uml1model/umlobject.cpp:1186
 #, kde-format
 msgid "Instance name:"
 msgstr "Nome da instância:"
@@ -7837,42 +7837,42 @@ msgstr "E&stereótipos"
 msgid "Welcome"
 msgstr "Bem-vindo"
 
-#: umldoc.cpp:112 umldoc.cpp:2400 umldoc.cpp:2428
+#: umldoc.cpp:113 umldoc.cpp:2405 umldoc.cpp:2433
 #, kde-format
 msgid "UML Model"
 msgstr "Modelo UML"
 
-#: umldoc.cpp:154
+#: umldoc.cpp:155
 #, kde-format
 msgid "Logical View"
 msgstr "Visão lógica"
 
-#: umldoc.cpp:155
+#: umldoc.cpp:156
 #, kde-format
 msgid "Use Case View"
 msgstr "Visão do caso de uso"
 
-#: umldoc.cpp:156
+#: umldoc.cpp:157
 #, kde-format
 msgid "Component View"
 msgstr "Visão do componente"
 
-#: umldoc.cpp:157
+#: umldoc.cpp:158
 #, kde-format
 msgid "Deployment View"
 msgstr "Visão de distribuição"
 
-#: umldoc.cpp:158
+#: umldoc.cpp:159
 #, kde-format
 msgid "Entity Relationship Model"
 msgstr "Modelo de relacionamento da entidade"
 
-#: umldoc.cpp:184
+#: umldoc.cpp:185
 #, kde-format
 msgid "Datatypes"
 msgstr "Tipos de dados"
 
-#: umldoc.cpp:363
+#: umldoc.cpp:364
 #, kde-format
 msgid ""
 "The current file has been modified.\n"
@@ -7881,166 +7881,166 @@ msgstr ""
 "O arquivo atual foi modificado.\n"
 "Você deseja salvá-lo?"
 
-#: umldoc.cpp:364
+#: umldoc.cpp:365
 #, kde-format
 msgctxt "warning message"
 msgid "Warning"
 msgstr "Aviso"
 
-#: umldoc.cpp:529
+#: umldoc.cpp:530
 #, kde-format
 msgid "The file <%1> does not exist."
 msgstr "O arquivo <%1> não existe."
 
-#: umldoc.cpp:541
+#: umldoc.cpp:542
 #, kde-format
 msgid "The file %1 does not exist."
 msgstr "O arquivo %1 não existe."
 
-#: umldoc.cpp:568 umldoc.cpp:570
+#: umldoc.cpp:569 umldoc.cpp:571
 #, kde-format
 msgid "The file %1 seems to be corrupted."
 msgstr "O arquivo %1 parece corrompido."
 
-#: umldoc.cpp:619 umldoc.cpp:622 umldoc.cpp:637 umldoc.cpp:640 umldoc.cpp:683
-#: umldoc.cpp:686
+#: umldoc.cpp:620 umldoc.cpp:623 umldoc.cpp:638 umldoc.cpp:641 umldoc.cpp:684
+#: umldoc.cpp:687
 #, kde-format
 msgid "There was no XMI file found in the compressed file %1."
 msgstr "Não havia nenhum arquivo XMI no arquivo compactado %1."
 
-#: umldoc.cpp:664 umldoc.cpp:667
+#: umldoc.cpp:665 umldoc.cpp:668
 #, kde-format
 msgid "There was a problem loading the extracted file: %1"
 msgstr "Ocorreu um problema ao carregar o arquivo compactado: %1"
 
-#: umldoc.cpp:701 umldoc.cpp:704 umldoc.cpp:744 umldoc.cpp:746
+#: umldoc.cpp:702 umldoc.cpp:705 umldoc.cpp:745 umldoc.cpp:747
 #, kde-format
 msgid "There was a problem loading file: %1"
 msgstr "Ocorreu um problema ao carregar o arquivo: %1"
 
-#: umldoc.cpp:749
+#: umldoc.cpp:750
 #, kde-format
 msgid "Reason: %1"
 msgstr "Motivo: %1"
 
-#: umldoc.cpp:832 umldoc.cpp:834 umldoc.cpp:851 umldoc.cpp:853 umldoc.cpp:873
-#: umldoc.cpp:875 umldoc.cpp:924 umldoc.cpp:926 umldoc.cpp:966 umldoc.cpp:969
-#: umldoc.cpp:978 umldoc.cpp:980 umllistview.cpp:593
+#: umldoc.cpp:833 umldoc.cpp:835 umldoc.cpp:852 umldoc.cpp:854 umldoc.cpp:874
+#: umldoc.cpp:876 umldoc.cpp:925 umldoc.cpp:927 umldoc.cpp:968 umldoc.cpp:971
+#: umldoc.cpp:980 umldoc.cpp:982 umllistview.cpp:594
 #, kde-format
 msgid "Save Error"
 msgstr "Erro ao salvar"
 
-#: umldoc.cpp:832 umldoc.cpp:851 umldoc.cpp:873 umldoc.cpp:924 umldoc.cpp:966
+#: umldoc.cpp:833 umldoc.cpp:852 umldoc.cpp:874 umldoc.cpp:925 umldoc.cpp:968
 #, kde-format
 msgid "There was a problem saving: %1"
 msgstr "Ocorreu um problema ao salvar: %1"
 
-#: umldoc.cpp:834 umldoc.cpp:853 umldoc.cpp:875 umldoc.cpp:926 umldoc.cpp:969
-#: umllistview.cpp:592 umlviewimageexportermodel.cpp:303
+#: umldoc.cpp:835 umldoc.cpp:854 umldoc.cpp:876 umldoc.cpp:927 umldoc.cpp:971
+#: umllistview.cpp:593 umlviewimageexportermodel.cpp:303
 #, kde-format
 msgid "There was a problem saving file: %1"
 msgstr "Ocorreu um problema ao salvar o arquivo: %1"
 
-#: umldoc.cpp:978
+#: umldoc.cpp:980
 #, kde-format
 msgid "There was a problem uploading: %1"
 msgstr "Ocorreu um problema ao enviar: %1"
 
-#: umldoc.cpp:980
+#: umldoc.cpp:982
 #, kde-format
 msgid "There was a problem uploading file: %1"
 msgstr "Ocorreu um problema ao enviar arquivo: %1"
 
-#: umldoc.cpp:1526
+#: umldoc.cpp:1528
 #, kde-format
 msgid "use case diagram"
 msgstr "diagrama do caso de uso"
 
-#: umldoc.cpp:1529
+#: umldoc.cpp:1531
 #, kde-format
 msgid "class diagram"
 msgstr "diagrama de classe"
 
-#: umldoc.cpp:1532
+#: umldoc.cpp:1534
 #, kde-format
 msgid "sequence diagram"
 msgstr "diagrama de sequência"
 
-#: umldoc.cpp:1535
+#: umldoc.cpp:1537
 #, kde-format
 msgid "communication diagram"
 msgstr "diagrama de comunicação"
 
-#: umldoc.cpp:1538
+#: umldoc.cpp:1540
 #, kde-format
 msgid "object diagram"
 msgstr "diagrama do objeto"
 
-#: umldoc.cpp:1541
+#: umldoc.cpp:1543
 #, kde-format
 msgid "state diagram"
 msgstr "diagrama de estado"
 
-#: umldoc.cpp:1544
+#: umldoc.cpp:1546
 #, kde-format
 msgid "activity diagram"
 msgstr "diagrama de atividade"
 
-#: umldoc.cpp:1547
+#: umldoc.cpp:1549
 #, kde-format
 msgid "component diagram"
 msgstr "diagrama do componente"
 
-#: umldoc.cpp:1550
+#: umldoc.cpp:1552
 #, kde-format
 msgid "deployment diagram"
 msgstr "diagrama de distribuição"
 
-#: umldoc.cpp:1553
+#: umldoc.cpp:1555
 #, kde-format
 msgid "entity relationship diagram"
 msgstr "diagrama de relacionamento da entidade"
 
-#: umldoc.cpp:1623
+#: umldoc.cpp:1625
 #, kde-format
 msgctxt "diagram name"
 msgid "Name"
 msgstr "Nome"
 
-#: umldoc.cpp:1623 umldoc.cpp:1686 umldoc.cpp:1715 umldoc.cpp:1749
+#: umldoc.cpp:1625 umldoc.cpp:1688 umldoc.cpp:1717 umldoc.cpp:1751
 #, kde-format
 msgid "Enter name:"
 msgstr "Insira o nome:"
 
-#: umldoc.cpp:1627 umldoc.cpp:1692
+#: umldoc.cpp:1629 umldoc.cpp:1694
 #, kde-format
 msgid "That is an invalid name for a diagram."
 msgstr "Este é um nome inválido para um diagrama."
 
-#: umldoc.cpp:1629 umldoc.cpp:1699
+#: umldoc.cpp:1631 umldoc.cpp:1701
 #, kde-format
 msgid "A diagram is already using that name."
 msgstr "Um diagrama já está usando este nome."
 
-#: umldoc.cpp:1685
+#: umldoc.cpp:1687
 #, kde-format
 msgctxt "renaming diagram"
 msgid "Name"
 msgstr "Nome"
 
-#: umldoc.cpp:1714
+#: umldoc.cpp:1716
 #, kde-format
 msgctxt "renaming uml object"
 msgid "Name"
 msgstr "Nome"
 
-#: umldoc.cpp:1748
+#: umldoc.cpp:1750
 #, kde-format
 msgctxt "renaming child uml object"
 msgid "Name"
 msgstr "Nome"
 
-#: umldoc.cpp:1758
+#: umldoc.cpp:1760
 #, kde-format
 msgid ""
 "The name you entered was not unique.\n"
@@ -8049,62 +8049,62 @@ msgstr ""
 "O nome que você inseriu não é único.\n"
 "É isso que você deseja?"
 
-#: umldoc.cpp:1759
+#: umldoc.cpp:1761
 #, kde-format
 msgid "Use Name"
 msgstr "Nome do uso"
 
-#: umldoc.cpp:1759
+#: umldoc.cpp:1761
 #, kde-format
 msgid "Enter New Name"
 msgstr "Insira o novo nome"
 
-#: umldoc.cpp:2361
+#: umldoc.cpp:2366
 #, kde-format
 msgid "Unsupported xmi file version: %1"
 msgstr "Versão de arquivo XMI não suportada: %1"
 
-#: umldoc.cpp:2511
+#: umldoc.cpp:2516
 #, kde-format
 msgid "Setting up the document..."
 msgstr "Configurando o documento..."
 
-#: umldoc.cpp:2540
+#: umldoc.cpp:2545
 #, kde-format
 msgid "Resolving object references..."
 msgstr "Resolvendo referências de objeto..."
 
-#: umldoc.cpp:2648
+#: umldoc.cpp:2653
 #, kde-format
 msgid "Loading UML elements..."
 msgstr "Carregando elementos UML..."
 
-#: umldoc.cpp:2892
+#: umldoc.cpp:2899
 #, kde-format
 msgid "Loading diagrams..."
 msgstr "Carregando diagramas..."
 
-#: umldoc.cpp:3400
+#: umldoc.cpp:3409
 #, kde-format
 msgid "/autosave%1"
 msgstr "/autosave%1"
 
-#: umllistview.cpp:536 umllistview.cpp:540
+#: umllistview.cpp:537 umllistview.cpp:541
 #, kde-format
 msgid "Externalize Folder"
 msgstr "Exteriorizar pasta"
 
-#: umllistview.cpp:574
+#: umllistview.cpp:575
 #, kde-format
 msgid "Folder %1 must be relative to the main model directory, %2."
 msgstr "A pasta %1 deverá ser relativa à pasta principal do modelo, %2."
 
-#: umllistview.cpp:575
+#: umllistview.cpp:576
 #, kde-format
 msgid "Path Error"
 msgstr "Erro da localização"
 
-#: umllistview.cpp:583
+#: umllistview.cpp:584
 #, kde-format
 msgid ""
 "File %1 already exists!\n"
@@ -8113,62 +8113,62 @@ msgstr ""
 "O arquivo %1 já existe!\n"
 "O arquivo existente será sobrescrito."
 
-#: umllistview.cpp:584
+#: umllistview.cpp:585
 #, kde-format
 msgid "File Exist"
 msgstr "O arquivo já existe"
 
-#: umllistview.cpp:624
+#: umllistview.cpp:625
 #, kde-format
 msgid "Enter Model Name"
 msgstr "Inserir o nome do modelo"
 
-#: umllistview.cpp:625
+#: umllistview.cpp:626
 #, kde-format
 msgid "Enter the new name of the model:"
 msgstr "Insira o novo nome do modelo:"
 
-#: umllistview.cpp:1422
+#: umllistview.cpp:1430
 #, kde-format
 msgid "Views"
 msgstr "Visões"
 
-#: umllistview.cpp:1441
+#: umllistview.cpp:1449
 #, kde-format
 msgid "Settings"
 msgstr "Configurações"
 
-#: umllistview.cpp:2413
+#: umllistview.cpp:2421
 #, kde-format
 msgid "Loading listview..."
 msgstr "Carregando visão em lista..."
 
-#: umllistview.cpp:2764
+#: umllistview.cpp:2772
 #, kde-format
 msgid "The class must be emptied before it can be deleted."
 msgstr "A classe deve estar vazia antes de poder ser excluída."
 
-#: umllistview.cpp:2765
+#: umllistview.cpp:2773
 #, kde-format
 msgid "Class Not Empty"
 msgstr "Classe não vazia"
 
-#: umllistview.cpp:2769
+#: umllistview.cpp:2777
 #, kde-format
 msgid "The package must be emptied before it can be deleted."
 msgstr "O pacote deve estar vazio antes de poder ser excluído."
 
-#: umllistview.cpp:2770
+#: umllistview.cpp:2778
 #, kde-format
 msgid "Package Not Empty"
 msgstr "Pacote não vazio"
 
-#: umllistview.cpp:2774
+#: umllistview.cpp:2782
 #, kde-format
 msgid "The folder must be emptied before it can be deleted."
 msgstr "A pasta deve estar vazia antes de poder ser excluída."
 
-#: umllistview.cpp:2775
+#: umllistview.cpp:2783
 #, kde-format
 msgid "Folder Not Empty"
 msgstr "Pasta não vazia"
diff -pruN 4:20.08.3-1/po/ro/umbrello.po 4:20.12.0-0ubuntu1/po/ro/umbrello.po
--- 4:20.08.3-1/po/ro/umbrello.po	2020-11-03 00:42:16.000000000 +0000
+++ 4:20.12.0-0ubuntu1/po/ro/umbrello.po	2020-12-04 00:21:31.000000000 +0000
@@ -8,7 +8,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: umbrello\n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
-"POT-Creation-Date: 2020-08-14 08:09+0200\n"
+"POT-Creation-Date: 2020-11-06 02:36+0100\n"
 "PO-Revision-Date: 2012-12-22 11:47+0200\n"
 "Last-Translator: Sergiu Bivol <sergiu@ase.md>\n"
 "Language-Team: Romanian <kde-i18n-ro@kde.org>\n"
@@ -214,7 +214,7 @@ msgid ""
 "item of the same name already exists.  Any other items have been pasted."
 msgstr ""
 
-#: clipboard/umlclipboard.cpp:753 uml.cpp:1689
+#: clipboard/umlclipboard.cpp:753 uml.cpp:1698
 #, kde-format
 msgid "Paste Error"
 msgstr ""
@@ -449,7 +449,7 @@ msgstr ""
 #. i18n: ectx: attribute (title), widget (QWidget, ui_tabGeneral)
 #: codegenerators/cpp/cppcodegenerationformbase.ui:51
 #: codegenwizard/codegenoptionspage.ui:39 dialogs/objectnodedialog.cpp:135
-#: umllistview.cpp:1451
+#: umllistview.cpp:1459
 #, kde-format
 msgid "General"
 msgstr "General"
@@ -1317,7 +1317,7 @@ msgstr "Stare"
 #. i18n: ectx: property (text), widget (QRadioButton, ui_categoryClass)
 #. i18n: ectx: property (text), widget (QTableWidget, ui_tableWidgetStatus)
 #: codegenwizard/codegenstatuspage.ui:40 codeimpwizard/codeimpstatuspage.ui:54
-#: dialogs/finddialog.ui:89 umllistview.cpp:1446 umlwidgets/widgetbase.cpp:1255
+#: dialogs/finddialog.ui:89 umllistview.cpp:1454 umlwidgets/widgetbase.cpp:1255
 #, fuzzy, kde-format
 msgid "Class"
 msgstr "Clasă"
@@ -1984,35 +1984,35 @@ msgstr ""
 msgid "Enable 'delete diagram' related messages"
 msgstr ""
 
-#: dialogs/dialog_utils.cpp:117
+#: dialogs/dialog_utils.cpp:118
 #, kde-format
 msgid "You are about to delete an association. Do you really want to continue?"
 msgstr ""
 
-#: dialogs/dialog_utils.cpp:118
+#: dialogs/dialog_utils.cpp:119
 #, fuzzy, kde-format
 #| msgid "Association"
 msgid "Delete Association"
 msgstr "Asociere"
 
-#: dialogs/dialog_utils.cpp:132
+#: dialogs/dialog_utils.cpp:133
 #, kde-format
 msgid ""
 "You are about to delete the entire diagram.\n"
 "Are you sure?"
 msgstr ""
 
-#: dialogs/dialog_utils.cpp:133
+#: dialogs/dialog_utils.cpp:134
 #, kde-format
 msgid "Are you sure you want to delete diagram %1?"
 msgstr ""
 
-#: dialogs/dialog_utils.cpp:138
+#: dialogs/dialog_utils.cpp:139
 #, kde-format
 msgid "Delete Diagram?"
 msgstr ""
 
-#: dialogs/dialog_utils.cpp:139 dialogs/pages/classifierlistpage.cpp:215
+#: dialogs/dialog_utils.cpp:140 dialogs/pages/classifierlistpage.cpp:215
 #: dialogs/pages/classifierlistpage.cpp:223
 #: dialogs/umlforeignkeyconstraintdialog.cpp:325
 #: dialogs/umlforeignkeyconstraintdialog.cpp:331
@@ -2172,7 +2172,7 @@ msgstr "General"
 #. i18n: ectx: label, entry (uiFont), group (UI Options)
 #. i18n: ectx: label, entry (codeViewerFont), group (Code Viewer Options)
 #: dialogs/multipagedialogbase.cpp:405 umbrello.kcfg:177 umbrello.kcfg:292
-#: umllistview.cpp:1450
+#: umllistview.cpp:1458
 #, kde-format
 msgid "Font"
 msgstr "Font"
@@ -2601,7 +2601,7 @@ msgstr "Atribut &nou..."
 
 #: dialogs/pages/classifierlistpage.cpp:217
 #: dialogs/pages/classifierlistpage.cpp:225 dialogs/umloperationdialog.cpp:167
-#: dialogs/umloperationdialog.cpp:175 uml.cpp:554
+#: dialogs/umloperationdialog.cpp:175 uml.cpp:563
 #, kde-format
 msgid "&Properties"
 msgstr "&Proprietăți"
@@ -2619,7 +2619,7 @@ msgid "Source Code"
 msgstr "Cod-sursă"
 
 #: dialogs/pages/classoptionspage.cpp:157
-#: dialogs/pages/classoptionspage.cpp:251 uml.cpp:509
+#: dialogs/pages/classoptionspage.cpp:251 uml.cpp:518
 #, fuzzy, kde-format
 #| msgid "Documentation"
 msgid "&Documentation"
@@ -2810,8 +2810,8 @@ msgstr "Denumirea introdusă nu este val
 #: uml1model/classifier.cpp:410 uml1model/classifier.cpp:781
 #: uml1model/entity.cpp:125 uml1model/entity.cpp:178 uml1model/entity.cpp:228
 #: uml1model/entity.cpp:277 uml1model/enum.cpp:107 uml1model/instance.cpp:124
-#: uml1model/package.cpp:172 umldoc.cpp:1627 umldoc.cpp:1692 umldoc.cpp:1721
-#: umldoc.cpp:1755
+#: uml1model/package.cpp:178 umldoc.cpp:1629 umldoc.cpp:1694 umldoc.cpp:1723
+#: umldoc.cpp:1757
 #, kde-format
 msgid "Invalid Name"
 msgstr "Denumire nevalidă"
@@ -2821,7 +2821,7 @@ msgstr "Denumire nevalidă"
 msgid "The name you have entered is not unique."
 msgstr "Denumirea introdusă nu este unică."
 
-#: dialogs/pages/diagrampropertiespage.cpp:86 umldoc.cpp:1759
+#: dialogs/pages/diagrampropertiespage.cpp:86 umldoc.cpp:1761
 #, kde-format
 msgid "Name Not Unique"
 msgstr "Denumire ne-unică"
@@ -3294,7 +3294,7 @@ msgstr "Diagramă"
 msgid "Umbrello Setup"
 msgstr ""
 
-#: dialogs/settingsdialog.cpp:114 umllistview.cpp:1452
+#: dialogs/settingsdialog.cpp:114 umllistview.cpp:1460
 #, fuzzy, kde-format
 msgid "User Interface"
 msgstr "Interfață utilizator"
@@ -3321,7 +3321,7 @@ msgstr "Clasă"
 msgid "Class Settings"
 msgstr ""
 
-#: dialogs/settingsdialog.cpp:137 umllistview.cpp:1447
+#: dialogs/settingsdialog.cpp:137 umllistview.cpp:1455
 #, kde-format
 msgid "Code Importer"
 msgstr ""
@@ -3332,7 +3332,7 @@ msgstr ""
 msgid "Code Import Settings"
 msgstr "Configurări conținut"
 
-#: dialogs/settingsdialog.cpp:146 umllistview.cpp:1448
+#: dialogs/settingsdialog.cpp:146 umllistview.cpp:1456
 #, kde-format
 msgid "Code Generation"
 msgstr ""
@@ -3342,7 +3342,7 @@ msgstr ""
 msgid "Code Generation Settings"
 msgstr ""
 
-#: dialogs/settingsdialog.cpp:154 umllistview.cpp:1449
+#: dialogs/settingsdialog.cpp:154 umllistview.cpp:1457
 #, kde-format
 msgid "Code Viewer"
 msgstr ""
@@ -3352,7 +3352,7 @@ msgstr ""
 msgid "Code Viewer Settings"
 msgstr ""
 
-#: dialogs/settingsdialog.cpp:161 umllistview.cpp:1445
+#: dialogs/settingsdialog.cpp:161 umllistview.cpp:1453
 #, fuzzy, kde-format
 #| msgid "Autosave"
 msgid "Auto Layout"
@@ -3999,7 +3999,7 @@ msgstr "&Tip:"
 msgid "Package path:"
 msgstr "Denumire pachet"
 
-#: dialogs/widgets/umlstereotypewidget.cpp:29 uml1model/umlobject.cpp:1179
+#: dialogs/widgets/umlstereotypewidget.cpp:29 uml1model/umlobject.cpp:1180
 #, fuzzy, kde-format
 #| msgid "State type:"
 msgid "Stereotype &name:"
@@ -4144,7 +4144,7 @@ msgstr ""
 msgid "Gael de Chalendar (aka Kleag)"
 msgstr ""
 
-#: docgenerators/main.cpp:56 main.cpp:131
+#: docgenerators/main.cpp:56 main.cpp:133
 #, kde-format
 msgid "Umbrello UML Modeller Authors"
 msgstr ""
@@ -4208,12 +4208,12 @@ msgstr ""
 msgid "Apply layout"
 msgstr "Salvare automată"
 
-#: main.cpp:121
+#: main.cpp:123
 #, kde-format
 msgid "Umbrello UML Modeller"
 msgstr ""
 
-#: main.cpp:123
+#: main.cpp:125
 #, kde-format
 msgid ""
 "Umbrello – Visual development environment for software, based on the "
@@ -4221,118 +4221,118 @@ msgid ""
 "\"http://www.omg.org/spec/\">http://www.omg.org/spec/</a>."
 msgstr ""
 
-#: main.cpp:127
+#: main.cpp:129
 #, kde-format
 msgid ""
 "Copyright © 2001 Paul Hensgen,\n"
 "Copyright © 2002-2020 Umbrello UML Modeller Authors"
 msgstr ""
 
-#: main.cpp:130
+#: main.cpp:132
 #, kde-format
 msgid "Paul Hensgen"
 msgstr ""
 
-#: main.cpp:130
+#: main.cpp:132
 #, kde-format
 msgid "Author of initial version."
 msgstr ""
 
-#: main.cpp:134
+#: main.cpp:136
 #, kde-format
 msgid "Oliver Kellogg"
 msgstr ""
 
-#: main.cpp:135 main.cpp:138
+#: main.cpp:137 main.cpp:140
 #, kde-format
 msgid "Bug fixing, porting work, code cleanup, new features."
 msgstr ""
 
-#: main.cpp:137
+#: main.cpp:139
 #, kde-format
 msgid "Ralf Habacker"
 msgstr ""
 
-#: main.cpp:140
+#: main.cpp:142
 #, kde-format
 msgid "Andi Fischer"
 msgstr ""
 
-#: main.cpp:141
+#: main.cpp:143
 #, kde-format
 msgid "Porting work, code cleanup, new features."
 msgstr ""
 
-#: main.cpp:143
+#: main.cpp:145
 #, kde-format
 msgid "Jonathan Riddell"
 msgstr ""
 
-#: main.cpp:144
+#: main.cpp:146
 #, fuzzy, kde-format
 #| msgid "&Current diagram"
 msgid "Current maintainer."
 msgstr "Diagrama &curentă"
 
-#: main.cpp:146
+#: main.cpp:148
 #, kde-format
 msgid "Brian Thomas"
 msgstr ""
 
-#: main.cpp:147
+#: main.cpp:149
 #, kde-format
 msgid "A lot of work for C++ and Java code generation. Codeeditor."
 msgstr ""
 
-#: main.cpp:152
+#: main.cpp:154
 #, fuzzy, kde-format
 msgid "File to open"
 msgstr "Fișier de deschis"
 
-#: main.cpp:153
+#: main.cpp:155
 #, kde-format
 msgid "export diagrams to extension and exit"
 msgstr ""
 
-#: main.cpp:154
+#: main.cpp:156
 #, kde-format
 msgid "list available export extensions"
 msgstr ""
 
-#: main.cpp:155
+#: main.cpp:157
 #, kde-format
 msgid "the local directory to save the exported diagrams in"
 msgstr ""
 
-#: main.cpp:155
+#: main.cpp:157
 #, fuzzy, kde-format
 #| msgid "This directory does not exist."
 msgid "the directory of the file"
 msgstr "Directorul nu există."
 
-#: main.cpp:156
+#: main.cpp:158
 #, fuzzy, kde-format
 msgid "import files"
 msgstr "Deschidere fișier..."
 
-#: main.cpp:157
+#: main.cpp:159
 #, fuzzy, kde-format
 msgid "list supported languages"
 msgstr "Toate fișierele"
 
-#: main.cpp:158
+#: main.cpp:160
 #, kde-format
 msgid ""
 "keep the tree structure used to store the views in the document in the "
 "target directory"
 msgstr ""
 
-#: main.cpp:159
+#: main.cpp:161
 #, kde-format
 msgid "import files from directory <dir>"
 msgstr ""
 
-#: main.cpp:163
+#: main.cpp:165
 #, fuzzy, kde-format
 msgid "set active language"
 msgstr "Toate fișierele"
@@ -4610,7 +4610,7 @@ msgstr ""
 msgid "Import File(s)..."
 msgstr "Stare"
 
-#: menus/listpopupmenu.cpp:201 uml.cpp:356
+#: menus/listpopupmenu.cpp:201 uml.cpp:365
 #, kde-format
 msgid "Import from Directory..."
 msgstr ""
@@ -5135,42 +5135,42 @@ msgctxt "align menu"
 msgid "Align"
 msgstr "&Aliniere"
 
-#: menus/widgetbasepopupmenu.cpp:598 uml.cpp:573
+#: menus/widgetbasepopupmenu.cpp:598 uml.cpp:582
 #, kde-format
 msgid "Align Right"
 msgstr "Aliniază la dreapta"
 
-#: menus/widgetbasepopupmenu.cpp:599 uml.cpp:578
+#: menus/widgetbasepopupmenu.cpp:599 uml.cpp:587
 #, kde-format
 msgid "Align Left"
 msgstr "Aliniază la stânga"
 
-#: menus/widgetbasepopupmenu.cpp:600 uml.cpp:583
+#: menus/widgetbasepopupmenu.cpp:600 uml.cpp:592
 #, kde-format
 msgid "Align Top"
 msgstr ""
 
-#: menus/widgetbasepopupmenu.cpp:601 uml.cpp:588
+#: menus/widgetbasepopupmenu.cpp:601 uml.cpp:597
 #, kde-format
 msgid "Align Bottom"
 msgstr ""
 
-#: menus/widgetbasepopupmenu.cpp:603 uml.cpp:593
+#: menus/widgetbasepopupmenu.cpp:603 uml.cpp:602
 #, kde-format
 msgid "Align Vertical Middle"
 msgstr ""
 
-#: menus/widgetbasepopupmenu.cpp:604 uml.cpp:598
+#: menus/widgetbasepopupmenu.cpp:604 uml.cpp:607
 #, kde-format
 msgid "Align Horizontal Middle"
 msgstr ""
 
-#: menus/widgetbasepopupmenu.cpp:605 uml.cpp:603
+#: menus/widgetbasepopupmenu.cpp:605 uml.cpp:612
 #, kde-format
 msgid "Align Vertical Distribute"
 msgstr ""
 
-#: menus/widgetbasepopupmenu.cpp:606 uml.cpp:608
+#: menus/widgetbasepopupmenu.cpp:606 uml.cpp:617
 #, kde-format
 msgid "Align Horizontal Distribute"
 msgstr ""
@@ -6087,8 +6087,8 @@ msgstr "Mesaj"
 #: object_factory.cpp:251 uml1model/classifier.cpp:410
 #: uml1model/classifier.cpp:781 uml1model/entity.cpp:125
 #: uml1model/entity.cpp:178 uml1model/entity.cpp:228 uml1model/entity.cpp:277
-#: uml1model/enum.cpp:107 uml1model/instance.cpp:124 uml1model/package.cpp:171
-#: umldoc.cpp:1721 umldoc.cpp:1755
+#: uml1model/enum.cpp:107 uml1model/instance.cpp:124 uml1model/package.cpp:177
+#: umldoc.cpp:1723 umldoc.cpp:1757
 #, kde-format
 msgid "That is an invalid name."
 msgstr ""
@@ -6107,7 +6107,7 @@ msgstr ""
 #: object_factory.cpp:264 uml1model/classifier.cpp:413
 #: uml1model/classifier.cpp:783 uml1model/entity.cpp:127
 #: uml1model/entity.cpp:180 uml1model/entity.cpp:230 uml1model/entity.cpp:279
-#: uml1model/instance.cpp:126 umldoc.cpp:1727 umldoc.cpp:1764
+#: uml1model/instance.cpp:126 umldoc.cpp:1729 umldoc.cpp:1766
 #, kde-format
 msgid "That name is already being used."
 msgstr ""
@@ -6115,8 +6115,8 @@ msgstr ""
 #: object_factory.cpp:265 uml1model/classifier.cpp:413
 #: uml1model/classifier.cpp:783 uml1model/entity.cpp:127
 #: uml1model/entity.cpp:180 uml1model/entity.cpp:230 uml1model/entity.cpp:279
-#: uml1model/instance.cpp:126 umldoc.cpp:1629 umldoc.cpp:1699 umldoc.cpp:1727
-#: umldoc.cpp:1764
+#: uml1model/instance.cpp:126 umldoc.cpp:1631 umldoc.cpp:1701 umldoc.cpp:1729
+#: umldoc.cpp:1766
 #, kde-format
 msgid "Not a Unique Name"
 msgstr ""
@@ -6178,12 +6178,12 @@ msgstr "Adaugă atribute la noua clasă.
 msgid "Choose a different name."
 msgstr ""
 
-#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:266
+#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:273
 #, kde-format
 msgid "Incorrect use of associations."
 msgstr ""
 
-#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:266
+#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:273
 #, kde-format
 msgid "Association Error"
 msgstr ""
@@ -7380,189 +7380,189 @@ msgstr "Toate fișierele"
 msgid "&Settings"
 msgstr "Configurări font"
 
-#: uml.cpp:332
+#: uml.cpp:341
 #, kde-format
 msgid "&Export model to DocBook"
 msgstr ""
 
-#: uml.cpp:336
+#: uml.cpp:345
 #, kde-format
 msgid "&Export model to XHTML"
 msgstr ""
 
-#: uml.cpp:340
+#: uml.cpp:349
 #, kde-format
 msgid "&New Class Wizard..."
 msgstr ""
 
-#: uml.cpp:344
+#: uml.cpp:353
 #, kde-format
 msgid "&Add Default Datatypes for Active Language"
 msgstr ""
 
-#: uml.cpp:351
+#: uml.cpp:360
 #, fuzzy, kde-format
 msgid "Code &Importing Wizard..."
 msgstr "Deschidere fișier..."
 
-#: uml.cpp:361
+#: uml.cpp:370
 #, kde-format
 msgid "&Code Generation Wizard..."
 msgstr ""
 
-#: uml.cpp:366
+#: uml.cpp:375
 #, kde-format
 msgid "&Generate All Code"
 msgstr ""
 
-#: uml.cpp:411
+#: uml.cpp:420
 #, kde-format
 msgid "Creates a new document"
 msgstr ""
 
-#: uml.cpp:412
+#: uml.cpp:421
 #, kde-format
 msgid "Opens an existing document"
 msgstr ""
 
-#: uml.cpp:413
+#: uml.cpp:422
 #, kde-format
 msgid "Opens a recently used file"
 msgstr ""
 
-#: uml.cpp:414
+#: uml.cpp:423
 #, kde-format
 msgid "Saves the document"
 msgstr ""
 
-#: uml.cpp:415
+#: uml.cpp:424
 #, kde-format
 msgid "Saves the document as..."
 msgstr ""
 
-#: uml.cpp:416
+#: uml.cpp:425
 #, kde-format
 msgid "Closes the document"
 msgstr ""
 
-#: uml.cpp:417
+#: uml.cpp:426
 #, kde-format
 msgid "Prints out the document"
 msgstr ""
 
-#: uml.cpp:418
+#: uml.cpp:427
 #, kde-format
 msgid "Print Preview of the document"
 msgstr ""
 
-#: uml.cpp:419
+#: uml.cpp:428
 #, fuzzy, kde-format
 msgid "Quits the application"
 msgstr "Termină aplicația"
 
-#: uml.cpp:420
+#: uml.cpp:429
 #, kde-format
 msgid "Exports the model to the docbook format"
 msgstr ""
 
-#: uml.cpp:421
+#: uml.cpp:430
 #, kde-format
 msgid "Exports the model to the XHTML format"
 msgstr ""
 
-#: uml.cpp:422
+#: uml.cpp:431
 #, kde-format
 msgid "Cuts the selected section and puts it to the clipboard"
 msgstr "Taie secțiunea selectată și o pune în clipboard"
 
-#: uml.cpp:423
+#: uml.cpp:432
 #, kde-format
 msgid "Copies the selected section to the clipboard"
 msgstr "Copiază secțiunea selectată în clipboard"
 
-#: uml.cpp:424
+#: uml.cpp:433
 #, kde-format
 msgid "Pastes the contents of the clipboard"
 msgstr ""
 
-#: uml.cpp:425
+#: uml.cpp:434
 #, kde-format
 msgid "Set the default program preferences"
 msgstr ""
 
-#: uml.cpp:429
+#: uml.cpp:438
 #, fuzzy, kde-format
 msgctxt "delete selected widget"
 msgid "Delete &Selected"
 msgstr "Șterge pe cel ales"
 
-#: uml.cpp:440
+#: uml.cpp:449
 #, kde-format
 msgid "&Class Diagram..."
 msgstr ""
 
-#: uml.cpp:447
+#: uml.cpp:456
 #, fuzzy, kde-format
 #| msgid "&Select diagrams"
 msgid "&Object Diagram..."
 msgstr "Ale&ge diagrame"
 
-#: uml.cpp:454
+#: uml.cpp:463
 #, kde-format
 msgid "&Sequence Diagram..."
 msgstr ""
 
-#: uml.cpp:460
+#: uml.cpp:469
 #, kde-format
 msgid "C&ommunication Diagram..."
 msgstr ""
 
-#: uml.cpp:466
+#: uml.cpp:475
 #, kde-format
 msgid "&Use Case Diagram..."
 msgstr ""
 
-#: uml.cpp:472
+#: uml.cpp:481
 #, kde-format
 msgid "S&tate Diagram..."
 msgstr ""
 
-#: uml.cpp:478
+#: uml.cpp:487
 #, kde-format
 msgid "&Activity Diagram..."
 msgstr ""
 
-#: uml.cpp:484
+#: uml.cpp:493
 #, kde-format
 msgid "Co&mponent Diagram..."
 msgstr ""
 
-#: uml.cpp:490
+#: uml.cpp:499
 #, kde-format
 msgid "&Deployment Diagram..."
 msgstr ""
 
-#: uml.cpp:496
+#: uml.cpp:505
 #, kde-format
 msgid "&Entity Relationship Diagram..."
 msgstr ""
 
-#: uml.cpp:501 uml.cpp:954
+#: uml.cpp:510 uml.cpp:963
 #, fuzzy, kde-format
 msgid "&Tree View"
 msgstr "Vizualizare arborescentă"
 
-#: uml.cpp:505
+#: uml.cpp:514
 #, kde-format
 msgid "&Debugging"
 msgstr ""
 
-#: uml.cpp:513
+#: uml.cpp:522
 #, kde-format
 msgid "&Logging"
 msgstr ""
 
-#: uml.cpp:517
+#: uml.cpp:526
 #, kde-format
 msgid "&Command history"
 msgstr ""
@@ -7571,137 +7571,137 @@ msgstr ""
 #. m_propertyDock->setObjectName(QLatin1String("PropertyDock"));
 #. addDockWidget(Qt::LeftDockWidgetArea, m_propertyDock);  //:TODO:
 #. create the bird's eye view
-#: uml.cpp:521 uml.cpp:1011
+#: uml.cpp:530 uml.cpp:1020
 #, kde-format
 msgid "&Bird's eye view"
 msgstr ""
 
-#: uml.cpp:526
+#: uml.cpp:535
 #, kde-format
 msgid "&Clear Diagram"
 msgstr ""
 
-#: uml.cpp:530
+#: uml.cpp:539
 #, fuzzy, kde-format
 msgid "&Snap to Grid"
 msgstr "Aliniază la grilă"
 
-#: uml.cpp:534
+#: uml.cpp:543
 #, fuzzy, kde-format
 msgid "S&how Grid"
 msgstr "Afișează &grila"
 
-#: uml.cpp:539
+#: uml.cpp:548
 #, fuzzy, kde-format
 #| msgid "&Select diagrams"
 msgid "&Delete Diagram"
 msgstr "Ale&ge diagrame"
 
-#: uml.cpp:544
+#: uml.cpp:553
 #, kde-format
 msgid "&Export as Picture..."
 msgstr ""
 
-#: uml.cpp:549
+#: uml.cpp:558
 #, kde-format
 msgid "Export &Diagrams as Pictures..."
 msgstr ""
 
-#: uml.cpp:569
+#: uml.cpp:578
 #, kde-format
 msgid "Z&oom to 100%"
 msgstr ""
 
-#: uml.cpp:612
+#: uml.cpp:621
 #, fuzzy, kde-format
 msgid "&Move Tab Left"
 msgstr "Mută fila la stânga"
 
-#: uml.cpp:613
+#: uml.cpp:622
 #, fuzzy, kde-format
 msgid "&Move Tab Right"
 msgstr "Mută fila la dreapta"
 
-#: uml.cpp:636
+#: uml.cpp:645
 #, kde-format
 msgid "Select Diagram on Left"
 msgstr ""
 
-#: uml.cpp:637
+#: uml.cpp:646
 #, kde-format
 msgid "Select Diagram on Right"
 msgstr ""
 
-#: uml.cpp:776
+#: uml.cpp:785
 #, kde-format
 msgctxt "%1 percent value from 20 to 500"
 msgid " &%1%"
 msgstr ""
 
-#: uml.cpp:826
+#: uml.cpp:835
 #, fuzzy, kde-format
 msgctxt "init status bar"
 msgid "Ready"
 msgstr "Gata"
 
-#: uml.cpp:835 uml.cpp:848
+#: uml.cpp:844 uml.cpp:857
 #, kde-format
 msgid "100%"
 msgstr ""
 
-#: uml.cpp:840
+#: uml.cpp:849
 #, fuzzy, kde-format
 #| msgid "Filter"
 msgid "Fit"
 msgstr "Filtru"
 
-#: uml.cpp:899
+#: uml.cpp:908
 #, kde-format
 msgid "Diagram Toolbar"
 msgstr ""
 
-#: uml.cpp:965
+#: uml.cpp:974
 #, fuzzy, kde-format
 msgid "Doc&umentation"
 msgstr "Documentația"
 
-#: uml.cpp:976
+#: uml.cpp:985
 #, kde-format
 msgid "Co&mmand history"
 msgstr ""
 
-#: uml.cpp:992
+#: uml.cpp:1001
 #, kde-format
 msgid "&Debug"
 msgstr ""
 
-#: uml.cpp:999
+#: uml.cpp:1008
 #, kde-format
 msgid "&Log"
 msgstr ""
 
-#: uml.cpp:1041 uml.cpp:1258 uml.cpp:1307
+#: uml.cpp:1050 uml.cpp:1267 uml.cpp:1316
 #, fuzzy, kde-format
 msgid "Opening file..."
 msgstr "Deschidere fișier..."
 
-#: uml.cpp:1092 uml.cpp:1157 uml.cpp:1342 umldoc.cpp:342 umldoc.cpp:344
-#: umldoc.cpp:368 umldoc.cpp:3396
+#: uml.cpp:1101 uml.cpp:1166 uml.cpp:1351 umldoc.cpp:343 umldoc.cpp:345
+#: umldoc.cpp:369 umldoc.cpp:3405
 #, fuzzy, kde-format
 msgid "Untitled"
 msgstr "Fără nume"
 
-#: uml.cpp:1240
+#: uml.cpp:1249
 #, kde-format
 msgid "Creating new document..."
 msgstr ""
 
-#: uml.cpp:1266 uml.cpp:1281
+#: uml.cpp:1275 uml.cpp:1290
 #, kde-format
 msgid "Open File"
 msgstr "Deschide fișier"
 
-#: uml.cpp:1270
+#: uml.cpp:1279
 #, kde-format
 msgid ""
 "*.xmi *.xmi.tgz *.xmi.tar.bz2 *.mdl *.zargo|All Supported Files (*.xmi, *."
@@ -7713,29 +7713,29 @@ msgid ""
 "*.zargo|Compressed argo Files(*.zargo)\n"
 msgstr ""
 
-#: uml.cpp:1341
+#: uml.cpp:1350
 #, kde-format
 msgid "Saving file..."
 msgstr "Salvare fișier..."
 
-#: uml.cpp:1358
+#: uml.cpp:1367
 #, kde-format
 msgid "Saving file with a new filename..."
 msgstr ""
 
-#: uml.cpp:1368 uml.cpp:1374 umlviewimageexporter.cpp:199
+#: uml.cpp:1377 uml.cpp:1383 umlviewimageexporter.cpp:199
 #, fuzzy, kde-format
 msgid "Save As"
 msgstr "Salvare ca"
 
-#: uml.cpp:1369
+#: uml.cpp:1378
 #, kde-format
 msgid ""
 "*.xmi | XMI File (*.xmi);;*.xmi.tgz | Gzip Compressed XMI File (*.xmi.tgz);;"
 "*.xmi.tar.bz2 | Bzip2 Compressed XMI File (*.xmi.tar.bz2);;* | All Files (*)"
 msgstr ""
 
-#: uml.cpp:1374
+#: uml.cpp:1383
 #, kde-format
 msgid ""
 "*.xmi|XMI File\n"
@@ -7744,113 +7744,113 @@ msgid ""
 "*|All Files"
 msgstr ""
 
-#: uml.cpp:1387
+#: uml.cpp:1396
 #, kde-format
 msgid ""
 "The file %1 exists.\n"
 "Do you wish to overwrite it?"
 msgstr ""
 
-#: uml.cpp:1388
+#: uml.cpp:1397
 #, fuzzy, kde-format
 msgid "Warning"
 msgstr "Avertisment"
 
-#: uml.cpp:1388
+#: uml.cpp:1397
 #, fuzzy, kde-format
 msgid "Overwrite"
 msgstr "Suprascriere"
 
-#: uml.cpp:1422
+#: uml.cpp:1431
 #, kde-format
 msgid "Closing file..."
 msgstr "Închidere fișier..."
 
-#: uml.cpp:1432
+#: uml.cpp:1441
 #, kde-format
 msgid "No search term entered"
 msgstr ""
 
-#: uml.cpp:1438
+#: uml.cpp:1447
 #, kde-format
 msgid "'%1': %2 found"
 msgstr ""
 
-#: uml.cpp:1502
+#: uml.cpp:1511
 #, fuzzy, kde-format
 #| msgid "Printing..."
 msgid "Print Preview..."
 msgstr "Tipăresc..."
 
-#: uml.cpp:1529
+#: uml.cpp:1538
 #, kde-format
 msgid "Printing..."
 msgstr "Tipăresc..."
 
-#: uml.cpp:1536 uml.cpp:1540
+#: uml.cpp:1545 uml.cpp:1549
 #, fuzzy, kde-format
 msgid "Print %1"
 msgstr "Tipărește %1"
 
-#: uml.cpp:1560
+#: uml.cpp:1569
 #, kde-format
 msgid "Exiting..."
 msgstr "Termin..."
 
-#: uml.cpp:1647
+#: uml.cpp:1656
 #, kde-format
 msgid "Cutting selection..."
 msgstr "Tai selecția..."
 
-#: uml.cpp:1670
+#: uml.cpp:1679
 #, kde-format
 msgid "Copying selection to clipboard..."
 msgstr "Copiez selecția în clipboard..."
 
-#: uml.cpp:1682
+#: uml.cpp:1691
 #, kde-format
 msgid "Inserting clipboard contents..."
 msgstr "Inserez conținutul clipboard-ului..."
 
-#: uml.cpp:1687
+#: uml.cpp:1696
 #, kde-format
 msgid ""
 "Umbrello could not paste the clipboard contents.  The objects in the "
 "clipboard may be of the wrong type to be pasted here."
 msgstr ""
 
-#: uml.cpp:1713 umlviewimageexporter.cpp:92 umlviewimageexporterall.cpp:123
+#: uml.cpp:1722 umlviewimageexporter.cpp:92 umlviewimageexporterall.cpp:123
 #, kde-format
 msgctxt "reset status bar"
 msgid "Ready."
 msgstr "Gata."
 
-#: uml.cpp:2246
+#: uml.cpp:2255
 #, kde-format
 msgid "Cannot view code until you generate some first."
 msgstr ""
 
-#: uml.cpp:2246 uml.cpp:2249
+#: uml.cpp:2255 uml.cpp:2258
 #, kde-format
 msgid "Cannot View Code"
 msgstr ""
 
-#: uml.cpp:2249
+#: uml.cpp:2258
 #, kde-format
 msgid "Cannot view code from simple code writer."
 msgstr ""
 
-#: uml.cpp:2714 uml.cpp:2716
+#: uml.cpp:2728 uml.cpp:2730
 #, kde-format
 msgid "Select file(s) to import:"
 msgstr ""
 
-#: uml.cpp:2747 uml.cpp:2749
+#: uml.cpp:2761 uml.cpp:2763
 #, kde-format
 msgid "Select directory to import:"
 msgstr ""
 
-#: uml.cpp:3313
+#: uml.cpp:3335
 #, kde-format
 msgid "XHTML Generation failed ."
 msgstr ""
@@ -7862,20 +7862,20 @@ msgid ""
 "it again."
 msgstr ""
 
-#: uml1model/folder.cpp:435
+#: uml1model/folder.cpp:436
 #, kde-format
 msgid "The folderfile %1 does not exist."
 msgstr ""
 
-#: uml1model/folder.cpp:435 uml1model/folder.cpp:439 umldoc.cpp:529
-#: umldoc.cpp:541 umldoc.cpp:568 umldoc.cpp:570 umldoc.cpp:620 umldoc.cpp:623
-#: umldoc.cpp:638 umldoc.cpp:641 umldoc.cpp:665 umldoc.cpp:668 umldoc.cpp:684
-#: umldoc.cpp:687 umldoc.cpp:702 umldoc.cpp:705 umldoc.cpp:750
+#: uml1model/folder.cpp:436 uml1model/folder.cpp:440 umldoc.cpp:530
+#: umldoc.cpp:542 umldoc.cpp:569 umldoc.cpp:571 umldoc.cpp:621 umldoc.cpp:624
+#: umldoc.cpp:639 umldoc.cpp:642 umldoc.cpp:666 umldoc.cpp:669 umldoc.cpp:685
+#: umldoc.cpp:688 umldoc.cpp:703 umldoc.cpp:706 umldoc.cpp:751
 #, kde-format
 msgid "Load Error"
 msgstr ""
 
-#: uml1model/folder.cpp:439
+#: uml1model/folder.cpp:440
 #, kde-format
 msgid "The folderfile %1 cannot be opened."
 msgstr ""
@@ -7885,13 +7885,13 @@ msgstr ""
 msgid "new_parameter"
 msgstr ""
 
-#: uml1model/package.cpp:163
+#: uml1model/package.cpp:169
 #, fuzzy, kde-format
 msgctxt "object name"
 msgid "Name"
 msgstr "Nume"
 
-#: uml1model/package.cpp:164
+#: uml1model/package.cpp:170
 #, kde-format
 msgid ""
 "An object with the name %1\n"
@@ -7914,80 +7914,80 @@ msgstr ""
 msgid "new_fkey_constraint"
 msgstr ""
 
-#: uml1model/umlobject.cpp:1140
+#: uml1model/umlobject.cpp:1141
 #, kde-format
 msgid "Actor &name:"
 msgstr ""
 
-#: uml1model/umlobject.cpp:1143
+#: uml1model/umlobject.cpp:1144
 #, kde-format
 msgid "Artifact &name:"
 msgstr ""
 
-#: uml1model/umlobject.cpp:1146
+#: uml1model/umlobject.cpp:1147
 #, fuzzy, kde-format
 #| msgid "Association"
 msgid "Association &name:"
 msgstr "Asociere"
 
-#: uml1model/umlobject.cpp:1149
+#: uml1model/umlobject.cpp:1150
 #, kde-format
 msgid "Class &name:"
 msgstr "De&numire clasă:"
 
-#: uml1model/umlobject.cpp:1152
+#: uml1model/umlobject.cpp:1153
 #, kde-format
 msgid "Component &name:"
 msgstr "De&numire componentă:"
 
-#: uml1model/umlobject.cpp:1155
+#: uml1model/umlobject.cpp:1156
 #, kde-format
 msgid "Datatype &name:"
 msgstr ""
 
-#: uml1model/umlobject.cpp:1158
+#: uml1model/umlobject.cpp:1159
 #, kde-format
 msgid "Entity &name:"
 msgstr ""
 
-#: uml1model/umlobject.cpp:1161
+#: uml1model/umlobject.cpp:1162
 #, kde-format
 msgid "Enum &name:"
 msgstr ""
 
-#: uml1model/umlobject.cpp:1164
+#: uml1model/umlobject.cpp:1165
 #, fuzzy, kde-format
 #| msgid "Node &name:"
 msgid "Folder &name:"
 msgstr "Denumire &nod:"
 
-#: uml1model/umlobject.cpp:1167
+#: uml1model/umlobject.cpp:1168
 #, kde-format
 msgid "Interface &name:"
 msgstr "De&numire interfață:"
 
-#: uml1model/umlobject.cpp:1170
+#: uml1model/umlobject.cpp:1171
 #, kde-format
 msgid "Node &name:"
 msgstr "Denumire &nod:"
 
-#: uml1model/umlobject.cpp:1173
+#: uml1model/umlobject.cpp:1174
 #, kde-format
 msgid "Package &name:"
 msgstr "De&numire pachet:"
 
-#: uml1model/umlobject.cpp:1176
+#: uml1model/umlobject.cpp:1177
 #, fuzzy, kde-format
 #| msgid "Node &name:"
 msgid "Port &name:"
 msgstr "Denumire &nod:"
 
-#: uml1model/umlobject.cpp:1182
+#: uml1model/umlobject.cpp:1183
 #, kde-format
 msgid "Use case &name:"
 msgstr ""
 
-#: uml1model/umlobject.cpp:1185
+#: uml1model/umlobject.cpp:1186
 #, fuzzy, kde-format
 msgid "Instance name:"
 msgstr "Nume instanță"
@@ -8008,42 +8008,42 @@ msgstr "Tip stare:"
 msgid "Welcome"
 msgstr ""
 
-#: umldoc.cpp:112 umldoc.cpp:2400 umldoc.cpp:2428
+#: umldoc.cpp:113 umldoc.cpp:2405 umldoc.cpp:2433
 #, kde-format
 msgid "UML Model"
 msgstr ""
 
-#: umldoc.cpp:154
+#: umldoc.cpp:155
 #, kde-format
 msgid "Logical View"
 msgstr ""
 
-#: umldoc.cpp:155
+#: umldoc.cpp:156
 #, kde-format
 msgid "Use Case View"
 msgstr ""
 
-#: umldoc.cpp:156
+#: umldoc.cpp:157
 #, kde-format
 msgid "Component View"
 msgstr ""
 
-#: umldoc.cpp:157
+#: umldoc.cpp:158
 #, kde-format
 msgid "Deployment View"
 msgstr ""
 
-#: umldoc.cpp:158
+#: umldoc.cpp:159
 #, kde-format
 msgid "Entity Relationship Model"
 msgstr ""
 
-#: umldoc.cpp:184
+#: umldoc.cpp:185
 #, kde-format
 msgid "Datatypes"
 msgstr ""
 
-#: umldoc.cpp:363
+#: umldoc.cpp:364
 #, kde-format
 msgid ""
 "The current file has been modified.\n"
@@ -8052,296 +8052,296 @@ msgstr ""
 "Fișierul curent a fost modificat.\n"
 "Doriți să îl salvați?"
 
-#: umldoc.cpp:364
+#: umldoc.cpp:365
 #, fuzzy, kde-format
 msgctxt "warning message"
 msgid "Warning"
 msgstr "Avertisment"
 
-#: umldoc.cpp:529
+#: umldoc.cpp:530
 #, fuzzy, kde-format
 #| msgid "The file %1 does not exist."
 msgid "The file <%1> does not exist."
 msgstr "Fișierul %1 nu există."
 
-#: umldoc.cpp:541
+#: umldoc.cpp:542
 #, kde-format
 msgid "The file %1 does not exist."
 msgstr "Fișierul %1 nu există."
 
-#: umldoc.cpp:568 umldoc.cpp:570
+#: umldoc.cpp:569 umldoc.cpp:571
 #, kde-format
 msgid "The file %1 seems to be corrupted."
 msgstr ""
 
-#: umldoc.cpp:619 umldoc.cpp:622 umldoc.cpp:637 umldoc.cpp:640 umldoc.cpp:683
-#: umldoc.cpp:686
+#: umldoc.cpp:620 umldoc.cpp:623 umldoc.cpp:638 umldoc.cpp:641 umldoc.cpp:684
+#: umldoc.cpp:687
 #, kde-format
 msgid "There was no XMI file found in the compressed file %1."
 msgstr ""
 
-#: umldoc.cpp:664 umldoc.cpp:667
+#: umldoc.cpp:665 umldoc.cpp:668
 #, kde-format
 msgid "There was a problem loading the extracted file: %1"
 msgstr ""
 
-#: umldoc.cpp:701 umldoc.cpp:704 umldoc.cpp:744 umldoc.cpp:746
+#: umldoc.cpp:702 umldoc.cpp:705 umldoc.cpp:745 umldoc.cpp:747
 #, kde-format
 msgid "There was a problem loading file: %1"
 msgstr ""
 
-#: umldoc.cpp:749
+#: umldoc.cpp:750
 #, kde-format
 msgid "Reason: %1"
 msgstr ""
 
-#: umldoc.cpp:832 umldoc.cpp:834 umldoc.cpp:851 umldoc.cpp:853 umldoc.cpp:873
-#: umldoc.cpp:875 umldoc.cpp:924 umldoc.cpp:926 umldoc.cpp:966 umldoc.cpp:969
-#: umldoc.cpp:978 umldoc.cpp:980 umllistview.cpp:593
+#: umldoc.cpp:833 umldoc.cpp:835 umldoc.cpp:852 umldoc.cpp:854 umldoc.cpp:874
+#: umldoc.cpp:876 umldoc.cpp:925 umldoc.cpp:927 umldoc.cpp:968 umldoc.cpp:971
+#: umldoc.cpp:980 umldoc.cpp:982 umllistview.cpp:594
 #, kde-format
 msgid "Save Error"
 msgstr "Eroare salvare"
 
-#: umldoc.cpp:832 umldoc.cpp:851 umldoc.cpp:873 umldoc.cpp:924 umldoc.cpp:966
+#: umldoc.cpp:833 umldoc.cpp:852 umldoc.cpp:874 umldoc.cpp:925 umldoc.cpp:968
 #, kde-format
 msgid "There was a problem saving: %1"
 msgstr ""
 
-#: umldoc.cpp:834 umldoc.cpp:853 umldoc.cpp:875 umldoc.cpp:926 umldoc.cpp:969
-#: umllistview.cpp:592 umlviewimageexportermodel.cpp:303
+#: umldoc.cpp:835 umldoc.cpp:854 umldoc.cpp:876 umldoc.cpp:927 umldoc.cpp:971
+#: umllistview.cpp:593 umlviewimageexportermodel.cpp:303
 #, kde-format
 msgid "There was a problem saving file: %1"
 msgstr ""
 
-#: umldoc.cpp:978
+#: umldoc.cpp:980
 #, kde-format
 msgid "There was a problem uploading: %1"
 msgstr ""
 
-#: umldoc.cpp:980
+#: umldoc.cpp:982
 #, kde-format
 msgid "There was a problem uploading file: %1"
 msgstr ""
 
-#: umldoc.cpp:1526
+#: umldoc.cpp:1528
 #, kde-format
 msgid "use case diagram"
 msgstr ""
 
-#: umldoc.cpp:1529
+#: umldoc.cpp:1531
 #, kde-format
 msgid "class diagram"
 msgstr ""
 
-#: umldoc.cpp:1532
+#: umldoc.cpp:1534
 #, kde-format
 msgid "sequence diagram"
 msgstr ""
 
-#: umldoc.cpp:1535
+#: umldoc.cpp:1537
 #, kde-format
 msgid "communication diagram"
 msgstr ""
 
-#: umldoc.cpp:1538
+#: umldoc.cpp:1540
 #, fuzzy, kde-format
 #| msgid "&Select diagrams"
 msgid "object diagram"
 msgstr "Ale&ge diagrame"
 
-#: umldoc.cpp:1541
+#: umldoc.cpp:1543
 #, kde-format
 msgid "state diagram"
 msgstr ""
 
-#: umldoc.cpp:1544
+#: umldoc.cpp:1546
 #, kde-format
 msgid "activity diagram"
 msgstr ""
 
-#: umldoc.cpp:1547
+#: umldoc.cpp:1549
 #, kde-format
 msgid "component diagram"
 msgstr ""
 
-#: umldoc.cpp:1550
+#: umldoc.cpp:1552
 #, kde-format
 msgid "deployment diagram"
 msgstr ""
 
-#: umldoc.cpp:1553
+#: umldoc.cpp:1555
 #, kde-format
 msgid "entity relationship diagram"
 msgstr ""
 
-#: umldoc.cpp:1623
+#: umldoc.cpp:1625
 #, fuzzy, kde-format
 msgctxt "diagram name"
 msgid "Name"
 msgstr "Nume"
 
-#: umldoc.cpp:1623 umldoc.cpp:1686 umldoc.cpp:1715 umldoc.cpp:1749
+#: umldoc.cpp:1625 umldoc.cpp:1688 umldoc.cpp:1717 umldoc.cpp:1751
 #, kde-format
 msgid "Enter name:"
 msgstr "Introduceți numele:"
 
-#: umldoc.cpp:1627 umldoc.cpp:1692
+#: umldoc.cpp:1629 umldoc.cpp:1694
 #, kde-format
 msgid "That is an invalid name for a diagram."
 msgstr ""
 
-#: umldoc.cpp:1629 umldoc.cpp:1699
+#: umldoc.cpp:1631 umldoc.cpp:1701
 #, kde-format
 msgid "A diagram is already using that name."
 msgstr ""
 
-#: umldoc.cpp:1685
+#: umldoc.cpp:1687
 #, fuzzy, kde-format
 msgctxt "renaming diagram"
 msgid "Name"
 msgstr "Nume"
 
-#: umldoc.cpp:1714
+#: umldoc.cpp:1716
 #, fuzzy, kde-format
 msgctxt "renaming uml object"
 msgid "Name"
 msgstr "Nume"
 
-#: umldoc.cpp:1748
+#: umldoc.cpp:1750
 #, fuzzy, kde-format
 msgctxt "renaming child uml object"
 msgid "Name"
 msgstr "Nume"
 
-#: umldoc.cpp:1758
+#: umldoc.cpp:1760
 #, kde-format
 msgid ""
 "The name you entered was not unique.\n"
 "Is this what you wanted?"
 msgstr ""
 
-#: umldoc.cpp:1759
+#: umldoc.cpp:1761
 #, kde-format
 msgid "Use Name"
 msgstr ""
 
-#: umldoc.cpp:1759
+#: umldoc.cpp:1761
 #, kde-format
 msgid "Enter New Name"
 msgstr ""
 
-#: umldoc.cpp:2361
+#: umldoc.cpp:2366
 #, kde-format
 msgid "Unsupported xmi file version: %1"
 msgstr ""
 
-#: umldoc.cpp:2511
+#: umldoc.cpp:2516
 #, kde-format
 msgid "Setting up the document..."
 msgstr ""
 
-#: umldoc.cpp:2540
+#: umldoc.cpp:2545
 #, kde-format
 msgid "Resolving object references..."
 msgstr ""
 
-#: umldoc.cpp:2648
+#: umldoc.cpp:2653
 #, kde-format
 msgid "Loading UML elements..."
 msgstr ""
 
-#: umldoc.cpp:2892
+#: umldoc.cpp:2899
 #, kde-format
 msgid "Loading diagrams..."
 msgstr ""
 
-#: umldoc.cpp:3400
+#: umldoc.cpp:3409
 #, fuzzy, kde-format
 msgid "/autosave%1"
 msgstr "Salvare automată"
 
-#: umllistview.cpp:536 umllistview.cpp:540
+#: umllistview.cpp:537 umllistview.cpp:541
 #, kde-format
 msgid "Externalize Folder"
 msgstr ""
 
-#: umllistview.cpp:574
+#: umllistview.cpp:575
 #, kde-format
 msgid "Folder %1 must be relative to the main model directory, %2."
 msgstr ""
 
-#: umllistview.cpp:575
+#: umllistview.cpp:576
 #, fuzzy, kde-format
 #| msgid "Save Error"
 msgid "Path Error"
 msgstr "Eroare salvare"
 
-#: umllistview.cpp:583
+#: umllistview.cpp:584
 #, kde-format
 msgid ""
 "File %1 already exists!\n"
 "The existing file will be overwritten."
 msgstr ""
 
-#: umllistview.cpp:584
+#: umllistview.cpp:585
 #, fuzzy, kde-format
 #| msgid "File Already Exists"
 msgid "File Exist"
 msgstr "Fișierul există deja"
 
-#: umllistview.cpp:624
+#: umllistview.cpp:625
 #, kde-format
 msgid "Enter Model Name"
 msgstr ""
 
-#: umllistview.cpp:625
+#: umllistview.cpp:626
 #, kde-format
 msgid "Enter the new name of the model:"
 msgstr ""
 
-#: umllistview.cpp:1422
+#: umllistview.cpp:1430
 #, fuzzy, kde-format
 msgid "Views"
 msgstr "Vizualizare"
 
-#: umllistview.cpp:1441
+#: umllistview.cpp:1449
 #, fuzzy, kde-format
 #| msgid "Font Settings"
 msgid "Settings"
 msgstr "Configurări font"
 
-#: umllistview.cpp:2413
+#: umllistview.cpp:2421
 #, kde-format
 msgid "Loading listview..."
 msgstr ""
 
-#: umllistview.cpp:2764
+#: umllistview.cpp:2772
 #, kde-format
 msgid "The class must be emptied before it can be deleted."
 msgstr ""
 
-#: umllistview.cpp:2765
+#: umllistview.cpp:2773
 #, fuzzy, kde-format
 #| msgid "Class name:"
 msgid "Class Not Empty"
 msgstr "Denumire clasă:"
 
-#: umllistview.cpp:2769
+#: umllistview.cpp:2777
 #, kde-format
 msgid "The package must be emptied before it can be deleted."
 msgstr ""
 
-#: umllistview.cpp:2770
+#: umllistview.cpp:2778
 #, fuzzy, kde-format
 msgid "Package Not Empty"
 msgstr "Denumire pachet"
 
-#: umllistview.cpp:2774
+#: umllistview.cpp:2782
 #, kde-format
 msgid "The folder must be emptied before it can be deleted."
 msgstr ""
 
-#: umllistview.cpp:2775
+#: umllistview.cpp:2783
 #, kde-format
 msgid "Folder Not Empty"
 msgstr ""
diff -pruN 4:20.08.3-1/po/ru/umbrello.po 4:20.12.0-0ubuntu1/po/ru/umbrello.po
--- 4:20.08.3-1/po/ru/umbrello.po	2020-11-03 00:42:16.000000000 +0000
+++ 4:20.12.0-0ubuntu1/po/ru/umbrello.po	2020-12-04 00:21:31.000000000 +0000
@@ -14,7 +14,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: umbrello\n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
-"POT-Creation-Date: 2020-08-14 08:09+0200\n"
+"POT-Creation-Date: 2020-11-06 02:36+0100\n"
 "PO-Revision-Date: 2020-04-22 18:07+0300\n"
 "Last-Translator: Alexander Yavorsky <kekcuha@gmail.com>\n"
 "Language-Team: Russian <kde-russian@lists.kde.ru>\n"
@@ -221,7 +221,7 @@ msgstr ""
 "К минимум один из элементов, содержащихся в буфере обмена, не может быть "
 "вставлен из-за конфликта имён. Остальные элементы вставлены."
 
-#: clipboard/umlclipboard.cpp:753 uml.cpp:1689
+#: clipboard/umlclipboard.cpp:753 uml.cpp:1698
 #, kde-format
 msgid "Paste Error"
 msgstr "Ошибка вставки"
@@ -454,7 +454,7 @@ msgstr "<p align=\"center\">Генера
 #. i18n: ectx: attribute (title), widget (QWidget, ui_tabGeneral)
 #: codegenerators/cpp/cppcodegenerationformbase.ui:51
 #: codegenwizard/codegenoptionspage.ui:39 dialogs/objectnodedialog.cpp:135
-#: umllistview.cpp:1451
+#: umllistview.cpp:1459
 #, kde-format
 msgid "General"
 msgstr "Общие"
@@ -1330,7 +1330,7 @@ msgstr "Статус"
 #. i18n: ectx: property (text), widget (QRadioButton, ui_categoryClass)
 #. i18n: ectx: property (text), widget (QTableWidget, ui_tableWidgetStatus)
 #: codegenwizard/codegenstatuspage.ui:40 codeimpwizard/codeimpstatuspage.ui:54
-#: dialogs/finddialog.ui:89 umllistview.cpp:1446 umlwidgets/widgetbase.cpp:1255
+#: dialogs/finddialog.ui:89 umllistview.cpp:1454 umlwidgets/widgetbase.cpp:1255
 #, kde-format
 msgid "Class"
 msgstr "Класс"
@@ -1986,34 +1986,34 @@ msgstr "Включить сообщен
 msgid "Enable 'delete diagram' related messages"
 msgstr "Включить сообщения, связанные с удалением диаграммы"
 
-#: dialogs/dialog_utils.cpp:117
+#: dialogs/dialog_utils.cpp:118
 #, kde-format
 msgid "You are about to delete an association. Do you really want to continue?"
 msgstr "Удалить ассоциацию?"
 
-#: dialogs/dialog_utils.cpp:118
+#: dialogs/dialog_utils.cpp:119
 #, kde-format
 msgid "Delete Association"
 msgstr "Удалить ассоциацию"
 
-#: dialogs/dialog_utils.cpp:132
+#: dialogs/dialog_utils.cpp:133
 #, kde-format
 msgid ""
 "You are about to delete the entire diagram.\n"
 "Are you sure?"
 msgstr "Удалить диаграмму целиком?"
 
-#: dialogs/dialog_utils.cpp:133
+#: dialogs/dialog_utils.cpp:134
 #, kde-format
 msgid "Are you sure you want to delete diagram %1?"
 msgstr "Удалить «%1»?"
 
-#: dialogs/dialog_utils.cpp:138
+#: dialogs/dialog_utils.cpp:139
 #, kde-format
 msgid "Delete Diagram?"
 msgstr "Удалить диаграмму?"
 
-#: dialogs/dialog_utils.cpp:139 dialogs/pages/classifierlistpage.cpp:215
+#: dialogs/dialog_utils.cpp:140 dialogs/pages/classifierlistpage.cpp:215
 #: dialogs/pages/classifierlistpage.cpp:223
 #: dialogs/umlforeignkeyconstraintdialog.cpp:325
 #: dialogs/umlforeignkeyconstraintdialog.cpp:331
@@ -2176,7 +2176,7 @@ msgstr "Общие"
 #. i18n: ectx: label, entry (uiFont), group (UI Options)
 #. i18n: ectx: label, entry (codeViewerFont), group (Code Viewer Options)
 #: dialogs/multipagedialogbase.cpp:405 umbrello.kcfg:177 umbrello.kcfg:292
-#: umllistview.cpp:1450
+#: umllistview.cpp:1458
 #, kde-format
 msgid "Font"
 msgstr "Шрифт"
@@ -2606,7 +2606,7 @@ msgstr "&Создать атрибут 
 
 #: dialogs/pages/classifierlistpage.cpp:217
 #: dialogs/pages/classifierlistpage.cpp:225 dialogs/umloperationdialog.cpp:167
-#: dialogs/umloperationdialog.cpp:175 uml.cpp:554
+#: dialogs/umloperationdialog.cpp:175 uml.cpp:563
 #, kde-format
 msgid "&Properties"
 msgstr "С&войства"
@@ -2624,7 +2624,7 @@ msgid "Source Code"
 msgstr "Исходный код"
 
 #: dialogs/pages/classoptionspage.cpp:157
-#: dialogs/pages/classoptionspage.cpp:251 uml.cpp:509
+#: dialogs/pages/classoptionspage.cpp:251 uml.cpp:518
 #, kde-format
 msgid "&Documentation"
 msgstr "&Документация"
@@ -2814,8 +2814,8 @@ msgstr "Указано неправил
 #: uml1model/classifier.cpp:410 uml1model/classifier.cpp:781
 #: uml1model/entity.cpp:125 uml1model/entity.cpp:178 uml1model/entity.cpp:228
 #: uml1model/entity.cpp:277 uml1model/enum.cpp:107 uml1model/instance.cpp:124
-#: uml1model/package.cpp:172 umldoc.cpp:1627 umldoc.cpp:1692 umldoc.cpp:1721
-#: umldoc.cpp:1755
+#: uml1model/package.cpp:178 umldoc.cpp:1629 umldoc.cpp:1694 umldoc.cpp:1723
+#: umldoc.cpp:1757
 #, kde-format
 msgid "Invalid Name"
 msgstr "Неверное имя"
@@ -2825,7 +2825,7 @@ msgstr "Неверное имя"
 msgid "The name you have entered is not unique."
 msgstr "Такое имя уже существует."
 
-#: dialogs/pages/diagrampropertiespage.cpp:86 umldoc.cpp:1759
+#: dialogs/pages/diagrampropertiespage.cpp:86 umldoc.cpp:1761
 #, kde-format
 msgid "Name Not Unique"
 msgstr "Имя существует"
@@ -3295,7 +3295,7 @@ msgstr "Диаграмма"
 msgid "Umbrello Setup"
 msgstr "Настройка Umbrello"
 
-#: dialogs/settingsdialog.cpp:114 umllistview.cpp:1452
+#: dialogs/settingsdialog.cpp:114 umllistview.cpp:1460
 #, kde-format
 msgid "User Interface"
 msgstr "Интерфейс"
@@ -3322,7 +3322,7 @@ msgstr "Класс"
 msgid "Class Settings"
 msgstr "Параметры класса"
 
-#: dialogs/settingsdialog.cpp:137 umllistview.cpp:1447
+#: dialogs/settingsdialog.cpp:137 umllistview.cpp:1455
 #, kde-format
 msgid "Code Importer"
 msgstr "Импортер кода"
@@ -3332,7 +3332,7 @@ msgstr "Импортер кода"
 msgid "Code Import Settings"
 msgstr "Параметры импорта кода"
 
-#: dialogs/settingsdialog.cpp:146 umllistview.cpp:1448
+#: dialogs/settingsdialog.cpp:146 umllistview.cpp:1456
 #, kde-format
 msgid "Code Generation"
 msgstr "Генерация кода"
@@ -3342,7 +3342,7 @@ msgstr "Генерация кода"
 msgid "Code Generation Settings"
 msgstr "Генерация кода"
 
-#: dialogs/settingsdialog.cpp:154 umllistview.cpp:1449
+#: dialogs/settingsdialog.cpp:154 umllistview.cpp:1457
 #, kde-format
 msgid "Code Viewer"
 msgstr "Просмотр кода"
@@ -3352,7 +3352,7 @@ msgstr "Просмотр кода"
 msgid "Code Viewer Settings"
 msgstr "Просмотр кода"
 
-#: dialogs/settingsdialog.cpp:161 umllistview.cpp:1445
+#: dialogs/settingsdialog.cpp:161 umllistview.cpp:1453
 #, kde-format
 msgid "Auto Layout"
 msgstr "Автоматический шаблон"
@@ -3980,7 +3980,7 @@ msgstr "&Тип:"
 msgid "Package path:"
 msgstr "Путь пакета:"
 
-#: dialogs/widgets/umlstereotypewidget.cpp:29 uml1model/umlobject.cpp:1179
+#: dialogs/widgets/umlstereotypewidget.cpp:29 uml1model/umlobject.cpp:1180
 #, kde-format
 msgid "Stereotype &name:"
 msgstr "&Имя стереотипа:"
@@ -4126,7 +4126,7 @@ msgstr ""
 msgid "Gael de Chalendar (aka Kleag)"
 msgstr "Gael de Chalendar (aka Kleag)"
 
-#: docgenerators/main.cpp:56 main.cpp:131
+#: docgenerators/main.cpp:56 main.cpp:133
 #, kde-format
 msgid "Umbrello UML Modeller Authors"
 msgstr "Авторы Umbrello"
@@ -4190,12 +4190,12 @@ msgstr "Активировать пра
 msgid "Apply layout"
 msgstr "Применить шаблон"
 
-#: main.cpp:121
+#: main.cpp:123
 #, kde-format
 msgid "Umbrello UML Modeller"
 msgstr "Umbrello"
 
-#: main.cpp:123
+#: main.cpp:125
 #, kde-format
 msgid ""
 "Umbrello – Visual development environment for software, based on the "
@@ -4206,7 +4206,7 @@ msgstr ""
 "основанная на универсальном языке моделирования (UML).<br/>Смотрите также <a "
 "href=\"http://www.omg.org/spec/\">http://www.omg.org/spec/</a>."
 
-#: main.cpp:127
+#: main.cpp:129
 #, kde-format
 msgid ""
 "Copyright © 2001 Paul Hensgen,\n"
@@ -4215,109 +4215,109 @@ msgstr ""
 "© Paul Hensgen, 2001\n"
 "© Авторы Umbrello UML Modeller, 2002–2020"
 
-#: main.cpp:130
+#: main.cpp:132
 #, kde-format
 msgid "Paul Hensgen"
 msgstr "Paul Hensgen"
 
-#: main.cpp:130
+#: main.cpp:132
 #, kde-format
 msgid "Author of initial version."
 msgstr "Автор первоначальной версии."
 
-#: main.cpp:134
+#: main.cpp:136
 #, kde-format
 msgid "Oliver Kellogg"
 msgstr "Oliver Kellogg"
 
-#: main.cpp:135 main.cpp:138
+#: main.cpp:137 main.cpp:140
 #, kde-format
 msgid "Bug fixing, porting work, code cleanup, new features."
 msgstr "Исправление ошибок, перенос и очистка кода, новые возможности."
 
-#: main.cpp:137
+#: main.cpp:139
 #, kde-format
 msgid "Ralf Habacker"
 msgstr "Ralf Habacker"
 
-#: main.cpp:140
+#: main.cpp:142
 #, kde-format
 msgid "Andi Fischer"
 msgstr "Andi Fischer"
 
-#: main.cpp:141
+#: main.cpp:143
 #, kde-format
 msgid "Porting work, code cleanup, new features."
 msgstr "Перенос и очистка кода, новые возможности."
 
-#: main.cpp:143
+#: main.cpp:145
 #, kde-format
 msgid "Jonathan Riddell"
 msgstr "Jonathan Riddell"
 
-#: main.cpp:144
+#: main.cpp:146
 #, kde-format
 msgid "Current maintainer."
 msgstr "Текущий сопровождающий."
 
-#: main.cpp:146
+#: main.cpp:148
 #, kde-format
 msgid "Brian Thomas"
 msgstr "Brian Thomas"
 
-#: main.cpp:147
+#: main.cpp:149
 #, kde-format
 msgid "A lot of work for C++ and Java code generation. Codeeditor."
 msgstr "Большая работа над генерацией кода C++ и Java. Редактор кода."
 
-#: main.cpp:152
+#: main.cpp:154
 #, kde-format
 msgid "File to open"
 msgstr "Открыть файл"
 
-#: main.cpp:153
+#: main.cpp:155
 #, kde-format
 msgid "export diagrams to extension and exit"
 msgstr "экспортировать диаграммы и выйти"
 
-#: main.cpp:154
+#: main.cpp:156
 #, kde-format
 msgid "list available export extensions"
 msgstr "список доступных расширений для экспорта"
 
-#: main.cpp:155
+#: main.cpp:157
 #, kde-format
 msgid "the local directory to save the exported diagrams in"
 msgstr "локальный каталог для сохранения экспортируемых диаграмм"
 
-#: main.cpp:155
+#: main.cpp:157
 #, kde-format
 msgid "the directory of the file"
 msgstr "каталог файла"
 
-#: main.cpp:156
+#: main.cpp:158
 #, kde-format
 msgid "import files"
 msgstr "импортировать файлы"
 
-#: main.cpp:157
+#: main.cpp:159
 #, kde-format
 msgid "list supported languages"
 msgstr "список поддерживаемых языков"
 
-#: main.cpp:158
+#: main.cpp:160
 #, kde-format
 msgid ""
 "keep the tree structure used to store the views in the document in the "
 "target directory"
 msgstr "сохранить структуру папок на диске "
 
-#: main.cpp:159
+#: main.cpp:161
 #, kde-format
 msgid "import files from directory <dir>"
 msgstr "импорт файлов из каталога <dir>"
 
-#: main.cpp:163
+#: main.cpp:165
 #, kde-format
 msgid "set active language"
 msgstr "установить активный язык"
@@ -4581,7 +4581,7 @@ msgstr "Скрыть блок дестр
 msgid "Import File(s)..."
 msgstr "Импорт файла(ов)..."
 
-#: menus/listpopupmenu.cpp:201 uml.cpp:356
+#: menus/listpopupmenu.cpp:201 uml.cpp:365
 #, kde-format
 msgid "Import from Directory..."
 msgstr "Импорт из каталога..."
@@ -5081,42 +5081,42 @@ msgctxt "align menu"
 msgid "Align"
 msgstr "Выровнять"
 
-#: menus/widgetbasepopupmenu.cpp:598 uml.cpp:573
+#: menus/widgetbasepopupmenu.cpp:598 uml.cpp:582
 #, kde-format
 msgid "Align Right"
 msgstr "Выровнять по правому краю"
 
-#: menus/widgetbasepopupmenu.cpp:599 uml.cpp:578
+#: menus/widgetbasepopupmenu.cpp:599 uml.cpp:587
 #, kde-format
 msgid "Align Left"
 msgstr "Выровнять по левому краю"
 
-#: menus/widgetbasepopupmenu.cpp:600 uml.cpp:583
+#: menus/widgetbasepopupmenu.cpp:600 uml.cpp:592
 #, kde-format
 msgid "Align Top"
 msgstr "Выровнять по верхнему краю"
 
-#: menus/widgetbasepopupmenu.cpp:601 uml.cpp:588
+#: menus/widgetbasepopupmenu.cpp:601 uml.cpp:597
 #, kde-format
 msgid "Align Bottom"
 msgstr "Выровнять по нижнему краю"
 
-#: menus/widgetbasepopupmenu.cpp:603 uml.cpp:593
+#: menus/widgetbasepopupmenu.cpp:603 uml.cpp:602
 #, kde-format
 msgid "Align Vertical Middle"
 msgstr "Выровнять вертикально (посередине)"
 
-#: menus/widgetbasepopupmenu.cpp:604 uml.cpp:598
+#: menus/widgetbasepopupmenu.cpp:604 uml.cpp:607
 #, kde-format
 msgid "Align Horizontal Middle"
 msgstr "Выровнять горизонтально (посредине)"
 
-#: menus/widgetbasepopupmenu.cpp:605 uml.cpp:603
+#: menus/widgetbasepopupmenu.cpp:605 uml.cpp:612
 #, kde-format
 msgid "Align Vertical Distribute"
 msgstr "Выровнять вертикально (по краям)"
 
-#: menus/widgetbasepopupmenu.cpp:606 uml.cpp:608
+#: menus/widgetbasepopupmenu.cpp:606 uml.cpp:617
 #, kde-format
 msgid "Align Horizontal Distribute"
 msgstr "Выровнять горизонтально (по краям)"
@@ -5921,8 +5921,8 @@ msgstr "Использование"
 #: object_factory.cpp:251 uml1model/classifier.cpp:410
 #: uml1model/classifier.cpp:781 uml1model/entity.cpp:125
 #: uml1model/entity.cpp:178 uml1model/entity.cpp:228 uml1model/entity.cpp:277
-#: uml1model/enum.cpp:107 uml1model/instance.cpp:124 uml1model/package.cpp:171
-#: umldoc.cpp:1721 umldoc.cpp:1755
+#: uml1model/enum.cpp:107 uml1model/instance.cpp:124 uml1model/package.cpp:177
+#: umldoc.cpp:1723 umldoc.cpp:1757
 #, kde-format
 msgid "That is an invalid name."
 msgstr "Неверное имя."
@@ -5941,7 +5941,7 @@ msgstr "Зарезервированно
 #: object_factory.cpp:264 uml1model/classifier.cpp:413
 #: uml1model/classifier.cpp:783 uml1model/entity.cpp:127
 #: uml1model/entity.cpp:180 uml1model/entity.cpp:230 uml1model/entity.cpp:279
-#: uml1model/instance.cpp:126 umldoc.cpp:1727 umldoc.cpp:1764
+#: uml1model/instance.cpp:126 umldoc.cpp:1729 umldoc.cpp:1766
 #, kde-format
 msgid "That name is already being used."
 msgstr "Имя уже используется."
@@ -5949,8 +5949,8 @@ msgstr "Имя уже используе
 #: object_factory.cpp:265 uml1model/classifier.cpp:413
 #: uml1model/classifier.cpp:783 uml1model/entity.cpp:127
 #: uml1model/entity.cpp:180 uml1model/entity.cpp:230 uml1model/entity.cpp:279
-#: uml1model/instance.cpp:126 umldoc.cpp:1629 umldoc.cpp:1699 umldoc.cpp:1727
-#: umldoc.cpp:1764
+#: uml1model/instance.cpp:126 umldoc.cpp:1631 umldoc.cpp:1701 umldoc.cpp:1729
+#: umldoc.cpp:1766
 #, kde-format
 msgid "Not a Unique Name"
 msgstr "Имя уже используется"
@@ -6011,12 +6011,12 @@ msgstr "Атрибут с таким и
 msgid "Choose a different name."
 msgstr "Выбрать другое имя."
 
-#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:266
+#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:273
 #, kde-format
 msgid "Incorrect use of associations."
 msgstr "Недопустимое использование связей."
 
-#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:266
+#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:273
 #, kde-format
 msgid "Association Error"
 msgstr "Ошибка связи"
@@ -7182,188 +7182,188 @@ msgstr "Активный &язык"
 msgid "&Settings"
 msgstr "&Параметры"
 
-#: uml.cpp:332
+#: uml.cpp:341
 #, kde-format
 msgid "&Export model to DocBook"
 msgstr "&Экспорт модели в DocBook"
 
-#: uml.cpp:336
+#: uml.cpp:345
 #, kde-format
 msgid "&Export model to XHTML"
 msgstr "&Экспорт модели в XHTML"
 
-#: uml.cpp:340
+#: uml.cpp:349
 #, kde-format
 msgid "&New Class Wizard..."
 msgstr "Мастер новых &классов..."
 
-#: uml.cpp:344
+#: uml.cpp:353
 #, kde-format
 msgid "&Add Default Datatypes for Active Language"
 msgstr "&Добавить типы данных по умолчанию для активного языка"
 
-#: uml.cpp:351
+#: uml.cpp:360
 #, kde-format
 msgid "Code &Importing Wizard..."
 msgstr "Мастер &импорта кода..."
 
-#: uml.cpp:361
+#: uml.cpp:370
 #, kde-format
 msgid "&Code Generation Wizard..."
 msgstr "&Мастер генерации кода..."
 
-#: uml.cpp:366
+#: uml.cpp:375
 #, kde-format
 msgid "&Generate All Code"
 msgstr "&Генерировать весь код"
 
-#: uml.cpp:411
+#: uml.cpp:420
 #, kde-format
 msgid "Creates a new document"
 msgstr "Создать новый документ"
 
-#: uml.cpp:412
+#: uml.cpp:421
 #, kde-format
 msgid "Opens an existing document"
 msgstr "Открыть существующий документ"
 
-#: uml.cpp:413
+#: uml.cpp:422
 #, kde-format
 msgid "Opens a recently used file"
 msgstr "Открыть использовавшийся недавно документ"
 
-#: uml.cpp:414
+#: uml.cpp:423
 #, kde-format
 msgid "Saves the document"
 msgstr "Сохранить документ"
 
-#: uml.cpp:415
+#: uml.cpp:424
 #, kde-format
 msgid "Saves the document as..."
 msgstr "Сохранить документ как..."
 
-#: uml.cpp:416
+#: uml.cpp:425
 #, kde-format
 msgid "Closes the document"
 msgstr "Закрыть документ"
 
-#: uml.cpp:417
+#: uml.cpp:426
 #, kde-format
 msgid "Prints out the document"
 msgstr "Напечатать документ"
 
-#: uml.cpp:418
+#: uml.cpp:427
 #, kde-format
 msgid "Print Preview of the document"
 msgstr "Предварительный просмотр документа"
 
-#: uml.cpp:419
+#: uml.cpp:428
 #, kde-format
 msgid "Quits the application"
 msgstr "Выйти из программы"
 
-#: uml.cpp:420
+#: uml.cpp:429
 #, kde-format
 msgid "Exports the model to the docbook format"
 msgstr "Экспорт модели в формате docbook"
 
-#: uml.cpp:421
+#: uml.cpp:430
 #, kde-format
 msgid "Exports the model to the XHTML format"
 msgstr "Экспорт модели в формате XHTML"
 
-#: uml.cpp:422
+#: uml.cpp:431
 #, kde-format
 msgid "Cuts the selected section and puts it to the clipboard"
 msgstr "Вырезать выделенный текст и скопировать его в буфер"
 
-#: uml.cpp:423
+#: uml.cpp:432
 #, kde-format
 msgid "Copies the selected section to the clipboard"
 msgstr "Копировать выделенный текст в буфер"
 
-#: uml.cpp:424
+#: uml.cpp:433
 #, kde-format
 msgid "Pastes the contents of the clipboard"
 msgstr "Вставить содержимое буфера обмена"
 
-#: uml.cpp:425
+#: uml.cpp:434
 #, kde-format
 msgid "Set the default program preferences"
 msgstr "Восстановить параметры программы по умолчанию"
 
-#: uml.cpp:429
+#: uml.cpp:438
 #, kde-format
 msgctxt "delete selected widget"
 msgid "Delete &Selected"
 msgstr "Удалить &выделенное"
 
-#: uml.cpp:440
+#: uml.cpp:449
 #, kde-format
 msgid "&Class Diagram..."
 msgstr "&Диаграмма классов..."
 
-#: uml.cpp:447
+#: uml.cpp:456
 #, kde-format
 msgid "&Object Diagram..."
 msgstr "Диаграмма &объектов..."
 
-#: uml.cpp:454
+#: uml.cpp:463
 #, kde-format
 msgid "&Sequence Diagram..."
 msgstr "&Диаграмма последовательностей..."
 
-#: uml.cpp:460
+#: uml.cpp:469
 #, kde-format
 msgid "C&ommunication Diagram..."
 msgstr "Диаграмма к&оммуникации..."
 
-#: uml.cpp:466
+#: uml.cpp:475
 #, kde-format
 msgid "&Use Case Diagram..."
 msgstr "&Диаграмма прецедентов..."
 
-#: uml.cpp:472
+#: uml.cpp:481
 #, kde-format
 msgid "S&tate Diagram..."
 msgstr "&Диаграмма состояний..."
 
-#: uml.cpp:478
+#: uml.cpp:487
 #, kde-format
 msgid "&Activity Diagram..."
 msgstr "&Диаграмма деятельности..."
 
-#: uml.cpp:484
+#: uml.cpp:493
 #, kde-format
 msgid "Co&mponent Diagram..."
 msgstr "Д&иаграмма компонентов..."
 
-#: uml.cpp:490
+#: uml.cpp:499
 #, kde-format
 msgid "&Deployment Diagram..."
 msgstr "&Диаграмма развёртки..."
 
-#: uml.cpp:496
+#: uml.cpp:505
 #, kde-format
 msgid "&Entity Relationship Diagram..."
 msgstr "&Диаграмма отношений сущностей..."
 
-#: uml.cpp:501 uml.cpp:954
+#: uml.cpp:510 uml.cpp:963
 #, kde-format
 msgid "&Tree View"
 msgstr "&Иерархия"
 
-#: uml.cpp:505
+#: uml.cpp:514
 #, kde-format
 msgid "&Debugging"
 msgstr "Отла&дка"
 
-#: uml.cpp:513
+#: uml.cpp:522
 #, kde-format
 msgid "&Logging"
 msgstr "&Журнал"
 
-#: uml.cpp:517
+#: uml.cpp:526
 #, kde-format
 msgid "&Command history"
 msgstr "История &команд"
@@ -7372,135 +7372,135 @@ msgstr "История &команд"
 #. m_propertyDock->setObjectName(QLatin1String("PropertyDock"));
 #. addDockWidget(Qt::LeftDockWidgetArea, m_propertyDock);  //:TODO:
 #. create the bird's eye view
-#: uml.cpp:521 uml.cpp:1011
+#: uml.cpp:530 uml.cpp:1020
 #, kde-format
 msgid "&Bird's eye view"
 msgstr "&Общее представление"
 
-#: uml.cpp:526
+#: uml.cpp:535
 #, kde-format
 msgid "&Clear Diagram"
 msgstr "&Очистить диаграмму"
 
-#: uml.cpp:530
+#: uml.cpp:539
 #, kde-format
 msgid "&Snap to Grid"
 msgstr "Прив&язать к сетке"
 
-#: uml.cpp:534
+#: uml.cpp:543
 #, kde-format
 msgid "S&how Grid"
 msgstr "Показать с&етку"
 
-#: uml.cpp:539
+#: uml.cpp:548
 #, kde-format
 msgid "&Delete Diagram"
 msgstr "У&далить диаграмму"
 
-#: uml.cpp:544
+#: uml.cpp:553
 #, kde-format
 msgid "&Export as Picture..."
 msgstr "&Экспорт в изображение..."
 
-#: uml.cpp:549
+#: uml.cpp:558
 #, kde-format
 msgid "Export &Diagrams as Pictures..."
 msgstr "Экспорт &диаграмм в виде изображений..."
 
-#: uml.cpp:569
+#: uml.cpp:578
 #, kde-format
 msgid "Z&oom to 100%"
 msgstr "&100%"
 
-#: uml.cpp:612
+#: uml.cpp:621
 #, kde-format
 msgid "&Move Tab Left"
 msgstr "&Переместить вкладку влево"
 
-#: uml.cpp:613
+#: uml.cpp:622
 #, kde-format
 msgid "&Move Tab Right"
 msgstr "Переместить вкладку &вправо"
 
-#: uml.cpp:636
+#: uml.cpp:645
 #, kde-format
 msgid "Select Diagram on Left"
 msgstr "Перейти на вкладку слева"
 
-#: uml.cpp:637
+#: uml.cpp:646
 #, kde-format
 msgid "Select Diagram on Right"
 msgstr "Перейти на вкладку справа"
 
-#: uml.cpp:776
+#: uml.cpp:785
 #, kde-format
 msgctxt "%1 percent value from 20 to 500"
 msgid " &%1%"
 msgstr " &%1%"
 
-#: uml.cpp:826
+#: uml.cpp:835
 #, kde-format
 msgctxt "init status bar"
 msgid "Ready"
 msgstr "Готово."
 
-#: uml.cpp:835 uml.cpp:848
+#: uml.cpp:844 uml.cpp:857
 #, kde-format
 msgid "100%"
 msgstr "100%"
 
-#: uml.cpp:840
+#: uml.cpp:849
 #, kde-format
 msgid "Fit"
 msgstr "Вместить в область просмотра"
 
-#: uml.cpp:899
+#: uml.cpp:908
 #, kde-format
 msgid "Diagram Toolbar"
 msgstr "Панель диаграмм"
 
-#: uml.cpp:965
+#: uml.cpp:974
 #, kde-format
 msgid "Doc&umentation"
 msgstr "Док&ументация"
 
-#: uml.cpp:976
+#: uml.cpp:985
 #, kde-format
 msgid "Co&mmand history"
 msgstr "История &команд"
 
-#: uml.cpp:992
+#: uml.cpp:1001
 #, kde-format
 msgid "&Debug"
 msgstr "Отла&дка"
 
-#: uml.cpp:999
+#: uml.cpp:1008
 #, kde-format
 msgid "&Log"
 msgstr "&Журнал"
 
-#: uml.cpp:1041 uml.cpp:1258 uml.cpp:1307
+#: uml.cpp:1050 uml.cpp:1267 uml.cpp:1316
 #, kde-format
 msgid "Opening file..."
 msgstr "Открытие файла..."
 
-#: uml.cpp:1092 uml.cpp:1157 uml.cpp:1342 umldoc.cpp:342 umldoc.cpp:344
-#: umldoc.cpp:368 umldoc.cpp:3396
+#: uml.cpp:1101 uml.cpp:1166 uml.cpp:1351 umldoc.cpp:343 umldoc.cpp:345
+#: umldoc.cpp:369 umldoc.cpp:3405
 #, kde-format
 msgid "Untitled"
 msgstr "Безымянный"
 
-#: uml.cpp:1240
+#: uml.cpp:1249
 #, kde-format
 msgid "Creating new document..."
 msgstr "Создание нового документа..."
 
-#: uml.cpp:1266 uml.cpp:1281
+#: uml.cpp:1275 uml.cpp:1290
 #, kde-format
 msgid "Open File"
 msgstr "Открыть файл"
 
-#: uml.cpp:1270
+#: uml.cpp:1279
 #, kde-format
 msgid ""
 "*.xmi *.xmi.tgz *.xmi.tar.bz2 *.mdl *.zargo|All Supported Files (*.xmi, *."
@@ -7519,22 +7519,22 @@ msgstr ""
 "*.mdl|Модели Rose (*.mdl)\n"
 "*.zargo|Сжатые файлы Argo (*.zargo)\n"
 
-#: uml.cpp:1341
+#: uml.cpp:1350
 #, kde-format
 msgid "Saving file..."
 msgstr "Сохранение файла..."
 
-#: uml.cpp:1358
+#: uml.cpp:1367
 #, kde-format
 msgid "Saving file with a new filename..."
 msgstr "Сохранение файла под новым именем..."
 
-#: uml.cpp:1368 uml.cpp:1374 umlviewimageexporter.cpp:199
+#: uml.cpp:1377 uml.cpp:1383 umlviewimageexporter.cpp:199
 #, kde-format
 msgid "Save As"
 msgstr "Сохранить как"
 
-#: uml.cpp:1369
+#: uml.cpp:1378
 #, kde-format
 msgid ""
 "*.xmi | XMI File (*.xmi);;*.xmi.tgz | Gzip Compressed XMI File (*.xmi.tgz);;"
@@ -7543,7 +7543,7 @@ msgstr ""
 "*.xmi |Файл XMI (*.xmi);;*.xmi.tgz |Сжатый Gzip файл XMI (*.xmi.tgz);;*.xmi."
 "tar.bz2 |Сжатый Bzip2 файл XMI (*.xmi.tar.bz2);;* |Все файлы (*)"
 
-#: uml.cpp:1374
+#: uml.cpp:1383
 #, kde-format
 msgid ""
 "*.xmi|XMI File\n"
@@ -7556,7 +7556,7 @@ msgstr ""
 "*.xmi.tar.bz2|Сжатый Bzip2 файл XMI (*.xmi.tar.bz2)\n"
 "*|Все файлы (*)"
 
-#: uml.cpp:1387
+#: uml.cpp:1396
 #, kde-format
 msgid ""
 "The file %1 exists.\n"
@@ -7565,67 +7565,67 @@ msgstr ""
 "Файл %1 уже существует.\n"
 "Заменить его?"
 
-#: uml.cpp:1388
+#: uml.cpp:1397
 #, kde-format
 msgid "Warning"
 msgstr "Внимание"
 
-#: uml.cpp:1388
+#: uml.cpp:1397
 #, kde-format
 msgid "Overwrite"
 msgstr "Заменить"
 
-#: uml.cpp:1422
+#: uml.cpp:1431
 #, kde-format
 msgid "Closing file..."
 msgstr "Закрытие файла..."
 
-#: uml.cpp:1432
+#: uml.cpp:1441
 #, kde-format
 msgid "No search term entered"
 msgstr "Условие поиска не задано"
 
-#: uml.cpp:1438
+#: uml.cpp:1447
 #, kde-format
 msgid "'%1': %2 found"
 msgstr "«%1»: найдено %2"
 
-#: uml.cpp:1502
+#: uml.cpp:1511
 #, kde-format
 msgid "Print Preview..."
 msgstr "Предварительный просмотр..."
 
-#: uml.cpp:1529
+#: uml.cpp:1538
 #, kde-format
 msgid "Printing..."
 msgstr "Печать..."
 
-#: uml.cpp:1536 uml.cpp:1540
+#: uml.cpp:1545 uml.cpp:1549
 #, kde-format
 msgid "Print %1"
 msgstr "Печать %1"
 
-#: uml.cpp:1560
+#: uml.cpp:1569
 #, kde-format
 msgid "Exiting..."
 msgstr "Выход..."
 
-#: uml.cpp:1647
+#: uml.cpp:1656
 #, kde-format
 msgid "Cutting selection..."
 msgstr "Вырезание выделенного фрагмента..."
 
-#: uml.cpp:1670
+#: uml.cpp:1679
 #, kde-format
 msgid "Copying selection to clipboard..."
 msgstr "Копирование выделенного фрагмента в буфер обмена..."
 
-#: uml.cpp:1682
+#: uml.cpp:1691
 #, kde-format
 msgid "Inserting clipboard contents..."
 msgstr "Вставка содержимого буфера обмена..."
 
-#: uml.cpp:1687
+#: uml.cpp:1696
 #, kde-format
 msgid ""
 "Umbrello could not paste the clipboard contents.  The objects in the "
@@ -7634,38 +7634,38 @@ msgstr ""
 "Невозможно вставить содержимое буфера обмена. Возможно объекты имеют "
 "недопустимый тип."
 
-#: uml.cpp:1713 umlviewimageexporter.cpp:92 umlviewimageexporterall.cpp:123
+#: uml.cpp:1722 umlviewimageexporter.cpp:92 umlviewimageexporterall.cpp:123
 #, kde-format
 msgctxt "reset status bar"
 msgid "Ready."
 msgstr "Готово."
 
-#: uml.cpp:2246
+#: uml.cpp:2255
 #, kde-format
 msgid "Cannot view code until you generate some first."
 msgstr "Для просмотра кода его нужно сгенерировать."
 
-#: uml.cpp:2246 uml.cpp:2249
+#: uml.cpp:2255 uml.cpp:2258
 #, kde-format
 msgid "Cannot View Code"
 msgstr "Ошибка просмотра кода"
 
-#: uml.cpp:2249
+#: uml.cpp:2258
 #, kde-format
 msgid "Cannot view code from simple code writer."
 msgstr "Невозможно вывести код в редакторе."
 
-#: uml.cpp:2714 uml.cpp:2716
+#: uml.cpp:2728 uml.cpp:2730
 #, kde-format
 msgid "Select file(s) to import:"
 msgstr "Выберите файл(ы) для импорта:"
 
-#: uml.cpp:2747 uml.cpp:2749
+#: uml.cpp:2761 uml.cpp:2763
 #, kde-format
 msgid "Select directory to import:"
 msgstr "Выберите каталог для импорта:"
 
-#: uml.cpp:3313
+#: uml.cpp:3335
 #, kde-format
 msgid "XHTML Generation failed ."
 msgstr "Ошибка генерации XHTML."
@@ -7679,20 +7679,20 @@ msgstr ""
 "Операция с таким же именем и сигнатурой уже существует. Добавить её ещё раз "
 "нельзя."
 
-#: uml1model/folder.cpp:435
+#: uml1model/folder.cpp:436
 #, kde-format
 msgid "The folderfile %1 does not exist."
 msgstr "Файл папки %1 не существует."
 
-#: uml1model/folder.cpp:435 uml1model/folder.cpp:439 umldoc.cpp:529
-#: umldoc.cpp:541 umldoc.cpp:568 umldoc.cpp:570 umldoc.cpp:620 umldoc.cpp:623
-#: umldoc.cpp:638 umldoc.cpp:641 umldoc.cpp:665 umldoc.cpp:668 umldoc.cpp:684
-#: umldoc.cpp:687 umldoc.cpp:702 umldoc.cpp:705 umldoc.cpp:750
+#: uml1model/folder.cpp:436 uml1model/folder.cpp:440 umldoc.cpp:530
+#: umldoc.cpp:542 umldoc.cpp:569 umldoc.cpp:571 umldoc.cpp:621 umldoc.cpp:624
+#: umldoc.cpp:639 umldoc.cpp:642 umldoc.cpp:666 umldoc.cpp:669 umldoc.cpp:685
+#: umldoc.cpp:688 umldoc.cpp:703 umldoc.cpp:706 umldoc.cpp:751
 #, kde-format
 msgid "Load Error"
 msgstr "Ошибка загрузки"
 
-#: uml1model/folder.cpp:439
+#: uml1model/folder.cpp:440
 #, kde-format
 msgid "The folderfile %1 cannot be opened."
 msgstr "Не удалось открыть файл папки %1."
@@ -7702,13 +7702,13 @@ msgstr "Не удалось открыт
 msgid "new_parameter"
 msgstr "new_parameter"
 
-#: uml1model/package.cpp:163
+#: uml1model/package.cpp:169
 #, kde-format
 msgctxt "object name"
 msgid "Name"
 msgstr "Имя"
 
-#: uml1model/package.cpp:164
+#: uml1model/package.cpp:170
 #, kde-format
 msgid ""
 "An object with the name %1\n"
@@ -7734,77 +7734,77 @@ msgstr "new_field"
 msgid "new_fkey_constraint"
 msgstr "new_fkey_constraint"
 
-#: uml1model/umlobject.cpp:1140
+#: uml1model/umlobject.cpp:1141
 #, kde-format
 msgid "Actor &name:"
 msgstr "&Имя действующего лица:"
 
-#: uml1model/umlobject.cpp:1143
+#: uml1model/umlobject.cpp:1144
 #, kde-format
 msgid "Artifact &name:"
 msgstr "&Имя артефакта:"
 
-#: uml1model/umlobject.cpp:1146
+#: uml1model/umlobject.cpp:1147
 #, kde-format
 msgid "Association &name:"
 msgstr "&Имя ассоциации"
 
-#: uml1model/umlobject.cpp:1149
+#: uml1model/umlobject.cpp:1150
 #, kde-format
 msgid "Class &name:"
 msgstr "&Имя класса:"
 
-#: uml1model/umlobject.cpp:1152
+#: uml1model/umlobject.cpp:1153
 #, kde-format
 msgid "Component &name:"
 msgstr "&Имя компонента:"
 
-#: uml1model/umlobject.cpp:1155
+#: uml1model/umlobject.cpp:1156
 #, kde-format
 msgid "Datatype &name:"
 msgstr "&Название типа данных:"
 
-#: uml1model/umlobject.cpp:1158
+#: uml1model/umlobject.cpp:1159
 #, kde-format
 msgid "Entity &name:"
 msgstr "Имя су&щности:"
 
-#: uml1model/umlobject.cpp:1161
+#: uml1model/umlobject.cpp:1162
 #, kde-format
 msgid "Enum &name:"
 msgstr "&Имя перечисляемого типа:"
 
-#: uml1model/umlobject.cpp:1164
+#: uml1model/umlobject.cpp:1165
 #, kde-format
 msgid "Folder &name:"
 msgstr "&Имя папки:"
 
-#: uml1model/umlobject.cpp:1167
+#: uml1model/umlobject.cpp:1168
 #, kde-format
 msgid "Interface &name:"
 msgstr "&Имя интерфейса:"
 
-#: uml1model/umlobject.cpp:1170
+#: uml1model/umlobject.cpp:1171
 #, kde-format
 msgid "Node &name:"
 msgstr "&Имя узла:"
 
-#: uml1model/umlobject.cpp:1173
+#: uml1model/umlobject.cpp:1174
 #, kde-format
 msgid "Package &name:"
 msgstr "&Имя пакета:"
 
-#: uml1model/umlobject.cpp:1176
+#: uml1model/umlobject.cpp:1177
 #, kde-format
 msgid "Port &name:"
 msgstr "&Имя порта:"
 
-#: uml1model/umlobject.cpp:1182
+#: uml1model/umlobject.cpp:1183
 #, kde-format
 msgid "Use case &name:"
 msgstr "&Имя прецедента:"
 
-#: uml1model/umlobject.cpp:1185
+#: uml1model/umlobject.cpp:1186
 #, kde-format
 msgid "Instance name:"
 msgstr "Имя экземпляра:"
@@ -7824,42 +7824,42 @@ msgstr "&Стереотипы"
 msgid "Welcome"
 msgstr "Добро пожаловать"
 
-#: umldoc.cpp:112 umldoc.cpp:2400 umldoc.cpp:2428
+#: umldoc.cpp:113 umldoc.cpp:2405 umldoc.cpp:2433
 #, kde-format
 msgid "UML Model"
 msgstr "Модель UML"
 
-#: umldoc.cpp:154
+#: umldoc.cpp:155
 #, kde-format
 msgid "Logical View"
 msgstr "Логическое представление"
 
-#: umldoc.cpp:155
+#: umldoc.cpp:156
 #, kde-format
 msgid "Use Case View"
 msgstr "Прецеденты"
 
-#: umldoc.cpp:156
+#: umldoc.cpp:157
 #, kde-format
 msgid "Component View"
 msgstr "Компоненты"
 
-#: umldoc.cpp:157
+#: umldoc.cpp:158
 #, kde-format
 msgid "Deployment View"
 msgstr "Развёртывание"
 
-#: umldoc.cpp:158
+#: umldoc.cpp:159
 #, kde-format
 msgid "Entity Relationship Model"
 msgstr "Отношения"
 
-#: umldoc.cpp:184
+#: umldoc.cpp:185
 #, kde-format
 msgid "Datatypes"
 msgstr "Типы данных"
 
-#: umldoc.cpp:363
+#: umldoc.cpp:364
 #, kde-format
 msgid ""
 "The current file has been modified.\n"
@@ -7868,166 +7868,166 @@ msgstr ""
 "Текущий файл был изменён.\n"
 "Сохранить его?"
 
-#: umldoc.cpp:364
+#: umldoc.cpp:365
 #, kde-format
 msgctxt "warning message"
 msgid "Warning"
 msgstr "Внимание"
 
-#: umldoc.cpp:529
+#: umldoc.cpp:530
 #, kde-format
 msgid "The file <%1> does not exist."
 msgstr "Файл <%1> не существует."
 
-#: umldoc.cpp:541
+#: umldoc.cpp:542
 #, kde-format
 msgid "The file %1 does not exist."
 msgstr "Файл %1 не существует."
 
-#: umldoc.cpp:568 umldoc.cpp:570
+#: umldoc.cpp:569 umldoc.cpp:571
 #, kde-format
 msgid "The file %1 seems to be corrupted."
 msgstr "Файл %1 повреждён."
 
-#: umldoc.cpp:619 umldoc.cpp:622 umldoc.cpp:637 umldoc.cpp:640 umldoc.cpp:683
-#: umldoc.cpp:686
+#: umldoc.cpp:620 umldoc.cpp:623 umldoc.cpp:638 umldoc.cpp:641 umldoc.cpp:684
+#: umldoc.cpp:687
 #, kde-format
 msgid "There was no XMI file found in the compressed file %1."
 msgstr "Сжатый файл %1 не содержит XMI."
 
-#: umldoc.cpp:664 umldoc.cpp:667
+#: umldoc.cpp:665 umldoc.cpp:668
 #, kde-format
 msgid "There was a problem loading the extracted file: %1"
 msgstr "Ошибка при загрузке распакованного файла: %1"
 
-#: umldoc.cpp:701 umldoc.cpp:704 umldoc.cpp:744 umldoc.cpp:746
+#: umldoc.cpp:702 umldoc.cpp:705 umldoc.cpp:745 umldoc.cpp:747
 #, kde-format
 msgid "There was a problem loading file: %1"
 msgstr "Ошибка при загрузке файла: %1"
 
-#: umldoc.cpp:749
+#: umldoc.cpp:750
 #, kde-format
 msgid "Reason: %1"
 msgstr "Причина: %1"
 
-#: umldoc.cpp:832 umldoc.cpp:834 umldoc.cpp:851 umldoc.cpp:853 umldoc.cpp:873
-#: umldoc.cpp:875 umldoc.cpp:924 umldoc.cpp:926 umldoc.cpp:966 umldoc.cpp:969
-#: umldoc.cpp:978 umldoc.cpp:980 umllistview.cpp:593
+#: umldoc.cpp:833 umldoc.cpp:835 umldoc.cpp:852 umldoc.cpp:854 umldoc.cpp:874
+#: umldoc.cpp:876 umldoc.cpp:925 umldoc.cpp:927 umldoc.cpp:968 umldoc.cpp:971
+#: umldoc.cpp:980 umldoc.cpp:982 umllistview.cpp:594
 #, kde-format
 msgid "Save Error"
 msgstr "Ошибка сохранения"
 
-#: umldoc.cpp:832 umldoc.cpp:851 umldoc.cpp:873 umldoc.cpp:924 umldoc.cpp:966
+#: umldoc.cpp:833 umldoc.cpp:852 umldoc.cpp:874 umldoc.cpp:925 umldoc.cpp:968
 #, kde-format
 msgid "There was a problem saving: %1"
 msgstr "Ошибка при сохранении: %1"
 
-#: umldoc.cpp:834 umldoc.cpp:853 umldoc.cpp:875 umldoc.cpp:926 umldoc.cpp:969
-#: umllistview.cpp:592 umlviewimageexportermodel.cpp:303
+#: umldoc.cpp:835 umldoc.cpp:854 umldoc.cpp:876 umldoc.cpp:927 umldoc.cpp:971
+#: umllistview.cpp:593 umlviewimageexportermodel.cpp:303
 #, kde-format
 msgid "There was a problem saving file: %1"
 msgstr "Ошибка при сохранении файла: %1"
 
-#: umldoc.cpp:978
+#: umldoc.cpp:980
 #, kde-format
 msgid "There was a problem uploading: %1"
 msgstr "Ошибка при отправке на сервер: %1"
 
-#: umldoc.cpp:980
+#: umldoc.cpp:982
 #, kde-format
 msgid "There was a problem uploading file: %1"
 msgstr "Ошибка при закачке файла на сервер: %1"
 
-#: umldoc.cpp:1526
+#: umldoc.cpp:1528
 #, kde-format
 msgid "use case diagram"
 msgstr "Диаграмма прецедентов"
 
-#: umldoc.cpp:1529
+#: umldoc.cpp:1531
 #, kde-format
 msgid "class diagram"
 msgstr "Диаграмма классов"
 
-#: umldoc.cpp:1532
+#: umldoc.cpp:1534
 #, kde-format
 msgid "sequence diagram"
 msgstr "Диаграмма последовательности"
 
-#: umldoc.cpp:1535
+#: umldoc.cpp:1537
 #, kde-format
 msgid "communication diagram"
 msgstr "диаграмма коммуникации"
 
-#: umldoc.cpp:1538
+#: umldoc.cpp:1540
 #, kde-format
 msgid "object diagram"
 msgstr "диаграмма объектов"
 
-#: umldoc.cpp:1541
+#: umldoc.cpp:1543
 #, kde-format
 msgid "state diagram"
 msgstr "Диаграмма состояний"
 
-#: umldoc.cpp:1544
+#: umldoc.cpp:1546
 #, kde-format
 msgid "activity diagram"
 msgstr "Диаграмма деятельности"
 
-#: umldoc.cpp:1547
+#: umldoc.cpp:1549
 #, kde-format
 msgid "component diagram"
 msgstr "Диаграмма компонентов"
 
-#: umldoc.cpp:1550
+#: umldoc.cpp:1552
 #, kde-format
 msgid "deployment diagram"
 msgstr "Диаграмма развёртывания"
 
-#: umldoc.cpp:1553
+#: umldoc.cpp:1555
 #, kde-format
 msgid "entity relationship diagram"
 msgstr "Диаграмма отношений сущностей"
 
-#: umldoc.cpp:1623
+#: umldoc.cpp:1625
 #, kde-format
 msgctxt "diagram name"
 msgid "Name"
 msgstr "Имя"
 
-#: umldoc.cpp:1623 umldoc.cpp:1686 umldoc.cpp:1715 umldoc.cpp:1749
+#: umldoc.cpp:1625 umldoc.cpp:1688 umldoc.cpp:1717 umldoc.cpp:1751
 #, kde-format
 msgid "Enter name:"
 msgstr "Введите название:"
 
-#: umldoc.cpp:1627 umldoc.cpp:1692
+#: umldoc.cpp:1629 umldoc.cpp:1694
 #, kde-format
 msgid "That is an invalid name for a diagram."
 msgstr "Недопустимое имя диаграммы."
 
-#: umldoc.cpp:1629 umldoc.cpp:1699
+#: umldoc.cpp:1631 umldoc.cpp:1701
 #, kde-format
 msgid "A diagram is already using that name."
 msgstr "Диаграмма уже использует это имя."
 
-#: umldoc.cpp:1685
+#: umldoc.cpp:1687
 #, kde-format
 msgctxt "renaming diagram"
 msgid "Name"
 msgstr "Имя"
 
-#: umldoc.cpp:1714
+#: umldoc.cpp:1716
 #, kde-format
 msgctxt "renaming uml object"
 msgid "Name"
 msgstr "Имя"
 
-#: umldoc.cpp:1748
+#: umldoc.cpp:1750
 #, kde-format
 msgctxt "renaming child uml object"
 msgid "Name"
 msgstr "Имя"
 
-#: umldoc.cpp:1758
+#: umldoc.cpp:1760
 #, kde-format
 msgid ""
 "The name you entered was not unique.\n"
@@ -8036,62 +8036,62 @@ msgstr ""
 "Такое имя уже существует.\n"
 "Вы хотите именно это?"
 
-#: umldoc.cpp:1759
+#: umldoc.cpp:1761
 #, kde-format
 msgid "Use Name"
 msgstr "Использовать указанное имя"
 
-#: umldoc.cpp:1759
+#: umldoc.cpp:1761
 #, kde-format
 msgid "Enter New Name"
 msgstr "Введите новое имя"
 
-#: umldoc.cpp:2361
+#: umldoc.cpp:2366
 #, kde-format
 msgid "Unsupported xmi file version: %1"
 msgstr "Неподдерживаемая версия файла в формате xmi: %1"
 
-#: umldoc.cpp:2511
+#: umldoc.cpp:2516
 #, kde-format
 msgid "Setting up the document..."
 msgstr "Настройка документа..."
 
-#: umldoc.cpp:2540
+#: umldoc.cpp:2545
 #, kde-format
 msgid "Resolving object references..."
 msgstr "Разрешение ссылок на объекты..."
 
-#: umldoc.cpp:2648
+#: umldoc.cpp:2653
 #, kde-format
 msgid "Loading UML elements..."
 msgstr "Загрузка элементов UML..."
 
-#: umldoc.cpp:2892
+#: umldoc.cpp:2899
 #, kde-format
 msgid "Loading diagrams..."
 msgstr "Загрузка диаграмм..."
 
-#: umldoc.cpp:3400
+#: umldoc.cpp:3409
 #, kde-format
 msgid "/autosave%1"
 msgstr "/autosave%1"
 
-#: umllistview.cpp:536 umllistview.cpp:540
+#: umllistview.cpp:537 umllistview.cpp:541
 #, kde-format
 msgid "Externalize Folder"
 msgstr "Сделать папку внешней"
 
-#: umllistview.cpp:574
+#: umllistview.cpp:575
 #, kde-format
 msgid "Folder %1 must be relative to the main model directory, %2."
 msgstr "Каталог %1 должен быть задан относительно каталога главной модели, %2."
 
-#: umllistview.cpp:575
+#: umllistview.cpp:576
 #, kde-format
 msgid "Path Error"
 msgstr "Ошибочный путь"
 
-#: umllistview.cpp:583
+#: umllistview.cpp:584
 #, kde-format
 msgid ""
 "File %1 already exists!\n"
@@ -8100,62 +8100,62 @@ msgstr ""
 "Файл %1 уже существует!\n"
 "Существующий файл будет перезаписан."
 
-#: umllistview.cpp:584
+#: umllistview.cpp:585
 #, kde-format
 msgid "File Exist"
 msgstr "Файл уже существует"
 
-#: umllistview.cpp:624
+#: umllistview.cpp:625
 #, kde-format
 msgid "Enter Model Name"
 msgstr "Введите имя модели"
 
-#: umllistview.cpp:625
+#: umllistview.cpp:626
 #, kde-format
 msgid "Enter the new name of the model:"
 msgstr "Введите новое имя модели:"
 
-#: umllistview.cpp:1422
+#: umllistview.cpp:1430
 #, kde-format
 msgid "Views"
 msgstr "Представления"
 
-#: umllistview.cpp:1441
+#: umllistview.cpp:1449
 #, kde-format
 msgid "Settings"
 msgstr "Параметры"
 
-#: umllistview.cpp:2413
+#: umllistview.cpp:2421
 #, kde-format
 msgid "Loading listview..."
 msgstr "Загрузка списка..."
 
-#: umllistview.cpp:2764
+#: umllistview.cpp:2772
 #, kde-format
 msgid "The class must be emptied before it can be deleted."
 msgstr "Удаляемый класс должен быть пустым."
 
-#: umllistview.cpp:2765
+#: umllistview.cpp:2773
 #, kde-format
 msgid "Class Not Empty"
 msgstr "Класс не пустой"
 
-#: umllistview.cpp:2769
+#: umllistview.cpp:2777
 #, kde-format
 msgid "The package must be emptied before it can be deleted."
 msgstr "Удаляемый пакет должен быть пустым."
 
-#: umllistview.cpp:2770
+#: umllistview.cpp:2778
 #, kde-format
 msgid "Package Not Empty"
 msgstr "Пакет не пустой"
 
-#: umllistview.cpp:2774
+#: umllistview.cpp:2782
 #, kde-format
 msgid "The folder must be emptied before it can be deleted."
 msgstr "Удаляемая папка должна быть пустой."
 
-#: umllistview.cpp:2775
+#: umllistview.cpp:2783
 #, kde-format
 msgid "Folder Not Empty"
 msgstr "Папка не пуста"
diff -pruN 4:20.08.3-1/po/sk/umbrello.po 4:20.12.0-0ubuntu1/po/sk/umbrello.po
--- 4:20.08.3-1/po/sk/umbrello.po	2020-11-03 00:42:16.000000000 +0000
+++ 4:20.12.0-0ubuntu1/po/sk/umbrello.po	2020-12-04 00:21:31.000000000 +0000
@@ -7,7 +7,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: umbrello\n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
-"POT-Creation-Date: 2020-08-14 08:09+0200\n"
+"POT-Creation-Date: 2020-11-06 02:36+0100\n"
 "PO-Revision-Date: 2019-09-03 19:50+0200\n"
 "Last-Translator: Roman Paholík <wizzardsk@gmail.com>\n"
 "Language-Team: Slovak <kde-sk@linux.sk>\n"
@@ -208,7 +208,7 @@ msgstr ""
 "Aspoň 1 objekt nebolo možné vložiť zo schránky, pretože už existuje objekt s "
 "rovnakým názvom. Všetky ostatné objekty boli vložené."
 
-#: clipboard/umlclipboard.cpp:753 uml.cpp:1689
+#: clipboard/umlclipboard.cpp:753 uml.cpp:1698
 #, kde-format
 msgid "Paste Error"
 msgstr "Chyba vloženia"
@@ -434,7 +434,7 @@ msgstr "<p align=\"center\">Generovanie
 #. i18n: ectx: attribute (title), widget (QWidget, ui_tabGeneral)
 #: codegenerators/cpp/cppcodegenerationformbase.ui:51
 #: codegenwizard/codegenoptionspage.ui:39 dialogs/objectnodedialog.cpp:135
-#: umllistview.cpp:1451
+#: umllistview.cpp:1459
 #, kde-format
 msgid "General"
 msgstr "Všeobecne"
@@ -1314,7 +1314,7 @@ msgstr "Stav"
 #. i18n: ectx: property (text), widget (QRadioButton, ui_categoryClass)
 #. i18n: ectx: property (text), widget (QTableWidget, ui_tableWidgetStatus)
 #: codegenwizard/codegenstatuspage.ui:40 codeimpwizard/codeimpstatuspage.ui:54
-#: dialogs/finddialog.ui:89 umllistview.cpp:1446 umlwidgets/widgetbase.cpp:1255
+#: dialogs/finddialog.ui:89 umllistview.cpp:1454 umlwidgets/widgetbase.cpp:1255
 #, kde-format
 msgid "Class"
 msgstr "Trieda"
@@ -1969,17 +1969,17 @@ msgstr "Povoliť správy súvisiace s 'v
 msgid "Enable 'delete diagram' related messages"
 msgstr "Povoliť správy súvisiace s 'vymazať diagram'"
 
-#: dialogs/dialog_utils.cpp:117
+#: dialogs/dialog_utils.cpp:118
 #, kde-format
 msgid "You are about to delete an association. Do you really want to continue?"
 msgstr "Idete vymazať asociáciu. Chcete naozaj pokračovať?"
 
-#: dialogs/dialog_utils.cpp:118
+#: dialogs/dialog_utils.cpp:119
 #, kde-format
 msgid "Delete Association"
 msgstr "Vymazať asociáciu"
 
-#: dialogs/dialog_utils.cpp:132
+#: dialogs/dialog_utils.cpp:133
 #, kde-format
 msgid ""
 "You are about to delete the entire diagram.\n"
@@ -1988,17 +1988,17 @@ msgstr ""
 "Chystáte sa vymazať celý diagram.\n"
 "Chcete naozaj pokračovať?"
 
-#: dialogs/dialog_utils.cpp:133
+#: dialogs/dialog_utils.cpp:134
 #, kde-format
 msgid "Are you sure you want to delete diagram %1?"
 msgstr "Naozaj chcete vymazať diagram %1?"
 
-#: dialogs/dialog_utils.cpp:138
+#: dialogs/dialog_utils.cpp:139
 #, kde-format
 msgid "Delete Diagram?"
 msgstr "Vymazať diagram?"
 
-#: dialogs/dialog_utils.cpp:139 dialogs/pages/classifierlistpage.cpp:215
+#: dialogs/dialog_utils.cpp:140 dialogs/pages/classifierlistpage.cpp:215
 #: dialogs/pages/classifierlistpage.cpp:223
 #: dialogs/umlforeignkeyconstraintdialog.cpp:325
 #: dialogs/umlforeignkeyconstraintdialog.cpp:331
@@ -2162,7 +2162,7 @@ msgstr "Všeobecné"
 #. i18n: ectx: label, entry (uiFont), group (UI Options)
 #. i18n: ectx: label, entry (codeViewerFont), group (Code Viewer Options)
 #: dialogs/multipagedialogbase.cpp:405 umbrello.kcfg:177 umbrello.kcfg:292
-#: umllistview.cpp:1450
+#: umllistview.cpp:1458
 #, kde-format
 msgid "Font"
 msgstr "Písmo"
@@ -2594,7 +2594,7 @@ msgstr "Nový &atribút inštancie..."
 
 #: dialogs/pages/classifierlistpage.cpp:217
 #: dialogs/pages/classifierlistpage.cpp:225 dialogs/umloperationdialog.cpp:167
-#: dialogs/umloperationdialog.cpp:175 uml.cpp:554
+#: dialogs/umloperationdialog.cpp:175 uml.cpp:563
 #, kde-format
 msgid "&Properties"
 msgstr "&Vlastnosti..."
@@ -2612,7 +2612,7 @@ msgid "Source Code"
 msgstr "Zdrojový kód"
 
 #: dialogs/pages/classoptionspage.cpp:157
-#: dialogs/pages/classoptionspage.cpp:251 uml.cpp:509
+#: dialogs/pages/classoptionspage.cpp:251 uml.cpp:518
 #, kde-format
 msgid "&Documentation"
 msgstr "Dokumentácia"
@@ -2801,8 +2801,8 @@ msgstr "Vami zadaný názov je neplatný
 #: uml1model/classifier.cpp:410 uml1model/classifier.cpp:781
 #: uml1model/entity.cpp:125 uml1model/entity.cpp:178 uml1model/entity.cpp:228
 #: uml1model/entity.cpp:277 uml1model/enum.cpp:107 uml1model/instance.cpp:124
-#: uml1model/package.cpp:172 umldoc.cpp:1627 umldoc.cpp:1692 umldoc.cpp:1721
-#: umldoc.cpp:1755
+#: uml1model/package.cpp:178 umldoc.cpp:1629 umldoc.cpp:1694 umldoc.cpp:1723
+#: umldoc.cpp:1757
 #, kde-format
 msgid "Invalid Name"
 msgstr "Neplatný názov"
@@ -2812,7 +2812,7 @@ msgstr "Neplatný názov"
 msgid "The name you have entered is not unique."
 msgstr "Vami zadaný názov nie je jedinečný."
 
-#: dialogs/pages/diagrampropertiespage.cpp:86 umldoc.cpp:1759
+#: dialogs/pages/diagrampropertiespage.cpp:86 umldoc.cpp:1761
 #, kde-format
 msgid "Name Not Unique"
 msgstr "Názov nie je jedinečný"
@@ -3286,7 +3286,7 @@ msgstr "Dia&gram"
 msgid "Umbrello Setup"
 msgstr "Nastavenia Umbrello"
 
-#: dialogs/settingsdialog.cpp:114 umllistview.cpp:1452
+#: dialogs/settingsdialog.cpp:114 umllistview.cpp:1460
 #, kde-format
 msgid "User Interface"
 msgstr "Užívateľské rozhranie"
@@ -3313,7 +3313,7 @@ msgstr "Trieda"
 msgid "Class Settings"
 msgstr "Nastavenia triedy"
 
-#: dialogs/settingsdialog.cpp:137 umllistview.cpp:1447
+#: dialogs/settingsdialog.cpp:137 umllistview.cpp:1455
 #, kde-format
 msgid "Code Importer"
 msgstr "Importér kódu"
@@ -3323,7 +3323,7 @@ msgstr "Importér kódu"
 msgid "Code Import Settings"
 msgstr "Nastavenia importéra kódu"
 
-#: dialogs/settingsdialog.cpp:146 umllistview.cpp:1448
+#: dialogs/settingsdialog.cpp:146 umllistview.cpp:1456
 #, kde-format
 msgid "Code Generation"
 msgstr "Generovanie zdrojového kódu"
@@ -3333,7 +3333,7 @@ msgstr "Generovanie zdrojového kódu"
 msgid "Code Generation Settings"
 msgstr "Nastavenie generovania zdrojového kódu"
 
-#: dialogs/settingsdialog.cpp:154 umllistview.cpp:1449
+#: dialogs/settingsdialog.cpp:154 umllistview.cpp:1457
 #, kde-format
 msgid "Code Viewer"
 msgstr "Okno zobrazenia kódu"
@@ -3343,7 +3343,7 @@ msgstr "Okno zobrazenia kódu"
 msgid "Code Viewer Settings"
 msgstr "Nastavenie zobrazenia zdrojového kódu"
 
-#: dialogs/settingsdialog.cpp:161 umllistview.cpp:1445
+#: dialogs/settingsdialog.cpp:161 umllistview.cpp:1453
 #, kde-format
 msgid "Auto Layout"
 msgstr "Automatické rozloženie"
@@ -3976,7 +3976,7 @@ msgstr "&Typ:"
 msgid "Package path:"
 msgstr "Cesta balíka:"
 
-#: dialogs/widgets/umlstereotypewidget.cpp:29 uml1model/umlobject.cpp:1179
+#: dialogs/widgets/umlstereotypewidget.cpp:29 uml1model/umlobject.cpp:1180
 #, kde-format
 msgid "Stereotype &name:"
 msgstr "Názov &stereotypu:"
@@ -4122,7 +4122,7 @@ msgstr ""
 msgid "Gael de Chalendar (aka Kleag)"
 msgstr "Gael de Chalendar (aka Kleag)"
 
-#: docgenerators/main.cpp:56 main.cpp:131
+#: docgenerators/main.cpp:56 main.cpp:133
 #, kde-format
 msgid "Umbrello UML Modeller Authors"
 msgstr "Autori programu Umbrello UML Modeller"
@@ -4186,12 +4186,12 @@ msgstr "Aktivuje editáciu dokumentácie
 msgid "Apply layout"
 msgstr "Použiť rozloženie"
 
-#: main.cpp:121
+#: main.cpp:123
 #, kde-format
 msgid "Umbrello UML Modeller"
 msgstr "Umbrello UML Modeller"
 
-#: main.cpp:123
+#: main.cpp:125
 #, kde-format
 msgid ""
 "Umbrello – Visual development environment for software, based on the "
@@ -4202,7 +4202,7 @@ msgstr ""
 "priemyselnom štandarde Unified Modelling Language (UML). <br/>Pozrite aj <a "
 "href=’http://www.omg.org/spec/’>http://www.omg.org/spec/</a>."
 
-#: main.cpp:127
+#: main.cpp:129
 #, fuzzy, kde-format
 #| msgid ""
 #| "Copyright © 2001 Paul Hensgen,\n"
@@ -4214,109 +4214,109 @@ msgstr ""
 "Copyright © 2001 Paul Hensgen,\n"
 "Copyright © 2002-2018 Autori programu Umbrello UML Modeller"
 
-#: main.cpp:130
+#: main.cpp:132
 #, kde-format
 msgid "Paul Hensgen"
 msgstr "Paul Hensgen"
 
-#: main.cpp:130
+#: main.cpp:132
 #, kde-format
 msgid "Author of initial version."
 msgstr "Autor pôvodnej verzie."
 
-#: main.cpp:134
+#: main.cpp:136
 #, kde-format
 msgid "Oliver Kellogg"
 msgstr "Oliver Kellogg"
 
-#: main.cpp:135 main.cpp:138
+#: main.cpp:137 main.cpp:140
 #, kde-format
 msgid "Bug fixing, porting work, code cleanup, new features."
 msgstr "Opravy chýb, práce na portovaní, čistenie kódu, nové funkcie."
 
-#: main.cpp:137
+#: main.cpp:139
 #, kde-format
 msgid "Ralf Habacker"
 msgstr "Ralf Habacker"
 
-#: main.cpp:140
+#: main.cpp:142
 #, kde-format
 msgid "Andi Fischer"
 msgstr "Andi Fischer"
 
-#: main.cpp:141
+#: main.cpp:143
 #, kde-format
 msgid "Porting work, code cleanup, new features."
 msgstr "Práca s portovaním, čistenie kódu, nové funkcie."
 
-#: main.cpp:143
+#: main.cpp:145
 #, kde-format
 msgid "Jonathan Riddell"
 msgstr "Jonathan Riddell"
 
-#: main.cpp:144
+#: main.cpp:146
 #, kde-format
 msgid "Current maintainer."
 msgstr "Aktuálny správca."
 
-#: main.cpp:146
+#: main.cpp:148
 #, kde-format
 msgid "Brian Thomas"
 msgstr "Brian Thomas"
 
-#: main.cpp:147
+#: main.cpp:149
 #, kde-format
 msgid "A lot of work for C++ and Java code generation. Codeeditor."
 msgstr "Veľa práce pre generovanie kódu C++ a Java. Editor kódu."
 
-#: main.cpp:152
+#: main.cpp:154
 #, kde-format
 msgid "File to open"
 msgstr "Súbor na otvorenie"
 
-#: main.cpp:153
+#: main.cpp:155
 #, kde-format
 msgid "export diagrams to extension and exit"
 msgstr "exportovať diagramy s príponou a ukončiť program"
 
-#: main.cpp:154
+#: main.cpp:156
 #, kde-format
 msgid "list available export extensions"
 msgstr "zoznam dostupných prípon exportu"
 
-#: main.cpp:155
+#: main.cpp:157
 #, kde-format
 msgid "the local directory to save the exported diagrams in"
 msgstr "lokálny priečinok na ukladanie exportovaných diagramov"
 
-#: main.cpp:155
+#: main.cpp:157
 #, kde-format
 msgid "the directory of the file"
 msgstr "priečinok súboru"
 
-#: main.cpp:156
+#: main.cpp:158
 #, kde-format
 msgid "import files"
 msgstr "importovať súbory"
 
-#: main.cpp:157
+#: main.cpp:159
 #, kde-format
 msgid "list supported languages"
 msgstr "vypísať podporované jazyky"
 
-#: main.cpp:158
+#: main.cpp:160
 #, kde-format
 msgid ""
 "keep the tree structure used to store the views in the document in the "
 "target directory"
 msgstr "uložiť stromovú štruktúru pohľadov dokumentu do cieľového priečinka"
 
-#: main.cpp:159
+#: main.cpp:161
 #, kde-format
 msgid "import files from directory <dir>"
 msgstr "importovať súbory z adresára <dir>"
 
-#: main.cpp:163
+#: main.cpp:165
 #, kde-format
 msgid "set active language"
 msgstr "nastaviť aktívny jazyk"
@@ -4584,7 +4584,7 @@ msgstr "Zobraziť dekonštrukciu"
 msgid "Import File(s)..."
 msgstr "Import súboru(ov)..."
 
-#: menus/listpopupmenu.cpp:201 uml.cpp:356
+#: menus/listpopupmenu.cpp:201 uml.cpp:365
 #, kde-format
 msgid "Import from Directory..."
 msgstr "Import z adresára..."
@@ -5092,42 +5092,42 @@ msgctxt "align menu"
 msgid "Align"
 msgstr "Zarovnať"
 
-#: menus/widgetbasepopupmenu.cpp:598 uml.cpp:573
+#: menus/widgetbasepopupmenu.cpp:598 uml.cpp:582
 #, kde-format
 msgid "Align Right"
 msgstr "Zarovnať doprava"
 
-#: menus/widgetbasepopupmenu.cpp:599 uml.cpp:578
+#: menus/widgetbasepopupmenu.cpp:599 uml.cpp:587
 #, kde-format
 msgid "Align Left"
 msgstr "Zarovnať doľava"
 
-#: menus/widgetbasepopupmenu.cpp:600 uml.cpp:583
+#: menus/widgetbasepopupmenu.cpp:600 uml.cpp:592
 #, kde-format
 msgid "Align Top"
 msgstr "Zarovnať hore"
 
-#: menus/widgetbasepopupmenu.cpp:601 uml.cpp:588
+#: menus/widgetbasepopupmenu.cpp:601 uml.cpp:597
 #, kde-format
 msgid "Align Bottom"
 msgstr "Zarovnať nadol"
 
-#: menus/widgetbasepopupmenu.cpp:603 uml.cpp:593
+#: menus/widgetbasepopupmenu.cpp:603 uml.cpp:602
 #, kde-format
 msgid "Align Vertical Middle"
 msgstr "Zarovnať zvisle do stredu"
 
-#: menus/widgetbasepopupmenu.cpp:604 uml.cpp:598
+#: menus/widgetbasepopupmenu.cpp:604 uml.cpp:607
 #, kde-format
 msgid "Align Horizontal Middle"
 msgstr "Zarovnať vodorovne do stredu"
 
-#: menus/widgetbasepopupmenu.cpp:605 uml.cpp:603
+#: menus/widgetbasepopupmenu.cpp:605 uml.cpp:612
 #, kde-format
 msgid "Align Vertical Distribute"
 msgstr "Zarovnať zvisle na okraje"
 
-#: menus/widgetbasepopupmenu.cpp:606 uml.cpp:608
+#: menus/widgetbasepopupmenu.cpp:606 uml.cpp:617
 #, kde-format
 msgid "Align Horizontal Distribute"
 msgstr "Zarovnať vodorovne na okraje"
@@ -6057,8 +6057,8 @@ msgstr "Použitie"
 #: object_factory.cpp:251 uml1model/classifier.cpp:410
 #: uml1model/classifier.cpp:781 uml1model/entity.cpp:125
 #: uml1model/entity.cpp:178 uml1model/entity.cpp:228 uml1model/entity.cpp:277
-#: uml1model/enum.cpp:107 uml1model/instance.cpp:124 uml1model/package.cpp:171
-#: umldoc.cpp:1721 umldoc.cpp:1755
+#: uml1model/enum.cpp:107 uml1model/instance.cpp:124 uml1model/package.cpp:177
+#: umldoc.cpp:1723 umldoc.cpp:1757
 #, kde-format
 msgid "That is an invalid name."
 msgstr "Tento názov je neplatný."
@@ -6077,7 +6077,7 @@ msgstr "Vyhradené kľúčové slovo"
 #: object_factory.cpp:264 uml1model/classifier.cpp:413
 #: uml1model/classifier.cpp:783 uml1model/entity.cpp:127
 #: uml1model/entity.cpp:180 uml1model/entity.cpp:230 uml1model/entity.cpp:279
-#: uml1model/instance.cpp:126 umldoc.cpp:1727 umldoc.cpp:1764
+#: uml1model/instance.cpp:126 umldoc.cpp:1729 umldoc.cpp:1766
 #, kde-format
 msgid "That name is already being used."
 msgstr "Tento názov sa už používa."
@@ -6085,8 +6085,8 @@ msgstr "Tento názov sa už používa."
 #: object_factory.cpp:265 uml1model/classifier.cpp:413
 #: uml1model/classifier.cpp:783 uml1model/entity.cpp:127
 #: uml1model/entity.cpp:180 uml1model/entity.cpp:230 uml1model/entity.cpp:279
-#: uml1model/instance.cpp:126 umldoc.cpp:1629 umldoc.cpp:1699 umldoc.cpp:1727
-#: umldoc.cpp:1764
+#: uml1model/instance.cpp:126 umldoc.cpp:1631 umldoc.cpp:1701 umldoc.cpp:1729
+#: umldoc.cpp:1766
 #, kde-format
 msgid "Not a Unique Name"
 msgstr "Názov nie je jedinečný"
@@ -6147,12 +6147,12 @@ msgstr "Atribút s týmto názvom už ex
 msgid "Choose a different name."
 msgstr "Vyberte iný názov."
 
-#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:266
+#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:273
 #, kde-format
 msgid "Incorrect use of associations."
 msgstr "Nepovolené použitie asociácií."
 
-#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:266
+#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:273
 #, kde-format
 msgid "Association Error"
 msgstr "Chyba asociácie"
@@ -7320,188 +7320,188 @@ msgstr "Aktívny jazyk"
 msgid "&Settings"
 msgstr "&Nastavenia"
 
-#: uml.cpp:332
+#: uml.cpp:341
 #, kde-format
 msgid "&Export model to DocBook"
 msgstr "&Exportovať model do DocBook"
 
-#: uml.cpp:336
+#: uml.cpp:345
 #, kde-format
 msgid "&Export model to XHTML"
 msgstr "&Exportovať model do XHTML"
 
-#: uml.cpp:340
+#: uml.cpp:349
 #, kde-format
 msgid "&New Class Wizard..."
 msgstr "&Asistent vytvorenia triedy..."
 
-#: uml.cpp:344
+#: uml.cpp:353
 #, kde-format
 msgid "&Add Default Datatypes for Active Language"
 msgstr "Pridať št&andardné dátové typy pre aktívny jazyk"
 
-#: uml.cpp:351
+#: uml.cpp:360
 #, kde-format
 msgid "Code &Importing Wizard..."
 msgstr "Sprievodca importom kódu..."
 
-#: uml.cpp:361
+#: uml.cpp:370
 #, kde-format
 msgid "&Code Generation Wizard..."
 msgstr "Asistent pre &generovanie zdrojového kódu..."
 
-#: uml.cpp:366
+#: uml.cpp:375
 #, kde-format
 msgid "&Generate All Code"
 msgstr "&Generovať všetok zdrojový kód"
 
-#: uml.cpp:411
+#: uml.cpp:420
 #, kde-format
 msgid "Creates a new document"
 msgstr "Vytvorí nový dokument"
 
-#: uml.cpp:412
+#: uml.cpp:421
 #, kde-format
 msgid "Opens an existing document"
 msgstr "Otvorí existujúci dokument"
 
-#: uml.cpp:413
+#: uml.cpp:422
 #, kde-format
 msgid "Opens a recently used file"
 msgstr "Otvorí nedávny dokument"
 
-#: uml.cpp:414
+#: uml.cpp:423
 #, kde-format
 msgid "Saves the document"
 msgstr "Uloží aktuálny dokument"
 
-#: uml.cpp:415
+#: uml.cpp:424
 #, kde-format
 msgid "Saves the document as..."
 msgstr "Uloží aktuálny dokument ako..."
 
-#: uml.cpp:416
+#: uml.cpp:425
 #, kde-format
 msgid "Closes the document"
 msgstr "Zatvorí aktuálny dokument"
 
-#: uml.cpp:417
+#: uml.cpp:426
 #, kde-format
 msgid "Prints out the document"
 msgstr "Vytlačí aktuálny dokument"
 
-#: uml.cpp:418
+#: uml.cpp:427
 #, kde-format
 msgid "Print Preview of the document"
 msgstr "Náhľad tlače dokumentu"
 
-#: uml.cpp:419
+#: uml.cpp:428
 #, kde-format
 msgid "Quits the application"
 msgstr "Ukončí aplikáciu"
 
-#: uml.cpp:420
+#: uml.cpp:429
 #, kde-format
 msgid "Exports the model to the docbook format"
 msgstr "Exportuje model do formátu docbook"
 
-#: uml.cpp:421
+#: uml.cpp:430
 #, kde-format
 msgid "Exports the model to the XHTML format"
 msgstr "Exportuje model do formátu XHTML"
 
-#: uml.cpp:422
+#: uml.cpp:431
 #, kde-format
 msgid "Cuts the selected section and puts it to the clipboard"
 msgstr "Vystrihne vybranú oblasť a uloží ju do schránky"
 
-#: uml.cpp:423
+#: uml.cpp:432
 #, kde-format
 msgid "Copies the selected section to the clipboard"
 msgstr "Kopíruje vybranú oblasť do schránky"
 
-#: uml.cpp:424
+#: uml.cpp:433
 #, kde-format
 msgid "Pastes the contents of the clipboard"
 msgstr "Vlepí obsah schránky"
 
-#: uml.cpp:425
+#: uml.cpp:434
 #, kde-format
 msgid "Set the default program preferences"
 msgstr "Aplikovať prednastavené hodnoty programu"
 
-#: uml.cpp:429
+#: uml.cpp:438
 #, kde-format
 msgctxt "delete selected widget"
 msgid "Delete &Selected"
 msgstr "Odstrániť vybrané"
 
-#: uml.cpp:440
+#: uml.cpp:449
 #, kde-format
 msgid "&Class Diagram..."
 msgstr "Diagram &Tried..."
 
-#: uml.cpp:447
+#: uml.cpp:456
 #, kde-format
 msgid "&Object Diagram..."
 msgstr "Diagram objektov..."
 
-#: uml.cpp:454
+#: uml.cpp:463
 #, kde-format
 msgid "&Sequence Diagram..."
 msgstr "Se&kvenčný diagram..."
 
-#: uml.cpp:460
+#: uml.cpp:469
 #, kde-format
 msgid "C&ommunication Diagram..."
 msgstr "Diagram s&polupráce..."
 
-#: uml.cpp:466
+#: uml.cpp:475
 #, kde-format
 msgid "&Use Case Diagram..."
 msgstr "Diagram prípa&dov použitia..."
 
-#: uml.cpp:472
+#: uml.cpp:481
 #, kde-format
 msgid "S&tate Diagram..."
 msgstr "&Stavový diagram..."
 
-#: uml.cpp:478
+#: uml.cpp:487
 #, kde-format
 msgid "&Activity Diagram..."
 msgstr "Diagram &Aktivity..."
 
-#: uml.cpp:484
+#: uml.cpp:493
 #, kde-format
 msgid "Co&mponent Diagram..."
 msgstr "Diagram ko&mponentov..."
 
-#: uml.cpp:490
+#: uml.cpp:499
 #, kde-format
 msgid "&Deployment Diagram..."
 msgstr "Diagram &zavedenia..."
 
-#: uml.cpp:496
+#: uml.cpp:505
 #, kde-format
 msgid "&Entity Relationship Diagram..."
 msgstr "Diagram vzťahov m&edzi objektami..."
 
-#: uml.cpp:501 uml.cpp:954
+#: uml.cpp:510 uml.cpp:963
 #, kde-format
 msgid "&Tree View"
 msgstr "S&tromový pohľad"
 
-#: uml.cpp:505
+#: uml.cpp:514
 #, kde-format
 msgid "&Debugging"
 msgstr "Ladenie"
 
-#: uml.cpp:513
+#: uml.cpp:522
 #, kde-format
 msgid "&Logging"
 msgstr "Záznam"
 
-#: uml.cpp:517
+#: uml.cpp:526
 #, kde-format
 msgid "&Command history"
 msgstr "História príkazov"
@@ -7510,135 +7510,135 @@ msgstr "História príkazov"
 #. m_propertyDock->setObjectName(QLatin1String("PropertyDock"));
 #. addDockWidget(Qt::LeftDockWidgetArea, m_propertyDock);  //:TODO:
 #. create the bird's eye view
-#: uml.cpp:521 uml.cpp:1011
+#: uml.cpp:530 uml.cpp:1020
 #, kde-format
 msgid "&Bird's eye view"
 msgstr "Pohľad vtáčieho oka"
 
-#: uml.cpp:526
+#: uml.cpp:535
 #, kde-format
 msgid "&Clear Diagram"
 msgstr "&Vyprázdniť diagram"
 
-#: uml.cpp:530
+#: uml.cpp:539
 #, kde-format
 msgid "&Snap to Grid"
 msgstr "Pripnúť k &mriežke"
 
-#: uml.cpp:534
+#: uml.cpp:543
 #, kde-format
 msgid "S&how Grid"
 msgstr "&Zobraziť mriežku"
 
-#: uml.cpp:539
+#: uml.cpp:548
 #, kde-format
 msgid "&Delete Diagram"
 msgstr "Vymazať diagram"
 
-#: uml.cpp:544
+#: uml.cpp:553
 #, kde-format
 msgid "&Export as Picture..."
 msgstr "&Exportovať ako obrázok..."
 
-#: uml.cpp:549
+#: uml.cpp:558
 #, kde-format
 msgid "Export &Diagrams as Pictures..."
 msgstr "Exportovať diagramy ako obrázky..."
 
-#: uml.cpp:569
+#: uml.cpp:578
 #, kde-format
 msgid "Z&oom to 100%"
 msgstr "Veľk&osť 100%"
 
-#: uml.cpp:612
+#: uml.cpp:621
 #, kde-format
 msgid "&Move Tab Left"
 msgstr "&Presunúť záložku doľava"
 
-#: uml.cpp:613
+#: uml.cpp:622
 #, kde-format
 msgid "&Move Tab Right"
 msgstr "P&resunúť záložku doprava"
 
-#: uml.cpp:636
+#: uml.cpp:645
 #, kde-format
 msgid "Select Diagram on Left"
 msgstr "Vybrať diagram vľavo"
 
-#: uml.cpp:637
+#: uml.cpp:646
 #, kde-format
 msgid "Select Diagram on Right"
 msgstr "Vybrať diagram vpravo"
 
-#: uml.cpp:776
+#: uml.cpp:785
 #, kde-format
 msgctxt "%1 percent value from 20 to 500"
 msgid " &%1%"
 msgstr " &%1%"
 
-#: uml.cpp:826
+#: uml.cpp:835
 #, kde-format
 msgctxt "init status bar"
 msgid "Ready"
 msgstr "Pripravený"
 
-#: uml.cpp:835 uml.cpp:848
+#: uml.cpp:844 uml.cpp:857
 #, kde-format
 msgid "100%"
 msgstr "100%"
 
-#: uml.cpp:840
+#: uml.cpp:849
 #, kde-format
 msgid "Fit"
 msgstr "Prispôsobiť"
 
-#: uml.cpp:899
+#: uml.cpp:908
 #, kde-format
 msgid "Diagram Toolbar"
 msgstr "Nástrojová lišta diagramov"
 
-#: uml.cpp:965
+#: uml.cpp:974
 #, kde-format
 msgid "Doc&umentation"
 msgstr "Dokumentácia"
 
-#: uml.cpp:976
+#: uml.cpp:985
 #, kde-format
 msgid "Co&mmand history"
 msgstr "História príkazov"
 
-#: uml.cpp:992
+#: uml.cpp:1001
 #, kde-format
 msgid "&Debug"
 msgstr "&Ladiť"
 
-#: uml.cpp:999
+#: uml.cpp:1008
 #, kde-format
 msgid "&Log"
 msgstr "&Záznam"
 
-#: uml.cpp:1041 uml.cpp:1258 uml.cpp:1307
+#: uml.cpp:1050 uml.cpp:1267 uml.cpp:1316
 #, kde-format
 msgid "Opening file..."
 msgstr "Otváram súbor..."
 
-#: uml.cpp:1092 uml.cpp:1157 uml.cpp:1342 umldoc.cpp:342 umldoc.cpp:344
-#: umldoc.cpp:368 umldoc.cpp:3396
+#: uml.cpp:1101 uml.cpp:1166 uml.cpp:1351 umldoc.cpp:343 umldoc.cpp:345
+#: umldoc.cpp:369 umldoc.cpp:3405
 #, kde-format
 msgid "Untitled"
 msgstr "Bez názvu"
 
-#: uml.cpp:1240
+#: uml.cpp:1249
 #, kde-format
 msgid "Creating new document..."
 msgstr "Vytváram nový dokument..."
 
-#: uml.cpp:1266 uml.cpp:1281
+#: uml.cpp:1275 uml.cpp:1290
 #, kde-format
 msgid "Open File"
 msgstr "Otvoriť súbor"
 
-#: uml.cpp:1270
+#: uml.cpp:1279
 #, kde-format
 msgid ""
 "*.xmi *.xmi.tgz *.xmi.tar.bz2 *.mdl *.zargo|All Supported Files (*.xmi, *."
@@ -7657,22 +7657,22 @@ msgstr ""
 "*.mdl|Modelové súbory Rose (*.mdl)\n"
 "*.zargo|Komprimované argo súbory (*.zargo)\n"
 
-#: uml.cpp:1341
+#: uml.cpp:1350
 #, kde-format
 msgid "Saving file..."
 msgstr "Ukladám súbor..."
 
-#: uml.cpp:1358
+#: uml.cpp:1367
 #, kde-format
 msgid "Saving file with a new filename..."
 msgstr "Ukladám súbor pod novým názvom..."
 
-#: uml.cpp:1368 uml.cpp:1374 umlviewimageexporter.cpp:199
+#: uml.cpp:1377 uml.cpp:1383 umlviewimageexporter.cpp:199
 #, kde-format
 msgid "Save As"
 msgstr "Uložiť ako"
 
-#: uml.cpp:1369
+#: uml.cpp:1378
 #, kde-format
 msgid ""
 "*.xmi | XMI File (*.xmi);;*.xmi.tgz | Gzip Compressed XMI File (*.xmi.tgz);;"
@@ -7682,7 +7682,7 @@ msgstr ""
 "tgz);;*.xmi.tar.bz2 | Bzip2 komprimovnaý XMI súbor (*.xmi.tar.bz2);;* | "
 "všetky súbory (*)"
 
-#: uml.cpp:1374
+#: uml.cpp:1383
 #, kde-format
 msgid ""
 "*.xmi|XMI File\n"
@@ -7695,7 +7695,7 @@ msgstr ""
 "*.xmi.tar.bz2|Súbory XMI komprimované pomocou Bzip2\n"
 "*|Všetky súbory"
 
-#: uml.cpp:1387
+#: uml.cpp:1396
 #, kde-format
 msgid ""
 "The file %1 exists.\n"
@@ -7704,67 +7704,67 @@ msgstr ""
 "Súbor %1 už existuje.\n"
 "Chcete ho prepísať?"
 
-#: uml.cpp:1388
+#: uml.cpp:1397
 #, kde-format
 msgid "Warning"
 msgstr "Varovanie"
 
-#: uml.cpp:1388
+#: uml.cpp:1397
 #, kde-format
 msgid "Overwrite"
 msgstr "Prepísať"
 
-#: uml.cpp:1422
+#: uml.cpp:1431
 #, kde-format
 msgid "Closing file..."
 msgstr "Zatváram súbor..."
 
-#: uml.cpp:1432
+#: uml.cpp:1441
 #, kde-format
 msgid "No search term entered"
 msgstr "Nezadaný žiadny hľadaný termín"
 
-#: uml.cpp:1438
+#: uml.cpp:1447
 #, kde-format
 msgid "'%1': %2 found"
 msgstr "'%1': %2 nájdené"
 
-#: uml.cpp:1502
+#: uml.cpp:1511
 #, kde-format
 msgid "Print Preview..."
 msgstr "Náhľad tlače..."
 
-#: uml.cpp:1529
+#: uml.cpp:1538
 #, kde-format
 msgid "Printing..."
 msgstr "Tlačím..."
 
-#: uml.cpp:1536 uml.cpp:1540
+#: uml.cpp:1545 uml.cpp:1549
 #, kde-format
 msgid "Print %1"
 msgstr "Tlač %1"
 
-#: uml.cpp:1560
+#: uml.cpp:1569
 #, kde-format
 msgid "Exiting..."
 msgstr "Ukončujem činnosť..."
 
-#: uml.cpp:1647
+#: uml.cpp:1656
 #, kde-format
 msgid "Cutting selection..."
 msgstr "Vystrihávam výber..."
 
-#: uml.cpp:1670
+#: uml.cpp:1679
 #, kde-format
 msgid "Copying selection to clipboard..."
 msgstr "Kopírujem výber do schránky..."
 
-#: uml.cpp:1682
+#: uml.cpp:1691
 #, kde-format
 msgid "Inserting clipboard contents..."
 msgstr "Vkladám obsah schránky..."
 
-#: uml.cpp:1687
+#: uml.cpp:1696
 #, kde-format
 msgid ""
 "Umbrello could not paste the clipboard contents.  The objects in the "
@@ -7773,38 +7773,38 @@ msgstr ""
 "Umbrello nedokázal vložiť obsah schránky. Objekty v schránke sú možno typu "
 "ktorý sem nie je možné vložiť."
 
-#: uml.cpp:1713 umlviewimageexporter.cpp:92 umlviewimageexporterall.cpp:123
+#: uml.cpp:1722 umlviewimageexporter.cpp:92 umlviewimageexporterall.cpp:123
 #, kde-format
 msgctxt "reset status bar"
 msgid "Ready."
 msgstr "Pripravený."
 
-#: uml.cpp:2246
+#: uml.cpp:2255
 #, kde-format
 msgid "Cannot view code until you generate some first."
 msgstr "Nemôžem zobraziť kód kým ho nevygenerujete!"
 
-#: uml.cpp:2246 uml.cpp:2249
+#: uml.cpp:2255 uml.cpp:2258
 #, kde-format
 msgid "Cannot View Code"
 msgstr "Nebolo možné zobraziť kód"
 
-#: uml.cpp:2249
+#: uml.cpp:2258
 #, kde-format
 msgid "Cannot view code from simple code writer."
 msgstr "Nie je možné zobraziť kód z jednoduchého generátora kódu."
 
-#: uml.cpp:2714 uml.cpp:2716
+#: uml.cpp:2728 uml.cpp:2730
 #, kde-format
 msgid "Select file(s) to import:"
 msgstr "Vyberte súbor(y) na import:"
 
-#: uml.cpp:2747 uml.cpp:2749
+#: uml.cpp:2761 uml.cpp:2763
 #, kde-format
 msgid "Select directory to import:"
 msgstr "Vyberte adresár na import:"
 
-#: uml.cpp:3313
+#: uml.cpp:3335
 #, kde-format
 msgid "XHTML Generation failed ."
 msgstr "Generovanie XHTML zlyhalo."
@@ -7818,20 +7818,20 @@ msgstr ""
 "Už existuje operácia s týmto názvom a signatúrou. Nie je možné znovu ju "
 "pridať."
 
-#: uml1model/folder.cpp:435
+#: uml1model/folder.cpp:436
 #, kde-format
 msgid "The folderfile %1 does not exist."
 msgstr "Súbor %1 neexistuje."
 
-#: uml1model/folder.cpp:435 uml1model/folder.cpp:439 umldoc.cpp:529
-#: umldoc.cpp:541 umldoc.cpp:568 umldoc.cpp:570 umldoc.cpp:620 umldoc.cpp:623
-#: umldoc.cpp:638 umldoc.cpp:641 umldoc.cpp:665 umldoc.cpp:668 umldoc.cpp:684
-#: umldoc.cpp:687 umldoc.cpp:702 umldoc.cpp:705 umldoc.cpp:750
+#: uml1model/folder.cpp:436 uml1model/folder.cpp:440 umldoc.cpp:530
+#: umldoc.cpp:542 umldoc.cpp:569 umldoc.cpp:571 umldoc.cpp:621 umldoc.cpp:624
+#: umldoc.cpp:639 umldoc.cpp:642 umldoc.cpp:666 umldoc.cpp:669 umldoc.cpp:685
+#: umldoc.cpp:688 umldoc.cpp:703 umldoc.cpp:706 umldoc.cpp:751
 #, kde-format
 msgid "Load Error"
 msgstr "Chyba pri načítavaní"
 
-#: uml1model/folder.cpp:439
+#: uml1model/folder.cpp:440
 #, kde-format
 msgid "The folderfile %1 cannot be opened."
 msgstr "Súbor %1 nemožno otvoriť."
@@ -7841,13 +7841,13 @@ msgstr "Súbor %1 nemožno otvoriť."
 msgid "new_parameter"
 msgstr "nový_parameter"
 
-#: uml1model/package.cpp:163
+#: uml1model/package.cpp:169
 #, kde-format
 msgctxt "object name"
 msgid "Name"
 msgstr "Názov"
 
-#: uml1model/package.cpp:164
+#: uml1model/package.cpp:170
 #, kde-format
 msgid ""
 "An object with the name %1\n"
@@ -7873,77 +7873,77 @@ msgstr "nové_pole"
 msgid "new_fkey_constraint"
 msgstr "new_fkey_constraint"
 
-#: uml1model/umlobject.cpp:1140
+#: uml1model/umlobject.cpp:1141
 #, kde-format
 msgid "Actor &name:"
 msgstr "Názov &aktéra"
 
-#: uml1model/umlobject.cpp:1143
+#: uml1model/umlobject.cpp:1144
 #, kde-format
 msgid "Artifact &name:"
 msgstr "Názov a&rtefaktu:"
 
-#: uml1model/umlobject.cpp:1146
+#: uml1model/umlobject.cpp:1147
 #, kde-format
 msgid "Association &name:"
 msgstr "Názov asociácie:"
 
-#: uml1model/umlobject.cpp:1149
+#: uml1model/umlobject.cpp:1150
 #, kde-format
 msgid "Class &name:"
 msgstr "Názov &triedy"
 
-#: uml1model/umlobject.cpp:1152
+#: uml1model/umlobject.cpp:1153
 #, kde-format
 msgid "Component &name:"
 msgstr "Názov &komponentu:"
 
-#: uml1model/umlobject.cpp:1155
+#: uml1model/umlobject.cpp:1156
 #, kde-format
 msgid "Datatype &name:"
 msgstr "Názov ú&dajového typu:"
 
-#: uml1model/umlobject.cpp:1158
+#: uml1model/umlobject.cpp:1159
 #, kde-format
 msgid "Entity &name:"
 msgstr "&Názov objektu:"
 
-#: uml1model/umlobject.cpp:1161
+#: uml1model/umlobject.cpp:1162
 #, kde-format
 msgid "Enum &name:"
 msgstr "Názov &enumeračného typu:"
 
-#: uml1model/umlobject.cpp:1164
+#: uml1model/umlobject.cpp:1165
 #, kde-format
 msgid "Folder &name:"
 msgstr "Názov priečinka:"
 
-#: uml1model/umlobject.cpp:1167
+#: uml1model/umlobject.cpp:1168
 #, kde-format
 msgid "Interface &name:"
 msgstr "Názov &rozhrania"
 
-#: uml1model/umlobject.cpp:1170
+#: uml1model/umlobject.cpp:1171
 #, kde-format
 msgid "Node &name:"
 msgstr "Me&no uzlu:"
 
-#: uml1model/umlobject.cpp:1173
+#: uml1model/umlobject.cpp:1174
 #, kde-format
 msgid "Package &name:"
 msgstr "Názov &balíka"
 
-#: uml1model/umlobject.cpp:1176
+#: uml1model/umlobject.cpp:1177
 #, kde-format
 msgid "Port &name:"
 msgstr "Názov portu:"
 
-#: uml1model/umlobject.cpp:1182
+#: uml1model/umlobject.cpp:1183
 #, kde-format
 msgid "Use case &name:"
 msgstr "Názov &prípadu použitia"
 
-#: uml1model/umlobject.cpp:1185
+#: uml1model/umlobject.cpp:1186
 #, kde-format
 msgid "Instance name:"
 msgstr "Názov inštancie:"
@@ -7963,42 +7963,42 @@ msgstr "Stereotypy"
 msgid "Welcome"
 msgstr "Vitajte"
 
-#: umldoc.cpp:112 umldoc.cpp:2400 umldoc.cpp:2428
+#: umldoc.cpp:113 umldoc.cpp:2405 umldoc.cpp:2433
 #, kde-format
 msgid "UML Model"
 msgstr "UML model"
 
-#: umldoc.cpp:154
+#: umldoc.cpp:155
 #, kde-format
 msgid "Logical View"
 msgstr "Logický pohľad"
 
-#: umldoc.cpp:155
+#: umldoc.cpp:156
 #, kde-format
 msgid "Use Case View"
 msgstr "Pohľad prípadov použitia"
 
-#: umldoc.cpp:156
+#: umldoc.cpp:157
 #, kde-format
 msgid "Component View"
 msgstr "Pohľad komponentov"
 
-#: umldoc.cpp:157
+#: umldoc.cpp:158
 #, kde-format
 msgid "Deployment View"
 msgstr "Pohľad zavedenia"
 
-#: umldoc.cpp:158
+#: umldoc.cpp:159
 #, kde-format
 msgid "Entity Relationship Model"
 msgstr "Model vzťahov objektov"
 
-#: umldoc.cpp:184
+#: umldoc.cpp:185
 #, kde-format
 msgid "Datatypes"
 msgstr "Údajové typy"
 
-#: umldoc.cpp:363
+#: umldoc.cpp:364
 #, kde-format
 msgid ""
 "The current file has been modified.\n"
@@ -8007,166 +8007,166 @@ msgstr ""
 "Aktuálny súbor bol zmenený.\n"
 "Chcete ho uložiť?"
 
-#: umldoc.cpp:364
+#: umldoc.cpp:365
 #, kde-format
 msgctxt "warning message"
 msgid "Warning"
 msgstr "Varovanie"
 
-#: umldoc.cpp:529
+#: umldoc.cpp:530
 #, kde-format
 msgid "The file <%1> does not exist."
 msgstr "Súbor <%1> neexistuje."
 
-#: umldoc.cpp:541
+#: umldoc.cpp:542
 #, kde-format
 msgid "The file %1 does not exist."
 msgstr "Súbor %1 neexistuje."
 
-#: umldoc.cpp:568 umldoc.cpp:570
+#: umldoc.cpp:569 umldoc.cpp:571
 #, kde-format
 msgid "The file %1 seems to be corrupted."
 msgstr "Súbor %1 vyzerá byť poškodený."
 
-#: umldoc.cpp:619 umldoc.cpp:622 umldoc.cpp:637 umldoc.cpp:640 umldoc.cpp:683
-#: umldoc.cpp:686
+#: umldoc.cpp:620 umldoc.cpp:623 umldoc.cpp:638 umldoc.cpp:641 umldoc.cpp:684
+#: umldoc.cpp:687
 #, kde-format
 msgid "There was no XMI file found in the compressed file %1."
 msgstr "Žiaden XMI súbor nebol nájdený v komprimovanom súbore %1."
 
-#: umldoc.cpp:664 umldoc.cpp:667
+#: umldoc.cpp:665 umldoc.cpp:668
 #, kde-format
 msgid "There was a problem loading the extracted file: %1"
 msgstr "Pri načítavaní súboru %1 došlo k chybe"
 
-#: umldoc.cpp:701 umldoc.cpp:704 umldoc.cpp:744 umldoc.cpp:746
+#: umldoc.cpp:702 umldoc.cpp:705 umldoc.cpp:745 umldoc.cpp:747
 #, kde-format
 msgid "There was a problem loading file: %1"
 msgstr "Pri načítavaní súboru %1 došlo k chybe"
 
-#: umldoc.cpp:749
+#: umldoc.cpp:750
 #, kde-format
 msgid "Reason: %1"
 msgstr ""
 
-#: umldoc.cpp:832 umldoc.cpp:834 umldoc.cpp:851 umldoc.cpp:853 umldoc.cpp:873
-#: umldoc.cpp:875 umldoc.cpp:924 umldoc.cpp:926 umldoc.cpp:966 umldoc.cpp:969
-#: umldoc.cpp:978 umldoc.cpp:980 umllistview.cpp:593
+#: umldoc.cpp:833 umldoc.cpp:835 umldoc.cpp:852 umldoc.cpp:854 umldoc.cpp:874
+#: umldoc.cpp:876 umldoc.cpp:925 umldoc.cpp:927 umldoc.cpp:968 umldoc.cpp:971
+#: umldoc.cpp:980 umldoc.cpp:982 umllistview.cpp:594
 #, kde-format
 msgid "Save Error"
 msgstr "Chyba pri ukladaní"
 
-#: umldoc.cpp:832 umldoc.cpp:851 umldoc.cpp:873 umldoc.cpp:924 umldoc.cpp:966
+#: umldoc.cpp:833 umldoc.cpp:852 umldoc.cpp:874 umldoc.cpp:925 umldoc.cpp:968
 #, kde-format
 msgid "There was a problem saving: %1"
 msgstr "Počas ukladania súboru %1 došlo k chybe"
 
-#: umldoc.cpp:834 umldoc.cpp:853 umldoc.cpp:875 umldoc.cpp:926 umldoc.cpp:969
-#: umllistview.cpp:592 umlviewimageexportermodel.cpp:303
+#: umldoc.cpp:835 umldoc.cpp:854 umldoc.cpp:876 umldoc.cpp:927 umldoc.cpp:971
+#: umllistview.cpp:593 umlviewimageexportermodel.cpp:303
 #, kde-format
 msgid "There was a problem saving file: %1"
 msgstr "Počas ukladania súboru %1 došlo k chybe"
 
-#: umldoc.cpp:978
+#: umldoc.cpp:980
 #, kde-format
 msgid "There was a problem uploading: %1"
 msgstr "Pri nahrávaní súboru %1 na server došlo k chybe"
 
-#: umldoc.cpp:980
+#: umldoc.cpp:982
 #, kde-format
 msgid "There was a problem uploading file: %1"
 msgstr "Pri nahrávaní súboru %1 na server došlo k chybe"
 
-#: umldoc.cpp:1526
+#: umldoc.cpp:1528
 #, kde-format
 msgid "use case diagram"
 msgstr "Diagram prípadov použitia"
 
-#: umldoc.cpp:1529
+#: umldoc.cpp:1531
 #, kde-format
 msgid "class diagram"
 msgstr "Diagram tried"
 
-#: umldoc.cpp:1532
+#: umldoc.cpp:1534
 #, kde-format
 msgid "sequence diagram"
 msgstr "sekvenčný diagram"
 
-#: umldoc.cpp:1535
+#: umldoc.cpp:1537
 #, kde-format
 msgid "communication diagram"
 msgstr "diagram spolupráce"
 
-#: umldoc.cpp:1538
+#: umldoc.cpp:1540
 #, kde-format
 msgid "object diagram"
 msgstr "diagram objektov"
 
-#: umldoc.cpp:1541
+#: umldoc.cpp:1543
 #, kde-format
 msgid "state diagram"
 msgstr "stavový diagram"
 
-#: umldoc.cpp:1544
+#: umldoc.cpp:1546
 #, kde-format
 msgid "activity diagram"
 msgstr "diagram aktivity"
 
-#: umldoc.cpp:1547
+#: umldoc.cpp:1549
 #, kde-format
 msgid "component diagram"
 msgstr "diagram komponentov"
 
-#: umldoc.cpp:1550
+#: umldoc.cpp:1552
 #, kde-format
 msgid "deployment diagram"
 msgstr "diagram zavedenia"
 
-#: umldoc.cpp:1553
+#: umldoc.cpp:1555
 #, kde-format
 msgid "entity relationship diagram"
 msgstr "diagram vzťahov medzi objektami"
 
-#: umldoc.cpp:1623
+#: umldoc.cpp:1625
 #, kde-format
 msgctxt "diagram name"
 msgid "Name"
 msgstr "Názov"
 
-#: umldoc.cpp:1623 umldoc.cpp:1686 umldoc.cpp:1715 umldoc.cpp:1749
+#: umldoc.cpp:1625 umldoc.cpp:1688 umldoc.cpp:1717 umldoc.cpp:1751
 #, kde-format
 msgid "Enter name:"
 msgstr "Zadajte názov:"
 
-#: umldoc.cpp:1627 umldoc.cpp:1692
+#: umldoc.cpp:1629 umldoc.cpp:1694
 #, kde-format
 msgid "That is an invalid name for a diagram."
 msgstr "Tento názov nie je platný pre diagram."
 
-#: umldoc.cpp:1629 umldoc.cpp:1699
+#: umldoc.cpp:1631 umldoc.cpp:1701
 #, kde-format
 msgid "A diagram is already using that name."
 msgstr "Už existuje diagram s týmto názvom."
 
-#: umldoc.cpp:1685
+#: umldoc.cpp:1687
 #, kde-format
 msgctxt "renaming diagram"
 msgid "Name"
 msgstr "Názov"
 
-#: umldoc.cpp:1714
+#: umldoc.cpp:1716
 #, kde-format
 msgctxt "renaming uml object"
 msgid "Name"
 msgstr "Názov"
 
-#: umldoc.cpp:1748
+#: umldoc.cpp:1750
 #, kde-format
 msgctxt "renaming child uml object"
 msgid "Name"
 msgstr "Názov"
 
-#: umldoc.cpp:1758
+#: umldoc.cpp:1760
 #, kde-format
 msgid ""
 "The name you entered was not unique.\n"
@@ -8175,62 +8175,62 @@ msgstr ""
 "Zadaný názov nie je jednoznačný\n"
 "Ste si istý?"
 
-#: umldoc.cpp:1759
+#: umldoc.cpp:1761
 #, kde-format
 msgid "Use Name"
 msgstr "Použiť meno"
 
-#: umldoc.cpp:1759
+#: umldoc.cpp:1761
 #, kde-format
 msgid "Enter New Name"
 msgstr "Zadajte nové meno"
 
-#: umldoc.cpp:2361
+#: umldoc.cpp:2366
 #, kde-format
 msgid "Unsupported xmi file version: %1"
 msgstr ""
 
-#: umldoc.cpp:2511
+#: umldoc.cpp:2516
 #, kde-format
 msgid "Setting up the document..."
 msgstr "Pripravujem dokument..."
 
-#: umldoc.cpp:2540
+#: umldoc.cpp:2545
 #, kde-format
 msgid "Resolving object references..."
 msgstr "Analyzujem referencie objektu..."
 
-#: umldoc.cpp:2648
+#: umldoc.cpp:2653
 #, kde-format
 msgid "Loading UML elements..."
 msgstr "Načítavam prvky UML..."
 
-#: umldoc.cpp:2892
+#: umldoc.cpp:2899
 #, kde-format
 msgid "Loading diagrams..."
 msgstr "Načítavam diagramy..."
 
-#: umldoc.cpp:3400
+#: umldoc.cpp:3409
 #, kde-format
 msgid "/autosave%1"
 msgstr "/autosave%1"
 
-#: umllistview.cpp:536 umllistview.cpp:540
+#: umllistview.cpp:537 umllistview.cpp:541
 #, kde-format
 msgid "Externalize Folder"
 msgstr "Spraviť priečinok externým"
 
-#: umllistview.cpp:574
+#: umllistview.cpp:575
 #, kde-format
 msgid "Folder %1 must be relative to the main model directory, %2."
 msgstr "Priečinok %1 musí byť relatívny k hlavnému adresáru modelu, %2."
 
-#: umllistview.cpp:575
+#: umllistview.cpp:576
 #, kde-format
 msgid "Path Error"
 msgstr "Chyba cesty"
 
-#: umllistview.cpp:583
+#: umllistview.cpp:584
 #, kde-format
 msgid ""
 "File %1 already exists!\n"
@@ -8239,66 +8239,66 @@ msgstr ""
 "Súbor %1 už existuje!\n"
 "Existujúci súbor bude prepísaný."
 
-#: umllistview.cpp:584
+#: umllistview.cpp:585
 #, kde-format
 msgid "File Exist"
 msgstr "Súbor existuje"
 
-#: umllistview.cpp:624
+#: umllistview.cpp:625
 #, kde-format
 msgid "Enter Model Name"
 msgstr "Zadajte názov modelu"
 
-#: umllistview.cpp:625
+#: umllistview.cpp:626
 #, kde-format
 msgid "Enter the new name of the model:"
 msgstr "Zadajte nový názov modelu:"
 
-#: umllistview.cpp:1422
+#: umllistview.cpp:1430
 #, kde-format
 msgid "Views"
 msgstr "Pohľady"
 
-#: umllistview.cpp:1441
+#: umllistview.cpp:1449
 #, kde-format
 msgid "Settings"
 msgstr "Nastavenia"
 
-#: umllistview.cpp:2413
+#: umllistview.cpp:2421
 #, kde-format
 msgid "Loading listview..."
 msgstr "Načítavam listview..."
 
-#: umllistview.cpp:2764
+#: umllistview.cpp:2772
 #, fuzzy, kde-format
 #| msgid "The folder must be emptied before it can be deleted."
 msgid "The class must be emptied before it can be deleted."
 msgstr "Priečinok treba vyprázdniť pred vymazaním."
 
-#: umllistview.cpp:2765
+#: umllistview.cpp:2773
 #, fuzzy, kde-format
 #| msgid "Folder Not Empty"
 msgid "Class Not Empty"
 msgstr "Priečinok nie je prázdny"
 
-#: umllistview.cpp:2769
+#: umllistview.cpp:2777
 #, fuzzy, kde-format
 #| msgid "The folder must be emptied before it can be deleted."
 msgid "The package must be emptied before it can be deleted."
 msgstr "Priečinok treba vyprázdniť pred vymazaním."
 
-#: umllistview.cpp:2770
+#: umllistview.cpp:2778
 #, fuzzy, kde-format
 #| msgid "Folder Not Empty"
 msgid "Package Not Empty"
 msgstr "Priečinok nie je prázdny"
 
-#: umllistview.cpp:2774
+#: umllistview.cpp:2782
 #, kde-format
 msgid "The folder must be emptied before it can be deleted."
 msgstr "Priečinok treba vyprázdniť pred vymazaním."
 
-#: umllistview.cpp:2775
+#: umllistview.cpp:2783
 #, kde-format
 msgid "Folder Not Empty"
 msgstr "Priečinok nie je prázdny"
diff -pruN 4:20.08.3-1/po/sl/umbrello.po 4:20.12.0-0ubuntu1/po/sl/umbrello.po
--- 4:20.08.3-1/po/sl/umbrello.po	2020-11-03 00:42:16.000000000 +0000
+++ 4:20.12.0-0ubuntu1/po/sl/umbrello.po	2020-12-04 00:21:31.000000000 +0000
@@ -9,7 +9,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: umbrello\n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
-"POT-Creation-Date: 2020-08-14 08:09+0200\n"
+"POT-Creation-Date: 2020-11-06 02:36+0100\n"
 "PO-Revision-Date: 2020-03-16 07:52+0100\n"
 "Last-Translator: Matjaž Jeran <matjaz.jeran@amis.net>\n"
 "Language-Team: Slovenian <lugos-slo@lugos.si>\n"
@@ -216,7 +216,7 @@ msgstr ""
 "Vsaj eden od predmetov v odložišču ni bil prilepljen, ker predmet z enakim "
 "imenom že obstaja. Vsi drugi predmeti so bili prilepljeni."
 
-#: clipboard/umlclipboard.cpp:753 uml.cpp:1689
+#: clipboard/umlclipboard.cpp:753 uml.cpp:1698
 #, kde-format
 msgid "Paste Error"
 msgstr "Napaka med lepljenjem"
@@ -442,7 +442,7 @@ msgstr "<p align=\"center\">Ustvarjanje
 #. i18n: ectx: attribute (title), widget (QWidget, ui_tabGeneral)
 #: codegenerators/cpp/cppcodegenerationformbase.ui:51
 #: codegenwizard/codegenoptionspage.ui:39 dialogs/objectnodedialog.cpp:135
-#: umllistview.cpp:1451
+#: umllistview.cpp:1459
 #, kde-format
 msgid "General"
 msgstr "Splošno"
@@ -1317,7 +1317,7 @@ msgstr "Stanje"
 #. i18n: ectx: property (text), widget (QRadioButton, ui_categoryClass)
 #. i18n: ectx: property (text), widget (QTableWidget, ui_tableWidgetStatus)
 #: codegenwizard/codegenstatuspage.ui:40 codeimpwizard/codeimpstatuspage.ui:54
-#: dialogs/finddialog.ui:89 umllistview.cpp:1446 umlwidgets/widgetbase.cpp:1255
+#: dialogs/finddialog.ui:89 umllistview.cpp:1454 umlwidgets/widgetbase.cpp:1255
 #, kde-format
 msgid "Class"
 msgstr "Razred"
@@ -1973,17 +1973,17 @@ msgstr "Omogoči sporočila, ki se nana
 msgid "Enable 'delete diagram' related messages"
 msgstr "Omogoči sporočila, ki se nanašajo na 'izbriši diagram'"
 
-#: dialogs/dialog_utils.cpp:117
+#: dialogs/dialog_utils.cpp:118
 #, kde-format
 msgid "You are about to delete an association. Do you really want to continue?"
 msgstr "Izbrisala se bo asociacija. Ali želite nadaljevati?"
 
-#: dialogs/dialog_utils.cpp:118
+#: dialogs/dialog_utils.cpp:119
 #, kde-format
 msgid "Delete Association"
 msgstr "Zbriši asociacijo"
 
-#: dialogs/dialog_utils.cpp:132
+#: dialogs/dialog_utils.cpp:133
 #, kde-format
 msgid ""
 "You are about to delete the entire diagram.\n"
@@ -1992,17 +1992,17 @@ msgstr ""
 "Izbrisali boste celoten diagram.\n"
 "Ali ste prepričani?"
 
-#: dialogs/dialog_utils.cpp:133
+#: dialogs/dialog_utils.cpp:134
 #, kde-format
 msgid "Are you sure you want to delete diagram %1?"
 msgstr "Ali ste prepričani, da želite izbrisati diagram %1?"
 
-#: dialogs/dialog_utils.cpp:138
+#: dialogs/dialog_utils.cpp:139
 #, kde-format
 msgid "Delete Diagram?"
 msgstr "Izbrišem diagram?"
 
-#: dialogs/dialog_utils.cpp:139 dialogs/pages/classifierlistpage.cpp:215
+#: dialogs/dialog_utils.cpp:140 dialogs/pages/classifierlistpage.cpp:215
 #: dialogs/pages/classifierlistpage.cpp:223
 #: dialogs/umlforeignkeyconstraintdialog.cpp:325
 #: dialogs/umlforeignkeyconstraintdialog.cpp:331
@@ -2166,7 +2166,7 @@ msgstr "Splošno"
 #. i18n: ectx: label, entry (uiFont), group (UI Options)
 #. i18n: ectx: label, entry (codeViewerFont), group (Code Viewer Options)
 #: dialogs/multipagedialogbase.cpp:405 umbrello.kcfg:177 umbrello.kcfg:292
-#: umllistview.cpp:1450
+#: umllistview.cpp:1458
 #, kde-format
 msgid "Font"
 msgstr "Pisava"
@@ -2598,7 +2598,7 @@ msgstr "Nov atribut prim&erka ..."
 
 #: dialogs/pages/classifierlistpage.cpp:217
 #: dialogs/pages/classifierlistpage.cpp:225 dialogs/umloperationdialog.cpp:167
-#: dialogs/umloperationdialog.cpp:175 uml.cpp:554
+#: dialogs/umloperationdialog.cpp:175 uml.cpp:563
 #, kde-format
 msgid "&Properties"
 msgstr "Lastnosti"
@@ -2616,7 +2616,7 @@ msgid "Source Code"
 msgstr "Izvorna koda"
 
 #: dialogs/pages/classoptionspage.cpp:157
-#: dialogs/pages/classoptionspage.cpp:251 uml.cpp:509
+#: dialogs/pages/classoptionspage.cpp:251 uml.cpp:518
 #, kde-format
 msgid "&Documentation"
 msgstr "&Dokumentacija"
@@ -2805,8 +2805,8 @@ msgstr "Ime, ki ste ga vnesli, je nevelj
 #: uml1model/classifier.cpp:410 uml1model/classifier.cpp:781
 #: uml1model/entity.cpp:125 uml1model/entity.cpp:178 uml1model/entity.cpp:228
 #: uml1model/entity.cpp:277 uml1model/enum.cpp:107 uml1model/instance.cpp:124
-#: uml1model/package.cpp:172 umldoc.cpp:1627 umldoc.cpp:1692 umldoc.cpp:1721
-#: umldoc.cpp:1755
+#: uml1model/package.cpp:178 umldoc.cpp:1629 umldoc.cpp:1694 umldoc.cpp:1723
+#: umldoc.cpp:1757
 #, kde-format
 msgid "Invalid Name"
 msgstr "Neveljavno ime"
@@ -2816,7 +2816,7 @@ msgstr "Neveljavno ime"
 msgid "The name you have entered is not unique."
 msgstr "Ime, ki ste ga vnesli, ni edinstveno."
 
-#: dialogs/pages/diagrampropertiespage.cpp:86 umldoc.cpp:1759
+#: dialogs/pages/diagrampropertiespage.cpp:86 umldoc.cpp:1761
 #, kde-format
 msgid "Name Not Unique"
 msgstr "Ime ni edinstveno"
@@ -3287,7 +3287,7 @@ msgstr "Diagram"
 msgid "Umbrello Setup"
 msgstr "Nastavitve Umbrella"
 
-#: dialogs/settingsdialog.cpp:114 umllistview.cpp:1452
+#: dialogs/settingsdialog.cpp:114 umllistview.cpp:1460
 #, kde-format
 msgid "User Interface"
 msgstr "Uporabniški vmesnik"
@@ -3314,7 +3314,7 @@ msgstr "Razred"
 msgid "Class Settings"
 msgstr "Nastavitve razredov"
 
-#: dialogs/settingsdialog.cpp:137 umllistview.cpp:1447
+#: dialogs/settingsdialog.cpp:137 umllistview.cpp:1455
 #, kde-format
 msgid "Code Importer"
 msgstr "Uvoznik kode"
@@ -3324,7 +3324,7 @@ msgstr "Uvoznik kode"
 msgid "Code Import Settings"
 msgstr "Nastavitve uvoza kode"
 
-#: dialogs/settingsdialog.cpp:146 umllistview.cpp:1448
+#: dialogs/settingsdialog.cpp:146 umllistview.cpp:1456
 #, kde-format
 msgid "Code Generation"
 msgstr "Ustvarjanje kode"
@@ -3334,7 +3334,7 @@ msgstr "Ustvarjanje kode"
 msgid "Code Generation Settings"
 msgstr "Nastavitve ustvarjanja kode"
 
-#: dialogs/settingsdialog.cpp:154 umllistview.cpp:1449
+#: dialogs/settingsdialog.cpp:154 umllistview.cpp:1457
 #, kde-format
 msgid "Code Viewer"
 msgstr "Pregledovalnik kode"
@@ -3344,7 +3344,7 @@ msgstr "Pregledovalnik kode"
 msgid "Code Viewer Settings"
 msgstr "Nastavitve pregledovalnika kode"
 
-#: dialogs/settingsdialog.cpp:161 umllistview.cpp:1445
+#: dialogs/settingsdialog.cpp:161 umllistview.cpp:1453
 #, kde-format
 msgid "Auto Layout"
 msgstr "Samodejna postavitev"
@@ -3974,7 +3974,7 @@ msgstr "Vrs&ta:"
 msgid "Package path:"
 msgstr "Pot do paketa:"
 
-#: dialogs/widgets/umlstereotypewidget.cpp:29 uml1model/umlobject.cpp:1179
+#: dialogs/widgets/umlstereotypewidget.cpp:29 uml1model/umlobject.cpp:1180
 #, kde-format
 msgid "Stereotype &name:"
 msgstr "Ime stereotipa:"
@@ -4120,7 +4120,7 @@ msgstr ""
 msgid "Gael de Chalendar (aka Kleag)"
 msgstr "Gael de Chalendar (ali Kleag)"
 
-#: docgenerators/main.cpp:56 main.cpp:131
+#: docgenerators/main.cpp:56 main.cpp:133
 #, kde-format
 msgid "Umbrello UML Modeller Authors"
 msgstr "Avtorji UML modelirnika Umbrello"
@@ -4184,12 +4184,12 @@ msgstr "Vklopi urejanje dokumentacije po
 msgid "Apply layout"
 msgstr "Uveljavi razporeditev"
 
-#: main.cpp:121
+#: main.cpp:123
 #, kde-format
 msgid "Umbrello UML Modeller"
 msgstr "UML modelirnik Umbrello"
 
-#: main.cpp:123
+#: main.cpp:125
 #, kde-format
 msgid ""
 "Umbrello – Visual development environment for software, based on the "
@@ -4200,7 +4200,7 @@ msgstr ""
 "industrijskem standardu UML (poenoten jezik za modeliranje).<br/>Oglejte si "
 "tudi <a href=\"http://www.omg.org/spec/\">http://www.omg.org/spec/</a>."
 
-#: main.cpp:127
+#: main.cpp:129
 #, kde-format
 msgid ""
 "Copyright © 2001 Paul Hensgen,\n"
@@ -4209,97 +4209,97 @@ msgstr ""
 "Avtorske pravice © 2001 Paul Hensgen,\n"
 "Avtorske pravice © 2002-2020 Avtorji modelirnika UML Umbrello"
 
-#: main.cpp:130
+#: main.cpp:132
 #, kde-format
 msgid "Paul Hensgen"
 msgstr "Paul Hensgen"
 
-#: main.cpp:130
+#: main.cpp:132
 #, kde-format
 msgid "Author of initial version."
 msgstr "Avtor začetne različice."
 
-#: main.cpp:134
+#: main.cpp:136
 #, kde-format
 msgid "Oliver Kellogg"
 msgstr "Oliver Kellogg"
 
-#: main.cpp:135 main.cpp:138
+#: main.cpp:137 main.cpp:140
 #, kde-format
 msgid "Bug fixing, porting work, code cleanup, new features."
 msgstr "Odpravljanje hroščev, predelava, čiščenje kode, nove zmožnosti."
 
-#: main.cpp:137
+#: main.cpp:139
 #, kde-format
 msgid "Ralf Habacker"
 msgstr "Ralf Habacker"
 
-#: main.cpp:140
+#: main.cpp:142
 #, kde-format
 msgid "Andi Fischer"
 msgstr "Andi Fischer"
 
-#: main.cpp:141
+#: main.cpp:143
 #, kde-format
 msgid "Porting work, code cleanup, new features."
 msgstr "Predelava, čiščenje kode, nove zmožnosti."
 
-#: main.cpp:143
+#: main.cpp:145
 #, kde-format
 msgid "Jonathan Riddell"
 msgstr "Jonathan Riddell"
 
-#: main.cpp:144
+#: main.cpp:146
 #, kde-format
 msgid "Current maintainer."
 msgstr "Trenutni vzdrževalec."
 
-#: main.cpp:146
+#: main.cpp:148
 #, kde-format
 msgid "Brian Thomas"
 msgstr "Brian Thomas"
 
-#: main.cpp:147
+#: main.cpp:149
 #, kde-format
 msgid "A lot of work for C++ and Java code generation. Codeeditor."
 msgstr "Veliko dela na ustvarjalniku kode za C++ in Javo. Urejevalnik kode."
 
-#: main.cpp:152
+#: main.cpp:154
 #, kde-format
 msgid "File to open"
 msgstr "Datoteka za odprtje"
 
-#: main.cpp:153
+#: main.cpp:155
 #, kde-format
 msgid "export diagrams to extension and exit"
 msgstr "izvozi diagrame v pripono in končaj"
 
-#: main.cpp:154
+#: main.cpp:156
 #, kde-format
 msgid "list available export extensions"
 msgstr "izpiši razpoložljive pripone izvoza"
 
-#: main.cpp:155
+#: main.cpp:157
 #, kde-format
 msgid "the local directory to save the exported diagrams in"
 msgstr "krajevna mapa v katero želite shraniti izvožene diagrame"
 
-#: main.cpp:155
+#: main.cpp:157
 #, kde-format
 msgid "the directory of the file"
 msgstr "mapa datoteke"
 
-#: main.cpp:156
+#: main.cpp:158
 #, kde-format
 msgid "import files"
 msgstr "uvozi datoteke"
 
-#: main.cpp:157
+#: main.cpp:159
 #, kde-format
 msgid "list supported languages"
 msgstr "izpiši podprte jezike"
 
-#: main.cpp:158
+#: main.cpp:160
 #, kde-format
 msgid ""
 "keep the tree structure used to store the views in the document in the "
@@ -4308,12 +4308,12 @@ msgstr ""
 "ohrani drevesno strukturo uporabljeno za shranjevanje prikazov v dokumentu v "
 "ciljni mapi"
 
-#: main.cpp:159
+#: main.cpp:161
 #, kde-format
 msgid "import files from directory <dir>"
 msgstr "uvozi datoteke iz mape <dir>"
 
-#: main.cpp:163
+#: main.cpp:165
 #, kde-format
 msgid "set active language"
 msgstr "nastavi dejaven jezik"
@@ -4577,7 +4577,7 @@ msgstr "Prikaži rubriko uničenja"
 msgid "Import File(s)..."
 msgstr "Uvozi datoteke ..."
 
-#: menus/listpopupmenu.cpp:201 uml.cpp:356
+#: menus/listpopupmenu.cpp:201 uml.cpp:365
 #, kde-format
 msgid "Import from Directory..."
 msgstr "Uvozi iz mape ..."
@@ -5077,42 +5077,42 @@ msgctxt "align menu"
 msgid "Align"
 msgstr "Poravnaj"
 
-#: menus/widgetbasepopupmenu.cpp:598 uml.cpp:573
+#: menus/widgetbasepopupmenu.cpp:598 uml.cpp:582
 #, kde-format
 msgid "Align Right"
 msgstr "Poravnaj desno"
 
-#: menus/widgetbasepopupmenu.cpp:599 uml.cpp:578
+#: menus/widgetbasepopupmenu.cpp:599 uml.cpp:587
 #, kde-format
 msgid "Align Left"
 msgstr "Poravnaj levo"
 
-#: menus/widgetbasepopupmenu.cpp:600 uml.cpp:583
+#: menus/widgetbasepopupmenu.cpp:600 uml.cpp:592
 #, kde-format
 msgid "Align Top"
 msgstr "Poravnaj na vrh"
 
-#: menus/widgetbasepopupmenu.cpp:601 uml.cpp:588
+#: menus/widgetbasepopupmenu.cpp:601 uml.cpp:597
 #, kde-format
 msgid "Align Bottom"
 msgstr "Poravnaj na dno"
 
-#: menus/widgetbasepopupmenu.cpp:603 uml.cpp:593
+#: menus/widgetbasepopupmenu.cpp:603 uml.cpp:602
 #, kde-format
 msgid "Align Vertical Middle"
 msgstr "Poravnaj navpično na sredino"
 
-#: menus/widgetbasepopupmenu.cpp:604 uml.cpp:598
+#: menus/widgetbasepopupmenu.cpp:604 uml.cpp:607
 #, kde-format
 msgid "Align Horizontal Middle"
 msgstr "Poravnaj vodoravno na sredino"
 
-#: menus/widgetbasepopupmenu.cpp:605 uml.cpp:603
+#: menus/widgetbasepopupmenu.cpp:605 uml.cpp:612
 #, kde-format
 msgid "Align Vertical Distribute"
 msgstr "Poravnaj porazdeljeno navpično"
 
-#: menus/widgetbasepopupmenu.cpp:606 uml.cpp:608
+#: menus/widgetbasepopupmenu.cpp:606 uml.cpp:617
 #, kde-format
 msgid "Align Horizontal Distribute"
 msgstr "Poravnaj vodoravno navpično"
@@ -5917,8 +5917,8 @@ msgstr "Uporaba"
 #: object_factory.cpp:251 uml1model/classifier.cpp:410
 #: uml1model/classifier.cpp:781 uml1model/entity.cpp:125
 #: uml1model/entity.cpp:178 uml1model/entity.cpp:228 uml1model/entity.cpp:277
-#: uml1model/enum.cpp:107 uml1model/instance.cpp:124 uml1model/package.cpp:171
-#: umldoc.cpp:1721 umldoc.cpp:1755
+#: uml1model/enum.cpp:107 uml1model/instance.cpp:124 uml1model/package.cpp:177
+#: umldoc.cpp:1723 umldoc.cpp:1757
 #, kde-format
 msgid "That is an invalid name."
 msgstr "To je neveljavno ime."
@@ -5938,7 +5938,7 @@ msgstr "Rezervirana ključna beseda"
 #: object_factory.cpp:264 uml1model/classifier.cpp:413
 #: uml1model/classifier.cpp:783 uml1model/entity.cpp:127
 #: uml1model/entity.cpp:180 uml1model/entity.cpp:230 uml1model/entity.cpp:279
-#: uml1model/instance.cpp:126 umldoc.cpp:1727 umldoc.cpp:1764
+#: uml1model/instance.cpp:126 umldoc.cpp:1729 umldoc.cpp:1766
 #, kde-format
 msgid "That name is already being used."
 msgstr "To ime je že v uporabi."
@@ -5946,8 +5946,8 @@ msgstr "To ime je že v uporabi."
 #: object_factory.cpp:265 uml1model/classifier.cpp:413
 #: uml1model/classifier.cpp:783 uml1model/entity.cpp:127
 #: uml1model/entity.cpp:180 uml1model/entity.cpp:230 uml1model/entity.cpp:279
-#: uml1model/instance.cpp:126 umldoc.cpp:1629 umldoc.cpp:1699 umldoc.cpp:1727
-#: umldoc.cpp:1764
+#: uml1model/instance.cpp:126 umldoc.cpp:1631 umldoc.cpp:1701 umldoc.cpp:1729
+#: umldoc.cpp:1766
 #, kde-format
 msgid "Not a Unique Name"
 msgstr "Ni edinstveno ime"
@@ -6008,12 +6008,12 @@ msgstr "Atribut s tem imenom že obstaja
 msgid "Choose a different name."
 msgstr "Izberite drugo ime."
 
-#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:266
+#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:273
 #, kde-format
 msgid "Incorrect use of associations."
 msgstr "Nepravilna uporaba povezav."
 
-#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:266
+#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:273
 #, kde-format
 msgid "Association Error"
 msgstr "Napaka povezave"
@@ -7175,188 +7175,188 @@ msgstr "Dejavni jezik"
 msgid "&Settings"
 msgstr "Na&stavitve"
 
-#: uml.cpp:332
+#: uml.cpp:341
 #, kde-format
 msgid "&Export model to DocBook"
 msgstr "Izvozi model v DocBook"
 
-#: uml.cpp:336
+#: uml.cpp:345
 #, kde-format
 msgid "&Export model to XHTML"
 msgstr "Izvozi model v XHTML"
 
-#: uml.cpp:340
+#: uml.cpp:349
 #, kde-format
 msgid "&New Class Wizard..."
 msgstr "Čarovnik za &nov razred ..."
 
-#: uml.cpp:344
+#: uml.cpp:353
 #, kde-format
 msgid "&Add Default Datatypes for Active Language"
 msgstr "Dod&aj privzete podatkovne vrste za dejavni jezik"
 
-#: uml.cpp:351
+#: uml.cpp:360
 #, kde-format
 msgid "Code &Importing Wizard..."
 msgstr "Čarovnik za uvažanje kode..."
 
-#: uml.cpp:361
+#: uml.cpp:370
 #, kde-format
 msgid "&Code Generation Wizard..."
 msgstr "Čarovnik za ustvarjanje kode ..."
 
-#: uml.cpp:366
+#: uml.cpp:375
 #, kde-format
 msgid "&Generate All Code"
 msgstr "Ustvari vso kodo"
 
-#: uml.cpp:411
+#: uml.cpp:420
 #, kde-format
 msgid "Creates a new document"
 msgstr "Ustvari nov dokument"
 
-#: uml.cpp:412
+#: uml.cpp:421
 #, kde-format
 msgid "Opens an existing document"
 msgstr "Odpre obstoječi dokument"
 
-#: uml.cpp:413
+#: uml.cpp:422
 #, kde-format
 msgid "Opens a recently used file"
 msgstr "Odpre nedavno uporabljeno datoteko"
 
-#: uml.cpp:414
+#: uml.cpp:423
 #, kde-format
 msgid "Saves the document"
 msgstr "Shrani dokument"
 
-#: uml.cpp:415
+#: uml.cpp:424
 #, kde-format
 msgid "Saves the document as..."
 msgstr "Shrani trenuten dokument kot ..."
 
-#: uml.cpp:416
+#: uml.cpp:425
 #, kde-format
 msgid "Closes the document"
 msgstr "Zapre dokument"
 
-#: uml.cpp:417
+#: uml.cpp:426
 #, kde-format
 msgid "Prints out the document"
 msgstr "Natisne dokument"
 
-#: uml.cpp:418
+#: uml.cpp:427
 #, kde-format
 msgid "Print Preview of the document"
 msgstr "Predogled tiskanja dokumenta"
 
-#: uml.cpp:419
+#: uml.cpp:428
 #, kde-format
 msgid "Quits the application"
 msgstr "Konča program"
 
-#: uml.cpp:420
+#: uml.cpp:429
 #, kde-format
 msgid "Exports the model to the docbook format"
 msgstr "Izvozi model v vrsto docbook"
 
-#: uml.cpp:421
+#: uml.cpp:430
 #, kde-format
 msgid "Exports the model to the XHTML format"
 msgstr "Izvozi model v vrsto XHTML"
 
-#: uml.cpp:422
+#: uml.cpp:431
 #, kde-format
 msgid "Cuts the selected section and puts it to the clipboard"
 msgstr "Izreže izbrani odsek in ga odloži v odložišče"
 
-#: uml.cpp:423
+#: uml.cpp:432
 #, kde-format
 msgid "Copies the selected section to the clipboard"
 msgstr "Kopira izbrani odsek v odložišče"
 
-#: uml.cpp:424
+#: uml.cpp:433
 #, kde-format
 msgid "Pastes the contents of the clipboard"
 msgstr "Prilepi vsebino odložišča"
 
-#: uml.cpp:425
+#: uml.cpp:434
 #, kde-format
 msgid "Set the default program preferences"
 msgstr "Nastavi privzete možnosti programa"
 
-#: uml.cpp:429
+#: uml.cpp:438
 #, kde-format
 msgctxt "delete selected widget"
 msgid "Delete &Selected"
 msgstr "Izbriši izbrano"
 
-#: uml.cpp:440
+#: uml.cpp:449
 #, kde-format
 msgid "&Class Diagram..."
 msgstr "Diagram razreda ..."
 
-#: uml.cpp:447
+#: uml.cpp:456
 #, kde-format
 msgid "&Object Diagram..."
 msgstr "Diagram predmeta ..."
 
-#: uml.cpp:454
+#: uml.cpp:463
 #, kde-format
 msgid "&Sequence Diagram..."
 msgstr "Diagram zaporedja ..."
 
-#: uml.cpp:460
+#: uml.cpp:469
 #, kde-format
 msgid "C&ommunication Diagram..."
 msgstr "Diagram sporazumevanja ..."
 
-#: uml.cpp:466
+#: uml.cpp:475
 #, kde-format
 msgid "&Use Case Diagram..."
 msgstr "Diagram primera uporabe ..."
 
-#: uml.cpp:472
+#: uml.cpp:481
 #, kde-format
 msgid "S&tate Diagram..."
 msgstr "Diagram s&tanja ..."
 
-#: uml.cpp:478
+#: uml.cpp:487
 #, kde-format
 msgid "&Activity Diagram..."
 msgstr "Diagram dejavnosti ..."
 
-#: uml.cpp:484
+#: uml.cpp:493
 #, kde-format
 msgid "Co&mponent Diagram..."
 msgstr "Diagram sestavnih delov ..."
 
-#: uml.cpp:490
+#: uml.cpp:499
 #, kde-format
 msgid "&Deployment Diagram..."
 msgstr "Diagram namestitve ..."
 
-#: uml.cpp:496
+#: uml.cpp:505
 #, kde-format
 msgid "&Entity Relationship Diagram..."
 msgstr "Diagram odvisnosti &entitete..."
 
-#: uml.cpp:501 uml.cpp:954
+#: uml.cpp:510 uml.cpp:963
 #, kde-format
 msgid "&Tree View"
 msgstr "Drevesni prikaz"
 
-#: uml.cpp:505
+#: uml.cpp:514
 #, kde-format
 msgid "&Debugging"
 msgstr "Razhroščevanje"
 
-#: uml.cpp:513
+#: uml.cpp:522
 #, kde-format
 msgid "&Logging"
 msgstr "Be&leženje"
 
-#: uml.cpp:517
+#: uml.cpp:526
 #, kde-format
 msgid "&Command history"
 msgstr "Zgodovina ukazov"
@@ -7365,135 +7365,135 @@ msgstr "Zgodovina ukazov"
 #. m_propertyDock->setObjectName(QLatin1String("PropertyDock"));
 #. addDockWidget(Qt::LeftDockWidgetArea, m_propertyDock);  //:TODO:
 #. create the bird's eye view
-#: uml.cpp:521 uml.cpp:1011
+#: uml.cpp:530 uml.cpp:1020
 #, kde-format
 msgid "&Bird's eye view"
 msgstr "Pogled ptičje perspektive"
 
-#: uml.cpp:526
+#: uml.cpp:535
 #, kde-format
 msgid "&Clear Diagram"
 msgstr "Počisti diagram"
 
-#: uml.cpp:530
+#: uml.cpp:539
 #, kde-format
 msgid "&Snap to Grid"
 msgstr "Pripni na mrežo"
 
-#: uml.cpp:534
+#: uml.cpp:543
 #, kde-format
 msgid "S&how Grid"
 msgstr "Pokaži mrežo"
 
-#: uml.cpp:539
+#: uml.cpp:548
 #, kde-format
 msgid "&Delete Diagram"
 msgstr "Izbriši diagram"
 
-#: uml.cpp:544
+#: uml.cpp:553
 #, kde-format
 msgid "&Export as Picture..."
 msgstr "Izvozi kot sliko ..."
 
-#: uml.cpp:549
+#: uml.cpp:558
 #, kde-format
 msgid "Export &Diagrams as Pictures..."
 msgstr "Izvozi &diagrame kot slike ..."
 
-#: uml.cpp:569
+#: uml.cpp:578
 #, kde-format
 msgid "Z&oom to 100%"
 msgstr "Približaj na 100 %"
 
-#: uml.cpp:612
+#: uml.cpp:621
 #, kde-format
 msgid "&Move Tab Left"
 msgstr "Premakni zavihek levo"
 
-#: uml.cpp:613
+#: uml.cpp:622
 #, kde-format
 msgid "&Move Tab Right"
 msgstr "Premakni zavihek desno"
 
-#: uml.cpp:636
+#: uml.cpp:645
 #, kde-format
 msgid "Select Diagram on Left"
 msgstr "Izberi diagram na levi"
 
-#: uml.cpp:637
+#: uml.cpp:646
 #, kde-format
 msgid "Select Diagram on Right"
 msgstr "Izberi diagram na desni"
 
-#: uml.cpp:776
+#: uml.cpp:785
 #, kde-format
 msgctxt "%1 percent value from 20 to 500"
 msgid " &%1%"
 msgstr " &%1 %"
 
-#: uml.cpp:826
+#: uml.cpp:835
 #, kde-format
 msgctxt "init status bar"
 msgid "Ready"
 msgstr "Pripravljen"
 
-#: uml.cpp:835 uml.cpp:848
+#: uml.cpp:844 uml.cpp:857
 #, kde-format
 msgid "100%"
 msgstr "100 %"
 
-#: uml.cpp:840
+#: uml.cpp:849
 #, kde-format
 msgid "Fit"
 msgstr "Prilagodi"
 
-#: uml.cpp:899
+#: uml.cpp:908
 #, kde-format
 msgid "Diagram Toolbar"
 msgstr "Orodna vrstica diagrama"
 
-#: uml.cpp:965
+#: uml.cpp:974
 #, kde-format
 msgid "Doc&umentation"
 msgstr "Dok&umentacija"
 
-#: uml.cpp:976
+#: uml.cpp:985
 #, kde-format
 msgid "Co&mmand history"
 msgstr "Zgodovina ukazov"
 
-#: uml.cpp:992
+#: uml.cpp:1001
 #, kde-format
 msgid "&Debug"
 msgstr "Razhrošči"
 
-#: uml.cpp:999
+#: uml.cpp:1008
 #, kde-format
 msgid "&Log"
 msgstr "Dnevnik"
 
-#: uml.cpp:1041 uml.cpp:1258 uml.cpp:1307
+#: uml.cpp:1050 uml.cpp:1267 uml.cpp:1316
 #, kde-format
 msgid "Opening file..."
 msgstr "Odpiranje datoteke ..."
 
-#: uml.cpp:1092 uml.cpp:1157 uml.cpp:1342 umldoc.cpp:342 umldoc.cpp:344
-#: umldoc.cpp:368 umldoc.cpp:3396
+#: uml.cpp:1101 uml.cpp:1166 uml.cpp:1351 umldoc.cpp:343 umldoc.cpp:345
+#: umldoc.cpp:369 umldoc.cpp:3405
 #, kde-format
 msgid "Untitled"
 msgstr "Neimenovano"
 
-#: uml.cpp:1240
+#: uml.cpp:1249
 #, kde-format
 msgid "Creating new document..."
 msgstr "Ustvarjanje novega dokumenta ..."
 
-#: uml.cpp:1266 uml.cpp:1281
+#: uml.cpp:1275 uml.cpp:1290
 #, kde-format
 msgid "Open File"
 msgstr "Odpri datoteko"
 
-#: uml.cpp:1270
+#: uml.cpp:1279
 #, kde-format
 msgid ""
 "*.xmi *.xmi.tgz *.xmi.tar.bz2 *.mdl *.zargo|All Supported Files (*.xmi, *."
@@ -7512,22 +7512,22 @@ msgstr ""
 "*.mdl|Modelne datoteke Rose\n"
 "*.zargo|Stisnjene datoteke argo (*.zargo)\n"
 
-#: uml.cpp:1341
+#: uml.cpp:1350
 #, kde-format
 msgid "Saving file..."
 msgstr "Shranjevanje datoteke ..."
 
-#: uml.cpp:1358
+#: uml.cpp:1367
 #, kde-format
 msgid "Saving file with a new filename..."
 msgstr "Shranjevanje datoteke z novim imenom ..."
 
-#: uml.cpp:1368 uml.cpp:1374 umlviewimageexporter.cpp:199
+#: uml.cpp:1377 uml.cpp:1383 umlviewimageexporter.cpp:199
 #, kde-format
 msgid "Save As"
 msgstr "Shrani kot"
 
-#: uml.cpp:1369
+#: uml.cpp:1378
 #, kde-format
 msgid ""
 "*.xmi | XMI File (*.xmi);;*.xmi.tgz | Gzip Compressed XMI File (*.xmi.tgz);;"
@@ -7537,7 +7537,7 @@ msgstr ""
 "xmi.tgz);;*.xmi.tar.bz2 | Z Bzip2 stisnjena datoteka XMI (*.xmi.tar.bz2);;* "
 "| Vse datoteke (*)"
 
-#: uml.cpp:1374
+#: uml.cpp:1383
 #, kde-format
 msgid ""
 "*.xmi|XMI File\n"
@@ -7550,7 +7550,7 @@ msgstr ""
 "*.xmi.tar.bz2|Z Bzip2 stisnjena datoteka XMI\n"
 "*|Vse datoteke"
 
-#: uml.cpp:1387
+#: uml.cpp:1396
 #, kde-format
 msgid ""
 "The file %1 exists.\n"
@@ -7559,67 +7559,67 @@ msgstr ""
 "Datoteka %1 obstaja.\n"
 "Ali jo želite prepisati?"
 
-#: uml.cpp:1388
+#: uml.cpp:1397
 #, kde-format
 msgid "Warning"
 msgstr "Opozorilo"
 
-#: uml.cpp:1388
+#: uml.cpp:1397
 #, kde-format
 msgid "Overwrite"
 msgstr "Prepiši"
 
-#: uml.cpp:1422
+#: uml.cpp:1431
 #, kde-format
 msgid "Closing file..."
 msgstr "Zapiranje datoteke ..."
 
-#: uml.cpp:1432
+#: uml.cpp:1441
 #, kde-format
 msgid "No search term entered"
 msgstr "Iskani izraz ni vnesen"
 
-#: uml.cpp:1438
+#: uml.cpp:1447
 #, kde-format
 msgid "'%1': %2 found"
 msgstr "»%1«: %2 najdenih"
 
-#: uml.cpp:1502
+#: uml.cpp:1511
 #, kde-format
 msgid "Print Preview..."
 msgstr "Predogled tiskanja ..."
 
-#: uml.cpp:1529
+#: uml.cpp:1538
 #, kde-format
 msgid "Printing..."
 msgstr "Tiskanje ..."
 
-#: uml.cpp:1536 uml.cpp:1540
+#: uml.cpp:1545 uml.cpp:1549
 #, kde-format
 msgid "Print %1"
 msgstr "Natisni %1"
 
-#: uml.cpp:1560
+#: uml.cpp:1569
 #, kde-format
 msgid "Exiting..."
 msgstr "Končujem ..."
 
-#: uml.cpp:1647
+#: uml.cpp:1656
 #, kde-format
 msgid "Cutting selection..."
 msgstr "Izrezovanje izbora ..."
 
-#: uml.cpp:1670
+#: uml.cpp:1679
 #, kde-format
 msgid "Copying selection to clipboard..."
 msgstr "Kopiranje izbora v odložišče ..."
 
-#: uml.cpp:1682
+#: uml.cpp:1691
 #, kde-format
 msgid "Inserting clipboard contents..."
 msgstr "Vstavljanje vsebine odložišča ..."
 
-#: uml.cpp:1687
+#: uml.cpp:1696
 #, kde-format
 msgid ""
 "Umbrello could not paste the clipboard contents.  The objects in the "
@@ -7628,38 +7628,38 @@ msgstr ""
 "Umbrello ni mogel prilepiti vsebine odložišča. Predmeti v odložišču so "
 "mogoče napačne vrste."
 
-#: uml.cpp:1713 umlviewimageexporter.cpp:92 umlviewimageexporterall.cpp:123
+#: uml.cpp:1722 umlviewimageexporter.cpp:92 umlviewimageexporterall.cpp:123
 #, kde-format
 msgctxt "reset status bar"
 msgid "Ready."
 msgstr "Pripravljen."
 
-#: uml.cpp:2246
+#: uml.cpp:2255
 #, kde-format
 msgid "Cannot view code until you generate some first."
 msgstr "Ni mogoče prikazati kode, dokler je nekaj ne ustvarite."
 
-#: uml.cpp:2246 uml.cpp:2249
+#: uml.cpp:2255 uml.cpp:2258
 #, kde-format
 msgid "Cannot View Code"
 msgstr "Ni mogoče prikazati kode"
 
-#: uml.cpp:2249
+#: uml.cpp:2258
 #, kde-format
 msgid "Cannot view code from simple code writer."
 msgstr "Ni mogoče prikazati kode iz preprostega pisalnika kode."
 
-#: uml.cpp:2714 uml.cpp:2716
+#: uml.cpp:2728 uml.cpp:2730
 #, kde-format
 msgid "Select file(s) to import:"
 msgstr "Izberite datoteke za uvoz:"
 
-#: uml.cpp:2747 uml.cpp:2749
+#: uml.cpp:2761 uml.cpp:2763
 #, kde-format
 msgid "Select directory to import:"
 msgstr "Izberite mapo za uvoz:"
 
-#: uml.cpp:3313
+#: uml.cpp:3335
 #, kde-format
 msgid "XHTML Generation failed ."
 msgstr "Ustvarjanje XHTML je spodletelo."
@@ -7672,20 +7672,20 @@ msgid ""
 msgstr ""
 "Opravilo z enakim imenom in podpisom že obstaja. Ne morete je dodati znova."
 
-#: uml1model/folder.cpp:435
+#: uml1model/folder.cpp:436
 #, kde-format
 msgid "The folderfile %1 does not exist."
 msgstr "Datoteka mape %1 ne obstaja."
 
-#: uml1model/folder.cpp:435 uml1model/folder.cpp:439 umldoc.cpp:529
-#: umldoc.cpp:541 umldoc.cpp:568 umldoc.cpp:570 umldoc.cpp:620 umldoc.cpp:623
-#: umldoc.cpp:638 umldoc.cpp:641 umldoc.cpp:665 umldoc.cpp:668 umldoc.cpp:684
-#: umldoc.cpp:687 umldoc.cpp:702 umldoc.cpp:705 umldoc.cpp:750
+#: uml1model/folder.cpp:436 uml1model/folder.cpp:440 umldoc.cpp:530
+#: umldoc.cpp:542 umldoc.cpp:569 umldoc.cpp:571 umldoc.cpp:621 umldoc.cpp:624
+#: umldoc.cpp:639 umldoc.cpp:642 umldoc.cpp:666 umldoc.cpp:669 umldoc.cpp:685
+#: umldoc.cpp:688 umldoc.cpp:703 umldoc.cpp:706 umldoc.cpp:751
 #, kde-format
 msgid "Load Error"
 msgstr "Napaka med nalaganjem"
 
-#: uml1model/folder.cpp:439
+#: uml1model/folder.cpp:440
 #, kde-format
 msgid "The folderfile %1 cannot be opened."
 msgstr "Datoteke mape %1 ni mogoče odpreti."
@@ -7695,13 +7695,13 @@ msgstr "Datoteke mape %1 ni mogoče odpr
 msgid "new_parameter"
 msgstr "nov_parameter"
 
-#: uml1model/package.cpp:163
+#: uml1model/package.cpp:169
 #, kde-format
 msgctxt "object name"
 msgid "Name"
 msgstr "Ime"
 
-#: uml1model/package.cpp:164
+#: uml1model/package.cpp:170
 #, kde-format
 msgid ""
 "An object with the name %1\n"
@@ -7727,77 +7727,77 @@ msgstr "novo_polje"
 msgid "new_fkey_constraint"
 msgstr "nova_omejitev_fkey"
 
-#: uml1model/umlobject.cpp:1140
+#: uml1model/umlobject.cpp:1141
 #, kde-format
 msgid "Actor &name:"
 msgstr "Ime igralca:"
 
-#: uml1model/umlobject.cpp:1143
+#: uml1model/umlobject.cpp:1144
 #, kde-format
 msgid "Artifact &name:"
 msgstr "Ime artefakta:"
 
-#: uml1model/umlobject.cpp:1146
+#: uml1model/umlobject.cpp:1147
 #, kde-format
 msgid "Association &name:"
 msgstr "Ime asociacije:"
 
-#: uml1model/umlobject.cpp:1149
+#: uml1model/umlobject.cpp:1150
 #, kde-format
 msgid "Class &name:"
 msgstr "Ime razreda:"
 
-#: uml1model/umlobject.cpp:1152
+#: uml1model/umlobject.cpp:1153
 #, kde-format
 msgid "Component &name:"
 msgstr "Ime sestavnega dela:"
 
-#: uml1model/umlobject.cpp:1155
+#: uml1model/umlobject.cpp:1156
 #, kde-format
 msgid "Datatype &name:"
 msgstr "Ime PodatkovneVrste:"
 
-#: uml1model/umlobject.cpp:1158
+#: uml1model/umlobject.cpp:1159
 #, kde-format
 msgid "Entity &name:"
 msgstr "Ime entitete:"
 
-#: uml1model/umlobject.cpp:1161
+#: uml1model/umlobject.cpp:1162
 #, kde-format
 msgid "Enum &name:"
 msgstr "Ime Enum :"
 
-#: uml1model/umlobject.cpp:1164
+#: uml1model/umlobject.cpp:1165
 #, kde-format
 msgid "Folder &name:"
 msgstr "Ime mape:"
 
-#: uml1model/umlobject.cpp:1167
+#: uml1model/umlobject.cpp:1168
 #, kde-format
 msgid "Interface &name:"
 msgstr "Ime vmesnika:"
 
-#: uml1model/umlobject.cpp:1170
+#: uml1model/umlobject.cpp:1171
 #, kde-format
 msgid "Node &name:"
 msgstr "Ime vozlišča:"
 
-#: uml1model/umlobject.cpp:1173
+#: uml1model/umlobject.cpp:1174
 #, kde-format
 msgid "Package &name:"
 msgstr "Ime paketa:"
 
-#: uml1model/umlobject.cpp:1176
+#: uml1model/umlobject.cpp:1177
 #, kde-format
 msgid "Port &name:"
 msgstr "Ime vrat:"
 
-#: uml1model/umlobject.cpp:1182
+#: uml1model/umlobject.cpp:1183
 #, kde-format
 msgid "Use case &name:"
 msgstr "Ime primera uporabe:"
 
-#: uml1model/umlobject.cpp:1185
+#: uml1model/umlobject.cpp:1186
 #, kde-format
 msgid "Instance name:"
 msgstr "Ime primerka:"
@@ -7817,42 +7817,42 @@ msgstr "&Stereotipi"
 msgid "Welcome"
 msgstr "Dobrodošli"
 
-#: umldoc.cpp:112 umldoc.cpp:2400 umldoc.cpp:2428
+#: umldoc.cpp:113 umldoc.cpp:2405 umldoc.cpp:2433
 #, kde-format
 msgid "UML Model"
 msgstr "Model UML"
 
-#: umldoc.cpp:154
+#: umldoc.cpp:155
 #, kde-format
 msgid "Logical View"
 msgstr "Logični prikaz"
 
-#: umldoc.cpp:155
+#: umldoc.cpp:156
 #, kde-format
 msgid "Use Case View"
 msgstr "Prikaz primera uporabe"
 
-#: umldoc.cpp:156
+#: umldoc.cpp:157
 #, kde-format
 msgid "Component View"
 msgstr "Prikaz sestavnih delov"
 
-#: umldoc.cpp:157
+#: umldoc.cpp:158
 #, kde-format
 msgid "Deployment View"
 msgstr "Prikaz namestitve"
 
-#: umldoc.cpp:158
+#: umldoc.cpp:159
 #, kde-format
 msgid "Entity Relationship Model"
 msgstr "Model odvisnosti entitet"
 
-#: umldoc.cpp:184
+#: umldoc.cpp:185
 #, kde-format
 msgid "Datatypes"
 msgstr "Podatkovne vrste"
 
-#: umldoc.cpp:363
+#: umldoc.cpp:364
 #, kde-format
 msgid ""
 "The current file has been modified.\n"
@@ -7861,166 +7861,166 @@ msgstr ""
 "Trenutna datoteka je bila spremenjena.\n"
 "Ali jo želite shraniti?"
 
-#: umldoc.cpp:364
+#: umldoc.cpp:365
 #, kde-format
 msgctxt "warning message"
 msgid "Warning"
 msgstr "Opozorilo"
 
-#: umldoc.cpp:529
+#: umldoc.cpp:530
 #, kde-format
 msgid "The file <%1> does not exist."
 msgstr "Datoteka <%1> ne obstaja."
 
-#: umldoc.cpp:541
+#: umldoc.cpp:542
 #, kde-format
 msgid "The file %1 does not exist."
 msgstr "Datoteka %1 ne obstaja."
 
-#: umldoc.cpp:568 umldoc.cpp:570
+#: umldoc.cpp:569 umldoc.cpp:571
 #, kde-format
 msgid "The file %1 seems to be corrupted."
 msgstr "Datoteka %1 izgleda pokvarjena."
 
-#: umldoc.cpp:619 umldoc.cpp:622 umldoc.cpp:637 umldoc.cpp:640 umldoc.cpp:683
-#: umldoc.cpp:686
+#: umldoc.cpp:620 umldoc.cpp:623 umldoc.cpp:638 umldoc.cpp:641 umldoc.cpp:684
+#: umldoc.cpp:687
 #, kde-format
 msgid "There was no XMI file found in the compressed file %1."
 msgstr "V stisnjeni datoteki ni bilo najdene datoteke XMI %1."
 
-#: umldoc.cpp:664 umldoc.cpp:667
+#: umldoc.cpp:665 umldoc.cpp:668
 #, kde-format
 msgid "There was a problem loading the extracted file: %1"
 msgstr "Med nalaganjem razširjene datoteke je prišlo do težav: %1"
 
-#: umldoc.cpp:701 umldoc.cpp:704 umldoc.cpp:744 umldoc.cpp:746
+#: umldoc.cpp:702 umldoc.cpp:705 umldoc.cpp:745 umldoc.cpp:747
 #, kde-format
 msgid "There was a problem loading file: %1"
 msgstr "Med nalaganjem datoteke je prišlo do težav: %1"
 
-#: umldoc.cpp:749
+#: umldoc.cpp:750
 #, kde-format
 msgid "Reason: %1"
 msgstr "Razlog: %1"
 
-#: umldoc.cpp:832 umldoc.cpp:834 umldoc.cpp:851 umldoc.cpp:853 umldoc.cpp:873
-#: umldoc.cpp:875 umldoc.cpp:924 umldoc.cpp:926 umldoc.cpp:966 umldoc.cpp:969
-#: umldoc.cpp:978 umldoc.cpp:980 umllistview.cpp:593
+#: umldoc.cpp:833 umldoc.cpp:835 umldoc.cpp:852 umldoc.cpp:854 umldoc.cpp:874
+#: umldoc.cpp:876 umldoc.cpp:925 umldoc.cpp:927 umldoc.cpp:968 umldoc.cpp:971
+#: umldoc.cpp:980 umldoc.cpp:982 umllistview.cpp:594
 #, kde-format
 msgid "Save Error"
 msgstr "Napaka med shranjevanjem"
 
-#: umldoc.cpp:832 umldoc.cpp:851 umldoc.cpp:873 umldoc.cpp:924 umldoc.cpp:966
+#: umldoc.cpp:833 umldoc.cpp:852 umldoc.cpp:874 umldoc.cpp:925 umldoc.cpp:968
 #, kde-format
 msgid "There was a problem saving: %1"
 msgstr "Med shranjevanjem je prišlo do težave: %1"
 
-#: umldoc.cpp:834 umldoc.cpp:853 umldoc.cpp:875 umldoc.cpp:926 umldoc.cpp:969
-#: umllistview.cpp:592 umlviewimageexportermodel.cpp:303
+#: umldoc.cpp:835 umldoc.cpp:854 umldoc.cpp:876 umldoc.cpp:927 umldoc.cpp:971
+#: umllistview.cpp:593 umlviewimageexportermodel.cpp:303
 #, kde-format
 msgid "There was a problem saving file: %1"
 msgstr "Med shranjevanjem datoteke je prišlo do težav: %1"
 
-#: umldoc.cpp:978
+#: umldoc.cpp:980
 #, kde-format
 msgid "There was a problem uploading: %1"
 msgstr "Med pošiljanjem je prišlo do težave: %1"
 
-#: umldoc.cpp:980
+#: umldoc.cpp:982
 #, kde-format
 msgid "There was a problem uploading file: %1"
 msgstr "Med pošiljanjem datoteke je prišlo do težave: %1"
 
-#: umldoc.cpp:1526
+#: umldoc.cpp:1528
 #, kde-format
 msgid "use case diagram"
 msgstr "diagram primera uporabe"
 
-#: umldoc.cpp:1529
+#: umldoc.cpp:1531
 #, kde-format
 msgid "class diagram"
 msgstr "diagram razreda"
 
-#: umldoc.cpp:1532
+#: umldoc.cpp:1534
 #, kde-format
 msgid "sequence diagram"
 msgstr "diagram zaporedja"
 
-#: umldoc.cpp:1535
+#: umldoc.cpp:1537
 #, kde-format
 msgid "communication diagram"
 msgstr "diagram sporazumevanja"
 
-#: umldoc.cpp:1538
+#: umldoc.cpp:1540
 #, kde-format
 msgid "object diagram"
 msgstr "diagram predmeta"
 
-#: umldoc.cpp:1541
+#: umldoc.cpp:1543
 #, kde-format
 msgid "state diagram"
 msgstr "diagram stanja"
 
-#: umldoc.cpp:1544
+#: umldoc.cpp:1546
 #, kde-format
 msgid "activity diagram"
 msgstr "diagram dejavnosti"
 
-#: umldoc.cpp:1547
+#: umldoc.cpp:1549
 #, kde-format
 msgid "component diagram"
 msgstr "diagram sestavnih delov"
 
-#: umldoc.cpp:1550
+#: umldoc.cpp:1552
 #, kde-format
 msgid "deployment diagram"
 msgstr "diagram namestitve"
 
-#: umldoc.cpp:1553
+#: umldoc.cpp:1555
 #, kde-format
 msgid "entity relationship diagram"
 msgstr "diagram odvisnosti entitete"
 
-#: umldoc.cpp:1623
+#: umldoc.cpp:1625
 #, kde-format
 msgctxt "diagram name"
 msgid "Name"
 msgstr "Ime"
 
-#: umldoc.cpp:1623 umldoc.cpp:1686 umldoc.cpp:1715 umldoc.cpp:1749
+#: umldoc.cpp:1625 umldoc.cpp:1688 umldoc.cpp:1717 umldoc.cpp:1751
 #, kde-format
 msgid "Enter name:"
 msgstr "Vnesite ime:"
 
-#: umldoc.cpp:1627 umldoc.cpp:1692
+#: umldoc.cpp:1629 umldoc.cpp:1694
 #, kde-format
 msgid "That is an invalid name for a diagram."
 msgstr "To je neveljavno ime za diagram."
 
-#: umldoc.cpp:1629 umldoc.cpp:1699
+#: umldoc.cpp:1631 umldoc.cpp:1701
 #, kde-format
 msgid "A diagram is already using that name."
 msgstr "Diagram že uporablja to ime."
 
-#: umldoc.cpp:1685
+#: umldoc.cpp:1687
 #, kde-format
 msgctxt "renaming diagram"
 msgid "Name"
 msgstr "Ime"
 
-#: umldoc.cpp:1714
+#: umldoc.cpp:1716
 #, kde-format
 msgctxt "renaming uml object"
 msgid "Name"
 msgstr "Ime"
 
-#: umldoc.cpp:1748
+#: umldoc.cpp:1750
 #, kde-format
 msgctxt "renaming child uml object"
 msgid "Name"
 msgstr "Ime"
 
-#: umldoc.cpp:1758
+#: umldoc.cpp:1760
 #, kde-format
 msgid ""
 "The name you entered was not unique.\n"
@@ -8029,62 +8029,62 @@ msgstr ""
 "Ime, ki ste ga vnesli, ni edinstveno.\n"
 "Ali ste to želeli?"
 
-#: umldoc.cpp:1759
+#: umldoc.cpp:1761
 #, kde-format
 msgid "Use Name"
 msgstr "Uporabi ime"
 
-#: umldoc.cpp:1759
+#: umldoc.cpp:1761
 #, kde-format
 msgid "Enter New Name"
 msgstr "Vnesite novo ime"
 
-#: umldoc.cpp:2361
+#: umldoc.cpp:2366
 #, kde-format
 msgid "Unsupported xmi file version: %1"
 msgstr "Nepodprta xml datoteka verzija: %1"
 
-#: umldoc.cpp:2511
+#: umldoc.cpp:2516
 #, kde-format
 msgid "Setting up the document..."
 msgstr "Nastavljanje dokumenta ..."
 
-#: umldoc.cpp:2540
+#: umldoc.cpp:2545
 #, kde-format
 msgid "Resolving object references..."
 msgstr "Razreševanje sklicev predmetov ..."
 
-#: umldoc.cpp:2648
+#: umldoc.cpp:2653
 #, kde-format
 msgid "Loading UML elements..."
 msgstr "Nalaganje predmetov UML ..."
 
-#: umldoc.cpp:2892
+#: umldoc.cpp:2899
 #, kde-format
 msgid "Loading diagrams..."
 msgstr "Nalaganje diagramov ..."
 
-#: umldoc.cpp:3400
+#: umldoc.cpp:3409
 #, kde-format
 msgid "/autosave%1"
 msgstr "/samod_shranjeno%1"
 
-#: umllistview.cpp:536 umllistview.cpp:540
+#: umllistview.cpp:537 umllistview.cpp:541
 #, kde-format
 msgid "Externalize Folder"
 msgstr "Pretvori mapo v zunanjo"
 
-#: umllistview.cpp:574
+#: umllistview.cpp:575
 #, kde-format
 msgid "Folder %1 must be relative to the main model directory, %2."
 msgstr "Mapa %1 mora biti relativno na glavno mapo z modeli, %2."
 
-#: umllistview.cpp:575
+#: umllistview.cpp:576
 #, kde-format
 msgid "Path Error"
 msgstr "Napaka poti"
 
-#: umllistview.cpp:583
+#: umllistview.cpp:584
 #, kde-format
 msgid ""
 "File %1 already exists!\n"
@@ -8093,62 +8093,62 @@ msgstr ""
 "Datoteka %1 že obstaja!\n"
 "Obstoječa datoteka bo prepisana."
 
-#: umllistview.cpp:584
+#: umllistview.cpp:585
 #, kde-format
 msgid "File Exist"
 msgstr "Datoteka obstaja"
 
-#: umllistview.cpp:624
+#: umllistview.cpp:625
 #, kde-format
 msgid "Enter Model Name"
 msgstr "Vnesite ime modela"
 
-#: umllistview.cpp:625
+#: umllistview.cpp:626
 #, kde-format
 msgid "Enter the new name of the model:"
 msgstr "Vnesite novo ime modela:"
 
-#: umllistview.cpp:1422
+#: umllistview.cpp:1430
 #, kde-format
 msgid "Views"
 msgstr "Prikazi"
 
-#: umllistview.cpp:1441
+#: umllistview.cpp:1449
 #, kde-format
 msgid "Settings"
 msgstr "Nastavitve"
 
-#: umllistview.cpp:2413
+#: umllistview.cpp:2421
 #, kde-format
 msgid "Loading listview..."
 msgstr "Nalaganje seznamskega pogleda ..."
 
-#: umllistview.cpp:2764
+#: umllistview.cpp:2772
 #, kde-format
 msgid "The class must be emptied before it can be deleted."
 msgstr "Razred mora biti prazen, preden ga lahko izbrišete."
 
-#: umllistview.cpp:2765
+#: umllistview.cpp:2773
 #, kde-format
 msgid "Class Not Empty"
 msgstr "Razred ni prazen"
 
-#: umllistview.cpp:2769
+#: umllistview.cpp:2777
 #, kde-format
 msgid "The package must be emptied before it can be deleted."
 msgstr "Paket mora biti prazen, preden ga lahko izbrišete."
 
-#: umllistview.cpp:2770
+#: umllistview.cpp:2778
 #, kde-format
 msgid "Package Not Empty"
 msgstr "Paket ni prazen"
 
-#: umllistview.cpp:2774
+#: umllistview.cpp:2782
 #, kde-format
 msgid "The folder must be emptied before it can be deleted."
 msgstr "Mapa mora biti prazna, preden jo lahko izbrišete."
 
-#: umllistview.cpp:2775
+#: umllistview.cpp:2783
 #, kde-format
 msgid "Folder Not Empty"
 msgstr "Mapa ni prazna"
diff -pruN 4:20.08.3-1/po/sv/umbrello.po 4:20.12.0-0ubuntu1/po/sv/umbrello.po
--- 4:20.08.3-1/po/sv/umbrello.po	2020-11-03 00:42:16.000000000 +0000
+++ 4:20.12.0-0ubuntu1/po/sv/umbrello.po	2020-12-04 00:21:31.000000000 +0000
@@ -10,7 +10,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: umbrello\n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
-"POT-Creation-Date: 2020-08-14 08:09+0200\n"
+"POT-Creation-Date: 2020-11-06 02:36+0100\n"
 "PO-Revision-Date: 2020-03-07 11:13+0100\n"
 "Last-Translator: Stefan Asserhäll <stefan.asserhall@bredband.net>\n"
 "Language-Team: Swedish <kde-i18n-doc@kde.org>\n"
@@ -211,7 +211,7 @@ msgstr ""
 "Åtminstone ett av objekten på klippbordet kunde inte klistras in, eftersom "
 "ett objekt med samma namn redan fins. Alla andra objekt har klistrats in."
 
-#: clipboard/umlclipboard.cpp:753 uml.cpp:1689
+#: clipboard/umlclipboard.cpp:753 uml.cpp:1698
 #, kde-format
 msgid "Paste Error"
 msgstr "Inklistringsfel"
@@ -437,7 +437,7 @@ msgstr "<p align=\"center\">C++ kodgener
 #. i18n: ectx: attribute (title), widget (QWidget, ui_tabGeneral)
 #: codegenerators/cpp/cppcodegenerationformbase.ui:51
 #: codegenwizard/codegenoptionspage.ui:39 dialogs/objectnodedialog.cpp:135
-#: umllistview.cpp:1451
+#: umllistview.cpp:1459
 #, kde-format
 msgid "General"
 msgstr "Allmänt"
@@ -1314,7 +1314,7 @@ msgstr "Status"
 #. i18n: ectx: property (text), widget (QRadioButton, ui_categoryClass)
 #. i18n: ectx: property (text), widget (QTableWidget, ui_tableWidgetStatus)
 #: codegenwizard/codegenstatuspage.ui:40 codeimpwizard/codeimpstatuspage.ui:54
-#: dialogs/finddialog.ui:89 umllistview.cpp:1446 umlwidgets/widgetbase.cpp:1255
+#: dialogs/finddialog.ui:89 umllistview.cpp:1454 umlwidgets/widgetbase.cpp:1255
 #, kde-format
 msgid "Class"
 msgstr "Klass"
@@ -1968,17 +1968,17 @@ msgstr "Aktivera meddelanden relaterade
 msgid "Enable 'delete diagram' related messages"
 msgstr "Aktivera meddelanden relaterade till 'ta bort diagram'"
 
-#: dialogs/dialog_utils.cpp:117
+#: dialogs/dialog_utils.cpp:118
 #, kde-format
 msgid "You are about to delete an association. Do you really want to continue?"
 msgstr "Du är på väg att ta bort en association. Vill du verkligen fortsätta?"
 
-#: dialogs/dialog_utils.cpp:118
+#: dialogs/dialog_utils.cpp:119
 #, kde-format
 msgid "Delete Association"
 msgstr "Ta bort association"
 
-#: dialogs/dialog_utils.cpp:132
+#: dialogs/dialog_utils.cpp:133
 #, kde-format
 msgid ""
 "You are about to delete the entire diagram.\n"
@@ -1987,17 +1987,17 @@ msgstr ""
 "Du ska just ta bort hela diagrammet.\n"
 "Är du säker?"
 
-#: dialogs/dialog_utils.cpp:133
+#: dialogs/dialog_utils.cpp:134
 #, kde-format
 msgid "Are you sure you want to delete diagram %1?"
 msgstr "Är du säker på att du vill ta bort diagrammet %1?"
 
-#: dialogs/dialog_utils.cpp:138
+#: dialogs/dialog_utils.cpp:139
 #, kde-format
 msgid "Delete Diagram?"
 msgstr "Ta bort diagram?"
 
-#: dialogs/dialog_utils.cpp:139 dialogs/pages/classifierlistpage.cpp:215
+#: dialogs/dialog_utils.cpp:140 dialogs/pages/classifierlistpage.cpp:215
 #: dialogs/pages/classifierlistpage.cpp:223
 #: dialogs/umlforeignkeyconstraintdialog.cpp:325
 #: dialogs/umlforeignkeyconstraintdialog.cpp:331
@@ -2161,7 +2161,7 @@ msgstr "Allmänt"
 #. i18n: ectx: label, entry (uiFont), group (UI Options)
 #. i18n: ectx: label, entry (codeViewerFont), group (Code Viewer Options)
 #: dialogs/multipagedialogbase.cpp:405 umbrello.kcfg:177 umbrello.kcfg:292
-#: umllistview.cpp:1450
+#: umllistview.cpp:1458
 #, kde-format
 msgid "Font"
 msgstr "Teckensnitt"
@@ -2594,7 +2594,7 @@ msgstr "N&ytt instansattribut..."
 
 #: dialogs/pages/classifierlistpage.cpp:217
 #: dialogs/pages/classifierlistpage.cpp:225 dialogs/umloperationdialog.cpp:167
-#: dialogs/umloperationdialog.cpp:175 uml.cpp:554
+#: dialogs/umloperationdialog.cpp:175 uml.cpp:563
 #, kde-format
 msgid "&Properties"
 msgstr "Egenska&per"
@@ -2612,7 +2612,7 @@ msgid "Source Code"
 msgstr "Källkod"
 
 #: dialogs/pages/classoptionspage.cpp:157
-#: dialogs/pages/classoptionspage.cpp:251 uml.cpp:509
+#: dialogs/pages/classoptionspage.cpp:251 uml.cpp:518
 #, kde-format
 msgid "&Documentation"
 msgstr "&Dokumentation"
@@ -2801,8 +2801,8 @@ msgstr "Namnet du har skrivit in är ogi
 #: uml1model/classifier.cpp:410 uml1model/classifier.cpp:781
 #: uml1model/entity.cpp:125 uml1model/entity.cpp:178 uml1model/entity.cpp:228
 #: uml1model/entity.cpp:277 uml1model/enum.cpp:107 uml1model/instance.cpp:124
-#: uml1model/package.cpp:172 umldoc.cpp:1627 umldoc.cpp:1692 umldoc.cpp:1721
-#: umldoc.cpp:1755
+#: uml1model/package.cpp:178 umldoc.cpp:1629 umldoc.cpp:1694 umldoc.cpp:1723
+#: umldoc.cpp:1757
 #, kde-format
 msgid "Invalid Name"
 msgstr "Ogiltigt namn"
@@ -2812,7 +2812,7 @@ msgstr "Ogiltigt namn"
 msgid "The name you have entered is not unique."
 msgstr "Namnet du skrev in är inte unikt."
 
-#: dialogs/pages/diagrampropertiespage.cpp:86 umldoc.cpp:1759
+#: dialogs/pages/diagrampropertiespage.cpp:86 umldoc.cpp:1761
 #, kde-format
 msgid "Name Not Unique"
 msgstr "Namnet är inte unikt"
@@ -3282,7 +3282,7 @@ msgstr "Diagram"
 msgid "Umbrello Setup"
 msgstr "Inställning av Umbrello"
 
-#: dialogs/settingsdialog.cpp:114 umllistview.cpp:1452
+#: dialogs/settingsdialog.cpp:114 umllistview.cpp:1460
 #, kde-format
 msgid "User Interface"
 msgstr "Användargränssnitt"
@@ -3309,7 +3309,7 @@ msgstr "Klass"
 msgid "Class Settings"
 msgstr "Klassinställningar"
 
-#: dialogs/settingsdialog.cpp:137 umllistview.cpp:1447
+#: dialogs/settingsdialog.cpp:137 umllistview.cpp:1455
 #, kde-format
 msgid "Code Importer"
 msgstr "Kodimport"
@@ -3319,7 +3319,7 @@ msgstr "Kodimport"
 msgid "Code Import Settings"
 msgstr "Inställningar av kodimport"
 
-#: dialogs/settingsdialog.cpp:146 umllistview.cpp:1448
+#: dialogs/settingsdialog.cpp:146 umllistview.cpp:1456
 #, kde-format
 msgid "Code Generation"
 msgstr "Kodgenerering"
@@ -3329,7 +3329,7 @@ msgstr "Kodgenerering"
 msgid "Code Generation Settings"
 msgstr "Inställningar av kodgenerering"
 
-#: dialogs/settingsdialog.cpp:154 umllistview.cpp:1449
+#: dialogs/settingsdialog.cpp:154 umllistview.cpp:1457
 #, kde-format
 msgid "Code Viewer"
 msgstr "Kodvisning"
@@ -3339,7 +3339,7 @@ msgstr "Kodvisning"
 msgid "Code Viewer Settings"
 msgstr "Inställningar av kodvisning"
 
-#: dialogs/settingsdialog.cpp:161 umllistview.cpp:1445
+#: dialogs/settingsdialog.cpp:161 umllistview.cpp:1453
 #, kde-format
 msgid "Auto Layout"
 msgstr "Automatisk layout"
@@ -3969,7 +3969,7 @@ msgstr "&Typ:"
 msgid "Package path:"
 msgstr "Paketsökväg:"
 
-#: dialogs/widgets/umlstereotypewidget.cpp:29 uml1model/umlobject.cpp:1179
+#: dialogs/widgets/umlstereotypewidget.cpp:29 uml1model/umlobject.cpp:1180
 #, kde-format
 msgid "Stereotype &name:"
 msgstr "Stereotyp&namn:"
@@ -4115,7 +4115,7 @@ msgstr ""
 msgid "Gael de Chalendar (aka Kleag)"
 msgstr "Gael de Chalendar (alias Kleag)"
 
-#: docgenerators/main.cpp:56 main.cpp:131
+#: docgenerators/main.cpp:56 main.cpp:133
 #, kde-format
 msgid "Umbrello UML Modeller Authors"
 msgstr "Upphovsmän till Umbrello UML-modellering"
@@ -4179,12 +4179,12 @@ msgstr "Aktivera redigering av dokument
 msgid "Apply layout"
 msgstr "Verkställ layout"
 
-#: main.cpp:121
+#: main.cpp:123
 #, kde-format
 msgid "Umbrello UML Modeller"
 msgstr "Umbrello UML-modellering"
 
-#: main.cpp:123
+#: main.cpp:125
 #, kde-format
 msgid ""
 "Umbrello – Visual development environment for software, based on the "
@@ -4195,7 +4195,7 @@ msgstr ""
 "industristandarden Unified Modelling Language (UML).<br/>Se också <a "
 "href=’http://www.omg.org/spec/’>http://www.omg.org/spec/</a>."
 
-#: main.cpp:127
+#: main.cpp:129
 #, kde-format
 msgid ""
 "Copyright © 2001 Paul Hensgen,\n"
@@ -4204,97 +4204,97 @@ msgstr ""
 "Copyright © 2001 Paul Hensgen,\n"
 "Copyright © 2002-2020 Upphovsmän till Umbrello UML-modellering"
 
-#: main.cpp:130
+#: main.cpp:132
 #, kde-format
 msgid "Paul Hensgen"
 msgstr "Paul Hensgen"
 
-#: main.cpp:130
+#: main.cpp:132
 #, kde-format
 msgid "Author of initial version."
 msgstr "Upphovsman till den ursprungliga versionen."
 
-#: main.cpp:134
+#: main.cpp:136
 #, kde-format
 msgid "Oliver Kellogg"
 msgstr "Oliver Kellogg"
 
-#: main.cpp:135 main.cpp:138
+#: main.cpp:137 main.cpp:140
 #, kde-format
 msgid "Bug fixing, porting work, code cleanup, new features."
 msgstr "Felrättning, konverteringsarbete, kodstädning, nya funktioner."
 
-#: main.cpp:137
+#: main.cpp:139
 #, kde-format
 msgid "Ralf Habacker"
 msgstr "Ralf Habacker"
 
-#: main.cpp:140
+#: main.cpp:142
 #, kde-format
 msgid "Andi Fischer"
 msgstr "Andi Fischer"
 
-#: main.cpp:141
+#: main.cpp:143
 #, kde-format
 msgid "Porting work, code cleanup, new features."
 msgstr "Konverteringsarbete, kodstädning, nya funktioner."
 
-#: main.cpp:143
+#: main.cpp:145
 #, kde-format
 msgid "Jonathan Riddell"
 msgstr "Jonathan Riddell"
 
-#: main.cpp:144
+#: main.cpp:146
 #, kde-format
 msgid "Current maintainer."
 msgstr "Nuvarande underhåll."
 
-#: main.cpp:146
+#: main.cpp:148
 #, kde-format
 msgid "Brian Thomas"
 msgstr "Brian Thomas"
 
-#: main.cpp:147
+#: main.cpp:149
 #, kde-format
 msgid "A lot of work for C++ and Java code generation. Codeeditor."
 msgstr "En mängd arbete för C++ och Java-kodgenerering. Kodeditor."
 
-#: main.cpp:152
+#: main.cpp:154
 #, kde-format
 msgid "File to open"
 msgstr "Fil att öppna"
 
-#: main.cpp:153
+#: main.cpp:155
 #, kde-format
 msgid "export diagrams to extension and exit"
 msgstr "Exportera diagram med filändelse och avsluta"
 
-#: main.cpp:154
+#: main.cpp:156
 #, kde-format
 msgid "list available export extensions"
 msgstr "lista tillgängliga exportändelser"
 
-#: main.cpp:155
+#: main.cpp:157
 #, kde-format
 msgid "the local directory to save the exported diagrams in"
 msgstr "den lokala katalogen där exporterade diagram ska lagras"
 
-#: main.cpp:155
+#: main.cpp:157
 #, kde-format
 msgid "the directory of the file"
 msgstr "filens katalog"
 
-#: main.cpp:156
+#: main.cpp:158
 #, kde-format
 msgid "import files"
 msgstr "Importerar filer"
 
-#: main.cpp:157
+#: main.cpp:159
 #, kde-format
 msgid "list supported languages"
 msgstr "lista språk som stöds"
 
-#: main.cpp:158
+#: main.cpp:160
 #, kde-format
 msgid ""
 "keep the tree structure used to store the views in the document in the "
@@ -4303,12 +4303,12 @@ msgstr ""
 "behåll trädstrukturen som används för att lagra vyerna i dokumentet i "
 "målkatalogen"
 
-#: main.cpp:159
+#: main.cpp:161
 #, kde-format
 msgid "import files from directory <dir>"
 msgstr "Importera filer från katalogen <kat>"
 
-#: main.cpp:163
+#: main.cpp:165
 #, kde-format
 msgid "set active language"
 msgstr "ange aktivt språk"
@@ -4572,7 +4572,7 @@ msgstr "Dölj borttagningsruta"
 msgid "Import File(s)..."
 msgstr "Importera fil(er)..."
 
-#: menus/listpopupmenu.cpp:201 uml.cpp:356
+#: menus/listpopupmenu.cpp:201 uml.cpp:365
 #, kde-format
 msgid "Import from Directory..."
 msgstr "Importera från katalog..."
@@ -5072,42 +5072,42 @@ msgctxt "align menu"
 msgid "Align"
 msgstr "Justera"
 
-#: menus/widgetbasepopupmenu.cpp:598 uml.cpp:573
+#: menus/widgetbasepopupmenu.cpp:598 uml.cpp:582
 #, kde-format
 msgid "Align Right"
 msgstr "Högerjustera"
 
-#: menus/widgetbasepopupmenu.cpp:599 uml.cpp:578
+#: menus/widgetbasepopupmenu.cpp:599 uml.cpp:587
 #, kde-format
 msgid "Align Left"
 msgstr "Vänsterjustera"
 
-#: menus/widgetbasepopupmenu.cpp:600 uml.cpp:583
+#: menus/widgetbasepopupmenu.cpp:600 uml.cpp:592
 #, kde-format
 msgid "Align Top"
 msgstr "Justera uppåt"
 
-#: menus/widgetbasepopupmenu.cpp:601 uml.cpp:588
+#: menus/widgetbasepopupmenu.cpp:601 uml.cpp:597
 #, kde-format
 msgid "Align Bottom"
 msgstr "Justera nedåt"
 
-#: menus/widgetbasepopupmenu.cpp:603 uml.cpp:593
+#: menus/widgetbasepopupmenu.cpp:603 uml.cpp:602
 #, kde-format
 msgid "Align Vertical Middle"
 msgstr "Justera vertikalt i mitten"
 
-#: menus/widgetbasepopupmenu.cpp:604 uml.cpp:598
+#: menus/widgetbasepopupmenu.cpp:604 uml.cpp:607
 #, kde-format
 msgid "Align Horizontal Middle"
 msgstr "Justera horisontellt i mitten"
 
-#: menus/widgetbasepopupmenu.cpp:605 uml.cpp:603
+#: menus/widgetbasepopupmenu.cpp:605 uml.cpp:612
 #, kde-format
 msgid "Align Vertical Distribute"
 msgstr "Justera vertikal fördelning"
 
-#: menus/widgetbasepopupmenu.cpp:606 uml.cpp:608
+#: menus/widgetbasepopupmenu.cpp:606 uml.cpp:617
 #, kde-format
 msgid "Align Horizontal Distribute"
 msgstr "Justera horisontell fördelning"
@@ -5912,8 +5912,8 @@ msgstr "Användning"
 #: object_factory.cpp:251 uml1model/classifier.cpp:410
 #: uml1model/classifier.cpp:781 uml1model/entity.cpp:125
 #: uml1model/entity.cpp:178 uml1model/entity.cpp:228 uml1model/entity.cpp:277
-#: uml1model/enum.cpp:107 uml1model/instance.cpp:124 uml1model/package.cpp:171
-#: umldoc.cpp:1721 umldoc.cpp:1755
+#: uml1model/enum.cpp:107 uml1model/instance.cpp:124 uml1model/package.cpp:177
+#: umldoc.cpp:1723 umldoc.cpp:1757
 #, kde-format
 msgid "That is an invalid name."
 msgstr "Detta är ett ogiltigt namn."
@@ -5934,7 +5934,7 @@ msgstr "Reserverade nyckelord"
 #: object_factory.cpp:264 uml1model/classifier.cpp:413
 #: uml1model/classifier.cpp:783 uml1model/entity.cpp:127
 #: uml1model/entity.cpp:180 uml1model/entity.cpp:230 uml1model/entity.cpp:279
-#: uml1model/instance.cpp:126 umldoc.cpp:1727 umldoc.cpp:1764
+#: uml1model/instance.cpp:126 umldoc.cpp:1729 umldoc.cpp:1766
 #, kde-format
 msgid "That name is already being used."
 msgstr "Namnet används redan."
@@ -5942,8 +5942,8 @@ msgstr "Namnet används redan."
 #: object_factory.cpp:265 uml1model/classifier.cpp:413
 #: uml1model/classifier.cpp:783 uml1model/entity.cpp:127
 #: uml1model/entity.cpp:180 uml1model/entity.cpp:230 uml1model/entity.cpp:279
-#: uml1model/instance.cpp:126 umldoc.cpp:1629 umldoc.cpp:1699 umldoc.cpp:1727
-#: umldoc.cpp:1764
+#: uml1model/instance.cpp:126 umldoc.cpp:1631 umldoc.cpp:1701 umldoc.cpp:1729
+#: umldoc.cpp:1766
 #, kde-format
 msgid "Not a Unique Name"
 msgstr "Namnet är inte unikt"
@@ -6004,12 +6004,12 @@ msgstr "Ett attribut med det namnet finn
 msgid "Choose a different name."
 msgstr "Välj ett annat namn."
 
-#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:266
+#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:273
 #, kde-format
 msgid "Incorrect use of associations."
 msgstr "Felaktig användning av associationer."
 
-#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:266
+#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:273
 #, kde-format
 msgid "Association Error"
 msgstr "Associationsfel"
@@ -7187,188 +7187,188 @@ msgstr "Aktivt s&pråk"
 msgid "&Settings"
 msgstr "In&ställningar"
 
-#: uml.cpp:332
+#: uml.cpp:341
 #, kde-format
 msgid "&Export model to DocBook"
 msgstr "&Exportera modell till Docbook"
 
-#: uml.cpp:336
+#: uml.cpp:345
 #, kde-format
 msgid "&Export model to XHTML"
 msgstr "&Exportera modell till XHTML"
 
-#: uml.cpp:340
+#: uml.cpp:349
 #, kde-format
 msgid "&New Class Wizard..."
 msgstr "&Ny klassguide..."
 
-#: uml.cpp:344
+#: uml.cpp:353
 #, kde-format
 msgid "&Add Default Datatypes for Active Language"
 msgstr "&Lägg till förvalda datatyper för aktivt språk"
 
-#: uml.cpp:351
+#: uml.cpp:360
 #, kde-format
 msgid "Code &Importing Wizard..."
 msgstr "Kod&importguide..."
 
-#: uml.cpp:361
+#: uml.cpp:370
 #, kde-format
 msgid "&Code Generation Wizard..."
 msgstr "&Kodgenereringsguide..."
 
-#: uml.cpp:366
+#: uml.cpp:375
 #, kde-format
 msgid "&Generate All Code"
 msgstr "Skapa &all kod"
 
-#: uml.cpp:411
+#: uml.cpp:420
 #, kde-format
 msgid "Creates a new document"
 msgstr "Skapar ett nytt dokument"
 
-#: uml.cpp:412
+#: uml.cpp:421
 #, kde-format
 msgid "Opens an existing document"
 msgstr "Öppnar ett befintligt dokument"
 
-#: uml.cpp:413
+#: uml.cpp:422
 #, kde-format
 msgid "Opens a recently used file"
 msgstr "Öppnar en nyligen använd fil"
 
-#: uml.cpp:414
+#: uml.cpp:423
 #, kde-format
 msgid "Saves the document"
 msgstr "Sparar dokumentet"
 
-#: uml.cpp:415
+#: uml.cpp:424
 #, kde-format
 msgid "Saves the document as..."
 msgstr "Sparar dokumentet som..."
 
-#: uml.cpp:416
+#: uml.cpp:425
 #, kde-format
 msgid "Closes the document"
 msgstr "Stänger dokumentet"
 
-#: uml.cpp:417
+#: uml.cpp:426
 #, kde-format
 msgid "Prints out the document"
 msgstr "Skriver ut dokumentet"
 
-#: uml.cpp:418
+#: uml.cpp:427
 #, kde-format
 msgid "Print Preview of the document"
 msgstr "Förhandsgranskning av dokumentets utskrift"
 
-#: uml.cpp:419
+#: uml.cpp:428
 #, kde-format
 msgid "Quits the application"
 msgstr "Avslutar programmet"
 
-#: uml.cpp:420
+#: uml.cpp:429
 #, kde-format
 msgid "Exports the model to the docbook format"
 msgstr "Exporterar modellen till Docbook-format"
 
-#: uml.cpp:421
+#: uml.cpp:430
 #, kde-format
 msgid "Exports the model to the XHTML format"
 msgstr "Exporterar modellen till XHTML-format"
 
-#: uml.cpp:422
+#: uml.cpp:431
 #, kde-format
 msgid "Cuts the selected section and puts it to the clipboard"
 msgstr "Klipper ut markerat avsnitt och placerar den på klippbordet"
 
-#: uml.cpp:423
+#: uml.cpp:432
 #, kde-format
 msgid "Copies the selected section to the clipboard"
 msgstr "Kopierar markerat avsnitt till klippbordet"
 
-#: uml.cpp:424
+#: uml.cpp:433
 #, kde-format
 msgid "Pastes the contents of the clipboard"
 msgstr "Klistrar in klippbordets innehåll"
 
-#: uml.cpp:425
+#: uml.cpp:434
 #, kde-format
 msgid "Set the default program preferences"
 msgstr "Ställer in standardalternativ för programmet"
 
-#: uml.cpp:429
+#: uml.cpp:438
 #, kde-format
 msgctxt "delete selected widget"
 msgid "Delete &Selected"
 msgstr "Ta &bort markerad"
 
-#: uml.cpp:440
+#: uml.cpp:449
 #, kde-format
 msgid "&Class Diagram..."
 msgstr "&Klassdiagram..."
 
-#: uml.cpp:447
+#: uml.cpp:456
 #, kde-format
 msgid "&Object Diagram..."
 msgstr "&Objektdiagram..."
 
-#: uml.cpp:454
+#: uml.cpp:463
 #, kde-format
 msgid "&Sequence Diagram..."
 msgstr "&Sekvensdiagram..."
 
-#: uml.cpp:460
+#: uml.cpp:469
 #, kde-format
 msgid "C&ommunication Diagram..."
 msgstr "K&ommunikationsdiagram..."
 
-#: uml.cpp:466
+#: uml.cpp:475
 #, kde-format
 msgid "&Use Case Diagram..."
 msgstr "An&vändningsfallsdiagram..."
 
-#: uml.cpp:472
+#: uml.cpp:481
 #, kde-format
 msgid "S&tate Diagram..."
 msgstr "&Tillståndsdiagram..."
 
-#: uml.cpp:478
+#: uml.cpp:487
 #, kde-format
 msgid "&Activity Diagram..."
 msgstr "&Aktivitetsdiagram..."
 
-#: uml.cpp:484
+#: uml.cpp:493
 #, kde-format
 msgid "Co&mponent Diagram..."
 msgstr "Ko&mponentdiagram..."
 
-#: uml.cpp:490
+#: uml.cpp:499
 #, kde-format
 msgid "&Deployment Diagram..."
 msgstr "&Utplaceringsdiagram..."
 
-#: uml.cpp:496
+#: uml.cpp:505
 #, kde-format
 msgid "&Entity Relationship Diagram..."
 msgstr "O&bjektsambandsdiagram..."
 
-#: uml.cpp:501 uml.cpp:954
+#: uml.cpp:510 uml.cpp:963
 #, kde-format
 msgid "&Tree View"
 msgstr "&Trädvy"
 
-#: uml.cpp:505
+#: uml.cpp:514
 #, kde-format
 msgid "&Debugging"
 msgstr "&Felsökning"
 
-#: uml.cpp:513
+#: uml.cpp:522
 #, kde-format
 msgid "&Logging"
 msgstr "&Loggning"
 
-#: uml.cpp:517
+#: uml.cpp:526
 #, kde-format
 msgid "&Command history"
 msgstr "&Kommandohistorik"
@@ -7377,135 +7377,135 @@ msgstr "&Kommandohistorik"
 #. m_propertyDock->setObjectName(QLatin1String("PropertyDock"));
 #. addDockWidget(Qt::LeftDockWidgetArea, m_propertyDock);  //:TODO:
 #. create the bird's eye view
-#: uml.cpp:521 uml.cpp:1011
+#: uml.cpp:530 uml.cpp:1020
 #, kde-format
 msgid "&Bird's eye view"
 msgstr "Ö&versiktsvy"
 
-#: uml.cpp:526
+#: uml.cpp:535
 #, kde-format
 msgid "&Clear Diagram"
 msgstr "Rensa &diagram"
 
-#: uml.cpp:530
+#: uml.cpp:539
 #, kde-format
 msgid "&Snap to Grid"
 msgstr "&Lås till rutnät"
 
-#: uml.cpp:534
+#: uml.cpp:543
 #, kde-format
 msgid "S&how Grid"
 msgstr "Visa &rutnät"
 
-#: uml.cpp:539
+#: uml.cpp:548
 #, kde-format
 msgid "&Delete Diagram"
 msgstr "Ta bort &diagram"
 
-#: uml.cpp:544
+#: uml.cpp:553
 #, kde-format
 msgid "&Export as Picture..."
 msgstr "&Exportera som bild..."
 
-#: uml.cpp:549
+#: uml.cpp:558
 #, kde-format
 msgid "Export &Diagrams as Pictures..."
 msgstr "Exportera &diagram som bilder..."
 
-#: uml.cpp:569
+#: uml.cpp:578
 #, kde-format
 msgid "Z&oom to 100%"
 msgstr "Z&ooma till 100%"
 
-#: uml.cpp:612
+#: uml.cpp:621
 #, kde-format
 msgid "&Move Tab Left"
 msgstr "Flytta fliken åt &vänster"
 
-#: uml.cpp:613
+#: uml.cpp:622
 #, kde-format
 msgid "&Move Tab Right"
 msgstr "Flytta fliken åt &höger"
 
-#: uml.cpp:636
+#: uml.cpp:645
 #, kde-format
 msgid "Select Diagram on Left"
 msgstr "Välj diagram till vänster"
 
-#: uml.cpp:637
+#: uml.cpp:646
 #, kde-format
 msgid "Select Diagram on Right"
 msgstr "Välj diagram till höger"
 
-#: uml.cpp:776
+#: uml.cpp:785
 #, kde-format
 msgctxt "%1 percent value from 20 to 500"
 msgid " &%1%"
 msgstr " &%1 %"
 
-#: uml.cpp:826
+#: uml.cpp:835
 #, kde-format
 msgctxt "init status bar"
 msgid "Ready"
 msgstr "Klar"
 
-#: uml.cpp:835 uml.cpp:848
+#: uml.cpp:844 uml.cpp:857
 #, kde-format
 msgid "100%"
 msgstr "100 %"
 
-#: uml.cpp:840
+#: uml.cpp:849
 #, kde-format
 msgid "Fit"
 msgstr "Anpassa"
 
-#: uml.cpp:899
+#: uml.cpp:908
 #, kde-format
 msgid "Diagram Toolbar"
 msgstr "Diagramverktygsrad"
 
-#: uml.cpp:965
+#: uml.cpp:974
 #, kde-format
 msgid "Doc&umentation"
 msgstr "Dok&umentation"
 
-#: uml.cpp:976
+#: uml.cpp:985
 #, kde-format
 msgid "Co&mmand history"
 msgstr "Ko&mmandohistorik"
 
-#: uml.cpp:992
+#: uml.cpp:1001
 #, kde-format
 msgid "&Debug"
 msgstr "&Felsök"
 
-#: uml.cpp:999
+#: uml.cpp:1008
 #, kde-format
 msgid "&Log"
 msgstr "&Logg"
 
-#: uml.cpp:1041 uml.cpp:1258 uml.cpp:1307
+#: uml.cpp:1050 uml.cpp:1267 uml.cpp:1316
 #, kde-format
 msgid "Opening file..."
 msgstr "Öppnar fil..."
 
-#: uml.cpp:1092 uml.cpp:1157 uml.cpp:1342 umldoc.cpp:342 umldoc.cpp:344
-#: umldoc.cpp:368 umldoc.cpp:3396
+#: uml.cpp:1101 uml.cpp:1166 uml.cpp:1351 umldoc.cpp:343 umldoc.cpp:345
+#: umldoc.cpp:369 umldoc.cpp:3405
 #, kde-format
 msgid "Untitled"
 msgstr "Namnlös"
 
-#: uml.cpp:1240
+#: uml.cpp:1249
 #, kde-format
 msgid "Creating new document..."
 msgstr "Skapar nytt dokument..."
 
-#: uml.cpp:1266 uml.cpp:1281
+#: uml.cpp:1275 uml.cpp:1290
 #, kde-format
 msgid "Open File"
 msgstr "Öppna fil"
 
-#: uml.cpp:1270
+#: uml.cpp:1279
 #, kde-format
 msgid ""
 "*.xmi *.xmi.tgz *.xmi.tar.bz2 *.mdl *.zargo|All Supported Files (*.xmi, *."
@@ -7524,22 +7524,22 @@ msgstr ""
 "*.mdl|Rose modellfiler (*.mdl)\n"
 "*.zargo|Komprimerade argo-filer (*.zargo)\n"
 
-#: uml.cpp:1341
+#: uml.cpp:1350
 #, kde-format
 msgid "Saving file..."
 msgstr "Sparar fil..."
 
-#: uml.cpp:1358
+#: uml.cpp:1367
 #, kde-format
 msgid "Saving file with a new filename..."
 msgstr "Sparar fil med nytt filnamn..."
 
-#: uml.cpp:1368 uml.cpp:1374 umlviewimageexporter.cpp:199
+#: uml.cpp:1377 uml.cpp:1383 umlviewimageexporter.cpp:199
 #, kde-format
 msgid "Save As"
 msgstr "Spara som"
 
-#: uml.cpp:1369
+#: uml.cpp:1378
 #, kde-format
 msgid ""
 "*.xmi | XMI File (*.xmi);;*.xmi.tgz | Gzip Compressed XMI File (*.xmi.tgz);;"
@@ -7548,7 +7548,7 @@ msgstr ""
 "*.xmi|XMI-fil (*.xmi);;*.xmi.tgz|Gzip-komprimerad XMI-fil (*.xmi.tgz);;*.xmi."
 "tar.bz2|Bzip2-komprimerad XMI-fil (*.xmi.tar.bz2);;*|Alla filer (*)"
 
-#: uml.cpp:1374
+#: uml.cpp:1383
 #, kde-format
 msgid ""
 "*.xmi|XMI File\n"
@@ -7561,7 +7561,7 @@ msgstr ""
 "*.xmi.tar.bz2|Bzip2-komprimerad XMI-fil\n"
 "*|Alla filer"
 
-#: uml.cpp:1387
+#: uml.cpp:1396
 #, kde-format
 msgid ""
 "The file %1 exists.\n"
@@ -7570,67 +7570,67 @@ msgstr ""
 "Filen %1 finns redan.\n"
 "Vill du skriva över den?"
 
-#: uml.cpp:1388
+#: uml.cpp:1397
 #, kde-format
 msgid "Warning"
 msgstr "Varning"
 
-#: uml.cpp:1388
+#: uml.cpp:1397
 #, kde-format
 msgid "Overwrite"
 msgstr "Skriv över"
 
-#: uml.cpp:1422
+#: uml.cpp:1431
 #, kde-format
 msgid "Closing file..."
 msgstr "Stänger fil..."
 
-#: uml.cpp:1432
+#: uml.cpp:1441
 #, kde-format
 msgid "No search term entered"
 msgstr "Inget sökbegrepp inmatat"
 
-#: uml.cpp:1438
+#: uml.cpp:1447
 #, kde-format
 msgid "'%1': %2 found"
 msgstr "'%1': %2 hittad"
 
-#: uml.cpp:1502
+#: uml.cpp:1511
 #, kde-format
 msgid "Print Preview..."
 msgstr "Förhandsgranska utskrift..."
 
-#: uml.cpp:1529
+#: uml.cpp:1538
 #, kde-format
 msgid "Printing..."
 msgstr "Skriver ut..."
 
-#: uml.cpp:1536 uml.cpp:1540
+#: uml.cpp:1545 uml.cpp:1549
 #, kde-format
 msgid "Print %1"
 msgstr "Skriv ut %1"
 
-#: uml.cpp:1560
+#: uml.cpp:1569
 #, kde-format
 msgid "Exiting..."
 msgstr "Avslutar..."
 
-#: uml.cpp:1647
+#: uml.cpp:1656
 #, kde-format
 msgid "Cutting selection..."
 msgstr "Klipper ut markering..."
 
-#: uml.cpp:1670
+#: uml.cpp:1679
 #, kde-format
 msgid "Copying selection to clipboard..."
 msgstr "Kopierar markering till klippbordet..."
 
-#: uml.cpp:1682
+#: uml.cpp:1691
 #, kde-format
 msgid "Inserting clipboard contents..."
 msgstr "Infogar klippbordets innehåll..."
 
-#: uml.cpp:1687
+#: uml.cpp:1696
 #, kde-format
 msgid ""
 "Umbrello could not paste the clipboard contents.  The objects in the "
@@ -7639,38 +7639,38 @@ msgstr ""
 "Umbrello kunde inte klistra in klippbordets innehåll. Objekten på "
 "klippbordet kan ha fel typ för att kunna klistras in här."
 
-#: uml.cpp:1713 umlviewimageexporter.cpp:92 umlviewimageexporterall.cpp:123
+#: uml.cpp:1722 umlviewimageexporter.cpp:92 umlviewimageexporterall.cpp:123
 #, kde-format
 msgctxt "reset status bar"
 msgid "Ready."
 msgstr "Klar."
 
-#: uml.cpp:2246
+#: uml.cpp:2255
 #, kde-format
 msgid "Cannot view code until you generate some first."
 msgstr "Kan inte visa kod innan du först skapat någon."
 
-#: uml.cpp:2246 uml.cpp:2249
+#: uml.cpp:2255 uml.cpp:2258
 #, kde-format
 msgid "Cannot View Code"
 msgstr "Kan inte visa kod"
 
-#: uml.cpp:2249
+#: uml.cpp:2258
 #, kde-format
 msgid "Cannot view code from simple code writer."
 msgstr "Kan inte visa kod från enkel kodskrivning."
 
-#: uml.cpp:2714 uml.cpp:2716
+#: uml.cpp:2728 uml.cpp:2730
 #, kde-format
 msgid "Select file(s) to import:"
 msgstr "Välj fil(er) att importera:"
 
-#: uml.cpp:2747 uml.cpp:2749
+#: uml.cpp:2761 uml.cpp:2763
 #, kde-format
 msgid "Select directory to import:"
 msgstr "Välj katalog att importera:"
 
-#: uml.cpp:3313
+#: uml.cpp:3335
 #, kde-format
 msgid "XHTML Generation failed ."
 msgstr "Misslyckades skapa XHTML."
@@ -7684,20 +7684,20 @@ msgstr ""
 "En operation med samma namn och signatur finns redan. Du kan inte lägga till "
 "den igen."
 
-#: uml1model/folder.cpp:435
+#: uml1model/folder.cpp:436
 #, kde-format
 msgid "The folderfile %1 does not exist."
 msgstr "Katalogfilen %1 finns inte."
 
-#: uml1model/folder.cpp:435 uml1model/folder.cpp:439 umldoc.cpp:529
-#: umldoc.cpp:541 umldoc.cpp:568 umldoc.cpp:570 umldoc.cpp:620 umldoc.cpp:623
-#: umldoc.cpp:638 umldoc.cpp:641 umldoc.cpp:665 umldoc.cpp:668 umldoc.cpp:684
-#: umldoc.cpp:687 umldoc.cpp:702 umldoc.cpp:705 umldoc.cpp:750
+#: uml1model/folder.cpp:436 uml1model/folder.cpp:440 umldoc.cpp:530
+#: umldoc.cpp:542 umldoc.cpp:569 umldoc.cpp:571 umldoc.cpp:621 umldoc.cpp:624
+#: umldoc.cpp:639 umldoc.cpp:642 umldoc.cpp:666 umldoc.cpp:669 umldoc.cpp:685
+#: umldoc.cpp:688 umldoc.cpp:703 umldoc.cpp:706 umldoc.cpp:751
 #, kde-format
 msgid "Load Error"
 msgstr "Laddningsfel"
 
-#: uml1model/folder.cpp:439
+#: uml1model/folder.cpp:440
 #, kde-format
 msgid "The folderfile %1 cannot be opened."
 msgstr "Katalogfilen %1 kan inte öppnas."
@@ -7707,13 +7707,13 @@ msgstr "Katalogfilen %1 kan inte öppnas
 msgid "new_parameter"
 msgstr "ny_parameter"
 
-#: uml1model/package.cpp:163
+#: uml1model/package.cpp:169
 #, kde-format
 msgctxt "object name"
 msgid "Name"
 msgstr "Namn"
 
-#: uml1model/package.cpp:164
+#: uml1model/package.cpp:170
 #, kde-format
 msgid ""
 "An object with the name %1\n"
@@ -7739,77 +7739,77 @@ msgstr "nytt_fält"
 msgid "new_fkey_constraint"
 msgstr "ny_fnyckel_begränsning"
 
-#: uml1model/umlobject.cpp:1140
+#: uml1model/umlobject.cpp:1141
 #, kde-format
 msgid "Actor &name:"
 msgstr "Aktörs&namn:"
 
-#: uml1model/umlobject.cpp:1143
+#: uml1model/umlobject.cpp:1144
 #, kde-format
 msgid "Artifact &name:"
 msgstr "Artefakt&namn:"
 
-#: uml1model/umlobject.cpp:1146
+#: uml1model/umlobject.cpp:1147
 #, kde-format
 msgid "Association &name:"
 msgstr "Associations&namn:"
 
-#: uml1model/umlobject.cpp:1149
+#: uml1model/umlobject.cpp:1150
 #, kde-format
 msgid "Class &name:"
 msgstr "Klass&namn:"
 
-#: uml1model/umlobject.cpp:1152
+#: uml1model/umlobject.cpp:1153
 #, kde-format
 msgid "Component &name:"
 msgstr "Komponent&namn:"
 
-#: uml1model/umlobject.cpp:1155
+#: uml1model/umlobject.cpp:1156
 #, kde-format
 msgid "Datatype &name:"
 msgstr "Datatypens &namn:"
 
-#: uml1model/umlobject.cpp:1158
+#: uml1model/umlobject.cpp:1159
 #, kde-format
 msgid "Entity &name:"
 msgstr "Objekt&namn:"
 
-#: uml1model/umlobject.cpp:1161
+#: uml1model/umlobject.cpp:1162
 #, kde-format
 msgid "Enum &name:"
 msgstr "Uppräknings&namn:"
 
-#: uml1model/umlobject.cpp:1164
+#: uml1model/umlobject.cpp:1165
 #, kde-format
 msgid "Folder &name:"
 msgstr "Katalog&namn:"
 
-#: uml1model/umlobject.cpp:1167
+#: uml1model/umlobject.cpp:1168
 #, kde-format
 msgid "Interface &name:"
 msgstr "Gränssnitts&namn:"
 
-#: uml1model/umlobject.cpp:1170
+#: uml1model/umlobject.cpp:1171
 #, kde-format
 msgid "Node &name:"
 msgstr "&Nodnamn:"
 
-#: uml1model/umlobject.cpp:1173
+#: uml1model/umlobject.cpp:1174
 #, kde-format
 msgid "Package &name:"
 msgstr "Paket&namn:"
 
-#: uml1model/umlobject.cpp:1176
+#: uml1model/umlobject.cpp:1177
 #, kde-format
 msgid "Port &name:"
 msgstr "Port&namn:"
 
-#: uml1model/umlobject.cpp:1182
+#: uml1model/umlobject.cpp:1183
 #, kde-format
 msgid "Use case &name:"
 msgstr "Användningsfalls&namn:"
 
-#: uml1model/umlobject.cpp:1185
+#: uml1model/umlobject.cpp:1186
 #, kde-format
 msgid "Instance name:"
 msgstr "Instansnamn:"
@@ -7829,42 +7829,42 @@ msgstr "&Stereotyper"
 msgid "Welcome"
 msgstr "Välkommen"
 
-#: umldoc.cpp:112 umldoc.cpp:2400 umldoc.cpp:2428
+#: umldoc.cpp:113 umldoc.cpp:2405 umldoc.cpp:2433
 #, kde-format
 msgid "UML Model"
 msgstr "UML-model"
 
-#: umldoc.cpp:154
+#: umldoc.cpp:155
 #, kde-format
 msgid "Logical View"
 msgstr "Logisk vy"
 
-#: umldoc.cpp:155
+#: umldoc.cpp:156
 #, kde-format
 msgid "Use Case View"
 msgstr "Användningsfallsvy"
 
-#: umldoc.cpp:156
+#: umldoc.cpp:157
 #, kde-format
 msgid "Component View"
 msgstr "Komponentvy"
 
-#: umldoc.cpp:157
+#: umldoc.cpp:158
 #, kde-format
 msgid "Deployment View"
 msgstr "Utplaceringsvy"
 
-#: umldoc.cpp:158
+#: umldoc.cpp:159
 #, kde-format
 msgid "Entity Relationship Model"
 msgstr "Objektsambandsmodell"
 
-#: umldoc.cpp:184
+#: umldoc.cpp:185
 #, kde-format
 msgid "Datatypes"
 msgstr "Datatyper"
 
-#: umldoc.cpp:363
+#: umldoc.cpp:364
 #, kde-format
 msgid ""
 "The current file has been modified.\n"
@@ -7873,166 +7873,166 @@ msgstr ""
 "Aktuell fil har ändrats.\n"
 "Vill du spara den?"
 
-#: umldoc.cpp:364
+#: umldoc.cpp:365
 #, kde-format
 msgctxt "warning message"
 msgid "Warning"
 msgstr "Varning"
 
-#: umldoc.cpp:529
+#: umldoc.cpp:530
 #, kde-format
 msgid "The file <%1> does not exist."
 msgstr "Filen <%1> finns inte."
 
-#: umldoc.cpp:541
+#: umldoc.cpp:542
 #, kde-format
 msgid "The file %1 does not exist."
 msgstr "Filen %1 finns inte."
 
-#: umldoc.cpp:568 umldoc.cpp:570
+#: umldoc.cpp:569 umldoc.cpp:571
 #, kde-format
 msgid "The file %1 seems to be corrupted."
 msgstr "Filen %1 verkar vara förstörd."
 
-#: umldoc.cpp:619 umldoc.cpp:622 umldoc.cpp:637 umldoc.cpp:640 umldoc.cpp:683
-#: umldoc.cpp:686
+#: umldoc.cpp:620 umldoc.cpp:623 umldoc.cpp:638 umldoc.cpp:641 umldoc.cpp:684
+#: umldoc.cpp:687
 #, kde-format
 msgid "There was no XMI file found in the compressed file %1."
 msgstr "Ingen XMI-fil hittades i den komprimerade filen %1."
 
-#: umldoc.cpp:664 umldoc.cpp:667
+#: umldoc.cpp:665 umldoc.cpp:668
 #, kde-format
 msgid "There was a problem loading the extracted file: %1"
 msgstr "Ett problem uppstod vid laddning av den extraherade filen: %1"
 
-#: umldoc.cpp:701 umldoc.cpp:704 umldoc.cpp:744 umldoc.cpp:746
+#: umldoc.cpp:702 umldoc.cpp:705 umldoc.cpp:745 umldoc.cpp:747
 #, kde-format
 msgid "There was a problem loading file: %1"
 msgstr "Ett problem uppstod vid laddning av filen: %1"
 
-#: umldoc.cpp:749
+#: umldoc.cpp:750
 #, kde-format
 msgid "Reason: %1"
 msgstr "Orsak: %1"
 
-#: umldoc.cpp:832 umldoc.cpp:834 umldoc.cpp:851 umldoc.cpp:853 umldoc.cpp:873
-#: umldoc.cpp:875 umldoc.cpp:924 umldoc.cpp:926 umldoc.cpp:966 umldoc.cpp:969
-#: umldoc.cpp:978 umldoc.cpp:980 umllistview.cpp:593
+#: umldoc.cpp:833 umldoc.cpp:835 umldoc.cpp:852 umldoc.cpp:854 umldoc.cpp:874
+#: umldoc.cpp:876 umldoc.cpp:925 umldoc.cpp:927 umldoc.cpp:968 umldoc.cpp:971
+#: umldoc.cpp:980 umldoc.cpp:982 umllistview.cpp:594
 #, kde-format
 msgid "Save Error"
 msgstr "Fel vid spara"
 
-#: umldoc.cpp:832 umldoc.cpp:851 umldoc.cpp:873 umldoc.cpp:924 umldoc.cpp:966
+#: umldoc.cpp:833 umldoc.cpp:852 umldoc.cpp:874 umldoc.cpp:925 umldoc.cpp:968
 #, kde-format
 msgid "There was a problem saving: %1"
 msgstr "Ett problem uppstod att spara: %1"
 
-#: umldoc.cpp:834 umldoc.cpp:853 umldoc.cpp:875 umldoc.cpp:926 umldoc.cpp:969
-#: umllistview.cpp:592 umlviewimageexportermodel.cpp:303
+#: umldoc.cpp:835 umldoc.cpp:854 umldoc.cpp:876 umldoc.cpp:927 umldoc.cpp:971
+#: umllistview.cpp:593 umlviewimageexportermodel.cpp:303
 #, kde-format
 msgid "There was a problem saving file: %1"
 msgstr "Ett problem uppstod när filen skulle sparas: %1"
 
-#: umldoc.cpp:978
+#: umldoc.cpp:980
 #, kde-format
 msgid "There was a problem uploading: %1"
 msgstr "Ett problem uppstod att ladda upp: %1"
 
-#: umldoc.cpp:980
+#: umldoc.cpp:982
 #, kde-format
 msgid "There was a problem uploading file: %1"
 msgstr "Ett problem uppstod vid uppladdning av filen: %1"
 
-#: umldoc.cpp:1526
+#: umldoc.cpp:1528
 #, kde-format
 msgid "use case diagram"
 msgstr "användningsfallsdiagram"
 
-#: umldoc.cpp:1529
+#: umldoc.cpp:1531
 #, kde-format
 msgid "class diagram"
 msgstr "klassdiagram"
 
-#: umldoc.cpp:1532
+#: umldoc.cpp:1534
 #, kde-format
 msgid "sequence diagram"
 msgstr "sekvensdiagram"
 
-#: umldoc.cpp:1535
+#: umldoc.cpp:1537
 #, kde-format
 msgid "communication diagram"
 msgstr "kommunikationsdiagram"
 
-#: umldoc.cpp:1538
+#: umldoc.cpp:1540
 #, kde-format
 msgid "object diagram"
 msgstr "objektdiagram"
 
-#: umldoc.cpp:1541
+#: umldoc.cpp:1543
 #, kde-format
 msgid "state diagram"
 msgstr "tillståndsdiagram"
 
-#: umldoc.cpp:1544
+#: umldoc.cpp:1546
 #, kde-format
 msgid "activity diagram"
 msgstr "aktivitetsdiagram"
 
-#: umldoc.cpp:1547
+#: umldoc.cpp:1549
 #, kde-format
 msgid "component diagram"
 msgstr "komponentdiagram"
 
-#: umldoc.cpp:1550
+#: umldoc.cpp:1552
 #, kde-format
 msgid "deployment diagram"
 msgstr "utplaceringsdiagram"
 
-#: umldoc.cpp:1553
+#: umldoc.cpp:1555
 #, kde-format
 msgid "entity relationship diagram"
 msgstr "objektsambandsdiagram"
 
-#: umldoc.cpp:1623
+#: umldoc.cpp:1625
 #, kde-format
 msgctxt "diagram name"
 msgid "Name"
 msgstr "Namn"
 
-#: umldoc.cpp:1623 umldoc.cpp:1686 umldoc.cpp:1715 umldoc.cpp:1749
+#: umldoc.cpp:1625 umldoc.cpp:1688 umldoc.cpp:1717 umldoc.cpp:1751
 #, kde-format
 msgid "Enter name:"
 msgstr "Skriv in namn:"
 
-#: umldoc.cpp:1627 umldoc.cpp:1692
+#: umldoc.cpp:1629 umldoc.cpp:1694
 #, kde-format
 msgid "That is an invalid name for a diagram."
 msgstr "Detta är ett ogiltigt namn på ett diagram."
 
-#: umldoc.cpp:1629 umldoc.cpp:1699
+#: umldoc.cpp:1631 umldoc.cpp:1701
 #, kde-format
 msgid "A diagram is already using that name."
 msgstr "Ett diagram använder redan detta namn."
 
-#: umldoc.cpp:1685
+#: umldoc.cpp:1687
 #, kde-format
 msgctxt "renaming diagram"
 msgid "Name"
 msgstr "Namn"
 
-#: umldoc.cpp:1714
+#: umldoc.cpp:1716
 #, kde-format
 msgctxt "renaming uml object"
 msgid "Name"
 msgstr "Namn"
 
-#: umldoc.cpp:1748
+#: umldoc.cpp:1750
 #, kde-format
 msgctxt "renaming child uml object"
 msgid "Name"
 msgstr "Namn"
 
-#: umldoc.cpp:1758
+#: umldoc.cpp:1760
 #, kde-format
 msgid ""
 "The name you entered was not unique.\n"
@@ -8041,62 +8041,62 @@ msgstr ""
 "Namnet du skrev in var inte unikt.\n"
 "Är det vad du avsåg?"
 
-#: umldoc.cpp:1759
+#: umldoc.cpp:1761
 #, kde-format
 msgid "Use Name"
 msgstr "Använd namn"
 
-#: umldoc.cpp:1759
+#: umldoc.cpp:1761
 #, kde-format
 msgid "Enter New Name"
 msgstr "Skriv in nytt namn"
 
-#: umldoc.cpp:2361
+#: umldoc.cpp:2366
 #, kde-format
 msgid "Unsupported xmi file version: %1"
 msgstr "Version av xmi-fil stöds inte: %1"
 
-#: umldoc.cpp:2511
+#: umldoc.cpp:2516
 #, kde-format
 msgid "Setting up the document..."
 msgstr "Ställer in dokument..."
 
-#: umldoc.cpp:2540
+#: umldoc.cpp:2545
 #, kde-format
 msgid "Resolving object references..."
 msgstr "Löser upp objektreferenser..."
 
-#: umldoc.cpp:2648
+#: umldoc.cpp:2653
 #, kde-format
 msgid "Loading UML elements..."
 msgstr "Laddar UML-komponenter..."
 
-#: umldoc.cpp:2892
+#: umldoc.cpp:2899
 #, kde-format
 msgid "Loading diagrams..."
 msgstr "Laddar diagram..."
 
-#: umldoc.cpp:3400
+#: umldoc.cpp:3409
 #, kde-format
 msgid "/autosave%1"
 msgstr "/spara %1 automatiskt"
 
-#: umllistview.cpp:536 umllistview.cpp:540
+#: umllistview.cpp:537 umllistview.cpp:541
 #, kde-format
 msgid "Externalize Folder"
 msgstr "Gör katalog extern"
 
-#: umllistview.cpp:574
+#: umllistview.cpp:575
 #, kde-format
 msgid "Folder %1 must be relative to the main model directory, %2."
 msgstr "Katalogen %1 måste vara relativ till modellens huvudkatalog, %2."
 
-#: umllistview.cpp:575
+#: umllistview.cpp:576
 #, kde-format
 msgid "Path Error"
 msgstr "Sökvägsfel"
 
-#: umllistview.cpp:583
+#: umllistview.cpp:584
 #, kde-format
 msgid ""
 "File %1 already exists!\n"
@@ -8105,62 +8105,62 @@ msgstr ""
 "Filen %1 finns redan.\n"
 "Den befintliga filen kommer att skrivas över."
 
-#: umllistview.cpp:584
+#: umllistview.cpp:585
 #, kde-format
 msgid "File Exist"
 msgstr "Filen finns redan"
 
-#: umllistview.cpp:624
+#: umllistview.cpp:625
 #, kde-format
 msgid "Enter Model Name"
 msgstr "Skriv in modellnamn"
 
-#: umllistview.cpp:625
+#: umllistview.cpp:626
 #, kde-format
 msgid "Enter the new name of the model:"
 msgstr "Skriv in modellens nya namn:"
 
-#: umllistview.cpp:1422
+#: umllistview.cpp:1430
 #, kde-format
 msgid "Views"
 msgstr "Vyer"
 
-#: umllistview.cpp:1441
+#: umllistview.cpp:1449
 #, kde-format
 msgid "Settings"
 msgstr "Inställningar"
 
-#: umllistview.cpp:2413
+#: umllistview.cpp:2421
 #, kde-format
 msgid "Loading listview..."
 msgstr "Laddar listvy..."
 
-#: umllistview.cpp:2764
+#: umllistview.cpp:2772
 #, kde-format
 msgid "The class must be emptied before it can be deleted."
 msgstr "Klassen måste tömmas innan den kan tas bort."
 
-#: umllistview.cpp:2765
+#: umllistview.cpp:2773
 #, kde-format
 msgid "Class Not Empty"
 msgstr "Klass inte tom"
 
-#: umllistview.cpp:2769
+#: umllistview.cpp:2777
 #, kde-format
 msgid "The package must be emptied before it can be deleted."
 msgstr "Paketet måste tömmas innan det kan tas bort."
 
-#: umllistview.cpp:2770
+#: umllistview.cpp:2778
 #, kde-format
 msgid "Package Not Empty"
 msgstr "Paket inte tom"
 
-#: umllistview.cpp:2774
+#: umllistview.cpp:2782
 #, kde-format
 msgid "The folder must be emptied before it can be deleted."
 msgstr "Mappen måste tömmas innan den kan tas bort."
 
-#: umllistview.cpp:2775
+#: umllistview.cpp:2783
 #, kde-format
 msgid "Folder Not Empty"
 msgstr "Mapp inte tom"
diff -pruN 4:20.08.3-1/po/tr/umbrello.po 4:20.12.0-0ubuntu1/po/tr/umbrello.po
--- 4:20.08.3-1/po/tr/umbrello.po	2020-11-03 00:42:16.000000000 +0000
+++ 4:20.12.0-0ubuntu1/po/tr/umbrello.po	2020-12-04 00:21:31.000000000 +0000
@@ -11,7 +11,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: umbrello\n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
-"POT-Creation-Date: 2020-08-14 08:09+0200\n"
+"POT-Creation-Date: 2020-11-06 02:36+0100\n"
 "PO-Revision-Date: 2019-10-07 10:44+0100\n"
 "Last-Translator: Volkan Gezer <volkangezer@gmail.com>\n"
 "Language-Team: Turkish <kde-l10n-tr@kde.org>\n"
@@ -212,7 +212,7 @@ msgstr ""
 "Panodaki ögelerden en azından birisi yapıştırılamıyor çünkü öge ile aynı "
 "isimde bir öge bulunuyor.  Diğer ögeler yapıştırıldı."
 
-#: clipboard/umlclipboard.cpp:753 uml.cpp:1689
+#: clipboard/umlclipboard.cpp:753 uml.cpp:1698
 #, kde-format
 msgid "Paste Error"
 msgstr "Yapıştırma Hatası"
@@ -438,7 +438,7 @@ msgstr "<p align=\"center\">C++ Kod Olu
 #. i18n: ectx: attribute (title), widget (QWidget, ui_tabGeneral)
 #: codegenerators/cpp/cppcodegenerationformbase.ui:51
 #: codegenwizard/codegenoptionspage.ui:39 dialogs/objectnodedialog.cpp:135
-#: umllistview.cpp:1451
+#: umllistview.cpp:1459
 #, kde-format
 msgid "General"
 msgstr "Genel"
@@ -1316,7 +1316,7 @@ msgstr "Durum"
 #. i18n: ectx: property (text), widget (QRadioButton, ui_categoryClass)
 #. i18n: ectx: property (text), widget (QTableWidget, ui_tableWidgetStatus)
 #: codegenwizard/codegenstatuspage.ui:40 codeimpwizard/codeimpstatuspage.ui:54
-#: dialogs/finddialog.ui:89 umllistview.cpp:1446 umlwidgets/widgetbase.cpp:1255
+#: dialogs/finddialog.ui:89 umllistview.cpp:1454 umlwidgets/widgetbase.cpp:1255
 #, kde-format
 msgid "Class"
 msgstr "Sınıf"
@@ -1972,18 +1972,18 @@ msgstr ""
 msgid "Enable 'delete diagram' related messages"
 msgstr ""
 
-#: dialogs/dialog_utils.cpp:117
+#: dialogs/dialog_utils.cpp:118
 #, kde-format
 msgid "You are about to delete an association. Do you really want to continue?"
 msgstr ""
 
-#: dialogs/dialog_utils.cpp:118
+#: dialogs/dialog_utils.cpp:119
 #, fuzzy, kde-format
 #| msgid "Self Association"
 msgid "Delete Association"
 msgstr "Kendi İlişkisi"
 
-#: dialogs/dialog_utils.cpp:132
+#: dialogs/dialog_utils.cpp:133
 #, kde-format
 msgid ""
 "You are about to delete the entire diagram.\n"
@@ -1992,17 +1992,17 @@ msgstr ""
 "Tüm diyagramı siliyorsunuz.\n"
 "Emin misiniz?"
 
-#: dialogs/dialog_utils.cpp:133
+#: dialogs/dialog_utils.cpp:134
 #, kde-format
 msgid "Are you sure you want to delete diagram %1?"
 msgstr "%1 diyagramını silmek istediğinize emin misiniz?"
 
-#: dialogs/dialog_utils.cpp:138
+#: dialogs/dialog_utils.cpp:139
 #, kde-format
 msgid "Delete Diagram?"
 msgstr "Diyagramı Silinsin mi?"
 
-#: dialogs/dialog_utils.cpp:139 dialogs/pages/classifierlistpage.cpp:215
+#: dialogs/dialog_utils.cpp:140 dialogs/pages/classifierlistpage.cpp:215
 #: dialogs/pages/classifierlistpage.cpp:223
 #: dialogs/umlforeignkeyconstraintdialog.cpp:325
 #: dialogs/umlforeignkeyconstraintdialog.cpp:331
@@ -2162,7 +2162,7 @@ msgstr "Genel"
 #. i18n: ectx: label, entry (uiFont), group (UI Options)
 #. i18n: ectx: label, entry (codeViewerFont), group (Code Viewer Options)
 #: dialogs/multipagedialogbase.cpp:405 umbrello.kcfg:177 umbrello.kcfg:292
-#: umllistview.cpp:1450
+#: umllistview.cpp:1458
 #, kde-format
 msgid "Font"
 msgstr "Yazı Tipi"
@@ -2587,7 +2587,7 @@ msgstr "Yeni Varlık Özniteliği..."
 
 #: dialogs/pages/classifierlistpage.cpp:217
 #: dialogs/pages/classifierlistpage.cpp:225 dialogs/umloperationdialog.cpp:167
-#: dialogs/umloperationdialog.cpp:175 uml.cpp:554
+#: dialogs/umloperationdialog.cpp:175 uml.cpp:563
 #, kde-format
 msgid "&Properties"
 msgstr "Ö&zellikler"
@@ -2605,7 +2605,7 @@ msgid "Source Code"
 msgstr "Kaynak Kod"
 
 #: dialogs/pages/classoptionspage.cpp:157
-#: dialogs/pages/classoptionspage.cpp:251 uml.cpp:509
+#: dialogs/pages/classoptionspage.cpp:251 uml.cpp:518
 #, kde-format
 msgid "&Documentation"
 msgstr "&Belgeler"
@@ -2794,8 +2794,8 @@ msgstr "Verdiğiniz isim geçerli değil
 #: uml1model/classifier.cpp:410 uml1model/classifier.cpp:781
 #: uml1model/entity.cpp:125 uml1model/entity.cpp:178 uml1model/entity.cpp:228
 #: uml1model/entity.cpp:277 uml1model/enum.cpp:107 uml1model/instance.cpp:124
-#: uml1model/package.cpp:172 umldoc.cpp:1627 umldoc.cpp:1692 umldoc.cpp:1721
-#: umldoc.cpp:1755
+#: uml1model/package.cpp:178 umldoc.cpp:1629 umldoc.cpp:1694 umldoc.cpp:1723
+#: umldoc.cpp:1757
 #, kde-format
 msgid "Invalid Name"
 msgstr "Geçersiz İsim"
@@ -2805,7 +2805,7 @@ msgstr "Geçersiz İsim"
 msgid "The name you have entered is not unique."
 msgstr "Verdiğiniz isim başka bir isimle çakışıyor."
 
-#: dialogs/pages/diagrampropertiespage.cpp:86 umldoc.cpp:1759
+#: dialogs/pages/diagrampropertiespage.cpp:86 umldoc.cpp:1761
 #, kde-format
 msgid "Name Not Unique"
 msgstr "Bu İsim Kullanılıyor"
@@ -3279,7 +3279,7 @@ msgstr "&Diyagram"
 msgid "Umbrello Setup"
 msgstr "Umbrello Kurulumu"
 
-#: dialogs/settingsdialog.cpp:114 umllistview.cpp:1452
+#: dialogs/settingsdialog.cpp:114 umllistview.cpp:1460
 #, kde-format
 msgid "User Interface"
 msgstr "Kullanıcı Arayüzü"
@@ -3306,7 +3306,7 @@ msgstr "Sınıf"
 msgid "Class Settings"
 msgstr "Sınıf Ayarları"
 
-#: dialogs/settingsdialog.cpp:137 umllistview.cpp:1447
+#: dialogs/settingsdialog.cpp:137 umllistview.cpp:1455
 #, kde-format
 msgid "Code Importer"
 msgstr "İçeriye Kod Aktarıcı"
@@ -3316,7 +3316,7 @@ msgstr "İçeriye Kod Aktarıcı"
 msgid "Code Import Settings"
 msgstr "İçeriye Kod Aktarma Ayarları"
 
-#: dialogs/settingsdialog.cpp:146 umllistview.cpp:1448
+#: dialogs/settingsdialog.cpp:146 umllistview.cpp:1456
 #, kde-format
 msgid "Code Generation"
 msgstr "Kod Oluşturma"
@@ -3326,7 +3326,7 @@ msgstr "Kod Oluşturma"
 msgid "Code Generation Settings"
 msgstr "Kod Oluşturma Ayarları"
 
-#: dialogs/settingsdialog.cpp:154 umllistview.cpp:1449
+#: dialogs/settingsdialog.cpp:154 umllistview.cpp:1457
 #, kde-format
 msgid "Code Viewer"
 msgstr "Kod İzleyici"
@@ -3336,7 +3336,7 @@ msgstr "Kod İzleyici"
 msgid "Code Viewer Settings"
 msgstr "Kod Görüntüleyici Ayarları"
 
-#: dialogs/settingsdialog.cpp:161 umllistview.cpp:1445
+#: dialogs/settingsdialog.cpp:161 umllistview.cpp:1453
 #, kde-format
 msgid "Auto Layout"
 msgstr "Otomatik Düzen"
@@ -3976,7 +3976,7 @@ msgstr "&Tür:"
 msgid "Package path:"
 msgstr "Paketin yolu:"
 
-#: dialogs/widgets/umlstereotypewidget.cpp:29 uml1model/umlobject.cpp:1179
+#: dialogs/widgets/umlstereotypewidget.cpp:29 uml1model/umlobject.cpp:1180
 #, kde-format
 msgid "Stereotype &name:"
 msgstr "Stereotip &ismi:"
@@ -4122,7 +4122,7 @@ msgstr ""
 msgid "Gael de Chalendar (aka Kleag)"
 msgstr "Gael de Chalendar (aka Kleag)"
 
-#: docgenerators/main.cpp:56 main.cpp:131
+#: docgenerators/main.cpp:56 main.cpp:133
 #, kde-format
 msgid "Umbrello UML Modeller Authors"
 msgstr "Umbrello UML Modelleyici Yazarları"
@@ -4184,12 +4184,12 @@ msgstr ""
 msgid "Apply layout"
 msgstr "Düzeni uygula"
 
-#: main.cpp:121
+#: main.cpp:123
 #, kde-format
 msgid "Umbrello UML Modeller"
 msgstr "Umbrello UML Modelleyici"
 
-#: main.cpp:123
+#: main.cpp:125
 #, kde-format
 msgid ""
 "Umbrello – Visual development environment for software, based on the "
@@ -4197,7 +4197,7 @@ msgid ""
 "\"http://www.omg.org/spec/\">http://www.omg.org/spec/</a>."
 msgstr ""
 
-#: main.cpp:127
+#: main.cpp:129
 #, fuzzy, kde-format
 #| msgid ""
 #| "Copyright © 2001 Paul Hensgen,\n"
@@ -4209,105 +4209,105 @@ msgstr ""
 "Copyright © 2001 Paul Hensgen,\n"
 "Copyright © 2002-2016 Umbrello UML Modeller Yazarları"
 
-#: main.cpp:130
+#: main.cpp:132
 #, kde-format
 msgid "Paul Hensgen"
 msgstr "Paul Hensgen"
 
-#: main.cpp:130
+#: main.cpp:132
 #, kde-format
 msgid "Author of initial version."
 msgstr "Başlanıç sürümünün yazarı."
 
-#: main.cpp:134
+#: main.cpp:136
 #, kde-format
 msgid "Oliver Kellogg"
 msgstr "Oliver Kellogg"
 
-#: main.cpp:135 main.cpp:138
+#: main.cpp:137 main.cpp:140
 #, kde-format
 msgid "Bug fixing, porting work, code cleanup, new features."
 msgstr ""
 "Hata düzeltmesi, geçiş çalışmaları, kod temizlenmesi, yeni özellikler "
 "eklemesi."
 
-#: main.cpp:137
+#: main.cpp:139
 #, kde-format
 msgid "Ralf Habacker"
 msgstr "Ralf Habacker"
 
-#: main.cpp:140
+#: main.cpp:142
 #, kde-format
 msgid "Andi Fischer"
 msgstr "Andi Fischer"
 
-#: main.cpp:141
+#: main.cpp:143
 #, kde-format
 msgid "Porting work, code cleanup, new features."
 msgstr "Geçiş çalışması, kod temizlemesi, yeni özellikler eklemesi."
 
-#: main.cpp:143
+#: main.cpp:145
 #, kde-format
 msgid "Jonathan Riddell"
 msgstr "Jonathan Riddell"
 
-#: main.cpp:144
+#: main.cpp:146
 #, kde-format
 msgid "Current maintainer."
 msgstr "Güncel bakımcı."
 
-#: main.cpp:146
+#: main.cpp:148
 #, kde-format
 msgid "Brian Thomas"
 msgstr "Brian Thomas"
 
-#: main.cpp:147
+#: main.cpp:149
 #, kde-format
 msgid "A lot of work for C++ and Java code generation. Codeeditor."
 msgstr "C++ ve java kod oluşturulması için bir çok çalışma. Codeeditor."
 
-#: main.cpp:152
+#: main.cpp:154
 #, kde-format
 msgid "File to open"
 msgstr "Açılacak dosya"
 
-#: main.cpp:153
+#: main.cpp:155
 #, fuzzy, kde-format
 #| msgid "Export diagrams to extension and exit."
 msgid "export diagrams to extension and exit"
 msgstr "Eklentiye diyagramı aktar ve çık."
 
-#: main.cpp:154
+#: main.cpp:156
 #, fuzzy, kde-format
 #| msgid "List available export extensions."
 msgid "list available export extensions"
 msgstr "Dışarıya aktarılabilecek eklentilerin listesi."
 
-#: main.cpp:155
+#: main.cpp:157
 #, fuzzy, kde-format
 #| msgid "The local directory to save the exported diagrams in."
 msgid "the local directory to save the exported diagrams in"
 msgstr "Dışarıya aktarılacak diyagramların kayıt edileceği yerel dizin."
 
-#: main.cpp:155
+#: main.cpp:157
 #, fuzzy, kde-format
 #| msgid "The Width of the Line"
 msgid "the directory of the file"
 msgstr "Çizginin Genişliği"
 
-#: main.cpp:156
+#: main.cpp:158
 #, fuzzy, kde-format
 #| msgid "importing file ..."
 msgid "import files"
 msgstr "dosya içeriye aktarılıyor ..."
 
-#: main.cpp:157
+#: main.cpp:159
 #, fuzzy, kde-format
 #| msgid "All Supported Files"
 msgid "list supported languages"
 msgstr "Desteklenen Tüm Dosyalar"
 
-#: main.cpp:158
+#: main.cpp:160
 #, fuzzy, kde-format
 #| msgid ""
 #| "Keep the tree structure used to store the views in the document in the "
@@ -4319,13 +4319,13 @@ msgstr ""
 "Belge içerisinde tutulan görünümleri aynı ağaç yapısını hedef dizinin "
 "içerisinde de sakla."
 
-#: main.cpp:159
+#: main.cpp:161
 #, fuzzy, kde-format
 #| msgid "Import from Directory..."
 msgid "import files from directory <dir>"
 msgstr "Dizinden İçeriye Aktar..."
 
-#: main.cpp:163
+#: main.cpp:165
 #, fuzzy, kde-format
 #| msgid "Active &Language"
 msgid "set active language"
@@ -4595,7 +4595,7 @@ msgstr ""
 msgid "Import File(s)..."
 msgstr "Dosya(ları) İçeriye Aktar..."
 
-#: menus/listpopupmenu.cpp:201 uml.cpp:356
+#: menus/listpopupmenu.cpp:201 uml.cpp:365
 #, kde-format
 msgid "Import from Directory..."
 msgstr "Dizinden İçeriye Aktar..."
@@ -5114,42 +5114,42 @@ msgctxt "align menu"
 msgid "Align"
 msgstr "Hizala"
 
-#: menus/widgetbasepopupmenu.cpp:598 uml.cpp:573
+#: menus/widgetbasepopupmenu.cpp:598 uml.cpp:582
 #, kde-format
 msgid "Align Right"
 msgstr "Sağa Yasla"
 
-#: menus/widgetbasepopupmenu.cpp:599 uml.cpp:578
+#: menus/widgetbasepopupmenu.cpp:599 uml.cpp:587
 #, kde-format
 msgid "Align Left"
 msgstr "Sola Yasla"
 
-#: menus/widgetbasepopupmenu.cpp:600 uml.cpp:583
+#: menus/widgetbasepopupmenu.cpp:600 uml.cpp:592
 #, kde-format
 msgid "Align Top"
 msgstr "Yukarıya Hizala"
 
-#: menus/widgetbasepopupmenu.cpp:601 uml.cpp:588
+#: menus/widgetbasepopupmenu.cpp:601 uml.cpp:597
 #, kde-format
 msgid "Align Bottom"
 msgstr "Aşağıya Hizala"
 
-#: menus/widgetbasepopupmenu.cpp:603 uml.cpp:593
+#: menus/widgetbasepopupmenu.cpp:603 uml.cpp:602
 #, kde-format
 msgid "Align Vertical Middle"
 msgstr ""
 
-#: menus/widgetbasepopupmenu.cpp:604 uml.cpp:598
+#: menus/widgetbasepopupmenu.cpp:604 uml.cpp:607
 #, kde-format
 msgid "Align Horizontal Middle"
 msgstr ""
 
-#: menus/widgetbasepopupmenu.cpp:605 uml.cpp:603
+#: menus/widgetbasepopupmenu.cpp:605 uml.cpp:612
 #, kde-format
 msgid "Align Vertical Distribute"
 msgstr ""
 
-#: menus/widgetbasepopupmenu.cpp:606 uml.cpp:608
+#: menus/widgetbasepopupmenu.cpp:606 uml.cpp:617
 #, kde-format
 msgid "Align Horizontal Distribute"
 msgstr ""
@@ -6075,8 +6075,8 @@ msgstr "Kullanım"
 #: object_factory.cpp:251 uml1model/classifier.cpp:410
 #: uml1model/classifier.cpp:781 uml1model/entity.cpp:125
 #: uml1model/entity.cpp:178 uml1model/entity.cpp:228 uml1model/entity.cpp:277
-#: uml1model/enum.cpp:107 uml1model/instance.cpp:124 uml1model/package.cpp:171
-#: umldoc.cpp:1721 umldoc.cpp:1755
+#: uml1model/enum.cpp:107 uml1model/instance.cpp:124 uml1model/package.cpp:177
+#: umldoc.cpp:1723 umldoc.cpp:1757
 #, kde-format
 msgid "That is an invalid name."
 msgstr "Bu geçersiz bir isim."
@@ -6095,7 +6095,7 @@ msgstr "Ayrılmış Anahtar Sözcükler"
 #: object_factory.cpp:264 uml1model/classifier.cpp:413
 #: uml1model/classifier.cpp:783 uml1model/entity.cpp:127
 #: uml1model/entity.cpp:180 uml1model/entity.cpp:230 uml1model/entity.cpp:279
-#: uml1model/instance.cpp:126 umldoc.cpp:1727 umldoc.cpp:1764
+#: uml1model/instance.cpp:126 umldoc.cpp:1729 umldoc.cpp:1766
 #, kde-format
 msgid "That name is already being used."
 msgstr "Bu isim halen kullanılıyor."
@@ -6103,8 +6103,8 @@ msgstr "Bu isim halen kullanılıyor."
 #: object_factory.cpp:265 uml1model/classifier.cpp:413
 #: uml1model/classifier.cpp:783 uml1model/entity.cpp:127
 #: uml1model/entity.cpp:180 uml1model/entity.cpp:230 uml1model/entity.cpp:279
-#: uml1model/instance.cpp:126 umldoc.cpp:1629 umldoc.cpp:1699 umldoc.cpp:1727
-#: umldoc.cpp:1764
+#: uml1model/instance.cpp:126 umldoc.cpp:1631 umldoc.cpp:1701 umldoc.cpp:1729
+#: umldoc.cpp:1766
 #, kde-format
 msgid "Not a Unique Name"
 msgstr "Biricik bir İsim Değil"
@@ -6165,12 +6165,12 @@ msgstr "%1 isimde başka bir öznitelik
 msgid "Choose a different name."
 msgstr "Farklı bir isim seçin."
 
-#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:266
+#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:273
 #, kde-format
 msgid "Incorrect use of associations."
 msgstr "ilişkilendirmenin hatalı kullanılmıştır."
 
-#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:266
+#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:273
 #, kde-format
 msgid "Association Error"
 msgstr "İlişkilendirme Hatası"
@@ -7339,188 +7339,188 @@ msgstr "&Etkin Dil"
 msgid "&Settings"
 msgstr "Rol Ayarları"
 
-#: uml.cpp:332
+#: uml.cpp:341
 #, kde-format
 msgid "&Export model to DocBook"
 msgstr "Modeli &Dockbook olarak Dışarıya Aktar"
 
-#: uml.cpp:336
+#: uml.cpp:345
 #, kde-format
 msgid "&Export model to XHTML"
 msgstr "Modeli &XHTML olarak Dışarıya Aktar"
 
-#: uml.cpp:340
+#: uml.cpp:349
 #, kde-format
 msgid "&New Class Wizard..."
 msgstr "&Yeni Sınıf Sihirbazı..."
 
-#: uml.cpp:344
+#: uml.cpp:353
 #, kde-format
 msgid "&Add Default Datatypes for Active Language"
 msgstr ""
 
-#: uml.cpp:351
+#: uml.cpp:360
 #, kde-format
 msgid "Code &Importing Wizard..."
 msgstr "İçeriye &Kod Aktarma Sihirbazı..."
 
-#: uml.cpp:361
+#: uml.cpp:370
 #, kde-format
 msgid "&Code Generation Wizard..."
 msgstr "&Kod Oluşturma Sihirbazı..."
 
-#: uml.cpp:366
+#: uml.cpp:375
 #, kde-format
 msgid "&Generate All Code"
 msgstr "&Tüm Kodu Oluştur"
 
-#: uml.cpp:411
+#: uml.cpp:420
 #, kde-format
 msgid "Creates a new document"
 msgstr "Yeni bir dosya oluştururur"
 
-#: uml.cpp:412
+#: uml.cpp:421
 #, kde-format
 msgid "Opens an existing document"
 msgstr "Mevcut dosyalardan birisini açar"
 
-#: uml.cpp:413
+#: uml.cpp:422
 #, kde-format
 msgid "Opens a recently used file"
 msgstr "Son kullanılan dosyalardan birisini açar"
 
-#: uml.cpp:414
+#: uml.cpp:423
 #, kde-format
 msgid "Saves the document"
 msgstr "Belgeyi kaydeder"
 
-#: uml.cpp:415
+#: uml.cpp:424
 #, kde-format
 msgid "Saves the document as..."
 msgstr "Belgeyi farklı kaydeder..."
 
-#: uml.cpp:416
+#: uml.cpp:425
 #, kde-format
 msgid "Closes the document"
 msgstr "Belgeyi kapatır"
 
-#: uml.cpp:417
+#: uml.cpp:426
 #, kde-format
 msgid "Prints out the document"
 msgstr "Belgeyi yazdırır"
 
-#: uml.cpp:418
+#: uml.cpp:427
 #, kde-format
 msgid "Print Preview of the document"
 msgstr "Belgenin yazdırma önizlemesi"
 
-#: uml.cpp:419
+#: uml.cpp:428
 #, kde-format
 msgid "Quits the application"
 msgstr "Uygulamadan çıkar"
 
-#: uml.cpp:420
+#: uml.cpp:429
 #, kde-format
 msgid "Exports the model to the docbook format"
 msgstr ""
 
-#: uml.cpp:421
+#: uml.cpp:430
 #, kde-format
 msgid "Exports the model to the XHTML format"
 msgstr ""
 
-#: uml.cpp:422
+#: uml.cpp:431
 #, kde-format
 msgid "Cuts the selected section and puts it to the clipboard"
 msgstr "Seçili bölümü keser ve panoya koyar"
 
-#: uml.cpp:423
+#: uml.cpp:432
 #, kde-format
 msgid "Copies the selected section to the clipboard"
 msgstr "Seçilen bölümü keser ve bunu panoya ekler"
 
-#: uml.cpp:424
+#: uml.cpp:433
 #, kde-format
 msgid "Pastes the contents of the clipboard"
 msgstr "Pano içeriğini yapıştırır"
 
-#: uml.cpp:425
+#: uml.cpp:434
 #, kde-format
 msgid "Set the default program preferences"
 msgstr "Öntanımlı uygulama tercilerini ayarla"
 
-#: uml.cpp:429
+#: uml.cpp:438
 #, kde-format
 msgctxt "delete selected widget"
 msgid "Delete &Selected"
 msgstr "&Seçileni Sil"
 
-#: uml.cpp:440
+#: uml.cpp:449
 #, kde-format
 msgid "&Class Diagram..."
 msgstr "&Sınıf Diyagramı..."
 
-#: uml.cpp:447
+#: uml.cpp:456
 #, kde-format
 msgid "&Object Diagram..."
 msgstr "&Nesne Diyagramı..."
 
-#: uml.cpp:454
+#: uml.cpp:463
 #, kde-format
 msgid "&Sequence Diagram..."
 msgstr "&Sıra Diyagramı..."
 
-#: uml.cpp:460
+#: uml.cpp:469
 #, kde-format
 msgid "C&ommunication Diagram..."
 msgstr "&İletişim Diyagramı"
 
-#: uml.cpp:466
+#: uml.cpp:475
 #, kde-format
 msgid "&Use Case Diagram..."
 msgstr "&Use Case Diyagramı..."
 
-#: uml.cpp:472
+#: uml.cpp:481
 #, kde-format
 msgid "S&tate Diagram..."
 msgstr "D&urum Diyagramı..."
 
-#: uml.cpp:478
+#: uml.cpp:487
 #, kde-format
 msgid "&Activity Diagram..."
 msgstr "Etkinli&k Diyagramı..."
 
-#: uml.cpp:484
+#: uml.cpp:493
 #, kde-format
 msgid "Co&mponent Diagram..."
 msgstr "Bileşen &Diyagramı..."
 
-#: uml.cpp:490
+#: uml.cpp:499
 #, kde-format
 msgid "&Deployment Diagram..."
 msgstr ""
 
-#: uml.cpp:496
+#: uml.cpp:505
 #, kde-format
 msgid "&Entity Relationship Diagram..."
 msgstr ""
 
-#: uml.cpp:501 uml.cpp:954
+#: uml.cpp:510 uml.cpp:963
 #, kde-format
 msgid "&Tree View"
 msgstr "&Ağaç Görünümü"
 
-#: uml.cpp:505
+#: uml.cpp:514
 #, kde-format
 msgid "&Debugging"
 msgstr ""
 
-#: uml.cpp:513
+#: uml.cpp:522
 #, kde-format
 msgid "&Logging"
 msgstr ""
 
-#: uml.cpp:517
+#: uml.cpp:526
 #, kde-format
 msgid "&Command history"
 msgstr "&Komut geçmişi"
@@ -7529,138 +7529,138 @@ msgstr "&Komut geçmişi"
 #. m_propertyDock->setObjectName(QLatin1String("PropertyDock"));
 #. addDockWidget(Qt::LeftDockWidgetArea, m_propertyDock);  //:TODO:
 #. create the bird's eye view
-#: uml.cpp:521 uml.cpp:1011
+#: uml.cpp:530 uml.cpp:1020
 #, kde-format
 msgid "&Bird's eye view"
 msgstr ""
 
-#: uml.cpp:526
+#: uml.cpp:535
 #, kde-format
 msgid "&Clear Diagram"
 msgstr "&Diyagramı Temizle"
 
-#: uml.cpp:530
+#: uml.cpp:539
 #, kde-format
 msgid "&Snap to Grid"
 msgstr "&Kılavuza Uydur"
 
-#: uml.cpp:534
+#: uml.cpp:543
 #, kde-format
 msgid "S&how Grid"
 msgstr "&Kılavuzları Göster"
 
-#: uml.cpp:539
+#: uml.cpp:548
 #, kde-format
 msgid "&Delete Diagram"
 msgstr "&Diyagramı Sil"
 
-#: uml.cpp:544
+#: uml.cpp:553
 #, kde-format
 msgid "&Export as Picture..."
 msgstr "&Resim Olarak Kaydet..."
 
-#: uml.cpp:549
+#: uml.cpp:558
 #, fuzzy, kde-format
 #| msgid "Export as Picture..."
 msgid "Export &Diagrams as Pictures..."
 msgstr "Resim Olarak Kaydet..."
 
-#: uml.cpp:569
+#: uml.cpp:578
 #, fuzzy, kde-format
 #| msgid "Z&oom to 100%"
 msgid "Z&oom to 100%"
 msgstr "%100 Boyutuna Büyüt"
 
-#: uml.cpp:612
+#: uml.cpp:621
 #, kde-format
 msgid "&Move Tab Left"
 msgstr "Sekmeyi &Sola Taşı"
 
-#: uml.cpp:613
+#: uml.cpp:622
 #, kde-format
 msgid "&Move Tab Right"
 msgstr "Sekmeyi Sağa Taşı"
 
-#: uml.cpp:636
+#: uml.cpp:645
 #, kde-format
 msgid "Select Diagram on Left"
 msgstr ""
 
-#: uml.cpp:637
+#: uml.cpp:646
 #, kde-format
 msgid "Select Diagram on Right"
 msgstr ""
 
-#: uml.cpp:776
+#: uml.cpp:785
 #, kde-format
 msgctxt "%1 percent value from 20 to 500"
 msgid " &%1%"
 msgstr ""
 
-#: uml.cpp:826
+#: uml.cpp:835
 #, kde-format
 msgctxt "init status bar"
 msgid "Ready"
 msgstr "Hazır."
 
-#: uml.cpp:835 uml.cpp:848
+#: uml.cpp:844 uml.cpp:857
 #, fuzzy, kde-format
 msgid "100%"
 msgstr "% 1&00"
 
-#: uml.cpp:840
+#: uml.cpp:849
 #, fuzzy, kde-format
 #| msgid "Filter"
 msgid "Fit"
 msgstr "Filtre"
 
-#: uml.cpp:899
+#: uml.cpp:908
 #, kde-format
 msgid "Diagram Toolbar"
 msgstr "Diyagram Araç Çubuğu"
 
-#: uml.cpp:965
+#: uml.cpp:974
 #, kde-format
 msgid "Doc&umentation"
 msgstr "Belgelen&dirme"
 
-#: uml.cpp:976
+#: uml.cpp:985
 #, kde-format
 msgid "Co&mmand history"
 msgstr "&Komut geçmişi"
 
-#: uml.cpp:992
+#: uml.cpp:1001
 #, kde-format
 msgid "&Debug"
 msgstr "&Hata ayıkla"
 
-#: uml.cpp:999
+#: uml.cpp:1008
 #, kde-format
 msgid "&Log"
 msgstr "&Günlük"
 
-#: uml.cpp:1041 uml.cpp:1258 uml.cpp:1307
+#: uml.cpp:1050 uml.cpp:1267 uml.cpp:1316
 #, kde-format
 msgid "Opening file..."
 msgstr "Dosya açılıyor..."
 
-#: uml.cpp:1092 uml.cpp:1157 uml.cpp:1342 umldoc.cpp:342 umldoc.cpp:344
-#: umldoc.cpp:368 umldoc.cpp:3396
+#: uml.cpp:1101 uml.cpp:1166 uml.cpp:1351 umldoc.cpp:343 umldoc.cpp:345
+#: umldoc.cpp:369 umldoc.cpp:3405
 #, kde-format
 msgid "Untitled"
 msgstr "İsimsiz"
 
-#: uml.cpp:1240
+#: uml.cpp:1249
 #, kde-format
 msgid "Creating new document..."
 msgstr "Yeni belge oluşturuluyor..."
 
-#: uml.cpp:1266 uml.cpp:1281
+#: uml.cpp:1275 uml.cpp:1290
 #, kde-format
 msgid "Open File"
 msgstr "Dosya Aç"
 
-#: uml.cpp:1270
+#: uml.cpp:1279
 #, kde-format
 msgid ""
 "*.xmi *.xmi.tgz *.xmi.tar.bz2 *.mdl *.zargo|All Supported Files (*.xmi, *."
@@ -7679,22 +7679,22 @@ msgstr ""
 "*.mdl|Rose model Dosyalar (*.mdl)\n"
 "*.zargo|Sıkıştırılmış argo Dosyalar (*.zargo)\n"
 
-#: uml.cpp:1341
+#: uml.cpp:1350
 #, kde-format
 msgid "Saving file..."
 msgstr "Dosya kaydediliyor..."
 
-#: uml.cpp:1358
+#: uml.cpp:1367
 #, kde-format
 msgid "Saving file with a new filename..."
 msgstr "Dosya bir isimle kaydediliyor..."
 
-#: uml.cpp:1368 uml.cpp:1374 umlviewimageexporter.cpp:199
+#: uml.cpp:1377 uml.cpp:1383 umlviewimageexporter.cpp:199
 #, kde-format
 msgid "Save As"
 msgstr "Farklı Kaydet"
 
-#: uml.cpp:1369
+#: uml.cpp:1378
 #, kde-format
 msgid ""
 "*.xmi | XMI File (*.xmi);;*.xmi.tgz | Gzip Compressed XMI File (*.xmi.tgz);;"
@@ -7704,7 +7704,7 @@ msgstr ""
 "xmi.tgz);;*.xmi.tar.bz2 | Bzip2 Sıkıştırılmış XMI Dosyası (*.xmi.tar.bz2);;* "
 "| Tüm Dosyalar (*)"
 
-#: uml.cpp:1374
+#: uml.cpp:1383
 #, fuzzy, kde-format
 #| msgid ""
 #| "*.xmi|XMI File\n"
@@ -7722,7 +7722,7 @@ msgstr ""
 "*.xmi.tar.bz2|Bzip2 ile Sıkıştırılmış XMI File\n"
 "*|Tüm Dosyalar"
 
-#: uml.cpp:1387
+#: uml.cpp:1396
 #, kde-format
 msgid ""
 "The file %1 exists.\n"
@@ -7731,105 +7731,105 @@ msgstr ""
 "%1 dosyası mevcut.\n"
 "Bunun üzerine yazmak istiyor musunuz?"
 
-#: uml.cpp:1388
+#: uml.cpp:1397
 #, kde-format
 msgid "Warning"
 msgstr "Uyarı"
 
-#: uml.cpp:1388
+#: uml.cpp:1397
 #, kde-format
 msgid "Overwrite"
 msgstr "Üzerine Yaz"
 
-#: uml.cpp:1422
+#: uml.cpp:1431
 #, kde-format
 msgid "Closing file..."
 msgstr "Dosya kapatılıyor..."
 
-#: uml.cpp:1432
+#: uml.cpp:1441
 #, kde-format
 msgid "No search term entered"
 msgstr "Arama terimi girilmedi"
 
-#: uml.cpp:1438
+#: uml.cpp:1447
 #, kde-format
 msgid "'%1': %2 found"
 msgstr "'%1': %2 bulundu"
 
-#: uml.cpp:1502
+#: uml.cpp:1511
 #, kde-format
 msgid "Print Preview..."
 msgstr "Yazdırma Önizlemesi..."
 
-#: uml.cpp:1529
+#: uml.cpp:1538
 #, kde-format
 msgid "Printing..."
 msgstr "Yazdırılıyor..."
 
-#: uml.cpp:1536 uml.cpp:1540
+#: uml.cpp:1545 uml.cpp:1549
 #, kde-format
 msgid "Print %1"
 msgstr "Yazdır %1"
 
-#: uml.cpp:1560
+#: uml.cpp:1569
 #, kde-format
 msgid "Exiting..."
 msgstr "Çıkılıyor..."
 
-#: uml.cpp:1647
+#: uml.cpp:1656
 #, kde-format
 msgid "Cutting selection..."
 msgstr "Seçim kesiliyor..."
 
-#: uml.cpp:1670
+#: uml.cpp:1679
 #, kde-format
 msgid "Copying selection to clipboard..."
 msgstr "Seçim panoya kopyalanıyor..."
 
-#: uml.cpp:1682
+#: uml.cpp:1691
 #, kde-format
 msgid "Inserting clipboard contents..."
 msgstr "Pano içeriği aktarılıyor..."
 
-#: uml.cpp:1687
+#: uml.cpp:1696
 #, kde-format
 msgid ""
 "Umbrello could not paste the clipboard contents.  The objects in the "
 "clipboard may be of the wrong type to be pasted here."
 msgstr ""
 
-#: uml.cpp:1713 umlviewimageexporter.cpp:92 umlviewimageexporterall.cpp:123
+#: uml.cpp:1722 umlviewimageexporter.cpp:92 umlviewimageexporterall.cpp:123
 #, kde-format
 msgctxt "reset status bar"
 msgid "Ready."
 msgstr "Hazır."
 
-#: uml.cpp:2246
+#: uml.cpp:2255
 #, kde-format
 msgid "Cannot view code until you generate some first."
 msgstr "Kod oluşturuncaya kadar kodu göremezsiniz."
 
-#: uml.cpp:2246 uml.cpp:2249
+#: uml.cpp:2255 uml.cpp:2258
 #, kde-format
 msgid "Cannot View Code"
 msgstr "Kod Görüntülenemedi"
 
-#: uml.cpp:2249
+#: uml.cpp:2258
 #, kde-format
 msgid "Cannot view code from simple code writer."
 msgstr "Basit kod yazıcıdan kodu göremezsiniz."
 
-#: uml.cpp:2714 uml.cpp:2716
+#: uml.cpp:2728 uml.cpp:2730
 #, kde-format
 msgid "Select file(s) to import:"
 msgstr "İçeri aktarılacak dosya(ları) seçin:"
 
-#: uml.cpp:2747 uml.cpp:2749
+#: uml.cpp:2761 uml.cpp:2763
 #, kde-format
 msgid "Select directory to import:"
 msgstr "İçeriye Aktarılacak dizini seçin:"
 
-#: uml.cpp:3313
+#: uml.cpp:3335
 #, kde-format
 msgid "XHTML Generation failed ."
 msgstr "XHTML oluşturma işlemi başarısız oldu ."
@@ -7842,20 +7842,20 @@ msgid ""
 msgstr ""
 "Aynı isim ve imza ile bir işlem zaten mevcuttur. Tekrar ekleyemezsiniz."
 
-#: uml1model/folder.cpp:435
+#: uml1model/folder.cpp:436
 #, kde-format
 msgid "The folderfile %1 does not exist."
 msgstr "%1 dizin-dosyası yok."
 
-#: uml1model/folder.cpp:435 uml1model/folder.cpp:439 umldoc.cpp:529
-#: umldoc.cpp:541 umldoc.cpp:568 umldoc.cpp:570 umldoc.cpp:620 umldoc.cpp:623
-#: umldoc.cpp:638 umldoc.cpp:641 umldoc.cpp:665 umldoc.cpp:668 umldoc.cpp:684
-#: umldoc.cpp:687 umldoc.cpp:702 umldoc.cpp:705 umldoc.cpp:750
+#: uml1model/folder.cpp:436 uml1model/folder.cpp:440 umldoc.cpp:530
+#: umldoc.cpp:542 umldoc.cpp:569 umldoc.cpp:571 umldoc.cpp:621 umldoc.cpp:624
+#: umldoc.cpp:639 umldoc.cpp:642 umldoc.cpp:666 umldoc.cpp:669 umldoc.cpp:685
+#: umldoc.cpp:688 umldoc.cpp:703 umldoc.cpp:706 umldoc.cpp:751
 #, kde-format
 msgid "Load Error"
 msgstr "Yükleme Hatası"
 
-#: uml1model/folder.cpp:439
+#: uml1model/folder.cpp:440
 #, kde-format
 msgid "The folderfile %1 cannot be opened."
 msgstr "%1 dizin-dosyası açılamadı."
@@ -7865,13 +7865,13 @@ msgstr "%1 dizin-dosyası açılamadı."
 msgid "new_parameter"
 msgstr ""
 
-#: uml1model/package.cpp:163
+#: uml1model/package.cpp:169
 #, kde-format
 msgctxt "object name"
 msgid "Name"
 msgstr "İsim"
 
-#: uml1model/package.cpp:164
+#: uml1model/package.cpp:170
 #, kde-format
 msgid ""
 "An object with the name %1\n"
@@ -7897,77 +7897,77 @@ msgstr "yeni_alan"
 msgid "new_fkey_constraint"
 msgstr ""
 
-#: uml1model/umlobject.cpp:1140
+#: uml1model/umlobject.cpp:1141
 #, kde-format
 msgid "Actor &name:"
 msgstr "Aktör &adı:"
 
-#: uml1model/umlobject.cpp:1143
+#: uml1model/umlobject.cpp:1144
 #, kde-format
 msgid "Artifact &name:"
 msgstr ""
 
-#: uml1model/umlobject.cpp:1146
+#: uml1model/umlobject.cpp:1147
 #, kde-format
 msgid "Association &name:"
 msgstr "İlişkile&ndirme İsmi"
 
-#: uml1model/umlobject.cpp:1149
+#: uml1model/umlobject.cpp:1150
 #, kde-format
 msgid "Class &name:"
 msgstr "Sınıf &adı:"
 
-#: uml1model/umlobject.cpp:1152
+#: uml1model/umlobject.cpp:1153
 #, kde-format
 msgid "Component &name:"
 msgstr "&Bileşen adı:"
 
-#: uml1model/umlobject.cpp:1155
+#: uml1model/umlobject.cpp:1156
 #, kde-format
 msgid "Datatype &name:"
 msgstr "&Veri türü adı:"
 
-#: uml1model/umlobject.cpp:1158
+#: uml1model/umlobject.cpp:1159
 #, kde-format
 msgid "Entity &name:"
 msgstr "Varlık &adı:"
 
-#: uml1model/umlobject.cpp:1161
+#: uml1model/umlobject.cpp:1162
 #, kde-format
 msgid "Enum &name:"
 msgstr ""
 
-#: uml1model/umlobject.cpp:1164
+#: uml1model/umlobject.cpp:1165
 #, kde-format
 msgid "Folder &name:"
 msgstr "Dizi&n ismi:"
 
-#: uml1model/umlobject.cpp:1167
+#: uml1model/umlobject.cpp:1168
 #, kde-format
 msgid "Interface &name:"
 msgstr "&Arayüz adı:"
 
-#: uml1model/umlobject.cpp:1170
+#: uml1model/umlobject.cpp:1171
 #, kde-format
 msgid "Node &name:"
 msgstr "&Düğüm adı:"
 
-#: uml1model/umlobject.cpp:1173
+#: uml1model/umlobject.cpp:1174
 #, kde-format
 msgid "Package &name:"
 msgstr "Paket a&dı:"
 
-#: uml1model/umlobject.cpp:1176
+#: uml1model/umlobject.cpp:1177
 #, kde-format
 msgid "Port &name:"
 msgstr "Port &ismi:"
 
-#: uml1model/umlobject.cpp:1182
+#: uml1model/umlobject.cpp:1183
 #, kde-format
 msgid "Use case &name:"
 msgstr "&Use case adı:"
 
-#: uml1model/umlobject.cpp:1185
+#: uml1model/umlobject.cpp:1186
 #, kde-format
 msgid "Instance name:"
 msgstr ""
@@ -7987,42 +7987,42 @@ msgstr "&Stereotipler"
 msgid "Welcome"
 msgstr "Hoş Geldiniz"
 
-#: umldoc.cpp:112 umldoc.cpp:2400 umldoc.cpp:2428
+#: umldoc.cpp:113 umldoc.cpp:2405 umldoc.cpp:2433
 #, kde-format
 msgid "UML Model"
 msgstr "UML Modeli"
 
-#: umldoc.cpp:154
+#: umldoc.cpp:155
 #, kde-format
 msgid "Logical View"
 msgstr "Mantıksal Görünüm"
 
-#: umldoc.cpp:155
+#: umldoc.cpp:156
 #, kde-format
 msgid "Use Case View"
 msgstr "Use Case Görünümü"
 
-#: umldoc.cpp:156
+#: umldoc.cpp:157
 #, kde-format
 msgid "Component View"
 msgstr "Bileşen Görünümü"
 
-#: umldoc.cpp:157
+#: umldoc.cpp:158
 #, kde-format
 msgid "Deployment View"
 msgstr "Dağıtım Görünümü"
 
-#: umldoc.cpp:158
+#: umldoc.cpp:159
 #, kde-format
 msgid "Entity Relationship Model"
 msgstr ""
 
-#: umldoc.cpp:184
+#: umldoc.cpp:185
 #, kde-format
 msgid "Datatypes"
 msgstr "Veri türleri"
 
-#: umldoc.cpp:363
+#: umldoc.cpp:364
 #, kde-format
 msgid ""
 "The current file has been modified.\n"
@@ -8031,167 +8031,167 @@ msgstr ""
 "Geçerli dosya değiştirildi.\n"
 "Bunu kaydetmek istiyor musunuz?"
 
-#: umldoc.cpp:364
+#: umldoc.cpp:365
 #, kde-format
 msgctxt "warning message"
 msgid "Warning"
 msgstr "Uyarı"
 
-#: umldoc.cpp:529
+#: umldoc.cpp:530
 #, kde-format
 msgid "The file <%1> does not exist."
 msgstr "<%1> dosyası bulunamadı."
 
-#: umldoc.cpp:541
+#: umldoc.cpp:542
 #, kde-format
 msgid "The file %1 does not exist."
 msgstr "%1 dosyası bulunamadı."
 
-#: umldoc.cpp:568 umldoc.cpp:570
+#: umldoc.cpp:569 umldoc.cpp:571
 #, kde-format
 msgid "The file %1 seems to be corrupted."
 msgstr "%1 dosyası bozuk görünüyor."
 
-#: umldoc.cpp:619 umldoc.cpp:622 umldoc.cpp:637 umldoc.cpp:640 umldoc.cpp:683
-#: umldoc.cpp:686
+#: umldoc.cpp:620 umldoc.cpp:623 umldoc.cpp:638 umldoc.cpp:641 umldoc.cpp:684
+#: umldoc.cpp:687
 #, kde-format
 msgid "There was no XMI file found in the compressed file %1."
 msgstr "%1 sıkıştırılmış dosyasında XMI dosyası bulunamadı."
 
-#: umldoc.cpp:664 umldoc.cpp:667
+#: umldoc.cpp:665 umldoc.cpp:668
 #, kde-format
 msgid "There was a problem loading the extracted file: %1"
 msgstr "Açılmış dosya yüklenirken bir hata oluştu: %1"
 
-#: umldoc.cpp:701 umldoc.cpp:704 umldoc.cpp:744 umldoc.cpp:746
+#: umldoc.cpp:702 umldoc.cpp:705 umldoc.cpp:745 umldoc.cpp:747
 #, kde-format
 msgid "There was a problem loading file: %1"
 msgstr "Programı yüklerken bir hata oluştu: %1"
 
-#: umldoc.cpp:749
+#: umldoc.cpp:750
 #, kde-format
 msgid "Reason: %1"
 msgstr ""
 
-#: umldoc.cpp:832 umldoc.cpp:834 umldoc.cpp:851 umldoc.cpp:853 umldoc.cpp:873
-#: umldoc.cpp:875 umldoc.cpp:924 umldoc.cpp:926 umldoc.cpp:966 umldoc.cpp:969
-#: umldoc.cpp:978 umldoc.cpp:980 umllistview.cpp:593
+#: umldoc.cpp:833 umldoc.cpp:835 umldoc.cpp:852 umldoc.cpp:854 umldoc.cpp:874
+#: umldoc.cpp:876 umldoc.cpp:925 umldoc.cpp:927 umldoc.cpp:968 umldoc.cpp:971
+#: umldoc.cpp:980 umldoc.cpp:982 umllistview.cpp:594
 #, kde-format
 msgid "Save Error"
 msgstr "Kaydetme Hatası"
 
-#: umldoc.cpp:832 umldoc.cpp:851 umldoc.cpp:873 umldoc.cpp:924 umldoc.cpp:966
+#: umldoc.cpp:833 umldoc.cpp:852 umldoc.cpp:874 umldoc.cpp:925 umldoc.cpp:968
 #, kde-format
 msgid "There was a problem saving: %1"
 msgstr "Bir kaydetme hatası oluştu: %1"
 
-#: umldoc.cpp:834 umldoc.cpp:853 umldoc.cpp:875 umldoc.cpp:926 umldoc.cpp:969
-#: umllistview.cpp:592 umlviewimageexportermodel.cpp:303
+#: umldoc.cpp:835 umldoc.cpp:854 umldoc.cpp:876 umldoc.cpp:927 umldoc.cpp:971
+#: umllistview.cpp:593 umlviewimageexportermodel.cpp:303
 #, kde-format
 msgid "There was a problem saving file: %1"
 msgstr "Programı kaydederken bir hata oluştu: %1"
 
-#: umldoc.cpp:978
+#: umldoc.cpp:980
 #, kde-format
 msgid "There was a problem uploading: %1"
 msgstr "Bir yükleme hatası oluştu: %1"
 
-#: umldoc.cpp:980
+#: umldoc.cpp:982
 #, fuzzy, kde-format
 #| msgid "There was a problem loading file: %1"
 msgid "There was a problem uploading file: %1"
 msgstr "Programı yüklerken bir hata oluştu: %1"
 
-#: umldoc.cpp:1526
+#: umldoc.cpp:1528
 #, kde-format
 msgid "use case diagram"
 msgstr "use case diyagramı"
 
-#: umldoc.cpp:1529
+#: umldoc.cpp:1531
 #, kde-format
 msgid "class diagram"
 msgstr "sınıf diyagramı"
 
-#: umldoc.cpp:1532
+#: umldoc.cpp:1534
 #, kde-format
 msgid "sequence diagram"
 msgstr "sıra diyagramı"
 
-#: umldoc.cpp:1535
+#: umldoc.cpp:1537
 #, kde-format
 msgid "communication diagram"
 msgstr "İletişim diyagramı"
 
-#: umldoc.cpp:1538
+#: umldoc.cpp:1540
 #, kde-format
 msgid "object diagram"
 msgstr "nesne diyagramı"
 
-#: umldoc.cpp:1541
+#: umldoc.cpp:1543
 #, kde-format
 msgid "state diagram"
 msgstr "durum diyagramı"
 
-#: umldoc.cpp:1544
+#: umldoc.cpp:1546
 #, kde-format
 msgid "activity diagram"
 msgstr "etkinlik diyagramı"
 
-#: umldoc.cpp:1547
+#: umldoc.cpp:1549
 #, kde-format
 msgid "component diagram"
 msgstr "bileşen diyagramı"
 
-#: umldoc.cpp:1550
+#: umldoc.cpp:1552
 #, kde-format
 msgid "deployment diagram"
 msgstr "Dağıtım diyagramı"
 
-#: umldoc.cpp:1553
+#: umldoc.cpp:1555
 #, kde-format
 msgid "entity relationship diagram"
 msgstr ""
 
-#: umldoc.cpp:1623
+#: umldoc.cpp:1625
 #, kde-format
 msgctxt "diagram name"
 msgid "Name"
 msgstr "İsim"
 
-#: umldoc.cpp:1623 umldoc.cpp:1686 umldoc.cpp:1715 umldoc.cpp:1749
+#: umldoc.cpp:1625 umldoc.cpp:1688 umldoc.cpp:1717 umldoc.cpp:1751
 #, kde-format
 msgid "Enter name:"
 msgstr "İsim girin:"
 
-#: umldoc.cpp:1627 umldoc.cpp:1692
+#: umldoc.cpp:1629 umldoc.cpp:1694
 #, kde-format
 msgid "That is an invalid name for a diagram."
 msgstr "Bu bir diyagram için geçersiz bir isim."
 
-#: umldoc.cpp:1629 umldoc.cpp:1699
+#: umldoc.cpp:1631 umldoc.cpp:1701
 #, kde-format
 msgid "A diagram is already using that name."
 msgstr "Başka bir diyagram bu ismi kullanıyor."
 
-#: umldoc.cpp:1685
+#: umldoc.cpp:1687
 #, kde-format
 msgctxt "renaming diagram"
 msgid "Name"
 msgstr "İsim"
 
-#: umldoc.cpp:1714
+#: umldoc.cpp:1716
 #, kde-format
 msgctxt "renaming uml object"
 msgid "Name"
 msgstr "İsim"
 
-#: umldoc.cpp:1748
+#: umldoc.cpp:1750
 #, kde-format
 msgctxt "renaming child uml object"
 msgid "Name"
 msgstr "İsim"
 
-#: umldoc.cpp:1758
+#: umldoc.cpp:1760
 #, kde-format
 msgid ""
 "The name you entered was not unique.\n"
@@ -8200,62 +8200,62 @@ msgstr ""
 "Girdiğiniz isim benzersiz değildir.\n"
 "Bunu istediğinize emin misiniz?"
 
-#: umldoc.cpp:1759
+#: umldoc.cpp:1761
 #, kde-format
 msgid "Use Name"
 msgstr "İsim Kullan"
 
-#: umldoc.cpp:1759
+#: umldoc.cpp:1761
 #, kde-format
 msgid "Enter New Name"
 msgstr "Yeni Bir İsim Girin"
 
-#: umldoc.cpp:2361
+#: umldoc.cpp:2366
 #, kde-format
 msgid "Unsupported xmi file version: %1"
 msgstr ""
 
-#: umldoc.cpp:2511
+#: umldoc.cpp:2516
 #, kde-format
 msgid "Setting up the document..."
 msgstr "Belge düzenleniyor..."
 
-#: umldoc.cpp:2540
+#: umldoc.cpp:2545
 #, kde-format
 msgid "Resolving object references..."
 msgstr "Nesne referansları çözümleniyor..."
 
-#: umldoc.cpp:2648
+#: umldoc.cpp:2653
 #, kde-format
 msgid "Loading UML elements..."
 msgstr "UML ögeleri yükleniyor..."
 
-#: umldoc.cpp:2892
+#: umldoc.cpp:2899
 #, kde-format
 msgid "Loading diagrams..."
 msgstr "Diyagramlar yükleniyor.."
 
-#: umldoc.cpp:3400
+#: umldoc.cpp:3409
 #, kde-format
 msgid "/autosave%1"
 msgstr "/autosave%1"
 
-#: umllistview.cpp:536 umllistview.cpp:540
+#: umllistview.cpp:537 umllistview.cpp:541
 #, kde-format
 msgid "Externalize Folder"
 msgstr "Dışında Bırakılmış Dizin"
 
-#: umllistview.cpp:574
+#: umllistview.cpp:575
 #, kde-format
 msgid "Folder %1 must be relative to the main model directory, %2."
 msgstr "%1 dizini %2 ana model dizin ile mutlaka ilişkili olmalıdır."
 
-#: umllistview.cpp:575
+#: umllistview.cpp:576
 #, kde-format
 msgid "Path Error"
 msgstr "Yol Hatası"
 
-#: umllistview.cpp:583
+#: umllistview.cpp:584
 #, kde-format
 msgid ""
 "File %1 already exists!\n"
@@ -8264,66 +8264,66 @@ msgstr ""
 "%1 dosyası zaten var!\n"
 "Var olan dosyanın üzerine yazılacak."
 
-#: umllistview.cpp:584
+#: umllistview.cpp:585
 #, kde-format
 msgid "File Exist"
 msgstr "Dosya Var"
 
-#: umllistview.cpp:624
+#: umllistview.cpp:625
 #, kde-format
 msgid "Enter Model Name"
 msgstr "Model Adını Girin"
 
-#: umllistview.cpp:625
+#: umllistview.cpp:626
 #, kde-format
 msgid "Enter the new name of the model:"
 msgstr "Modelin yeni adını girin:"
 
-#: umllistview.cpp:1422
+#: umllistview.cpp:1430
 #, kde-format
 msgid "Views"
 msgstr "Görünümler"
 
-#: umllistview.cpp:1441
+#: umllistview.cpp:1449
 #, kde-format
 msgid "Settings"
 msgstr "Ayarlar"
 
-#: umllistview.cpp:2413
+#: umllistview.cpp:2421
 #, kde-format
 msgid "Loading listview..."
 msgstr "Liste görünümleri yükleniyor.."
 
-#: umllistview.cpp:2764
+#: umllistview.cpp:2772
 #, fuzzy, kde-format
 #| msgid "The folder must be emptied before it can be deleted."
 msgid "The class must be emptied before it can be deleted."
 msgstr "Dizin silinmeden önce boşaltılmalıdır."
 
-#: umllistview.cpp:2765
+#: umllistview.cpp:2773
 #, fuzzy, kde-format
 #| msgid "Folder Not Empty"
 msgid "Class Not Empty"
 msgstr "Dizin Boş Değil"
 
-#: umllistview.cpp:2769
+#: umllistview.cpp:2777
 #, fuzzy, kde-format
 #| msgid "The folder must be emptied before it can be deleted."
 msgid "The package must be emptied before it can be deleted."
 msgstr "Dizin silinmeden önce boşaltılmalıdır."
 
-#: umllistview.cpp:2770
+#: umllistview.cpp:2778
 #, fuzzy, kde-format
 #| msgid "Folder Not Empty"
 msgid "Package Not Empty"
 msgstr "Dizin Boş Değil"
 
-#: umllistview.cpp:2774
+#: umllistview.cpp:2782
 #, kde-format
 msgid "The folder must be emptied before it can be deleted."
 msgstr "Dizin silinmeden önce boşaltılmalıdır."
 
-#: umllistview.cpp:2775
+#: umllistview.cpp:2783
 #, kde-format
 msgid "Folder Not Empty"
 msgstr "Dizin Boş Değil"
diff -pruN 4:20.08.3-1/po/ug/umbrello.po 4:20.12.0-0ubuntu1/po/ug/umbrello.po
--- 4:20.08.3-1/po/ug/umbrello.po	2020-11-03 00:42:16.000000000 +0000
+++ 4:20.12.0-0ubuntu1/po/ug/umbrello.po	2020-12-04 00:21:31.000000000 +0000
@@ -7,7 +7,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: umbrello\n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
-"POT-Creation-Date: 2020-08-14 08:09+0200\n"
+"POT-Creation-Date: 2020-11-06 02:36+0100\n"
 "PO-Revision-Date: 2013-09-08 07:05+0900\n"
 "Last-Translator: Gheyret Kenji <gheyret@gmail.com>\n"
 "Language-Team: Uyghur Computer Science Association <UKIJ@yahoogroups.com>\n"
@@ -206,7 +206,7 @@ msgid ""
 "item of the same name already exists.  Any other items have been pasted."
 msgstr ""
 
-#: clipboard/umlclipboard.cpp:753 uml.cpp:1689
+#: clipboard/umlclipboard.cpp:753 uml.cpp:1698
 #, kde-format
 msgid "Paste Error"
 msgstr "چاپلاش خاتالىقى"
@@ -431,7 +431,7 @@ msgstr ""
 #. i18n: ectx: attribute (title), widget (QWidget, ui_tabGeneral)
 #: codegenerators/cpp/cppcodegenerationformbase.ui:51
 #: codegenwizard/codegenoptionspage.ui:39 dialogs/objectnodedialog.cpp:135
-#: umllistview.cpp:1451
+#: umllistview.cpp:1459
 #, kde-format
 msgid "General"
 msgstr "ئادەتتىكى"
@@ -1290,7 +1290,7 @@ msgstr "ھالىتى"
 #. i18n: ectx: property (text), widget (QRadioButton, ui_categoryClass)
 #. i18n: ectx: property (text), widget (QTableWidget, ui_tableWidgetStatus)
 #: codegenwizard/codegenstatuspage.ui:40 codeimpwizard/codeimpstatuspage.ui:54
-#: dialogs/finddialog.ui:89 umllistview.cpp:1446 umlwidgets/widgetbase.cpp:1255
+#: dialogs/finddialog.ui:89 umllistview.cpp:1454 umlwidgets/widgetbase.cpp:1255
 #, kde-format
 msgid "Class"
 msgstr "تىپ"
@@ -1941,35 +1941,35 @@ msgstr ""
 msgid "Enable 'delete diagram' related messages"
 msgstr ""
 
-#: dialogs/dialog_utils.cpp:117
+#: dialogs/dialog_utils.cpp:118
 #, kde-format
 msgid "You are about to delete an association. Do you really want to continue?"
 msgstr ""
 
-#: dialogs/dialog_utils.cpp:118
+#: dialogs/dialog_utils.cpp:119
 #, fuzzy, kde-format
 #| msgid "Association"
 msgid "Delete Association"
 msgstr "باغلاش"
 
-#: dialogs/dialog_utils.cpp:132
+#: dialogs/dialog_utils.cpp:133
 #, kde-format
 msgid ""
 "You are about to delete the entire diagram.\n"
 "Are you sure?"
 msgstr ""
 
-#: dialogs/dialog_utils.cpp:133
+#: dialogs/dialog_utils.cpp:134
 #, kde-format
 msgid "Are you sure you want to delete diagram %1?"
 msgstr ""
 
-#: dialogs/dialog_utils.cpp:138
+#: dialogs/dialog_utils.cpp:139
 #, kde-format
 msgid "Delete Diagram?"
 msgstr ""
 
-#: dialogs/dialog_utils.cpp:139 dialogs/pages/classifierlistpage.cpp:215
+#: dialogs/dialog_utils.cpp:140 dialogs/pages/classifierlistpage.cpp:215
 #: dialogs/pages/classifierlistpage.cpp:223
 #: dialogs/umlforeignkeyconstraintdialog.cpp:325
 #: dialogs/umlforeignkeyconstraintdialog.cpp:331
@@ -2129,7 +2129,7 @@ msgstr "ئادەتتىكى"
 #. i18n: ectx: label, entry (uiFont), group (UI Options)
 #. i18n: ectx: label, entry (codeViewerFont), group (Code Viewer Options)
 #: dialogs/multipagedialogbase.cpp:405 umbrello.kcfg:177 umbrello.kcfg:292
-#: umllistview.cpp:1450
+#: umllistview.cpp:1458
 #, kde-format
 msgid "Font"
 msgstr "خەت نۇسخا"
@@ -2548,7 +2548,7 @@ msgstr ""
 
 #: dialogs/pages/classifierlistpage.cpp:217
 #: dialogs/pages/classifierlistpage.cpp:225 dialogs/umloperationdialog.cpp:167
-#: dialogs/umloperationdialog.cpp:175 uml.cpp:554
+#: dialogs/umloperationdialog.cpp:175 uml.cpp:563
 #, kde-format
 msgid "&Properties"
 msgstr "خاسلىق(&P)"
@@ -2566,7 +2566,7 @@ msgid "Source Code"
 msgstr "مەنبە كودى"
 
 #: dialogs/pages/classoptionspage.cpp:157
-#: dialogs/pages/classoptionspage.cpp:251 uml.cpp:509
+#: dialogs/pages/classoptionspage.cpp:251 uml.cpp:518
 #, kde-format
 msgid "&Documentation"
 msgstr ""
@@ -2754,8 +2754,8 @@ msgstr ""
 #: uml1model/classifier.cpp:410 uml1model/classifier.cpp:781
 #: uml1model/entity.cpp:125 uml1model/entity.cpp:178 uml1model/entity.cpp:228
 #: uml1model/entity.cpp:277 uml1model/enum.cpp:107 uml1model/instance.cpp:124
-#: uml1model/package.cpp:172 umldoc.cpp:1627 umldoc.cpp:1692 umldoc.cpp:1721
-#: umldoc.cpp:1755
+#: uml1model/package.cpp:178 umldoc.cpp:1629 umldoc.cpp:1694 umldoc.cpp:1723
+#: umldoc.cpp:1757
 #, kde-format
 msgid "Invalid Name"
 msgstr "ئىناۋەتسىز ئات"
@@ -2765,7 +2765,7 @@ msgstr "ئىناۋەتسىز ئات"
 msgid "The name you have entered is not unique."
 msgstr ""
 
-#: dialogs/pages/diagrampropertiespage.cpp:86 umldoc.cpp:1759
+#: dialogs/pages/diagrampropertiespage.cpp:86 umldoc.cpp:1761
 #, kde-format
 msgid "Name Not Unique"
 msgstr ""
@@ -3233,7 +3233,7 @@ msgstr "ئۆچۈر(&D)"
 msgid "Umbrello Setup"
 msgstr ""
 
-#: dialogs/settingsdialog.cpp:114 umllistview.cpp:1452
+#: dialogs/settingsdialog.cpp:114 umllistview.cpp:1460
 #, kde-format
 msgid "User Interface"
 msgstr "كۆرۈنمەيۈز"
@@ -3260,7 +3260,7 @@ msgstr "تىپ"
 msgid "Class Settings"
 msgstr ""
 
-#: dialogs/settingsdialog.cpp:137 umllistview.cpp:1447
+#: dialogs/settingsdialog.cpp:137 umllistview.cpp:1455
 #, kde-format
 msgid "Code Importer"
 msgstr ""
@@ -3270,7 +3270,7 @@ msgstr ""
 msgid "Code Import Settings"
 msgstr ""
 
-#: dialogs/settingsdialog.cpp:146 umllistview.cpp:1448
+#: dialogs/settingsdialog.cpp:146 umllistview.cpp:1456
 #, kde-format
 msgid "Code Generation"
 msgstr ""
@@ -3280,7 +3280,7 @@ msgstr ""
 msgid "Code Generation Settings"
 msgstr ""
 
-#: dialogs/settingsdialog.cpp:154 umllistview.cpp:1449
+#: dialogs/settingsdialog.cpp:154 umllistview.cpp:1457
 #, kde-format
 msgid "Code Viewer"
 msgstr ""
@@ -3290,7 +3290,7 @@ msgstr ""
 msgid "Code Viewer Settings"
 msgstr ""
 
-#: dialogs/settingsdialog.cpp:161 umllistview.cpp:1445
+#: dialogs/settingsdialog.cpp:161 umllistview.cpp:1453
 #, kde-format
 msgid "Auto Layout"
 msgstr ""
@@ -3928,7 +3928,7 @@ msgstr "تىپى(&T):"
 msgid "Package path:"
 msgstr ""
 
-#: dialogs/widgets/umlstereotypewidget.cpp:29 uml1model/umlobject.cpp:1179
+#: dialogs/widgets/umlstereotypewidget.cpp:29 uml1model/umlobject.cpp:1180
 #, fuzzy, kde-format
 #| msgid "Node &name:"
 msgid "Stereotype &name:"
@@ -4073,7 +4073,7 @@ msgstr ""
 msgid "Gael de Chalendar (aka Kleag)"
 msgstr ""
 
-#: docgenerators/main.cpp:56 main.cpp:131
+#: docgenerators/main.cpp:56 main.cpp:133
 #, kde-format
 msgid "Umbrello UML Modeller Authors"
 msgstr ""
@@ -4136,12 +4136,12 @@ msgstr ""
 msgid "Apply layout"
 msgstr ""
 
-#: main.cpp:121
+#: main.cpp:123
 #, kde-format
 msgid "Umbrello UML Modeller"
 msgstr ""
 
-#: main.cpp:123
+#: main.cpp:125
 #, kde-format
 msgid ""
 "Umbrello – Visual development environment for software, based on the "
@@ -4149,118 +4149,118 @@ msgid ""
 "\"http://www.omg.org/spec/\">http://www.omg.org/spec/</a>."
 msgstr ""
 
-#: main.cpp:127
+#: main.cpp:129
 #, kde-format
 msgid ""
 "Copyright © 2001 Paul Hensgen,\n"
 "Copyright © 2002-2020 Umbrello UML Modeller Authors"
 msgstr ""
 
-#: main.cpp:130
+#: main.cpp:132
 #, kde-format
 msgid "Paul Hensgen"
 msgstr "Paul Hensgen"
 
-#: main.cpp:130
+#: main.cpp:132
 #, kde-format
 msgid "Author of initial version."
 msgstr ""
 
-#: main.cpp:134
+#: main.cpp:136
 #, kde-format
 msgid "Oliver Kellogg"
 msgstr ""
 
-#: main.cpp:135 main.cpp:138
+#: main.cpp:137 main.cpp:140
 #, kde-format
 msgid "Bug fixing, porting work, code cleanup, new features."
 msgstr ""
 
-#: main.cpp:137
+#: main.cpp:139
 #, kde-format
 msgid "Ralf Habacker"
 msgstr ""
 
-#: main.cpp:140
+#: main.cpp:142
 #, kde-format
 msgid "Andi Fischer"
 msgstr ""
 
-#: main.cpp:141
+#: main.cpp:143
 #, kde-format
 msgid "Porting work, code cleanup, new features."
 msgstr ""
 
-#: main.cpp:143
+#: main.cpp:145
 #, kde-format
 msgid "Jonathan Riddell"
 msgstr ""
 
-#: main.cpp:144
+#: main.cpp:146
 #, kde-format
 msgid "Current maintainer."
 msgstr ""
 
-#: main.cpp:146
+#: main.cpp:148
 #, kde-format
 msgid "Brian Thomas"
 msgstr ""
 
-#: main.cpp:147
+#: main.cpp:149
 #, kde-format
 msgid "A lot of work for C++ and Java code generation. Codeeditor."
 msgstr ""
 
-#: main.cpp:152
+#: main.cpp:154
 #, kde-format
 msgid "File to open"
 msgstr "ئاچىدىغان ھۆججەت"
 
-#: main.cpp:153
+#: main.cpp:155
 #, kde-format
 msgid "export diagrams to extension and exit"
 msgstr ""
 
-#: main.cpp:154
+#: main.cpp:156
 #, kde-format
 msgid "list available export extensions"
 msgstr ""
 
-#: main.cpp:155
+#: main.cpp:157
 #, kde-format
 msgid "the local directory to save the exported diagrams in"
 msgstr ""
 
-#: main.cpp:155
+#: main.cpp:157
 #, kde-format
 msgid "the directory of the file"
 msgstr ""
 
-#: main.cpp:156
+#: main.cpp:158
 #, fuzzy, kde-format
 #| msgid "Import Failed"
 msgid "import files"
 msgstr "ئەكىرەلمىدى"
 
-#: main.cpp:157
+#: main.cpp:159
 #, fuzzy, kde-format
 #| msgid "All Supported Files"
 msgid "list supported languages"
 msgstr "قوللايدىغان ھەممە ھۆججەتلەر"
 
-#: main.cpp:158
+#: main.cpp:160
 #, kde-format
 msgid ""
 "keep the tree structure used to store the views in the document in the "
 "target directory"
 msgstr ""
 
-#: main.cpp:159
+#: main.cpp:161
 #, kde-format
 msgid "import files from directory <dir>"
 msgstr ""
 
-#: main.cpp:163
+#: main.cpp:165
 #, fuzzy, kde-format
 #| msgid "All Supported Files"
 msgid "set active language"
@@ -4529,7 +4529,7 @@ msgstr ""
 msgid "Import File(s)..."
 msgstr "ئەكىرەلمىدى"
 
-#: menus/listpopupmenu.cpp:201 uml.cpp:356
+#: menus/listpopupmenu.cpp:201 uml.cpp:365
 #, kde-format
 msgid "Import from Directory..."
 msgstr ""
@@ -5049,42 +5049,42 @@ msgctxt "align menu"
 msgid "Align"
 msgstr "توغرىلا(&A)"
 
-#: menus/widgetbasepopupmenu.cpp:598 uml.cpp:573
+#: menus/widgetbasepopupmenu.cpp:598 uml.cpp:582
 #, kde-format
 msgid "Align Right"
 msgstr "ئوڭغا توغرىلا"
 
-#: menus/widgetbasepopupmenu.cpp:599 uml.cpp:578
+#: menus/widgetbasepopupmenu.cpp:599 uml.cpp:587
 #, kde-format
 msgid "Align Left"
 msgstr "سولغا توغرىلا"
 
-#: menus/widgetbasepopupmenu.cpp:600 uml.cpp:583
+#: menus/widgetbasepopupmenu.cpp:600 uml.cpp:592
 #, kde-format
 msgid "Align Top"
 msgstr "ئۈستىگە توغرىلا"
 
-#: menus/widgetbasepopupmenu.cpp:601 uml.cpp:588
+#: menus/widgetbasepopupmenu.cpp:601 uml.cpp:597
 #, kde-format
 msgid "Align Bottom"
 msgstr "ئاستىغا توغرىلا"
 
-#: menus/widgetbasepopupmenu.cpp:603 uml.cpp:593
+#: menus/widgetbasepopupmenu.cpp:603 uml.cpp:602
 #, kde-format
 msgid "Align Vertical Middle"
 msgstr ""
 
-#: menus/widgetbasepopupmenu.cpp:604 uml.cpp:598
+#: menus/widgetbasepopupmenu.cpp:604 uml.cpp:607
 #, kde-format
 msgid "Align Horizontal Middle"
 msgstr ""
 
-#: menus/widgetbasepopupmenu.cpp:605 uml.cpp:603
+#: menus/widgetbasepopupmenu.cpp:605 uml.cpp:612
 #, kde-format
 msgid "Align Vertical Distribute"
 msgstr ""
 
-#: menus/widgetbasepopupmenu.cpp:606 uml.cpp:608
+#: menus/widgetbasepopupmenu.cpp:606 uml.cpp:617
 #, kde-format
 msgid "Align Horizontal Distribute"
 msgstr ""
@@ -5970,8 +5970,8 @@ msgstr "ئۇچۇر"
 #: object_factory.cpp:251 uml1model/classifier.cpp:410
 #: uml1model/classifier.cpp:781 uml1model/entity.cpp:125
 #: uml1model/entity.cpp:178 uml1model/entity.cpp:228 uml1model/entity.cpp:277
-#: uml1model/enum.cpp:107 uml1model/instance.cpp:124 uml1model/package.cpp:171
-#: umldoc.cpp:1721 umldoc.cpp:1755
+#: uml1model/enum.cpp:107 uml1model/instance.cpp:124 uml1model/package.cpp:177
+#: umldoc.cpp:1723 umldoc.cpp:1757
 #, kde-format
 msgid "That is an invalid name."
 msgstr ""
@@ -5990,7 +5990,7 @@ msgstr ""
 #: object_factory.cpp:264 uml1model/classifier.cpp:413
 #: uml1model/classifier.cpp:783 uml1model/entity.cpp:127
 #: uml1model/entity.cpp:180 uml1model/entity.cpp:230 uml1model/entity.cpp:279
-#: uml1model/instance.cpp:126 umldoc.cpp:1727 umldoc.cpp:1764
+#: uml1model/instance.cpp:126 umldoc.cpp:1729 umldoc.cpp:1766
 #, kde-format
 msgid "That name is already being used."
 msgstr ""
@@ -5998,8 +5998,8 @@ msgstr ""
 #: object_factory.cpp:265 uml1model/classifier.cpp:413
 #: uml1model/classifier.cpp:783 uml1model/entity.cpp:127
 #: uml1model/entity.cpp:180 uml1model/entity.cpp:230 uml1model/entity.cpp:279
-#: uml1model/instance.cpp:126 umldoc.cpp:1629 umldoc.cpp:1699 umldoc.cpp:1727
-#: umldoc.cpp:1764
+#: uml1model/instance.cpp:126 umldoc.cpp:1631 umldoc.cpp:1701 umldoc.cpp:1729
+#: umldoc.cpp:1766
 #, kde-format
 msgid "Not a Unique Name"
 msgstr ""
@@ -6060,12 +6060,12 @@ msgstr ""
 msgid "Choose a different name."
 msgstr ""
 
-#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:266
+#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:273
 #, kde-format
 msgid "Incorrect use of associations."
 msgstr ""
 
-#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:266
+#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:273
 #, kde-format
 msgid "Association Error"
 msgstr ""
@@ -7232,189 +7232,189 @@ msgstr "قوللايدىغان ھەمم
 msgid "&Settings"
 msgstr "تەڭشەك(&S)"
 
-#: uml.cpp:332
+#: uml.cpp:341
 #, kde-format
 msgid "&Export model to DocBook"
 msgstr ""
 
-#: uml.cpp:336
+#: uml.cpp:345
 #, kde-format
 msgid "&Export model to XHTML"
 msgstr ""
 
-#: uml.cpp:340
+#: uml.cpp:349
 #, kde-format
 msgid "&New Class Wizard..."
 msgstr ""
 
-#: uml.cpp:344
+#: uml.cpp:353
 #, kde-format
 msgid "&Add Default Datatypes for Active Language"
 msgstr ""
 
-#: uml.cpp:351
+#: uml.cpp:360
 #, kde-format
 msgid "Code &Importing Wizard..."
 msgstr ""
 
-#: uml.cpp:361
+#: uml.cpp:370
 #, kde-format
 msgid "&Code Generation Wizard..."
 msgstr ""
 
-#: uml.cpp:366
+#: uml.cpp:375
 #, kde-format
 msgid "&Generate All Code"
 msgstr ""
 
-#: uml.cpp:411
+#: uml.cpp:420
 #, kde-format
 msgid "Creates a new document"
 msgstr ""
 
-#: uml.cpp:412
+#: uml.cpp:421
 #, kde-format
 msgid "Opens an existing document"
 msgstr ""
 
-#: uml.cpp:413
+#: uml.cpp:422
 #, kde-format
 msgid "Opens a recently used file"
 msgstr "يېقىندا ئىشلەتكەن ھۆججەتنى ئاچىدۇ"
 
-#: uml.cpp:414
+#: uml.cpp:423
 #, kde-format
 msgid "Saves the document"
 msgstr ""
 
-#: uml.cpp:415
+#: uml.cpp:424
 #, kde-format
 msgid "Saves the document as..."
 msgstr ""
 
-#: uml.cpp:416
+#: uml.cpp:425
 #, kde-format
 msgid "Closes the document"
 msgstr ""
 
-#: uml.cpp:417
+#: uml.cpp:426
 #, kde-format
 msgid "Prints out the document"
 msgstr ""
 
-#: uml.cpp:418
+#: uml.cpp:427
 #, kde-format
 msgid "Print Preview of the document"
 msgstr ""
 
-#: uml.cpp:419
+#: uml.cpp:428
 #, kde-format
 msgid "Quits the application"
 msgstr "پروگراممىنى ئاخىرلاشتۇرىدۇ"
 
-#: uml.cpp:420
+#: uml.cpp:429
 #, kde-format
 msgid "Exports the model to the docbook format"
 msgstr ""
 
-#: uml.cpp:421
+#: uml.cpp:430
 #, kde-format
 msgid "Exports the model to the XHTML format"
 msgstr ""
 
-#: uml.cpp:422
+#: uml.cpp:431
 #, kde-format
 msgid "Cuts the selected section and puts it to the clipboard"
 msgstr "تاللانغان بۆلەكنى كېسىپ چاپلاش تاختىسىغا كۆچۈرىدۇ"
 
-#: uml.cpp:423
+#: uml.cpp:432
 #, kde-format
 msgid "Copies the selected section to the clipboard"
 msgstr "تاللانغان بۆلەكنى چاپلاش تاختىسىغا كۆچۈرىدۇ"
 
-#: uml.cpp:424
+#: uml.cpp:433
 #, kde-format
 msgid "Pastes the contents of the clipboard"
 msgstr ""
 
-#: uml.cpp:425
+#: uml.cpp:434
 #, kde-format
 msgid "Set the default program preferences"
 msgstr ""
 
-#: uml.cpp:429
+#: uml.cpp:438
 #, kde-format
 msgctxt "delete selected widget"
 msgid "Delete &Selected"
 msgstr ""
 
-#: uml.cpp:440
+#: uml.cpp:449
 #, kde-format
 msgid "&Class Diagram..."
 msgstr ""
 
-#: uml.cpp:447
+#: uml.cpp:456
 #, fuzzy, kde-format
 #| msgid "&Delete"
 msgid "&Object Diagram..."
 msgstr "ئۆچۈر(&D)"
 
-#: uml.cpp:454
+#: uml.cpp:463
 #, kde-format
 msgid "&Sequence Diagram..."
 msgstr ""
 
-#: uml.cpp:460
+#: uml.cpp:469
 #, kde-format
 msgid "C&ommunication Diagram..."
 msgstr ""
 
-#: uml.cpp:466
+#: uml.cpp:475
 #, kde-format
 msgid "&Use Case Diagram..."
 msgstr ""
 
-#: uml.cpp:472
+#: uml.cpp:481
 #, kde-format
 msgid "S&tate Diagram..."
 msgstr ""
 
-#: uml.cpp:478
+#: uml.cpp:487
 #, kde-format
 msgid "&Activity Diagram..."
 msgstr ""
 
-#: uml.cpp:484
+#: uml.cpp:493
 #, kde-format
 msgid "Co&mponent Diagram..."
 msgstr ""
 
-#: uml.cpp:490
+#: uml.cpp:499
 #, kde-format
 msgid "&Deployment Diagram..."
 msgstr ""
 
-#: uml.cpp:496
+#: uml.cpp:505
 #, kde-format
 msgid "&Entity Relationship Diagram..."
 msgstr ""
 
-#: uml.cpp:501 uml.cpp:954
+#: uml.cpp:510 uml.cpp:963
 #, kde-format
 msgid "&Tree View"
 msgstr ""
 
-#: uml.cpp:505
+#: uml.cpp:514
 #, kde-format
 msgid "&Debugging"
 msgstr ""
 
-#: uml.cpp:513
+#: uml.cpp:522
 #, kde-format
 msgid "&Logging"
 msgstr ""
 
-#: uml.cpp:517
+#: uml.cpp:526
 #, kde-format
 msgid "&Command history"
 msgstr ""
@@ -7423,137 +7423,137 @@ msgstr ""
 #. m_propertyDock->setObjectName(QLatin1String("PropertyDock"));
 #. addDockWidget(Qt::LeftDockWidgetArea, m_propertyDock);  //:TODO:
 #. create the bird's eye view
-#: uml.cpp:521 uml.cpp:1011
+#: uml.cpp:530 uml.cpp:1020
 #, kde-format
 msgid "&Bird's eye view"
 msgstr ""
 
-#: uml.cpp:526
+#: uml.cpp:535
 #, kde-format
 msgid "&Clear Diagram"
 msgstr ""
 
-#: uml.cpp:530
+#: uml.cpp:539
 #, kde-format
 msgid "&Snap to Grid"
 msgstr ""
 
-#: uml.cpp:534
+#: uml.cpp:543
 #, kde-format
 msgid "S&how Grid"
 msgstr ""
 
-#: uml.cpp:539
+#: uml.cpp:548
 #, fuzzy, kde-format
 #| msgid "&Delete"
 msgid "&Delete Diagram"
 msgstr "ئۆچۈر(&D)"
 
-#: uml.cpp:544
+#: uml.cpp:553
 #, kde-format
 msgid "&Export as Picture..."
 msgstr ""
 
-#: uml.cpp:549
+#: uml.cpp:558
 #, kde-format
 msgid "Export &Diagrams as Pictures..."
 msgstr ""
 
-#: uml.cpp:569
+#: uml.cpp:578
 #, kde-format
 msgid "Z&oom to 100%"
 msgstr ""
 
-#: uml.cpp:612
+#: uml.cpp:621
 #, kde-format
 msgid "&Move Tab Left"
 msgstr ""
 
-#: uml.cpp:613
+#: uml.cpp:622
 #, kde-format
 msgid "&Move Tab Right"
 msgstr ""
 
-#: uml.cpp:636
+#: uml.cpp:645
 #, kde-format
 msgid "Select Diagram on Left"
 msgstr ""
 
-#: uml.cpp:637
+#: uml.cpp:646
 #, kde-format
 msgid "Select Diagram on Right"
 msgstr ""
 
-#: uml.cpp:776
+#: uml.cpp:785
 #, kde-format
 msgctxt "%1 percent value from 20 to 500"
 msgid " &%1%"
 msgstr ""
 
-#: uml.cpp:826
+#: uml.cpp:835
 #, kde-format
 msgctxt "init status bar"
 msgid "Ready"
 msgstr "تەييار"
 
-#: uml.cpp:835 uml.cpp:848
+#: uml.cpp:844 uml.cpp:857
 #, kde-format
 msgid "100%"
 msgstr ""
 
-#: uml.cpp:840
+#: uml.cpp:849
 #, fuzzy, kde-format
 #| msgid "Filter"
 msgid "Fit"
 msgstr "سۈزگۈچ"
 
-#: uml.cpp:899
+#: uml.cpp:908
 #, kde-format
 msgid "Diagram Toolbar"
 msgstr ""
 
-#: uml.cpp:965
+#: uml.cpp:974
 #, kde-format
 msgid "Doc&umentation"
 msgstr ""
 
-#: uml.cpp:976
+#: uml.cpp:985
 #, kde-format
 msgid "Co&mmand history"
 msgstr ""
 
-#: uml.cpp:992
+#: uml.cpp:1001
 #, kde-format
 msgid "&Debug"
 msgstr ""
 
-#: uml.cpp:999
+#: uml.cpp:1008
 #, kde-format
 msgid "&Log"
 msgstr ""
 
-#: uml.cpp:1041 uml.cpp:1258 uml.cpp:1307
+#: uml.cpp:1050 uml.cpp:1267 uml.cpp:1316
 #, kde-format
 msgid "Opening file..."
 msgstr "ھۆججەتلەرنى ئېچىۋاتىدۇ…"
 
-#: uml.cpp:1092 uml.cpp:1157 uml.cpp:1342 umldoc.cpp:342 umldoc.cpp:344
-#: umldoc.cpp:368 umldoc.cpp:3396
+#: uml.cpp:1101 uml.cpp:1166 uml.cpp:1351 umldoc.cpp:343 umldoc.cpp:345
+#: umldoc.cpp:369 umldoc.cpp:3405
 #, kde-format
 msgid "Untitled"
 msgstr "ماۋزۇسىز"
 
-#: uml.cpp:1240
+#: uml.cpp:1249
 #, kde-format
 msgid "Creating new document..."
 msgstr "يېڭى پۈتۈك قۇرۇۋاتىدۇ…"
 
-#: uml.cpp:1266 uml.cpp:1281
+#: uml.cpp:1275 uml.cpp:1290
 #, kde-format
 msgid "Open File"
 msgstr "ھۆججەت ئاچ"
 
-#: uml.cpp:1270
+#: uml.cpp:1279
 #, kde-format
 msgid ""
 "*.xmi *.xmi.tgz *.xmi.tar.bz2 *.mdl *.zargo|All Supported Files (*.xmi, *."
@@ -7565,29 +7565,29 @@ msgid ""
 "*.zargo|Compressed argo Files(*.zargo)\n"
 msgstr ""
 
-#: uml.cpp:1341
+#: uml.cpp:1350
 #, kde-format
 msgid "Saving file..."
 msgstr "ھۆججەت ساقلاۋاتىدۇ…"
 
-#: uml.cpp:1358
+#: uml.cpp:1367
 #, kde-format
 msgid "Saving file with a new filename..."
 msgstr "يېڭى ھۆججەت ئاتىنى ئىشلىتىپ ساقلاۋاتىدۇ…"
 
-#: uml.cpp:1368 uml.cpp:1374 umlviewimageexporter.cpp:199
+#: uml.cpp:1377 uml.cpp:1383 umlviewimageexporter.cpp:199
 #, kde-format
 msgid "Save As"
 msgstr "باشقا ئاتتا ساقلا"
 
-#: uml.cpp:1369
+#: uml.cpp:1378
 #, kde-format
 msgid ""
 "*.xmi | XMI File (*.xmi);;*.xmi.tgz | Gzip Compressed XMI File (*.xmi.tgz);;"
 "*.xmi.tar.bz2 | Bzip2 Compressed XMI File (*.xmi.tar.bz2);;* | All Files (*)"
 msgstr ""
 
-#: uml.cpp:1374
+#: uml.cpp:1383
 #, kde-format
 msgid ""
 "*.xmi|XMI File\n"
@@ -7596,112 +7596,112 @@ msgid ""
 "*|All Files"
 msgstr ""
 
-#: uml.cpp:1387
+#: uml.cpp:1396
 #, kde-format
 msgid ""
 "The file %1 exists.\n"
 "Do you wish to overwrite it?"
 msgstr ""
 
-#: uml.cpp:1388
+#: uml.cpp:1397
 #, kde-format
 msgid "Warning"
 msgstr "ئاگاھلاندۇرۇش"
 
-#: uml.cpp:1388
+#: uml.cpp:1397
 #, kde-format
 msgid "Overwrite"
 msgstr "قاپلا"
 
-#: uml.cpp:1422
+#: uml.cpp:1431
 #, kde-format
 msgid "Closing file..."
 msgstr "ھۆججەتنى يېپىۋاتىدۇ…"
 
-#: uml.cpp:1432
+#: uml.cpp:1441
 #, kde-format
 msgid "No search term entered"
 msgstr ""
 
-#: uml.cpp:1438
+#: uml.cpp:1447
 #, kde-format
 msgid "'%1': %2 found"
 msgstr ""
 
-#: uml.cpp:1502
+#: uml.cpp:1511
 #, kde-format
 msgid "Print Preview..."
 msgstr ""
 
-#: uml.cpp:1529
+#: uml.cpp:1538
 #, kde-format
 msgid "Printing..."
 msgstr "بېسىۋاتىدۇ…"
 
-#: uml.cpp:1536 uml.cpp:1540
+#: uml.cpp:1545 uml.cpp:1549
 #, kde-format
 msgid "Print %1"
 msgstr "بېسىپ چىقار %1"
 
-#: uml.cpp:1560
+#: uml.cpp:1569
 #, kde-format
 msgid "Exiting..."
 msgstr "چېكىنىۋاتىدۇ…"
 
-#: uml.cpp:1647
+#: uml.cpp:1656
 #, kde-format
 msgid "Cutting selection..."
 msgstr "تاللانغاننى كېسىۋاتىدۇ…"
 
-#: uml.cpp:1670
+#: uml.cpp:1679
 #, kde-format
 msgid "Copying selection to clipboard..."
 msgstr "تاللانغاننى چاپلاش تاختىسىغا كۆچۈرۈۋاتىدۇ"
 
-#: uml.cpp:1682
+#: uml.cpp:1691
 #, kde-format
 msgid "Inserting clipboard contents..."
 msgstr "چاپلاش تاختىسى مەزمۇنلىرىنى قىستۇرۇۋاتىدۇ…"
 
-#: uml.cpp:1687
+#: uml.cpp:1696
 #, kde-format
 msgid ""
 "Umbrello could not paste the clipboard contents.  The objects in the "
 "clipboard may be of the wrong type to be pasted here."
 msgstr ""
 
-#: uml.cpp:1713 umlviewimageexporter.cpp:92 umlviewimageexporterall.cpp:123
+#: uml.cpp:1722 umlviewimageexporter.cpp:92 umlviewimageexporterall.cpp:123
 #, kde-format
 msgctxt "reset status bar"
 msgid "Ready."
 msgstr "تەييار."
 
-#: uml.cpp:2246
+#: uml.cpp:2255
 #, kde-format
 msgid "Cannot view code until you generate some first."
 msgstr ""
 
-#: uml.cpp:2246 uml.cpp:2249
+#: uml.cpp:2255 uml.cpp:2258
 #, kde-format
 msgid "Cannot View Code"
 msgstr ""
 
-#: uml.cpp:2249
+#: uml.cpp:2258
 #, kde-format
 msgid "Cannot view code from simple code writer."
 msgstr ""
 
-#: uml.cpp:2714 uml.cpp:2716
+#: uml.cpp:2728 uml.cpp:2730
 #, kde-format
 msgid "Select file(s) to import:"
 msgstr ""
 
-#: uml.cpp:2747 uml.cpp:2749
+#: uml.cpp:2761 uml.cpp:2763
 #, kde-format
 msgid "Select directory to import:"
 msgstr ""
 
-#: uml.cpp:3313
+#: uml.cpp:3335
 #, kde-format
 msgid "XHTML Generation failed ."
 msgstr ""
@@ -7713,20 +7713,20 @@ msgid ""
 "it again."
 msgstr ""
 
-#: uml1model/folder.cpp:435
+#: uml1model/folder.cpp:436
 #, kde-format
 msgid "The folderfile %1 does not exist."
 msgstr ""
 
-#: uml1model/folder.cpp:435 uml1model/folder.cpp:439 umldoc.cpp:529
-#: umldoc.cpp:541 umldoc.cpp:568 umldoc.cpp:570 umldoc.cpp:620 umldoc.cpp:623
-#: umldoc.cpp:638 umldoc.cpp:641 umldoc.cpp:665 umldoc.cpp:668 umldoc.cpp:684
-#: umldoc.cpp:687 umldoc.cpp:702 umldoc.cpp:705 umldoc.cpp:750
+#: uml1model/folder.cpp:436 uml1model/folder.cpp:440 umldoc.cpp:530
+#: umldoc.cpp:542 umldoc.cpp:569 umldoc.cpp:571 umldoc.cpp:621 umldoc.cpp:624
+#: umldoc.cpp:639 umldoc.cpp:642 umldoc.cpp:666 umldoc.cpp:669 umldoc.cpp:685
+#: umldoc.cpp:688 umldoc.cpp:703 umldoc.cpp:706 umldoc.cpp:751
 #, kde-format
 msgid "Load Error"
 msgstr "ئوقۇش خاتالىقى"
 
-#: uml1model/folder.cpp:439
+#: uml1model/folder.cpp:440
 #, kde-format
 msgid "The folderfile %1 cannot be opened."
 msgstr ""
@@ -7736,13 +7736,13 @@ msgstr ""
 msgid "new_parameter"
 msgstr ""
 
-#: uml1model/package.cpp:163
+#: uml1model/package.cpp:169
 #, kde-format
 msgctxt "object name"
 msgid "Name"
 msgstr "ئاتى"
 
-#: uml1model/package.cpp:164
+#: uml1model/package.cpp:170
 #, kde-format
 msgid ""
 "An object with the name %1\n"
@@ -7765,80 +7765,80 @@ msgstr ""
 msgid "new_fkey_constraint"
 msgstr ""
 
-#: uml1model/umlobject.cpp:1140
+#: uml1model/umlobject.cpp:1141
 #, kde-format
 msgid "Actor &name:"
 msgstr ""
 
-#: uml1model/umlobject.cpp:1143
+#: uml1model/umlobject.cpp:1144
 #, kde-format
 msgid "Artifact &name:"
 msgstr ""
 
-#: uml1model/umlobject.cpp:1146
+#: uml1model/umlobject.cpp:1147
 #, fuzzy, kde-format
 #| msgid "Association"
 msgid "Association &name:"
 msgstr "باغلاش"
 
-#: uml1model/umlobject.cpp:1149
+#: uml1model/umlobject.cpp:1150
 #, kde-format
 msgid "Class &name:"
 msgstr ""
 
-#: uml1model/umlobject.cpp:1152
+#: uml1model/umlobject.cpp:1153
 #, kde-format
 msgid "Component &name:"
 msgstr ""
 
-#: uml1model/umlobject.cpp:1155
+#: uml1model/umlobject.cpp:1156
 #, kde-format
 msgid "Datatype &name:"
 msgstr ""
 
-#: uml1model/umlobject.cpp:1158
+#: uml1model/umlobject.cpp:1159
 #, kde-format
 msgid "Entity &name:"
 msgstr ""
 
-#: uml1model/umlobject.cpp:1161
+#: uml1model/umlobject.cpp:1162
 #, kde-format
 msgid "Enum &name:"
 msgstr ""
 
-#: uml1model/umlobject.cpp:1164
+#: uml1model/umlobject.cpp:1165
 #, fuzzy, kde-format
 #| msgid "Node &name:"
 msgid "Folder &name:"
 msgstr "نۇقتا ئاتى(&N):"
 
-#: uml1model/umlobject.cpp:1167
+#: uml1model/umlobject.cpp:1168
 #, kde-format
 msgid "Interface &name:"
 msgstr ""
 
-#: uml1model/umlobject.cpp:1170
+#: uml1model/umlobject.cpp:1171
 #, kde-format
 msgid "Node &name:"
 msgstr "نۇقتا ئاتى(&N):"
 
-#: uml1model/umlobject.cpp:1173
+#: uml1model/umlobject.cpp:1174
 #, kde-format
 msgid "Package &name:"
 msgstr ""
 
-#: uml1model/umlobject.cpp:1176
+#: uml1model/umlobject.cpp:1177
 #, fuzzy, kde-format
 #| msgid "Node &name:"
 msgid "Port &name:"
 msgstr "نۇقتا ئاتى(&N):"
 
-#: uml1model/umlobject.cpp:1182
+#: uml1model/umlobject.cpp:1183
 #, kde-format
 msgid "Use case &name:"
 msgstr ""
 
-#: uml1model/umlobject.cpp:1185
+#: uml1model/umlobject.cpp:1186
 #, kde-format
 msgid "Instance name:"
 msgstr ""
@@ -7860,42 +7860,42 @@ msgstr "نۇقتا ئاتى(&N):"
 msgid "Welcome"
 msgstr ""
 
-#: umldoc.cpp:112 umldoc.cpp:2400 umldoc.cpp:2428
+#: umldoc.cpp:113 umldoc.cpp:2405 umldoc.cpp:2433
 #, kde-format
 msgid "UML Model"
 msgstr ""
 
-#: umldoc.cpp:154
+#: umldoc.cpp:155
 #, kde-format
 msgid "Logical View"
 msgstr ""
 
-#: umldoc.cpp:155
+#: umldoc.cpp:156
 #, kde-format
 msgid "Use Case View"
 msgstr ""
 
-#: umldoc.cpp:156
+#: umldoc.cpp:157
 #, kde-format
 msgid "Component View"
 msgstr ""
 
-#: umldoc.cpp:157
+#: umldoc.cpp:158
 #, kde-format
 msgid "Deployment View"
 msgstr ""
 
-#: umldoc.cpp:158
+#: umldoc.cpp:159
 #, kde-format
 msgid "Entity Relationship Model"
 msgstr ""
 
-#: umldoc.cpp:184
+#: umldoc.cpp:185
 #, kde-format
 msgid "Datatypes"
 msgstr ""
 
-#: umldoc.cpp:363
+#: umldoc.cpp:364
 #, kde-format
 msgid ""
 "The current file has been modified.\n"
@@ -7904,293 +7904,293 @@ msgstr ""
 "نۆۋەتتىكى ھۆججەت ئۆزگەرتىلگەن.\n"
 "ساقلامسىز؟"
 
-#: umldoc.cpp:364
+#: umldoc.cpp:365
 #, kde-format
 msgctxt "warning message"
 msgid "Warning"
 msgstr "ئاگاھلاندۇرۇش"
 
-#: umldoc.cpp:529
+#: umldoc.cpp:530
 #, fuzzy, kde-format
 #| msgid "The file %1 does not exist."
 msgid "The file <%1> does not exist."
 msgstr "ھۆججەت %1 مەۋجۇت ئەمەس."
 
-#: umldoc.cpp:541
+#: umldoc.cpp:542
 #, kde-format
 msgid "The file %1 does not exist."
 msgstr "ھۆججەت %1 مەۋجۇت ئەمەس."
 
-#: umldoc.cpp:568 umldoc.cpp:570
+#: umldoc.cpp:569 umldoc.cpp:571
 #, kde-format
 msgid "The file %1 seems to be corrupted."
 msgstr ""
 
-#: umldoc.cpp:619 umldoc.cpp:622 umldoc.cpp:637 umldoc.cpp:640 umldoc.cpp:683
-#: umldoc.cpp:686
+#: umldoc.cpp:620 umldoc.cpp:623 umldoc.cpp:638 umldoc.cpp:641 umldoc.cpp:684
+#: umldoc.cpp:687
 #, kde-format
 msgid "There was no XMI file found in the compressed file %1."
 msgstr ""
 
-#: umldoc.cpp:664 umldoc.cpp:667
+#: umldoc.cpp:665 umldoc.cpp:668
 #, kde-format
 msgid "There was a problem loading the extracted file: %1"
 msgstr ""
 
-#: umldoc.cpp:701 umldoc.cpp:704 umldoc.cpp:744 umldoc.cpp:746
+#: umldoc.cpp:702 umldoc.cpp:705 umldoc.cpp:745 umldoc.cpp:747
 #, kde-format
 msgid "There was a problem loading file: %1"
 msgstr ""
 
-#: umldoc.cpp:749
+#: umldoc.cpp:750
 #, kde-format
 msgid "Reason: %1"
 msgstr ""
 
-#: umldoc.cpp:832 umldoc.cpp:834 umldoc.cpp:851 umldoc.cpp:853 umldoc.cpp:873
-#: umldoc.cpp:875 umldoc.cpp:924 umldoc.cpp:926 umldoc.cpp:966 umldoc.cpp:969
-#: umldoc.cpp:978 umldoc.cpp:980 umllistview.cpp:593
+#: umldoc.cpp:833 umldoc.cpp:835 umldoc.cpp:852 umldoc.cpp:854 umldoc.cpp:874
+#: umldoc.cpp:876 umldoc.cpp:925 umldoc.cpp:927 umldoc.cpp:968 umldoc.cpp:971
+#: umldoc.cpp:980 umldoc.cpp:982 umllistview.cpp:594
 #, kde-format
 msgid "Save Error"
 msgstr "ساقلاش خاتالىقى"
 
-#: umldoc.cpp:832 umldoc.cpp:851 umldoc.cpp:873 umldoc.cpp:924 umldoc.cpp:966
+#: umldoc.cpp:833 umldoc.cpp:852 umldoc.cpp:874 umldoc.cpp:925 umldoc.cpp:968
 #, kde-format
 msgid "There was a problem saving: %1"
 msgstr ""
 
-#: umldoc.cpp:834 umldoc.cpp:853 umldoc.cpp:875 umldoc.cpp:926 umldoc.cpp:969
-#: umllistview.cpp:592 umlviewimageexportermodel.cpp:303
+#: umldoc.cpp:835 umldoc.cpp:854 umldoc.cpp:876 umldoc.cpp:927 umldoc.cpp:971
+#: umllistview.cpp:593 umlviewimageexportermodel.cpp:303
 #, kde-format
 msgid "There was a problem saving file: %1"
 msgstr ""
 
-#: umldoc.cpp:978
+#: umldoc.cpp:980
 #, kde-format
 msgid "There was a problem uploading: %1"
 msgstr ""
 
-#: umldoc.cpp:980
+#: umldoc.cpp:982
 #, kde-format
 msgid "There was a problem uploading file: %1"
 msgstr ""
 
-#: umldoc.cpp:1526
+#: umldoc.cpp:1528
 #, kde-format
 msgid "use case diagram"
 msgstr ""
 
-#: umldoc.cpp:1529
+#: umldoc.cpp:1531
 #, kde-format
 msgid "class diagram"
 msgstr ""
 
-#: umldoc.cpp:1532
+#: umldoc.cpp:1534
 #, kde-format
 msgid "sequence diagram"
 msgstr ""
 
-#: umldoc.cpp:1535
+#: umldoc.cpp:1537
 #, kde-format
 msgid "communication diagram"
 msgstr ""
 
-#: umldoc.cpp:1538
+#: umldoc.cpp:1540
 #, fuzzy, kde-format
 #| msgid "&Delete"
 msgid "object diagram"
 msgstr "ئۆچۈر(&D)"
 
-#: umldoc.cpp:1541
+#: umldoc.cpp:1543
 #, kde-format
 msgid "state diagram"
 msgstr ""
 
-#: umldoc.cpp:1544
+#: umldoc.cpp:1546
 #, kde-format
 msgid "activity diagram"
 msgstr ""
 
-#: umldoc.cpp:1547
+#: umldoc.cpp:1549
 #, kde-format
 msgid "component diagram"
 msgstr ""
 
-#: umldoc.cpp:1550
+#: umldoc.cpp:1552
 #, kde-format
 msgid "deployment diagram"
 msgstr ""
 
-#: umldoc.cpp:1553
+#: umldoc.cpp:1555
 #, kde-format
 msgid "entity relationship diagram"
 msgstr ""
 
-#: umldoc.cpp:1623
+#: umldoc.cpp:1625
 #, kde-format
 msgctxt "diagram name"
 msgid "Name"
 msgstr "ئاتى"
 
-#: umldoc.cpp:1623 umldoc.cpp:1686 umldoc.cpp:1715 umldoc.cpp:1749
+#: umldoc.cpp:1625 umldoc.cpp:1688 umldoc.cpp:1717 umldoc.cpp:1751
 #, kde-format
 msgid "Enter name:"
 msgstr "ئاتىنى كىرگۈزۈڭ:"
 
-#: umldoc.cpp:1627 umldoc.cpp:1692
+#: umldoc.cpp:1629 umldoc.cpp:1694
 #, kde-format
 msgid "That is an invalid name for a diagram."
 msgstr ""
 
-#: umldoc.cpp:1629 umldoc.cpp:1699
+#: umldoc.cpp:1631 umldoc.cpp:1701
 #, kde-format
 msgid "A diagram is already using that name."
 msgstr ""
 
-#: umldoc.cpp:1685
+#: umldoc.cpp:1687
 #, kde-format
 msgctxt "renaming diagram"
 msgid "Name"
 msgstr "ئاتى"
 
-#: umldoc.cpp:1714
+#: umldoc.cpp:1716
 #, kde-format
 msgctxt "renaming uml object"
 msgid "Name"
 msgstr "ئاتى"
 
-#: umldoc.cpp:1748
+#: umldoc.cpp:1750
 #, kde-format
 msgctxt "renaming child uml object"
 msgid "Name"
 msgstr "ئاتى"
 
-#: umldoc.cpp:1758
+#: umldoc.cpp:1760
 #, kde-format
 msgid ""
 "The name you entered was not unique.\n"
 "Is this what you wanted?"
 msgstr ""
 
-#: umldoc.cpp:1759
+#: umldoc.cpp:1761
 #, kde-format
 msgid "Use Name"
 msgstr ""
 
-#: umldoc.cpp:1759
+#: umldoc.cpp:1761
 #, kde-format
 msgid "Enter New Name"
 msgstr ""
 
-#: umldoc.cpp:2361
+#: umldoc.cpp:2366
 #, kde-format
 msgid "Unsupported xmi file version: %1"
 msgstr ""
 
-#: umldoc.cpp:2511
+#: umldoc.cpp:2516
 #, kde-format
 msgid "Setting up the document..."
 msgstr ""
 
-#: umldoc.cpp:2540
+#: umldoc.cpp:2545
 #, kde-format
 msgid "Resolving object references..."
 msgstr ""
 
-#: umldoc.cpp:2648
+#: umldoc.cpp:2653
 #, kde-format
 msgid "Loading UML elements..."
 msgstr ""
 
-#: umldoc.cpp:2892
+#: umldoc.cpp:2899
 #, kde-format
 msgid "Loading diagrams..."
 msgstr ""
 
-#: umldoc.cpp:3400
+#: umldoc.cpp:3409
 #, kde-format
 msgid "/autosave%1"
 msgstr ""
 
-#: umllistview.cpp:536 umllistview.cpp:540
+#: umllistview.cpp:537 umllistview.cpp:541
 #, kde-format
 msgid "Externalize Folder"
 msgstr ""
 
-#: umllistview.cpp:574
+#: umllistview.cpp:575
 #, kde-format
 msgid "Folder %1 must be relative to the main model directory, %2."
 msgstr ""
 
-#: umllistview.cpp:575
+#: umllistview.cpp:576
 #, kde-format
 msgid "Path Error"
 msgstr ""
 
-#: umllistview.cpp:583
+#: umllistview.cpp:584
 #, kde-format
 msgid ""
 "File %1 already exists!\n"
 "The existing file will be overwritten."
 msgstr ""
 
-#: umllistview.cpp:584
+#: umllistview.cpp:585
 #, kde-format
 msgid "File Exist"
 msgstr ""
 
-#: umllistview.cpp:624
+#: umllistview.cpp:625
 #, kde-format
 msgid "Enter Model Name"
 msgstr ""
 
-#: umllistview.cpp:625
+#: umllistview.cpp:626
 #, kde-format
 msgid "Enter the new name of the model:"
 msgstr ""
 
-#: umllistview.cpp:1422
+#: umllistview.cpp:1430
 #, kde-format
 msgid "Views"
 msgstr "كۆرۈنۈشلەر"
 
-#: umllistview.cpp:1441
+#: umllistview.cpp:1449
 #, fuzzy, kde-format
 #| msgid "&Settings"
 msgid "Settings"
 msgstr "تەڭشەك(&S)"
 
-#: umllistview.cpp:2413
+#: umllistview.cpp:2421
 #, kde-format
 msgid "Loading listview..."
 msgstr ""
 
-#: umllistview.cpp:2764
+#: umllistview.cpp:2772
 #, kde-format
 msgid "The class must be emptied before it can be deleted."
 msgstr ""
 
-#: umllistview.cpp:2765
+#: umllistview.cpp:2773
 #, kde-format
 msgid "Class Not Empty"
 msgstr ""
 
-#: umllistview.cpp:2769
+#: umllistview.cpp:2777
 #, kde-format
 msgid "The package must be emptied before it can be deleted."
 msgstr ""
 
-#: umllistview.cpp:2770
+#: umllistview.cpp:2778
 #, kde-format
 msgid "Package Not Empty"
 msgstr ""
 
-#: umllistview.cpp:2774
+#: umllistview.cpp:2782
 #, kde-format
 msgid "The folder must be emptied before it can be deleted."
 msgstr ""
 
-#: umllistview.cpp:2775
+#: umllistview.cpp:2783
 #, kde-format
 msgid "Folder Not Empty"
 msgstr ""
diff -pruN 4:20.08.3-1/po/uk/umbrello.po 4:20.12.0-0ubuntu1/po/uk/umbrello.po
--- 4:20.08.3-1/po/uk/umbrello.po	2020-11-03 00:42:17.000000000 +0000
+++ 4:20.12.0-0ubuntu1/po/uk/umbrello.po	2020-12-04 00:21:32.000000000 +0000
@@ -9,7 +9,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: umbrello\n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
-"POT-Creation-Date: 2020-08-14 08:09+0200\n"
+"POT-Creation-Date: 2020-11-06 02:36+0100\n"
 "PO-Revision-Date: 2020-03-06 07:02+0200\n"
 "Last-Translator: Yuri Chornoivan <yurchor@ukr.net>\n"
 "Language-Team: Ukrainian <kde-i18n-uk@kde.org>\n"
@@ -212,7 +212,7 @@ msgstr ""
 "оскільки вже існує елемент з такою ж назвою. Всі інші елементи було "
 "вставлено."
 
-#: clipboard/umlclipboard.cpp:753 uml.cpp:1689
+#: clipboard/umlclipboard.cpp:753 uml.cpp:1698
 #, kde-format
 msgid "Paste Error"
 msgstr "Помилка вставлення"
@@ -438,7 +438,7 @@ msgstr "<p align=\"center\">Створе
 #. i18n: ectx: attribute (title), widget (QWidget, ui_tabGeneral)
 #: codegenerators/cpp/cppcodegenerationformbase.ui:51
 #: codegenwizard/codegenoptionspage.ui:39 dialogs/objectnodedialog.cpp:135
-#: umllistview.cpp:1451
+#: umllistview.cpp:1459
 #, kde-format
 msgid "General"
 msgstr "Загальне"
@@ -1318,7 +1318,7 @@ msgstr "Стан"
 #. i18n: ectx: property (text), widget (QRadioButton, ui_categoryClass)
 #. i18n: ectx: property (text), widget (QTableWidget, ui_tableWidgetStatus)
 #: codegenwizard/codegenstatuspage.ui:40 codeimpwizard/codeimpstatuspage.ui:54
-#: dialogs/finddialog.ui:89 umllistview.cpp:1446 umlwidgets/widgetbase.cpp:1255
+#: dialogs/finddialog.ui:89 umllistview.cpp:1454 umlwidgets/widgetbase.cpp:1255
 #, kde-format
 msgid "Class"
 msgstr "Клас"
@@ -1974,19 +1974,19 @@ msgstr "Увімкнути повідо
 msgid "Enable 'delete diagram' related messages"
 msgstr "Увімкнути повідомлення, які пов'язано із вилученням діаграм"
 
-#: dialogs/dialog_utils.cpp:117
+#: dialogs/dialog_utils.cpp:118
 #, kde-format
 msgid "You are about to delete an association. Do you really want to continue?"
 msgstr ""
 "Ви маєте намір вилучити асоціацію. Ви справді хочете продовжити виконання "
 "цієї дії?"
 
-#: dialogs/dialog_utils.cpp:118
+#: dialogs/dialog_utils.cpp:119
 #, kde-format
 msgid "Delete Association"
 msgstr "Вилучення асоціації"
 
-#: dialogs/dialog_utils.cpp:132
+#: dialogs/dialog_utils.cpp:133
 #, kde-format
 msgid ""
 "You are about to delete the entire diagram.\n"
@@ -1995,17 +1995,17 @@ msgstr ""
 "Ви маєте намір вилучити всю діаграму.\n"
 "Ви впевнені?"
 
-#: dialogs/dialog_utils.cpp:133
+#: dialogs/dialog_utils.cpp:134
 #, kde-format
 msgid "Are you sure you want to delete diagram %1?"
 msgstr "Ви дійсно хочете вилучити діаграму %1?"
 
-#: dialogs/dialog_utils.cpp:138
+#: dialogs/dialog_utils.cpp:139
 #, kde-format
 msgid "Delete Diagram?"
 msgstr "Вилучити діаграму?"
 
-#: dialogs/dialog_utils.cpp:139 dialogs/pages/classifierlistpage.cpp:215
+#: dialogs/dialog_utils.cpp:140 dialogs/pages/classifierlistpage.cpp:215
 #: dialogs/pages/classifierlistpage.cpp:223
 #: dialogs/umlforeignkeyconstraintdialog.cpp:325
 #: dialogs/umlforeignkeyconstraintdialog.cpp:331
@@ -2169,7 +2169,7 @@ msgstr "Загальні"
 #. i18n: ectx: label, entry (uiFont), group (UI Options)
 #. i18n: ectx: label, entry (codeViewerFont), group (Code Viewer Options)
 #: dialogs/multipagedialogbase.cpp:405 umbrello.kcfg:177 umbrello.kcfg:292
-#: umllistview.cpp:1450
+#: umllistview.cpp:1458
 #, kde-format
 msgid "Font"
 msgstr "Шрифт"
@@ -2603,7 +2603,7 @@ msgstr "Н&овий атрибут ек
 
 #: dialogs/pages/classifierlistpage.cpp:217
 #: dialogs/pages/classifierlistpage.cpp:225 dialogs/umloperationdialog.cpp:167
-#: dialogs/umloperationdialog.cpp:175 uml.cpp:554
+#: dialogs/umloperationdialog.cpp:175 uml.cpp:563
 #, kde-format
 msgid "&Properties"
 msgstr "&Властивості"
@@ -2621,7 +2621,7 @@ msgid "Source Code"
 msgstr "Джерельний код"
 
 #: dialogs/pages/classoptionspage.cpp:157
-#: dialogs/pages/classoptionspage.cpp:251 uml.cpp:509
+#: dialogs/pages/classoptionspage.cpp:251 uml.cpp:518
 #, kde-format
 msgid "&Documentation"
 msgstr "&Документація"
@@ -2810,8 +2810,8 @@ msgstr "Ви ввели некорект
 #: uml1model/classifier.cpp:410 uml1model/classifier.cpp:781
 #: uml1model/entity.cpp:125 uml1model/entity.cpp:178 uml1model/entity.cpp:228
 #: uml1model/entity.cpp:277 uml1model/enum.cpp:107 uml1model/instance.cpp:124
-#: uml1model/package.cpp:172 umldoc.cpp:1627 umldoc.cpp:1692 umldoc.cpp:1721
-#: umldoc.cpp:1755
+#: uml1model/package.cpp:178 umldoc.cpp:1629 umldoc.cpp:1694 umldoc.cpp:1723
+#: umldoc.cpp:1757
 #, kde-format
 msgid "Invalid Name"
 msgstr "Некоректна назва"
@@ -2821,7 +2821,7 @@ msgstr "Некоректна назва"
 msgid "The name you have entered is not unique."
 msgstr "Введено неунікальну назву."
 
-#: dialogs/pages/diagrampropertiespage.cpp:86 umldoc.cpp:1759
+#: dialogs/pages/diagrampropertiespage.cpp:86 umldoc.cpp:1761
 #, kde-format
 msgid "Name Not Unique"
 msgstr "Назва не є унікальною"
@@ -3293,7 +3293,7 @@ msgstr "Діаграма"
 msgid "Umbrello Setup"
 msgstr "Налаштування Umbrello"
 
-#: dialogs/settingsdialog.cpp:114 umllistview.cpp:1452
+#: dialogs/settingsdialog.cpp:114 umllistview.cpp:1460
 #, kde-format
 msgid "User Interface"
 msgstr "Інтерфейс користувача"
@@ -3320,7 +3320,7 @@ msgstr "Клас"
 msgid "Class Settings"
 msgstr "Параметри класу"
 
-#: dialogs/settingsdialog.cpp:137 umllistview.cpp:1447
+#: dialogs/settingsdialog.cpp:137 umllistview.cpp:1455
 #, kde-format
 msgid "Code Importer"
 msgstr "Імпортування коду"
@@ -3330,7 +3330,7 @@ msgstr "Імпортування код
 msgid "Code Import Settings"
 msgstr "Параметри імпортування коду"
 
-#: dialogs/settingsdialog.cpp:146 umllistview.cpp:1448
+#: dialogs/settingsdialog.cpp:146 umllistview.cpp:1456
 #, kde-format
 msgid "Code Generation"
 msgstr "Створення коду"
@@ -3340,7 +3340,7 @@ msgstr "Створення коду"
 msgid "Code Generation Settings"
 msgstr "Параметри створення коду"
 
-#: dialogs/settingsdialog.cpp:154 umllistview.cpp:1449
+#: dialogs/settingsdialog.cpp:154 umllistview.cpp:1457
 #, kde-format
 msgid "Code Viewer"
 msgstr "Перегляд коду"
@@ -3350,7 +3350,7 @@ msgstr "Перегляд коду"
 msgid "Code Viewer Settings"
 msgstr "Параметри перегляду коду"
 
-#: dialogs/settingsdialog.cpp:161 umllistview.cpp:1445
+#: dialogs/settingsdialog.cpp:161 umllistview.cpp:1453
 #, kde-format
 msgid "Auto Layout"
 msgstr "Автокомпонування"
@@ -3979,7 +3979,7 @@ msgstr "&Тип:"
 msgid "Package path:"
 msgstr "Шлях до пакунка:"
 
-#: dialogs/widgets/umlstereotypewidget.cpp:29 uml1model/umlobject.cpp:1179
+#: dialogs/widgets/umlstereotypewidget.cpp:29 uml1model/umlobject.cpp:1180
 #, kde-format
 msgid "Stereotype &name:"
 msgstr "&Назва стереотипу:"
@@ -4125,7 +4125,7 @@ msgstr ""
 msgid "Gael de Chalendar (aka Kleag)"
 msgstr "Gael de Chalendar (aka Kleag)"
 
-#: docgenerators/main.cpp:56 main.cpp:131
+#: docgenerators/main.cpp:56 main.cpp:133
 #, kde-format
 msgid "Umbrello UML Modeller Authors"
 msgstr "Автори Umbrello UML Modeller"
@@ -4189,12 +4189,12 @@ msgstr "Задіяти редагува
 msgid "Apply layout"
 msgstr "Застосувати компонування"
 
-#: main.cpp:121
+#: main.cpp:123
 #, kde-format
 msgid "Umbrello UML Modeller"
 msgstr "Програма моделювання UML"
 
-#: main.cpp:123
+#: main.cpp:125
 #, kde-format
 msgid ""
 "Umbrello – Visual development environment for software, based on the "
@@ -4205,7 +4205,7 @@ msgstr ""
 "стандарті Unified Modelling Language (UML).<br/>Докладніший опис — <a href="
 "\"http://www.omg.org/spec/\">http://www.omg.org/spec/</a>."
 
-#: main.cpp:127
+#: main.cpp:129
 #, kde-format
 msgid ""
 "Copyright © 2001 Paul Hensgen,\n"
@@ -4214,97 +4214,97 @@ msgstr ""
 "© Paul Hensgen, 2001,\n"
 "© Автори Umbrello UML Modeller, 2002–2020"
 
-#: main.cpp:130
+#: main.cpp:132
 #, kde-format
 msgid "Paul Hensgen"
 msgstr "Paul Hensgen"
 
-#: main.cpp:130
+#: main.cpp:132
 #, kde-format
 msgid "Author of initial version."
 msgstr "Автор початкової версії."
 
-#: main.cpp:134
+#: main.cpp:136
 #, kde-format
 msgid "Oliver Kellogg"
 msgstr "Oliver Kellogg"
 
-#: main.cpp:135 main.cpp:138
+#: main.cpp:137 main.cpp:140
 #, kde-format
 msgid "Bug fixing, porting work, code cleanup, new features."
 msgstr "Виправлення вад, робота з портування, чищення коду, нові можливості."
 
-#: main.cpp:137
+#: main.cpp:139
 #, kde-format
 msgid "Ralf Habacker"
 msgstr "Ralf Habacker"
 
-#: main.cpp:140
+#: main.cpp:142
 #, kde-format
 msgid "Andi Fischer"
 msgstr "Andi Fischer"
 
-#: main.cpp:141
+#: main.cpp:143
 #, kde-format
 msgid "Porting work, code cleanup, new features."
 msgstr "Робота з портування, чищення коду, нові можливості."
 
-#: main.cpp:143
+#: main.cpp:145
 #, kde-format
 msgid "Jonathan Riddell"
 msgstr "Jonathan Riddell"
 
-#: main.cpp:144
+#: main.cpp:146
 #, kde-format
 msgid "Current maintainer."
 msgstr "Поточний супровідник."
 
-#: main.cpp:146
+#: main.cpp:148
 #, kde-format
 msgid "Brian Thomas"
 msgstr "Brian Thomas"
 
-#: main.cpp:147
+#: main.cpp:149
 #, kde-format
 msgid "A lot of work for C++ and Java code generation. Codeeditor."
 msgstr "Багато роботи над створенням коду мовами C++ та Java. Редактор коду."
 
-#: main.cpp:152
+#: main.cpp:154
 #, kde-format
 msgid "File to open"
 msgstr "Відкрити файл"
 
-#: main.cpp:153
+#: main.cpp:155
 #, kde-format
 msgid "export diagrams to extension and exit"
 msgstr "експортувати діаграми до розширення і вийти"
 
-#: main.cpp:154
+#: main.cpp:156
 #, kde-format
 msgid "list available export extensions"
 msgstr "показати список доступних додатків експорту"
 
-#: main.cpp:155
+#: main.cpp:157
 #, kde-format
 msgid "the local directory to save the exported diagrams in"
 msgstr "локальний каталог для збереження експортованих діаграм у"
 
-#: main.cpp:155
+#: main.cpp:157
 #, kde-format
 msgid "the directory of the file"
 msgstr "каталог файла"
 
-#: main.cpp:156
+#: main.cpp:158
 #, kde-format
 msgid "import files"
 msgstr "імпортувати файли"
 
-#: main.cpp:157
+#: main.cpp:159
 #, kde-format
 msgid "list supported languages"
 msgstr "показати список підтримуваних мов"
 
-#: main.cpp:158
+#: main.cpp:160
 #, kde-format
 msgid ""
 "keep the tree structure used to store the views in the document in the "
@@ -4313,12 +4313,12 @@ msgstr ""
 "не змінювати ієрархічну структуру, яку використано для збереження переглядів "
 "у документі у каталозі призначення"
 
-#: main.cpp:159
+#: main.cpp:161
 #, kde-format
 msgid "import files from directory <dir>"
 msgstr "імпортувати файли з каталогу <dir>"
 
-#: main.cpp:163
+#: main.cpp:165
 #, kde-format
 msgid "set active language"
 msgstr "встановити активну мову"
@@ -4582,7 +4582,7 @@ msgstr "Приховати панель
 msgid "Import File(s)..."
 msgstr "Імпортувати файли…"
 
-#: menus/listpopupmenu.cpp:201 uml.cpp:356
+#: menus/listpopupmenu.cpp:201 uml.cpp:365
 #, kde-format
 msgid "Import from Directory..."
 msgstr "Імпортувати з каталогу…"
@@ -5082,42 +5082,42 @@ msgctxt "align menu"
 msgid "Align"
 msgstr "Вирівнювання"
 
-#: menus/widgetbasepopupmenu.cpp:598 uml.cpp:573
+#: menus/widgetbasepopupmenu.cpp:598 uml.cpp:582
 #, kde-format
 msgid "Align Right"
 msgstr "Вирівняти по правому краю"
 
-#: menus/widgetbasepopupmenu.cpp:599 uml.cpp:578
+#: menus/widgetbasepopupmenu.cpp:599 uml.cpp:587
 #, kde-format
 msgid "Align Left"
 msgstr "Вирівнювати по лівому краю"
 
-#: menus/widgetbasepopupmenu.cpp:600 uml.cpp:583
+#: menus/widgetbasepopupmenu.cpp:600 uml.cpp:592
 #, kde-format
 msgid "Align Top"
 msgstr "Вирівняти по верхньому краю"
 
-#: menus/widgetbasepopupmenu.cpp:601 uml.cpp:588
+#: menus/widgetbasepopupmenu.cpp:601 uml.cpp:597
 #, kde-format
 msgid "Align Bottom"
 msgstr "Вирівняти по нижньому краю"
 
-#: menus/widgetbasepopupmenu.cpp:603 uml.cpp:593
+#: menus/widgetbasepopupmenu.cpp:603 uml.cpp:602
 #, kde-format
 msgid "Align Vertical Middle"
 msgstr "Вирівняти вертикально по середині"
 
-#: menus/widgetbasepopupmenu.cpp:604 uml.cpp:598
+#: menus/widgetbasepopupmenu.cpp:604 uml.cpp:607
 #, kde-format
 msgid "Align Horizontal Middle"
 msgstr "Вирівняти горизонтально по середині"
 
-#: menus/widgetbasepopupmenu.cpp:605 uml.cpp:603
+#: menus/widgetbasepopupmenu.cpp:605 uml.cpp:612
 #, kde-format
 msgid "Align Vertical Distribute"
 msgstr "Вирівняти з розподіленням вертикально"
 
-#: menus/widgetbasepopupmenu.cpp:606 uml.cpp:608
+#: menus/widgetbasepopupmenu.cpp:606 uml.cpp:617
 #, kde-format
 msgid "Align Horizontal Distribute"
 msgstr "Вирівняти з розподіленням горизонтально"
@@ -5922,8 +5922,8 @@ msgstr "Використання"
 #: object_factory.cpp:251 uml1model/classifier.cpp:410
 #: uml1model/classifier.cpp:781 uml1model/entity.cpp:125
 #: uml1model/entity.cpp:178 uml1model/entity.cpp:228 uml1model/entity.cpp:277
-#: uml1model/enum.cpp:107 uml1model/instance.cpp:124 uml1model/package.cpp:171
-#: umldoc.cpp:1721 umldoc.cpp:1755
+#: uml1model/enum.cpp:107 uml1model/instance.cpp:124 uml1model/package.cpp:177
+#: umldoc.cpp:1723 umldoc.cpp:1757
 #, kde-format
 msgid "That is an invalid name."
 msgstr "Ця назва не є правильною."
@@ -5942,7 +5942,7 @@ msgstr "Зарезервоване кл
 #: object_factory.cpp:264 uml1model/classifier.cpp:413
 #: uml1model/classifier.cpp:783 uml1model/entity.cpp:127
 #: uml1model/entity.cpp:180 uml1model/entity.cpp:230 uml1model/entity.cpp:279
-#: uml1model/instance.cpp:126 umldoc.cpp:1727 umldoc.cpp:1764
+#: uml1model/instance.cpp:126 umldoc.cpp:1729 umldoc.cpp:1766
 #, kde-format
 msgid "That name is already being used."
 msgstr "Цю назву вже було використано."
@@ -5950,8 +5950,8 @@ msgstr "Цю назву вже було
 #: object_factory.cpp:265 uml1model/classifier.cpp:413
 #: uml1model/classifier.cpp:783 uml1model/entity.cpp:127
 #: uml1model/entity.cpp:180 uml1model/entity.cpp:230 uml1model/entity.cpp:279
-#: uml1model/instance.cpp:126 umldoc.cpp:1629 umldoc.cpp:1699 umldoc.cpp:1727
-#: umldoc.cpp:1764
+#: uml1model/instance.cpp:126 umldoc.cpp:1631 umldoc.cpp:1701 umldoc.cpp:1729
+#: umldoc.cpp:1766
 #, kde-format
 msgid "Not a Unique Name"
 msgstr "Назва не є унікальною"
@@ -6012,12 +6012,12 @@ msgstr "Атрибут з такою н
 msgid "Choose a different name."
 msgstr "Оберіть іншу назву."
 
-#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:266
+#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:273
 #, kde-format
 msgid "Incorrect use of associations."
 msgstr "Неправильне використання асоціацій."
 
-#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:266
+#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:273
 #, kde-format
 msgid "Association Error"
 msgstr "Помилка асоціації"
@@ -7188,188 +7188,188 @@ msgstr "Активна &мова"
 msgid "&Settings"
 msgstr "П&араметри"
 
-#: uml.cpp:332
+#: uml.cpp:341
 #, kde-format
 msgid "&Export model to DocBook"
 msgstr "&Експортувати модель до DocBook"
 
-#: uml.cpp:336
+#: uml.cpp:345
 #, kde-format
 msgid "&Export model to XHTML"
 msgstr "&Експортувати модель до XHTML"
 
-#: uml.cpp:340
+#: uml.cpp:349
 #, kde-format
 msgid "&New Class Wizard..."
 msgstr "&Майстер нових класів…"
 
-#: uml.cpp:344
+#: uml.cpp:353
 #, kde-format
 msgid "&Add Default Datatypes for Active Language"
 msgstr "&Додати типові типи даних для активної мови"
 
-#: uml.cpp:351
+#: uml.cpp:360
 #, kde-format
 msgid "Code &Importing Wizard..."
 msgstr "Майстер і&мпортування коду…"
 
-#: uml.cpp:361
+#: uml.cpp:370
 #, kde-format
 msgid "&Code Generation Wizard..."
 msgstr "&Майстер створення коду…"
 
-#: uml.cpp:366
+#: uml.cpp:375
 #, kde-format
 msgid "&Generate All Code"
 msgstr "&Створити весь код"
 
-#: uml.cpp:411
+#: uml.cpp:420
 #, kde-format
 msgid "Creates a new document"
 msgstr "Створює новий документ"
 
-#: uml.cpp:412
+#: uml.cpp:421
 #, kde-format
 msgid "Opens an existing document"
 msgstr "Відкриває існуючий документ"
 
-#: uml.cpp:413
+#: uml.cpp:422
 #, kde-format
 msgid "Opens a recently used file"
 msgstr "Відкриває недавно використаний файл"
 
-#: uml.cpp:414
+#: uml.cpp:423
 #, kde-format
 msgid "Saves the document"
 msgstr "Зберігає документ"
 
-#: uml.cpp:415
+#: uml.cpp:424
 #, kde-format
 msgid "Saves the document as..."
 msgstr "Зберігає документ як…"
 
-#: uml.cpp:416
+#: uml.cpp:425
 #, kde-format
 msgid "Closes the document"
 msgstr "Закриває документ"
 
-#: uml.cpp:417
+#: uml.cpp:426
 #, kde-format
 msgid "Prints out the document"
 msgstr "Друкує документ"
 
-#: uml.cpp:418
+#: uml.cpp:427
 #, kde-format
 msgid "Print Preview of the document"
 msgstr "Попередній перегляд надрукованого документа"
 
-#: uml.cpp:419
+#: uml.cpp:428
 #, kde-format
 msgid "Quits the application"
 msgstr "Закриває програму"
 
-#: uml.cpp:420
+#: uml.cpp:429
 #, kde-format
 msgid "Exports the model to the docbook format"
 msgstr "Експортує модель у формат docbook"
 
-#: uml.cpp:421
+#: uml.cpp:430
 #, kde-format
 msgid "Exports the model to the XHTML format"
 msgstr "Експортує модель у формат XHTML"
 
-#: uml.cpp:422
+#: uml.cpp:431
 #, kde-format
 msgid "Cuts the selected section and puts it to the clipboard"
 msgstr "Вирізає вибране і кладе його у кишеню"
 
-#: uml.cpp:423
+#: uml.cpp:432
 #, kde-format
 msgid "Copies the selected section to the clipboard"
 msgstr "Копіює вибране до кишені"
 
-#: uml.cpp:424
+#: uml.cpp:433
 #, kde-format
 msgid "Pastes the contents of the clipboard"
 msgstr "Вставляє вміст кишені"
 
-#: uml.cpp:425
+#: uml.cpp:434
 #, kde-format
 msgid "Set the default program preferences"
 msgstr "Встановити типові параметри програми"
 
-#: uml.cpp:429
+#: uml.cpp:438
 #, kde-format
 msgctxt "delete selected widget"
 msgid "Delete &Selected"
 msgstr "Вилучити ви&браний"
 
-#: uml.cpp:440
+#: uml.cpp:449
 #, kde-format
 msgid "&Class Diagram..."
 msgstr "Діаграма &класів…"
 
-#: uml.cpp:447
+#: uml.cpp:456
 #, kde-format
 msgid "&Object Diagram..."
 msgstr "Діаграма о&б'єктів…"
 
-#: uml.cpp:454
+#: uml.cpp:463
 #, kde-format
 msgid "&Sequence Diagram..."
 msgstr "Діаграма &послідовностей…"
 
-#: uml.cpp:460
+#: uml.cpp:469
 #, kde-format
 msgid "C&ommunication Diagram..."
 msgstr "Діаграма &обміну даними…"
 
-#: uml.cpp:466
+#: uml.cpp:475
 #, kde-format
 msgid "&Use Case Diagram..."
 msgstr "Діаграма &випадків використання…"
 
-#: uml.cpp:472
+#: uml.cpp:481
 #, kde-format
 msgid "S&tate Diagram..."
 msgstr "Діаграма с&танів…"
 
-#: uml.cpp:478
+#: uml.cpp:487
 #, kde-format
 msgid "&Activity Diagram..."
 msgstr "Діаграма &активності…"
 
-#: uml.cpp:484
+#: uml.cpp:493
 #, kde-format
 msgid "Co&mponent Diagram..."
 msgstr "Діаграма ко&мпонентів…"
 
-#: uml.cpp:490
+#: uml.cpp:499
 #, kde-format
 msgid "&Deployment Diagram..."
 msgstr "Діаграма вп&ровадження…"
 
-#: uml.cpp:496
+#: uml.cpp:505
 #, kde-format
 msgid "&Entity Relationship Diagram..."
 msgstr "Діа&грама взаємозв'язків сутностей…"
 
-#: uml.cpp:501 uml.cpp:954
+#: uml.cpp:510 uml.cpp:963
 #, kde-format
 msgid "&Tree View"
 msgstr "Перегляд &дерева"
 
-#: uml.cpp:505
+#: uml.cpp:514
 #, kde-format
 msgid "&Debugging"
 msgstr "Діа&гностика"
 
-#: uml.cpp:513
+#: uml.cpp:522
 #, kde-format
 msgid "&Logging"
 msgstr "&Журналювання"
 
-#: uml.cpp:517
+#: uml.cpp:526
 #, kde-format
 msgid "&Command history"
 msgstr "&Журнал команд"
@@ -7378,135 +7378,135 @@ msgstr "&Журнал команд"
 #. m_propertyDock->setObjectName(QLatin1String("PropertyDock"));
 #. addDockWidget(Qt::LeftDockWidgetArea, m_propertyDock);  //:TODO:
 #. create the bird's eye view
-#: uml.cpp:521 uml.cpp:1011
+#: uml.cpp:530 uml.cpp:1020
 #, kde-format
 msgid "&Bird's eye view"
 msgstr "&Загальний перегляд"
 
-#: uml.cpp:526
+#: uml.cpp:535
 #, kde-format
 msgid "&Clear Diagram"
 msgstr "О&чистити діаграму"
 
-#: uml.cpp:530
+#: uml.cpp:539
 #, kde-format
 msgid "&Snap to Grid"
 msgstr "Чіплятися до &ґратки"
 
-#: uml.cpp:534
+#: uml.cpp:543
 #, kde-format
 msgid "S&how Grid"
 msgstr "&Показувати ґратку"
 
-#: uml.cpp:539
+#: uml.cpp:548
 #, kde-format
 msgid "&Delete Diagram"
 msgstr "Ви&лучити діаграму"
 
-#: uml.cpp:544
+#: uml.cpp:553
 #, kde-format
 msgid "&Export as Picture..."
 msgstr "&Експортувати як зображення…"
 
-#: uml.cpp:549
+#: uml.cpp:558
 #, kde-format
 msgid "Export &Diagrams as Pictures..."
 msgstr "Експортувати &діаграми як зображення…"
 
-#: uml.cpp:569
+#: uml.cpp:578
 #, kde-format
 msgid "Z&oom to 100%"
 msgstr "Мас&штабувати до 100%"
 
-#: uml.cpp:612
+#: uml.cpp:621
 #, kde-format
 msgid "&Move Tab Left"
 msgstr "Пере&сунути вкладку ліворуч"
 
-#: uml.cpp:613
+#: uml.cpp:622
 #, kde-format
 msgid "&Move Tab Right"
 msgstr "Пере&сунути вкладку праворуч"
 
-#: uml.cpp:636
+#: uml.cpp:645
 #, kde-format
 msgid "Select Diagram on Left"
 msgstr "Діаграма вибору ліворуч"
 
-#: uml.cpp:637
+#: uml.cpp:646
 #, kde-format
 msgid "Select Diagram on Right"
 msgstr "Діаграма вибору праворуч"
 
-#: uml.cpp:776
+#: uml.cpp:785
 #, kde-format
 msgctxt "%1 percent value from 20 to 500"
 msgid " &%1%"
 msgstr " &%1%"
 
-#: uml.cpp:826
+#: uml.cpp:835
 #, kde-format
 msgctxt "init status bar"
 msgid "Ready"
 msgstr "Готово"
 
-#: uml.cpp:835 uml.cpp:848
+#: uml.cpp:844 uml.cpp:857
 #, kde-format
 msgid "100%"
 msgstr "100%"
 
-#: uml.cpp:840
+#: uml.cpp:849
 #, kde-format
 msgid "Fit"
 msgstr "Оптимально"
 
-#: uml.cpp:899
+#: uml.cpp:908
 #, kde-format
 msgid "Diagram Toolbar"
 msgstr "Пенал діаграм"
 
-#: uml.cpp:965
+#: uml.cpp:974
 #, kde-format
 msgid "Doc&umentation"
 msgstr "Док&ументація"
 
-#: uml.cpp:976
+#: uml.cpp:985
 #, kde-format
 msgid "Co&mmand history"
 msgstr "Журнал ко&манд"
 
-#: uml.cpp:992
+#: uml.cpp:1001
 #, kde-format
 msgid "&Debug"
 msgstr "Діа&гностика"
 
-#: uml.cpp:999
+#: uml.cpp:1008
 #, kde-format
 msgid "&Log"
 msgstr "&Журнал"
 
-#: uml.cpp:1041 uml.cpp:1258 uml.cpp:1307
+#: uml.cpp:1050 uml.cpp:1267 uml.cpp:1316
 #, kde-format
 msgid "Opening file..."
 msgstr "Відкривається файл…"
 
-#: uml.cpp:1092 uml.cpp:1157 uml.cpp:1342 umldoc.cpp:342 umldoc.cpp:344
-#: umldoc.cpp:368 umldoc.cpp:3396
+#: uml.cpp:1101 uml.cpp:1166 uml.cpp:1351 umldoc.cpp:343 umldoc.cpp:345
+#: umldoc.cpp:369 umldoc.cpp:3405
 #, kde-format
 msgid "Untitled"
 msgstr "Без назви"
 
-#: uml.cpp:1240
+#: uml.cpp:1249
 #, kde-format
 msgid "Creating new document..."
 msgstr "Створення нового документа…"
 
-#: uml.cpp:1266 uml.cpp:1281
+#: uml.cpp:1275 uml.cpp:1290
 #, kde-format
 msgid "Open File"
 msgstr "Відкрити файл"
 
-#: uml.cpp:1270
+#: uml.cpp:1279
 #, kde-format
 msgid ""
 "*.xmi *.xmi.tgz *.xmi.tar.bz2 *.mdl *.zargo|All Supported Files (*.xmi, *."
@@ -7525,22 +7525,22 @@ msgstr ""
 "*.mdl|файли моделей Rose (*.mdl)\n"
 "*.zargo|стиснені файли argo (*.zargo)\n"
 
-#: uml.cpp:1341
+#: uml.cpp:1350
 #, kde-format
 msgid "Saving file..."
 msgstr "Збереження файла…"
 
-#: uml.cpp:1358
+#: uml.cpp:1367
 #, kde-format
 msgid "Saving file with a new filename..."
 msgstr "Файл зберігається з новою назвою…"
 
-#: uml.cpp:1368 uml.cpp:1374 umlviewimageexporter.cpp:199
+#: uml.cpp:1377 uml.cpp:1383 umlviewimageexporter.cpp:199
 #, kde-format
 msgid "Save As"
 msgstr "Зберегти як"
 
-#: uml.cpp:1369
+#: uml.cpp:1378
 #, kde-format
 msgid ""
 "*.xmi | XMI File (*.xmi);;*.xmi.tgz | Gzip Compressed XMI File (*.xmi.tgz);;"
@@ -7549,7 +7549,7 @@ msgstr ""
 "*.xmi | файл XMI (*.xmi);;*.xmi.tgz | стиснений Gzip файл XMI (*.xmi.tgz);;*."
 "xmi.tar.bz2 | стиснений Bzip2 файл XMI (*.xmi.tar.bz2);;* | усі файли (*)"
 
-#: uml.cpp:1374
+#: uml.cpp:1383
 #, kde-format
 msgid ""
 "*.xmi|XMI File\n"
@@ -7562,7 +7562,7 @@ msgstr ""
 "*.xmi.tar.bz2|Bzip2-стиснутий файл XMI\n"
 "*|усі файли"
 
-#: uml.cpp:1387
+#: uml.cpp:1396
 #, kde-format
 msgid ""
 "The file %1 exists.\n"
@@ -7571,67 +7571,67 @@ msgstr ""
 "Файл %1 існує.\n"
 "Хочете його перезаписати?"
 
-#: uml.cpp:1388
+#: uml.cpp:1397
 #, kde-format
 msgid "Warning"
 msgstr "Попередження"
 
-#: uml.cpp:1388
+#: uml.cpp:1397
 #, kde-format
 msgid "Overwrite"
 msgstr "Перезаписати"
 
-#: uml.cpp:1422
+#: uml.cpp:1431
 #, kde-format
 msgid "Closing file..."
 msgstr "Закриття файла…"
 
-#: uml.cpp:1432
+#: uml.cpp:1441
 #, kde-format
 msgid "No search term entered"
 msgstr "Не вказано ключа пошуку"
 
-#: uml.cpp:1438
+#: uml.cpp:1447
 #, kde-format
 msgid "'%1': %2 found"
 msgstr "«%1»: знайдено %2"
 
-#: uml.cpp:1502
+#: uml.cpp:1511
 #, kde-format
 msgid "Print Preview..."
 msgstr "Перегляд друку…"
 
-#: uml.cpp:1529
+#: uml.cpp:1538
 #, kde-format
 msgid "Printing..."
 msgstr "Друк…"
 
-#: uml.cpp:1536 uml.cpp:1540
+#: uml.cpp:1545 uml.cpp:1549
 #, kde-format
 msgid "Print %1"
 msgstr "Друкувати %1"
 
-#: uml.cpp:1560
+#: uml.cpp:1569
 #, kde-format
 msgid "Exiting..."
 msgstr "Вихід…"
 
-#: uml.cpp:1647
+#: uml.cpp:1656
 #, kde-format
 msgid "Cutting selection..."
 msgstr "Вирізання вибраного…"
 
-#: uml.cpp:1670
+#: uml.cpp:1679
 #, kde-format
 msgid "Copying selection to clipboard..."
 msgstr "Копіювання вибраного в кишеню…"
 
-#: uml.cpp:1682
+#: uml.cpp:1691
 #, kde-format
 msgid "Inserting clipboard contents..."
 msgstr "Вставлення вмісту кишені…"
 
-#: uml.cpp:1687
+#: uml.cpp:1696
 #, kde-format
 msgid ""
 "Umbrello could not paste the clipboard contents.  The objects in the "
@@ -7640,38 +7640,38 @@ msgstr ""
 "Програма Umbrello не змогла вставити вміст кишені. Можливо, об'єкти в кишені "
 "мають невідповідний формат, і їх не можна тут вставити."
 
-#: uml.cpp:1713 umlviewimageexporter.cpp:92 umlviewimageexporterall.cpp:123
+#: uml.cpp:1722 umlviewimageexporter.cpp:92 umlviewimageexporterall.cpp:123
 #, kde-format
 msgctxt "reset status bar"
 msgid "Ready."
 msgstr "Готово."
 
-#: uml.cpp:2246
+#: uml.cpp:2255
 #, kde-format
 msgid "Cannot view code until you generate some first."
 msgstr "Для перегляд коду його потрібно спочатку створити."
 
-#: uml.cpp:2246 uml.cpp:2249
+#: uml.cpp:2255 uml.cpp:2258
 #, kde-format
 msgid "Cannot View Code"
 msgstr "Помилка перегляду коду"
 
-#: uml.cpp:2249
+#: uml.cpp:2258
 #, kde-format
 msgid "Cannot view code from simple code writer."
 msgstr "Переглянути код з простого записувача коду неможливо."
 
-#: uml.cpp:2714 uml.cpp:2716
+#: uml.cpp:2728 uml.cpp:2730
 #, kde-format
 msgid "Select file(s) to import:"
 msgstr "Виберіть файли для імпортування:"
 
-#: uml.cpp:2747 uml.cpp:2749
+#: uml.cpp:2761 uml.cpp:2763
 #, kde-format
 msgid "Select directory to import:"
 msgstr "Виберіть каталог для імпортування:"
 
-#: uml.cpp:3313
+#: uml.cpp:3335
 #, kde-format
 msgid "XHTML Generation failed ."
 msgstr "Створення XHTML зазнало невдачі ."
@@ -7685,20 +7685,20 @@ msgstr ""
 "Операція з такою ж назвою і підписом вже існує. Ви не можете додати її ще "
 "раз."
 
-#: uml1model/folder.cpp:435
+#: uml1model/folder.cpp:436
 #, kde-format
 msgid "The folderfile %1 does not exist."
 msgstr "Файл теки %1 не існує."
 
-#: uml1model/folder.cpp:435 uml1model/folder.cpp:439 umldoc.cpp:529
-#: umldoc.cpp:541 umldoc.cpp:568 umldoc.cpp:570 umldoc.cpp:620 umldoc.cpp:623
-#: umldoc.cpp:638 umldoc.cpp:641 umldoc.cpp:665 umldoc.cpp:668 umldoc.cpp:684
-#: umldoc.cpp:687 umldoc.cpp:702 umldoc.cpp:705 umldoc.cpp:750
+#: uml1model/folder.cpp:436 uml1model/folder.cpp:440 umldoc.cpp:530
+#: umldoc.cpp:542 umldoc.cpp:569 umldoc.cpp:571 umldoc.cpp:621 umldoc.cpp:624
+#: umldoc.cpp:639 umldoc.cpp:642 umldoc.cpp:666 umldoc.cpp:669 umldoc.cpp:685
+#: umldoc.cpp:688 umldoc.cpp:703 umldoc.cpp:706 umldoc.cpp:751
 #, kde-format
 msgid "Load Error"
 msgstr "Помилка завантаження"
 
-#: uml1model/folder.cpp:439
+#: uml1model/folder.cpp:440
 #, kde-format
 msgid "The folderfile %1 cannot be opened."
 msgstr "Файл теки %1 неможливо відкрити."
@@ -7708,13 +7708,13 @@ msgstr "Файл теки %1 немож
 msgid "new_parameter"
 msgstr "new_parameter"
 
-#: uml1model/package.cpp:163
+#: uml1model/package.cpp:169
 #, kde-format
 msgctxt "object name"
 msgid "Name"
 msgstr "Назва"
 
-#: uml1model/package.cpp:164
+#: uml1model/package.cpp:170
 #, kde-format
 msgid ""
 "An object with the name %1\n"
@@ -7740,77 +7740,77 @@ msgstr "new_field"
 msgid "new_fkey_constraint"
 msgstr "new_fkey_constraint"
 
-#: uml1model/umlobject.cpp:1140
+#: uml1model/umlobject.cpp:1141
 #, kde-format
 msgid "Actor &name:"
 msgstr "Назва &актора:"
 
-#: uml1model/umlobject.cpp:1143
+#: uml1model/umlobject.cpp:1144
 #, kde-format
 msgid "Artifact &name:"
 msgstr "&Назва артефакту:"
 
-#: uml1model/umlobject.cpp:1146
+#: uml1model/umlobject.cpp:1147
 #, kde-format
 msgid "Association &name:"
 msgstr "&Назва асоціації:"
 
-#: uml1model/umlobject.cpp:1149
+#: uml1model/umlobject.cpp:1150
 #, kde-format
 msgid "Class &name:"
 msgstr "&Назва класу:"
 
-#: uml1model/umlobject.cpp:1152
+#: uml1model/umlobject.cpp:1153
 #, kde-format
 msgid "Component &name:"
 msgstr "&Назва компонента:"
 
-#: uml1model/umlobject.cpp:1155
+#: uml1model/umlobject.cpp:1156
 #, kde-format
 msgid "Datatype &name:"
 msgstr "&Назва типу даних:"
 
-#: uml1model/umlobject.cpp:1158
+#: uml1model/umlobject.cpp:1159
 #, kde-format
 msgid "Entity &name:"
 msgstr "&Назва сутності:"
 
-#: uml1model/umlobject.cpp:1161
+#: uml1model/umlobject.cpp:1162
 #, kde-format
 msgid "Enum &name:"
 msgstr "&Назва переліку:"
 
-#: uml1model/umlobject.cpp:1164
+#: uml1model/umlobject.cpp:1165
 #, kde-format
 msgid "Folder &name:"
 msgstr "&Назва теки:"
 
-#: uml1model/umlobject.cpp:1167
+#: uml1model/umlobject.cpp:1168
 #, kde-format
 msgid "Interface &name:"
 msgstr "&Назва інтерфейсу:"
 
-#: uml1model/umlobject.cpp:1170
+#: uml1model/umlobject.cpp:1171
 #, kde-format
 msgid "Node &name:"
 msgstr "&Назва вузла:"
 
-#: uml1model/umlobject.cpp:1173
+#: uml1model/umlobject.cpp:1174
 #, kde-format
 msgid "Package &name:"
 msgstr "&Назва пакунка:"
 
-#: uml1model/umlobject.cpp:1176
+#: uml1model/umlobject.cpp:1177
 #, kde-format
 msgid "Port &name:"
 msgstr "Назва &порту:"
 
-#: uml1model/umlobject.cpp:1182
+#: uml1model/umlobject.cpp:1183
 #, kde-format
 msgid "Use case &name:"
 msgstr "&Назва випадку використання:"
 
-#: uml1model/umlobject.cpp:1185
+#: uml1model/umlobject.cpp:1186
 #, kde-format
 msgid "Instance name:"
 msgstr "Назва екземпляра:"
@@ -7830,42 +7830,42 @@ msgstr "С&тереотипи"
 msgid "Welcome"
 msgstr "Вітаємо"
 
-#: umldoc.cpp:112 umldoc.cpp:2400 umldoc.cpp:2428
+#: umldoc.cpp:113 umldoc.cpp:2405 umldoc.cpp:2433
 #, kde-format
 msgid "UML Model"
 msgstr "UML-модель"
 
-#: umldoc.cpp:154
+#: umldoc.cpp:155
 #, kde-format
 msgid "Logical View"
 msgstr "Логічний перегляд"
 
-#: umldoc.cpp:155
+#: umldoc.cpp:156
 #, kde-format
 msgid "Use Case View"
 msgstr "Перегляд випадків використання"
 
-#: umldoc.cpp:156
+#: umldoc.cpp:157
 #, kde-format
 msgid "Component View"
 msgstr "Перегляд компонентів"
 
-#: umldoc.cpp:157
+#: umldoc.cpp:158
 #, kde-format
 msgid "Deployment View"
 msgstr "Перегляд впровадження"
 
-#: umldoc.cpp:158
+#: umldoc.cpp:159
 #, kde-format
 msgid "Entity Relationship Model"
 msgstr "Модель взаємозв'язків сутностей"
 
-#: umldoc.cpp:184
+#: umldoc.cpp:185
 #, kde-format
 msgid "Datatypes"
 msgstr "Типи даних"
 
-#: umldoc.cpp:363
+#: umldoc.cpp:364
 #, kde-format
 msgid ""
 "The current file has been modified.\n"
@@ -7874,166 +7874,166 @@ msgstr ""
 "Поточний файл було змінено.\n"
 "Хочете зберегти?"
 
-#: umldoc.cpp:364
+#: umldoc.cpp:365
 #, kde-format
 msgctxt "warning message"
 msgid "Warning"
 msgstr "Попередження"
 
-#: umldoc.cpp:529
+#: umldoc.cpp:530
 #, kde-format
 msgid "The file <%1> does not exist."
 msgstr "Файла <%1> не існує."
 
-#: umldoc.cpp:541
+#: umldoc.cpp:542
 #, kde-format
 msgid "The file %1 does not exist."
 msgstr "Файл %1 не існує."
 
-#: umldoc.cpp:568 umldoc.cpp:570
+#: umldoc.cpp:569 umldoc.cpp:571
 #, kde-format
 msgid "The file %1 seems to be corrupted."
 msgstr "Схоже, файл %1 пошкоджено."
 
-#: umldoc.cpp:619 umldoc.cpp:622 umldoc.cpp:637 umldoc.cpp:640 umldoc.cpp:683
-#: umldoc.cpp:686
+#: umldoc.cpp:620 umldoc.cpp:623 umldoc.cpp:638 umldoc.cpp:641 umldoc.cpp:684
+#: umldoc.cpp:687
 #, kde-format
 msgid "There was no XMI file found in the compressed file %1."
 msgstr "Не знайдено файла XMI в стисненому файлі %1."
 
-#: umldoc.cpp:664 umldoc.cpp:667
+#: umldoc.cpp:665 umldoc.cpp:668
 #, kde-format
 msgid "There was a problem loading the extracted file: %1"
 msgstr "Помилка завантаження розпакованого файла: %1"
 
-#: umldoc.cpp:701 umldoc.cpp:704 umldoc.cpp:744 umldoc.cpp:746
+#: umldoc.cpp:702 umldoc.cpp:705 umldoc.cpp:745 umldoc.cpp:747
 #, kde-format
 msgid "There was a problem loading file: %1"
 msgstr "Помилка завантаження файла: %1"
 
-#: umldoc.cpp:749
+#: umldoc.cpp:750
 #, kde-format
 msgid "Reason: %1"
 msgstr "Причина: %1"
 
-#: umldoc.cpp:832 umldoc.cpp:834 umldoc.cpp:851 umldoc.cpp:853 umldoc.cpp:873
-#: umldoc.cpp:875 umldoc.cpp:924 umldoc.cpp:926 umldoc.cpp:966 umldoc.cpp:969
-#: umldoc.cpp:978 umldoc.cpp:980 umllistview.cpp:593
+#: umldoc.cpp:833 umldoc.cpp:835 umldoc.cpp:852 umldoc.cpp:854 umldoc.cpp:874
+#: umldoc.cpp:876 umldoc.cpp:925 umldoc.cpp:927 umldoc.cpp:968 umldoc.cpp:971
+#: umldoc.cpp:980 umldoc.cpp:982 umllistview.cpp:594
 #, kde-format
 msgid "Save Error"
 msgstr "Помилка збереження"
 
-#: umldoc.cpp:832 umldoc.cpp:851 umldoc.cpp:873 umldoc.cpp:924 umldoc.cpp:966
+#: umldoc.cpp:833 umldoc.cpp:852 umldoc.cpp:874 umldoc.cpp:925 umldoc.cpp:968
 #, kde-format
 msgid "There was a problem saving: %1"
 msgstr "Під час спроби збереження виникла проблема: %1"
 
-#: umldoc.cpp:834 umldoc.cpp:853 umldoc.cpp:875 umldoc.cpp:926 umldoc.cpp:969
-#: umllistview.cpp:592 umlviewimageexportermodel.cpp:303
+#: umldoc.cpp:835 umldoc.cpp:854 umldoc.cpp:876 umldoc.cpp:927 umldoc.cpp:971
+#: umllistview.cpp:593 umlviewimageexportermodel.cpp:303
 #, kde-format
 msgid "There was a problem saving file: %1"
 msgstr "Помилка збереження файла: %1"
 
-#: umldoc.cpp:978
+#: umldoc.cpp:980
 #, kde-format
 msgid "There was a problem uploading: %1"
 msgstr "Під час вивантаження виникла проблема: %1"
 
-#: umldoc.cpp:980
+#: umldoc.cpp:982
 #, kde-format
 msgid "There was a problem uploading file: %1"
 msgstr "Трапилась помилка під час вивантаження файла: %1"
 
-#: umldoc.cpp:1526
+#: umldoc.cpp:1528
 #, kde-format
 msgid "use case diagram"
 msgstr "Діаграма випадків використання"
 
-#: umldoc.cpp:1529
+#: umldoc.cpp:1531
 #, kde-format
 msgid "class diagram"
 msgstr "діаграма класів"
 
-#: umldoc.cpp:1532
+#: umldoc.cpp:1534
 #, kde-format
 msgid "sequence diagram"
 msgstr "діаграма послідовності"
 
-#: umldoc.cpp:1535
+#: umldoc.cpp:1537
 #, kde-format
 msgid "communication diagram"
 msgstr "діаграма обміну даними"
 
-#: umldoc.cpp:1538
+#: umldoc.cpp:1540
 #, kde-format
 msgid "object diagram"
 msgstr "діаграма об'єктів"
 
-#: umldoc.cpp:1541
+#: umldoc.cpp:1543
 #, kde-format
 msgid "state diagram"
 msgstr "діаграма станів"
 
-#: umldoc.cpp:1544
+#: umldoc.cpp:1546
 #, kde-format
 msgid "activity diagram"
 msgstr "діаграма діяльності"
 
-#: umldoc.cpp:1547
+#: umldoc.cpp:1549
 #, kde-format
 msgid "component diagram"
 msgstr "діаграма компонентів"
 
-#: umldoc.cpp:1550
+#: umldoc.cpp:1552
 #, kde-format
 msgid "deployment diagram"
 msgstr "діаграма впровадження"
 
-#: umldoc.cpp:1553
+#: umldoc.cpp:1555
 #, kde-format
 msgid "entity relationship diagram"
 msgstr "Діаграма взаємозв'язків сутностей"
 
-#: umldoc.cpp:1623
+#: umldoc.cpp:1625
 #, kde-format
 msgctxt "diagram name"
 msgid "Name"
 msgstr "Назва"
 
-#: umldoc.cpp:1623 umldoc.cpp:1686 umldoc.cpp:1715 umldoc.cpp:1749
+#: umldoc.cpp:1625 umldoc.cpp:1688 umldoc.cpp:1717 umldoc.cpp:1751
 #, kde-format
 msgid "Enter name:"
 msgstr "Введіть назву:"
 
-#: umldoc.cpp:1627 umldoc.cpp:1692
+#: umldoc.cpp:1629 umldoc.cpp:1694
 #, kde-format
 msgid "That is an invalid name for a diagram."
 msgstr "Ця назва діаграми не є коректною."
 
-#: umldoc.cpp:1629 umldoc.cpp:1699
+#: umldoc.cpp:1631 umldoc.cpp:1701
 #, kde-format
 msgid "A diagram is already using that name."
 msgstr "Вже існує діаграма з такою назвою."
 
-#: umldoc.cpp:1685
+#: umldoc.cpp:1687
 #, kde-format
 msgctxt "renaming diagram"
 msgid "Name"
 msgstr "Назва"
 
-#: umldoc.cpp:1714
+#: umldoc.cpp:1716
 #, kde-format
 msgctxt "renaming uml object"
 msgid "Name"
 msgstr "Назва"
 
-#: umldoc.cpp:1748
+#: umldoc.cpp:1750
 #, kde-format
 msgctxt "renaming child uml object"
 msgid "Name"
 msgstr "Назва"
 
-#: umldoc.cpp:1758
+#: umldoc.cpp:1760
 #, kde-format
 msgid ""
 "The name you entered was not unique.\n"
@@ -8042,62 +8042,62 @@ msgstr ""
 "Назва, яку ви ввели, не є унікальною.\n"
 "Ви бажали саме цього?"
 
-#: umldoc.cpp:1759
+#: umldoc.cpp:1761
 #, kde-format
 msgid "Use Name"
 msgstr "Використовувати назву"
 
-#: umldoc.cpp:1759
+#: umldoc.cpp:1761
 #, kde-format
 msgid "Enter New Name"
 msgstr "Введіть нову назву"
 
-#: umldoc.cpp:2361
+#: umldoc.cpp:2366
 #, kde-format
 msgid "Unsupported xmi file version: %1"
 msgstr "Непідтримувана версія файла XMI: %1"
 
-#: umldoc.cpp:2511
+#: umldoc.cpp:2516
 #, kde-format
 msgid "Setting up the document..."
 msgstr "Побудова документа…"
 
-#: umldoc.cpp:2540
+#: umldoc.cpp:2545
 #, kde-format
 msgid "Resolving object references..."
 msgstr "Розбирання посилань на об'єкти…"
 
-#: umldoc.cpp:2648
+#: umldoc.cpp:2653
 #, kde-format
 msgid "Loading UML elements..."
 msgstr "Завантаження елементів UML…"
 
-#: umldoc.cpp:2892
+#: umldoc.cpp:2899
 #, kde-format
 msgid "Loading diagrams..."
 msgstr "Завантаження діаграм…"
 
-#: umldoc.cpp:3400
+#: umldoc.cpp:3409
 #, kde-format
 msgid "/autosave%1"
 msgstr "/автозбереження%1"
 
-#: umllistview.cpp:536 umllistview.cpp:540
+#: umllistview.cpp:537 umllistview.cpp:541
 #, kde-format
 msgid "Externalize Folder"
 msgstr "До зовнішньої теки"
 
-#: umllistview.cpp:574
+#: umllistview.cpp:575
 #, kde-format
 msgid "Folder %1 must be relative to the main model directory, %2."
 msgstr "Теку %1 слід вказати відносно основного каталогу моделі, %2."
 
-#: umllistview.cpp:575
+#: umllistview.cpp:576
 #, kde-format
 msgid "Path Error"
 msgstr "Помилковий шлях"
 
-#: umllistview.cpp:583
+#: umllistview.cpp:584
 #, kde-format
 msgid ""
 "File %1 already exists!\n"
@@ -8106,62 +8106,62 @@ msgstr ""
 "Файл з назвою %1 вже існує!\n"
 "Цей файл буде перезаписано."
 
-#: umllistview.cpp:584
+#: umllistview.cpp:585
 #, kde-format
 msgid "File Exist"
 msgstr "Файл вже існує"
 
-#: umllistview.cpp:624
+#: umllistview.cpp:625
 #, kde-format
 msgid "Enter Model Name"
 msgstr "Введіть назву моделі"
 
-#: umllistview.cpp:625
+#: umllistview.cpp:626
 #, kde-format
 msgid "Enter the new name of the model:"
 msgstr "Введіть нову назву моделі:"
 
-#: umllistview.cpp:1422
+#: umllistview.cpp:1430
 #, kde-format
 msgid "Views"
 msgstr "Перегляди"
 
-#: umllistview.cpp:1441
+#: umllistview.cpp:1449
 #, kde-format
 msgid "Settings"
 msgstr "Параметри"
 
-#: umllistview.cpp:2413
+#: umllistview.cpp:2421
 #, kde-format
 msgid "Loading listview..."
 msgstr "Завантаження списку…"
 
-#: umllistview.cpp:2764
+#: umllistview.cpp:2772
 #, kde-format
 msgid "The class must be emptied before it can be deleted."
 msgstr "Слід спорожнити клас, перш ніж вилучати його."
 
-#: umllistview.cpp:2765
+#: umllistview.cpp:2773
 #, kde-format
 msgid "Class Not Empty"
 msgstr "Клас не є порожнім"
 
-#: umllistview.cpp:2769
+#: umllistview.cpp:2777
 #, kde-format
 msgid "The package must be emptied before it can be deleted."
 msgstr "Слід спорожнити пакунок, перш ніж вилучати його."
 
-#: umllistview.cpp:2770
+#: umllistview.cpp:2778
 #, kde-format
 msgid "Package Not Empty"
 msgstr "Пакунок не є порожнім"
 
-#: umllistview.cpp:2774
+#: umllistview.cpp:2782
 #, kde-format
 msgid "The folder must be emptied before it can be deleted."
 msgstr "Слід спорожнити теку, перш ніж вилучати її."
 
-#: umllistview.cpp:2775
+#: umllistview.cpp:2783
 #, kde-format
 msgid "Folder Not Empty"
 msgstr "Тека не порожня"
diff -pruN 4:20.08.3-1/po/zh_CN/umbrello_kdevphp5.po 4:20.12.0-0ubuntu1/po/zh_CN/umbrello_kdevphp5.po
--- 4:20.08.3-1/po/zh_CN/umbrello_kdevphp5.po	2020-11-03 00:42:17.000000000 +0000
+++ 4:20.12.0-0ubuntu1/po/zh_CN/umbrello_kdevphp5.po	2020-12-04 00:21:32.000000000 +0000
@@ -8,7 +8,7 @@ msgstr ""
 "Project-Id-Version: kdeorg\n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
 "POT-Creation-Date: 2019-11-25 03:12+0100\n"
-"PO-Revision-Date: 2020-10-08 19:23\n"
+"PO-Revision-Date: 2020-11-10 15:04\n"
 "Last-Translator: \n"
 "Language-Team: Chinese Simplified\n"
 "Language: zh_CN\n"
diff -pruN 4:20.08.3-1/po/zh_CN/umbrello_kdevphp.po 4:20.12.0-0ubuntu1/po/zh_CN/umbrello_kdevphp.po
--- 4:20.08.3-1/po/zh_CN/umbrello_kdevphp.po	2020-11-03 00:42:17.000000000 +0000
+++ 4:20.12.0-0ubuntu1/po/zh_CN/umbrello_kdevphp.po	2020-12-04 00:21:32.000000000 +0000
@@ -8,7 +8,7 @@ msgstr ""
 "Project-Id-Version: kdeorg\n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
 "POT-Creation-Date: 2019-05-20 03:12+0200\n"
-"PO-Revision-Date: 2020-10-08 19:23\n"
+"PO-Revision-Date: 2020-11-10 15:04\n"
 "Last-Translator: \n"
 "Language-Team: Chinese Simplified\n"
 "Language: zh_CN\n"
diff -pruN 4:20.08.3-1/po/zh_CN/umbrello.po 4:20.12.0-0ubuntu1/po/zh_CN/umbrello.po
--- 4:20.08.3-1/po/zh_CN/umbrello.po	2020-11-03 00:42:17.000000000 +0000
+++ 4:20.12.0-0ubuntu1/po/zh_CN/umbrello.po	2020-12-04 00:21:32.000000000 +0000
@@ -9,8 +9,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: kdeorg\n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
-"POT-Creation-Date: 2020-08-14 08:09+0200\n"
-"PO-Revision-Date: 2020-10-08 19:23\n"
+"POT-Creation-Date: 2020-11-06 02:36+0100\n"
+"PO-Revision-Date: 2020-11-10 15:04\n"
 "Last-Translator: \n"
 "Language-Team: Chinese Simplified\n"
 "Language: zh_CN\n"
@@ -214,7 +214,7 @@ msgstr ""
 "至少有一个剪贴板内的项目无法被粘贴，因为里面有已经存在的同名项目。其它项目已"
 "粘贴完成。"
 
-#: clipboard/umlclipboard.cpp:753 uml.cpp:1689
+#: clipboard/umlclipboard.cpp:753 uml.cpp:1698
 #, kde-format
 msgid "Paste Error"
 msgstr "粘贴出错"
@@ -438,7 +438,7 @@ msgstr "<p align=\"center\">C++ 代码
 #. i18n: ectx: attribute (title), widget (QWidget, ui_tabGeneral)
 #: codegenerators/cpp/cppcodegenerationformbase.ui:51
 #: codegenwizard/codegenoptionspage.ui:39 dialogs/objectnodedialog.cpp:135
-#: umllistview.cpp:1451
+#: umllistview.cpp:1459
 #, kde-format
 msgid "General"
 msgstr "常规"
@@ -1305,7 +1305,7 @@ msgstr "状态"
 #. i18n: ectx: property (text), widget (QRadioButton, ui_categoryClass)
 #. i18n: ectx: property (text), widget (QTableWidget, ui_tableWidgetStatus)
 #: codegenwizard/codegenstatuspage.ui:40 codeimpwizard/codeimpstatuspage.ui:54
-#: dialogs/finddialog.ui:89 umllistview.cpp:1446 umlwidgets/widgetbase.cpp:1255
+#: dialogs/finddialog.ui:89 umllistview.cpp:1454 umlwidgets/widgetbase.cpp:1255
 #, kde-format
 msgid "Class"
 msgstr "类"
@@ -1958,17 +1958,17 @@ msgstr "启用“删除关联”相关
 msgid "Enable 'delete diagram' related messages"
 msgstr "启用“删除关系图”相关消息"
 
-#: dialogs/dialog_utils.cpp:117
+#: dialogs/dialog_utils.cpp:118
 #, kde-format
 msgid "You are about to delete an association. Do you really want to continue?"
 msgstr "您将要删除一个关联。您真的要继续吗？"
 
-#: dialogs/dialog_utils.cpp:118
+#: dialogs/dialog_utils.cpp:119
 #, kde-format
 msgid "Delete Association"
 msgstr "删除关联"
 
-#: dialogs/dialog_utils.cpp:132
+#: dialogs/dialog_utils.cpp:133
 #, kde-format
 msgid ""
 "You are about to delete the entire diagram.\n"
@@ -1977,17 +1977,17 @@ msgstr ""
 "将要删除整个图表。\n"
 "您确认吗？"
 
-#: dialogs/dialog_utils.cpp:133
+#: dialogs/dialog_utils.cpp:134
 #, kde-format
 msgid "Are you sure you want to delete diagram %1?"
 msgstr "确认要删除图表 %1 吗？"
 
-#: dialogs/dialog_utils.cpp:138
+#: dialogs/dialog_utils.cpp:139
 #, kde-format
 msgid "Delete Diagram?"
 msgstr "删除图表？"
 
-#: dialogs/dialog_utils.cpp:139 dialogs/pages/classifierlistpage.cpp:215
+#: dialogs/dialog_utils.cpp:140 dialogs/pages/classifierlistpage.cpp:215
 #: dialogs/pages/classifierlistpage.cpp:223
 #: dialogs/umlforeignkeyconstraintdialog.cpp:325
 #: dialogs/umlforeignkeyconstraintdialog.cpp:331
@@ -2147,7 +2147,7 @@ msgstr "常规"
 #. i18n: ectx: label, entry (uiFont), group (UI Options)
 #. i18n: ectx: label, entry (codeViewerFont), group (Code Viewer Options)
 #: dialogs/multipagedialogbase.cpp:405 umbrello.kcfg:177 umbrello.kcfg:292
-#: umllistview.cpp:1450
+#: umllistview.cpp:1458
 #, kde-format
 msgid "Font"
 msgstr "字体"
@@ -2575,7 +2575,7 @@ msgstr "新建实例属性(&E)..."
 
 #: dialogs/pages/classifierlistpage.cpp:217
 #: dialogs/pages/classifierlistpage.cpp:225 dialogs/umloperationdialog.cpp:167
-#: dialogs/umloperationdialog.cpp:175 uml.cpp:554
+#: dialogs/umloperationdialog.cpp:175 uml.cpp:563
 #, kde-format
 msgid "&Properties"
 msgstr "属性(&P)"
@@ -2593,7 +2593,7 @@ msgid "Source Code"
 msgstr "源代码"
 
 #: dialogs/pages/classoptionspage.cpp:157
-#: dialogs/pages/classoptionspage.cpp:251 uml.cpp:509
+#: dialogs/pages/classoptionspage.cpp:251 uml.cpp:518
 #, kde-format
 msgid "&Documentation"
 msgstr "文档(&D)"
@@ -2780,8 +2780,8 @@ msgstr "您输入的名称无效。"
 #: uml1model/classifier.cpp:410 uml1model/classifier.cpp:781
 #: uml1model/entity.cpp:125 uml1model/entity.cpp:178 uml1model/entity.cpp:228
 #: uml1model/entity.cpp:277 uml1model/enum.cpp:107 uml1model/instance.cpp:124
-#: uml1model/package.cpp:172 umldoc.cpp:1627 umldoc.cpp:1692 umldoc.cpp:1721
-#: umldoc.cpp:1755
+#: uml1model/package.cpp:178 umldoc.cpp:1629 umldoc.cpp:1694 umldoc.cpp:1723
+#: umldoc.cpp:1757
 #, kde-format
 msgid "Invalid Name"
 msgstr "无效名称"
@@ -2791,7 +2791,7 @@ msgstr "无效名称"
 msgid "The name you have entered is not unique."
 msgstr "您输入的名称不唯一。"
 
-#: dialogs/pages/diagrampropertiespage.cpp:86 umldoc.cpp:1759
+#: dialogs/pages/diagrampropertiespage.cpp:86 umldoc.cpp:1761
 #, kde-format
 msgid "Name Not Unique"
 msgstr "名称不唯一"
@@ -3256,7 +3256,7 @@ msgstr ""
 msgid "Umbrello Setup"
 msgstr "Umbrello 设置"
 
-#: dialogs/settingsdialog.cpp:114 umllistview.cpp:1452
+#: dialogs/settingsdialog.cpp:114 umllistview.cpp:1460
 #, kde-format
 msgid "User Interface"
 msgstr "用户界面"
@@ -3283,7 +3283,7 @@ msgstr "类"
 msgid "Class Settings"
 msgstr "类设置"
 
-#: dialogs/settingsdialog.cpp:137 umllistview.cpp:1447
+#: dialogs/settingsdialog.cpp:137 umllistview.cpp:1455
 #, kde-format
 msgid "Code Importer"
 msgstr "代码导入器"
@@ -3293,7 +3293,7 @@ msgstr "代码导入器"
 msgid "Code Import Settings"
 msgstr "代码导入器设置"
 
-#: dialogs/settingsdialog.cpp:146 umllistview.cpp:1448
+#: dialogs/settingsdialog.cpp:146 umllistview.cpp:1456
 #, kde-format
 msgid "Code Generation"
 msgstr "代码生成"
@@ -3303,7 +3303,7 @@ msgstr "代码生成"
 msgid "Code Generation Settings"
 msgstr "代码生成设置"
 
-#: dialogs/settingsdialog.cpp:154 umllistview.cpp:1449
+#: dialogs/settingsdialog.cpp:154 umllistview.cpp:1457
 #, kde-format
 msgid "Code Viewer"
 msgstr "代码查看器"
@@ -3313,7 +3313,7 @@ msgstr "代码查看器"
 msgid "Code Viewer Settings"
 msgstr "代码查看器设置"
 
-#: dialogs/settingsdialog.cpp:161 umllistview.cpp:1445
+#: dialogs/settingsdialog.cpp:161 umllistview.cpp:1453
 #, kde-format
 msgid "Auto Layout"
 msgstr "自动布局"
@@ -3940,7 +3940,7 @@ msgstr "类型(&T)："
 msgid "Package path:"
 msgstr "包路径："
 
-#: dialogs/widgets/umlstereotypewidget.cpp:29 uml1model/umlobject.cpp:1179
+#: dialogs/widgets/umlstereotypewidget.cpp:29 uml1model/umlobject.cpp:1180
 #, kde-format
 msgid "Stereotype &name:"
 msgstr "构造型名称(&N)："
@@ -4086,7 +4086,7 @@ msgstr ""
 msgid "Gael de Chalendar (aka Kleag)"
 msgstr "Gael de Chalendar (又名 Kleag)"
 
-#: docgenerators/main.cpp:56 main.cpp:131
+#: docgenerators/main.cpp:56 main.cpp:133
 #, kde-format
 msgid "Umbrello UML Modeller Authors"
 msgstr "UML 建模工具作者"
@@ -4148,12 +4148,12 @@ msgstr "在焦点更改后激活文档
 msgid "Apply layout"
 msgstr "应用布局"
 
-#: main.cpp:121
+#: main.cpp:123
 #, kde-format
 msgid "Umbrello UML Modeller"
 msgstr "Umbrello UML 建模工具"
 
-#: main.cpp:123
+#: main.cpp:125
 #, kde-format
 msgid ""
 "Umbrello – Visual development environment for software, based on the "
@@ -4163,116 +4163,116 @@ msgstr ""
 "Umbrello——基于行业标准的统一建模语言 (UML) 的软件可视化开发环境。<br/>另请参"
 "阅 <a href=\"http://www.omg.org/spec/\">http://www.omg.org/spec/</a>。"
 
-#: main.cpp:127
+#: main.cpp:129
 #, kde-format
 msgid ""
 "Copyright © 2001 Paul Hensgen,\n"
 "Copyright © 2002-2020 Umbrello UML Modeller Authors"
 msgstr ""
 
-#: main.cpp:130
+#: main.cpp:132
 #, kde-format
 msgid "Paul Hensgen"
 msgstr "Paul Hensgen"
 
-#: main.cpp:130
+#: main.cpp:132
 #, kde-format
 msgid "Author of initial version."
 msgstr "初始版本的作者。"
 
-#: main.cpp:134
+#: main.cpp:136
 #, kde-format
 msgid "Oliver Kellogg"
 msgstr "Oliver Kellogg"
 
-#: main.cpp:135 main.cpp:138
+#: main.cpp:137 main.cpp:140
 #, kde-format
 msgid "Bug fixing, porting work, code cleanup, new features."
 msgstr "Bug修复，代码移植工作，代码清理，新功能添加。"
 
-#: main.cpp:137
+#: main.cpp:139
 #, kde-format
 msgid "Ralf Habacker"
 msgstr "Ralf Habacker"
 
-#: main.cpp:140
+#: main.cpp:142
 #, kde-format
 msgid "Andi Fischer"
 msgstr "Andi Fischer"
 
-#: main.cpp:141
+#: main.cpp:143
 #, kde-format
 msgid "Porting work, code cleanup, new features."
 msgstr "移植工作，代码清理，新功能。"
 
-#: main.cpp:143
+#: main.cpp:145
 #, kde-format
 msgid "Jonathan Riddell"
 msgstr "Jonathan Riddell"
 
-#: main.cpp:144
+#: main.cpp:146
 #, kde-format
 msgid "Current maintainer."
 msgstr "当前维护者."
 
-#: main.cpp:146
+#: main.cpp:148
 #, kde-format
 msgid "Brian Thomas"
 msgstr "Brian Thomas"
 
-#: main.cpp:147
+#: main.cpp:149
 #, kde-format
 msgid "A lot of work for C++ and Java code generation. Codeeditor."
 msgstr "大量C++和Java代码生成工作。代码编写人员。"
 
-#: main.cpp:152
+#: main.cpp:154
 #, kde-format
 msgid "File to open"
 msgstr "要打开的文件"
 
-#: main.cpp:153
+#: main.cpp:155
 #, kde-format
 msgid "export diagrams to extension and exit"
 msgstr "将图表导出为扩展并退出"
 
-#: main.cpp:154
+#: main.cpp:156
 #, kde-format
 msgid "list available export extensions"
 msgstr "列出可用的导出扩展"
 
-#: main.cpp:155
+#: main.cpp:157
 #, kde-format
 msgid "the local directory to save the exported diagrams in"
 msgstr "要保存导出的图表的本地目录"
 
-#: main.cpp:155
+#: main.cpp:157
 #, kde-format
 msgid "the directory of the file"
 msgstr "文件所在目录"
 
-#: main.cpp:156
+#: main.cpp:158
 #, kde-format
 msgid "import files"
 msgstr "导入文件"
 
-#: main.cpp:157
+#: main.cpp:159
 #, kde-format
 msgid "list supported languages"
 msgstr "列出支持的语言"
 
-#: main.cpp:158
+#: main.cpp:160
 #, kde-format
 msgid ""
 "keep the tree structure used to store the views in the document in the "
 "target directory"
 msgstr "在目标目录中保持文档视图的树状结构"
 
-#: main.cpp:159
+#: main.cpp:161
 #, kde-format
 msgid "import files from directory <dir>"
 msgstr "从目录 <dir> 导入文件"
 
-#: main.cpp:163
+#: main.cpp:165
 #, kde-format
 msgid "set active language"
 msgstr "设置活动语言"
@@ -4536,7 +4536,7 @@ msgstr ""
 msgid "Import File(s)..."
 msgstr "导入文件..."
 
-#: menus/listpopupmenu.cpp:201 uml.cpp:356
+#: menus/listpopupmenu.cpp:201 uml.cpp:365
 #, kde-format
 msgid "Import from Directory..."
 msgstr "从目录导入..."
@@ -5036,42 +5036,42 @@ msgctxt "align menu"
 msgid "Align"
 msgstr "对齐"
 
-#: menus/widgetbasepopupmenu.cpp:598 uml.cpp:573
+#: menus/widgetbasepopupmenu.cpp:598 uml.cpp:582
 #, kde-format
 msgid "Align Right"
 msgstr "右对齐"
 
-#: menus/widgetbasepopupmenu.cpp:599 uml.cpp:578
+#: menus/widgetbasepopupmenu.cpp:599 uml.cpp:587
 #, kde-format
 msgid "Align Left"
 msgstr "左对齐"
 
-#: menus/widgetbasepopupmenu.cpp:600 uml.cpp:583
+#: menus/widgetbasepopupmenu.cpp:600 uml.cpp:592
 #, kde-format
 msgid "Align Top"
 msgstr "上对齐"
 
-#: menus/widgetbasepopupmenu.cpp:601 uml.cpp:588
+#: menus/widgetbasepopupmenu.cpp:601 uml.cpp:597
 #, kde-format
 msgid "Align Bottom"
 msgstr "下对齐"
 
-#: menus/widgetbasepopupmenu.cpp:603 uml.cpp:593
+#: menus/widgetbasepopupmenu.cpp:603 uml.cpp:602
 #, kde-format
 msgid "Align Vertical Middle"
 msgstr "垂直居中对齐"
 
-#: menus/widgetbasepopupmenu.cpp:604 uml.cpp:598
+#: menus/widgetbasepopupmenu.cpp:604 uml.cpp:607
 #, kde-format
 msgid "Align Horizontal Middle"
 msgstr "水平居中对齐"
 
-#: menus/widgetbasepopupmenu.cpp:605 uml.cpp:603
+#: menus/widgetbasepopupmenu.cpp:605 uml.cpp:612
 #, kde-format
 msgid "Align Vertical Distribute"
 msgstr "垂直分散对齐"
 
-#: menus/widgetbasepopupmenu.cpp:606 uml.cpp:608
+#: menus/widgetbasepopupmenu.cpp:606 uml.cpp:617
 #, kde-format
 msgid "Align Horizontal Distribute"
 msgstr "水平分散对齐"
@@ -5876,8 +5876,8 @@ msgstr "用途"
 #: object_factory.cpp:251 uml1model/classifier.cpp:410
 #: uml1model/classifier.cpp:781 uml1model/entity.cpp:125
 #: uml1model/entity.cpp:178 uml1model/entity.cpp:228 uml1model/entity.cpp:277
-#: uml1model/enum.cpp:107 uml1model/instance.cpp:124 uml1model/package.cpp:171
-#: umldoc.cpp:1721 umldoc.cpp:1755
+#: uml1model/enum.cpp:107 uml1model/instance.cpp:124 uml1model/package.cpp:177
+#: umldoc.cpp:1723 umldoc.cpp:1757
 #, kde-format
 msgid "That is an invalid name."
 msgstr "名称无效。"
@@ -5896,7 +5896,7 @@ msgstr "保留的关键字"
 #: object_factory.cpp:264 uml1model/classifier.cpp:413
 #: uml1model/classifier.cpp:783 uml1model/entity.cpp:127
 #: uml1model/entity.cpp:180 uml1model/entity.cpp:230 uml1model/entity.cpp:279
-#: uml1model/instance.cpp:126 umldoc.cpp:1727 umldoc.cpp:1764
+#: uml1model/instance.cpp:126 umldoc.cpp:1729 umldoc.cpp:1766
 #, kde-format
 msgid "That name is already being used."
 msgstr "名称已被使用。"
@@ -5904,8 +5904,8 @@ msgstr "名称已被使用。"
 #: object_factory.cpp:265 uml1model/classifier.cpp:413
 #: uml1model/classifier.cpp:783 uml1model/entity.cpp:127
 #: uml1model/entity.cpp:180 uml1model/entity.cpp:230 uml1model/entity.cpp:279
-#: uml1model/instance.cpp:126 umldoc.cpp:1629 umldoc.cpp:1699 umldoc.cpp:1727
-#: umldoc.cpp:1764
+#: uml1model/instance.cpp:126 umldoc.cpp:1631 umldoc.cpp:1701 umldoc.cpp:1729
+#: umldoc.cpp:1766
 #, kde-format
 msgid "Not a Unique Name"
 msgstr "名称不唯一"
@@ -5966,12 +5966,12 @@ msgstr "在 %1 中同样名称的属性
 msgid "Choose a different name."
 msgstr "选择不同的名称。"
 
-#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:266
+#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:273
 #, kde-format
 msgid "Incorrect use of associations."
 msgstr "关联的用法不正确。"
 
-#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:266
+#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:273
 #, kde-format
 msgid "Association Error"
 msgstr "关联出错"
@@ -7133,188 +7133,188 @@ msgstr "当前活动语言(&L)"
 msgid "&Settings"
 msgstr "设置(&S)"
 
-#: uml.cpp:332
+#: uml.cpp:341
 #, kde-format
 msgid "&Export model to DocBook"
 msgstr "导出模型到 DocBook(&E)"
 
-#: uml.cpp:336
+#: uml.cpp:345
 #, kde-format
 msgid "&Export model to XHTML"
 msgstr "导出模型到 XHTML(&E)"
 
-#: uml.cpp:340
+#: uml.cpp:349
 #, kde-format
 msgid "&New Class Wizard..."
 msgstr "新建类向导(&N)..."
 
-#: uml.cpp:344
+#: uml.cpp:353
 #, kde-format
 msgid "&Add Default Datatypes for Active Language"
 msgstr "为当前激活的语言添加默认数据类型(&A)"
 
-#: uml.cpp:351
+#: uml.cpp:360
 #, kde-format
 msgid "Code &Importing Wizard..."
 msgstr "代码导入向导(&I)..."
 
-#: uml.cpp:361
+#: uml.cpp:370
 #, kde-format
 msgid "&Code Generation Wizard..."
 msgstr "代码生成向导(&C)..."
 
-#: uml.cpp:366
+#: uml.cpp:375
 #, kde-format
 msgid "&Generate All Code"
 msgstr "生成全部代码(&G)"
 
-#: uml.cpp:411
+#: uml.cpp:420
 #, kde-format
 msgid "Creates a new document"
 msgstr "创建新文档"
 
-#: uml.cpp:412
+#: uml.cpp:421
 #, kde-format
 msgid "Opens an existing document"
 msgstr "打开现存文档"
 
-#: uml.cpp:413
+#: uml.cpp:422
 #, kde-format
 msgid "Opens a recently used file"
 msgstr "打开最近使用的文件"
 
-#: uml.cpp:414
+#: uml.cpp:423
 #, kde-format
 msgid "Saves the document"
 msgstr "保存文档"
 
-#: uml.cpp:415
+#: uml.cpp:424
 #, kde-format
 msgid "Saves the document as..."
 msgstr "文档另存为..."
 
-#: uml.cpp:416
+#: uml.cpp:425
 #, kde-format
 msgid "Closes the document"
 msgstr "关闭文档"
 
-#: uml.cpp:417
+#: uml.cpp:426
 #, kde-format
 msgid "Prints out the document"
 msgstr "打印文档"
 
-#: uml.cpp:418
+#: uml.cpp:427
 #, kde-format
 msgid "Print Preview of the document"
 msgstr "文档的打印预览"
 
-#: uml.cpp:419
+#: uml.cpp:428
 #, kde-format
 msgid "Quits the application"
 msgstr "退出应用程序"
 
-#: uml.cpp:420
+#: uml.cpp:429
 #, kde-format
 msgid "Exports the model to the docbook format"
 msgstr "将建模导出到 docbook 格式"
 
-#: uml.cpp:421
+#: uml.cpp:430
 #, kde-format
 msgid "Exports the model to the XHTML format"
 msgstr "将建模导出到 XHTML 格式"
 
-#: uml.cpp:422
+#: uml.cpp:431
 #, kde-format
 msgid "Cuts the selected section and puts it to the clipboard"
 msgstr "剪切所选部分并放到剪贴板"
 
-#: uml.cpp:423
+#: uml.cpp:432
 #, kde-format
 msgid "Copies the selected section to the clipboard"
 msgstr "复制所选部分并放到剪贴板"
 
-#: uml.cpp:424
+#: uml.cpp:433
 #, kde-format
 msgid "Pastes the contents of the clipboard"
 msgstr "粘贴剪贴板内容"
 
-#: uml.cpp:425
+#: uml.cpp:434
 #, kde-format
 msgid "Set the default program preferences"
 msgstr "设置默认程序首选项"
 
-#: uml.cpp:429
+#: uml.cpp:438
 #, kde-format
 msgctxt "delete selected widget"
 msgid "Delete &Selected"
 msgstr "删除所选(&S)"
 
-#: uml.cpp:440
+#: uml.cpp:449
 #, kde-format
 msgid "&Class Diagram..."
 msgstr "类图(&C)..."
 
-#: uml.cpp:447
+#: uml.cpp:456
 #, kde-format
 msgid "&Object Diagram..."
 msgstr "对象图(&O)..."
 
-#: uml.cpp:454
+#: uml.cpp:463
 #, kde-format
 msgid "&Sequence Diagram..."
 msgstr "序列图(&S)..."
 
-#: uml.cpp:460
+#: uml.cpp:469
 #, kde-format
 msgid "C&ommunication Diagram..."
 msgstr "通信图(&O)..."
 
-#: uml.cpp:466
+#: uml.cpp:475
 #, kde-format
 msgid "&Use Case Diagram..."
 msgstr "用例图(&U)..."
 
-#: uml.cpp:472
+#: uml.cpp:481
 #, kde-format
 msgid "S&tate Diagram..."
 msgstr "状态图(&T)..."
 
-#: uml.cpp:478
+#: uml.cpp:487
 #, kde-format
 msgid "&Activity Diagram..."
 msgstr "活动图(&A)..."
 
-#: uml.cpp:484
+#: uml.cpp:493
 #, kde-format
 msgid "Co&mponent Diagram..."
 msgstr "组件图(&M)..."
 
-#: uml.cpp:490
+#: uml.cpp:499
 #, kde-format
 msgid "&Deployment Diagram..."
 msgstr "部署图(&D)..."
 
-#: uml.cpp:496
+#: uml.cpp:505
 #, kde-format
 msgid "&Entity Relationship Diagram..."
 msgstr "实体关系图(&E)..."
 
-#: uml.cpp:501 uml.cpp:954
+#: uml.cpp:510 uml.cpp:963
 #, kde-format
 msgid "&Tree View"
 msgstr "树形视图(&T)"
 
-#: uml.cpp:505
+#: uml.cpp:514
 #, kde-format
 msgid "&Debugging"
 msgstr "调试(&D)"
 
-#: uml.cpp:513
+#: uml.cpp:522
 #, kde-format
 msgid "&Logging"
 msgstr "日志(&L)"
 
-#: uml.cpp:517
+#: uml.cpp:526
 #, kde-format
 msgid "&Command history"
 msgstr "命令历史(&C)"
@@ -7323,135 +7323,135 @@ msgstr "命令历史(&C)"
 #. m_propertyDock->setObjectName(QLatin1String("PropertyDock"));
 #. addDockWidget(Qt::LeftDockWidgetArea, m_propertyDock);  //:TODO:
 #. create the bird's eye view
-#: uml.cpp:521 uml.cpp:1011
+#: uml.cpp:530 uml.cpp:1020
 #, kde-format
 msgid "&Bird's eye view"
 msgstr "鸟瞰图(&B)"
 
-#: uml.cpp:526
+#: uml.cpp:535
 #, kde-format
 msgid "&Clear Diagram"
 msgstr "清除图表(&C)"
 
-#: uml.cpp:530
+#: uml.cpp:539
 #, kde-format
 msgid "&Snap to Grid"
 msgstr "吸附到网格(&S)"
 
-#: uml.cpp:534
+#: uml.cpp:543
 #, kde-format
 msgid "S&how Grid"
 msgstr "显示网格(&H)"
 
-#: uml.cpp:539
+#: uml.cpp:548
 #, kde-format
 msgid "&Delete Diagram"
 msgstr "删除图表(&D)"
 
-#: uml.cpp:544
+#: uml.cpp:553
 #, kde-format
 msgid "&Export as Picture..."
 msgstr "导出为图片(&E)..."
 
-#: uml.cpp:549
+#: uml.cpp:558
 #, kde-format
 msgid "Export &Diagrams as Pictures..."
 msgstr "将全部图表导出为图片(&D)..."
 
-#: uml.cpp:569
+#: uml.cpp:578
 #, kde-format
 msgid "Z&oom to 100%"
 msgstr "缩放到 100%(&O)"
 
-#: uml.cpp:612
+#: uml.cpp:621
 #, kde-format
 msgid "&Move Tab Left"
 msgstr "标签左移(&M)"
 
-#: uml.cpp:613
+#: uml.cpp:622
 #, kde-format
 msgid "&Move Tab Right"
 msgstr "标签右移(&M)"
 
-#: uml.cpp:636
+#: uml.cpp:645
 #, kde-format
 msgid "Select Diagram on Left"
 msgstr "选择左侧的图表"
 
-#: uml.cpp:637
+#: uml.cpp:646
 #, kde-format
 msgid "Select Diagram on Right"
 msgstr "选择右侧的图表"
 
-#: uml.cpp:776
+#: uml.cpp:785
 #, kde-format
 msgctxt "%1 percent value from 20 to 500"
 msgid " &%1%"
 msgstr " &%1%"
 
-#: uml.cpp:826
+#: uml.cpp:835
 #, kde-format
 msgctxt "init status bar"
 msgid "Ready"
 msgstr "就绪"
 
-#: uml.cpp:835 uml.cpp:848
+#: uml.cpp:844 uml.cpp:857
 #, kde-format
 msgid "100%"
 msgstr "100%"
 
-#: uml.cpp:840
+#: uml.cpp:849
 #, kde-format
 msgid "Fit"
 msgstr "自适应"
 
-#: uml.cpp:899
+#: uml.cpp:908
 #, kde-format
 msgid "Diagram Toolbar"
 msgstr "图表工具栏"
 
-#: uml.cpp:965
+#: uml.cpp:974
 #, kde-format
 msgid "Doc&umentation"
 msgstr "文档(&U)"
 
-#: uml.cpp:976
+#: uml.cpp:985
 #, kde-format
 msgid "Co&mmand history"
 msgstr "命令历史(&M)"
 
-#: uml.cpp:992
+#: uml.cpp:1001
 #, kde-format
 msgid "&Debug"
 msgstr "调试(&D)"
 
-#: uml.cpp:999
+#: uml.cpp:1008
 #, kde-format
 msgid "&Log"
 msgstr "日志(&L)"
 
-#: uml.cpp:1041 uml.cpp:1258 uml.cpp:1307
+#: uml.cpp:1050 uml.cpp:1267 uml.cpp:1316
 #, kde-format
 msgid "Opening file..."
 msgstr "正在打开文件..."
 
-#: uml.cpp:1092 uml.cpp:1157 uml.cpp:1342 umldoc.cpp:342 umldoc.cpp:344
-#: umldoc.cpp:368 umldoc.cpp:3396
+#: uml.cpp:1101 uml.cpp:1166 uml.cpp:1351 umldoc.cpp:343 umldoc.cpp:345
+#: umldoc.cpp:369 umldoc.cpp:3405
 #, kde-format
 msgid "Untitled"
 msgstr "无标题"
 
-#: uml.cpp:1240
+#: uml.cpp:1249
 #, kde-format
 msgid "Creating new document..."
 msgstr "正在创建新文档..."
 
-#: uml.cpp:1266 uml.cpp:1281
+#: uml.cpp:1275 uml.cpp:1290
 #, kde-format
 msgid "Open File"
 msgstr "打开文件"
 
-#: uml.cpp:1270
+#: uml.cpp:1279
 #, kde-format
 msgid ""
 "*.xmi *.xmi.tgz *.xmi.tar.bz2 *.mdl *.zargo|All Supported Files (*.xmi, *."
@@ -7470,22 +7470,22 @@ msgstr ""
 "*.mdl|Rose 模型文件\n"
 "*.zargo|压缩的 argo 文件(*.zargo)\n"
 
-#: uml.cpp:1341
+#: uml.cpp:1350
 #, kde-format
 msgid "Saving file..."
 msgstr "正在保存文件..."
 
-#: uml.cpp:1358
+#: uml.cpp:1367
 #, kde-format
 msgid "Saving file with a new filename..."
 msgstr "正在用新文件名保存文件..."
 
-#: uml.cpp:1368 uml.cpp:1374 umlviewimageexporter.cpp:199
+#: uml.cpp:1377 uml.cpp:1383 umlviewimageexporter.cpp:199
 #, kde-format
 msgid "Save As"
 msgstr "另存为"
 
-#: uml.cpp:1369
+#: uml.cpp:1378
 #, kde-format
 msgid ""
 "*.xmi | XMI File (*.xmi);;*.xmi.tgz | Gzip Compressed XMI File (*.xmi.tgz);;"
@@ -7496,7 +7496,7 @@ msgstr ""
 "*.xmi.tar.bz2|Bzip2 压缩的 XMI 文件\n"
 "*|所有文件"
 
-#: uml.cpp:1374
+#: uml.cpp:1383
 #, kde-format
 msgid ""
 "*.xmi|XMI File\n"
@@ -7509,7 +7509,7 @@ msgstr ""
 "*.xmi.tar.bz2|Bzip2 压缩的 XMI 文件\n"
 "*|所有文件"
 
-#: uml.cpp:1387
+#: uml.cpp:1396
 #, kde-format
 msgid ""
 "The file %1 exists.\n"
@@ -7518,105 +7518,105 @@ msgstr ""
 "文件 %1 已存在。\n"
 "要覆盖吗？"
 
-#: uml.cpp:1388
+#: uml.cpp:1397
 #, kde-format
 msgid "Warning"
 msgstr "警告"
 
-#: uml.cpp:1388
+#: uml.cpp:1397
 #, kde-format
 msgid "Overwrite"
 msgstr "覆盖"
 
-#: uml.cpp:1422
+#: uml.cpp:1431
 #, kde-format
 msgid "Closing file..."
 msgstr "正在关闭文件..."
 
-#: uml.cpp:1432
+#: uml.cpp:1441
 #, kde-format
 msgid "No search term entered"
 msgstr "未输入搜索短语"
 
-#: uml.cpp:1438
+#: uml.cpp:1447
 #, kde-format
 msgid "'%1': %2 found"
 msgstr "“%1”：找到 %2 项"
 
-#: uml.cpp:1502
+#: uml.cpp:1511
 #, kde-format
 msgid "Print Preview..."
 msgstr "打印预览..."
 
-#: uml.cpp:1529
+#: uml.cpp:1538
 #, kde-format
 msgid "Printing..."
 msgstr "正在打印..."
 
-#: uml.cpp:1536 uml.cpp:1540
+#: uml.cpp:1545 uml.cpp:1549
 #, kde-format
 msgid "Print %1"
 msgstr "打印 %1"
 
-#: uml.cpp:1560
+#: uml.cpp:1569
 #, kde-format
 msgid "Exiting..."
 msgstr "正在退出..."
 
-#: uml.cpp:1647
+#: uml.cpp:1656
 #, kde-format
 msgid "Cutting selection..."
 msgstr "正在剪切所选项..."
 
-#: uml.cpp:1670
+#: uml.cpp:1679
 #, kde-format
 msgid "Copying selection to clipboard..."
 msgstr "正在复制所选项到剪贴板..."
 
-#: uml.cpp:1682
+#: uml.cpp:1691
 #, kde-format
 msgid "Inserting clipboard contents..."
 msgstr "正在插入剪贴板内容..."
 
-#: uml.cpp:1687
+#: uml.cpp:1696
 #, kde-format
 msgid ""
 "Umbrello could not paste the clipboard contents.  The objects in the "
 "clipboard may be of the wrong type to be pasted here."
 msgstr "Umbrello 无法粘贴剪贴板内容。剪贴板中的对象的类型可能不正确。"
 
-#: uml.cpp:1713 umlviewimageexporter.cpp:92 umlviewimageexporterall.cpp:123
+#: uml.cpp:1722 umlviewimageexporter.cpp:92 umlviewimageexporterall.cpp:123
 #, kde-format
 msgctxt "reset status bar"
 msgid "Ready."
 msgstr "就绪。"
 
-#: uml.cpp:2246
+#: uml.cpp:2255
 #, kde-format
 msgid "Cannot view code until you generate some first."
 msgstr "生成代码后才能查看。"
 
-#: uml.cpp:2246 uml.cpp:2249
+#: uml.cpp:2255 uml.cpp:2258
 #, kde-format
 msgid "Cannot View Code"
 msgstr "无法查看代码"
 
-#: uml.cpp:2249
+#: uml.cpp:2258
 #, kde-format
 msgid "Cannot view code from simple code writer."
 msgstr "无法查看简单代码书写器中的代码。"
 
-#: uml.cpp:2714 uml.cpp:2716
+#: uml.cpp:2728 uml.cpp:2730
 #, kde-format
 msgid "Select file(s) to import:"
 msgstr "选择要导入的文件："
 
-#: uml.cpp:2747 uml.cpp:2749
+#: uml.cpp:2761 uml.cpp:2763
 #, kde-format
 msgid "Select directory to import:"
 msgstr "选择要导入的文件："
 
-#: uml.cpp:3313
+#: uml.cpp:3335
 #, kde-format
 msgid "XHTML Generation failed ."
 msgstr "XHTML 生成失败。"
@@ -7628,20 +7628,20 @@ msgid ""
 "it again."
 msgstr "有同样名称和签名的操作已经存在，不能再次添加。"
 
-#: uml1model/folder.cpp:435
+#: uml1model/folder.cpp:436
 #, kde-format
 msgid "The folderfile %1 does not exist."
 msgstr "文件夹文件 %1 不存在。"
 
-#: uml1model/folder.cpp:435 uml1model/folder.cpp:439 umldoc.cpp:529
-#: umldoc.cpp:541 umldoc.cpp:568 umldoc.cpp:570 umldoc.cpp:620 umldoc.cpp:623
-#: umldoc.cpp:638 umldoc.cpp:641 umldoc.cpp:665 umldoc.cpp:668 umldoc.cpp:684
-#: umldoc.cpp:687 umldoc.cpp:702 umldoc.cpp:705 umldoc.cpp:750
+#: uml1model/folder.cpp:436 uml1model/folder.cpp:440 umldoc.cpp:530
+#: umldoc.cpp:542 umldoc.cpp:569 umldoc.cpp:571 umldoc.cpp:621 umldoc.cpp:624
+#: umldoc.cpp:639 umldoc.cpp:642 umldoc.cpp:666 umldoc.cpp:669 umldoc.cpp:685
+#: umldoc.cpp:688 umldoc.cpp:703 umldoc.cpp:706 umldoc.cpp:751
 #, kde-format
 msgid "Load Error"
 msgstr "加载出错"
 
-#: uml1model/folder.cpp:439
+#: uml1model/folder.cpp:440
 #, kde-format
 msgid "The folderfile %1 cannot be opened."
 msgstr "文件夹文件 %1 无法打开。"
@@ -7651,13 +7651,13 @@ msgstr "文件夹文件 %1 无法打开
 msgid "new_parameter"
 msgstr "新参数"
 
-#: uml1model/package.cpp:163
+#: uml1model/package.cpp:169
 #, kde-format
 msgctxt "object name"
 msgid "Name"
 msgstr "名称"
 
-#: uml1model/package.cpp:164
+#: uml1model/package.cpp:170
 #, kde-format
 msgid ""
 "An object with the name %1\n"
@@ -7683,77 +7683,77 @@ msgstr "新字段"
 msgid "new_fkey_constraint"
 msgstr "新外键约束"
 
-#: uml1model/umlobject.cpp:1140
+#: uml1model/umlobject.cpp:1141
 #, kde-format
 msgid "Actor &name:"
 msgstr "参与者名称(&N)："
 
-#: uml1model/umlobject.cpp:1143
+#: uml1model/umlobject.cpp:1144
 #, kde-format
 msgid "Artifact &name:"
 msgstr "工件名称(&N)："
 
-#: uml1model/umlobject.cpp:1146
+#: uml1model/umlobject.cpp:1147
 #, kde-format
 msgid "Association &name:"
 msgstr "关联名称(&N)："
 
-#: uml1model/umlobject.cpp:1149
+#: uml1model/umlobject.cpp:1150
 #, kde-format
 msgid "Class &name:"
 msgstr "类名称(&N)："
 
-#: uml1model/umlobject.cpp:1152
+#: uml1model/umlobject.cpp:1153
 #, kde-format
 msgid "Component &name:"
 msgstr "组件名称(&N)："
 
-#: uml1model/umlobject.cpp:1155
+#: uml1model/umlobject.cpp:1156
 #, kde-format
 msgid "Datatype &name:"
 msgstr "数据类型名称(&N)："
 
-#: uml1model/umlobject.cpp:1158
+#: uml1model/umlobject.cpp:1159
 #, kde-format
 msgid "Entity &name:"
 msgstr "实体名称(&N)："
 
-#: uml1model/umlobject.cpp:1161
+#: uml1model/umlobject.cpp:1162
 #, kde-format
 msgid "Enum &name:"
 msgstr "枚举名称(&N)："
 
-#: uml1model/umlobject.cpp:1164
+#: uml1model/umlobject.cpp:1165
 #, kde-format
 msgid "Folder &name:"
 msgstr "文件夹名称(&N)："
 
-#: uml1model/umlobject.cpp:1167
+#: uml1model/umlobject.cpp:1168
 #, kde-format
 msgid "Interface &name:"
 msgstr "接口名称(&N)："
 
-#: uml1model/umlobject.cpp:1170
+#: uml1model/umlobject.cpp:1171
 #, kde-format
 msgid "Node &name:"
 msgstr "节点名称(&N)："
 
-#: uml1model/umlobject.cpp:1173
+#: uml1model/umlobject.cpp:1174
 #, kde-format
 msgid "Package &name:"
 msgstr "包名称(&N)："
 
-#: uml1model/umlobject.cpp:1176
+#: uml1model/umlobject.cpp:1177
 #, kde-format
 msgid "Port &name:"
 msgstr "端口名称(&N)："
 
-#: uml1model/umlobject.cpp:1182
+#: uml1model/umlobject.cpp:1183
 #, kde-format
 msgid "Use case &name:"
 msgstr "用例图名称(&N)："
 
-#: uml1model/umlobject.cpp:1185
+#: uml1model/umlobject.cpp:1186
 #, kde-format
 msgid "Instance name:"
 msgstr "实例名称："
@@ -7773,42 +7773,42 @@ msgstr "构造型(&S)"
 msgid "Welcome"
 msgstr "欢迎"
 
-#: umldoc.cpp:112 umldoc.cpp:2400 umldoc.cpp:2428
+#: umldoc.cpp:113 umldoc.cpp:2405 umldoc.cpp:2433
 #, kde-format
 msgid "UML Model"
 msgstr "UML 模型"
 
-#: umldoc.cpp:154
+#: umldoc.cpp:155
 #, kde-format
 msgid "Logical View"
 msgstr "逻辑视图"
 
-#: umldoc.cpp:155
+#: umldoc.cpp:156
 #, kde-format
 msgid "Use Case View"
 msgstr "用例视图"
 
-#: umldoc.cpp:156
+#: umldoc.cpp:157
 #, kde-format
 msgid "Component View"
 msgstr "组件视图"
 
-#: umldoc.cpp:157
+#: umldoc.cpp:158
 #, kde-format
 msgid "Deployment View"
 msgstr "部署视图"
 
-#: umldoc.cpp:158
+#: umldoc.cpp:159
 #, kde-format
 msgid "Entity Relationship Model"
 msgstr "实体关系模型"
 
-#: umldoc.cpp:184
+#: umldoc.cpp:185
 #, kde-format
 msgid "Datatypes"
 msgstr "数据类型"
 
-#: umldoc.cpp:363
+#: umldoc.cpp:364
 #, kde-format
 msgid ""
 "The current file has been modified.\n"
@@ -7817,166 +7817,166 @@ msgstr ""
 "当前文件已修改。\n"
 "要保存吗？"
 
-#: umldoc.cpp:364
+#: umldoc.cpp:365
 #, kde-format
 msgctxt "warning message"
 msgid "Warning"
 msgstr "警告"
 
-#: umldoc.cpp:529
+#: umldoc.cpp:530
 #, kde-format
 msgid "The file <%1> does not exist."
 msgstr "文件 <%1> 不存在。"
 
-#: umldoc.cpp:541
+#: umldoc.cpp:542
 #, kde-format
 msgid "The file %1 does not exist."
 msgstr "文件 %1 不存在。"
 
-#: umldoc.cpp:568 umldoc.cpp:570
+#: umldoc.cpp:569 umldoc.cpp:571
 #, kde-format
 msgid "The file %1 seems to be corrupted."
 msgstr "文件 %1 似乎已损坏。"
 
-#: umldoc.cpp:619 umldoc.cpp:622 umldoc.cpp:637 umldoc.cpp:640 umldoc.cpp:683
-#: umldoc.cpp:686
+#: umldoc.cpp:620 umldoc.cpp:623 umldoc.cpp:638 umldoc.cpp:641 umldoc.cpp:684
+#: umldoc.cpp:687
 #, kde-format
 msgid "There was no XMI file found in the compressed file %1."
 msgstr "压缩文件 %1 中未找到 XMI 文件。"
 
-#: umldoc.cpp:664 umldoc.cpp:667
+#: umldoc.cpp:665 umldoc.cpp:668
 #, kde-format
 msgid "There was a problem loading the extracted file: %1"
 msgstr "加载提取出的文件出错：%1"
 
-#: umldoc.cpp:701 umldoc.cpp:704 umldoc.cpp:744 umldoc.cpp:746
+#: umldoc.cpp:702 umldoc.cpp:705 umldoc.cpp:745 umldoc.cpp:747
 #, kde-format
 msgid "There was a problem loading file: %1"
 msgstr "加载文件出错：%1"
 
-#: umldoc.cpp:749
+#: umldoc.cpp:750
 #, kde-format
 msgid "Reason: %1"
 msgstr ""
 
-#: umldoc.cpp:832 umldoc.cpp:834 umldoc.cpp:851 umldoc.cpp:853 umldoc.cpp:873
-#: umldoc.cpp:875 umldoc.cpp:924 umldoc.cpp:926 umldoc.cpp:966 umldoc.cpp:969
-#: umldoc.cpp:978 umldoc.cpp:980 umllistview.cpp:593
+#: umldoc.cpp:833 umldoc.cpp:835 umldoc.cpp:852 umldoc.cpp:854 umldoc.cpp:874
+#: umldoc.cpp:876 umldoc.cpp:925 umldoc.cpp:927 umldoc.cpp:968 umldoc.cpp:971
+#: umldoc.cpp:980 umldoc.cpp:982 umllistview.cpp:594
 #, kde-format
 msgid "Save Error"
 msgstr "保存出错"
 
-#: umldoc.cpp:832 umldoc.cpp:851 umldoc.cpp:873 umldoc.cpp:924 umldoc.cpp:966
+#: umldoc.cpp:833 umldoc.cpp:852 umldoc.cpp:874 umldoc.cpp:925 umldoc.cpp:968
 #, kde-format
 msgid "There was a problem saving: %1"
 msgstr "保存出错：%1"
 
-#: umldoc.cpp:834 umldoc.cpp:853 umldoc.cpp:875 umldoc.cpp:926 umldoc.cpp:969
-#: umllistview.cpp:592 umlviewimageexportermodel.cpp:303
+#: umldoc.cpp:835 umldoc.cpp:854 umldoc.cpp:876 umldoc.cpp:927 umldoc.cpp:971
+#: umllistview.cpp:593 umlviewimageexportermodel.cpp:303
 #, kde-format
 msgid "There was a problem saving file: %1"
 msgstr "保存文件出错：%1"
 
-#: umldoc.cpp:978
+#: umldoc.cpp:980
 #, kde-format
 msgid "There was a problem uploading: %1"
 msgstr "上传出错：%1"
 
-#: umldoc.cpp:980
+#: umldoc.cpp:982
 #, kde-format
 msgid "There was a problem uploading file: %1"
 msgstr "上传文件出错：%1"
 
-#: umldoc.cpp:1526
+#: umldoc.cpp:1528
 #, kde-format
 msgid "use case diagram"
 msgstr "用例图"
 
-#: umldoc.cpp:1529
+#: umldoc.cpp:1531
 #, kde-format
 msgid "class diagram"
 msgstr "类图"
 
-#: umldoc.cpp:1532
+#: umldoc.cpp:1534
 #, kde-format
 msgid "sequence diagram"
 msgstr "序列图"
 
-#: umldoc.cpp:1535
+#: umldoc.cpp:1537
 #, kde-format
 msgid "communication diagram"
 msgstr "通信图"
 
-#: umldoc.cpp:1538
+#: umldoc.cpp:1540
 #, kde-format
 msgid "object diagram"
 msgstr "对象图"
 
-#: umldoc.cpp:1541
+#: umldoc.cpp:1543
 #, kde-format
 msgid "state diagram"
 msgstr "状态图"
 
-#: umldoc.cpp:1544
+#: umldoc.cpp:1546
 #, kde-format
 msgid "activity diagram"
 msgstr "活动图"
 
-#: umldoc.cpp:1547
+#: umldoc.cpp:1549
 #, kde-format
 msgid "component diagram"
 msgstr "组件图"
 
-#: umldoc.cpp:1550
+#: umldoc.cpp:1552
 #, kde-format
 msgid "deployment diagram"
 msgstr "部署图"
 
-#: umldoc.cpp:1553
+#: umldoc.cpp:1555
 #, kde-format
 msgid "entity relationship diagram"
 msgstr "实体关系图"
 
-#: umldoc.cpp:1623
+#: umldoc.cpp:1625
 #, kde-format
 msgctxt "diagram name"
 msgid "Name"
 msgstr "名称"
 
-#: umldoc.cpp:1623 umldoc.cpp:1686 umldoc.cpp:1715 umldoc.cpp:1749
+#: umldoc.cpp:1625 umldoc.cpp:1688 umldoc.cpp:1717 umldoc.cpp:1751
 #, kde-format
 msgid "Enter name:"
 msgstr "输入名称："
 
-#: umldoc.cpp:1627 umldoc.cpp:1692
+#: umldoc.cpp:1629 umldoc.cpp:1694
 #, kde-format
 msgid "That is an invalid name for a diagram."
 msgstr "图表名无效。"
 
-#: umldoc.cpp:1629 umldoc.cpp:1699
+#: umldoc.cpp:1631 umldoc.cpp:1701
 #, kde-format
 msgid "A diagram is already using that name."
 msgstr "图表名已被使用。"
 
-#: umldoc.cpp:1685
+#: umldoc.cpp:1687
 #, kde-format
 msgctxt "renaming diagram"
 msgid "Name"
 msgstr "名称"
 
-#: umldoc.cpp:1714
+#: umldoc.cpp:1716
 #, kde-format
 msgctxt "renaming uml object"
 msgid "Name"
 msgstr "名称"
 
-#: umldoc.cpp:1748
+#: umldoc.cpp:1750
 #, kde-format
 msgctxt "renaming child uml object"
 msgid "Name"
 msgstr "名称"
 
-#: umldoc.cpp:1758
+#: umldoc.cpp:1760
 #, kde-format
 msgid ""
 "The name you entered was not unique.\n"
@@ -7985,62 +7985,62 @@ msgstr ""
 "所输入的名称不唯一。\n"
 "您就要这样吗？"
 
-#: umldoc.cpp:1759
+#: umldoc.cpp:1761
 #, kde-format
 msgid "Use Name"
 msgstr "使用名称"
 
-#: umldoc.cpp:1759
+#: umldoc.cpp:1761
 #, kde-format
 msgid "Enter New Name"
 msgstr "输入新名称"
 
-#: umldoc.cpp:2361
+#: umldoc.cpp:2366
 #, kde-format
 msgid "Unsupported xmi file version: %1"
 msgstr ""
 
-#: umldoc.cpp:2511
+#: umldoc.cpp:2516
 #, kde-format
 msgid "Setting up the document..."
 msgstr "正在建立文档..."
 
-#: umldoc.cpp:2540
+#: umldoc.cpp:2545
 #, kde-format
 msgid "Resolving object references..."
 msgstr "正在解析对象引用..."
 
-#: umldoc.cpp:2648
+#: umldoc.cpp:2653
 #, kde-format
 msgid "Loading UML elements..."
 msgstr "正在载入 UML 元素...."
 
-#: umldoc.cpp:2892
+#: umldoc.cpp:2899
 #, kde-format
 msgid "Loading diagrams..."
 msgstr "正在载入图表..."
 
-#: umldoc.cpp:3400
+#: umldoc.cpp:3409
 #, kde-format
 msgid "/autosave%1"
 msgstr "/自动保存 %1"
 
-#: umllistview.cpp:536 umllistview.cpp:540
+#: umllistview.cpp:537 umllistview.cpp:541
 #, kde-format
 msgid "Externalize Folder"
 msgstr "外部化文件夹"
 
-#: umllistview.cpp:574
+#: umllistview.cpp:575
 #, kde-format
 msgid "Folder %1 must be relative to the main model directory, %2."
 msgstr "文件夹名 %1 必须是对主模型目录 %2 的相对路径"
 
-#: umllistview.cpp:575
+#: umllistview.cpp:576
 #, kde-format
 msgid "Path Error"
 msgstr "路径错误"
 
-#: umllistview.cpp:583
+#: umllistview.cpp:584
 #, kde-format
 msgid ""
 "File %1 already exists!\n"
@@ -8049,62 +8049,62 @@ msgstr ""
 "文件 %1 已经存在！\n"
 "已有文件将被覆盖。"
 
-#: umllistview.cpp:584
+#: umllistview.cpp:585
 #, kde-format
 msgid "File Exist"
 msgstr "文件已存在"
 
-#: umllistview.cpp:624
+#: umllistview.cpp:625
 #, kde-format
 msgid "Enter Model Name"
 msgstr "输入模型名称"
 
-#: umllistview.cpp:625
+#: umllistview.cpp:626
 #, kde-format
 msgid "Enter the new name of the model:"
 msgstr "输入模型的新名称："
 
-#: umllistview.cpp:1422
+#: umllistview.cpp:1430
 #, kde-format
 msgid "Views"
 msgstr "视图"
 
-#: umllistview.cpp:1441
+#: umllistview.cpp:1449
 #, kde-format
 msgid "Settings"
 msgstr "设置"
 
-#: umllistview.cpp:2413
+#: umllistview.cpp:2421
 #, kde-format
 msgid "Loading listview..."
 msgstr "正在装入列表视图..."
 
-#: umllistview.cpp:2764
+#: umllistview.cpp:2772
 #, kde-format
 msgid "The class must be emptied before it can be deleted."
 msgstr ""
 
-#: umllistview.cpp:2765
+#: umllistview.cpp:2773
 #, kde-format
 msgid "Class Not Empty"
 msgstr ""
 
-#: umllistview.cpp:2769
+#: umllistview.cpp:2777
 #, kde-format
 msgid "The package must be emptied before it can be deleted."
 msgstr ""
 
-#: umllistview.cpp:2770
+#: umllistview.cpp:2778
 #, kde-format
 msgid "Package Not Empty"
 msgstr ""
 
-#: umllistview.cpp:2774
+#: umllistview.cpp:2782
 #, kde-format
 msgid "The folder must be emptied before it can be deleted."
 msgstr "文件夹清空后才能删除。"
 
-#: umllistview.cpp:2775
+#: umllistview.cpp:2783
 #, kde-format
 msgid "Folder Not Empty"
 msgstr "文件夹非空"
diff -pruN 4:20.08.3-1/po/zh_TW/umbrello.po 4:20.12.0-0ubuntu1/po/zh_TW/umbrello.po
--- 4:20.08.3-1/po/zh_TW/umbrello.po	2020-11-03 00:42:17.000000000 +0000
+++ 4:20.12.0-0ubuntu1/po/zh_TW/umbrello.po	2020-12-04 00:21:32.000000000 +0000
@@ -14,7 +14,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: umbrello\n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
-"POT-Creation-Date: 2020-08-14 08:09+0200\n"
+"POT-Creation-Date: 2020-11-06 02:36+0100\n"
 "PO-Revision-Date: 2019-08-12 18:54+0800\n"
 "Last-Translator: pan93412 <pan93412@gmail.com>\n"
 "Language-Team: Chinese <zh-l10n@lists.linux.org.tw>\n"
@@ -215,7 +215,7 @@ msgstr ""
 "至少有一個剪貼簿中的項目無法貼上，因為已經有相同名稱的項目存在。其它的項目都"
 "已貼上。"
 
-#: clipboard/umlclipboard.cpp:753 uml.cpp:1689
+#: clipboard/umlclipboard.cpp:753 uml.cpp:1698
 #, kde-format
 msgid "Paste Error"
 msgstr "貼上時發生錯誤"
@@ -439,7 +439,7 @@ msgstr "<p align=\"center\">C++ 代碼
 #. i18n: ectx: attribute (title), widget (QWidget, ui_tabGeneral)
 #: codegenerators/cpp/cppcodegenerationformbase.ui:51
 #: codegenwizard/codegenoptionspage.ui:39 dialogs/objectnodedialog.cpp:135
-#: umllistview.cpp:1451
+#: umllistview.cpp:1459
 #, kde-format
 msgid "General"
 msgstr "一般"
@@ -1308,7 +1308,7 @@ msgstr "狀態"
 #. i18n: ectx: property (text), widget (QRadioButton, ui_categoryClass)
 #. i18n: ectx: property (text), widget (QTableWidget, ui_tableWidgetStatus)
 #: codegenwizard/codegenstatuspage.ui:40 codeimpwizard/codeimpstatuspage.ui:54
-#: dialogs/finddialog.ui:89 umllistview.cpp:1446 umlwidgets/widgetbase.cpp:1255
+#: dialogs/finddialog.ui:89 umllistview.cpp:1454 umlwidgets/widgetbase.cpp:1255
 #, kde-format
 msgid "Class"
 msgstr "類別"
@@ -1961,17 +1961,17 @@ msgstr "啟用「移除關聯」的相
 msgid "Enable 'delete diagram' related messages"
 msgstr "啟用「移除圖表」的相關訊息"
 
-#: dialogs/dialog_utils.cpp:117
+#: dialogs/dialog_utils.cpp:118
 #, kde-format
 msgid "You are about to delete an association. Do you really want to continue?"
 msgstr "你正打算移除一個關聯。確定繼續？"
 
-#: dialogs/dialog_utils.cpp:118
+#: dialogs/dialog_utils.cpp:119
 #, kde-format
 msgid "Delete Association"
 msgstr "移除關聯"
 
-#: dialogs/dialog_utils.cpp:132
+#: dialogs/dialog_utils.cpp:133
 #, kde-format
 msgid ""
 "You are about to delete the entire diagram.\n"
@@ -1980,17 +1980,17 @@ msgstr ""
 "將要刪除整個圖表。\n"
 "您確定嗎？"
 
-#: dialogs/dialog_utils.cpp:133
+#: dialogs/dialog_utils.cpp:134
 #, kde-format
 msgid "Are you sure you want to delete diagram %1?"
 msgstr "確認要刪除圖表 %1 嗎？"
 
-#: dialogs/dialog_utils.cpp:138
+#: dialogs/dialog_utils.cpp:139
 #, kde-format
 msgid "Delete Diagram?"
 msgstr "刪除圖表？"
 
-#: dialogs/dialog_utils.cpp:139 dialogs/pages/classifierlistpage.cpp:215
+#: dialogs/dialog_utils.cpp:140 dialogs/pages/classifierlistpage.cpp:215
 #: dialogs/pages/classifierlistpage.cpp:223
 #: dialogs/umlforeignkeyconstraintdialog.cpp:325
 #: dialogs/umlforeignkeyconstraintdialog.cpp:331
@@ -2151,7 +2151,7 @@ msgstr "一般"
 #. i18n: ectx: label, entry (uiFont), group (UI Options)
 #. i18n: ectx: label, entry (codeViewerFont), group (Code Viewer Options)
 #: dialogs/multipagedialogbase.cpp:405 umbrello.kcfg:177 umbrello.kcfg:292
-#: umllistview.cpp:1450
+#: umllistview.cpp:1458
 #, kde-format
 msgid "Font"
 msgstr "字型"
@@ -2579,7 +2579,7 @@ msgstr "新增實體屬性(&E)..."
 
 #: dialogs/pages/classifierlistpage.cpp:217
 #: dialogs/pages/classifierlistpage.cpp:225 dialogs/umloperationdialog.cpp:167
-#: dialogs/umloperationdialog.cpp:175 uml.cpp:554
+#: dialogs/umloperationdialog.cpp:175 uml.cpp:563
 #, kde-format
 msgid "&Properties"
 msgstr "屬性(&P)"
@@ -2597,7 +2597,7 @@ msgid "Source Code"
 msgstr "源碼"
 
 #: dialogs/pages/classoptionspage.cpp:157
-#: dialogs/pages/classoptionspage.cpp:251 uml.cpp:509
+#: dialogs/pages/classoptionspage.cpp:251 uml.cpp:518
 #, kde-format
 msgid "&Documentation"
 msgstr "文件(&D)"
@@ -2784,8 +2784,8 @@ msgstr "您輸入的名稱不合法。"
 #: uml1model/classifier.cpp:410 uml1model/classifier.cpp:781
 #: uml1model/entity.cpp:125 uml1model/entity.cpp:178 uml1model/entity.cpp:228
 #: uml1model/entity.cpp:277 uml1model/enum.cpp:107 uml1model/instance.cpp:124
-#: uml1model/package.cpp:172 umldoc.cpp:1627 umldoc.cpp:1692 umldoc.cpp:1721
-#: umldoc.cpp:1755
+#: uml1model/package.cpp:178 umldoc.cpp:1629 umldoc.cpp:1694 umldoc.cpp:1723
+#: umldoc.cpp:1757
 #, kde-format
 msgid "Invalid Name"
 msgstr "無效名稱"
@@ -2795,7 +2795,7 @@ msgstr "無效名稱"
 msgid "The name you have entered is not unique."
 msgstr "您輸入的名稱不唯一。"
 
-#: dialogs/pages/diagrampropertiespage.cpp:86 umldoc.cpp:1759
+#: dialogs/pages/diagrampropertiespage.cpp:86 umldoc.cpp:1761
 #, kde-format
 msgid "Name Not Unique"
 msgstr "名稱不唯一"
@@ -3264,7 +3264,7 @@ msgstr "圖表(&D)"
 msgid "Umbrello Setup"
 msgstr "Umbrello 設定"
 
-#: dialogs/settingsdialog.cpp:114 umllistview.cpp:1452
+#: dialogs/settingsdialog.cpp:114 umllistview.cpp:1460
 #, kde-format
 msgid "User Interface"
 msgstr "使用者介面"
@@ -3291,7 +3291,7 @@ msgstr "類別"
 msgid "Class Settings"
 msgstr "類別設定"
 
-#: dialogs/settingsdialog.cpp:137 umllistview.cpp:1447
+#: dialogs/settingsdialog.cpp:137 umllistview.cpp:1455
 #, kde-format
 msgid "Code Importer"
 msgstr "代碼匯入器"
@@ -3301,7 +3301,7 @@ msgstr "代碼匯入器"
 msgid "Code Import Settings"
 msgstr "代碼匯入器設定"
 
-#: dialogs/settingsdialog.cpp:146 umllistview.cpp:1448
+#: dialogs/settingsdialog.cpp:146 umllistview.cpp:1456
 #, kde-format
 msgid "Code Generation"
 msgstr "代碼產生"
@@ -3311,7 +3311,7 @@ msgstr "代碼產生"
 msgid "Code Generation Settings"
 msgstr "代碼產生設定"
 
-#: dialogs/settingsdialog.cpp:154 umllistview.cpp:1449
+#: dialogs/settingsdialog.cpp:154 umllistview.cpp:1457
 #, kde-format
 msgid "Code Viewer"
 msgstr "代碼檢視器"
@@ -3321,7 +3321,7 @@ msgstr "代碼檢視器"
 msgid "Code Viewer Settings"
 msgstr "代碼檢視器設定"
 
-#: dialogs/settingsdialog.cpp:161 umllistview.cpp:1445
+#: dialogs/settingsdialog.cpp:161 umllistview.cpp:1453
 #, kde-format
 msgid "Auto Layout"
 msgstr "自動佈局"
@@ -3950,7 +3950,7 @@ msgstr "型態(&T)："
 msgid "Package path:"
 msgstr "套件路徑："
 
-#: dialogs/widgets/umlstereotypewidget.cpp:29 uml1model/umlobject.cpp:1179
+#: dialogs/widgets/umlstereotypewidget.cpp:29 uml1model/umlobject.cpp:1180
 #, kde-format
 msgid "Stereotype &name:"
 msgstr "模板造型名稱(&N)："
@@ -4095,7 +4095,7 @@ msgstr ""
 msgid "Gael de Chalendar (aka Kleag)"
 msgstr "Gael de Chalendar (aka Kleag)"
 
-#: docgenerators/main.cpp:56 main.cpp:131
+#: docgenerators/main.cpp:56 main.cpp:133
 #, kde-format
 msgid "Umbrello UML Modeller Authors"
 msgstr "Umbrello UML 建模工具作者"
@@ -4157,12 +4157,12 @@ msgstr "焦點變動後啟用文件編
 msgid "Apply layout"
 msgstr "套用佈局"
 
-#: main.cpp:121
+#: main.cpp:123
 #, kde-format
 msgid "Umbrello UML Modeller"
 msgstr "Umbrello UML 建模工具"
 
-#: main.cpp:123
+#: main.cpp:125
 #, kde-format
 msgid ""
 "Umbrello – Visual development environment for software, based on the "
@@ -4172,7 +4172,7 @@ msgstr ""
 "Umbrello – 軟體的視覺化開發環境，基於工業標準的統一塑模語言 (UML)。<br/>參見 "
 "<a href=\"http://www.omg.org/spec/\">http://www.omg.org/spec/</a>。"
 
-#: main.cpp:127
+#: main.cpp:129
 #, fuzzy, kde-format
 #| msgid ""
 #| "Copyright © 2001 Paul Hensgen,\n"
@@ -4182,109 +4182,109 @@ msgid ""
 "Copyright © 2002-2020 Umbrello UML Modeller Authors"
 msgstr "(c) 2001 Paul Hensgen, (c) 2002-2018 Umbrello UML 建模工具作者"
 
-#: main.cpp:130
+#: main.cpp:132
 #, kde-format
 msgid "Paul Hensgen"
 msgstr "Paul Hensgen"
 
-#: main.cpp:130
+#: main.cpp:132
 #, kde-format
 msgid "Author of initial version."
 msgstr "初始版本的作者。"
 
-#: main.cpp:134
+#: main.cpp:136
 #, kde-format
 msgid "Oliver Kellogg"
 msgstr "Oliver Kellogg"
 
-#: main.cpp:135 main.cpp:138
+#: main.cpp:137 main.cpp:140
 #, kde-format
 msgid "Bug fixing, porting work, code cleanup, new features."
 msgstr "錯誤修復、移植工作、程式碼清理、新功能。"
 
-#: main.cpp:137
+#: main.cpp:139
 #, kde-format
 msgid "Ralf Habacker"
 msgstr "Ralf Habacker"
 
-#: main.cpp:140
+#: main.cpp:142
 #, kde-format
 msgid "Andi Fischer"
 msgstr "Andi Fischer"
 
-#: main.cpp:141
+#: main.cpp:143
 #, kde-format
 msgid "Porting work, code cleanup, new features."
 msgstr "移植工作、程式碼清理、新功能。"
 
-#: main.cpp:143
+#: main.cpp:145
 #, kde-format
 msgid "Jonathan Riddell"
 msgstr "Jonathan Riddell"
 
-#: main.cpp:144
+#: main.cpp:146
 #, kde-format
 msgid "Current maintainer."
 msgstr "目前維護者。"
 
-#: main.cpp:146
+#: main.cpp:148
 #, kde-format
 msgid "Brian Thomas"
 msgstr "Brian Thomas"
 
-#: main.cpp:147
+#: main.cpp:149
 #, kde-format
 msgid "A lot of work for C++ and Java code generation. Codeeditor."
 msgstr "許多 C++ 與 Java 程式碼生成的工作。程式碼編輯器。"
 
-#: main.cpp:152
+#: main.cpp:154
 #, kde-format
 msgid "File to open"
 msgstr "要開啟的檔案"
 
-#: main.cpp:153
+#: main.cpp:155
 #, kde-format
 msgid "export diagrams to extension and exit"
 msgstr "將圖表匯出為延伸並離開"
 
-#: main.cpp:154
+#: main.cpp:156
 #, kde-format
 msgid "list available export extensions"
 msgstr "列出可用的匯出副檔名"
 
-#: main.cpp:155
+#: main.cpp:157
 #, kde-format
 msgid "the local directory to save the exported diagrams in"
 msgstr "要儲存匯出的圖表的本地端目錄"
 
-#: main.cpp:155
+#: main.cpp:157
 #, kde-format
 msgid "the directory of the file"
 msgstr "此檔案的目錄"
 
-#: main.cpp:156
+#: main.cpp:158
 #, kde-format
 msgid "import files"
 msgstr "匯入檔案"
 
-#: main.cpp:157
+#: main.cpp:159
 #, kde-format
 msgid "list supported languages"
 msgstr "列出支援的語言"
 
-#: main.cpp:158
+#: main.cpp:160
 #, kde-format
 msgid ""
 "keep the tree structure used to store the views in the document in the "
 "target directory"
 msgstr "在目標目錄中的文件裡保留用於儲存檢視的樹狀結構"
 
-#: main.cpp:159
+#: main.cpp:161
 #, kde-format
 msgid "import files from directory <dir>"
 msgstr "從目錄匯入 <dir>"
 
-#: main.cpp:163
+#: main.cpp:165
 #, kde-format
 msgid "set active language"
 msgstr "設定使用中的語言"
@@ -4552,7 +4552,7 @@ msgstr "顯示解構"
 msgid "Import File(s)..."
 msgstr "匯入檔案..."
 
-#: menus/listpopupmenu.cpp:201 uml.cpp:356
+#: menus/listpopupmenu.cpp:201 uml.cpp:365
 #, kde-format
 msgid "Import from Directory..."
 msgstr "從目錄匯入..."
@@ -5060,42 +5060,42 @@ msgctxt "align menu"
 msgid "Align"
 msgstr "對齊"
 
-#: menus/widgetbasepopupmenu.cpp:598 uml.cpp:573
+#: menus/widgetbasepopupmenu.cpp:598 uml.cpp:582
 #, kde-format
 msgid "Align Right"
 msgstr "置右對齊"
 
-#: menus/widgetbasepopupmenu.cpp:599 uml.cpp:578
+#: menus/widgetbasepopupmenu.cpp:599 uml.cpp:587
 #, kde-format
 msgid "Align Left"
 msgstr "置左對齊"
 
-#: menus/widgetbasepopupmenu.cpp:600 uml.cpp:583
+#: menus/widgetbasepopupmenu.cpp:600 uml.cpp:592
 #, kde-format
 msgid "Align Top"
 msgstr "置頂對齊"
 
-#: menus/widgetbasepopupmenu.cpp:601 uml.cpp:588
+#: menus/widgetbasepopupmenu.cpp:601 uml.cpp:597
 #, kde-format
 msgid "Align Bottom"
 msgstr "置底對齊"
 
-#: menus/widgetbasepopupmenu.cpp:603 uml.cpp:593
+#: menus/widgetbasepopupmenu.cpp:603 uml.cpp:602
 #, kde-format
 msgid "Align Vertical Middle"
 msgstr "垂直置中對齊"
 
-#: menus/widgetbasepopupmenu.cpp:604 uml.cpp:598
+#: menus/widgetbasepopupmenu.cpp:604 uml.cpp:607
 #, kde-format
 msgid "Align Horizontal Middle"
 msgstr "水平置中對齊"
 
-#: menus/widgetbasepopupmenu.cpp:605 uml.cpp:603
+#: menus/widgetbasepopupmenu.cpp:605 uml.cpp:612
 #, kde-format
 msgid "Align Vertical Distribute"
 msgstr "垂直分散對齊"
 
-#: menus/widgetbasepopupmenu.cpp:606 uml.cpp:608
+#: menus/widgetbasepopupmenu.cpp:606 uml.cpp:617
 #, kde-format
 msgid "Align Horizontal Distribute"
 msgstr "水平分散對齊"
@@ -6025,8 +6025,8 @@ msgstr "使用量"
 #: object_factory.cpp:251 uml1model/classifier.cpp:410
 #: uml1model/classifier.cpp:781 uml1model/entity.cpp:125
 #: uml1model/entity.cpp:178 uml1model/entity.cpp:228 uml1model/entity.cpp:277
-#: uml1model/enum.cpp:107 uml1model/instance.cpp:124 uml1model/package.cpp:171
-#: umldoc.cpp:1721 umldoc.cpp:1755
+#: uml1model/enum.cpp:107 uml1model/instance.cpp:124 uml1model/package.cpp:177
+#: umldoc.cpp:1723 umldoc.cpp:1757
 #, kde-format
 msgid "That is an invalid name."
 msgstr "名稱無效。"
@@ -6045,7 +6045,7 @@ msgstr "保留的關鍵字"
 #: object_factory.cpp:264 uml1model/classifier.cpp:413
 #: uml1model/classifier.cpp:783 uml1model/entity.cpp:127
 #: uml1model/entity.cpp:180 uml1model/entity.cpp:230 uml1model/entity.cpp:279
-#: uml1model/instance.cpp:126 umldoc.cpp:1727 umldoc.cpp:1764
+#: uml1model/instance.cpp:126 umldoc.cpp:1729 umldoc.cpp:1766
 #, kde-format
 msgid "That name is already being used."
 msgstr "名稱已被使用。"
@@ -6053,8 +6053,8 @@ msgstr "名稱已被使用。"
 #: object_factory.cpp:265 uml1model/classifier.cpp:413
 #: uml1model/classifier.cpp:783 uml1model/entity.cpp:127
 #: uml1model/entity.cpp:180 uml1model/entity.cpp:230 uml1model/entity.cpp:279
-#: uml1model/instance.cpp:126 umldoc.cpp:1629 umldoc.cpp:1699 umldoc.cpp:1727
-#: umldoc.cpp:1764
+#: uml1model/instance.cpp:126 umldoc.cpp:1631 umldoc.cpp:1701 umldoc.cpp:1729
+#: umldoc.cpp:1766
 #, kde-format
 msgid "Not a Unique Name"
 msgstr "名稱不唯一"
@@ -6115,12 +6115,12 @@ msgstr "在 %1 已經有同樣名稱的
 msgid "Choose a different name."
 msgstr "請改用不同的名稱。"
 
-#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:266
+#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:273
 #, kde-format
 msgid "Incorrect use of associations."
 msgstr "關聯的用法不正確。"
 
-#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:266
+#: toolbarstateassociation.cpp:181 toolbarstateassociation.cpp:273
 #, kde-format
 msgid "Association Error"
 msgstr "關聯錯誤"
@@ -7282,188 +7282,188 @@ msgstr "使用中語言(&L)"
 msgid "&Settings"
 msgstr "設定(&S)"
 
-#: uml.cpp:332
+#: uml.cpp:341
 #, kde-format
 msgid "&Export model to DocBook"
 msgstr "匯出模型到 DocBook(&E)"
 
-#: uml.cpp:336
+#: uml.cpp:345
 #, kde-format
 msgid "&Export model to XHTML"
 msgstr "匯出模型到 XHTML(&E)"
 
-#: uml.cpp:340
+#: uml.cpp:349
 #, kde-format
 msgid "&New Class Wizard..."
 msgstr "新增類別精靈(&N)..."
 
-#: uml.cpp:344
+#: uml.cpp:353
 #, kde-format
 msgid "&Add Default Datatypes for Active Language"
 msgstr "為目前使用的語言增加預設資料型態(&A)"
 
-#: uml.cpp:351
+#: uml.cpp:360
 #, kde-format
 msgid "Code &Importing Wizard..."
 msgstr "代碼匯入精靈(&I)..."
 
-#: uml.cpp:361
+#: uml.cpp:370
 #, kde-format
 msgid "&Code Generation Wizard..."
 msgstr "代碼產生精靈(&C)..."
 
-#: uml.cpp:366
+#: uml.cpp:375
 #, kde-format
 msgid "&Generate All Code"
 msgstr "產生全部代碼(&G)"
 
-#: uml.cpp:411
+#: uml.cpp:420
 #, kde-format
 msgid "Creates a new document"
 msgstr "建立新文件"
 
-#: uml.cpp:412
+#: uml.cpp:421
 #, kde-format
 msgid "Opens an existing document"
 msgstr "開啟現有的文件"
 
-#: uml.cpp:413
+#: uml.cpp:422
 #, kde-format
 msgid "Opens a recently used file"
 msgstr "開啟最近使用的檔案"
 
-#: uml.cpp:414
+#: uml.cpp:423
 #, kde-format
 msgid "Saves the document"
 msgstr "儲存文件"
 
-#: uml.cpp:415
+#: uml.cpp:424
 #, kde-format
 msgid "Saves the document as..."
 msgstr "文件另存為..."
 
-#: uml.cpp:416
+#: uml.cpp:425
 #, kde-format
 msgid "Closes the document"
 msgstr "關閉文件"
 
-#: uml.cpp:417
+#: uml.cpp:426
 #, kde-format
 msgid "Prints out the document"
 msgstr "列印文件"
 
-#: uml.cpp:418
+#: uml.cpp:427
 #, kde-format
 msgid "Print Preview of the document"
 msgstr "文件的預覽列印"
 
-#: uml.cpp:419
+#: uml.cpp:428
 #, kde-format
 msgid "Quits the application"
 msgstr "離開應用程式"
 
-#: uml.cpp:420
+#: uml.cpp:429
 #, kde-format
 msgid "Exports the model to the docbook format"
 msgstr "將模型匯出為 docbook 格式"
 
-#: uml.cpp:421
+#: uml.cpp:430
 #, kde-format
 msgid "Exports the model to the XHTML format"
 msgstr "將模型匯出為 XHTML 格式"
 
-#: uml.cpp:422
+#: uml.cpp:431
 #, kde-format
 msgid "Cuts the selected section and puts it to the clipboard"
 msgstr "剪下所選取的部分並放到剪貼簿"
 
-#: uml.cpp:423
+#: uml.cpp:432
 #, kde-format
 msgid "Copies the selected section to the clipboard"
 msgstr "複製所選取的部分並放到剪貼簿"
 
-#: uml.cpp:424
+#: uml.cpp:433
 #, kde-format
 msgid "Pastes the contents of the clipboard"
 msgstr "貼上剪貼簿內容"
 
-#: uml.cpp:425
+#: uml.cpp:434
 #, kde-format
 msgid "Set the default program preferences"
 msgstr "設定預設程式喜好設定"
 
-#: uml.cpp:429
+#: uml.cpp:438
 #, kde-format
 msgctxt "delete selected widget"
 msgid "Delete &Selected"
 msgstr "刪除選擇(&S)"
 
-#: uml.cpp:440
+#: uml.cpp:449
 #, kde-format
 msgid "&Class Diagram..."
 msgstr "類別圖(&C)..."
 
-#: uml.cpp:447
+#: uml.cpp:456
 #, kde-format
 msgid "&Object Diagram..."
 msgstr "物件圖表(&O)..."
 
-#: uml.cpp:454
+#: uml.cpp:463
 #, kde-format
 msgid "&Sequence Diagram..."
 msgstr "序列圖(&S)..."
 
-#: uml.cpp:460
+#: uml.cpp:469
 #, kde-format
 msgid "C&ommunication Diagram..."
 msgstr "協作圖(&O)..."
 
-#: uml.cpp:466
+#: uml.cpp:475
 #, kde-format
 msgid "&Use Case Diagram..."
 msgstr "用例圖(&U)..."
 
-#: uml.cpp:472
+#: uml.cpp:481
 #, kde-format
 msgid "S&tate Diagram..."
 msgstr "狀態圖(&T)..."
 
-#: uml.cpp:478
+#: uml.cpp:487
 #, kde-format
 msgid "&Activity Diagram..."
 msgstr "活動圖(&A)..."
 
-#: uml.cpp:484
+#: uml.cpp:493
 #, kde-format
 msgid "Co&mponent Diagram..."
 msgstr "元件圖(&M)..."
 
-#: uml.cpp:490
+#: uml.cpp:499
 #, kde-format
 msgid "&Deployment Diagram..."
 msgstr "部署圖(&D)..."
 
-#: uml.cpp:496
+#: uml.cpp:505
 #, kde-format
 msgid "&Entity Relationship Diagram..."
 msgstr "實體關係圖(&E)..."
 
-#: uml.cpp:501 uml.cpp:954
+#: uml.cpp:510 uml.cpp:963
 #, kde-format
 msgid "&Tree View"
 msgstr "樹狀檢視(&T)"
 
-#: uml.cpp:505
+#: uml.cpp:514
 #, kde-format
 msgid "&Debugging"
 msgstr "除錯(&D)"
 
-#: uml.cpp:513
+#: uml.cpp:522
 #, kde-format
 msgid "&Logging"
 msgstr "紀錄(&L)"
 
-#: uml.cpp:517
+#: uml.cpp:526
 #, kde-format
 msgid "&Command history"
 msgstr "命令歷史(&C)"
@@ -7472,135 +7472,135 @@ msgstr "命令歷史(&C)"
 #. m_propertyDock->setObjectName(QLatin1String("PropertyDock"));
 #. addDockWidget(Qt::LeftDockWidgetArea, m_propertyDock);  //:TODO:
 #. create the bird's eye view
-#: uml.cpp:521 uml.cpp:1011
+#: uml.cpp:530 uml.cpp:1020
 #, kde-format
 msgid "&Bird's eye view"
 msgstr "鳥瞰檢視(&B)"
 
-#: uml.cpp:526
+#: uml.cpp:535
 #, kde-format
 msgid "&Clear Diagram"
 msgstr "清除圖表(&C)"
 
-#: uml.cpp:530
+#: uml.cpp:539
 #, kde-format
 msgid "&Snap to Grid"
 msgstr "貼齊格線(&S)"
 
-#: uml.cpp:534
+#: uml.cpp:543
 #, kde-format
 msgid "S&how Grid"
 msgstr "顯示格線(&H)"
 
-#: uml.cpp:539
+#: uml.cpp:548
 #, kde-format
 msgid "&Delete Diagram"
 msgstr "刪除圖表(&D)"
 
-#: uml.cpp:544
+#: uml.cpp:553
 #, kde-format
 msgid "&Export as Picture..."
 msgstr "匯出為圖片(&E)..."
 
-#: uml.cpp:549
+#: uml.cpp:558
 #, kde-format
 msgid "Export &Diagrams as Pictures..."
 msgstr "將全部圖表匯出為圖片(&D)..."
 
-#: uml.cpp:569
+#: uml.cpp:578
 #, kde-format
 msgid "Z&oom to 100%"
 msgstr "縮放到 100%(&O)"
 
-#: uml.cpp:612
+#: uml.cpp:621
 #, kde-format
 msgid "&Move Tab Left"
 msgstr "標籤左移(&M)"
 
-#: uml.cpp:613
+#: uml.cpp:622
 #, kde-format
 msgid "&Move Tab Right"
 msgstr "標籤右移(&M)"
 
-#: uml.cpp:636
+#: uml.cpp:645
 #, kde-format
 msgid "Select Diagram on Left"
 msgstr "選擇左側的圖表"
 
-#: uml.cpp:637
+#: uml.cpp:646
 #, kde-format
 msgid "Select Diagram on Right"
 msgstr "選擇右側的圖表"
 
-#: uml.cpp:776
+#: uml.cpp:785
 #, kde-format
 msgctxt "%1 percent value from 20 to 500"
 msgid " &%1%"
 msgstr "%1%(&%1)"
 
-#: uml.cpp:826
+#: uml.cpp:835
 #, kde-format
 msgctxt "init status bar"
 msgid "Ready"
 msgstr "已就緒"
 
-#: uml.cpp:835 uml.cpp:848
+#: uml.cpp:844 uml.cpp:857
 #, kde-format
 msgid "100%"
 msgstr "100%"
 
-#: uml.cpp:840
+#: uml.cpp:849
 #, kde-format
 msgid "Fit"
 msgstr "適中"
 
-#: uml.cpp:899
+#: uml.cpp:908
 #, kde-format
 msgid "Diagram Toolbar"
 msgstr "圖表工具列"
 
-#: uml.cpp:965
+#: uml.cpp:974
 #, kde-format
 msgid "Doc&umentation"
 msgstr "文件(&U)"
 
-#: uml.cpp:976
+#: uml.cpp:985
 #, kde-format
 msgid "Co&mmand history"
 msgstr "命令歷史(&M)"
 
-#: uml.cpp:992
+#: uml.cpp:1001
 #, kde-format
 msgid "&Debug"
 msgstr "除錯(&D)"
 
-#: uml.cpp:999
+#: uml.cpp:1008
 #, kde-format
 msgid "&Log"
 msgstr "紀錄(&L)"
 
-#: uml.cpp:1041 uml.cpp:1258 uml.cpp:1307
+#: uml.cpp:1050 uml.cpp:1267 uml.cpp:1316
 #, kde-format
 msgid "Opening file..."
 msgstr "正在開啟檔案..."
 
-#: uml.cpp:1092 uml.cpp:1157 uml.cpp:1342 umldoc.cpp:342 umldoc.cpp:344
-#: umldoc.cpp:368 umldoc.cpp:3396
+#: uml.cpp:1101 uml.cpp:1166 uml.cpp:1351 umldoc.cpp:343 umldoc.cpp:345
+#: umldoc.cpp:369 umldoc.cpp:3405
 #, kde-format
 msgid "Untitled"
 msgstr "未命名"
 
-#: uml.cpp:1240
+#: uml.cpp:1249
 #, kde-format
 msgid "Creating new document..."
 msgstr "正在建立新文件..."
 
-#: uml.cpp:1266 uml.cpp:1281
+#: uml.cpp:1275 uml.cpp:1290
 #, kde-format
 msgid "Open File"
 msgstr "開啟檔案"
 
-#: uml.cpp:1270
+#: uml.cpp:1279
 #, kde-format
 msgid ""
 "*.xmi *.xmi.tgz *.xmi.tar.bz2 *.mdl *.zargo|All Supported Files (*.xmi, *."
@@ -7619,22 +7619,22 @@ msgstr ""
 "*.mdl|Rose 模型檔案（*.mdl）\n"
 "*.zargo|壓縮的 argo 檔（*.zargo）\n"
 
-#: uml.cpp:1341
+#: uml.cpp:1350
 #, kde-format
 msgid "Saving file..."
 msgstr "正在儲存檔案..."
 
-#: uml.cpp:1358
+#: uml.cpp:1367
 #, kde-format
 msgid "Saving file with a new filename..."
 msgstr "正在用新檔名儲存檔案..."
 
-#: uml.cpp:1368 uml.cpp:1374 umlviewimageexporter.cpp:199
+#: uml.cpp:1377 uml.cpp:1383 umlviewimageexporter.cpp:199
 #, kde-format
 msgid "Save As"
 msgstr "另存為"
 
-#: uml.cpp:1369
+#: uml.cpp:1378
 #, kde-format
 msgid ""
 "*.xmi | XMI File (*.xmi);;*.xmi.tgz | Gzip Compressed XMI File (*.xmi.tgz);;"
@@ -7643,7 +7643,7 @@ msgstr ""
 "*.xmi | XMI 檔案 (*.xmi);;*.xmi.tgz | Gzip 壓縮過的 XMI 檔案 (*.xmi.tgz);;*."
 "xmi.tar.bz2 | Bzip2 壓縮過的 XMI 檔案 (*.xmi.tar.bz2);;* | 所有檔案 (*)"
 
-#: uml.cpp:1374
+#: uml.cpp:1383
 #, kde-format
 msgid ""
 "*.xmi|XMI File\n"
@@ -7656,7 +7656,7 @@ msgstr ""
 "*.xmi.tar.bz2|Bzip2 壓縮的 XMI 檔案\n"
 "*|全部檔案"
 
-#: uml.cpp:1387
+#: uml.cpp:1396
 #, kde-format
 msgid ""
 "The file %1 exists.\n"
@@ -7665,105 +7665,105 @@ msgstr ""
 "檔案 %1 已存在。\n"
 "要覆寫它嗎？"
 
-#: uml.cpp:1388
+#: uml.cpp:1397
 #, kde-format
 msgid "Warning"
 msgstr "警告"
 
-#: uml.cpp:1388
+#: uml.cpp:1397
 #, kde-format
 msgid "Overwrite"
 msgstr "覆寫"
 
-#: uml.cpp:1422
+#: uml.cpp:1431
 #, kde-format
 msgid "Closing file..."
 msgstr "正在關閉檔案..."
 
-#: uml.cpp:1432
+#: uml.cpp:1441
 #, kde-format
 msgid "No search term entered"
 msgstr "沒有輸入搜尋字串"
 
-#: uml.cpp:1438
+#: uml.cpp:1447
 #, kde-format
 msgid "'%1': %2 found"
 msgstr "'%1'：找到 %2 筆"
 
-#: uml.cpp:1502
+#: uml.cpp:1511
 #, kde-format
 msgid "Print Preview..."
 msgstr "預覽列印.."
 
-#: uml.cpp:1529
+#: uml.cpp:1538
 #, kde-format
 msgid "Printing..."
 msgstr "正在列印..."
 
-#: uml.cpp:1536 uml.cpp:1540
+#: uml.cpp:1545 uml.cpp:1549
 #, kde-format
 msgid "Print %1"
 msgstr "列印 %1"
 
-#: uml.cpp:1560
+#: uml.cpp:1569
 #, kde-format
 msgid "Exiting..."
 msgstr "正在離開..."
 
-#: uml.cpp:1647
+#: uml.cpp:1656
 #, kde-format
 msgid "Cutting selection..."
 msgstr "正在剪下所選取的項目..."
 
-#: uml.cpp:1670
+#: uml.cpp:1679
 #, kde-format
 msgid "Copying selection to clipboard..."
 msgstr "正在複製所選取的項目到剪貼簿..."
 
-#: uml.cpp:1682
+#: uml.cpp:1691
 #, kde-format
 msgid "Inserting clipboard contents..."
 msgstr "正在插入剪貼簿內容..."
 
-#: uml.cpp:1687
+#: uml.cpp:1696
 #, kde-format
 msgid ""
 "Umbrello could not paste the clipboard contents.  The objects in the "
 "clipboard may be of the wrong type to be pasted here."
 msgstr "Umbrello 無法貼上剪貼簿內容。剪貼簿中的物件的型態可能不正確。"
 
-#: uml.cpp:1713 umlviewimageexporter.cpp:92 umlviewimageexporterall.cpp:123
+#: uml.cpp:1722 umlviewimageexporter.cpp:92 umlviewimageexporterall.cpp:123
 #, kde-format
 msgctxt "reset status bar"
 msgid "Ready."
 msgstr "已就緒。"
 
-#: uml.cpp:2246
+#: uml.cpp:2255
 #, kde-format
 msgid "Cannot view code until you generate some first."
 msgstr "產生代碼後才能檢視代碼。"
 
-#: uml.cpp:2246 uml.cpp:2249
+#: uml.cpp:2255 uml.cpp:2258
 #, kde-format
 msgid "Cannot View Code"
 msgstr "無法檢視代碼"
 
-#: uml.cpp:2249
+#: uml.cpp:2258
 #, kde-format
 msgid "Cannot view code from simple code writer."
 msgstr "無法檢視簡單代碼編寫器中的代碼"
 
-#: uml.cpp:2714 uml.cpp:2716
+#: uml.cpp:2728 uml.cpp:2730
 #, kde-format
 msgid "Select file(s) to import:"
 msgstr "選擇要匯入的檔案："
 
-#: uml.cpp:2747 uml.cpp:2749
+#: uml.cpp:2761 uml.cpp:2763
 #, kde-format
 msgid "Select directory to import:"
 msgstr "選擇要匯入的目錄："
 
-#: uml.cpp:3313
+#: uml.cpp:3335
 #, kde-format
 msgid "XHTML Generation failed ."
 msgstr "XHTML 產生失敗。"
@@ -7775,20 +7775,20 @@ msgid ""
 "it again."
 msgstr "有同樣名稱和簽名的操作已經存在，不能再新增。"
 
-#: uml1model/folder.cpp:435
+#: uml1model/folder.cpp:436
 #, kde-format
 msgid "The folderfile %1 does not exist."
 msgstr "資料夾檔案 %1 不存在。"
 
-#: uml1model/folder.cpp:435 uml1model/folder.cpp:439 umldoc.cpp:529
-#: umldoc.cpp:541 umldoc.cpp:568 umldoc.cpp:570 umldoc.cpp:620 umldoc.cpp:623
-#: umldoc.cpp:638 umldoc.cpp:641 umldoc.cpp:665 umldoc.cpp:668 umldoc.cpp:684
-#: umldoc.cpp:687 umldoc.cpp:702 umldoc.cpp:705 umldoc.cpp:750
+#: uml1model/folder.cpp:436 uml1model/folder.cpp:440 umldoc.cpp:530
+#: umldoc.cpp:542 umldoc.cpp:569 umldoc.cpp:571 umldoc.cpp:621 umldoc.cpp:624
+#: umldoc.cpp:639 umldoc.cpp:642 umldoc.cpp:666 umldoc.cpp:669 umldoc.cpp:685
+#: umldoc.cpp:688 umldoc.cpp:703 umldoc.cpp:706 umldoc.cpp:751
 #, kde-format
 msgid "Load Error"
 msgstr "載入時發生錯誤"
 
-#: uml1model/folder.cpp:439
+#: uml1model/folder.cpp:440
 #, kde-format
 msgid "The folderfile %1 cannot be opened."
 msgstr "資料夾檔案 %1 無法開啟。"
@@ -7798,13 +7798,13 @@ msgstr "資料夾檔案 %1 無法開啟
 msgid "new_parameter"
 msgstr "新參數"
 
-#: uml1model/package.cpp:163
+#: uml1model/package.cpp:169
 #, kde-format
 msgctxt "object name"
 msgid "Name"
 msgstr "名稱"
 
-#: uml1model/package.cpp:164
+#: uml1model/package.cpp:170
 #, kde-format
 msgid ""
 "An object with the name %1\n"
@@ -7827,77 +7827,77 @@ msgstr "新欄位"
 msgid "new_fkey_constraint"
 msgstr "new_fkey_constraint"
 
-#: uml1model/umlobject.cpp:1140
+#: uml1model/umlobject.cpp:1141
 #, kde-format
 msgid "Actor &name:"
 msgstr "主角名稱(&N)："
 
-#: uml1model/umlobject.cpp:1143
+#: uml1model/umlobject.cpp:1144
 #, kde-format
 msgid "Artifact &name:"
 msgstr "產出名稱(&N):"
 
-#: uml1model/umlobject.cpp:1146
+#: uml1model/umlobject.cpp:1147
 #, kde-format
 msgid "Association &name:"
 msgstr "關聯名稱(&N)："
 
-#: uml1model/umlobject.cpp:1149
+#: uml1model/umlobject.cpp:1150
 #, kde-format
 msgid "Class &name:"
 msgstr "類別名稱(&N)："
 
-#: uml1model/umlobject.cpp:1152
+#: uml1model/umlobject.cpp:1153
 #, kde-format
 msgid "Component &name:"
 msgstr "元件名稱(&N)："
 
-#: uml1model/umlobject.cpp:1155
+#: uml1model/umlobject.cpp:1156
 #, kde-format
 msgid "Datatype &name:"
 msgstr "資料型態名稱(&N)："
 
-#: uml1model/umlobject.cpp:1158
+#: uml1model/umlobject.cpp:1159
 #, kde-format
 msgid "Entity &name:"
 msgstr "實體名稱(&N)："
 
-#: uml1model/umlobject.cpp:1161
+#: uml1model/umlobject.cpp:1162
 #, kde-format
 msgid "Enum &name:"
 msgstr "Enum 名稱(&N)："
 
-#: uml1model/umlobject.cpp:1164
+#: uml1model/umlobject.cpp:1165
 #, kde-format
 msgid "Folder &name:"
 msgstr "資料夾名稱(&N)："
 
-#: uml1model/umlobject.cpp:1167
+#: uml1model/umlobject.cpp:1168
 #, kde-format
 msgid "Interface &name:"
 msgstr "介面名稱(&N)："
 
-#: uml1model/umlobject.cpp:1170
+#: uml1model/umlobject.cpp:1171
 #, kde-format
 msgid "Node &name:"
 msgstr "節點名稱(&N)："
 
-#: uml1model/umlobject.cpp:1173
+#: uml1model/umlobject.cpp:1174
 #, kde-format
 msgid "Package &name:"
 msgstr "套件名稱(&N)："
 
-#: uml1model/umlobject.cpp:1176
+#: uml1model/umlobject.cpp:1177
 #, kde-format
 msgid "Port &name:"
 msgstr "連接埠名稱(&N)："
 
-#: uml1model/umlobject.cpp:1182
+#: uml1model/umlobject.cpp:1183
 #, kde-format
 msgid "Use case &name:"
 msgstr "用例名稱(&N)："
 
-#: uml1model/umlobject.cpp:1185
+#: uml1model/umlobject.cpp:1186
 #, kde-format
 msgid "Instance name:"
 msgstr "實體名稱："
@@ -7917,42 +7917,42 @@ msgstr "模板造型(&S)"
 msgid "Welcome"
 msgstr "歡迎"
 
-#: umldoc.cpp:112 umldoc.cpp:2400 umldoc.cpp:2428
+#: umldoc.cpp:113 umldoc.cpp:2405 umldoc.cpp:2433
 #, kde-format
 msgid "UML Model"
 msgstr "UML 模型"
 
-#: umldoc.cpp:154
+#: umldoc.cpp:155
 #, kde-format
 msgid "Logical View"
 msgstr "邏輯檢視"
 
-#: umldoc.cpp:155
+#: umldoc.cpp:156
 #, kde-format
 msgid "Use Case View"
 msgstr "用例檢視"
 
-#: umldoc.cpp:156
+#: umldoc.cpp:157
 #, kde-format
 msgid "Component View"
 msgstr "元件檢視"
 
-#: umldoc.cpp:157
+#: umldoc.cpp:158
 #, kde-format
 msgid "Deployment View"
 msgstr "部署檢視"
 
-#: umldoc.cpp:158
+#: umldoc.cpp:159
 #, kde-format
 msgid "Entity Relationship Model"
 msgstr "實體關係模型"
 
-#: umldoc.cpp:184
+#: umldoc.cpp:185
 #, kde-format
 msgid "Datatypes"
 msgstr "資料型態"
 
-#: umldoc.cpp:363
+#: umldoc.cpp:364
 #, kde-format
 msgid ""
 "The current file has been modified.\n"
@@ -7961,166 +7961,166 @@ msgstr ""
 "目前的檔案已修改。\n"
 "要儲存嗎？"
 
-#: umldoc.cpp:364
+#: umldoc.cpp:365
 #, kde-format
 msgctxt "warning message"
 msgid "Warning"
 msgstr "警告"
 
-#: umldoc.cpp:529
+#: umldoc.cpp:530
 #, kde-format
 msgid "The file <%1> does not exist."
 msgstr "檔案 <%1> 不存在。"
 
-#: umldoc.cpp:541
+#: umldoc.cpp:542
 #, kde-format
 msgid "The file %1 does not exist."
 msgstr "檔案 %1 不存在。"
 
-#: umldoc.cpp:568 umldoc.cpp:570
+#: umldoc.cpp:569 umldoc.cpp:571
 #, kde-format
 msgid "The file %1 seems to be corrupted."
 msgstr "檔案 %1 似乎已損壞。"
 
-#: umldoc.cpp:619 umldoc.cpp:622 umldoc.cpp:637 umldoc.cpp:640 umldoc.cpp:683
-#: umldoc.cpp:686
+#: umldoc.cpp:620 umldoc.cpp:623 umldoc.cpp:638 umldoc.cpp:641 umldoc.cpp:684
+#: umldoc.cpp:687
 #, kde-format
 msgid "There was no XMI file found in the compressed file %1."
 msgstr "壓縮檔案 %1 中找不到 XMI 檔。"
 
-#: umldoc.cpp:664 umldoc.cpp:667
+#: umldoc.cpp:665 umldoc.cpp:668
 #, kde-format
 msgid "There was a problem loading the extracted file: %1"
 msgstr "載入解出來的檔案時發生錯誤：%1"
 
-#: umldoc.cpp:701 umldoc.cpp:704 umldoc.cpp:744 umldoc.cpp:746
+#: umldoc.cpp:702 umldoc.cpp:705 umldoc.cpp:745 umldoc.cpp:747
 #, kde-format
 msgid "There was a problem loading file: %1"
 msgstr "載入檔案時發生錯誤：%1"
 
-#: umldoc.cpp:749
+#: umldoc.cpp:750
 #, kde-format
 msgid "Reason: %1"
 msgstr ""
 
-#: umldoc.cpp:832 umldoc.cpp:834 umldoc.cpp:851 umldoc.cpp:853 umldoc.cpp:873
-#: umldoc.cpp:875 umldoc.cpp:924 umldoc.cpp:926 umldoc.cpp:966 umldoc.cpp:969
-#: umldoc.cpp:978 umldoc.cpp:980 umllistview.cpp:593
+#: umldoc.cpp:833 umldoc.cpp:835 umldoc.cpp:852 umldoc.cpp:854 umldoc.cpp:874
+#: umldoc.cpp:876 umldoc.cpp:925 umldoc.cpp:927 umldoc.cpp:968 umldoc.cpp:971
+#: umldoc.cpp:980 umldoc.cpp:982 umllistview.cpp:594
 #, kde-format
 msgid "Save Error"
 msgstr "儲存時發生錯誤"
 
-#: umldoc.cpp:832 umldoc.cpp:851 umldoc.cpp:873 umldoc.cpp:924 umldoc.cpp:966
+#: umldoc.cpp:833 umldoc.cpp:852 umldoc.cpp:874 umldoc.cpp:925 umldoc.cpp:968
 #, kde-format
 msgid "There was a problem saving: %1"
 msgstr "儲存檔案時發生錯誤：%1"
 
-#: umldoc.cpp:834 umldoc.cpp:853 umldoc.cpp:875 umldoc.cpp:926 umldoc.cpp:969
-#: umllistview.cpp:592 umlviewimageexportermodel.cpp:303
+#: umldoc.cpp:835 umldoc.cpp:854 umldoc.cpp:876 umldoc.cpp:927 umldoc.cpp:971
+#: umllistview.cpp:593 umlviewimageexportermodel.cpp:303
 #, kde-format
 msgid "There was a problem saving file: %1"
 msgstr "儲存檔案時發生錯誤：%1"
 
-#: umldoc.cpp:978
+#: umldoc.cpp:980
 #, kde-format
 msgid "There was a problem uploading: %1"
 msgstr "上傳檔案時發生錯誤：%1"
 
-#: umldoc.cpp:980
+#: umldoc.cpp:982
 #, kde-format
 msgid "There was a problem uploading file: %1"
 msgstr "上傳檔案時發生錯誤：%1"
 
-#: umldoc.cpp:1526
+#: umldoc.cpp:1528
 #, kde-format
 msgid "use case diagram"
 msgstr "用例圖"
 
-#: umldoc.cpp:1529
+#: umldoc.cpp:1531
 #, kde-format
 msgid "class diagram"
 msgstr "類別圖"
 
-#: umldoc.cpp:1532
+#: umldoc.cpp:1534
 #, kde-format
 msgid "sequence diagram"
 msgstr "序列圖"
 
-#: umldoc.cpp:1535
+#: umldoc.cpp:1537
 #, kde-format
 msgid "communication diagram"
 msgstr "協作圖"
 
-#: umldoc.cpp:1538
+#: umldoc.cpp:1540
 #, kde-format
 msgid "object diagram"
 msgstr "物件圖表"
 
-#: umldoc.cpp:1541
+#: umldoc.cpp:1543
 #, kde-format
 msgid "state diagram"
 msgstr "狀態圖"
 
-#: umldoc.cpp:1544
+#: umldoc.cpp:1546
 #, kde-format
 msgid "activity diagram"
 msgstr "活動圖"
 
-#: umldoc.cpp:1547
+#: umldoc.cpp:1549
 #, kde-format
 msgid "component diagram"
 msgstr "元件圖"
 
-#: umldoc.cpp:1550
+#: umldoc.cpp:1552
 #, kde-format
 msgid "deployment diagram"
 msgstr "部署圖"
 
-#: umldoc.cpp:1553
+#: umldoc.cpp:1555
 #, kde-format
 msgid "entity relationship diagram"
 msgstr "實體關係圖"
 
-#: umldoc.cpp:1623
+#: umldoc.cpp:1625
 #, kde-format
 msgctxt "diagram name"
 msgid "Name"
 msgstr "名稱"
 
-#: umldoc.cpp:1623 umldoc.cpp:1686 umldoc.cpp:1715 umldoc.cpp:1749
+#: umldoc.cpp:1625 umldoc.cpp:1688 umldoc.cpp:1717 umldoc.cpp:1751
 #, kde-format
 msgid "Enter name:"
 msgstr "輸入名稱："
 
-#: umldoc.cpp:1627 umldoc.cpp:1692
+#: umldoc.cpp:1629 umldoc.cpp:1694
 #, kde-format
 msgid "That is an invalid name for a diagram."
 msgstr "圖名無效。"
 
-#: umldoc.cpp:1629 umldoc.cpp:1699
+#: umldoc.cpp:1631 umldoc.cpp:1701
 #, kde-format
 msgid "A diagram is already using that name."
 msgstr "圖名已被使用。"
 
-#: umldoc.cpp:1685
+#: umldoc.cpp:1687
 #, kde-format
 msgctxt "renaming diagram"
 msgid "Name"
 msgstr "名稱"
 
-#: umldoc.cpp:1714
+#: umldoc.cpp:1716
 #, kde-format
 msgctxt "renaming uml object"
 msgid "Name"
 msgstr "名稱"
 
-#: umldoc.cpp:1748
+#: umldoc.cpp:1750
 #, kde-format
 msgctxt "renaming child uml object"
 msgid "Name"
 msgstr "名稱"
 
-#: umldoc.cpp:1758
+#: umldoc.cpp:1760
 #, kde-format
 msgid ""
 "The name you entered was not unique.\n"
@@ -8129,62 +8129,62 @@ msgstr ""
 "所輸入的名稱不唯一。\n"
 "您確定這就是您要的嗎？"
 
-#: umldoc.cpp:1759
+#: umldoc.cpp:1761
 #, kde-format
 msgid "Use Name"
 msgstr "使用此名稱"
 
-#: umldoc.cpp:1759
+#: umldoc.cpp:1761
 #, kde-format
 msgid "Enter New Name"
 msgstr "輸入新名稱"
 
-#: umldoc.cpp:2361
+#: umldoc.cpp:2366
 #, kde-format
 msgid "Unsupported xmi file version: %1"
 msgstr ""
 
-#: umldoc.cpp:2511
+#: umldoc.cpp:2516
 #, kde-format
 msgid "Setting up the document..."
 msgstr "正在設立文件..."
 
-#: umldoc.cpp:2540
+#: umldoc.cpp:2545
 #, kde-format
 msgid "Resolving object references..."
 msgstr "正在反解物件參考..."
 
-#: umldoc.cpp:2648
+#: umldoc.cpp:2653
 #, kde-format
 msgid "Loading UML elements..."
 msgstr "正在載入 UML 元素...."
 
-#: umldoc.cpp:2892
+#: umldoc.cpp:2899
 #, kde-format
 msgid "Loading diagrams..."
 msgstr "正在載入圖表..."
 
-#: umldoc.cpp:3400
+#: umldoc.cpp:3409
 #, kde-format
 msgid "/autosave%1"
 msgstr "/自動儲存 %1"
 
-#: umllistview.cpp:536 umllistview.cpp:540
+#: umllistview.cpp:537 umllistview.cpp:541
 #, kde-format
 msgid "Externalize Folder"
 msgstr "外部化資料夾"
 
-#: umllistview.cpp:574
+#: umllistview.cpp:575
 #, kde-format
 msgid "Folder %1 must be relative to the main model directory, %2."
 msgstr "資料夾 %1 必須相對於主要模型目錄 %2。"
 
-#: umllistview.cpp:575
+#: umllistview.cpp:576
 #, kde-format
 msgid "Path Error"
 msgstr "路徑錯誤"
 
-#: umllistview.cpp:583
+#: umllistview.cpp:584
 #, kde-format
 msgid ""
 "File %1 already exists!\n"
@@ -8193,66 +8193,66 @@ msgstr ""
 "檔案 %1 已存在。\n"
 "存在的檔案將被覆寫。"
 
-#: umllistview.cpp:584
+#: umllistview.cpp:585
 #, kde-format
 msgid "File Exist"
 msgstr "檔案已存在"
 
-#: umllistview.cpp:624
+#: umllistview.cpp:625
 #, kde-format
 msgid "Enter Model Name"
 msgstr "輸入模型名稱"
 
-#: umllistview.cpp:625
+#: umllistview.cpp:626
 #, kde-format
 msgid "Enter the new name of the model:"
 msgstr "輸入模型的新名稱："
 
-#: umllistview.cpp:1422
+#: umllistview.cpp:1430
 #, kde-format
 msgid "Views"
 msgstr "檢視"
 
-#: umllistview.cpp:1441
+#: umllistview.cpp:1449
 #, kde-format
 msgid "Settings"
 msgstr "設定"
 
-#: umllistview.cpp:2413
+#: umllistview.cpp:2421
 #, kde-format
 msgid "Loading listview..."
 msgstr "正在載入列表檢視..."
 
-#: umllistview.cpp:2764
+#: umllistview.cpp:2772
 #, fuzzy, kde-format
 #| msgid "The folder must be emptied before it can be deleted."
 msgid "The class must be emptied before it can be deleted."
 msgstr "資料夾清空後才能刪除。"
 
-#: umllistview.cpp:2765
+#: umllistview.cpp:2773
 #, fuzzy, kde-format
 #| msgid "Folder Not Empty"
 msgid "Class Not Empty"
 msgstr "資料夾尚未清空"
 
-#: umllistview.cpp:2769
+#: umllistview.cpp:2777
 #, fuzzy, kde-format
 #| msgid "The folder must be emptied before it can be deleted."
 msgid "The package must be emptied before it can be deleted."
 msgstr "資料夾清空後才能刪除。"
 
-#: umllistview.cpp:2770
+#: umllistview.cpp:2778
 #, fuzzy, kde-format
 #| msgid "Folder Not Empty"
 msgid "Package Not Empty"
 msgstr "資料夾尚未清空"
 
-#: umllistview.cpp:2774
+#: umllistview.cpp:2782
 #, kde-format
 msgid "The folder must be emptied before it can be deleted."
 msgstr "資料夾清空後才能刪除。"
 
-#: umllistview.cpp:2775
+#: umllistview.cpp:2783
 #, kde-format
 msgid "Folder Not Empty"
 msgstr "資料夾尚未清空"
diff -pruN 4:20.08.3-1/umbrello/clipboard/umlclipboard.cpp 4:20.12.0-0ubuntu1/umbrello/clipboard/umlclipboard.cpp
--- 4:20.08.3-1/umbrello/clipboard/umlclipboard.cpp	2020-10-31 16:36:07.000000000 +0000
+++ 4:20.12.0-0ubuntu1/umbrello/clipboard/umlclipboard.cpp	2020-12-02 21:52:52.000000000 +0000
@@ -687,7 +687,7 @@ bool UMLClipboard::pasteClip5(const QMim
                // if parent is not a UMLEnum, bail out immediately;
                if (!enumParent) {
                    result = false;
-                   uError() << "Parent is not an UMLEnum";
+                   uError() << "Parent is not a UMLEnum";
                    break;
                }
 
@@ -712,7 +712,7 @@ bool UMLClipboard::pasteClip5(const QMim
                 // if parent is not a UMLEntity, bail out immediately;
                 if (!entityParent) {
                     result = false;
-                    uError() << "Parent is not an UMLEntity";
+                    uError() << "Parent is not a UMLEntity";
                     break;
                 }
                 UMLObject *exist = entityParent->findChildObject(obj->name(), UMLObject::ot_EntityAttribute);
diff -pruN 4:20.08.3-1/umbrello/codegenerators/d/dcodegenerator.cpp 4:20.12.0-0ubuntu1/umbrello/codegenerators/d/dcodegenerator.cpp
--- 4:20.08.3-1/umbrello/codegenerators/d/dcodegenerator.cpp	2020-10-31 16:36:07.000000000 +0000
+++ 4:20.12.0-0ubuntu1/umbrello/codegenerators/d/dcodegenerator.cpp	2020-12-02 21:52:52.000000000 +0000
@@ -170,7 +170,8 @@ QStringList DCodeGenerator::defaultDatat
       << QLatin1String("creal")
       << QLatin1String("char")
       << QLatin1String("wchar")
-      << QLatin1String("dchar");
+      << QLatin1String("dchar")
+      << QLatin1String("string");
     return l;
 }
 
diff -pruN 4:20.08.3-1/umbrello/codegenerators/d/dwriter.cpp 4:20.12.0-0ubuntu1/umbrello/codegenerators/d/dwriter.cpp
--- 4:20.08.3-1/umbrello/codegenerators/d/dwriter.cpp	2020-10-31 16:36:07.000000000 +0000
+++ 4:20.12.0-0ubuntu1/umbrello/codegenerators/d/dwriter.cpp	2020-12-02 21:52:52.000000000 +0000
@@ -755,7 +755,8 @@ QStringList DWriter::defaultDatatypes()
       << QLatin1String("creal")
       << QLatin1String("char")
       << QLatin1String("wchar")
-      << QLatin1String("dchar");
+      << QLatin1String("dchar")
+      << QLatin1String("string");
     return l;
 }
 
diff -pruN 4:20.08.3-1/umbrello/codeimport/import_utils.cpp 4:20.12.0-0ubuntu1/umbrello/codeimport/import_utils.cpp
--- 4:20.08.3-1/umbrello/codeimport/import_utils.cpp	2020-10-31 16:36:07.000000000 +0000
+++ 4:20.12.0-0ubuntu1/umbrello/codeimport/import_utils.cpp	2020-12-02 21:52:52.000000000 +0000
@@ -172,7 +172,7 @@ UMLObject* findUMLObject(QString name, U
  * @param comment comment for uml object
  * @param stereotype stereotype for uml object
  * @param searchInParentPackageOnly flags to search only in parent package
- * @param remapParent flag to control remapping of parents if an uml object has been found
+ * @param remapParent flag to control remapping of parents if a uml object has been found
  * @return new object or zero
  */
 UMLObject *createUMLObject(UMLObject::ObjectType type,
@@ -482,7 +482,7 @@ UMLAttribute *insertAttribute(UMLClassif
   * @param klass          The classifier into which the operation shall be added.
   * @param op             Reference to pointer to the temporary UMLOperation
   *                       for insertion.  The caller relinquishes ownership of the
-  *                       object pointed to.  If an UMLOperation of same signature
+  *                       object pointed to.  If a UMLOperation of same signature
   *                       already exists  at the classifier then the incoming
   *                       UMLOperation is deleted and the pointer is set to the
   *                       existing UMLOperation.
@@ -588,7 +588,7 @@ UMLAttribute* addMethodParameter(UMLOper
 }
 
 /**
- * Add an enum literal to an UMLEnum.
+ * Add an enum literal to a UMLEnum.
  */
 void addEnumLiteral(UMLEnum *enumType, const QString &literal, const QString &comment, const QString &value)
 {
@@ -737,28 +737,33 @@ void createGeneralization(UMLClassifier
  */
 UMLEnum *remapUMLEnum(UMLObject *ns, UMLPackage *currentScope)
 {
-    if (ns) {
-        QString comment = ns->doc();
-        QString name = ns->name();
-        QString stereotype = ns->stereotype();
-        Uml::Visibility::Enum visibility = ns->visibility();
-        UMLApp::app()->document()->removeUMLObject(ns, true);
-        if (currentScope == 0)
-            currentScope = UMLApp::app()->document()->rootFolder(Uml::ModelType::Logical);
-        UMLObject *o = Object_Factory::createNewUMLObject(UMLObject::ot_Enum, name, currentScope, false);
-        if (!o)
-            return 0;
-        UMLEnum *e = o->asUMLEnum();
-        if (!e)
-            return 0;
-        e->setDoc(comment);
-        e->setStereotypeCmd(stereotype.isEmpty() ? QLatin1String("enum") : stereotype);
-        e->setVisibilityCmd(visibility);
-        // add to parents child list
-        if (!currentScope->containedObjects().contains(e))
-            currentScope->containedObjects().append(e);
-        return e;
+    if (ns == 0) {
+        return 0;
+    }
+    QString comment = ns->doc();
+    QString name = ns->name();
+    QString stereotype = ns->stereotype();
+    Uml::Visibility::Enum visibility = ns->visibility();
+    UMLApp::app()->document()->removeUMLObject(ns, true);
+    if (currentScope == 0)
+        currentScope = UMLApp::app()->document()->rootFolder(Uml::ModelType::Logical);
+    UMLObject *o = Object_Factory::createNewUMLObject(UMLObject::ot_Enum, name, currentScope, false);
+    if (!o) {
+        DEBUG(DBG_SRC) << name << " : Object_Factory::createNewUMLObject(ot_Enum) returns null";
+        return 0;
     }
+    UMLEnum *e = o->asUMLEnum();
+    if (!e) {
+        DEBUG(DBG_SRC) << name << " : object returned by Object_Factory::createNewUMLObject is not Enum";
+        return 0;
+    }
+    e->setDoc(comment);
+    e->setStereotypeCmd(stereotype.isEmpty() ? QLatin1String("enum") : stereotype);
+    e->setVisibilityCmd(visibility);
+    // add to parents child list
+    if (currentScope->addObject(e, false))  // false => non interactively
+        return e;
+    DEBUG(DBG_SRC) << name << " : name is already present in " << currentScope->name();
     return 0;
 }
 
diff -pruN 4:20.08.3-1/umbrello/codeimport/javaimport.cpp 4:20.12.0-0ubuntu1/umbrello/codeimport/javaimport.cpp
--- 4:20.08.3-1/umbrello/codeimport/javaimport.cpp	2020-10-31 16:36:07.000000000 +0000
+++ 4:20.12.0-0ubuntu1/umbrello/codeimport/javaimport.cpp	2020-12-02 21:52:52.000000000 +0000
@@ -351,19 +351,19 @@ bool JavaImport::parseStmt()
             ns->setDoc(m_comment);
             m_klass = ns->asUMLClassifier();
             m_klass->setUMLPackage(currentScope());
-            currentScope()->containedObjects().append(m_klass);
+            currentScope()->addObject(m_klass, false);  // false => non interactively
         }
         pushScope(m_klass);
         m_klass->setStatic(m_isStatic);
         m_klass->setVisibilityCmd(m_currentAccess);
         // The UMLObject found by createUMLObject might originally have been created as a
-        // placeholder with a type of class but if is really an interface, then we need to
+        // placeholder with a type of class but if is really an interface then we need to
         // change it.
         m_klass->setBaseType(ot);
         // TODO: UMLClassifier::setBaseType() resets abstract flag
         m_klass->setAbstract(m_isAbstract);
         m_isAbstract = m_isStatic = false;
-        // if no modifier is specified in an interface, then it means public
+        // if no modifier is specified in an interface then it means public
         if (m_klass->isInterface()) {
             m_defaultCurrentAccess =  Uml::Visibility::Public;
         }
diff -pruN 4:20.08.3-1/umbrello/codeimport/phpimport.cpp 4:20.12.0-0ubuntu1/umbrello/codeimport/phpimport.cpp
--- 4:20.08.3-1/umbrello/codeimport/phpimport.cpp	2020-10-31 16:36:07.000000000 +0000
+++ 4:20.12.0-0ubuntu1/umbrello/codeimport/phpimport.cpp	2020-12-02 21:52:52.000000000 +0000
@@ -39,18 +39,21 @@ QTextStream qout(stdout);
 QTextStream qerr(stderr);
 QTextStream qin(stdin);
 
-#include "parsesession.h"
-#include "phplexer.h"
-#include "phpparser.h"
-#include "phpdebugvisitor.h"
-#include "phpast.h"
-#include "tokenstream.h"
-#include "phptokentext.h"
+// kdevphp
+#include <parser/parsesession.h>
+#include <parser/phplexer.h>
+#include <parser/phpparser.h>
+#include <parser/phpdebugvisitor.h>
+#include <parser/phpast.h>
+#include <parser/tokenstream.h>
+#include <parser/phptokentext.h>
 
+// kdevplatform
 #include <tests/autotestshell.h>
 #include <language/duchain/duchain.h>
 #include <language/duchain/problem.h>
 #include <language/codegen/coderepresentation.h>
+#include <language/editor/documentrange.h>
 #include <tests/testcore.h>
 
 namespace Php {
diff -pruN 4:20.08.3-1/umbrello/dialogs/dialog_utils.cpp 4:20.12.0-0ubuntu1/umbrello/dialogs/dialog_utils.cpp
--- 4:20.08.3-1/umbrello/dialogs/dialog_utils.cpp	2020-10-31 16:36:07.000000000 +0000
+++ 4:20.12.0-0ubuntu1/umbrello/dialogs/dialog_utils.cpp	2020-12-02 21:52:52.000000000 +0000
@@ -51,18 +51,19 @@ namespace Dialog_Utils {
  */
 KLineEdit* makeLabeledEditField(QGridLayout* layout,    int row,
                                 QLabel*     &label,     const QString& labelText,
-                                KLineEdit*  &editField, const QString& editFieldText /* = QString() */)
+                                KLineEdit*  &editField, const QString& editFieldText /* = QString() */,
+                                int columnOffset /* = 0 */)
 {
     label = new QLabel(labelText);
-    layout->addWidget(label, row, 0);
+    layout->addWidget(label, row, columnOffset);
     editField = new KLineEdit(editFieldText);
-    layout->addWidget(editField, row, 1);
+    layout->addWidget(editField, row, columnOffset + 1);
     label->setBuddy(editField);
     return editField;
 }
 
 /**
- * Helper function for requesting a name for an UMLWidget using a dialog.
+ * Helper function for requesting a name for a UMLWidget using a dialog.
  *
  * @param targetWidget          By-reference pointer to the widget to request the name for.
  *                              The widget may be deallocated, and the pointer returned
diff -pruN 4:20.08.3-1/umbrello/dialogs/dialog_utils.h 4:20.12.0-0ubuntu1/umbrello/dialogs/dialog_utils.h
--- 4:20.08.3-1/umbrello/dialogs/dialog_utils.h	2020-10-31 16:36:07.000000000 +0000
+++ 4:20.12.0-0ubuntu1/umbrello/dialogs/dialog_utils.h	2020-12-02 21:52:52.000000000 +0000
@@ -38,7 +38,8 @@ namespace Dialog_Utils {
 KLineEdit* makeLabeledEditField(QGridLayout *layout, int row,
                                 QLabel * &label, const QString& labelText,
                                 KLineEdit * &editField,
-                                const QString& editFieldText = QString());
+                                const QString& editFieldText = QString(),
+                                int columnOffset = 0);
 
 void askNameForWidget(UMLWidget * &targetWidget, const QString& dialogTitle,
                       const QString& dialogPrompt, const QString& defaultName);
diff -pruN 4:20.08.3-1/umbrello/dialogs/pages/packagecontentspage.cpp 4:20.12.0-0ubuntu1/umbrello/dialogs/pages/packagecontentspage.cpp
--- 4:20.08.3-1/umbrello/dialogs/pages/packagecontentspage.cpp	2020-10-31 16:36:07.000000000 +0000
+++ 4:20.12.0-0ubuntu1/umbrello/dialogs/pages/packagecontentspage.cpp	2020-12-02 21:52:52.000000000 +0000
@@ -79,7 +79,7 @@ void PackageContentsPage::slotDoubleClic
     if (index == -1) {
         return;
     }
-    UMLObjectList &contents = m_package->containedObjects();
+    UMLObjectList contents = m_package->containedObjects();
     UMLObject *o = contents.at(index);
     QPointer<ClassPropertiesDialog> dlg = new ClassPropertiesDialog(this, o, true);
     dlg->exec();
@@ -92,7 +92,7 @@ void PackageContentsPage::slotDoubleClic
 void PackageContentsPage::fillListBox()
 {
     m_contentLW->clear();
-    UMLObjectList &contents = m_package->containedObjects();
+    UMLObjectList contents = m_package->containedObjects();
     UMLObjectListIt objList_it(contents);
     UMLObject* umlo = 0;
     while (objList_it.hasNext()) {
@@ -119,7 +119,7 @@ void PackageContentsPage::slotMenuSelect
     switch(id) {
     case ListPopupMenu::mt_Delete:
         {
-            UMLObjectList &contents = m_package->containedObjects();
+            UMLObjectList contents = m_package->containedObjects();
             if (m_contentLW->currentRow() == -1)
                 break;
             UMLObject *o = contents.at(m_contentLW->currentRow());
diff -pruN 4:20.08.3-1/umbrello/dialogs/widgets/defaultvaluewidget.cpp 4:20.12.0-0ubuntu1/umbrello/dialogs/widgets/defaultvaluewidget.cpp
--- 4:20.08.3-1/umbrello/dialogs/widgets/defaultvaluewidget.cpp	2020-10-31 16:36:07.000000000 +0000
+++ 4:20.12.0-0ubuntu1/umbrello/dialogs/widgets/defaultvaluewidget.cpp	2020-12-02 21:52:52.000000000 +0000
@@ -131,7 +131,7 @@ void DefaultValueWidget::setType(UMLObje
 /**
  * Update widget with data type from a text string
  *
- * The method searches for an uml object with the specified
+ * The method searches for a uml object with the specified
  * name. If an object was found, the display of the selectable
  * options depends on the type.
  *
diff -pruN 4:20.08.3-1/umbrello/main.cpp 4:20.12.0-0ubuntu1/umbrello/main.cpp
--- 4:20.08.3-1/umbrello/main.cpp	2020-10-31 16:36:07.000000000 +0000
+++ 4:20.12.0-0ubuntu1/umbrello/main.cpp	2020-12-02 21:52:52.000000000 +0000
@@ -65,7 +65,7 @@ bool showGUI(KCmdLineArgs *args)
  *
  * @param args The command line arguments given.
  */
-void initDocument(KCmdLineArgs *args)
+void initDocument(KCmdLineArgs *args, Uml::ProgrammingLanguage::Enum progLang)
 {
     if (args->count()) {
         UMLApp::app()->openDocumentFile(args->url(0));
@@ -76,6 +76,8 @@ void initDocument(KCmdLineArgs *args)
             UMLApp::app()->openDocumentFile(KUrl(file));
         } else {
             UMLApp::app()->newDocument();
+            if (progLang != Uml::ProgrammingLanguage::Reserved)
+                UMLApp::app()->setActiveLanguage(progLang);
         }
     }
 }
@@ -226,9 +228,7 @@ int main(int argc, char *argv[])
             uml->importFiles(listFile, dir);
         }
         else {
-            initDocument(args);
-            if (lang != Uml::ProgrammingLanguage::Reserved)
-                uml->setActiveLanguage(lang);
+            initDocument(args, lang);
         }
 
         // export option
diff -pruN 4:20.08.3-1/umbrello/models/objectsmodel.cpp 4:20.12.0-0ubuntu1/umbrello/models/objectsmodel.cpp
--- 4:20.08.3-1/umbrello/models/objectsmodel.cpp	2020-10-31 16:36:07.000000000 +0000
+++ 4:20.12.0-0ubuntu1/umbrello/models/objectsmodel.cpp	2020-12-02 21:52:52.000000000 +0000
@@ -135,9 +135,11 @@ QVariant ObjectsModel::data(const QModel
         if (o->umlPackage()) {
             UMLFolder *f = o->umlPackage()->asUMLFolder();
             if (f) {
-                if (f->containedObjects().contains(o))
+                UMLObjectList content = f->containedObjects();
+                if (content.contains(o))
                     return QLatin1String("package +");
-                else if (f->subordinates().contains(o))
+                content = f->subordinates();
+                if (content.contains(o))
                     return QLatin1String("list +");
             }
             else
diff -pruN 4:20.08.3-1/umbrello/model_utils.cpp 4:20.12.0-0ubuntu1/umbrello/model_utils.cpp
--- 4:20.08.3-1/umbrello/model_utils.cpp	2020-10-31 16:36:07.000000000 +0000
+++ 4:20.12.0-0ubuntu1/umbrello/model_utils.cpp	2020-12-02 21:52:52.000000000 +0000
@@ -222,7 +222,7 @@ UMLObject* findUMLObject(const UMLObject
                 foundType != UMLObject::ot_Component) {
                 continue;
             }
-            UMLObjectList &objectsInCurrentScope = pkg->containedObjects();
+            UMLObjectList objectsInCurrentScope = pkg->containedObjects();
             for (UMLObjectListIt oit(objectsInCurrentScope); oit.hasNext();) {
                 UMLObject *obj = oit.next();
                 uIgnoreZeroPointer(obj);
@@ -823,7 +823,7 @@ bool isClassifierListitem(UMLObject::Obj
 }
 
 /**
- * Try to guess the correct container folder type of an UMLObject.
+ * Try to guess the correct container folder type of a UMLObject.
  * Object types that can't be guessed are mapped to Uml::ModelType::Logical.
  * NOTE: This function exists mainly for handling pre-1.5.5 files
  *       and should not be used for new code.
diff -pruN 4:20.08.3-1/umbrello/toolbarstateassociation.cpp 4:20.12.0-0ubuntu1/umbrello/toolbarstateassociation.cpp
--- 4:20.08.3-1/umbrello/toolbarstateassociation.cpp	2020-10-31 16:36:07.000000000 +0000
+++ 4:20.12.0-0ubuntu1/umbrello/toolbarstateassociation.cpp	2020-12-02 21:52:52.000000000 +0000
@@ -245,7 +245,14 @@ void ToolBarStateAssociation::setSecondW
                 cleanAssociation();
                 emit finished();
                 return;
-            } else if (type == Uml::AssociationType::Aggregation) {
+            }
+            /*  Activating this code will produce a DataType named as the Role B type
+                with a suffixed "*" to indicate it is a pointer type.
+                However, this is a non standard, C++ specific notation.
+                Further, if this code is activated then no Aggregation association to the
+                role B type will be shown. Instead, if the "B*" pointer type is dragged
+                to the diagram then a Composition to that type will be shown.
+            else if (type == Uml::AssociationType::Aggregation) {
                 UMLClassifier *c = widgetA->umlObject()->asUMLClassifier();
                 UMLAttribute *attr = new UMLAttribute(c, c->uniqChildName(UMLObject::ot_Attribute));
                 attr->setTypeName(QString(QLatin1String("%1*")).arg(widgetB->umlObject()->name()));
@@ -253,7 +260,7 @@ void ToolBarStateAssociation::setSecondW
                 cleanAssociation();
                 emit finished();
                 return;
-            }
+            } */
         }
         AssociationWidget *temp = AssociationWidget::create(m_pUMLScene, widgetA, type, widgetB);
         FloatingTextWidget *wt = temp->textWidgetByRole(Uml::TextRole::Coll_Message);
diff -pruN 4:20.08.3-1/umbrello/toolbarstateother.cpp 4:20.12.0-0ubuntu1/umbrello/toolbarstateother.cpp
--- 4:20.08.3-1/umbrello/toolbarstateother.cpp	2020-10-31 16:36:07.000000000 +0000
+++ 4:20.12.0-0ubuntu1/umbrello/toolbarstateother.cpp	2020-12-02 21:52:52.000000000 +0000
@@ -69,7 +69,7 @@ void ToolBarStateOther::setCurrentElemen
  * Associations, widgets and actual empty spaces are all treated as empty
  * spaces. It creates a new widget if the left button was released.
  * The widget to create depends on the type of the toolbar button selected.
- * If the widget is the visual representation of an UMLObject, the object
+ * If the widget is the visual representation of a UMLObject, the object
  * factory handles its creation. Otherwise, the widget is created using
  * newWidget().
  * The UMLView is resized to fit on all the items.
diff -pruN 4:20.08.3-1/umbrello/uml1model/datatype.cpp 4:20.12.0-0ubuntu1/umbrello/uml1model/datatype.cpp
--- 4:20.08.3-1/umbrello/uml1model/datatype.cpp	2020-10-31 16:36:07.000000000 +0000
+++ 4:20.12.0-0ubuntu1/umbrello/uml1model/datatype.cpp	2020-12-02 21:52:52.000000000 +0000
@@ -18,7 +18,7 @@
  */
 UMLDatatype::UMLDatatype(const QString & name, Uml::ID::Type id)
   : UMLClassifier(name, id),
-    m_isRef(false)
+    m_isRef(false), m_isActive(true)
 {
     m_BaseType = UMLObject::ot_Datatype;
 }
@@ -67,25 +67,44 @@ bool UMLDatatype::isReference() const
 }
 
 /**
- * Loads object from QDomElement.
+ * Set the m_isActive flag (is already set true by constructor).
+ * @param active  the flag to set
+ */
+void UMLDatatype::setActive(bool active)
+{
+    m_isActive = active;
+}
+
+/**
+ * Get the m_isActive flag.
+ * @return   true if is active, otherwise false
+ */
+bool UMLDatatype::isActive() const
+{
+    return m_isActive;
+}
+
+/**
+ * Loads Datatype specific attributes from QDomElement.
+ * Is invoked by UMLObject::loadFromXMI() which does most of the work.
  *
  * @param element A QDomElement which contains xml info for this object.
  */
-bool UMLDatatype::loadFromXMI1(QDomElement & element)
+bool UMLDatatype::load1(QDomElement & element)
 {
-    if (!UMLObject::loadFromXMI1(element))
-        return false;
-
     m_SecondaryId = element.attribute(QLatin1String("elementReference"));
     if (!m_SecondaryId.isEmpty()) {
         // @todo We do not currently support composition.
         m_isRef = true;
     }
+    QString active = element.attribute(QLatin1String("isActive"));
+    m_isActive = (active != QLatin1String("false"));
     return true;
 }
 
 /**
- * Creates the UML:Datatype element.
+ * Creates the UML:Datatype XMI element.
+ * Invokes UMLObject::save1() which does most of the work.
  *
  * @param qDoc       the xml document
  * @param qElement   the xml element
@@ -97,5 +116,8 @@ void UMLDatatype::saveToXMI1(QDomDocumen
     if (m_pSecondary != 0)
         classifierElement.setAttribute(QLatin1String("elementReference"),
                                         Uml::ID::toString(m_pSecondary->id()));
+    if (!m_isActive)
+        classifierElement.setAttribute(QLatin1String("isActive"), QLatin1String("false"));
+
     qElement.appendChild(classifierElement);
 }
diff -pruN 4:20.08.3-1/umbrello/uml1model/datatype.h 4:20.12.0-0ubuntu1/umbrello/uml1model/datatype.h
--- 4:20.08.3-1/umbrello/uml1model/datatype.h	2020-10-31 16:36:07.000000000 +0000
+++ 4:20.12.0-0ubuntu1/umbrello/uml1model/datatype.h	2020-12-02 21:52:52.000000000 +0000
@@ -35,11 +35,15 @@ public:
     void setIsReference(bool isRef = true);
     bool isReference() const;
 
-    virtual bool loadFromXMI1(QDomElement & element);
+    void setActive(bool active = true);
+    bool isActive() const;
+
+    virtual bool load1(QDomElement & element);
     virtual void saveToXMI1(QDomDocument & qDoc, QDomElement & qElement);
 
 protected:
     bool m_isRef;
+    bool m_isActive;
 };
 
 #endif
diff -pruN 4:20.08.3-1/umbrello/uml1model/entity.cpp 4:20.12.0-0ubuntu1/umbrello/uml1model/entity.cpp
--- 4:20.08.3-1/umbrello/uml1model/entity.cpp	2020-10-31 16:36:07.000000000 +0000
+++ 4:20.12.0-0ubuntu1/umbrello/uml1model/entity.cpp	2020-12-02 21:52:52.000000000 +0000
@@ -90,7 +90,7 @@ UMLObject* UMLEntity::clone() const
 }
 
 /**
- * Create an UMLAttribute.
+ * Create a UMLAttribute.
  * @param name   an optional name for the attribute
  * @param type   an optional type object for the attribute
  * @param vis    the visibility of the attribute
diff -pruN 4:20.08.3-1/umbrello/uml1model/folder.cpp 4:20.12.0-0ubuntu1/umbrello/uml1model/folder.cpp
--- 4:20.08.3-1/umbrello/uml1model/folder.cpp	2020-10-31 16:36:07.000000000 +0000
+++ 4:20.12.0-0ubuntu1/umbrello/uml1model/folder.cpp	2020-12-02 21:52:52.000000000 +0000
@@ -21,6 +21,7 @@
 #include "umldoc.h"
 #include "umlscene.h"
 #include "umlview.h"
+#include "datatype.h"
 
 // kde includes
 #include <KLocalizedString>
@@ -541,6 +542,22 @@ bool UMLFolder::load1(QDomElement& eleme
                 uDebug() << "object " << idStr << "already exists";
             }
         }
+        // Avoid duplicate creation of datatype
+        if (pObject == 0 && this == umldoc->datatypeFolder()) {
+            QString name = tempElement.attribute(QLatin1String("name"));
+            foreach (UMLObject *o, m_objects) {
+                uIgnoreZeroPointer(o);
+                if (o->name() == name) {
+                    UMLDatatype *dt = o->asUMLDatatype();
+                    if (dt) {
+                        QString isActive = tempElement.attribute(QLatin1String("isActive"));
+                        dt->setActive(isActive != QLatin1String("false"));
+                        pObject = dt;
+                        break;
+                    }
+                }
+            }
+        }
         if (pObject == 0) {
             QString stereoID = tempElement.attribute(QLatin1String("stereotype"));
             pObject = Object_Factory::makeObjectFromXMI(type, stereoID);
diff -pruN 4:20.08.3-1/umbrello/uml1model/operation.cpp 4:20.12.0-0ubuntu1/umbrello/uml1model/operation.cpp
--- 4:20.08.3-1/umbrello/uml1model/operation.cpp	2020-10-31 16:36:07.000000000 +0000
+++ 4:20.12.0-0ubuntu1/umbrello/uml1model/operation.cpp	2020-12-02 21:52:52.000000000 +0000
@@ -31,7 +31,7 @@
 #include <QRegExp>
 
 /**
- * Constructs an UMLOperation.
+ * Constructs a UMLOperation.
  * Not intended for general use: The operation is not tied in with
  * umbrello's Qt signalling for object creation.
  * If you want to create an Operation use the method in UMLDoc instead.
@@ -61,7 +61,7 @@ UMLOperation::UMLOperation(UMLClassifier
 }
 
 /**
- * Constructs an UMLOperation.
+ * Constructs a UMLOperation.
  * Not intended for general use: The operation is not tied in with
  * umbrello's Qt signalling for object creation.
  * If you want to create an Operation use the method in UMLDoc instead.
diff -pruN 4:20.08.3-1/umbrello/uml1model/package.cpp 4:20.12.0-0ubuntu1/umbrello/uml1model/package.cpp
--- 4:20.08.3-1/umbrello/uml1model/package.cpp	2020-10-31 16:36:07.000000000 +0000
+++ 4:20.12.0-0ubuntu1/umbrello/uml1model/package.cpp	2020-12-02 21:52:52.000000000 +0000
@@ -18,7 +18,9 @@
 #include "umldoc.h"
 #include "classifier.h"
 #include "association.h"
+#include "datatype.h"
 #include "entity.h"
+#include "folder.h"
 #include "object_factory.h"
 #include "model_utils.h"
 
@@ -122,11 +124,15 @@ void UMLPackage::removeAssocFromConcepts
 /**
  * Adds an object in this package.
  *
- * @param pObject   Pointer to the UMLObject to add.
+ * @param pObject             Pointer to the UMLObject to add.
+ * @param interactOnConflict  If pObject's name is already present in the package's
+ *                            contained objects then
+ *                            - if true then open a dialog asking the user for a
+ *                              different name;
+ *                            - if false then return false without inserting pObject.
  * @return    True if the object was actually added.
  */
-bool UMLPackage::addObject(UMLObject *pObject)
-{
+bool UMLPackage::addObject(UMLObject *pObject, bool interactOnConflict /* = true */) {
     if (pObject == 0) {
         uError() << "is called with a NULL object";
         return false;
@@ -137,7 +143,7 @@ bool UMLPackage::addObject(UMLObject *pO
     }
 
     if (m_objects.indexOf(pObject) != -1) {
-        uDebug() << pObject->name() << " is already there";
+        uDebug() << pObject->name() << " object is already there";
         return false;
     }
     if (pObject->baseType() == UMLObject::ot_Association) {
@@ -154,7 +160,7 @@ bool UMLPackage::addObject(UMLObject *pO
             addAssocToConcepts(assoc);
         }
     }
-    else {
+    else if (interactOnConflict) {
       QString name = pObject->name();
       QString oldName = name;
       while (findObject(name) != 0 && pObject->baseType() != UMLObject::ot_Instance) {
@@ -177,6 +183,20 @@ bool UMLPackage::addObject(UMLObject *pO
         pObject->setName(name);
       }
     }
+    else {
+        QString nameToAdd = pObject->name();
+        bool found = false;
+        foreach (const UMLObject *obj, m_objects) {
+            if (obj->name() == nameToAdd) {
+                found = true;
+                break;
+            }
+        }
+        if (found) {
+            uDebug() << "package " << name() << " : " << nameToAdd << " name is already there";
+            return false;
+        }
+    }
     m_objects.append(pObject);
     return true;
 }
@@ -197,11 +217,29 @@ void UMLPackage::removeObject(UMLObject
         else
             uError() << "invalid cast found";
     }
-    if (m_objects.indexOf(pObject) == -1)
+    if (m_objects.indexOf(pObject) == -1) {
         uDebug() << name() << " removeObject: object with id="
                  << Uml::ID::toString(pObject->id()) << "not found.";
-    else
+        return;
+    }
+    // Do not delete a datatype from its root folder but just mark it as inactive.
+    // We need this special handling because of the possibility of switching
+    // the active programming language.  Without it,
+    // - switching the active language could create dangling references on all
+    //   objects referencing the previous language's datatypes;
+    // - the display of the datatypes in the list view or in dialogs get
+    //   populated with the types from previously active languages.
+    if (this == UMLApp::app()->document()->datatypeFolder()) {
+        UMLDatatype *dt = pObject->asUMLDatatype();
+        if (dt) {
+            dt->setActive(false);
+        } else {
+            uWarning() << "UMLPackage::removeObject(" << pObject->name()
+                       << ") : Expected Datatype, found " << pObject->baseTypeStr();
+        }
+    } else {
         m_objects.removeAll(pObject);
+    }
 }
 
 /**
@@ -225,9 +263,24 @@ void UMLPackage::removeAllObjects()
 /**
  * Returns the list of objects contained in this package.
  */
-UMLObjectList &UMLPackage::containedObjects()
+UMLObjectList UMLPackage::containedObjects(bool includeInactive /* = false */)
 {
-    return m_objects;
+    UMLObjectList result;
+    foreach (UMLObject *obj, m_objects) {
+        uIgnoreZeroPointer(obj);
+        if (includeInactive) {
+            result.append(obj);
+        }
+        else if (obj->isUMLDatatype()) {
+            UMLDatatype *dt = obj->asUMLDatatype();
+            if (dt->isActive())
+                result.append(obj);
+        }
+        else {
+            result.append(obj);
+        }
+    }
+    return result;
 }
 
 /**
diff -pruN 4:20.08.3-1/umbrello/uml1model/package.h 4:20.12.0-0ubuntu1/umbrello/uml1model/package.h
--- 4:20.08.3-1/umbrello/uml1model/package.h	2020-10-31 16:36:07.000000000 +0000
+++ 4:20.12.0-0ubuntu1/umbrello/uml1model/package.h	2020-12-02 21:52:52.000000000 +0000
@@ -40,12 +40,12 @@ public:
 
     virtual UMLObject* clone() const;
 
-    bool addObject(UMLObject *pObject);
+    bool addObject(UMLObject *pObject, bool interactOnConflict = true);
     void removeObject(UMLObject *pObject);
 
     virtual void removeAllObjects();
 
-    UMLObjectList &containedObjects();
+    UMLObjectList containedObjects(bool includeInactive = false);
 
     void addAssocToConcepts(UMLAssociation* assoc);
     void removeAssocFromConcepts(UMLAssociation *assoc);
diff -pruN 4:20.08.3-1/umbrello/uml1model/umlobject.cpp 4:20.12.0-0ubuntu1/umbrello/uml1model/umlobject.cpp
--- 4:20.08.3-1/umbrello/uml1model/umlobject.cpp	2020-10-31 16:36:07.000000000 +0000
+++ 4:20.12.0-0ubuntu1/umbrello/uml1model/umlobject.cpp	2020-12-02 21:52:52.000000000 +0000
@@ -515,7 +515,8 @@ void UMLObject::setUMLStereotype(UMLSter
     }
     m_pStereotype = stereo;
     // TODO: don't emit modified() if predefined folder
-    emitModified();
+    if (!UMLApp::shuttingDown())
+        emitModified();
 }
 
 /**
diff -pruN 4:20.08.3-1/umbrello/uml.cpp 4:20.12.0-0ubuntu1/umbrello/uml.cpp
--- 4:20.08.3-1/umbrello/uml.cpp	2020-10-31 16:36:07.000000000 +0000
+++ 4:20.12.0-0ubuntu1/umbrello/uml.cpp	2020-12-02 21:52:52.000000000 +0000
@@ -131,6 +131,14 @@
 UMLApp* UMLApp::s_instance;
 
 /**
+ * Static flag returned by static function shuttingDown().
+ * It is intentionally an extra static member because it is queried
+ * after calling the UMLApp destructor.
+ * Member accesses shall be avoided during destruction.
+ */
+bool UMLApp::s_shuttingDown = false;
+
+/**
  * Searches for a menu with the given name.
  * @todo This is an ugly _HACK_ to allow to compile umbrello.
  *       All the menu stuff should be ported to KDE4 (using actions)
@@ -235,6 +243,7 @@ UMLApp::UMLApp(QWidget* parent)
  */
 UMLApp::~UMLApp()
 {
+    s_shuttingDown = true;
     disconnect(m_pZoomInPB, SIGNAL(clicked()), this, SLOT(slotZoomIn()));
     disconnect(m_pZoomSlider, SIGNAL(valueChanged(int)), this, SLOT(slotZoomSliderMoved(int)));
 #if QT_VERSION >= 0x050000
@@ -2313,6 +2322,11 @@ CodeGenerator *UMLApp::setGenerator(Uml:
         //    if (m_codegen->language() == pl) return m_codegen;
         // Some languages depend on a new generator instance being created
         // for each run.
+        QStringList entries = m_codegen->defaultDatatypes();
+        QStringList::Iterator end(entries.end());
+        for (QStringList::Iterator it = entries.begin(); it != end; ++it) {
+            m_doc->removeDatatype(*it);
+        }
         delete m_codegen;  // ATTENTION! remove all refs to it or its policy first
         m_codegen = 0;
     }
@@ -2926,6 +2940,14 @@ void UMLApp::updateLangSelectMenu(Uml::P
 }
 
 /**
+ * Return true during shutdown, i.e. during ~UMLApp().
+ */
+bool UMLApp::shuttingDown()
+{
+    return s_shuttingDown;
+}
+
+/**
  * Event handler to receive key press events.
  */
 void UMLApp::keyPressEvent(QKeyEvent *e)
diff -pruN 4:20.08.3-1/umbrello/umldoc.cpp 4:20.12.0-0ubuntu1/umbrello/umldoc.cpp
--- 4:20.08.3-1/umbrello/umldoc.cpp	2020-10-31 16:36:07.000000000 +0000
+++ 4:20.12.0-0ubuntu1/umbrello/umldoc.cpp	2020-12-02 21:52:52.000000000 +0000
@@ -28,6 +28,7 @@
 #include "template.h"
 #include "enumliteral.h"
 #include "stereotype.h"
+#include "datatype.h"
 #include "classifierlistitem.h"
 #include "object_factory.h"
 #include "import_argo.h"
@@ -928,6 +929,7 @@ bool UMLDoc::saveDocument(const KUrl& ur
             return false;
         }
         saveToXMI1(tmpfile); // save the xmi stuff to it
+        tmpfile.close();
 
         // if it is a remote file, we have to upload the tmp file
         if (!url.isLocalFile()) {
@@ -1071,7 +1073,7 @@ UMLObject* UMLDoc::findUMLObject(const Q
         return o;
     }
     for (int i = 0; i < Uml::ModelType::N_MODELTYPES; ++i) {
-        UMLObjectList &list = m_root[i]->containedObjects();
+        UMLObjectList list = m_root[i]->containedObjects();
         if (list.size() == 0)
             continue;
         o = Model_Utils::findUMLObject(list, name, type, currentObj);
@@ -1115,7 +1117,7 @@ UMLObject* UMLDoc::findUMLObjectRaw(UMLF
 {
     if (folder == 0)
         return 0;
-    UMLObjectList &list = folder->containedObjects();
+    UMLObjectList list = folder->containedObjects();
     if (list.size() == 0)
         return 0;
     return Model_Utils::findUMLObjectRaw(list, name, type, 0);
@@ -1150,7 +1152,7 @@ UMLObject* UMLDoc::findUMLObjectRecursiv
 {
     if (folder == 0)
         return 0;
-    UMLObjectList &list = folder->containedObjects();
+    UMLObjectList list = folder->containedObjects();
     if (list.size() == 0)
         return 0;
     return Model_Utils::findUMLObjectRecursive(list, name, type);
@@ -1945,7 +1947,7 @@ void UMLDoc::removeUMLObject(UMLObject*
                         uError() << umlobject->name() << ": root package is not set !";
                         return;
                     }
-                    UMLObjectList &rootObjects = rootPkg->containedObjects();
+                    UMLObjectList rootObjects = rootPkg->containedObjects();
                     // Store the associations to remove in a buffer because we
                     // should not remove elements from m_objectList while it is
                     // being iterated over.
@@ -2110,7 +2112,10 @@ void UMLDoc::saveToXMI1(QIODevice& file)
     // documentation.appendChild(contact);
 
     QDomElement exporter = doc.createElement(QLatin1String("XMI.exporter"));
-    exporter.appendChild(doc.createTextNode(QLatin1String("umbrello uml modeller http://umbrello.kde.org")));
+    QString expoText(QLatin1String("umbrello uml modeller "));
+    expoText += QLatin1String(umbrelloVersion());
+    expoText += QLatin1String(" http://umbrello.kde.org");
+    exporter.appendChild(doc.createTextNode(expoText));
     documentation.appendChild(exporter);
 
     QDomElement exporterVersion = doc.createElement(QLatin1String("XMI.exporterVersion"));
@@ -2776,11 +2781,13 @@ bool UMLDoc::loadUMLObjectsFromXMI1(QDom
             continue;
         }
         if (pkg) {
-            UMLObjectList &objects = pkg->containedObjects();
+            UMLObjectList objects = pkg->containedObjects();
             if (! objects.contains(pObject)) {
                 DEBUG(DBG_SRC) << "CHECK: adding " << pObject->name()
                                << " to " << pkg->name();
-                pkg->addObject(pObject);
+                if (!pkg->addObject(pObject)) {
+                    DEBUG(DBG_SRC) << "pkg->addObject failed";
+                }
             }
         }
         else if (ot != UMLObject::ot_Stereotype) {
@@ -3028,11 +3035,13 @@ UMLEntityList UMLDoc::entities(bool incl
 /**
  * Returns a list of the datatypes in this UMLDoc.
  *
+ * @param includeInactive  Include inactive datatypes which may have accrued by
+ *                         changing the active programming language.
  * @return  List of datatypes.
  */
-UMLClassifierList UMLDoc::datatypes()
+UMLClassifierList UMLDoc::datatypes(bool includeInactive /* = false */)
 {
-    UMLObjectList &objects = m_datatypeRoot->containedObjects();
+    UMLObjectList objects = m_datatypeRoot->containedObjects(includeInactive);
     UMLClassifierList datatypeList;
     foreach (UMLObject *obj, objects) {
         uIgnoreZeroPointer(obj);
@@ -3475,18 +3484,41 @@ void UMLDoc::addDefaultDatatypes()
 
 /**
  * Add a datatype if it doesn't already exist.
- * Used by code generators and attribute dialog.
+ * Used by addDefaultDatatypes().
  */
 void UMLDoc::createDatatype(const QString &name)
 {
-    UMLObjectList &datatypes = m_datatypeRoot->containedObjects();
+    UMLObjectList datatypes = m_datatypeRoot->containedObjects(true);
     UMLObject* umlobject = Model_Utils::findUMLObject(datatypes, name,
                                                       UMLObject::ot_Datatype, m_datatypeRoot);
-    if (!umlobject) {
+    if (umlobject) {
+        UMLDatatype *dt = umlobject->asUMLDatatype();
+        dt->setActive(true);
+        signalUMLObjectCreated(umlobject);
+        qApp->processEvents();
+    } else {
         Object_Factory::createUMLObject(UMLObject::ot_Datatype, name, m_datatypeRoot);
     }
 }
 
+/**
+ * Remove a datatype by name.
+ * Used when changing the active programming language.
+ */
+void UMLDoc::removeDatatype(const QString &name)
+{
+    UMLObjectList datatypes = m_datatypeRoot->containedObjects();
+    // We don't use Model_Utils::findUMLObject because that function considers
+    // case sensitivity of the active language, which we don't want here.
+    foreach (UMLObject *obj, datatypes) {
+        uIgnoreZeroPointer(obj);
+        if (obj->name() == name) {
+            removeUMLObject(obj);
+            break;
+        }
+    }
+}
+
 /**
  * Make a popup menu for the tabs
  * signalled from tabWidget's contextMenu().
diff -pruN 4:20.08.3-1/umbrello/umldoc.h 4:20.12.0-0ubuntu1/umbrello/umldoc.h
--- 4:20.08.3-1/umbrello/umldoc.h	2020-10-31 16:36:07.000000000 +0000
+++ 4:20.12.0-0ubuntu1/umbrello/umldoc.h	2020-12-02 21:52:52.000000000 +0000
@@ -194,7 +194,7 @@ public:
     UMLClassifierList classesAndInterfaces(bool includeNested = true);
     UMLEntityList entities(bool includeNested = true);
     UMLFolder * datatypeFolder() const;
-    UMLClassifierList datatypes();
+    UMLClassifierList datatypes(bool includeInactive = false);
     UMLAssociationList associations();
     UMLPackageList packages(bool includeNested = true, Uml::ModelType::Enum model = Uml::ModelType::Logical);
 
@@ -238,6 +238,7 @@ public:
 
     void addDefaultDatatypes();
     void createDatatype(const QString &name);
+    void removeDatatype(const QString &name);
 
     UMLStereotype *createStereotype(const QString &name);
     UMLStereotype *findStereotype(const QString &name);
@@ -281,7 +282,7 @@ private:
     /**
      * The UMLDoc is the sole owner of all stereotypes.
      * UMLStereotype instances are reference counted.
-     * When an UMLStereotype is no longer referenced anywhere,
+     * When a UMLStereotype is no longer referenced anywhere,
      * its refcount drops to zero. It is then removed from the
      * m_stereoList and it is physically deleted.
      */
diff -pruN 4:20.08.3-1/umbrello/uml.h 4:20.12.0-0ubuntu1/umbrello/uml.h
--- 4:20.08.3-1/umbrello/uml.h	2020-10-31 16:36:07.000000000 +0000
+++ 4:20.12.0-0ubuntu1/umbrello/uml.h	2020-12-02 21:52:52.000000000 +0000
@@ -197,6 +197,8 @@ public:
     KConfig* config();
     void importFiles(QStringList& fileList, const QString &rootPath = QString());
 
+    static bool shuttingDown();
+
 protected:
     virtual void keyPressEvent(QKeyEvent* e);
     virtual void keyReleaseEvent(QKeyEvent* e);
@@ -517,6 +519,7 @@ private:
 
     QPointer<DiagramPrintPage> m_printSettings; ///< printer diagram settings
     QPrinter *m_printer;               ///< print instance
+    static bool s_shuttingDown;
 
 signals:
     void sigCutSuccessful();
diff -pruN 4:20.08.3-1/umbrello/umllistview.cpp 4:20.12.0-0ubuntu1/umbrello/umllistview.cpp
--- 4:20.08.3-1/umbrello/umllistview.cpp	2020-10-31 16:36:07.000000000 +0000
+++ 4:20.12.0-0ubuntu1/umbrello/umllistview.cpp	2020-12-02 21:52:52.000000000 +0000
@@ -26,6 +26,7 @@
 #include "enumliteral.h"
 #include "entity.h"
 #include "category.h"
+#include "datatype.h"
 #include "docwindow.h"
 #include "layoutgenerator.h"
 #include "umllistviewpopupmenu.h"
@@ -870,7 +871,7 @@ void UMLListView::slotDiagramCreated(Uml
 }
 
 /**
- * Determine the parent ListViewItem given an UMLObject.
+ * Determine the parent ListViewItem given a UMLObject.
  *
  * @param object   Pointer to the UMLObject for which to look up the parent.
  * @return    Pointer to the parent UMLListViewItem chosen.
@@ -990,6 +991,13 @@ void UMLListView::slotObjectCreated(UMLO
     if (parentItem == 0)
         return;
     UMLObject::ObjectType type = object->baseType();
+    if (type == UMLObject::ot_Datatype) {
+        UMLDatatype *dt = object->asUMLDatatype();
+        if (!dt->isActive()) {
+            DEBUG(DBG_SRC) << object->name() << " is not active. Refusing to create UMLListViewItem";
+            return;
+        }
+    }
 
     connectNewObjectsSlots(object);
     const UMLListViewItem::ListViewType lvt = Model_Utils::convert_OT_LVT(object);
@@ -1306,7 +1314,7 @@ UMLListViewItem * UMLListView::findUMLOb
 }
 
 /**
- * Find an UMLObject in the listview.
+ * Find a UMLObject in the listview.
  *
  * @param p   Pointer to the object to find in the list view.
  * @return    Pointer to the UMLObject found or NULL if not found.
@@ -1623,7 +1631,7 @@ void UMLListView::addAtContainer(UMLList
 }
 
 /**
- * Moves an object given is unique ID and listview type to an
+ * Moves an object given its unique ID and listview type to an
  * other listview parent item.
  * Also takes care of the corresponding move in the model.
  */
@@ -2210,7 +2218,7 @@ void UMLListView::slotDeleteSelectedItem
 /**
  * Adds a new item to the tree of the given type under the given parent.
  * Method will take care of signalling anyone needed on creation of new item.
- * e.g. UMLDoc if an UMLObject is created.
+ * e.g. UMLDoc if a UMLObject is created.
  */
 void UMLListView::addNewItem(UMLListViewItem *parentItem, UMLListViewItem::ListViewType type)
 {
@@ -2756,7 +2764,7 @@ bool UMLListView::deleteItem(UMLListView
     } else if (Model_Utils::typeIsCanvasWidget(lvt) || Model_Utils::typeIsClassifierList(lvt)) {
         UMLPackage *nmSpc = object->asUMLPackage();
         if (nmSpc) {
-            UMLObjectList &contained = nmSpc->containedObjects();
+            UMLObjectList contained = nmSpc->containedObjects();
             if (contained.count()) {
                 if (nmSpc->baseType() == UMLObject::ot_Class) {
                     KMessageBox::error(
diff -pruN 4:20.08.3-1/umbrello/umllistviewitem.cpp 4:20.12.0-0ubuntu1/umbrello/umllistviewitem.cpp
--- 4:20.08.3-1/umbrello/umllistviewitem.cpp	2020-10-31 16:36:07.000000000 +0000
+++ 4:20.12.0-0ubuntu1/umbrello/umllistviewitem.cpp	2020-12-02 21:52:52.000000000 +0000
@@ -716,7 +716,7 @@ void UMLListViewItem::cancelRenameWithMs
 /**
  * Overrides the default sorting to sort by item type.
  * Sort the listview items by type and position within the corresponding list
- * of UMLObjects. If the item does not have an UMLObject then place it last.
+ * of UMLObjects. If the item does not have a UMLObject then place it last.
  */
 #if 0
 int UMLListViewItem::compare(QTreeWidgetItem *other, int col, bool ascending) const
diff -pruN 4:20.08.3-1/umbrello/umlview.h 4:20.12.0-0ubuntu1/umbrello/umlview.h
--- 4:20.08.3-1/umbrello/umlview.h	2020-10-31 16:36:07.000000000 +0000
+++ 4:20.12.0-0ubuntu1/umbrello/umlview.h	2020-12-02 21:52:52.000000000 +0000
@@ -24,7 +24,7 @@ class UMLScene;
  * The UMLApp instance manages the visibility of UMLView instances.
  * The visible view (and therefore diagram) is at the top of stack.
  * The UMLView class inherits from QGraphicsView.
- * Construction of an UMLView implicitly constructs an UMLScene, i.e.
+ * Construction of a UMLView implicitly constructs a UMLScene, i.e.
  * there is a one to one relation between diagram and view.
  * The UMLFolder instances own the UMLView instances.
  *
diff -pruN 4:20.08.3-1/umbrello/umlviewimageexportermodel.h 4:20.12.0-0ubuntu1/umbrello/umlviewimageexportermodel.h
--- 4:20.08.3-1/umbrello/umlviewimageexportermodel.h	2020-10-31 16:36:07.000000000 +0000
+++ 4:20.12.0-0ubuntu1/umbrello/umlviewimageexportermodel.h	2020-12-02 21:52:52.000000000 +0000
@@ -21,7 +21,7 @@
 class KUrl;
 
 /**
- * Exports an UMLView in various image formats.
+ * Exports a UMLView in various image formats.
  * It can also export all the views in the current document.
  *
  * The methods in this class don't communicate with the user, so asking the format
diff -pruN 4:20.08.3-1/umbrello/umlwidgets/notewidget.cpp 4:20.12.0-0ubuntu1/umbrello/umlwidgets/notewidget.cpp
--- 4:20.08.3-1/umbrello/umlwidgets/notewidget.cpp	2020-10-31 16:36:07.000000000 +0000
+++ 4:20.12.0-0ubuntu1/umbrello/umlwidgets/notewidget.cpp	2020-12-02 21:52:52.000000000 +0000
@@ -154,7 +154,7 @@ void NoteWidget::setNoteType(const QStri
 /**
  * Return the ID of the diagram hyperlinked to this note.
  *
- * @return  ID of an UMLView, or Uml::ID::None if no
+ * @return  ID of a UMLView, or Uml::ID::None if no
  *          hyperlink is set.
  */
 Uml::ID::Type NoteWidget::diagramLink() const
@@ -166,7 +166,7 @@ Uml::ID::Type NoteWidget::diagramLink()
  * Set the ID of the diagram hyperlinked to this note.
  * To switch off the hyperlink, set this to Uml::id_None.
  *
- * @param viewID    ID of an UMLScene.
+ * @param viewID    ID of a UMLScene.
  */
 void NoteWidget::setDiagramLink(Uml::ID::Type viewID)
 {
diff -pruN 4:20.08.3-1/umbrello/umlwidgets/umlwidget.cpp 4:20.12.0-0ubuntu1/umbrello/umlwidgets/umlwidget.cpp
--- 4:20.08.3-1/umbrello/umlwidgets/umlwidget.cpp	2020-10-31 16:36:07.000000000 +0000
+++ 4:20.12.0-0ubuntu1/umbrello/umlwidgets/umlwidget.cpp	2020-12-02 21:52:52.000000000 +0000
@@ -176,7 +176,7 @@ bool UMLWidget::operator==(const UMLWidg
         return false;
 
     /* Testing the associations is already an exaggeration, no?
-       The type and ID should uniquely identify an UMLWidget.
+       The type and ID should uniquely identify a UMLWidget.
      */
     if (m_Assocs.count() != other.m_Assocs.count()) {
         return false;
diff -pruN 4:20.08.3-1/umbrello/umlwidgets/widget_factory.cpp 4:20.12.0-0ubuntu1/umbrello/umlwidgets/widget_factory.cpp
--- 4:20.08.3-1/umbrello/umlwidgets/widget_factory.cpp	2020-10-31 16:36:07.000000000 +0000
+++ 4:20.12.0-0ubuntu1/umbrello/umlwidgets/widget_factory.cpp	2020-12-02 21:52:52.000000000 +0000
@@ -243,7 +243,7 @@ UMLWidget* makeWidgetFromXMI(const QStri
     }
     else
     {
-        // Loading of widgets which represent an UMLObject
+        // Loading of widgets which represent a UMLObject
 
         // Find the UMLObject and create the Widget to represent it
         Uml::ID::Type id = Uml::ID::fromString(idStr);
diff -pruN 4:20.08.3-1/umbrello/version.h 4:20.12.0-0ubuntu1/umbrello/version.h
--- 4:20.08.3-1/umbrello/version.h	2020-10-31 16:36:07.000000000 +0000
+++ 4:20.12.0-0ubuntu1/umbrello/version.h	2020-12-02 21:52:52.000000000 +0000
@@ -25,14 +25,13 @@ inline QByteArray umbrelloVersion()
         .arg(KDE::versionMinor())
         .arg(KDE::versionRelease());
 #endif
+#if defined(ENABLE_WIDGET_SHOW_DOC) || defined(ENABLE_XMIRESOLUTION)
+    versionStr.append(QLatin1String(" (experimental)"));
+#endif
     return versionStr.toLatin1();
 }
 
 // Update this version and dtd's in doc/xml when changing the XMI file format
-#if defined(ENABLE_WIDGET_SHOW_DOC) || defined(ENABLE_XMIRESOLUTION)
 #define XMI_FILE_VERSION "1.6.19"
-#else
-#define XMI_FILE_VERSION "1.6.18"
-#endif
 
 #endif
